-- phpMyAdmin SQL Dump
-- version 4.8.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Apr 05, 2023 at 01:36 PM
-- Server version: 10.1.25-MariaDB
-- PHP Version: 5.6.31

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `trusto_saudi_5.6.1`
--

DELIMITER $$
--
-- Procedures
--
CREATE   PROCEDURE `sp_get_auto_account_by_parent` (IN `parent_id` INT, IN `with_length` TINYINT(1), OUT `acc_code` VARCHAR(255) CHARSET utf8)  NO SQL
BEGIN
    DECLARE
        parent_code VARCHAR(255) ; DECLARE code_length INT ; DECLARE right_length INT ; DECLARE last_code VARCHAR(255) ; DECLARE max_code VARCHAR(255) ;
    SET
        acc_code = '' ;
    SET
        parent_code =(
        SELECT
            Account_Code
        FROM
            tbl_chart_of_accounts
        WHERE
            Account_ID = parent_id
    ) ; IF with_length = 1 THEN
SET
    code_length =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'account_code_length'
) ; ELSE
SET
    code_length = LENGTH(parent_code) + 1 ;
END IF ;
SET
    right_length = code_length - LENGTH(parent_code) ; IF right_length <= 0 THEN
SET
    right_length = 1 ;
END IF ;
SET
    last_code =(
    SELECT
        c.Account_Code
    FROM
        tbl_chart_of_accounts c
    WHERE
        c.Parent_ID = parent_id
    ORDER BY
        CAST(c.Account_Code AS UNSIGNED)
    DESC
LIMIT 1
) ; IF last_code IS NULL THEN
SET
    max_code = 0 ; ELSE
SET
    max_code = SUBSTR(
        last_code,
        (LENGTH(parent_code) +1)
    ) ;
END IF ; IF(
    right_length > LENGTH(max_code)
) THEN
SET
    max_code = 0 ; ELSE
SET
    right_length = LENGTH(max_code) ;
END IF ;
SET
    max_code = max_code + 1 ;
SELECT
    CONCAT(
        parent_code,
        REPEAT(
            0,
            right_length - LENGTH(max_code)
        ),
        max_code
    )
INTO acc_code ;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Stand-in structure for view `accrued_list`
-- (See below for the actual view)
--
CREATE TABLE `accrued_list` (
`Accrued_Expense_ID` int(11)
,`Expected_Amount` varchar(73)
,`Real_Amount` varchar(73)
,`Description` varchar(200)
,`Start_Date` date
,`End_Date` date
,`Expense_Code` varchar(255)
,`Accrued_Code` varchar(255)
,`Supplier_Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`Status_ID` int(1)
,`Is_Actual` tinyint(1)
,`current_year_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `activity_tree_list`
-- (See below for the actual view)
--
CREATE TABLE `activity_tree_list` (
`activity_id` int(11)
,`activity_code` varchar(250)
,`activity_title` text
,`activity_title_alias` varchar(255)
,`parent_id` int(11)
,`account_id` int(11)
,`is_final` tinyint(4)
,`date_created` datetime
,`created_logged_id` int(11)
,`date_modified` datetime
,`modified_by` int(11)
,`Account_Name` varchar(255)
,`parent_name` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `add_ons_details_list`
-- (See below for the actual view)
--
CREATE TABLE `add_ons_details_list` (
`add_ons_title` varchar(200)
,`add_ons_details_id` int(11)
,`add_ons_details_title` varchar(250)
,`add_ons_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `advance_payment_list`
-- (See below for the actual view)
--
CREATE TABLE `advance_payment_list` (
`Advance_Payment_ID` int(11)
,`Advance_Payment_Date` varchar(200)
,`Advance_Payment_Amount` double
,`Advance_Payment_Description` varchar(200)
,`Employee_ID` int(11)
,`Currency_ID` int(11)
,`Payment_ID` int(11)
,`Logged_ID` int(11)
,`is_paid` tinyint(1)
,`is_actual` tinyint(1)
,`current_rate` double
,`employee_name` varchar(201)
,`bank_id` int(11)
,`bank_name` varchar(255)
,`bank_branch` varchar(255)
,`bank_account` varchar(255)
,`is_nssf` tinyint(4)
,`Branch_ID` int(11)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`bank_name_code` varchar(508)
,`is_approved` int(11)
,`second_currency_rate` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_activities`
-- (See below for the actual view)
--
CREATE TABLE `all_activities` (
`id` int(11)
,`title` varchar(250)
,`start` datetime
,`end` datetime
,`activity_notes` mediumtext
,`activity_type_id` tinyint(4)
,`organization_id` int(11)
,`contact_id` int(11)
,`deal_id` int(11)
,`activity_duration` varchar(200)
,`activity_checked` tinyint(4)
,`activity_created_at` datetime
,`activity_checked_at` datetime
,`deal_title` varchar(250)
,`contact_name` varchar(200)
,`organization_name` varchar(200)
,`organization_customer_name` varchar(200)
,`activity_type_title` varchar(200)
,`action_type_id` int(11)
,`action_type_name` varchar(10)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_contacts`
-- (See below for the actual view)
--
CREATE TABLE `all_contacts` (
`contact_id` int(11)
,`contact_name` varchar(200)
,`contact_work_phone` varchar(200)
,`contact_mobile_phone` varchar(200)
,`contact_email` varchar(200)
,`organization_id` int(11)
,`is_primary` tinyint(4)
,`created_by` int(11)
,`date_created` datetime
,`modified_by` int(11)
,`last_modified` datetime
,`organization_name` varchar(200)
,`organization_customer_name` varchar(200)
,`organization_address` varchar(250)
,`orgaization_mobile_phone` varchar(200)
,`is_potiential` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_deals`
-- (See below for the actual view)
--
CREATE TABLE `all_deals` (
`deal_id` int(11)
,`deal_title` varchar(250)
,`deal_date` datetime
,`deal_state` varchar(250)
,`stage_id` tinyint(4)
,`contact_id` int(11)
,`deal_value` varchar(500)
,`currency_id` int(11)
,`deal_open` varchar(200)
,`progress_id` int(11)
,`order_id` int(11)
,`reason_for_loss` text
,`created_by` int(11)
,`date_created` datetime
,`modified_by` int(11)
,`last_modified` datetime
,`stage_title` varchar(200)
,`contact_name` varchar(200)
,`contact_mobile_phone` varchar(200)
,`contact_work_phone` varchar(200)
,`contact_email` varchar(200)
,`organization_id` int(11)
,`organization_name` varchar(200)
,`organization_customer_name` varchar(200)
,`organization_address` varchar(250)
,`is_moved` tinyint(1)
,`Currency_Name` varchar(64)
,`User_Name` varchar(45)
,`Cat_ID` varchar(250)
,`cont_org` varchar(403)
,`date_last_contacted` datetime
,`orgaization_mobile_phone` varchar(200)
,`Currency_Symbol` varchar(50)
,`deal_probability` double
,`is_potiential` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_logs`
-- (See below for the actual view)
--
CREATE TABLE `all_logs` (
`log_id` int(11)
,`deal_id` int(11)
,`old_stage_id` tinyint(4)
,`new_stage_id` tinyint(4)
,`log_date` datetime
,`deal_title` varchar(250)
,`old_stage` varchar(200)
,`new_stage` varchar(200)
,`organization_id` int(11)
,`contact_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_notes`
-- (See below for the actual view)
--
CREATE TABLE `all_notes` (
`note_id` int(11)
,`note_content` text
,`deal_id` int(11)
,`organization_id` int(11)
,`contact_id` int(11)
,`note_date` datetime
,`current_deal` varchar(250)
,`deal_contact` varchar(200)
,`note_contact` varchar(200)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_organizations`
-- (See below for the actual view)
--
CREATE TABLE `all_organizations` (
`job_description` varchar(250)
,`organization_id` int(11)
,`organization_name` varchar(200)
,`organization_email` varchar(200)
,`organization_customer_name` varchar(200)
,`orgaization_work_phone` varchar(200)
,`orgaization_mobile_phone` varchar(200)
,`city_id` int(11)
,`organization_address` varchar(250)
,`start_date` date
,`is_moved` tinyint(1)
,`created_by` int(11)
,`date_created` datetime
,`modified_by` int(11)
,`last_modified` datetime
,`Country_Name` char(52)
,`Name` char(35)
,`Country_ID` int(11)
,`organization_longitude` double
,`organization_latitude` double
,`region_id` int(11)
,`region_name` varchar(250)
,`organization_group_id` int(11)
,`group_name` varchar(250)
,`is_contacted` tinyint(4)
,`contact_name` varchar(200)
,`contact_mobile_phone` varchar(200)
,`is_potiential` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `all_state_logs`
-- (See below for the actual view)
--
CREATE TABLE `all_state_logs` (
`state_log_id` int(11)
,`deal_state` varchar(200)
,`deal_id` int(11)
,`state_log_date` datetime
,`organization_id` int(11)
,`deal_title` varchar(250)
,`contact_id` int(11)
);

-- --------------------------------------------------------

--
-- Table structure for table `all_tags`
--

CREATE TABLE `all_tags` (
  `Entry_ID` int(11) NOT NULL,
  `Tag_ID` int(11) NOT NULL,
  `Type_ID` int(11) NOT NULL,
  `Tag_Price` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stand-in structure for view `answer_main_list`
-- (See below for the actual view)
--
CREATE TABLE `answer_main_list` (
`answer_main_id` int(11)
,`schedule_id` int(11)
,`schedule_date` datetime
,`date_created` datetime
,`created_by` int(11)
,`modified_by` int(11)
,`date_modified` datetime
,`schedule_title` varchar(250)
,`checklist_name` varchar(250)
,`Product_ID` int(11)
,`Product_Name` varchar(100)
,`section_id` int(11)
,`line_id` int(11)
,`line_name` varchar(250)
,`product_part_note` mediumtext
,`product_full_name` mediumtext
,`part_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `app_files`
-- (See below for the actual view)
--
CREATE TABLE `app_files` (
`file_id` int(11)
,`file_name` varchar(100)
,`date_time` varchar(100)
,`type_id` tinyint(4)
,`type_name` varchar(100)
,`employee_name` varchar(302)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `app_temp_adjustments`
-- (See below for the actual view)
--
CREATE TABLE `app_temp_adjustments` (
`file_id` int(11)
,`Bar_Code` varchar(100)
,`Product_Name` varchar(100)
,`quantity` double
,`UOM_Name` varchar(50)
,`temp_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `balance_accounts`
-- (See below for the actual view)
--
CREATE TABLE `balance_accounts` (
`result` text
,`Account_Code` varchar(255)
,`Account_ID` bigint(20)
,`main_id` int(11)
,`main_type` varchar(100)
,`sub_type` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `balance_first`
-- (See below for the actual view)
--
CREATE TABLE `balance_first` (
`Credit` double
,`Debit` int(1)
,`unq` varchar(266)
,`Account_Code` varchar(255)
,`Account_ID` bigint(20)
,`Currency_ID` int(11)
,`main_id` int(11)
,`main_type` varchar(100)
,`sub_type` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `balance_second`
-- (See below for the actual view)
--
CREATE TABLE `balance_second` (
`result_t` double
,`Account_Code` varchar(255)
,`Account_ID` bigint(20)
,`Currency_ID` int(11)
,`main_id` int(11)
,`main_type` varchar(100)
,`sub_type` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `bank_list`
-- (See below for the actual view)
--
CREATE TABLE `bank_list` (
`Bank_Account_ID` int(11)
,`Bank_Name` varchar(100)
,`Bank_Account_Name` varchar(100)
,`Bank_Account_Number` varchar(20)
,`Credit_Card_Number` varchar(30)
,`Currency_Name` varchar(64)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `bone_type_list`
-- (See below for the actual view)
--
CREATE TABLE `bone_type_list` (
`bone_type_id` int(11)
,`bone_type_name` varchar(250)
,`Account_ID` int(11)
,`vat_account_id` int(11)
,`Account_Name` varchar(255)
,`vat_account_name` varchar(255)
,`service_account_id` int(11)
,`service_account_name` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `bone_type_service_list`
-- (See below for the actual view)
--
CREATE TABLE `bone_type_service_list` (
`service_id` int(11)
,`product_id` int(11)
,`uom_id` int(11)
,`service_price` double
,`bone_type_id` int(11)
,`current_product` varchar(220)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `cash_drawer_log`
-- (See below for the actual view)
--
CREATE TABLE `cash_drawer_log` (
`cash_drawer_amount_id` int(11)
,`login_system_amount` double
,`real_amount` double
,`cash_drawer_id` int(11)
,`user_id` int(11)
,`login_date_time` datetime
,`logout_system_amount` double
,`withdrawal_amount` double
,`remaining_amount` double
,`logout_date_time` datetime
,`User_Name` varchar(45)
,`cash_drawer_title` varchar(250)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `checklist_schedule_list`
-- (See below for the actual view)
--
CREATE TABLE `checklist_schedule_list` (
`schedule_id` int(11)
,`schedule_title` varchar(250)
,`schedule_start_date` datetime
,`schedule_end_date` datetime
,`checklist_id` int(11)
,`Product_ID` int(11)
,`part_id` int(11)
,`schedule_type_id` tinyint(4)
,`schedule_repeat_id` int(11)
,`schedule_repeat_value` varchar(250)
,`schedule_type_name` varchar(8)
,`property_name` varchar(255)
,`checklist_name` varchar(250)
,`product_name` varchar(100)
,`part_name` varchar(100)
,`last_run_date` datetime
,`section_id` int(11)
,`schedule_next_date` datetime
,`property_value` double
,`line_id` int(11)
,`line_name` varchar(250)
,`product_part_note` mediumtext
,`product_full_name` mediumtext
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `check_up_list`
-- (See below for the actual view)
--
CREATE TABLE `check_up_list` (
`Entry_ID` int(11)
,`Vehicle_ID` tinyint(4)
,`check_out_date` datetime
,`vehicle_mileage_out` double
,`check_out` tinyint(4)
,`is_driver_side_out` tinyint(4)
,`is_passenger_side_out` tinyint(4)
,`is_front_side_out` tinyint(4)
,`is_back_side_out` tinyint(4)
,`check_out_comment` mediumtext
,`check_in_date` datetime
,`vehicle_mileage_in` double
,`check_in` tinyint(4)
,`is_driver_side_in` tinyint(4)
,`is_passenger_side_in` tinyint(4)
,`is_front_side_in` tinyint(4)
,`is_back_side_in` tinyint(4)
,`check_in_comment` mediumtext
,`Vehicle_Status_ID` int(11)
,`vehicle_name` varchar(156)
,`Vehicle_Fuel_Consumption` float
,`veh_name` varchar(255)
);

-- --------------------------------------------------------

--
-- Table structure for table `companies`
--

CREATE TABLE `companies` (
  `ID` int(11) NOT NULL,
  `company_url` text,
  `is_default` bit(2) DEFAULT NULL,
  `company_name` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stand-in structure for view `consumption_list`
-- (See below for the actual view)
--
CREATE TABLE `consumption_list` (
`consumption_auto_id` int(11)
,`consumption_id` int(11)
,`consumption_prefix` varchar(20)
,`Customer_ID` int(11)
,`consumption_date` date
,`date_created` datetime
,`Logged_ID` int(11)
,`created_logged_id` int(11)
,`Sales_ID` int(11)
,`current_year_id` int(11)
,`date_time` datetime
,`consumption_description` longtext
,`depot_id` int(11)
,`branch_id` int(11)
,`is_actual` tinyint(1)
,`Customer_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `contra_list`
-- (See below for the actual view)
--
CREATE TABLE `contra_list` (
`Contra_ID` int(11)
,`T_FROM` varchar(255)
,`T_TO` varchar(255)
,`Transfer_Amount` varchar(73)
,`Transfered_Amount` varchar(73)
,`From_Currency` int(11)
,`To_Currency` int(11)
,`Contra_Date` date
,`Contra_Note` longtext
,`Symbol_From` varchar(50)
,`Symbol_To` varchar(50)
,`current_year_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `credit_list`
-- (See below for the actual view)
--
CREATE TABLE `credit_list` (
`note_nb` int(11)
,`Note_ID` int(11)
,`Supplier_Customer_ID` int(11)
,`Note_Date` date
,`Currency_ID` int(11)
,`branch_id` int(11)
,`Note_Amount` double
,`Note_Description` text
,`Is_Debit_Note` tinyint(1)
,`Logged_ID` int(11)
,`Note_Amount_Curr` varchar(73)
,`Name` varchar(100)
,`is_actual` tinyint(1)
,`current_year_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `crm_contra_list`
-- (See below for the actual view)
--
CREATE TABLE `crm_contra_list` (
`contra_id` int(11)
,`customer_id` int(11)
,`contra_nb` varchar(255)
,`contra_date` date
,`contra_amount` double
,`currency_id` int(11)
,`date_created` datetime
,`date_time` datetime
,`Logged_ID` int(11)
,`created_logged_id` int(11)
,`Currency_Symbol` varchar(50)
,`Customer_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_coupons_list`
-- (See below for the actual view)
--
CREATE TABLE `customer_coupons_list` (
`auto_id` int(11)
,`customer_coupon_id` int(11)
,`customer_coupon_prefix` varchar(200)
,`Customer_ID` int(11)
,`invoice_date` date
,`Currency_ID` int(11)
,`total_vat` double
,`sub_total` double
,`net_total` double
,`paid_amount` double
,`date_created` datetime
,`date_time` datetime
,`created_logged_id` int(11)
,`logged_id` int(11)
,`current_year_id` int(11)
,`description` text
,`depot_id` int(11)
,`branch_id` int(11)
,`current_rate` double
,`class_id` int(11)
,`bone_type_id` int(11)
,`is_actual` tinyint(4)
,`job_id` int(11)
,`ID` varchar(211)
,`TotalVat` varchar(73)
,`SubTotal` varchar(73)
,`NetTotal` varchar(73)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`Customer_CR` varchar(11)
,`Customer_Name` varchar(100)
,`Customer_Mobile` varchar(50)
,`Customer_Phone` varchar(50)
,`Customer_Address` varchar(255)
,`bone_type_name` varchar(250)
,`total_discount` double
,`discount_percent` double
,`discount_amount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_invoice_distribution`
-- (See below for the actual view)
--
CREATE TABLE `customer_invoice_distribution` (
`Customer_Name` varchar(100)
,`invoice_total` double
,`Invoice_ID` int(11)
,`Customer_ID` int(11)
,`current_year_id` int(11)
,`Invoice_Date` date
,`is_actual` tinyint(1)
,`is_committed` tinyint(4)
,`Sales_ID` int(11)
,`branch_id` int(11)
,`customer_branch_id` int(11)
,`customer_class_id` int(11)
,`customer_group_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_limit_balance`
-- (See below for the actual view)
--
CREATE TABLE `customer_limit_balance` (
`Account_Code` varchar(255)
,`Balance` text
,`Customer_Name` varchar(100)
,`Company` varchar(50)
,`branch_id` int(11)
,`Limit_Balance` double
,`Limit_Currency_ID` int(11)
,`Currency_Symbol` varchar(50)
,`stop_invoice` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_list`
-- (See below for the actual view)
--
CREATE TABLE `customer_list` (
`ID` int(11)
,`Customer_Code` varchar(500)
,`Name` varchar(100)
,`branch_id` int(11)
,`Company` varchar(50)
,`Customer_Mobile` varchar(50)
,`Address` varchar(255)
,`Account_Code` varchar(255)
,`Status_ID` tinyint(1)
,`employee_id` int(11)
,`balance` int(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_list_with_balance`
-- (See below for the actual view)
--
CREATE TABLE `customer_list_with_balance` (
`ID` int(11)
,`Customer_Code` varchar(500)
,`Name` varchar(100)
,`Company` varchar(50)
,`Customer_Mobile` varchar(50)
,`Address` varchar(255)
,`Account_Code` varchar(255)
,`Status_ID` tinyint(1)
,`balance` double
,`current_year_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_return_list`
-- (See below for the actual view)
--
CREATE TABLE `customer_return_list` (
`current_year_id` int(11)
,`return_nb` varchar(31)
,`Return_Invoice_ID` int(11)
,`Is_Actual` tinyint(4)
,`Invoice_Purchase_ID` int(11)
,`Date` date
,`Total` varchar(73)
,`Note` longtext
,`ID` int(11)
,`Person_ID` int(11)
,`Name` varchar(100)
,`Is_Customer_Invoice` tinyint(1)
,`NetTotal` varchar(70)
,`SubTotal` varchar(70)
,`VAT` varchar(70)
,`Due_Date` date
,`Country_ID` int(11)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`date_created` datetime
,`Return_Paid_Total` varchar(70)
,`Logged_ID` int(11)
,`exchange_id` int(11)
,`sales_purchase_id` int(11)
,`Sales_ID` int(11)
,`branch_id` int(11)
,`invoice_app_id` int(11)
,`is_main_transfer` tinyint(4)
,`current_net_total` double(19,2)
,`Currency_Symbol` varchar(50)
,`disable_qty` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_subscription_list`
-- (See below for the actual view)
--
CREATE TABLE `customer_subscription_list` (
`customer_subscription_id` int(11)
,`subscription_id` int(11)
,`customer_id` int(11)
,`start_date` date
,`is_active` tinyint(4)
,`note` text
,`bill_depend` tinyint(4)
,`subscription_name` varchar(250)
,`Customer_Name` varchar(100)
,`next_due_date` date
,`customer_subscription_title` varchar(500)
,`project_code` varchar(255)
,`project_name` varchar(255)
,`job_name` varchar(255)
,`job_code` varchar(255)
,`job_id` int(11)
,`project_id` int(11)
,`Customer_Address` varchar(255)
,`block_id` int(11)
,`block_name` varchar(500)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_subscription_setting_details`
-- (See below for the actual view)
--
CREATE TABLE `customer_subscription_setting_details` (
`subscription_name` varchar(250)
,`Customer_Name` varchar(100)
,`Customer_ID` int(11)
,`next_due_date` date
,`customer_subscription_title` varchar(500)
,`Product_Name` varchar(100)
,`UOM_Name` varchar(50)
,`product_uom` varchar(153)
,`detail_id` int(11)
,`subscription_id` int(11)
,`customer_subscription_id` int(11)
,`depend_previous` tinyint(4)
,`type_id` tinyint(4)
,`period_unit` tinyint(4)
,`sub_active_flag` tinyint(4)
,`cust_sub_active_flag` tinyint(4)
,`Customer_Address` varchar(255)
,`customer_name_address` varchar(358)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_supplier_contacts`
-- (See below for the actual view)
--
CREATE TABLE `customer_supplier_contacts` (
`mykey` varchar(12)
,`id` int(11)
,`contact_id` bigint(20)
,`main_name` varchar(100)
,`name` char(0)
,`phone` varchar(50)
,`contact_note` char(0)
,`branch_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `customer_visits`
-- (See below for the actual view)
--
CREATE TABLE `customer_visits` (
`visit_id` int(11)
,`customer_id` int(11)
,`longitude` double
,`latitude` double
,`date` date
,`time` time
,`visit_prefix` varchar(255)
,`app_user_id` int(11)
,`app_visit_id` int(11)
,`visit_nb` int(11)
,`Customer_Name` varchar(100)
,`User_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `damaged_products`
-- (See below for the actual view)
--
CREATE TABLE `damaged_products` (
`Damaged_ID` int(11)
,`ID` int(11)
,`Name` varchar(100)
,`Depot_ID` int(11)
,`Damaged_Quantity` double
,`Item_Quantity_Current` double
,`Damaged_Reason` mediumtext
,`Adjust_Date` date
,`Depot_Name` varchar(50)
,`customer_id` int(11)
,`Customer_Name` varchar(100)
,`unit_cost` double
,`total_cost` double
,`Category_ID` int(11)
,`brand_id` int(11)
,`app_damage_id` int(11)
,`return_detail_id` int(11)
,`UOM_Name` varchar(50)
,`UOM_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `datasource_productlist`
-- (See below for the actual view)
--
CREATE TABLE `datasource_productlist` (
`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`branch_id` varchar(250)
,`Product_Quantity` varchar(73)
,`def_view_uom_name` varchar(50)
,`Product_View_Quantity` double
,`Product_ID` int(11)
,`Cat_Name` varchar(255)
,`Product_PLU` varchar(100)
,`brand_name` varchar(255)
,`Status_ID` tinyint(1)
,`Bar_Code` varchar(100)
,`Category_ID` int(11)
,`prod_quantity` double
,`product_second_code` varchar(250)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `data_collecter_adjust`
-- (See below for the actual view)
--
CREATE TABLE `data_collecter_adjust` (
`file_id` int(11)
,`Bar_Code` varchar(100)
,`Name` varchar(100)
,`Quantity` double
,`to_name` varchar(50)
,`temp_id` int(11)
,`Category_ID` int(11)
,`Depot_ID` int(11)
,`Depot` varchar(50)
,`Code` varchar(50)
,`ID` int(11)
,`UOM_ID` int(11)
,`sys_qty` double
,`Product_UOM` int(11)
,`is_expiry` tinyint(1)
,`Status_ID` tinyint(1)
,`default_view_uom_id` int(11)
,`default_view_rate` double
,`default_view_uom` varchar(50)
,`Quantity_default` double
,`sys_qty_default` double
,`is_lot` tinyint(4)
,`is_serial` tinyint(4)
,`main_supplier_id` int(11)
,`is_service` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `debit_list`
-- (See below for the actual view)
--
CREATE TABLE `debit_list` (
`note_nb` int(11)
,`Note_ID` int(11)
,`Supplier_Customer_ID` int(11)
,`Note_Date` date
,`Currency_ID` int(11)
,`Note_Amount` double
,`branch_id` int(11)
,`Note_Description` text
,`Is_Debit_Note` tinyint(1)
,`Logged_ID` int(11)
,`Note_Amount_Curr` varchar(73)
,`Name` varchar(100)
,`is_actual` tinyint(1)
,`current_year_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `delivered_purchase_order`
-- (See below for the actual view)
--
CREATE TABLE `delivered_purchase_order` (
`UOM_ID` int(11)
,`UOM_Name` varchar(50)
,`Entry_ID` bigint(20)
,`Order_ID` bigint(20)
,`Supplier_Name` varchar(100)
,`Supplier_ID` int(11)
,`Order_Date` date
,`Item_ID` int(11)
,`Quantity` varchar(73)
,`Product_Delivery_Quantity` varchar(73)
,`Remaining_Quantity` varchar(74)
,`Code` varchar(64)
,`Name` varchar(100)
,`VAT` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `delivered_sales_order`
-- (See below for the actual view)
--
CREATE TABLE `delivered_sales_order` (
`UOM_ID` int(11)
,`UOM_Name` varchar(50)
,`Entry_ID` int(11)
,`Order_ID` int(11)
,`Supplier_Name` varchar(100)
,`Supplier_ID` int(11)
,`Order_Date` date
,`Item_ID` int(11)
,`Quantity` varchar(73)
,`Product_Delivery_Quantity` varchar(73)
,`Remaining_Quantity` varchar(74)
,`Code` varchar(64)
,`Name` varchar(100)
,`VAT` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `delivery_list`
-- (See below for the actual view)
--
CREATE TABLE `delivery_list` (
`Invoice_ID_Auto` int(11)
,`Invoice_Net_Total` double
,`customer_id` bigint(20)
,`customer_name` varchar(200)
,`customer_phone` varchar(50)
,`address_name` text
,`Is_Closed` tinyint(1)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `delivery_notes`
-- (See below for the actual view)
--
CREATE TABLE `delivery_notes` (
`Delivery_Report_ID` int(11)
,`Person_ID` int(11)
,`Delivery_Report_Date` date
,`Is_Customer_Invoice` tinyint(1)
,`Order_ID` bigint(11)
,`delivery_nb` int(11)
,`date_created` datetime
,`date_time` datetime
,`Logged_ID` int(11)
,`created_logged_id` int(11)
,`current_year_id` int(11)
,`Depot_ID` int(11)
,`delivery_note` text
,`branch_id` int(11)
,`job_id` int(11)
,`project_id` int(11)
,`is_actual` int(11)
,`job_name` varchar(255)
,`project_name` varchar(255)
,`Person_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `dependant_employee`
-- (See below for the actual view)
--
CREATE TABLE `dependant_employee` (
`Wife_Works` int(11)
,`Child_ID` int(11)
,`child_class` varchar(255)
,`child_problem` text
,`school_type_name` varchar(255)
,`school_value` double
,`school_type` int(11)
,`Dependant_ID` int(11)
,`Employee_ID` int(11)
,`Number_Of_Children` int(11)
,`Logged_ID` int(11)
,`Employee_Name` varchar(302)
,`child_name` varchar(255)
,`child_dob` date
,`child_school` varchar(255)
,`gender_id` int(11)
,`marital_status_id` int(11)
,`has_special_problem` tinyint(4)
,`is_study` tinyint(4)
,`is_self_nssf` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `deposite_withdrawal`
-- (See below for the actual view)
--
CREATE TABLE `deposite_withdrawal` (
`Deposit_WithDrawal_ID` int(11)
,`Deposit_WithDrawal_Amount` double
,`Deposit_WithDrawal_Amount_To` double
,`Deposit_WithDrawal_Description` varchar(200)
,`Deposit_WithDrawal_Date` date
,`Is_Hidden` tinyint(1)
,`T_FROM` varchar(255)
,`T_TO` varchar(255)
,`Symbol_From` varchar(50)
,`Symbol_To` varchar(50)
,`current_year_id` int(11)
,`app_dep_id` int(11)
,`is_main_transfer` tinyint(4)
,`dw_nb` varchar(266)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `depot_content`
-- (See below for the actual view)
--
CREATE TABLE `depot_content` (
`Category_ID` int(11)
,`Depot_ID` int(11)
,`Depot` varchar(50)
,`Code` varchar(64)
,`ID` int(11)
,`UOM_ID` int(11)
,`Name` varchar(100)
,`Quantity` double
,`sys_qty` double
,`Product_UOM` text
,`cond` varchar(23)
,`is_expiry` tinyint(1)
,`Status_ID` tinyint(1)
,`default_view_uom_id` int(11)
,`default_view_rate` double
,`default_view_uom` varchar(50)
,`Quantity_default` double
,`sys_qty_default` double
,`is_lot` tinyint(4)
,`is_serial` tinyint(4)
,`main_supplier_id` int(11)
,`is_service` tinyint(4)
,`default_view_Bar_Code` text
,`brand_name` varchar(255)
,`brand_id` int(11)
,`default_uom_name` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `depot_content_all`
-- (See below for the actual view)
--
CREATE TABLE `depot_content_all` (
`Category_ID` int(11)
,`ID` int(11)
,`Quantity` double
,`Code` varchar(64)
,`Name` varchar(100)
,`UOM_ID` int(11)
,`Product_UOM` int(11)
,`sys_qty` double
,`is_expiry` tinyint(1)
,`Status_ID` tinyint(1)
,`default_view_uom_id` int(11)
,`default_view_rate` double
,`default_view_uom` varchar(50)
,`Quantity_default` double
,`sys_qty_default` double
,`is_lot` tinyint(4)
,`is_serial` tinyint(4)
,`main_supplier_id` int(11)
,`is_service` tinyint(4)
,`default_view_Bar_Code` varchar(100)
,`brand_name` varchar(255)
,`brand_id` int(11)
,`default_uom_name` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `depot_list`
-- (See below for the actual view)
--
CREATE TABLE `depot_list` (
`Depot_ID` int(11)
,`Depot_Code` varchar(50)
,`Depot_Name` varchar(50)
,`Category_Name` varchar(50)
,`Depot_Type_Of_Storage` varchar(50)
,`Employee_Name` varchar(303)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `detailed_purchase_report`
-- (See below for the actual view)
--
CREATE TABLE `detailed_purchase_report` (
`Product_Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`UOM_Name` varchar(50)
,`Purchase_ID_Auto` int(11)
,`Purchase_ID` int(11)
,`Purchase_Date` date
,`Purchase_Due_Date` date
,`Currency_ID` int(4)
,`Supplier_ID` int(11)
,`Purchase_Sub_Total` double
,`Purchase_Net_Total` double
,`Purchase_Discount` double
,`discount_amount` double
,`Purchase_VAT` double
,`Purchase_Shipping` double
,`Depot_ID` int(11)
,`Logged_ID` int(11)
,`Supplier_Invoice_ID` varchar(255)
,`Purchase_Paid_Amount` double
,`Return_Purchase_Total` double
,`Invoice_Description` text
,`current_year_id` int(11)
,`date_time` datetime
,`current_rate` double
,`branch_id` int(11)
,`sales_purchase_id` int(11)
,`Account_ID` int(11)
,`is_actual` tinyint(1)
,`Supplier_Name` varchar(100)
,`Item_ID` int(11)
,`Product_ID` int(11)
,`Item_Quantity` double
,`Item_Price` double
,`Item_Discount` double
,`Product_Total_Price` double
,`Item_Quantity_Current` double
,`UOM_ID` int(11)
,`vat_percent` double
,`vat_amount` double
,`product_description` varchar(255)
,`detail_depot_id` int(11)
,`brand_id` int(11)
,`Category_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `detail_attendance_locations`
-- (See below for the actual view)
--
CREATE TABLE `detail_attendance_locations` (
`attendance_id` int(11)
,`employee_id` int(11)
,`location_id` int(11)
,`Employee_Name` varchar(302)
,`date_time_in` datetime
,`date_time_out` datetime
,`time_diff` time
,`Location_Name` varchar(255)
,`Employee_StartDate` date
,`leave_date` date
,`Employee_StreetAddress1` varchar(100)
,`Job_Name` varchar(100)
,`Employee_MobilePhone` varchar(45)
,`second_lang_name` varchar(255)
,`Branch_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `devices`
-- (See below for the actual view)
--
CREATE TABLE `devices` (
`device_id` int(11)
,`device_name` varchar(250)
,`device_ip` varchar(250)
,`type_id` tinyint(4)
,`is_active` tinyint(4)
,`note` text
,`type_name` varchar(250)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `due_date_invoices`
-- (See below for the actual view)
--
CREATE TABLE `due_date_invoices` (
`Person_ID` int(11)
,`Inv_Pur_ID_Auto` int(11)
,`Inv_Pur_ID` varchar(31)
,`Total` double
,`Due_Date` date
,`Currency_Symbol` varchar(50)
,`Paid_Amount` double
,`Name` varchar(100)
,`Email` varchar(100)
,`Phone` varchar(50)
,`Company` varchar(50)
,`Date` date
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`remaining_amount` double
,`customer_group_id` int(11)
,`Sales_ID` int(11)
,`current_rate` double
,`second_currency_rate` double
,`net_return` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `due_date_purchase`
-- (See below for the actual view)
--
CREATE TABLE `due_date_purchase` (
`Person_ID` int(11)
,`Inv_Pur_ID_Auto` int(11)
,`Inv_Pur_ID` int(11)
,`Total` double
,`Due_Date` date
,`Currency_Symbol` varchar(50)
,`Paid_Amount` double
,`Name` varchar(100)
,`Email` varchar(50)
,`Phone` varchar(20)
,`Company` varchar(100)
,`Date` date
,`remaining_amount` double
,`current_rate` double
,`second_currency_rate` double
,`net_return` double
,`shipping` double
,`extra_cost` double
,`net_total` double
,`ship_bill_nb` varchar(255)
,`ship_date` date
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_absence`
-- (See below for the actual view)
--
CREATE TABLE `employee_absence` (
`Absence_ID` int(11)
,`Absence_From_Date` date
,`Absence_To_Date` date
,`Absence_Reason` tinyint(4)
,`Employee_ID` int(11)
,`Logged_ID` int(11)
,`is_approved` tinyint(1)
,`Absence_Reason_ID` int(11)
,`Absence_Reason_Name` varchar(225)
,`Absence_Reason_Days` int(11)
,`Name` varchar(302)
,`Document_File_Name` varchar(50)
,`Is_Hidden` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_accrued_leave`
-- (See below for the actual view)
--
CREATE TABLE `employee_accrued_leave` (
`Days_Number` double
,`Entry_ID` int(11)
,`Date_From` date
,`Date_To` date
,`Employee_ID` int(11)
,`is_approved` tinyint(1)
,`Name` varchar(302)
,`Document_File_Name` varchar(50)
,`Is_Hidden` tinyint(1)
,`is_holiday` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_alerts`
-- (See below for the actual view)
--
CREATE TABLE `employee_alerts` (
`entry_id` int(11)
,`employee_id` int(11)
,`employee_alert_date` date
,`employee_alert_type` int(11)
,`employee_alert_note` varchar(255)
,`employee_alert_document` varchar(255)
,`doc_id` int(11)
,`Is_Hidden` tinyint(4)
,`employee_name` varchar(302)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_documents`
-- (See below for the actual view)
--
CREATE TABLE `employee_documents` (
`main_type` varchar(255)
,`Entry_ID` int(11)
,`Employee_ID` int(11)
,`Document_Type` int(11)
,`Document_Name` varchar(50)
,`Document_Date` date
,`Document_Comments` text
,`Document_File_Name` varchar(50)
,`Logged_ID` int(11)
,`Document_Type_Name` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_emergency_contact`
-- (See below for the actual view)
--
CREATE TABLE `employee_emergency_contact` (
`Relation_Name` varchar(14)
,`EmergencyContact_ID` int(11)
,`Employee_Relationship_ID` int(11)
,`EmergencyContact_HomePhone` varchar(45)
,`EmergencyContact_MobilePhone` varchar(45)
,`EmergencyContact_WorkPhone` varchar(45)
,`Employee_ID` int(11)
,`Contact_Name` varchar(137)
,`Employee_Name` varchar(302)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_expenses`
-- (See below for the actual view)
--
CREATE TABLE `employee_expenses` (
`Expense_ID` int(11)
,`Employee_ID` int(11)
,`Expense_Date` date
,`Expense_Description` text
,`Expense_Quantity` double
,`Currency_ID` int(11)
,`Amount` varchar(73)
,`Employee_Name` varchar(302)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_opening_list`
-- (See below for the actual view)
--
CREATE TABLE `employee_opening_list` (
`entry_id` int(11)
,`employee_id` int(11)
,`to_date` date
,`total_salary` double
,`Currency_ID` int(11)
,`current_rate` double
,`emp` varchar(302)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`total_value` varchar(73)
,`total_allowance` double
,`total_tax` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `employee_transfer_days`
-- (See below for the actual view)
--
CREATE TABLE `employee_transfer_days` (
`entry_id` int(11)
,`employee_id` int(11)
,`transfer_day_number` int(11)
,`transfer_date` date
,`transfer_day_note` text
,`employee_name` varchar(255)
,`Is_Hidden` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `end_shift_view`
-- (See below for the actual view)
--
CREATE TABLE `end_shift_view` (
`shift_id` bigint(20)
,`user_id` int(11)
,`open_time` datetime
,`close_time` datetime
,`account_id` int(11)
,`total_net_invoices` double
,`total_net_returns` double
,`total_balance` double
,`Currency_ID` int(11)
,`current_rate` double
,`User_Name` varchar(45)
,`Currency_Symbol` varchar(50)
,`is_actual` int(11)
,`type` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `exchangeratelist`
-- (See below for the actual view)
--
CREATE TABLE `exchangeratelist` (
`Exchange_Rate_ID` int(11)
,`from_currency` int(30)
,`ExchRate` double
,`to_currency` int(30)
,`Exchange_Rate_Date` date
,`Logged_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `exchange_list`
-- (See below for the actual view)
--
CREATE TABLE `exchange_list` (
`exchange_id` int(11)
,`exchange_nb` int(11)
,`exchange_prefix` varchar(50)
,`exchange_date` date
,`invoice_auto_id` int(11)
,`return_auto_id` int(11)
,`is_actual` tinyint(1)
,`date_created` datetime
,`date_time` datetime
,`Logged_ID` int(11)
,`created_logged_id` int(11)
,`current_year_id` int(11)
,`ret_nb` varchar(31)
,`inv_nb` varchar(31)
,`exch_nb` varchar(61)
,`Customer_Name` varchar(100)
,`Customer_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `expenses_list`
-- (See below for the actual view)
--
CREATE TABLE `expenses_list` (
`Expense_ID` int(11)
,`expense_nb` int(11)
,`Expense_Date` date
,`Expense_DueDate` date
,`Expense_Total_Price` double
,`Currency_ID` int(11)
,`current_rate` double
,`Expense_Note` longtext
,`Logged_ID` int(11)
,`Supplier_ID` int(20)
,`Expense_VAT` double
,`Is_Hidden` tinyint(1)
,`current_year_id` int(11)
,`supplier_inv_id` int(11)
,`branch_id` int(11)
,`Currency_Symbol` varchar(50)
,`Supplier_Name` varchar(100)
,`is_pending` tinyint(4)
,`is_cash` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `fixed_assets_register`
-- (See below for the actual view)
--
CREATE TABLE `fixed_assets_register` (
`Depreciation_Date_ID` int(11)
,`Depreciation_Date` date
,`Depreciation_Amount` double
,`Account_Code` varchar(255)
,`Account_Name` varchar(255)
,`Is_Hidden` tinyint(1)
,`Currency_ID` int(11)
,`current_rate` double
,`Depreciation_Rate_Description` varchar(250)
,`branch_id` int(11)
,`Supplier_Name` varchar(100)
,`expense_nb` int(11)
,`Expense_Date` date
,`unit_price` double
,`Depreciation_Rate_Percent` double
,`Currency_Symbol` varchar(50)
,`Is_Done` tinyint(1)
,`Depreciation_Rate_ID` int(11)
,`quantity` double
,`net_total` double
);

-- --------------------------------------------------------

--
-- Table structure for table `inventory_-_basic_control`
--

CREATE TABLE `inventory_-_basic_control` (
  `وضع التأمين` varchar(5) DEFAULT NULL,
  `#` int(2) DEFAULT NULL,
  `Vehicle_Registration_Number` varchar(10) DEFAULT NULL,
  `owner_name` varchar(23) DEFAULT NULL,
  `driver_name` varchar(21) DEFAULT NULL,
  `driver_phone` varchar(10) DEFAULT NULL,
  `المنطقة` varchar(15) DEFAULT NULL,
  `النوع` varchar(9) DEFAULT NULL,
  `Vehicle_Name` varchar(12) DEFAULT NULL,
  `model` int(4) DEFAULT NULL,
  `اللون` varchar(7) DEFAULT NULL,
  `2 OK, 1Renew` int(1) DEFAULT NULL,
  `date_end_insurance` varchar(11) DEFAULT NULL,
  `insurance_company` varchar(17) DEFAULT NULL,
  `date_end_mecanique_year` varchar(11) DEFAULT NULL,
  `معد الإحصاء` varchar(3) DEFAULT NULL,
  `عدد الأشهر للتجديد` int(1) DEFAULT NULL,
  `note` varchar(25) DEFAULT NULL,
  `المتوقف عن العمل Yes` varchar(3) DEFAULT NULL,
  `zone_id` int(11) NOT NULL,
  `color_id` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `model_id` int(11) NOT NULL,
  `idid` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `inventory_-_basic_control`
--

INSERT INTO `inventory_-_basic_control` (`وضع التأمين`, `#`, `Vehicle_Registration_Number`, `owner_name`, `driver_name`, `driver_phone`, `المنطقة`, `النوع`, `Vehicle_Name`, `model`, `اللون`, `2 OK, 1Renew`, `date_end_insurance`, `insurance_company`, `date_end_mecanique_year`, `معد الإحصاء`, `عدد الأشهر للتجديد`, `note`, `المتوقف عن العمل Yes`, `zone_id`, `color_id`, `type_id`, `model_id`, `idid`) VALUES
('OK', 1, 'M301621', 'أفران لبنان - علي سكيكي', 'مصطفي فاعور', '71-133 933', 'النبطية', 'ISUZU', 'Pickup Truck', 2012, 'أبيض', 2, '2019-05-02', 'LIBERTY Insurance', '2019-04-02', 'عدي', 2, 'علي سكيكي Tel: 70 993 820', NULL, 1, 1, 1, 1, 1),
('OK', 2, 'M355396', 'أفران لبنان - علي سكيكي', 'حسين فنيش', NULL, 'النبطية', 'Mercedece', 'VAN', 2001, 'أبيض', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 1, 1, 2, 2, 2),
('OK', 3, 'M262111', 'أفران لبنان - علي سكيكي', 'محمد فحص', NULL, 'النبطية', 'Renault', 'Rapid', 1997, 'أحمر', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 1, 2, 3, 3, 3),
('RENEW', 4, 'بدون أوراق', 'أفران لبنان - علي سكيكي', 'مصطفي عبود', '81 733 651', 'النبطية', NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 1, 0, 0, 0, 4),
('OK', 5, 'M270794', 'أفران لبنان - علي سكيكي', 'حسن يحيى', '71 591 044', 'العباسية', 'Hundai', 'VAN', NULL, 'أخضر', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 2, 4, 4, 2, 5),
('RENEW', 6, 'بدون أوراق', 'أفران لبنان - علي سكيكي', 'علي دياب', '71 465 639', 'بنت جبيل', 'Mercedece', 'VAN', NULL, NULL, 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 3, 0, 2, 2, 6),
('OK', 7, 'M180948', 'أفران لبنان - علي سكيكي', 'وليد', NULL, 'صديقين', 'Hundai', 'VAN', 1994, 'كحلي', 2, '2019-08-06', 'LIBERTY Insurance', '2019-07-01', 'عدي', 2, NULL, NULL, 4, 5, 4, 2, 7),
('RENEW', 8, 'M294986', 'أفران لبنان - علي سكيكي', 'جودة فنيش', '81 768 317', 'الحوش', 'Mercedece', 'VAN', 1998, 'كحلي', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 5, 5, 2, 2, 8),
('OK', 9, 'M291437', 'أفران لبنان - علي سكيكي', 'وسام سرحان', '81 793 933', 'الخيام', 'Hundai', 'VAN', 1994, 'أبيض', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 6, 1, 4, 2, 9),
('OK', 12, 'M244778', 'أفران لبنان - المصلحة', 'أحمد شعيتلي', '70 075 744', 'معركة', 'NISSAN', 'URVAN', 2014, 'أبيض', 2, '2019-05-19', 'LIBERTY Insurance', '2019-04-19', 'عدي', 2, NULL, NULL, 7, 1, 5, 4, 12),
('OK', 13, 'M251043', 'أفران لبنان - المصلحة', 'عباس بحر', NULL, 'حنويه', 'NISSAN', 'URVAN', 2015, 'أبيض', 2, '2019-03-30', 'LIBERTY Insurance', '2019-02-19', 'عدي', 2, NULL, NULL, 8, 1, 5, 4, 13),
('OK', 14, 'M218522', 'أفران لبنان - المصلحة', 'أبو علي الملك', '03 691 764', 'الشهابية', 'NISSAN', 'URVAN', 2012, 'أبيض', 2, '2019-05-11', 'LIBERTY Insurance', '2019-04-19', 'عدي', 2, NULL, NULL, 9, 1, 5, 4, 14),
('OK', 15, 'M292712', 'أفران لبنان - المصلحة', 'صالح تمــّــام', '03 063 034', 'الساحل/الصرفند', 'NISSAN', 'URVAN', 2017, 'أبيض', 2, '2019-10-11', 'LIBERTY Insurance', '2019-09-19', 'عدي', 2, NULL, NULL, 10, 1, 5, 4, 15),
('OK', 16, 'M260110', 'أفران لبنان - المصلحة', 'أبو محمد حريبي (دبي)', '76 041 995', 'المصلحة', 'NISSAN', 'URVAN', 1991, 'أبيض', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 11, 1, 5, 4, 16),
('OK', 17, 'M222563', 'أفران لبنان - المصلحة', 'إياد ياسين', '71 900 829', 'الصيانة', 'Hundai', 'VAN', NULL, 'كحلي', 2, '2019-11-30', 'LIBERTY Insurance', '2019-10-30', 'عدي', 2, NULL, NULL, 12, 5, 4, 2, 17),
('RENEW', 18, NULL, 'أفران لبنان - المصلحة', 'عامر بحر', '76 128 150', 'صور', 'Hundai', 'VAN', NULL, 'أخضر', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 13, 4, 4, 2, 18),
('RENEW', 19, NULL, 'أفران لبنان - المصلحة', 'محمد نزال', '70 643 617', 'صريفا', 'Mercedece', 'VAN', NULL, 'أبيض', 1, NULL, NULL, NULL, 'عدي', 2, 'على إسم محطة سرور', NULL, 14, 1, 2, 2, 19),
('OK', 20, 'M234597', 'أفران لبنان - المصلحة', 'أبو صادق جعفر', '76 471 469', 'بيروت', 'Hundai', 'VAN', NULL, 'أحمر', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 15, 2, 4, 2, 20),
('OK', 21, 'M200282', 'أفران لبنان - المصلحة', 'صالح تمــّــام', '03 063 034', 'بيروت', 'OPEL', 'Rapid', 2000, 'أحمر', 2, '2019-06-22', 'LIBERTY Insurance', '2019-05-22', 'عدي', 2, NULL, NULL, 15, 2, 6, 3, 21),
('OK', 22, 'M293522', 'أفران لبنان - المصلحة', 'بسام فحص', '03 475 768', 'طرابلس', 'VW', 'VANAGON', NULL, NULL, 2, '2019-12-01', 'LIBERTY Insurance', '2019-11-01', 'عدي', 2, NULL, NULL, 16, 0, 7, 5, 22),
('OK', 23, 'M244182', 'أفران لبنان - مالك آخر', 'حسان سلوم', '71 668 939', 'جدرا', 'TOYOTA', 'HIACE VAN', 1996, NULL, 2, '2019-06-11', 'LIBERTY Insurance', '2019-05-11', 'عدي', 2, NULL, NULL, 17, 0, 8, 6, 23),
('RENEW', 24, 'M260634', 'أفران لبنان - مالك آخر', 'أشرف مرعي (كتير مرت)', '03 111 595', 'صيدا', 'Renault', 'Rapid', NULL, NULL, 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 18, 0, 3, 3, 24),
('RENEW', 25, 'بدون أوراق', 'أفران لبنان - مالك آخر', 'عباس سرحان', '03 053 809', 'بدياس/برج رحال', 'TOYOTA', 'HIACE VAN', NULL, NULL, 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 19, 0, 8, 6, 25),
('RENEW', 26, 'بدون أوراق', 'أفران لبنان - مالك آخر', 'حسن حمود', '70 764 414', 'حولا', 'Mercedece', 'VAN', NULL, NULL, 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 20, 0, 2, 2, 26),
('RENEW', 27, 'بدون أوراق', 'أفران لبنان - مالك آخر', 'نمر قاسم', '03 430 135', 'عين بعال', 'TOYOTA', 'HIACE VAN', NULL, 'أبيض', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 21, 1, 8, 6, 27),
('OK', 28, 'M200503', 'أفران لبنان - حسين حمود', 'حسين حمود', '70 062 627', 'بنت جبيل', 'VW', 'VANAGON', 1999, 'أبيض', 2, '2019-07-02', 'LIBERTY Insurance', '2019-06-02', 'عدي', 2, NULL, NULL, 3, 1, 7, 5, 28),
('RENEW', 29, 'M196819', 'أفران لبنان - حسين حمود', 'حسين حمود', '03 714 476', 'بنت جبيل', 'VW', 'LT', 1999, 'أبيض', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 3, 1, 7, 7, 29),
('OK', 30, 'M274489', 'أفران لبنان - حسين حمود', 'يوسف بزي', '70 757 047', 'بنت جبيل', 'Mercedece', 'VAN', 2003, 'كحلي', 2, '2019-02-15', 'LIBERTY Insurance', '2019-01-15', 'عدي', 2, NULL, NULL, 3, 5, 2, 2, 30),
('OK', 31, 'M252815', 'أفران لبنان - مالك آخر', 'يحيى ناصر', '70 612 443', 'حاريص', 'Renault', 'Trafic', 1996, 'أبيض', 2, '2019-04-25', 'LIBERTY Insurance', '2019-03-25', 'عدي', 2, NULL, NULL, 22, 1, 3, 8, 31),
('RENEW', 32, 'M182380', 'أفران لبنان - مالك آخر', 'كفاح', '71 010 767', 'خربة سلم', 'VW', 'LT', 1997, 'أبيض', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 23, 1, 7, 7, 32),
('OK', 33, 'M301621', 'أفران لبنان - المصلحة', 'محمد حيدر', '03 115 610', 'الجميجمة', 'ISUZU', 'Pickup Truck', NULL, 'أبيض', 2, '2019-12-14', 'LIBERTY Insurance', '2019-11-14', 'عدي', 2, NULL, NULL, 24, 1, 1, 1, 33),
('OK', 34, 'M260479', 'أفران لبنان - مالك آخر', 'أبو عبدو - محمد شامية', '78 808 690', 'صور', 'VW', 'VANAGON', 1997, 'جردوني', 2, '2019-05-09', 'LIBERTY Insurance', '2019-04-25', 'عدي', 2, 'تنور', NULL, 13, 6, 7, 5, 34),
('OK', 35, 'M289219', 'أفران لبنان - مالك آخر', 'عصام شامية', '76 067 352', 'خلدة', 'VW', 'VANAGON', 1997, 'أخضر', 2, '2019-03-01', 'LIBERTY Insurance', '2019-02-01', 'عدي', 2, NULL, NULL, 25, 4, 7, 5, 35),
('RENEW', 36, NULL, 'أفران لبنان - مالك آخر', 'أسامه خليفة', '03 242 653', 'الغازية', 'TOYOTA', 'HIACE VAN', NULL, 'أحمر', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 26, 2, 8, 6, 36),
('OK', 37, 'M289910', 'أفران لبنان - مالك آخر', 'سامي خليل', '70 846 373', 'الصرفند', 'Mercedece', 'VAN', 2003, 'برتقالي', 2, '2019-05-09', 'LIBERTY Insurance', '2019-04-09', 'عدي', 2, NULL, NULL, 27, 7, 2, 2, 37),
('OK', 38, 'M253786', 'أفران لبنان - مالك آخر', 'عبا الطبل', '71 140 663', 'الخرايب', 'Renault', 'Trafic', 1992, 'بيج', 2, '2019-12-10', 'LIBERTY Insurance', '2019-11-10', 'عدي', 2, NULL, NULL, 28, 8, 3, 8, 38),
('OK', 39, 'M298128', 'أفران لبنان - مالك آخر', 'فايز مرعي', '76 721 329', 'صور', 'TOYOTA', 'HIACE VAN', NULL, 'أحمر', 2, '2019-03-17', 'LIBERTY Insurance', '2019-02-17', 'عدي', 2, NULL, NULL, 13, 2, 8, 6, 39),
('RENEW', 40, 'M250690', 'أفران لبنان - مالك آخر', 'هيثم مرعي', '03 796 932', 'شبريحا / برغلية', 'TOYOTA', 'HIACE VAN', 2000, 'أحمر', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 29, 2, 8, 6, 40),
('RENEW', 41, 'M193152', 'أفران لبنان - مالك آخر', 'مازن مشعل', '03 830 326', 'الراشدية', 'VW', 'VANAGON', 1995, 'زيتي', 1, NULL, NULL, NULL, 'عدي', 2, NULL, NULL, 30, 9, 7, 5, 41),
('OK', 42, 'M316866', 'أفران لبنان - مالك آخر', 'محمد بحر', NULL, 'مرجعيون', 'ISUZU', 'Pickup Truck', 2017, 'أبيض', 2, '2019-11-27', 'LIBERTY Insurance', '2019-10-27', 'عدي', 2, NULL, NULL, 31, 1, 1, 1, 42);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_delivery_note_list`
-- (See below for the actual view)
--
CREATE TABLE `invoice_delivery_note_list` (
`ID` int(11)
,`Date` date
,`Customer_Supplier_ID` int(11)
,`Name` varchar(100)
,`Is_Customer_Invoice` tinyint(1)
,`Product_Delivery_Quantity` varchar(73)
,`Code` varchar(64)
,`Product_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_details`
-- (See below for the actual view)
--
CREATE TABLE `invoice_details` (
`product_description` varchar(255)
,`vat_percent` double
,`vat_amount` double
,`default_uom` varchar(50)
,`conversion_amount` double
,`Is_Delivery` tinyint(4)
,`current_year_id` int(11)
,`Invoice_ID_Auto` int(11)
,`Item_Quantity_Current` double
,`UOM_Name` varchar(50)
,`Code` varchar(64)
,`Name` varchar(100)
,`VAT` int(11)
,`Product_VAT` double
,`Printer_ID` varchar(50)
,`Product_Quantity` varchar(73)
,`Entery_ID` int(11)
,`Invoice_ID` int(11)
,`Product_ID` int(11)
,`Product_Discount` double
,`Product_Net_Price` double
,`Default_Quantity` double
,`Product_Total_Price` double
,`Currency_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Invoice_Discount` double
,`UOM_ID` int(11)
,`Bar_Code` varchar(100)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`Product_Arabic_Name` varchar(255)
,`hold` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_discount_list`
-- (See below for the actual view)
--
CREATE TABLE `invoice_discount_list` (
`Invoice_ID_Auto` int(11)
,`is_actual` tinyint(1)
,`sales_purchase_id` int(11)
,`pos_customer_id` int(11)
,`invoice_prefix` varchar(20)
,`User_Full_Name` varchar(250)
,`truck` varchar(255)
,`Sales_ID` int(11)
,`Invoice_ID` int(11)
,`Customer_Name` varchar(100)
,`current_year_id` int(11)
,`Invoice_Date` date
,`Invoice_Due_Date` date
,`Invoice_Discount` double
,`Invoice_VAT` double
,`Invoice_Sub_Total` double
,`Invoice_Net_Total` double
,`Invoice_Currency` int(11)
,`Return_Invoice_Total` double
,`Invoice_Paid_Amount` double
,`Customer_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Currency_ID` int(11)
,`Currency_Name` varchar(64)
,`currency_round` double
,`date_time` datetime
,`Class_ID` int(11)
,`Depot_ID` int(11)
,`Invoice_Shipping` double
,`discount_amount` double
,`is_main_transfer` tinyint(4)
,`Account_ID` int(11)
,`current_rate` double
,`Invoice_Description` longtext
,`Depot_Name` varchar(50)
,`Is_Delivery` tinyint(4)
,`job_id` int(11)
,`tax_amount` double
,`Invoice_Status` tinyint(3)
,`table_id` int(11)
,`branch_id` int(11)
,`Logged_ID` int(11)
,`invoice_nb` varchar(31)
,`total_invoice_discount` double
,`total_details_discount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_list`
-- (See below for the actual view)
--
CREATE TABLE `invoice_list` (
`is_actual` tinyint(1)
,`r_d_sph` varchar(20)
,`c_d_cyl` varchar(20)
,`c_d_ax` varchar(20)
,`c_d_sph` varchar(20)
,`l_d_cyl` varchar(20)
,`l_d_ax` varchar(20)
,`r_r_sph` varchar(20)
,`c_r_cyl` varchar(20)
,`c_r_ax` varchar(20)
,`c_r_sph` varchar(20)
,`l_r_cyl` varchar(20)
,`l_r_ax` varchar(20)
,`cl_r_sph` varchar(20)
,`cl_r_cyl` varchar(20)
,`cl_r_axis` varchar(20)
,`cl_r_ipd` varchar(20)
,`cl_l_sph` varchar(20)
,`cl_l_cyl` varchar(20)
,`cl_l_axis` varchar(20)
,`cl_l_ipd` varchar(20)
,`signature_image` text
,`sales_purchase_id` int(11)
,`Return_ID` bigint(11)
,`Invoice_Status` tinyint(3)
,`is_delivery` tinyint(4)
,`Delivery_Time` datetime
,`date_time` datetime
,`ID_Auto` int(11)
,`ID` varchar(31)
,`Name` varchar(200)
,`customer_mobile` varchar(50)
,`Date` date
,`Due_Date` date
,`Is_Closed` tinyint(1)
,`VAT` varchar(70)
,`SubTotal` varchar(70)
,`NetTotal` varchar(70)
,`Person_ID` int(11)
,`current_year_id` int(11)
,`Logged_ID` int(11)
,`is_app` tinyint(4)
,`pos_customer_address` mediumtext
,`Country_ID` int(11)
,`date_created` datetime
,`branch_id` int(11)
,`pos_customer_id` int(11)
,`table_id` int(11)
,`net_with_ship` double
,`Invoice_Paid_Amount` double
,`Currency_Symbol` varchar(50)
,`posponted_type` int(11)
,`Inv_Type` int(11)
,`postponed_date_time` datetime
,`customer_name_mobile` varchar(251)
,`is_delivery_notified` tinyint(4)
,`Invoice_Date` date
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`postponed_note` varchar(250)
,`is_branch_transfer` tinyint(4)
,`invoice_app_id` int(11)
,`exchange_id` int(11)
,`Sales_ID` int(11)
,`is_main_transfer` tinyint(4)
,`Invoice_Description` longtext
,`Invoice_Shipping` double
,`table_name` varchar(200)
,`reason_id` int(11)
,`driver_name` varchar(255)
,`region_name` varchar(250)
,`received_date` datetime
,`received_note` text
,`driver_id` int(11)
,`region_id` bigint(11)
,`Payment_Paid_Amount` double
,`total_paid_amount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_list_main`
-- (See below for the actual view)
--
CREATE TABLE `invoice_list_main` (
`cash_amount` double
,`r_d_sph` varchar(20)
,`first_cash_Invoice_Paid_Amount` double
,`second_cash_Invoice_Paid_Amount` double
,`second_cash_currency_rate` double
,`second_cash_Invoice_Currency` int(11)
,`c_d_cyl` varchar(20)
,`c_d_ax` varchar(20)
,`c_d_sph` varchar(20)
,`l_d_cyl` varchar(20)
,`driver_id` int(11)
,`from_place` text
,`to_place` text
,`l_d_ax` varchar(20)
,`r_r_sph` varchar(20)
,`c_r_cyl` varchar(20)
,`c_r_ax` varchar(20)
,`c_r_sph` varchar(20)
,`l_r_cyl` varchar(20)
,`l_r_ax` varchar(20)
,`cl_r_sph` varchar(20)
,`cl_r_cyl` varchar(20)
,`cl_r_axis` varchar(20)
,`cl_r_ipd` varchar(20)
,`cl_l_sph` varchar(20)
,`cl_l_cyl` varchar(20)
,`cl_l_axis` varchar(20)
,`cl_l_ipd` varchar(20)
,`signature_image` text
,`po` text
,`project_name_inv` text
,`project_code` text
,`job_inv` text
,`our_ref` text
,`supply_date` text
,`created_logged_id` int(11)
,`service_value` double
,`second_currency_rate` double
,`is_actual` tinyint(1)
,`sales_purchase_id` int(11)
,`pos_customer_id` int(11)
,`invoice_prefix` varchar(20)
,`Employee_Name` varchar(201)
,`truck` varchar(255)
,`Sales_ID` int(11)
,`Invoice_ID` int(11)
,`Invoice_ID_Auto` int(11)
,`Customer_Name` varchar(100)
,`current_year_id` int(11)
,`Invoice_Date` date
,`Invoice_Due_Date` date
,`Invoice_Discount` double
,`Invoice_VAT` double
,`Invoice_Sub_Total` double
,`Invoice_Net_Total` double
,`Invoice_Currency` int(11)
,`Return_Invoice_Total` double
,`Invoice_Paid_Amount` double
,`Customer_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Currency_ID` int(11)
,`Currency_Name` varchar(64)
,`currency_round` double
,`date_time` datetime
,`date_created` datetime
,`Class_ID` int(11)
,`Depot_ID` int(11)
,`Invoice_Shipping` double
,`discount_amount` double
,`is_main_transfer` tinyint(4)
,`Class_Name` varchar(50)
,`class_tax` double
,`Account_ID` int(11)
,`Account_Code` varchar(255)
,`Account_Name` varchar(255)
,`current_rate` double
,`Invoice_Description` longtext
,`Depot_Name` varchar(103)
,`Is_Delivery` tinyint(4)
,`job_id` int(11)
,`job_name` varchar(255)
,`tax_amount` double
,`table_name` varchar(200)
,`Bon_Number` bigint(20)
,`Delivery_Time` datetime
,`Persons_Count` int(11)
,`due_date_period` double
,`address_id` int(11)
,`table_id` int(11)
,`Invoice_Status` tinyint(3)
,`is_ttc` tinyint(4)
,`posponted_type` int(11)
,`postponed_date_time` datetime
,`order_note` text
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`postponed_note` varchar(250)
,`is_branch_transfer` tinyint(4)
,`invoice_app_id` int(11)
,`Close_ID` int(11)
,`Currency_Code` char(3)
,`Discount_Value` double
,`Inv_Type` int(11)
,`Invoice_Note` varchar(255)
,`Is_Closed` tinyint(1)
,`is_delivery_notified` tinyint(4)
,`is_printed` tinyint(4)
,`Logged_ID` int(11)
,`reason_id` int(11)
,`Related_Tables` varchar(255)
,`void_time` datetime
,`project_name` varchar(255)
,`project_id` int(11)
,`shipping_company_id` int(11)
,`shipping_company_name` varchar(250)
,`table_alias_name` varchar(250)
,`invoice_user_reference` varchar(250)
,`shipping_note` varchar(250)
,`subscription_fees_id` int(11)
,`ship_comp_acc_id` int(11)
,`is_invoice_total_on_shipping` tinyint(4)
,`customer_address_alias` varchar(255)
,`customer_name_alias` varchar(255)
,`contra_name` varchar(371)
,`contra_id` int(11)
,`inv_currency_round` double
,`customer_branch_id` int(11)
,`vat1_total` double
,`vat2_total` double
,`region_name` varchar(250)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_returned_products`
-- (See below for the actual view)
--
CREATE TABLE `invoice_returned_products` (
`Return_Invoice_ID` int(11)
,`Return_Invoice_Date` date
,`UOM_ID` int(11)
,`UOM_Name` varchar(50)
,`Product_ID` int(11)
,`Inv_Pur_ID` int(11)
,`Net_Total` double
,`Main_Discount` double
,`Person_Name` varchar(100)
,`Person_ID` int(11)
,`Inv_Pur_Date` date
,`Currency_ID` int(11)
,`Quantity` varchar(73)
,`Product_Return_Quantity` varchar(73)
,`Remain_Main` double
,`Remaining_Quantity` varchar(74)
,`Code` varchar(64)
,`Name` varchar(100)
,`Item_VAT` int(11)
,`Item_Discount` double
,`Currency_Symbol` varchar(50)
,`Item_Price` double
,`Total_Item_Price` double
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `invoice_type_list`
-- (See below for the actual view)
--
CREATE TABLE `invoice_type_list` (
`invoice_type_id` int(11)
,`invoice_type_name` varchar(250)
,`invoice_type_name_actual` varchar(250)
,`account_id` bigint(11)
,`sort_order` int(11)
,`show_on_menu` tinyint(4)
,`cash_account_id` bigint(11)
,`depot_id` bigint(11)
,`is_full_paid` tinyint(4)
,`Account_Name` varchar(255)
,`Account_Code` varchar(255)
,`cash_account_code` varchar(255)
,`cash_account_name` varchar(255)
,`depot_code` varchar(50)
,`depot_name` varchar(50)
,`customer_name` varchar(100)
,`class_name` varchar(50)
,`depot_options_ids` varchar(255)
,`customer_id` int(11)
,`prevent_change_cust` int(11)
,`class_id` int(11)
,`class_options_ids` varchar(255)
,`type` varchar(500)
,`customer_group_id` int(11)
,`supplier_group_id` int(11)
,`show_fields` tinyint(4)
,`customer_group_name` varchar(250)
,`supplier_group_name` varchar(250)
,`prevent_change_cash` tinyint(4)
,`prevent_change_sales` tinyint(4)
,`prevent_change_class` tinyint(4)
,`hide_payment` tinyint(4)
,`salesman_ids` varchar(255)
);

-- --------------------------------------------------------

--
-- Table structure for table `items`
--

CREATE TABLE `items` (
  `id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `price` int(11) NOT NULL,
  `product_ID` int(11) DEFAULT NULL,
  `product_quantity` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stand-in structure for view `job_order_list`
-- (See below for the actual view)
--
CREATE TABLE `job_order_list` (
`job_order_id` int(11)
,`job_order_nb` int(11)
,`customer_id` int(11)
,`company` varchar(250)
,`print_ref` varchar(250)
,`job_order_date` date
,`person_in_charge` varchar(250)
,`note` text
,`conform_date` date
,`delivery_date` date
,`price` double
,`first_payment` double
,`date_created` datetime
,`date_time` datetime
,`created_logged_id` int(11)
,`logged_id` int(11)
,`current_year_id` int(11)
,`customer_name` varchar(200)
,`stage_id` int(11)
,`is_published` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `line_machines_list`
-- (See below for the actual view)
--
CREATE TABLE `line_machines_list` (
`line_id` int(11)
,`line_name` varchar(250)
,`line_machine_id` int(11)
,`machines_name` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `loading_order_list`
-- (See below for the actual view)
--
CREATE TABLE `loading_order_list` (
`Vehicle_Registration_Number` varchar(50)
,`Vehicle_ID` int(11)
,`Loading_Order_ID` int(11)
,`Loading_Order_Date` date
,`Is_Load` tinyint(1)
,`Driver_Name` varchar(302)
,`Sales_Man_Name` varchar(302)
,`Logged_Name` varchar(302)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `maintenance_list`
-- (See below for the actual view)
--
CREATE TABLE `maintenance_list` (
`maintenance_id` int(11)
,`maintenance_nb` int(11)
,`ime` int(11)
,`serial_number` varchar(250)
,`invoice_number` int(11)
,`customer_id` int(11)
,`maintenance_type_id` int(11)
,`maintenance_supporter_id` int(11)
,`paid_amount` double
,`payment_account_id` int(11)
,`maintenance_date` date
,`maintenance_status_id` tinyint(4)
,`date_finished` datetime
,`finished_by` int(11)
,`finished_solution` text
,`date_created` datetime
,`created_by` int(11)
,`date_modified` datetime
,`modified_by` int(11)
,`maintenance_reply_id` int(11)
,`Customer_Name` varchar(100)
,`maintenance_type_name` varchar(250)
,`ticketing_status_name` varchar(250)
,`assigned_user_id` int(11)
,`maintenance_schedule_date` datetime
,`supporter_name` varchar(250)
,`User_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `mdcl_employee`
-- (See below for the actual view)
--
CREATE TABLE `mdcl_employee` (
`mdcl_place_name` varchar(255)
,`mdcl_type_name` varchar(255)
,`mdcl_employee_id` int(11)
,`Employee_ID` int(11)
,`mdcl_employee_date` date
,`mdcl_employee_note` text
,`mdcl_total_iswa` double
,`mdcl_total_employee` double
,`mdcl_total_final` double
,`mdcl_emp_dtl_id` int(11)
,`mdcl_type_id` int(11)
,`mdcl_place_id` int(11)
,`mdcl_emp_dtl_total` double
,`mdcl_emp_dtl_iswa_percent` double
,`Employee_Name` varchar(302)
,`Is_Hidden` tinyint(1)
);

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE `messages` (
  `id` int(30) NOT NULL,
  `from_user` int(30) NOT NULL,
  `to_user` int(30) NOT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1 = text , 2 = photos,3 = videos, 4 = documents',
  `message` text NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `popped` tinyint(1) NOT NULL DEFAULT '0',
  `delete_flag` tinyint(1) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_updated` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Stand-in structure for view `mov_sales_order`
-- (See below for the actual view)
--
CREATE TABLE `mov_sales_order` (
`Unit_Price` double
,`vat_amount` double
,`total_price` double
,`is_actual` double
,`current_year_id` int(11)
,`Entry_ID` bigint(20)
,`Supplier_ID` int(11)
,`Item_ID` int(11)
,`Quantity` int(11)
,`Date` date
,`Name` varchar(100)
,`Product_Name` varchar(100)
,`Product_Code` varchar(64)
,`UOM_Name` varchar(50)
,`date_time` datetime
,`Logged_ID` int(11)
,`Category_ID` int(11)
,`order_nb` varchar(266)
,`date_created` datetime
,`created_logged_id` int(11)
,`Cat_Name` varchar(255)
,`Order_ID` bigint(20)
,`is_sales` tinyint(1)
,`is_quotation` tinyint(4)
,`UOM_ID` int(11)
,`delivery_date` datetime
,`branch_id` int(11)
,`Currency_Symbol` varchar(50)
,`Currency_ID` int(11)
,`current_rate` double
,`Item_Quantity_Current` double
,`discount_amount` double
,`brand_id` int(11)
,`is_converted` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `overtime_paid_details`
-- (See below for the actual view)
--
CREATE TABLE `overtime_paid_details` (
`Employee_Name` varchar(302)
,`Branch_Name` varchar(255)
,`Job_Name` varchar(100)
,`Overtime_Amount` double
,`Overtime_ID` int(11)
,`OverTime_Date` date
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `paid_accrued_leave`
-- (See below for the actual view)
--
CREATE TABLE `paid_accrued_leave` (
`Paid_Accrued_ID` int(11)
,`Employee_ID` int(11)
,`Days_Number` int(11)
,`Paid_Date` date
,`Payment_Code` varchar(255)
,`Account_ID` bigint(20)
,`Paid_Amount` double
,`Currency_ID` int(11)
,`Logged_ID` int(11)
,`is_actual` tinyint(4)
,`Employee_Name` varchar(302)
,`Currency_Symbol` varchar(50)
,`Account_Name` varchar(255)
,`Account_Code` varchar(255)
);

-- --------------------------------------------------------

--
-- Table structure for table `paper_size`
--

CREATE TABLE `paper_size` (
  `paper_size_id` int(11) NOT NULL,
  `paper_size` varchar(100) NOT NULL,
  `width_cm` double NOT NULL DEFAULT '0',
  `height_cm` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `paper_size`
--

INSERT INTO `paper_size` (`paper_size_id`, `paper_size`, `width_cm`, `height_cm`) VALUES
(1, '58x30mm', 5.8, 3),
(2, 'A4', 21, 29.7);

-- --------------------------------------------------------

--
-- Stand-in structure for view `payment_list`
-- (See below for the actual view)
--
CREATE TABLE `payment_list` (
`Payment_Auto_ID` int(11)
,`payment_prefix` varchar(20)
,`ID` varchar(31)
,`Payment_ID` int(11)
,`Account_ID` bigint(20)
,`Account_Code` varchar(255)
,`Payment_Due_Date` date
,`Payment_Amount` double
,`Payment_Type_ID` int(11)
,`Payment_Date` date
,`Currency_ID` int(11)
,`Payment_Note` text
,`Cheque_Number` varchar(255)
,`IsReceipt` tinyint(1)
,`Logged_ID` int(11)
,`branch_id` int(11)
,`created_logged_id` int(11)
,`Status_ID` int(11)
,`Account_Name` varchar(255)
,`Payment_Type_Name` varchar(255)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`current_year_id` int(11)
,`User_Full_Name` varchar(250)
,`date_created` datetime
,`user_ref` varchar(255)
,`pos_customer_id` int(11)
,`pos_customer_name` varchar(200)
,`payment_app_id` int(11)
,`is_main_transfer` tinyint(4)
,`subscription_fees_id` int(11)
,`is_pending` int(11)
,`is_return` int(11)
,`payment_detail_id` int(11)
,`is_returned` int(11)
,`salesman_id` int(11)
,`total_amount` double
,`main_Currency_Name` varchar(64)
,`main_Currency_Symbol` varchar(50)
,`main_Currency_ID` int(11)
,`is_pos` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `pipeline_data`
-- (See below for the actual view)
--
CREATE TABLE `pipeline_data` (
`deal_id` int(11)
,`deal_title` varchar(250)
,`deal_date` datetime
,`deal_state` varchar(250)
,`stage_id` tinyint(4)
,`contact_id` int(11)
,`deal_value` varchar(500)
,`currency_id` int(11)
,`deal_open` varchar(200)
,`progress_id` int(11)
,`order_id` int(11)
,`reason_for_loss` text
,`contact_name` varchar(200)
,`organization_id` int(11)
,`organization_name` varchar(200)
,`organization_customer_name` varchar(200)
,`activity_id` int(11)
,`activity_title` varchar(250)
,`activity_checked` tinyint(4)
,`activity_notes` mediumtext
,`end_date` datetime
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `pos_invoices`
-- (See below for the actual view)
--
CREATE TABLE `pos_invoices` (
`table_name` varchar(200)
,`Is_Closed` tinyint(1)
,`Close_ID` int(11)
,`Persons_Count` int(11)
,`Related_Tables` varchar(255)
,`table_id` int(11)
,`Is_Delivery` tinyint(4)
,`Invoice_ID_Auto` int(11)
,`Invoice_ID` int(11)
,`Customer_ID` int(11)
,`Invoice_Date` date
,`Invoice_Currency` int(11)
,`Invoice_VAT` double
,`Invoice_Shipping` double
,`Invoice_Sub_Total` double
,`Invoice_Discount` double
,`Invoice_Net_Total` double
,`Invoice_Due_Date` date
,`Invoice_Paid_Amount` double
,`Invoice_Status` tinyint(3)
,`Return_Invoice_Total` double
,`Logged_ID` int(11)
,`Sales_ID` int(11)
,`Load_ID` int(11)
,`current_year_id` int(11)
,`date_time` datetime
,`Invoice_Description` longtext
,`Invoice_Note` varchar(255)
,`Bon_Number` bigint(20)
,`Archive_Status` tinyint(1)
,`Inv_Type` int(11)
,`Delivery_Time` datetime
,`reason_id` int(11)
,`invoice_prefix` varchar(20)
,`date_created` datetime
,`void_time` datetime
,`Customer_Name` varchar(100)
,`customer_address` varchar(255)
,`customer_phone` varchar(50)
,`Discount_Value` double
,`Currency_Symbol` varchar(50)
,`Currency_Code` char(3)
,`currency_round` double
,`Currency_Name` varchar(64)
,`is_printed` tinyint(4)
,`order_note` text
,`is_delivery_notified` tinyint(4)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`is_actual` tinyint(1)
,`table_status_id` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `prepaid_expense_income`
-- (See below for the actual view)
--
CREATE TABLE `prepaid_expense_income` (
`Prepaid_ID` int(11)
,`Account_Code` varchar(255)
,`Prepaid_Code` varchar(255)
,`Main_Account` varchar(255)
,`Prepaid_Account` varchar(255)
,`Supplier_Name` varchar(100)
,`Total_Amount` varchar(72)
,`Amount_PerMonth` varchar(73)
,`Description` varchar(150)
,`Start_Date` date
,`End_Date` date
,`Is_Actual` tinyint(1)
,`current_year_id` int(11)
,`is_expense` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `pricing_class_list`
-- (See below for the actual view)
--
CREATE TABLE `pricing_class_list` (
`class_id` int(11)
,`class_name` varchar(103)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `printer_list`
-- (See below for the actual view)
--
CREATE TABLE `printer_list` (
`printer_id` int(11)
,`printer_name` varchar(200)
,`printer_title` varchar(200)
,`printer_key` varchar(255)
,`is_default` tinyint(4)
,`branch_id` varchar(250)
,`branch_name` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `process_employee`
-- (See below for the actual view)
--
CREATE TABLE `process_employee` (
`template_name` varchar(255)
,`barcode_nb` varchar(30)
,`date` date
,`Employee_ID` int(11)
,`template_id` int(11)
,`full_name` varchar(201)
,`type_name` varchar(255)
,`cost` double
,`process_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `production_process_details`
-- (See below for the actual view)
--
CREATE TABLE `production_process_details` (
`process_id` bigint(20)
,`process_detail_id` bigint(20)
,`current_quantity` double
,`default_quantity` double
,`operation` varchar(10)
,`cost` double
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`template_id` int(11)
,`Category_ID` int(11)
,`date` date
,`Product_ID` int(11)
,`UOM_Name` varchar(50)
,`UOM_ID` int(11)
,`template_name` varchar(255)
,`process_quantity` double
,`date_time` datetime
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `products_uom`
-- (See below for the actual view)
--
CREATE TABLE `products_uom` (
`current_key` varchar(23)
,`Bar_Code` varchar(100)
,`Product_ID` int(11)
,`Product_Code` varchar(64)
,`product_second_code` varchar(250)
,`Product_Name` varchar(100)
,`Category_ID` int(11)
,`UOM_Name` varchar(50)
,`UOM_ID` int(11)
,`is_expiry` tinyint(1)
,`is_lot` tinyint(4)
,`is_serial` tinyint(4)
,`Status_ID` tinyint(1)
,`is_service` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_add_ons`
-- (See below for the actual view)
--
CREATE TABLE `product_add_ons` (
`product_add_ons_id` int(11)
,`product_add_ons_quantity` int(11)
,`add_ons_id` int(11)
,`product_id` int(11)
,`add_ons_title` varchar(200)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_criteria`
-- (See below for the actual view)
--
CREATE TABLE `product_criteria` (
`criteria_id` int(11)
,`criteria_name` varchar(200)
,`criteria_type` tinyint(4)
,`criteria_max_count` tinyint(4)
,`is_required` tinyint(4)
,`Product_ID` int(11)
,`criteria_details` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_criteria_detail`
-- (See below for the actual view)
--
CREATE TABLE `product_criteria_detail` (
`criteria_id` int(11)
,`criteria_name` varchar(200)
,`criteria_type` tinyint(4)
,`criteria_max_count` tinyint(4)
,`is_required` tinyint(4)
,`Product_ID` int(11)
,`criteria_detail_id` int(11)
,`criteria_detail_name` varchar(200)
,`criteria_detail_price` double
,`invoice_criteria_id` int(11)
,`details_id` int(11)
,`category_id` int(11)
,`category_name` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_expenses`
-- (See below for the actual view)
--
CREATE TABLE `product_expenses` (
`expense_id` int(11)
,`ex_nb` varchar(21)
,`expense_nb` int(11)
,`Product_ID` int(11)
,`expense_date_time` datetime
,`created_logged_id` int(11)
,`Logged_ID` int(11)
,`date_created` datetime
,`date_time` datetime
,`note` text
,`prefix` varchar(10)
,`Depot_ID` int(11)
,`branch_id` int(11)
,`current_year_id` int(11)
,`is_actual` tinyint(1)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`Depot_Name` varchar(103)
,`line_id` int(11)
,`line_name` varchar(250)
,`product_full_name` mediumtext
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_link`
-- (See below for the actual view)
--
CREATE TABLE `product_link` (
`link_id` int(11)
,`main_product_id` int(11)
,`sub_product_id` int(11)
,`quantity` double
,`UOM_ID` int(11)
,`current_quantity` double
,`operation` varchar(5)
,`Product_Name` varchar(100)
,`UOM_Name` varchar(50)
,`defualt_product_uom` int(11)
,`main_product_name` varchar(100)
,`main_uom_id` int(11)
,`price` int(1)
,`profit` int(1)
,`recipe_qty` double
,`main_uom` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_list`
-- (See below for the actual view)
--
CREATE TABLE `product_list` (
`Product_ID` int(11)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`Category_ID` int(11)
,`Currency_ID` int(11)
,`Product_Quantity` double
,`Product_Cost` double
,`Product_Price` double
,`Product_Reorder_Point` double
,`UOM_ID` int(11)
,`Product_VAT` int(11)
,`vat_percent` double
,`vat2_percent` double
,`Status_ID` tinyint(1)
,`Parent_ID` int(11)
,`date_created` datetime
,`created_logged_id` int(11)
,`date_time` datetime
,`Logged_ID` int(11)
,`Product_Note` varchar(500)
,`product_description` text
,`printer_id` varchar(50)
,`Product_PLU` varchar(100)
,`PLU_Type` varchar(50)
,`Product_Arabic_Name` varchar(255)
,`on_scale` tinyint(1)
,`product_type` tinyint(4)
,`group_account_id` int(11)
,`Product_Limit_Discount` double
,`is_tax` tinyint(1)
,`product_color` varchar(250)
,`product_order` int(11)
,`row_number` int(11)
,`column_number` int(11)
,`page_number` int(11)
,`brand_id` int(11)
,`section_id` int(11)
,`family_id` int(11)
,`machine_type_id` int(11)
,`is_expiry` tinyint(1)
,`link_note` text
,`force_change_price` int(11)
,`duration_reservation` tinyint(4)
,`default_view_uom_id` int(11)
,`default_view_rate` double
,`branch_id` varchar(250)
,`is_lot` tinyint(4)
,`is_serial` tinyint(4)
,`main_supplier_id` int(11)
,`default_sales_uom` int(11)
,`default_purchase_uom` int(11)
,`is_ticket` tinyint(4)
,`is_service` tinyint(4)
,`brand_name` varchar(255)
,`family_name` varchar(250)
,`Cat_Name` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_location`
-- (See below for the actual view)
--
CREATE TABLE `product_location` (
`Product_ID` int(11)
,`product_second_code` varchar(250)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`total_quantity` double
,`Product_Quantity` double
,`Category_ID` int(11)
,`Depot_Name` varchar(50)
,`Depot_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_movement_invoice`
-- (See below for the actual view)
--
CREATE TABLE `product_movement_invoice` (
`Product_Net_Price` double
,`vat_amount` double
,`brand_id` int(11)
,`is_actual` tinyint(1)
,`Product_Cost` double
,`current_year_id` int(11)
,`Entery_ID` int(11)
,`Person_ID` varchar(22)
,`Customer_ID` int(11)
,`Product_ID` int(11)
,`Discount` double
,`Quantity` double
,`Product_Total_Price` double
,`Date` date
,`Currency_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Item_Name` varchar(100)
,`Product_PLU` varchar(100)
,`Code` varchar(64)
,`date_time` datetime
,`Logged_ID` int(11)
,`Category_ID` int(11)
,`UOM_Name` varchar(50)
,`current_rate` double
,`invoice_nb` varchar(31)
,`profit` double
,`profit_percent` double
,`date_created` datetime
,`created_logged_id` int(11)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`total_tax` double
,`branch_id` int(11)
,`Sales_ID` int(11)
,`Invoice_ID_Auto` int(11)
,`customer_branch_id` int(11)
,`Item_Quantity_Current` double
,`current_uom_name` varchar(50)
,`vat2_amount` double
,`def_view_qty` double
,`is_return` int(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_mov_invoice`
-- (See below for the actual view)
--
CREATE TABLE `product_mov_invoice` (
`Product_Net_Price` double
,`vat_amount` double
,`brand_name` varchar(255)
,`brand_id` int(11)
,`is_actual` tinyint(1)
,`Product_Cost` double
,`current_year_id` int(11)
,`Entery_ID` int(11)
,`Person_ID` varchar(22)
,`Customer_ID` int(11)
,`Product_ID` int(11)
,`Discount` double
,`Quantity` double
,`Product_Total_Price` double
,`Date` date
,`Currency_ID` int(11)
,`Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`Item_Name` varchar(100)
,`Code` varchar(64)
,`UOM_Name` varchar(50)
,`date_time` datetime
,`Logged_ID` int(11)
,`Category_ID` int(11)
,`current_rate` double
,`invoice_nb` varchar(31)
,`profit` double
,`profit_percent` double
,`date_created` datetime
,`created_logged_id` int(11)
,`Cat_Name` varchar(255)
,`table_key1` varchar(22)
,`table_key2` varchar(22)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`second_currency_rate` double
,`product_description` varchar(255)
,`commission` double
,`employee_id` int(11)
,`vehicle_id` int(11)
,`vehicle_name` varchar(306)
,`employee_name` varchar(302)
,`Invoice_ID_Auto` int(11)
,`Discount_Amount` double
,`branch_id` int(11)
,`Sales_ID` int(11)
,`Item_Quantity_Current` double
,`details_prod_uom` varchar(50)
,`customer_branch_id` int(11)
,`Depot_Name` varchar(50)
,`depot_id` int(11)
,`vat2_amount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_mov_purchase`
-- (See below for the actual view)
--
CREATE TABLE `product_mov_purchase` (
`is_actual` tinyint(1)
,`current_year_id` int(11)
,`Person_ID` varchar(22)
,`Product_ID` int(11)
,`Discount` double
,`branch_id` int(11)
,`Quantity` double
,`Entery_ID` int(11)
,`Product_Total_Price` double
,`Date` date
,`Currency_ID` int(4)
,`Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`Item_Name` varchar(100)
,`Code` varchar(64)
,`UOM_Name` varchar(50)
,`product_description` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_mov_return`
-- (See below for the actual view)
--
CREATE TABLE `product_mov_return` (
`is_actual` tinyint(4)
,`Product_Cost` double
,`current_year_id` int(11)
,`Return_Item_ID` int(11)
,`Person_ID` varchar(22)
,`Product_ID` int(11)
,`Discount` double
,`Quantity` double
,`Product_Total_Price` double
,`Date` date
,`Currency_ID` int(11)
,`Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`Item_Name` varchar(100)
,`Code` varchar(64)
,`UOM_Name` varchar(50)
,`Logged_ID` int(11)
,`Is_Customer_Invoice` tinyint(1)
,`Category_ID` int(11)
,`date_created` datetime
,`brand_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_property_values`
-- (See below for the actual view)
--
CREATE TABLE `product_property_values` (
`value_id` int(11)
,`Product_ID` int(11)
,`value_date_time` datetime
,`note` text
,`Logged_ID` int(11)
,`created_logged_id` int(11)
,`date_created` datetime
,`date_time` datetime
,`Product_Name` varchar(100)
,`Product_Code` varchar(64)
,`product_full_name` mediumtext
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `product_specification_options`
-- (See below for the actual view)
--
CREATE TABLE `product_specification_options` (
`product_specification_id` int(11)
,`product_specification_name` varchar(250)
,`all_options` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `project_expense_list`
-- (See below for the actual view)
--
CREATE TABLE `project_expense_list` (
`project_expense_id` int(11)
,`project_expense_nb` int(11)
,`period_id` int(11)
,`project_expense_total` double
,`current_rate` double
,`second_rate` double
,`currency_id` int(11)
,`date_created` datetime
,`created_by` int(11)
,`date_modified` datetime
,`modified_by` int(11)
,`period_title` varchar(250)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`project_name` varchar(255)
,`project_expense_date` date
,`job_name` varchar(255)
,`branch_name` varchar(255)
,`job_id` int(11)
,`branch_id` int(11)
,`start_date` date
,`end_date` date
,`supplier_id` int(11)
,`paid_amount` double
,`payment_acc_id` int(11)
,`check_nb` varchar(255)
,`Supplier_Name` varchar(100)
,`payment_acc_name` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `project_funding_list`
-- (See below for the actual view)
--
CREATE TABLE `project_funding_list` (
`project_funding_id` int(11)
,`project_funding_nb` int(11)
,`detail_id` int(11)
,`date_created` datetime
,`created_by` int(11)
,`date_modified` datetime
,`modified_by` int(11)
,`project_name` varchar(255)
,`period_title` varchar(250)
,`start_date` date
,`end_date` date
,`detail_period_title` varchar(250)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `project_period_list`
-- (See below for the actual view)
--
CREATE TABLE `project_period_list` (
`period_id` int(11)
,`period_title` varchar(250)
,`activity_ids` varchar(250)
,`period_nb` int(11)
,`project_id` int(11)
,`start_date` date
,`end_date` date
,`nb_period` int(11)
,`period_unit` int(11)
,`currency_id` int(11)
,`date_created` datetime
,`created_logged_id` int(11)
,`date_modified` datetime
,`modified_by` int(11)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`project_name` varchar(255)
,`account_id` int(11)
,`Account_Name` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `pump_list`
-- (See below for the actual view)
--
CREATE TABLE `pump_list` (
`pump_id` int(11)
,`pump_name` varchar(250)
,`Product_ID` int(11)
,`Status_ID` tinyint(4)
,`Product_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_delivery_note_list`
-- (See below for the actual view)
--
CREATE TABLE `purchase_delivery_note_list` (
`ID` int(11)
,`Date` date
,`Customer_Supplier_ID` int(11)
,`Name` varchar(100)
,`Is_Customer_Invoice` tinyint(1)
,`Product_Delivery_Quantity` varchar(73)
,`Code` varchar(64)
,`Product_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_details`
-- (See below for the actual view)
--
CREATE TABLE `purchase_details` (
`product_description` varchar(255)
,`vat_percent` double
,`vat_amount` double
,`Purchase_ID_Auto` int(11)
,`Item_Quantity_Current` double
,`UOM_Name` varchar(50)
,`Item_ID` int(11)
,`Code` varchar(64)
,`Name` varchar(100)
,`UOM_ID` int(11)
,`Product_VAT` int(11)
,`Item_VAT` double
,`Purchase_ID` int(11)
,`current_year_id` int(11)
,`Product_ID` int(11)
,`Item_Discount` double
,`Item_Price` double
,`Default_Quantity` double
,`Item_Quantity` varchar(73)
,`Product_Total_Price` double
,`Currency_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Depot_ID` int(11)
,`Supplier_Invoice_ID` varchar(255)
,`Purchase_Discount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_invoice_coupon_details`
-- (See below for the actual view)
--
CREATE TABLE `purchase_invoice_coupon_details` (
`product_name` varchar(165)
,`product_quantity` double
,`bone_type_id` int(11)
,`date` date
,`product_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_invoice_list`
-- (See below for the actual view)
--
CREATE TABLE `purchase_invoice_list` (
`is_actual` tinyint(1)
,`sales_purchase_id` int(11)
,`ID_Auto` int(11)
,`ID` int(11)
,`Name` varchar(100)
,`Date` date
,`Due_Date` date
,`VAT` varchar(70)
,`SubTotal` varchar(70)
,`NetTotal` varchar(70)
,`Person_ID` int(11)
,`date_time` datetime
,`current_year_id` int(11)
,`Country_ID` int(30)
,`branch_id` int(11)
,`table_id` int(1)
,`purchase_type_id` tinyint(4)
,`is_branch_transfer` int(1)
,`invoice_app_id` int(1)
,`exchange_id` int(1)
,`local_net_total` double
,`Currency_Symbol` varchar(50)
,`current_vat` double
,`current_sub_total` double
,`current_net_total` double
,`is_main_transfer` int(1)
,`subscription_fees_id` binary(0)
,`shipping_fees` double
,`current_group_id` int(11)
,`current_class_id` int(11)
,`Depot_ID` int(11)
,`disable_qty` tinyint(4)
,`shipping_status_id` int(1)
,`reason_id` binary(0)
,`user_ref` varchar(255)
,`return_total` double
,`return_paid_amount` double
,`return_ids` varchar(500)
,`ticketing_id` binary(0)
,`inv_desc` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_list`
-- (See below for the actual view)
--
CREATE TABLE `purchase_list` (
`is_actual` tinyint(1)
,`sales_purchase_id` int(11)
,`Return_ID` bigint(11)
,`ID_Auto` int(11)
,`ID` int(11)
,`Name` varchar(100)
,`Date` date
,`Due_Date` date
,`VAT` varchar(70)
,`SubTotal` varchar(70)
,`NetTotal` varchar(70)
,`Person_ID` int(11)
,`date_time` datetime
,`current_year_id` int(11)
,`Country_ID` int(30)
,`branch_id` int(11)
,`table_id` int(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_main_detailed`
-- (See below for the actual view)
--
CREATE TABLE `purchase_main_detailed` (
`current_year_id` int(11)
,`Auto_ID` int(11)
,`UOM_ID` int(11)
,`UOM_Name` varchar(50)
,`Product_ID` int(11)
,`Inv_Pur_ID` int(11)
,`Net_Total` double
,`Main_Discount` double
,`Person_Name` varchar(100)
,`Person_ID` int(11)
,`Inv_Pur_Date` date
,`Currency_ID` int(4)
,`Quantity` varchar(73)
,`Code` varchar(64)
,`Name` varchar(100)
,`Item_VAT` int(11)
,`Item_Discount` double
,`Currency_Symbol` varchar(50)
,`Item_Price` double
,`Item_Quantity_Current` double
,`Item_Quantity` double
,`unq` varchar(33)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_main_list`
-- (See below for the actual view)
--
CREATE TABLE `purchase_main_list` (
`sales_purchase_id` int(11)
,`Return_Purchase_Total` double
,`date_time` datetime
,`driver_id` int(11)
,`from_place` text
,`to_place` text
,`current_year_id` int(11)
,`Purchase_ID` int(11)
,`Purchase_ID_Auto` int(11)
,`Supplier_Name` varchar(100)
,`Purchase_Date` date
,`Purchase_Due_Date` date
,`Purchase_Discount` double
,`Purchase_VAT` double
,`Purchase_Sub_Total` double
,`Purchase_Net_Total` double
,`Purchase_Paid_Amount` double
,`Currency_ID` int(4)
,`Currency_Symbol` varchar(50)
,`Currency_Name` varchar(64)
,`Depot_ID` int(11)
,`Supplier_ID` int(11)
,`Depot_Name` varchar(50)
,`Supplier_Invoice_ID` varchar(255)
,`Purchase_Shipping` double
,`discount_amount` double
,`currency_round` double
,`Account_ID` int(11)
,`Account_Code` varchar(255)
,`Account_Name` varchar(255)
,`current_rate` double
,`Invoice_Description` text
,`extra_cost` double
,`cost_dist_method` int(11)
,`job_id` int(11)
,`job_name` varchar(255)
,`is_actual` tinyint(1)
,`due_date_period` double
,`truck` varchar(250)
,`loading_number` varchar(500)
,`purchase_type_id` tinyint(4)
,`service_amount` double
,`service_vat` double
,`bone_type_name` varchar(250)
,`bone_type_id` int(11)
,`project_name` varchar(255)
,`project_id` int(11)
,`Class_ID` int(11)
,`Class_Name` varchar(50)
,`pur_currency_round` double
,`second_currency_rate` double
,`ship_date` date
,`ship_bill_nb` varchar(255)
,`invoice_type_id` int(11)
,`container_nb` double
,`container_size` double
,`ctn_nb` varchar(255)
,`ctn_date` date
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_order_details`
-- (See below for the actual view)
--
CREATE TABLE `purchase_order_details` (
`Order_ID` bigint(20)
,`Product_ID` int(11)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`Quantity` varchar(73)
,`Unit_Price` double
,`UOM_Name` varchar(50)
,`UOM_ID` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_order_list`
-- (See below for the actual view)
--
CREATE TABLE `purchase_order_list` (
`Order_ID` bigint(20)
,`po` text
,`project_name_inv` text
,`project_code` text
,`job_inv` text
,`our_ref` text
,`driver_id` int(11)
,`from_place` text
,`to_place` text
,`supply_date` text
,`sale_nb` varchar(266)
,`Order_ID_Auto` int(11)
,`Supplier_ID` int(11)
,`Order_Date` date
,`Status_ID` int(11)
,`Logged_ID` int(11)
,`Currency_ID` int(11)
,`current_rate` double
,`Depot_ID` int(11)
,`branch_id` int(11)
,`is_sales` tinyint(1)
,`Person_Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`Currency_Name` varchar(64)
,`currency_round` double
,`Depot_Code` varchar(50)
,`Depot_Name` varchar(50)
,`is_quotation` tinyint(4)
,`sale_app_id` int(11)
,`app_user_id` int(11)
,`sale_due_date` date
,`created_logged_id` int(11)
,`date_time` datetime
,`date_created` datetime
,`sale_prefix` varchar(255)
,`Class_ID` int(11)
,`Class_Name` varchar(50)
,`is_ttc` tinyint(4)
,`current_year_id` int(11)
,`discount_percent` double
,`discount_amount` double
,`total_vat` double
,`sub_total` double
,`net_total` double
,`order_description` text
,`due_date_period` double
,`is_actual` double
,`is_converted` tinyint(4)
,`job_id` int(11)
,`job_name` varchar(255)
,`project_id` int(11)
,`project_name` varchar(255)
,`supp_class_id` int(11)
,`supp_class_name` varchar(50)
,`version_nb` int(11)
,`delivery_date` datetime
,`extra_cost` double
,`postponed_status_id` int(11)
,`postponed_date_time` datetime
,`postponed_note` text
,`customer_address_alias` varchar(255)
,`customer_name_alias` varchar(255)
,`shipping` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_returned_list`
-- (See below for the actual view)
--
CREATE TABLE `purchase_returned_list` (
`current_year_id` int(11)
,`Auto_ID` int(11)
,`Total` double
,`Return_Date` date
,`UOM_ID` int(11)
,`UOM_Name` varchar(50)
,`Product_ID` int(11)
,`Inv_Pur_ID` int(11)
,`Net_Total` double
,`Main_Discount` double
,`Person_Name` varchar(100)
,`Person_ID` int(11)
,`Inv_Pur_Date` date
,`Currency_ID` int(4)
,`Quantity` varchar(73)
,`Code` varchar(64)
,`Name` varchar(100)
,`Item_VAT` int(11)
,`Item_Discount` double
,`Currency_Symbol` varchar(50)
,`Item_Price` double
,`Item_Quantity_Current` double
,`Item_Quantity` double
,`Remain_Main` double
,`Remaining_Quantity` varchar(74)
,`Total_Item_Price` double
,`Product_Return_Quantity` varchar(73)
,`Total_Item_Returned_Price` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `purchase_returned_products`
-- (See below for the actual view)
--
CREATE TABLE `purchase_returned_products` (
`UOM_ID` int(11)
,`UOM_Name` varchar(50)
,`Product_ID` int(11)
,`Inv_Pur_ID` int(11)
,`Net_Total` double
,`Main_Discount` double
,`Person_Name` varchar(100)
,`Person_ID` int(11)
,`Inv_Pur_Date` date
,`Currency_ID` int(4)
,`Quantity` varchar(73)
,`Product_Return_Quantity` varchar(73)
,`Remain_Main` double
,`Remaining_Quantity` varchar(74)
,`Code` varchar(64)
,`Name` varchar(100)
,`Item_VAT` int(11)
,`Item_Discount` double
,`Currency_Symbol` varchar(50)
,`Item_Price` double
,`Total_Item_Price` double
);

-- --------------------------------------------------------

--
-- Table structure for table `receiving`
--

CREATE TABLE `receiving` (
  `A` varchar(19) DEFAULT NULL,
  `B` varchar(10) DEFAULT NULL,
  `C` varchar(14) DEFAULT NULL,
  `D` varchar(23) DEFAULT NULL,
  `E` varchar(23) DEFAULT NULL,
  `F` varchar(27) DEFAULT NULL,
  `G` varchar(11) DEFAULT NULL,
  `H` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `receiving`
--

INSERT INTO `receiving` (`A`, `B`, `C`, `D`, `E`, `F`, `G`, `H`) VALUES
(NULL, NULL, NULL, 'أفران لبنان - قسم النقل', NULL, NULL, NULL, NULL),
('RECEIVING INVENTORY', NULL, NULL, 'كشف الفانات والسيارات', NULL, NULL, NULL, NULL),
('رقم الصنف', 'إسم المنتج', 'الشركة المنتجة', 'المواصفات', 'الكمية الجديدة المستلمة', 'تاريخ إستلام الكمية الجديدة', 'إسم المستلم', NULL),
('A123', 'طحين أبيض', 'التاج', 'طحين أبيض', '50', NULL, NULL, NULL),
('B123', 'طحين أسمر', 'عساف', 'طحين أسمر', '20', 'Monday, December 10, 2018', NULL, NULL),
('C123', 'ITEM C', 'شركة شل', 'مازوت أخضر', '200,000', NULL, NULL, NULL),
(NULL, NULL, NULL, 'أفران لبنان - قسم النقل', NULL, NULL, NULL, NULL),
('RECEIVING INVENTORY', NULL, NULL, 'كشف الفانات والسيارات', NULL, NULL, NULL, NULL),
('رقم الصنف', 'إسم المنتج', 'الشركة المنتجة', 'المواصفات', 'الكمية الجديدة المستلمة', 'تاريخ إستلام الكمية الجديدة', 'إسم المستلم', NULL),
('A123', 'طحين أبيض', 'التاج', 'طحين أبيض', '50', NULL, NULL, NULL),
('B123', 'طحين أسمر', 'عساف', 'طحين أسمر', '20', 'Monday, December 10, 2018', NULL, NULL),
('C123', 'ITEM C', 'شركة شل', 'مازوت أخضر', '200,000', NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Stand-in structure for view `rent_type_list`
-- (See below for the actual view)
--
CREATE TABLE `rent_type_list` (
`rent_type_id` int(11)
,`rent_type_name` varchar(250)
,`rent_type_price` double
,`currency_id` int(11)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `reorder_product_stock`
-- (See below for the actual view)
--
CREATE TABLE `reorder_product_stock` (
`Product_ID` int(11)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`Product_Quantity` double
,`Product_Price` varchar(73)
,`Product_Reorder_Point` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `report_user_invoices`
-- (See below for the actual view)
--
CREATE TABLE `report_user_invoices` (
`Invoice_ID_Auto` int(11)
,`total_amount` double
,`total_paid` double
,`User_Name` varchar(45)
,`Close_ID` int(11)
,`date_time` datetime
,`date_created` datetime
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `request_list`
-- (See below for the actual view)
--
CREATE TABLE `request_list` (
`Request_ID` int(11)
,`req_nb` varchar(31)
,`Request_Number` int(11)
,`serial_prefix` varchar(20)
,`Request_Date` varchar(50)
,`Request_From` int(11)
,`Request_To` int(11)
,`Logged_ID` varchar(50)
,`Status_ID` tinyint(4)
,`Rejection_Comment` varchar(1000)
,`Delivery_Date` date
,`Req_From` varchar(103)
,`Req_To` varchar(103)
,`app_request_id` int(11)
,`is_main_transfer` tinyint(4)
,`ticketing_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `returned_main_detailed`
-- (See below for the actual view)
--
CREATE TABLE `returned_main_detailed` (
`Return_Invoice_ID` int(11)
,`current_year_id` int(11)
,`Note` longtext
,`Total_Returned_Price` double
,`Return_Date` date
,`unq` varchar(33)
,`Item_Quantity_Current` double
,`Return_Product_Quantity` double
,`UOM_Name` varchar(50)
,`Is_Customer_Invoice` tinyint(1)
,`Currency_Symbol` varchar(50)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`unit_price` double
,`Return_Product_Total` double
,`Bar_Code` varchar(100)
,`is_service` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `return_report`
-- (See below for the actual view)
--
CREATE TABLE `return_report` (
`is_actual` tinyint(4)
,`Product_Cost` double
,`current_year_id` int(11)
,`Entery_ID` int(11)
,`Product_ID` int(11)
,`Discount` double
,`Quantity` double
,`Product_Total_Price` double
,`Date` date
,`Currency_ID` int(11)
,`Name` varchar(100)
,`Currency_Symbol` varchar(50)
,`Item_Name` varchar(100)
,`Code` varchar(64)
,`UOM_Name` varchar(50)
,`date_time` datetime
,`Logged_ID` int(11)
,`Is_Customer_Invoice` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `route_schedule`
-- (See below for the actual view)
--
CREATE TABLE `route_schedule` (
`schedule_id` int(11)
,`employee_id` int(11)
,`route_ids` varchar(250)
,`schedule_date` date
,`is_one_time` tinyint(4)
,`employee` varchar(302)
,`user_id` int(11)
,`User_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `salary_periods`
-- (See below for the actual view)
--
CREATE TABLE `salary_periods` (
`period_id` int(11)
,`period_name` varchar(255)
,`basic_salary` double
,`Currency_ID` int(11)
,`pay_period` int(11)
,`unit_time` int(11)
,`formula_id` int(11)
,`formula_name` varchar(255)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`Currency_Code` char(3)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `salesman_route_schedule`
-- (See below for the actual view)
--
CREATE TABLE `salesman_route_schedule` (
`schedule_id` int(11)
,`employee_id` int(11)
,`route_ids` varchar(250)
,`schedule_date` date
,`is_one_time` tinyint(4)
,`employee` varchar(302)
,`user_id` int(11)
,`User_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `sales_invoice_list`
-- (See below for the actual view)
--
CREATE TABLE `sales_invoice_list` (
`is_actual` tinyint(1)
,`sales_purchase_id` int(11)
,`Invoice_Status` tinyint(3)
,`is_delivery` tinyint(4)
,`Delivery_Time` datetime
,`date_time` datetime
,`ID_Auto` int(11)
,`ID` varchar(31)
,`Name` varchar(100)
,`customer_mobile` varchar(50)
,`Date` date
,`Due_Date` date
,`Is_Closed` tinyint(1)
,`VAT` varchar(70)
,`SubTotal` varchar(70)
,`NetTotal` varchar(70)
,`Person_ID` int(11)
,`current_year_id` int(11)
,`Logged_ID` int(11)
,`is_app` tinyint(4)
,`Country_ID` int(11)
,`date_created` datetime
,`branch_id` int(11)
,`pos_customer_id` int(11)
,`table_id` int(11)
,`invoice_prefix` varchar(20)
,`purchase_type_id` int(1)
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
,`is_branch_transfer` tinyint(4)
,`invoice_app_id` int(11)
,`exchange_id` int(11)
,`is_printed_invoice` tinyint(4)
,`local_net_total` double
,`shipping_company_id` int(11)
,`shipping_company_name` varchar(250)
,`current_sub_total` double
,`current_net_total` double
,`current_vat` double
,`Currency_Symbol` varchar(50)
,`is_main_transfer` tinyint(4)
,`subscription_fees_id` int(11)
,`shipping_fees` double
,`current_group_id` int(11)
,`current_class_id` int(11)
,`customer_branch_id` int(11)
,`Sales_ID` int(11)
,`Depot_ID` int(11)
,`shipping_status_id` tinyint(4)
,`invoice_type_id` int(11)
,`reason_id` int(11)
,`user_ref` varchar(250)
,`return_total` double
,`return_paid_amount` double
,`return_ids` varchar(500)
,`ticketing_id` int(11)
,`inv_desc` longtext
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `sales_order_detailes`
-- (See below for the actual view)
--
CREATE TABLE `sales_order_detailes` (
`Order_ID` int(11)
,`Product_ID` int(11)
,`Product_Code` varchar(64)
,`Product_Name` varchar(100)
,`Quantity` varchar(73)
,`Unit_Price` double
,`Currency_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Currency_Name` varchar(64)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `sales_order_list`
-- (See below for the actual view)
--
CREATE TABLE `sales_order_list` (
`Customer_ID` int(11)
,`Sales_Order_ID` int(11)
,`Sales_Status` tinyint(4)
,`Customer_Name` varchar(100)
,`Employee_Name` varchar(302)
,`Sales_Order_Date` date
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `sales_purchase_list`
-- (See below for the actual view)
--
CREATE TABLE `sales_purchase_list` (
`sales_purchase_id_auto` int(11)
,`sales_purchase_number` int(11)
,`Invoice_ID_Auto` int(11)
,`Purchase_IDs_Auto` varchar(255)
,`Invoice_Status` tinyint(3)
,`is_delivery` tinyint(4)
,`Delivery_Time` datetime
,`date_time` datetime
,`ID_Auto` int(11)
,`ID` varchar(31)
,`Name` varchar(100)
,`Date` date
,`Due_Date` date
,`VAT` varchar(73)
,`SubTotal` varchar(73)
,`NetTotal` varchar(73)
,`Person_ID` int(11)
,`current_year_id` int(11)
,`is_committed` tinyint(4)
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `sales_purchase_return_list`
-- (See below for the actual view)
--
CREATE TABLE `sales_purchase_return_list` (
`sales_purchase_id_auto` int(11)
,`sales_purchase_number` int(11)
,`Invoice_ID_Auto` int(11)
,`Purchase_IDs_Auto` varchar(255)
,`date_time` datetime
,`ID_Auto` int(11)
,`ID` varchar(31)
,`Name` varchar(100)
,`Date` date
,`Due_Date` date
,`VAT` varchar(73)
,`SubTotal` varchar(73)
,`NetTotal` varchar(73)
,`Person_ID` int(11)
,`current_year_id` int(11)
);

-- --------------------------------------------------------

--
-- Table structure for table `sales_tracker`
--

CREATE TABLE `sales_tracker` (
  `ID` int(11) NOT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `customers_ID` int(11) DEFAULT NULL,
  `tracker_group` varchar(3) DEFAULT NULL,
  `daily` int(11) DEFAULT NULL,
  `start_date` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `sales_tracker`
--

INSERT INTO `sales_tracker` (`ID`, `supplier_id`, `customers_ID`, `tracker_group`, `daily`, `start_date`) VALUES
(30, 1, 2, 'a', 10, '2021-07-06'),
(31, 3, 0, 'B', 10, '2021-09-01'),
(32, 3, 1, 'B', 10, '2021-09-01');

-- --------------------------------------------------------

--
-- Table structure for table `sales_tracker_check`
--

CREATE TABLE `sales_tracker_check` (
  `ID` int(11) NOT NULL,
  `sales_tracker_ID` int(11) DEFAULT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `customers_ID` int(11) DEFAULT NULL,
  `tracker_group` varchar(10) DEFAULT NULL,
  `old_start_date` varchar(30) DEFAULT NULL,
  `todey_day` varchar(30) DEFAULT NULL,
  `check_it` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `sales_tracker_group`
--

CREATE TABLE `sales_tracker_group` (
  `ID` int(11) NOT NULL,
  `old_start_date` varchar(30) DEFAULT NULL,
  `old_end_date` varchar(30) DEFAULT NULL,
  `tracker_group` varchar(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `sales_tracker_group`
--

INSERT INTO `sales_tracker_group` (`ID`, `old_start_date`, `old_end_date`, `tracker_group`) VALUES
(4, '2021-07-01', '2021-07-31', 'Z');

-- --------------------------------------------------------

--
-- Stand-in structure for view `scale_view`
-- (See below for the actual view)
--
CREATE TABLE `scale_view` (
`scale_id` int(11)
,`scale_name` varchar(255)
,`scale_ip` varchar(255)
,`class_id` int(11)
,`Class_Name` varchar(50)
,`scale_type` int(11)
,`scale_properties` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `schedule_bills_list`
-- (See below for the actual view)
--
CREATE TABLE `schedule_bills_list` (
`bill_id` int(11)
,`bill_nb` int(11)
,`customer_id` int(11)
,`account_id` int(11)
,`pay_for` varchar(250)
,`main_total` double
,`nb_of_bills` int(11)
,`first_bill` double
,`bill_amount` double
,`last_bill` double
,`currency_id` int(11)
,`payment_period` int(11)
,`bill_date` date
,`start_date` date
,`bill_description` text
,`date_created` datetime
,`date_time` datetime
,`created_logged_id` int(11)
,`logged_id` int(11)
,`current_year_id` int(11)
,`is_actual` tinyint(4)
,`Customer_Name` varchar(100)
,`Currency_Code` char(3)
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `schedule_bills_payment_list`
-- (See below for the actual view)
--
CREATE TABLE `schedule_bills_payment_list` (
`bill_detail_id` int(11)
,`bill_detail_nb` int(11)
,`bill_detail_due_date` date
,`bill_detail_amount` double
,`is_paid` tinyint(4)
,`bill_id` int(11)
,`bill_nb` int(11)
,`currency_id` int(11)
,`customer_id` int(11)
,`is_actual` tinyint(4)
,`Customer_Name` varchar(100)
,`main_total` double
,`Currency_Code` char(3)
,`Currency_Symbol` varchar(50)
,`Transaction_ID` int(11)
,`JV_ID` int(11)
,`Transaction_Amount` double
,`Transaction_Date` date
,`user_ref` varchar(255)
,`bill_detail_paid_amount` double
,`trans_currency_symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `service_invoice_list`
-- (See below for the actual view)
--
CREATE TABLE `service_invoice_list` (
`Invoice_ID_Auto` int(11)
,`Invoice_ID` int(11)
,`Invoice_Date` date
,`Invoice_Due_Date` date
,`Total` varchar(73)
,`Customer_Name` varchar(100)
,`current_year_id` int(11)
,`Is_Actual` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `shipping_company_list`
-- (See below for the actual view)
--
CREATE TABLE `shipping_company_list` (
`shipping_company_id` int(11)
,`shipping_company_name` varchar(250)
,`shipping_company_fees` double
,`shipping_account_id` int(11)
,`sales_account_id` int(11)
,`api_folder` varchar(250)
,`shipping_account_name` varchar(255)
,`sales_account_name` varchar(255)
,`user_name` varchar(250)
,`password` varchar(250)
,`token` mediumtext
,`api_version` varchar(250)
,`note` text
,`main_account_id` int(11)
,`main_account_name` varchar(255)
,`is_invoice_total_on_shipping` tinyint(4)
,`trans_on_change_status` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `shipping_list`
-- (See below for the actual view)
--
CREATE TABLE `shipping_list` (
`Invoice_ID_Auto` int(11)
,`invoice_nb` varchar(31)
,`Reference` longtext
,`Collection` double
,`Invoice_Currency` int(11)
,`shipping_company_id` int(11)
,`current_year_id` int(11)
,`Invoice_Date` date
,`address_id` int(11)
,`shipping_title` varchar(250)
,`Customer_ID` int(11)
,`Customer_Name` varchar(100)
,`pick_up_date` date
,`drop_off_date` date
,`shipping_status_id` int(4)
,`DBNumber` varchar(500)
,`api_other_response` mediumtext
,`shipping_status` varchar(250)
,`Invoice_Description` longtext
,`shipping_note` varchar(250)
,`current_rate` double
,`second_currency_rate` double
,`Payment_Paid_Amount` double
,`Invoice_Net_Total` double
,`is_invoice_total_on_shipping` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `station_invoice_list`
-- (See below for the actual view)
--
CREATE TABLE `station_invoice_list` (
`invoice_id` int(11)
,`invoice_nb` int(11)
,`invoice_prefix` varchar(20)
,`customer_id` int(11)
,`invoice_date` date
,`subtotal` double
,`invoice_vat` double
,`net_total` double
,`currency_id` int(11)
,`depot_id` int(11)
,`branch_id` int(11)
,`current_rate` double
,`job_id` int(11)
,`description` text
,`logged_id` int(11)
,`created_logged_id` int(11)
,`date_time` datetime
,`date_created` datetime
,`is_actual` tinyint(4)
,`current_year_id` int(11)
,`class_id` int(11)
,`employee_id` int(11)
,`Account_ID` int(11)
,`Customer_Name` varchar(100)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`InvoiceVat` varchar(73)
,`NetTotal` varchar(73)
,`sub_total` varchar(74)
,`inv_num` varchar(31)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `stock_transactions`
-- (See below for the actual view)
--
CREATE TABLE `stock_transactions` (
`Transaction_ID` bigint(20)
,`Product_ID` int(11)
,`Depot_ID` int(11)
,`Product_Quantity` double
,`Transaction_Type_ID` int(11)
,`Transaction_Date` date
,`Logged_ID` int(11)
,`Operation_Type` varchar(11)
,`Unit_Cost` double
,`unit_price` double
,`Currency_ID` int(11)
,`Exchange_Rate_ID` int(11)
,`Item_Quantity_Current` double
,`UOM_ID` int(11)
,`date_time` datetime
,`is_actual` int(11)
,`main_id` int(11)
,`expiry_date` date
,`lot_nb` varchar(255)
,`serial_nb` varchar(255)
,`CODE` varchar(64)
,`NAME` varchar(100)
,`Category_ID` int(11)
,`Depot_Name` varchar(50)
,`Depot_Code` varchar(50)
,`Transaction_Type` varchar(255)
,`UOM_Name` varchar(50)
,`Total_Quantity` double
,`main_type` varchar(255)
,`Cur_Quantity` varchar(73)
,`Employee_Name` varchar(45)
,`uom_rate` double
,`default_view_uom` varchar(50)
,`total_qty_def_view` double
,`is_current` int(11)
,`main_nb` varchar(255)
,`Customer_Name` varchar(100)
,`Supplier_Name` varchar(100)
,`trans_note` text
,`current_cost` double
,`current_rate` double
,`second_currency_rate` double
,`second_currency_cost` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `subscription_details_list`
-- (See below for the actual view)
--
CREATE TABLE `subscription_details_list` (
`detail_fees_id` int(11)
,`detail_id` int(11)
,`start` double
,`end` double
,`price` double
,`fees_type_id` tinyint(4)
,`product_id` int(11)
,`type_id` tinyint(4)
,`subscription_id` int(11)
,`subscription_name` varchar(250)
,`Product_Name` varchar(100)
,`UOM_Name` varchar(50)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `subscription_fees_list`
-- (See below for the actual view)
--
CREATE TABLE `subscription_fees_list` (
`main_id` int(11)
,`customer_subscription_id` int(11)
,`main_date` date
,`next_date` date
,`sales_emp_id` int(11)
,`paid_status` tinyint(4)
,`paid_amount` double
,`subscription_id` int(11)
,`date_created` datetime
,`created_logged_id` int(11)
,`date_time` datetime
,`logged_id` int(11)
,`Customer_Name` varchar(100)
,`subscription_name` varchar(250)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`Invoice_Date` date
,`ID_Auto` int(11)
,`ID` varchar(31)
,`Invoice_Net_Total` double
,`Invoice_Currency` int(11)
,`current_year_id` int(11)
,`Customer_ID` int(11)
,`discount_amount` double
,`job_id` int(11)
,`project_id` int(11)
,`is_open_balance` tinyint(4)
,`Customer_Address` varchar(255)
,`inv_currency_round` double
,`current_rate` double
,`second_currency_rate` double
,`paid_type` tinyint(4)
,`category_id` int(11)
,`block_id` int(11)
,`category_name` varchar(500)
,`block_name` varchar(500)
,`total_amount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `subscription_list`
-- (See below for the actual view)
--
CREATE TABLE `subscription_list` (
`subscription_id` int(11)
,`subscription_name` varchar(250)
,`currency_id` int(11)
,`is_ttc` tinyint(4)
,`is_active` tinyint(4)
,`period` int(11)
,`period_unit` tinyint(4)
,`bill_start` varchar(250)
,`Currency_Name` varchar(64)
,`Currency_Code` char(3)
,`Currency_Symbol` varchar(50)
,`paid_type` tinyint(4)
,`currency_round` double
,`round_type` tinyint(4)
,`category_id` int(11)
,`category_name` varchar(500)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `supplier_list`
-- (See below for the actual view)
--
CREATE TABLE `supplier_list` (
`ID` int(11)
,`Name` varchar(100)
,`branch_id` int(11)
,`Company` varchar(100)
,`Work_Phone` varchar(50)
,`Address` varchar(255)
,`Account_Code` varchar(255)
,`Customer_Mobile` varchar(50)
,`Status_ID` tinyint(1)
,`balance` int(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `tags_view`
-- (See below for the actual view)
--
CREATE TABLE `tags_view` (
`Entry_ID` int(11)
,`Tag_ID` int(11)
,`Type_ID` int(11)
,`Tag_Price` double
,`Tag_Name` varchar(50)
,`Type_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Table structure for table `tag_names`
--

CREATE TABLE `tag_names` (
  `Tag_ID` int(11) NOT NULL,
  `Tag_Name` varchar(50) NOT NULL,
  `Tag_Order` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tag_types`
--

CREATE TABLE `tag_types` (
  `Type_ID` int(11) NOT NULL,
  `Type_Name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_accrued_expenses`
--

CREATE TABLE `tbl_accounting_accrued_expenses` (
  `Accrued_Expense_ID` int(11) NOT NULL,
  `Expense_Code` varchar(200) NOT NULL,
  `AccruedlExpense_Code` varchar(200) NOT NULL,
  `Expected_Amount` double NOT NULL,
  `Real_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `Description` varchar(200) NOT NULL,
  `Start_Date` date NOT NULL,
  `End_Date` date NOT NULL,
  `Payment_ID` int(11) NOT NULL,
  `Supplier_ID` int(11) NOT NULL,
  `Status_ID` int(11) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Is_Actual` tinyint(1) NOT NULL DEFAULT '0',
  `current_year_id` int(11) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Accrued_Account_ID` bigint(20) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_bank_accounts`
--

CREATE TABLE `tbl_accounting_bank_accounts` (
  `Bank_Account_ID` int(11) NOT NULL,
  `Credit_Card_Number` varchar(30) NOT NULL,
  `Bank_Account_Name` varchar(100) NOT NULL,
  `Bank_Name` varchar(100) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Bank_Account_Number` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_bank_accounts`
--

INSERT INTO `tbl_accounting_bank_accounts` (`Bank_Account_ID`, `Credit_Card_Number`, `Bank_Account_Name`, `Bank_Name`, `Currency_ID`, `Bank_Account_Number`) VALUES
(1, '1234', 'Bank A', 'Bank A', 84, '123');

--
-- Triggers `tbl_accounting_bank_accounts`
--
DELIMITER $$
CREATE TRIGGER `after_add_bank` AFTER INSERT ON `tbl_accounting_bank_accounts` FOR EACH ROW BEGIN
    SET
        @main_parent =(
        SELECT
            acc_setting_value
        FROM
            tbl_account_setting
        WHERE
            acc_setting_name = 'bank_parent_acc_id'
    ) ;
CALL
    `sp_get_auto_account_by_parent`(@main_parent, 1, @generated_main) ;
INSERT INTO tbl_chart_of_accounts
SET
    Account_Name = NEW.Bank_Name,
    Parent_ID = @main_parent,
    Account_Code = @generated_main,
    main_id = NEW.Bank_Account_ID,
    main_type = 'pay',
    sub_type = 'credit,check',
    Currency_ID = NEW.Currency_ID,
    IsAdded = 1 ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_bank_deposit_withdrawal`
--

CREATE TABLE `tbl_accounting_bank_deposit_withdrawal` (
  `Deposit_WithDrawal_ID` int(11) NOT NULL,
  `dw_number` int(11) NOT NULL,
  `dw_prefix` varchar(255) NOT NULL,
  `To_Account` varchar(100) NOT NULL,
  `From_Account` varchar(100) NOT NULL,
  `Deposit_WithDrawal_Amount` double NOT NULL,
  `Currency_From` int(11) NOT NULL,
  `current_rate_from` double NOT NULL DEFAULT '1',
  `second_currency_rate_from` double NOT NULL DEFAULT '0',
  `Deposit_WithDrawal_Date` date NOT NULL,
  `due_date` date NOT NULL,
  `Deposit_WithDrawal_Description` varchar(200) NOT NULL,
  `Status_ID` int(11) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Is_Hidden` tinyint(1) NOT NULL,
  `Deposit_WithDrawal_Amount_To` double NOT NULL,
  `Currency_To` int(11) NOT NULL,
  `current_rate_to` double NOT NULL DEFAULT '1',
  `second_currency_rate_to` double NOT NULL DEFAULT '0',
  `current_year_id` int(11) NOT NULL,
  `From_Account_ID` bigint(20) NOT NULL,
  `To_Account_ID` bigint(20) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_dep_id` int(11) NOT NULL,
  `app_branch_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_closing_vat`
--

CREATE TABLE `tbl_accounting_closing_vat` (
  `Closing_VAT_ID` int(11) NOT NULL,
  `Closing_VAT_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Closing_VAT_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_closing_vat`
--

INSERT INTO `tbl_accounting_closing_vat` (`Closing_VAT_ID`, `Closing_VAT_Amount`, `Currency_ID`, `Closing_VAT_Date`, `Logged_ID`) VALUES
(1, 0, 84, '2021-02-28', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_contra`
--

CREATE TABLE `tbl_accounting_contra` (
  `Contra_ID` int(11) NOT NULL,
  `Transfer_From` int(11) NOT NULL,
  `Transfer_To` int(11) NOT NULL,
  `Transfer_Amount` double NOT NULL,
  `From_Currency` int(11) NOT NULL,
  `Contra_Date` date NOT NULL,
  `Contra_Note` longtext NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `To_Currency` int(11) NOT NULL,
  `Transfered_Amount` double NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `From_Account_ID` bigint(20) NOT NULL,
  `To_Account_ID` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_customer_supplier_accounts`
--

CREATE TABLE `tbl_accounting_customer_supplier_accounts` (
  `Entry_ID` int(11) NOT NULL,
  `Customer_Supplier_ID` int(11) NOT NULL,
  `Account_ID` int(11) NOT NULL,
  `Account_Code` varchar(255) NOT NULL,
  `Supplier_Exist` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_debit_credit_note`
--

CREATE TABLE `tbl_accounting_debit_credit_note` (
  `Note_ID` int(11) NOT NULL,
  `note_nb` int(11) NOT NULL,
  `Supplier_Customer_ID` int(11) NOT NULL,
  `Account_ID` int(11) NOT NULL,
  `Note_Date` date NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Note_Amount` double NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `Note_Description` text NOT NULL,
  `Is_Debit_Note` tinyint(1) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `date_created` datetime NOT NULL,
  `paid_amount` double DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_depreciation_dates`
--

CREATE TABLE `tbl_accounting_depreciation_dates` (
  `Depreciation_Date_ID` int(11) NOT NULL,
  `Depreciation_Rate_ID` int(11) NOT NULL,
  `Depreciation_Date` date NOT NULL,
  `Depreciation_Amount` double NOT NULL,
  `Is_Done` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_depreciation_rate_data`
--

CREATE TABLE `tbl_accounting_depreciation_rate_data` (
  `Depreciation_Rate_ID` int(11) NOT NULL,
  `Depreciation_Rate_Percent` double NOT NULL,
  `Depreciation_Period_ID` tinyint(3) NOT NULL,
  `Depreciation_Rate_Description` varchar(250) NOT NULL,
  `Expense_ID` int(11) NOT NULL,
  `exp_detail_id` int(11) NOT NULL,
  `dep_start_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_expenses`
--

CREATE TABLE `tbl_accounting_expenses` (
  `Expense_ID` int(11) NOT NULL,
  `expense_nb` int(11) NOT NULL,
  `Expense_Date` date NOT NULL,
  `Expense_DueDate` date NOT NULL,
  `Expense_Description` varchar(255) NOT NULL,
  `Expense_Item_Quantity` double NOT NULL,
  `Expense_Unit_Price` double NOT NULL,
  `Account_Code` int(11) NOT NULL,
  `Expense_Total_Price` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `Expense_Note` longtext NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Supplier_ID` int(20) NOT NULL,
  `Expense_VAT` double NOT NULL,
  `Document_Type` varchar(100) NOT NULL,
  `Is_Hidden` tinyint(1) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `supplier_inv_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `paid_amount` double NOT NULL DEFAULT '0',
  `job_id` int(11) DEFAULT NULL,
  `pay_method_acc_id` int(11) DEFAULT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `project_id` int(11) DEFAULT NULL,
  `is_pending` tinyint(4) NOT NULL DEFAULT '0',
  `is_cash` int(11) NOT NULL DEFAULT '0',
  `main_acc_id` int(11) DEFAULT NULL,
  `vat_acc_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_expenses_details`
--

CREATE TABLE `tbl_accounting_expenses_details` (
  `exp_detail_id` int(11) NOT NULL,
  `Expense_ID` int(11) NOT NULL,
  `Account_ID` int(11) NOT NULL,
  `quantity` double NOT NULL DEFAULT '0',
  `unit_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `description` varchar(255) NOT NULL,
  `paid_amount` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_jobs`
--

CREATE TABLE `tbl_accounting_jobs` (
  `job_id` int(11) NOT NULL,
  `job_name` varchar(255) NOT NULL,
  `job_code` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `job_main_type` varchar(250) DEFAULT 'sys',
  `job_main_id` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_period_types`
--

CREATE TABLE `tbl_accounting_period_types` (
  `Period_ID` int(11) NOT NULL,
  `Period_Name` varchar(25) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_period_types`
--

INSERT INTO `tbl_accounting_period_types` (`Period_ID`, `Period_Name`) VALUES
(1, 'Monthly'),
(2, 'Quarterly '),
(3, 'Annual ');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_prepaid_data`
--

CREATE TABLE `tbl_accounting_prepaid_data` (
  `Prepaid_Data_ID` int(11) NOT NULL,
  `Prepaid_ID` int(11) NOT NULL,
  `Transaction_Date` date NOT NULL,
  `Transaction_Amount` double NOT NULL,
  `Is_Done` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_prepaid_expense_income`
--

CREATE TABLE `tbl_accounting_prepaid_expense_income` (
  `Prepaid_ID` int(11) NOT NULL,
  `Account_Code` varchar(200) NOT NULL,
  `Prepaid_Account` varchar(200) NOT NULL,
  `Payment_ID` int(11) NOT NULL,
  `Supplier_ID` varchar(200) NOT NULL,
  `Total_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `Amount_PerMonth` double NOT NULL,
  `Start_Date` date NOT NULL,
  `End_Date` date NOT NULL,
  `Description` varchar(150) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Paid_Amount` double NOT NULL,
  `Is_Actual` tinyint(1) NOT NULL DEFAULT '0',
  `current_year_id` int(11) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Prepaid_Account_ID` bigint(20) NOT NULL,
  `is_expense` tinyint(4) NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_return_invoices`
--

CREATE TABLE `tbl_accounting_return_invoices` (
  `Return_Invoice_ID` int(11) NOT NULL,
  `Return_ID` int(11) NOT NULL,
  `invoice_prefix` varchar(20) NOT NULL,
  `Invoice_Purchase_ID` int(11) DEFAULT NULL,
  `Return_Invoice_Total` double NOT NULL,
  `Return_Net_Total` double NOT NULL DEFAULT '0',
  `Return_Paid_Total` double NOT NULL,
  `Invoice_VAT` double NOT NULL DEFAULT '0',
  `vat1_total` double NOT NULL DEFAULT '0',
  `vat2_total` double NOT NULL DEFAULT '0',
  `discount_percent` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `Return_Invoice_Note` longtext NOT NULL,
  `Return_Invoice_Date` date NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `Is_Customer_Invoice` tinyint(1) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `Is_Actual` tinyint(4) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Person_ID` int(11) NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `invoice_app_id` int(11) DEFAULT NULL,
  `app_user_id` int(11) DEFAULT NULL,
  `app_branch_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `Class_ID` int(11) DEFAULT NULL,
  `Sales_ID` int(11) DEFAULT NULL,
  `sales_purchase_id` int(11) DEFAULT NULL,
  `Account_ID` int(11) DEFAULT NULL,
  `job_id` int(11) DEFAULT NULL,
  `tax_amount` double NOT NULL DEFAULT '0',
  `exchange_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL,
  `customer_branch_id` int(11) DEFAULT NULL,
  `disable_qty` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_return_items`
--

CREATE TABLE `tbl_accounting_return_items` (
  `Return_Item_ID` int(11) NOT NULL,
  `Return_Invoice_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Return_Product_Quantity` double NOT NULL,
  `Return_Product_Total` double NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `unit_price` double NOT NULL DEFAULT '0',
  `Product_Discount` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `vat2_percent` double NOT NULL DEFAULT '0',
  `vat2_amount` double NOT NULL DEFAULT '0',
  `unit_cost` double NOT NULL DEFAULT '0',
  `product_description` varchar(255) NOT NULL,
  `return_detail_id` int(11) DEFAULT NULL,
  `expiry_date` date DEFAULT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `is_damaged` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_schedule_bills`
--

CREATE TABLE `tbl_accounting_schedule_bills` (
  `bill_id` int(11) NOT NULL,
  `bill_nb` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `account_id` int(11) NOT NULL,
  `pay_for` varchar(250) NOT NULL,
  `main_total` double NOT NULL DEFAULT '0',
  `nb_of_bills` int(11) NOT NULL DEFAULT '1',
  `first_bill` double NOT NULL DEFAULT '0',
  `bill_amount` double NOT NULL DEFAULT '0',
  `last_bill` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `payment_period` int(11) NOT NULL DEFAULT '1',
  `bill_date` date NOT NULL,
  `start_date` date NOT NULL,
  `bill_description` text NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `logged_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_schedule_bills`
--

INSERT INTO `tbl_accounting_schedule_bills` (`bill_id`, `bill_nb`, `customer_id`, `account_id`, `pay_for`, `main_total`, `nb_of_bills`, `first_bill`, `bill_amount`, `last_bill`, `currency_id`, `payment_period`, `bill_date`, `start_date`, `bill_description`, `date_created`, `date_time`, `created_logged_id`, `logged_id`, `current_year_id`, `is_actual`) VALUES
(1, 1, 1, 0, 'Customer A', 2000000, 8, 400000, 200000, 0, 84, 1, '2021-07-01', '2021-07-01', 'desc.', '2021-07-01 10:45:16', '2021-07-01 10:45:16', 1, 1, 2, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_schedule_bills_details`
--

CREATE TABLE `tbl_accounting_schedule_bills_details` (
  `bill_detail_id` int(11) NOT NULL,
  `bill_detail_nb` int(11) NOT NULL,
  `bill_detail_due_date` date NOT NULL,
  `bill_detail_amount` double NOT NULL DEFAULT '0',
  `bill_detail_paid_amount` double NOT NULL DEFAULT '0',
  `is_paid` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1:not paid,2:partially paid,3:paid',
  `bill_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_schedule_bills_details`
--

INSERT INTO `tbl_accounting_schedule_bills_details` (`bill_detail_id`, `bill_detail_nb`, `bill_detail_due_date`, `bill_detail_amount`, `bill_detail_paid_amount`, `is_paid`, `bill_id`) VALUES
(1, 1, '2021-07-01', 200000, 200000, 3, 1),
(2, 2, '2021-08-01', 200000, 0, 1, 1),
(3, 3, '2021-09-01', 200000, 0, 1, 1),
(4, 4, '2021-10-01', 200000, 0, 1, 1),
(5, 5, '2021-11-01', 200000, 0, 1, 1),
(6, 6, '2021-12-01', 200000, 0, 1, 1),
(7, 7, '2022-01-01', 200000, 0, 1, 1),
(8, 8, '2022-02-01', 200000, 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_transactions`
--

CREATE TABLE `tbl_accounting_transactions` (
  `Transaction_ID` int(11) NOT NULL,
  `JV_ID` int(11) NOT NULL,
  `Transaction_Reference` varchar(32) NOT NULL,
  `user_ref` varchar(255) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Transaction_Account` varchar(255) NOT NULL,
  `Transaction_Type` varchar(12) NOT NULL,
  `Transaction_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Transaction_Date` date NOT NULL,
  `Transaction_Description` longtext NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Exchange_Rate_ID` int(11) DEFAULT '0',
  `Current_Ex_Rate` double NOT NULL,
  `local_amount` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '1',
  `current_year_id` int(11) NOT NULL DEFAULT '2',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `branch_id` int(11) NOT NULL,
  `main_type` varchar(50) NOT NULL,
  `main_id` bigint(20) NOT NULL,
  `sub_id` int(11) DEFAULT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `due_date` date NOT NULL,
  `check_nb` int(11) NOT NULL DEFAULT '0',
  `job_id` int(11) DEFAULT NULL,
  `main_nb` int(11) NOT NULL,
  `prefix` varchar(255) NOT NULL,
  `subtype` varchar(255) NOT NULL,
  `value_date` date DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL,
  `pos_customer_id` int(11) NOT NULL DEFAULT '0',
  `salesman_id` int(11) NOT NULL DEFAULT '0',
  `activity_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Triggers `tbl_accounting_transactions`
--
DELIMITER $$
CREATE TRIGGER `after_add_transaction` BEFORE INSERT ON `tbl_accounting_transactions` FOR EACH ROW BEGIN
    SET
        @local_currency =(
        SELECT
            `setting_value`
        FROM
            `tbl_default_settings`
        WHERE
            `setting_name` = 'local_currency'
    ) ; IF @local_currency <> NEW.Currency_ID THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = NEW.Currency_ID AND to_currency = @local_currency
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ; IF @ex_rate_id IS NULL THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = @local_currency AND to_currency = NEW.Currency_ID
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ;
END IF ;
SET NEW
    .Exchange_Rate_ID = @ex_rate_id ;
    END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_transaction_subtype`
--

CREATE TABLE `tbl_accounting_transaction_subtype` (
  `subtype_id` int(11) NOT NULL,
  `subtype_name` varchar(255) NOT NULL,
  `subtype_abbrv` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_transaction_subtype`
--

INSERT INTO `tbl_accounting_transaction_subtype` (`subtype_id`, `subtype_name`, `subtype_abbrv`) VALUES
(1, 'll', 'm');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_transfer_jv`
--

CREATE TABLE `tbl_accounting_transfer_jv` (
  `Transfer_ID` int(11) NOT NULL,
  `Old_JV_ID` bigint(20) NOT NULL,
  `New_JV_ID` bigint(20) NOT NULL,
  `Transfer_Date` date NOT NULL,
  `Transfer_Description` text NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_accounting_vat_type_names`
--

CREATE TABLE `tbl_accounting_vat_type_names` (
  `VAT_Type_ID` int(11) NOT NULL,
  `VAT_Type_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_accounting_vat_type_names`
--

INSERT INTO `tbl_accounting_vat_type_names` (`VAT_Type_ID`, `VAT_Type_Name`) VALUES
(1, 'Totally'),
(2, 'Partially'),
(3, 'None');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_account_setting`
--

CREATE TABLE `tbl_account_setting` (
  `id` int(11) NOT NULL,
  `acc_setting_name` varchar(255) NOT NULL,
  `acc_setting_value` varchar(255) NOT NULL,
  `main_type` varchar(255) NOT NULL,
  `sub_type` varchar(255) NOT NULL,
  `setting_type` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_account_setting`
--

INSERT INTO `tbl_account_setting` (`id`, `acc_setting_name`, `acc_setting_value`, `main_type`, `sub_type`, `setting_type`) VALUES
(1, 'customer_main_acc_id', '188', 'cust', 'main', 'table##s##chart_of_accounts'),
(2, 'supplier_main_acc_id', '191', 'supp', 'main', 'table##s##chart_of_accounts'),
(3, 'pay_type_parent_acc_id', '5', 'pay', '', 'table##s##chart_of_accounts'),
(4, 'account_code_length', '8', '', '', 'number'),
(5, 'supplier_exp_vat_partial_acc_id', '1063', 'supp', 'exp_vat', 'table##s##chart_of_accounts'),
(6, 'supplier_fa_vat_partial_acc_id', '1062', 'supp', 'fa_vat', 'table##s##chart_of_accounts'),
(7, 'supplier_pur_vat_partial_acc_id', '1061', 'supp', 'pur_vat', 'table##s##chart_of_accounts'),
(8, 'supplier_fa_acc_id', '1056', 'supp', 'fa', 'table##s##chart_of_accounts'),
(9, 'supplier_exp_acc_id', '386', 'supp', 'exp', 'table##s##chart_of_accounts'),
(10, 'customer_vat_acc_id', '1599', 'cust', 'vat', 'table##s##chart_of_accounts'),
(11, 'supplier_exp_vat_acc_id', '1968', 'supp', 'exp_vat', 'table##s##chart_of_accounts'),
(12, 'supplier_fa_vat_acc_id', '1966', 'supp', 'fa_vat', 'table##s##chart_of_accounts'),
(13, 'supplier_pur_vat_acc_id', '1965', 'supp', 'pur_vat', 'table##s##chart_of_accounts'),
(14, 'emp_exp_parent_acc_id', '512', 'emp', 'exp', 'table##s##chart_of_accounts'),
(15, 'emp_income_parent_acc_id', '347', 'emp', 'inc', 'table##s##chart_of_accounts'),
(16, 'fixed_asset_parent_acc_id', '18', '', '', 'table##s##chart_of_accounts'),
(17, 'depreciation_parent_acc_id', '168', '', '', 'table##s##chart_of_accounts'),
(18, 'provision_parent_acc_id', '526', '', '', 'table##s##chart_of_accounts'),
(19, 'service_account_id', '2217', '', '', 'table##s##chart_of_accounts'),
(20, 'job_code_length', '3', '', '', 'number'),
(21, 'loss_acc', '85', '', '', 'table##s##chart_of_accounts'),
(22, 'revenue_acc', '84', '', '', 'table##s##chart_of_accounts'),
(23, 'close_year_acc_codes', '6,7', '', '', 'input'),
(24, 'bank_parent_acc_id', '209', 'bank', '', 'table##s##chart_of_accounts'),
(25, 'vehicle_rent_account_id', '2217', '', '', 'table##s##chart_of_accounts'),
(27, 'negative_ex_rate', '545', '', '', 'table##s##chart_of_accounts'),
(28, 'positive_ex_rate', '631', '', '', 'table##s##chart_of_accounts'),
(29, 'project_code_length', '3', '', '', 'number'),
(30, 'customer_bill_acc_id', '343', 'cust', 'bill', 'table##s##chart_of_accounts'),
(31, 'capital_acc_id', '72', '', '', 'table##s##chart_of_accounts'),
(32, 'end_stock_account_id', '472', '', '', 'table##s##chart_of_accounts'),
(33, 'begining_stock_account_id', '439', '', '', 'table##s##chart_of_accounts'),
(34, 'payroll_other_charges_acc_id', '2240', '', '', 'table##s##chart_of_accounts'),
(35, 'payroll_emp_charge1_acc_id', '2240', '', '', 'table##s##chart_of_accounts'),
(36, 'payroll_emp_charge2_acc_id', '2240', '', '', 'table##s##chart_of_accounts'),
(37, 'payroll_emp_charge3_acc_id', '2240', '', '', 'table##s##chart_of_accounts'),
(38, 'payroll_emp_charge4_acc_id', '2240', '', '', 'table##s##chart_of_accounts'),
(39, 'payroll_transportation_acc_id', '909', '', '', 'table##s##chart_of_accounts'),
(40, 'payroll_lunch_acc_id', '2232', '', '', 'table##s##chart_of_accounts'),
(41, 'payroll_phone_acc_id', '2240', '', '', 'table##s##chart_of_accounts'),
(42, 'payroll_allowance_acc_id', '352', '', '', 'table##s##chart_of_accounts'),
(43, 'payroll_overtime_acc_id', '2181', '', '', 'table##s##chart_of_accounts'),
(44, 'payroll_bonus_acc_id', '512', '', '', 'table##s##chart_of_accounts'),
(45, 'payroll_tax_acc_id', '357', '', '', 'table##s##chart_of_accounts'),
(46, 'payroll_nssf_acc_id', '353', '', '', 'table##s##chart_of_accounts'),
(47, 'payroll_deduction_acc_id', '2113', '', '', 'table##s##chart_of_accounts'),
(48, 'payroll_adv_pay_acc_id', '2259', '', '', 'table##s##chart_of_accounts'),
(49, 'payroll_loan_pay_acc_id', '2259', '', '', 'table##s##chart_of_accounts'),
(50, 'payroll_leave_debit_acc_id', '911', '', '', 'table##s##chart_of_accounts'),
(51, 'payroll_family_allow_debit_acc_id', '2108', '', '', 'table##s##chart_of_accounts'),
(52, 'payroll_medical_ins_debit_acc_id', '2106', '', '', 'table##s##chart_of_accounts'),
(53, 'payroll_leave_credit_acc_id', '3549', '', '', 'table##s##chart_of_accounts'),
(54, 'payroll_family_allow_credit_acc_id', '3550', '', '', 'table##s##chart_of_accounts'),
(55, 'payroll_medical_ins_credit_acc_id', '3551', '', '', 'table##s##chart_of_accounts'),
(56, 'customer_fixed_vat_acc_id', '0', '', '', 'table##s##chart_of_accounts'),
(57, 'second_curr_cash_account', '', 'pay', 'cash', 'table##s##chart_of_accounts');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_activity_budget`
--

CREATE TABLE `tbl_activity_budget` (
  `activity_budget_id` int(11) NOT NULL,
  `budget_id` int(11) NOT NULL,
  `detail_id` int(11) DEFAULT NULL,
  `period_id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `activity_id` int(11) NOT NULL,
  `total` double NOT NULL,
  `is_partner` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_activity_tree`
--

CREATE TABLE `tbl_activity_tree` (
  `activity_id` int(11) NOT NULL,
  `activity_code` varchar(250) NOT NULL,
  `activity_title` text NOT NULL,
  `activity_title_alias` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `account_id` int(11) DEFAULT NULL,
  `is_final` tinyint(4) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_activity_tree`
--

INSERT INTO `tbl_activity_tree` (`activity_id`, `activity_code`, `activity_title`, `activity_title_alias`, `parent_id`, `account_id`, `is_final`, `date_created`, `created_logged_id`, `date_modified`, `modified_by`) VALUES
(1, '12', 'sub', '', 0, NULL, 0, '2021-07-05 12:44:09', 1, '2021-07-05 12:44:09', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_activity_type`
--

CREATE TABLE `tbl_activity_type` (
  `activity_type_id` int(11) NOT NULL,
  `activity_type_title` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_activity_type`
--

INSERT INTO `tbl_activity_type` (`activity_type_id`, `activity_type_title`) VALUES
(1, 'Call'),
(2, 'Meeting'),
(3, 'Deadline'),
(4, 'Task');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_add_discount_report_setting`
--

CREATE TABLE `tbl_add_discount_report_setting` (
  `report_setting_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `current_type` tinyint(4) NOT NULL COMMENT '1:discount,2:add',
  `percent` double NOT NULL DEFAULT '0',
  `start_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_add_ons`
--

CREATE TABLE `tbl_add_ons` (
  `add_ons_id` int(11) NOT NULL,
  `add_ons_title` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_add_ons_details`
--

CREATE TABLE `tbl_add_ons_details` (
  `add_ons_details_id` int(11) NOT NULL,
  `add_ons_details_title` varchar(250) NOT NULL,
  `add_ons_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_allergy`
--

CREATE TABLE `tbl_allergy` (
  `allergy_id` int(11) NOT NULL,
  `allergy_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_all_cities`
--

CREATE TABLE `tbl_all_cities` (
  `ID` int(11) NOT NULL,
  `Name` char(35) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CountryCode` char(3) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `District` char(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Population` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `tbl_all_cities`
--

INSERT INTO `tbl_all_cities` (`ID`, `Name`, `CountryCode`, `District`, `Population`) VALUES
(1, 'Kabul', 'AFG', 'Kabol', 1780000),
(2, 'Qandahar', 'AFG', 'Qandahar', 237500),
(3, 'Herat', 'AFG', 'Herat', 186800),
(4, 'Mazar-e-Sharif', 'AFG', 'Balkh', 127800),
(5, 'Amsterdam', 'NLD', 'Noord-Holland', 731200),
(6, 'Rotterdam', 'NLD', 'Zuid-Holland', 593321),
(7, 'Haag', 'NLD', 'Zuid-Holland', 440900),
(8, 'Utrecht', 'NLD', 'Utrecht', 234323),
(9, 'Eindhoven', 'NLD', 'Noord-Brabant', 201843),
(10, 'Tilburg', 'NLD', 'Noord-Brabant', 193238),
(11, 'Groningen', 'NLD', 'Groningen', 172701),
(12, 'Breda', 'NLD', 'Noord-Brabant', 160398),
(13, 'Apeldoorn', 'NLD', 'Gelderland', 153491),
(14, 'Nijmegen', 'NLD', 'Gelderland', 152463),
(15, 'Enschede', 'NLD', 'Overijssel', 149544),
(16, 'Haarlem', 'NLD', 'Noord-Holland', 148772),
(17, 'Almere', 'NLD', 'Flevoland', 142465),
(18, 'Arnhem', 'NLD', 'Gelderland', 138020),
(19, 'Zaanstad', 'NLD', 'Noord-Holland', 135621),
(20, '´s-Hertogenbosch', 'NLD', 'Noord-Brabant', 129170),
(21, 'Amersfoort', 'NLD', 'Utrecht', 126270),
(22, 'Maastricht', 'NLD', 'Limburg', 122087),
(23, 'Dordrecht', 'NLD', 'Zuid-Holland', 119811),
(24, 'Leiden', 'NLD', 'Zuid-Holland', 117196),
(25, 'Haarlemmermeer', 'NLD', 'Noord-Holland', 110722),
(26, 'Zoetermeer', 'NLD', 'Zuid-Holland', 110214),
(27, 'Emmen', 'NLD', 'Drenthe', 105853),
(28, 'Zwolle', 'NLD', 'Overijssel', 105819),
(29, 'Ede', 'NLD', 'Gelderland', 101574),
(30, 'Delft', 'NLD', 'Zuid-Holland', 95268),
(31, 'Heerlen', 'NLD', 'Limburg', 95052),
(32, 'Alkmaar', 'NLD', 'Noord-Holland', 92713),
(33, 'Willemstad', 'ANT', 'Curaçao', 2345),
(34, 'Tirana', 'ALB', 'Tirana', 270000),
(35, 'Alger', 'DZA', 'Alger', 2168000),
(36, 'Oran', 'DZA', 'Oran', 609823),
(37, 'Constantine', 'DZA', 'Constantine', 443727),
(38, 'Annaba', 'DZA', 'Annaba', 222518),
(39, 'Batna', 'DZA', 'Batna', 183377),
(40, 'Sétif', 'DZA', 'Sétif', 179055),
(41, 'Sidi Bel Abbès', 'DZA', 'Sidi Bel Abbès', 153106),
(42, 'Skikda', 'DZA', 'Skikda', 128747),
(43, 'Biskra', 'DZA', 'Biskra', 128281),
(44, 'Blida (el-Boulaida)', 'DZA', 'Blida', 127284),
(45, 'Béjaïa', 'DZA', 'Béjaïa', 117162),
(46, 'Mostaganem', 'DZA', 'Mostaganem', 115212),
(47, 'Tébessa', 'DZA', 'Tébessa', 112007),
(48, 'Tlemcen (Tilimsen)', 'DZA', 'Tlemcen', 110242),
(49, 'Béchar', 'DZA', 'Béchar', 107311),
(50, 'Tiaret', 'DZA', 'Tiaret', 100118),
(51, 'Ech-Chleff (el-Asnam)', 'DZA', 'Chlef', 96794),
(52, 'Ghardaïa', 'DZA', 'Ghardaïa', 89415),
(53, 'Tafuna', 'ASM', 'Tutuila', 5200),
(54, 'Fagatogo', 'ASM', 'Tutuila', 2323),
(55, 'Andorra la Vella', 'AND', 'Andorra la Vella', 21189),
(56, 'Luanda', 'AGO', 'Luanda', 2022000),
(57, 'Huambo', 'AGO', 'Huambo', 163100),
(58, 'Lobito', 'AGO', 'Benguela', 130000),
(59, 'Benguela', 'AGO', 'Benguela', 128300),
(60, 'Namibe', 'AGO', 'Namibe', 118200),
(61, 'South Hill', 'AIA', '–', 961),
(62, 'The Valley', 'AIA', '–', 595),
(63, 'Saint John´s', 'ATG', 'St John', 24000),
(64, 'Dubai', 'ARE', 'Dubai', 669181),
(65, 'Abu Dhabi', 'ARE', 'Abu Dhabi', 398695),
(66, 'Sharja', 'ARE', 'Sharja', 320095),
(67, 'al-Ayn', 'ARE', 'Abu Dhabi', 225970),
(68, 'Ajman', 'ARE', 'Ajman', 114395),
(69, 'Buenos Aires', 'ARG', 'Distrito Federal', 2982146),
(70, 'La Matanza', 'ARG', 'Buenos Aires', 1266461),
(71, 'Córdoba', 'ARG', 'Córdoba', 1157507),
(72, 'Rosario', 'ARG', 'Santa Fé', 907718),
(73, 'Lomas de Zamora', 'ARG', 'Buenos Aires', 622013),
(74, 'Quilmes', 'ARG', 'Buenos Aires', 559249),
(75, 'Almirante Brown', 'ARG', 'Buenos Aires', 538918),
(76, 'La Plata', 'ARG', 'Buenos Aires', 521936),
(77, 'Mar del Plata', 'ARG', 'Buenos Aires', 512880),
(78, 'San Miguel de Tucumán', 'ARG', 'Tucumán', 470809),
(79, 'Lanús', 'ARG', 'Buenos Aires', 469735),
(80, 'Merlo', 'ARG', 'Buenos Aires', 463846),
(81, 'General San Martín', 'ARG', 'Buenos Aires', 422542),
(82, 'Salta', 'ARG', 'Salta', 367550),
(83, 'Moreno', 'ARG', 'Buenos Aires', 356993),
(84, 'Santa Fé', 'ARG', 'Santa Fé', 353063),
(85, 'Avellaneda', 'ARG', 'Buenos Aires', 353046),
(86, 'Tres de Febrero', 'ARG', 'Buenos Aires', 352311),
(87, 'Morón', 'ARG', 'Buenos Aires', 349246),
(88, 'Florencio Varela', 'ARG', 'Buenos Aires', 315432),
(89, 'San Isidro', 'ARG', 'Buenos Aires', 306341),
(90, 'Tigre', 'ARG', 'Buenos Aires', 296226),
(91, 'Malvinas Argentinas', 'ARG', 'Buenos Aires', 290335),
(92, 'Vicente López', 'ARG', 'Buenos Aires', 288341),
(93, 'Berazategui', 'ARG', 'Buenos Aires', 276916),
(94, 'Corrientes', 'ARG', 'Corrientes', 258103),
(95, 'San Miguel', 'ARG', 'Buenos Aires', 248700),
(96, 'Bahía Blanca', 'ARG', 'Buenos Aires', 239810),
(97, 'Esteban Echeverría', 'ARG', 'Buenos Aires', 235760),
(98, 'Resistencia', 'ARG', 'Chaco', 229212),
(99, 'José C. Paz', 'ARG', 'Buenos Aires', 221754),
(100, 'Paraná', 'ARG', 'Entre Rios', 207041),
(101, 'Godoy Cruz', 'ARG', 'Mendoza', 206998),
(102, 'Posadas', 'ARG', 'Misiones', 201273),
(103, 'Guaymallén', 'ARG', 'Mendoza', 200595),
(104, 'Santiago del Estero', 'ARG', 'Santiago del Estero', 189947),
(105, 'San Salvador de Jujuy', 'ARG', 'Jujuy', 178748),
(106, 'Hurlingham', 'ARG', 'Buenos Aires', 170028),
(107, 'Neuquén', 'ARG', 'Neuquén', 167296),
(108, 'Ituzaingó', 'ARG', 'Buenos Aires', 158197),
(109, 'San Fernando', 'ARG', 'Buenos Aires', 153036),
(110, 'Formosa', 'ARG', 'Formosa', 147636),
(111, 'Las Heras', 'ARG', 'Mendoza', 145823),
(112, 'La Rioja', 'ARG', 'La Rioja', 138117),
(113, 'San Fernando del Valle de Cata', 'ARG', 'Catamarca', 134935),
(114, 'Río Cuarto', 'ARG', 'Córdoba', 134355),
(115, 'Comodoro Rivadavia', 'ARG', 'Chubut', 124104),
(116, 'Mendoza', 'ARG', 'Mendoza', 123027),
(117, 'San Nicolás de los Arroyos', 'ARG', 'Buenos Aires', 119302),
(118, 'San Juan', 'ARG', 'San Juan', 119152),
(119, 'Escobar', 'ARG', 'Buenos Aires', 116675),
(120, 'Concordia', 'ARG', 'Entre Rios', 116485),
(121, 'Pilar', 'ARG', 'Buenos Aires', 113428),
(122, 'San Luis', 'ARG', 'San Luis', 110136),
(123, 'Ezeiza', 'ARG', 'Buenos Aires', 99578),
(124, 'San Rafael', 'ARG', 'Mendoza', 94651),
(125, 'Tandil', 'ARG', 'Buenos Aires', 91101),
(126, 'Yerevan', 'ARM', 'Yerevan', 1248700),
(127, 'Gjumri', 'ARM', 'Širak', 211700),
(128, 'Vanadzor', 'ARM', 'Lori', 172700),
(129, 'Oranjestad', 'ABW', '–', 29034),
(130, 'Sydney', 'AUS', 'New South Wales', 3276207),
(131, 'Melbourne', 'AUS', 'Victoria', 2865329),
(132, 'Brisbane', 'AUS', 'Queensland', 1291117),
(133, 'Perth', 'AUS', 'West Australia', 1096829),
(134, 'Adelaide', 'AUS', 'South Australia', 978100),
(135, 'Canberra', 'AUS', 'Capital Region', 322723),
(136, 'Gold Coast', 'AUS', 'Queensland', 311932),
(137, 'Newcastle', 'AUS', 'New South Wales', 270324),
(138, 'Central Coast', 'AUS', 'New South Wales', 227657),
(139, 'Wollongong', 'AUS', 'New South Wales', 219761),
(140, 'Hobart', 'AUS', 'Tasmania', 126118),
(141, 'Geelong', 'AUS', 'Victoria', 125382),
(142, 'Townsville', 'AUS', 'Queensland', 109914),
(143, 'Cairns', 'AUS', 'Queensland', 92273),
(144, 'Baku', 'AZE', 'Baki', 1787800),
(145, 'Gäncä', 'AZE', 'Gäncä', 299300),
(146, 'Sumqayit', 'AZE', 'Sumqayit', 283000),
(147, 'Mingäçevir', 'AZE', 'Mingäçevir', 93900),
(148, 'Nassau', 'BHS', 'New Providence', 172000),
(149, 'al-Manama', 'BHR', 'al-Manama', 148000),
(150, 'Dhaka', 'BGD', 'Dhaka', 3612850),
(151, 'Chittagong', 'BGD', 'Chittagong', 1392860),
(152, 'Khulna', 'BGD', 'Khulna', 663340),
(153, 'Rajshahi', 'BGD', 'Rajshahi', 294056),
(154, 'Narayanganj', 'BGD', 'Dhaka', 202134),
(155, 'Rangpur', 'BGD', 'Rajshahi', 191398),
(156, 'Mymensingh', 'BGD', 'Dhaka', 188713),
(157, 'Barisal', 'BGD', 'Barisal', 170232),
(158, 'Tungi', 'BGD', 'Dhaka', 168702),
(159, 'Jessore', 'BGD', 'Khulna', 139710),
(160, 'Comilla', 'BGD', 'Chittagong', 135313),
(161, 'Nawabganj', 'BGD', 'Rajshahi', 130577),
(162, 'Dinajpur', 'BGD', 'Rajshahi', 127815),
(163, 'Bogra', 'BGD', 'Rajshahi', 120170),
(164, 'Sylhet', 'BGD', 'Sylhet', 117396),
(165, 'Brahmanbaria', 'BGD', 'Chittagong', 109032),
(166, 'Tangail', 'BGD', 'Dhaka', 106004),
(167, 'Jamalpur', 'BGD', 'Dhaka', 103556),
(168, 'Pabna', 'BGD', 'Rajshahi', 103277),
(169, 'Naogaon', 'BGD', 'Rajshahi', 101266),
(170, 'Sirajganj', 'BGD', 'Rajshahi', 99669),
(171, 'Narsinghdi', 'BGD', 'Dhaka', 98342),
(172, 'Saidpur', 'BGD', 'Rajshahi', 96777),
(173, 'Gazipur', 'BGD', 'Dhaka', 96717),
(174, 'Bridgetown', 'BRB', 'St Michael', 6070),
(175, 'Antwerpen', 'BEL', 'Antwerpen', 446525),
(176, 'Gent', 'BEL', 'East Flanderi', 224180),
(177, 'Charleroi', 'BEL', 'Hainaut', 200827),
(178, 'Liège', 'BEL', 'Liège', 185639),
(179, 'Bruxelles [Brussel]', 'BEL', 'Bryssel', 133859),
(180, 'Brugge', 'BEL', 'West Flanderi', 116246),
(181, 'Schaerbeek', 'BEL', 'Bryssel', 105692),
(182, 'Namur', 'BEL', 'Namur', 105419),
(183, 'Mons', 'BEL', 'Hainaut', 90935),
(184, 'Belize City', 'BLZ', 'Belize City', 55810),
(185, 'Belmopan', 'BLZ', 'Cayo', 7105),
(186, 'Cotonou', 'BEN', 'Atlantique', 536827),
(187, 'Porto-Novo', 'BEN', 'Ouémé', 194000),
(188, 'Djougou', 'BEN', 'Atacora', 134099),
(189, 'Parakou', 'BEN', 'Borgou', 103577),
(190, 'Saint George', 'BMU', 'Saint George´s', 1800),
(191, 'Hamilton', 'BMU', 'Hamilton', 1200),
(192, 'Thimphu', 'BTN', 'Thimphu', 22000),
(193, 'Santa Cruz de la Sierra', 'BOL', 'Santa Cruz', 935361),
(194, 'La Paz', 'BOL', 'La Paz', 758141),
(195, 'El Alto', 'BOL', 'La Paz', 534466),
(196, 'Cochabamba', 'BOL', 'Cochabamba', 482800),
(197, 'Oruro', 'BOL', 'Oruro', 223553),
(198, 'Sucre', 'BOL', 'Chuquisaca', 178426),
(199, 'Potosí', 'BOL', 'Potosí', 140642),
(200, 'Tarija', 'BOL', 'Tarija', 125255),
(201, 'Sarajevo', 'BIH', 'Federaatio', 360000),
(202, 'Banja Luka', 'BIH', 'Republika Srpska', 143079),
(203, 'Zenica', 'BIH', 'Federaatio', 96027),
(204, 'Gaborone', 'BWA', 'Gaborone', 213017),
(205, 'Francistown', 'BWA', 'Francistown', 101805),
(206, 'São Paulo', 'BRA', 'São Paulo', 9968485),
(207, 'Rio de Janeiro', 'BRA', 'Rio de Janeiro', 5598953),
(208, 'Salvador', 'BRA', 'Bahia', 2302832),
(209, 'Belo Horizonte', 'BRA', 'Minas Gerais', 2139125),
(210, 'Fortaleza', 'BRA', 'Ceará', 2097757),
(211, 'Brasília', 'BRA', 'Distrito Federal', 1969868),
(212, 'Curitiba', 'BRA', 'Paraná', 1584232),
(213, 'Recife', 'BRA', 'Pernambuco', 1378087),
(214, 'Porto Alegre', 'BRA', 'Rio Grande do Sul', 1314032),
(215, 'Manaus', 'BRA', 'Amazonas', 1255049),
(216, 'Belém', 'BRA', 'Pará', 1186926),
(217, 'Guarulhos', 'BRA', 'São Paulo', 1095874),
(218, 'Goiânia', 'BRA', 'Goiás', 1056330),
(219, 'Campinas', 'BRA', 'São Paulo', 950043),
(220, 'São Gonçalo', 'BRA', 'Rio de Janeiro', 869254),
(221, 'Nova Iguaçu', 'BRA', 'Rio de Janeiro', 862225),
(222, 'São Luís', 'BRA', 'Maranhão', 837588),
(223, 'Maceió', 'BRA', 'Alagoas', 786288),
(224, 'Duque de Caxias', 'BRA', 'Rio de Janeiro', 746758),
(225, 'São Bernardo do Campo', 'BRA', 'São Paulo', 723132),
(226, 'Teresina', 'BRA', 'Piauí', 691942),
(227, 'Natal', 'BRA', 'Rio Grande do Norte', 688955),
(228, 'Osasco', 'BRA', 'São Paulo', 659604),
(229, 'Campo Grande', 'BRA', 'Mato Grosso do Sul', 649593),
(230, 'Santo André', 'BRA', 'São Paulo', 630073),
(231, 'João Pessoa', 'BRA', 'Paraíba', 584029),
(232, 'Jaboatão dos Guararapes', 'BRA', 'Pernambuco', 558680),
(233, 'Contagem', 'BRA', 'Minas Gerais', 520801),
(234, 'São José dos Campos', 'BRA', 'São Paulo', 515553),
(235, 'Uberlândia', 'BRA', 'Minas Gerais', 487222),
(236, 'Feira de Santana', 'BRA', 'Bahia', 479992),
(237, 'Ribeirão Preto', 'BRA', 'São Paulo', 473276),
(238, 'Sorocaba', 'BRA', 'São Paulo', 466823),
(239, 'Niterói', 'BRA', 'Rio de Janeiro', 459884),
(240, 'Cuiabá', 'BRA', 'Mato Grosso', 453813),
(241, 'Juiz de Fora', 'BRA', 'Minas Gerais', 450288),
(242, 'Aracaju', 'BRA', 'Sergipe', 445555),
(243, 'São João de Meriti', 'BRA', 'Rio de Janeiro', 440052),
(244, 'Londrina', 'BRA', 'Paraná', 432257),
(245, 'Joinville', 'BRA', 'Santa Catarina', 428011),
(246, 'Belford Roxo', 'BRA', 'Rio de Janeiro', 425194),
(247, 'Santos', 'BRA', 'São Paulo', 408748),
(248, 'Ananindeua', 'BRA', 'Pará', 400940),
(249, 'Campos dos Goytacazes', 'BRA', 'Rio de Janeiro', 398418),
(250, 'Mauá', 'BRA', 'São Paulo', 375055),
(251, 'Carapicuíba', 'BRA', 'São Paulo', 357552),
(252, 'Olinda', 'BRA', 'Pernambuco', 354732),
(253, 'Campina Grande', 'BRA', 'Paraíba', 352497),
(254, 'São José do Rio Preto', 'BRA', 'São Paulo', 351944),
(255, 'Caxias do Sul', 'BRA', 'Rio Grande do Sul', 349581),
(256, 'Moji das Cruzes', 'BRA', 'São Paulo', 339194),
(257, 'Diadema', 'BRA', 'São Paulo', 335078),
(258, 'Aparecida de Goiânia', 'BRA', 'Goiás', 324662),
(259, 'Piracicaba', 'BRA', 'São Paulo', 319104),
(260, 'Cariacica', 'BRA', 'Espírito Santo', 319033),
(261, 'Vila Velha', 'BRA', 'Espírito Santo', 318758),
(262, 'Pelotas', 'BRA', 'Rio Grande do Sul', 315415),
(263, 'Bauru', 'BRA', 'São Paulo', 313670),
(264, 'Porto Velho', 'BRA', 'Rondônia', 309750),
(265, 'Serra', 'BRA', 'Espírito Santo', 302666),
(266, 'Betim', 'BRA', 'Minas Gerais', 302108),
(267, 'Jundíaí', 'BRA', 'São Paulo', 296127),
(268, 'Canoas', 'BRA', 'Rio Grande do Sul', 294125),
(269, 'Franca', 'BRA', 'São Paulo', 290139),
(270, 'São Vicente', 'BRA', 'São Paulo', 286848),
(271, 'Maringá', 'BRA', 'Paraná', 286461),
(272, 'Montes Claros', 'BRA', 'Minas Gerais', 286058),
(273, 'Anápolis', 'BRA', 'Goiás', 282197),
(274, 'Florianópolis', 'BRA', 'Santa Catarina', 281928),
(275, 'Petrópolis', 'BRA', 'Rio de Janeiro', 279183),
(276, 'Itaquaquecetuba', 'BRA', 'São Paulo', 270874),
(277, 'Vitória', 'BRA', 'Espírito Santo', 270626),
(278, 'Ponta Grossa', 'BRA', 'Paraná', 268013),
(279, 'Rio Branco', 'BRA', 'Acre', 259537),
(280, 'Foz do Iguaçu', 'BRA', 'Paraná', 259425),
(281, 'Macapá', 'BRA', 'Amapá', 256033),
(282, 'Ilhéus', 'BRA', 'Bahia', 254970),
(283, 'Vitória da Conquista', 'BRA', 'Bahia', 253587),
(284, 'Uberaba', 'BRA', 'Minas Gerais', 249225),
(285, 'Paulista', 'BRA', 'Pernambuco', 248473),
(286, 'Limeira', 'BRA', 'São Paulo', 245497),
(287, 'Blumenau', 'BRA', 'Santa Catarina', 244379),
(288, 'Caruaru', 'BRA', 'Pernambuco', 244247),
(289, 'Santarém', 'BRA', 'Pará', 241771),
(290, 'Volta Redonda', 'BRA', 'Rio de Janeiro', 240315),
(291, 'Novo Hamburgo', 'BRA', 'Rio Grande do Sul', 239940),
(292, 'Caucaia', 'BRA', 'Ceará', 238738),
(293, 'Santa Maria', 'BRA', 'Rio Grande do Sul', 238473),
(294, 'Cascavel', 'BRA', 'Paraná', 237510),
(295, 'Guarujá', 'BRA', 'São Paulo', 237206),
(296, 'Ribeirão das Neves', 'BRA', 'Minas Gerais', 232685),
(297, 'Governador Valadares', 'BRA', 'Minas Gerais', 231724),
(298, 'Taubaté', 'BRA', 'São Paulo', 229130),
(299, 'Imperatriz', 'BRA', 'Maranhão', 224564),
(300, 'Gravataí', 'BRA', 'Rio Grande do Sul', 223011),
(301, 'Embu', 'BRA', 'São Paulo', 222223),
(302, 'Mossoró', 'BRA', 'Rio Grande do Norte', 214901),
(303, 'Várzea Grande', 'BRA', 'Mato Grosso', 214435),
(304, 'Petrolina', 'BRA', 'Pernambuco', 210540),
(305, 'Barueri', 'BRA', 'São Paulo', 208426),
(306, 'Viamão', 'BRA', 'Rio Grande do Sul', 207557),
(307, 'Ipatinga', 'BRA', 'Minas Gerais', 206338),
(308, 'Juazeiro', 'BRA', 'Bahia', 201073),
(309, 'Juazeiro do Norte', 'BRA', 'Ceará', 199636),
(310, 'Taboão da Serra', 'BRA', 'São Paulo', 197550),
(311, 'São José dos Pinhais', 'BRA', 'Paraná', 196884),
(312, 'Magé', 'BRA', 'Rio de Janeiro', 196147),
(313, 'Suzano', 'BRA', 'São Paulo', 195434),
(314, 'São Leopoldo', 'BRA', 'Rio Grande do Sul', 189258),
(315, 'Marília', 'BRA', 'São Paulo', 188691),
(316, 'São Carlos', 'BRA', 'São Paulo', 187122),
(317, 'Sumaré', 'BRA', 'São Paulo', 186205),
(318, 'Presidente Prudente', 'BRA', 'São Paulo', 185340),
(319, 'Divinópolis', 'BRA', 'Minas Gerais', 185047),
(320, 'Sete Lagoas', 'BRA', 'Minas Gerais', 182984),
(321, 'Rio Grande', 'BRA', 'Rio Grande do Sul', 182222),
(322, 'Itabuna', 'BRA', 'Bahia', 182148),
(323, 'Jequié', 'BRA', 'Bahia', 179128),
(324, 'Arapiraca', 'BRA', 'Alagoas', 178988),
(325, 'Colombo', 'BRA', 'Paraná', 177764),
(326, 'Americana', 'BRA', 'São Paulo', 177409),
(327, 'Alvorada', 'BRA', 'Rio Grande do Sul', 175574),
(328, 'Araraquara', 'BRA', 'São Paulo', 174381),
(329, 'Itaboraí', 'BRA', 'Rio de Janeiro', 173977),
(330, 'Santa Bárbara d´Oeste', 'BRA', 'São Paulo', 171657),
(331, 'Nova Friburgo', 'BRA', 'Rio de Janeiro', 170697),
(332, 'Jacareí', 'BRA', 'São Paulo', 170356),
(333, 'Araçatuba', 'BRA', 'São Paulo', 169303),
(334, 'Barra Mansa', 'BRA', 'Rio de Janeiro', 168953),
(335, 'Praia Grande', 'BRA', 'São Paulo', 168434),
(336, 'Marabá', 'BRA', 'Pará', 167795),
(337, 'Criciúma', 'BRA', 'Santa Catarina', 167661),
(338, 'Boa Vista', 'BRA', 'Roraima', 167185),
(339, 'Passo Fundo', 'BRA', 'Rio Grande do Sul', 166343),
(340, 'Dourados', 'BRA', 'Mato Grosso do Sul', 164716),
(341, 'Santa Luzia', 'BRA', 'Minas Gerais', 164704),
(342, 'Rio Claro', 'BRA', 'São Paulo', 163551),
(343, 'Maracanaú', 'BRA', 'Ceará', 162022),
(344, 'Guarapuava', 'BRA', 'Paraná', 160510),
(345, 'Rondonópolis', 'BRA', 'Mato Grosso', 155115),
(346, 'São José', 'BRA', 'Santa Catarina', 155105),
(347, 'Cachoeiro de Itapemirim', 'BRA', 'Espírito Santo', 155024),
(348, 'Nilópolis', 'BRA', 'Rio de Janeiro', 153383),
(349, 'Itapevi', 'BRA', 'São Paulo', 150664),
(350, 'Cabo de Santo Agostinho', 'BRA', 'Pernambuco', 149964),
(351, 'Camaçari', 'BRA', 'Bahia', 149146),
(352, 'Sobral', 'BRA', 'Ceará', 146005),
(353, 'Itajaí', 'BRA', 'Santa Catarina', 145197),
(354, 'Chapecó', 'BRA', 'Santa Catarina', 144158),
(355, 'Cotia', 'BRA', 'São Paulo', 140042),
(356, 'Lages', 'BRA', 'Santa Catarina', 139570),
(357, 'Ferraz de Vasconcelos', 'BRA', 'São Paulo', 139283),
(358, 'Indaiatuba', 'BRA', 'São Paulo', 135968),
(359, 'Hortolândia', 'BRA', 'São Paulo', 135755),
(360, 'Caxias', 'BRA', 'Maranhão', 133980),
(361, 'São Caetano do Sul', 'BRA', 'São Paulo', 133321),
(362, 'Itu', 'BRA', 'São Paulo', 132736),
(363, 'Nossa Senhora do Socorro', 'BRA', 'Sergipe', 131351),
(364, 'Parnaíba', 'BRA', 'Piauí', 129756),
(365, 'Poços de Caldas', 'BRA', 'Minas Gerais', 129683),
(366, 'Teresópolis', 'BRA', 'Rio de Janeiro', 128079),
(367, 'Barreiras', 'BRA', 'Bahia', 127801),
(368, 'Castanhal', 'BRA', 'Pará', 127634),
(369, 'Alagoinhas', 'BRA', 'Bahia', 126820),
(370, 'Itapecerica da Serra', 'BRA', 'São Paulo', 126672),
(371, 'Uruguaiana', 'BRA', 'Rio Grande do Sul', 126305),
(372, 'Paranaguá', 'BRA', 'Paraná', 126076),
(373, 'Ibirité', 'BRA', 'Minas Gerais', 125982),
(374, 'Timon', 'BRA', 'Maranhão', 125812),
(375, 'Luziânia', 'BRA', 'Goiás', 125597),
(376, 'Macaé', 'BRA', 'Rio de Janeiro', 125597),
(377, 'Teófilo Otoni', 'BRA', 'Minas Gerais', 124489),
(378, 'Moji-Guaçu', 'BRA', 'São Paulo', 123782),
(379, 'Palmas', 'BRA', 'Tocantins', 121919),
(380, 'Pindamonhangaba', 'BRA', 'São Paulo', 121904),
(381, 'Francisco Morato', 'BRA', 'São Paulo', 121197),
(382, 'Bagé', 'BRA', 'Rio Grande do Sul', 120793),
(383, 'Sapucaia do Sul', 'BRA', 'Rio Grande do Sul', 120217),
(384, 'Cabo Frio', 'BRA', 'Rio de Janeiro', 119503),
(385, 'Itapetininga', 'BRA', 'São Paulo', 119391),
(386, 'Patos de Minas', 'BRA', 'Minas Gerais', 119262),
(387, 'Camaragibe', 'BRA', 'Pernambuco', 118968),
(388, 'Bragança Paulista', 'BRA', 'São Paulo', 116929),
(389, 'Queimados', 'BRA', 'Rio de Janeiro', 115020),
(390, 'Araguaína', 'BRA', 'Tocantins', 114948),
(391, 'Garanhuns', 'BRA', 'Pernambuco', 114603),
(392, 'Vitória de Santo Antão', 'BRA', 'Pernambuco', 113595),
(393, 'Santa Rita', 'BRA', 'Paraíba', 113135),
(394, 'Barbacena', 'BRA', 'Minas Gerais', 113079),
(395, 'Abaetetuba', 'BRA', 'Pará', 111258),
(396, 'Jaú', 'BRA', 'São Paulo', 109965),
(397, 'Lauro de Freitas', 'BRA', 'Bahia', 109236),
(398, 'Franco da Rocha', 'BRA', 'São Paulo', 108964),
(399, 'Teixeira de Freitas', 'BRA', 'Bahia', 108441),
(400, 'Varginha', 'BRA', 'Minas Gerais', 108314),
(401, 'Ribeirão Pires', 'BRA', 'São Paulo', 108121),
(402, 'Sabará', 'BRA', 'Minas Gerais', 107781),
(403, 'Catanduva', 'BRA', 'São Paulo', 107761),
(404, 'Rio Verde', 'BRA', 'Goiás', 107755),
(405, 'Botucatu', 'BRA', 'São Paulo', 107663),
(406, 'Colatina', 'BRA', 'Espírito Santo', 107354),
(407, 'Santa Cruz do Sul', 'BRA', 'Rio Grande do Sul', 106734),
(408, 'Linhares', 'BRA', 'Espírito Santo', 106278),
(409, 'Apucarana', 'BRA', 'Paraná', 105114),
(410, 'Barretos', 'BRA', 'São Paulo', 104156),
(411, 'Guaratinguetá', 'BRA', 'São Paulo', 103433),
(412, 'Cachoeirinha', 'BRA', 'Rio Grande do Sul', 103240),
(413, 'Codó', 'BRA', 'Maranhão', 103153),
(414, 'Jaraguá do Sul', 'BRA', 'Santa Catarina', 102580),
(415, 'Cubatão', 'BRA', 'São Paulo', 102372),
(416, 'Itabira', 'BRA', 'Minas Gerais', 102217),
(417, 'Itaituba', 'BRA', 'Pará', 101320),
(418, 'Araras', 'BRA', 'São Paulo', 101046),
(419, 'Resende', 'BRA', 'Rio de Janeiro', 100627),
(420, 'Atibaia', 'BRA', 'São Paulo', 100356),
(421, 'Pouso Alegre', 'BRA', 'Minas Gerais', 100028),
(422, 'Toledo', 'BRA', 'Paraná', 99387),
(423, 'Crato', 'BRA', 'Ceará', 98965),
(424, 'Passos', 'BRA', 'Minas Gerais', 98570),
(425, 'Araguari', 'BRA', 'Minas Gerais', 98399),
(426, 'São José de Ribamar', 'BRA', 'Maranhão', 98318),
(427, 'Pinhais', 'BRA', 'Paraná', 98198),
(428, 'Sertãozinho', 'BRA', 'São Paulo', 98140),
(429, 'Conselheiro Lafaiete', 'BRA', 'Minas Gerais', 97507),
(430, 'Paulo Afonso', 'BRA', 'Bahia', 97291),
(431, 'Angra dos Reis', 'BRA', 'Rio de Janeiro', 96864),
(432, 'Eunápolis', 'BRA', 'Bahia', 96610),
(433, 'Salto', 'BRA', 'São Paulo', 96348),
(434, 'Ourinhos', 'BRA', 'São Paulo', 96291),
(435, 'Parnamirim', 'BRA', 'Rio Grande do Norte', 96210),
(436, 'Jacobina', 'BRA', 'Bahia', 96131),
(437, 'Coronel Fabriciano', 'BRA', 'Minas Gerais', 95933),
(438, 'Birigui', 'BRA', 'São Paulo', 94685),
(439, 'Tatuí', 'BRA', 'São Paulo', 93897),
(440, 'Ji-Paraná', 'BRA', 'Rondônia', 93346),
(441, 'Bacabal', 'BRA', 'Maranhão', 93121),
(442, 'Cametá', 'BRA', 'Pará', 92779),
(443, 'Guaíba', 'BRA', 'Rio Grande do Sul', 92224),
(444, 'São Lourenço da Mata', 'BRA', 'Pernambuco', 91999),
(445, 'Santana do Livramento', 'BRA', 'Rio Grande do Sul', 91779),
(446, 'Votorantim', 'BRA', 'São Paulo', 91777),
(447, 'Campo Largo', 'BRA', 'Paraná', 91203),
(448, 'Patos', 'BRA', 'Paraíba', 90519),
(449, 'Ituiutaba', 'BRA', 'Minas Gerais', 90507),
(450, 'Corumbá', 'BRA', 'Mato Grosso do Sul', 90111),
(451, 'Palhoça', 'BRA', 'Santa Catarina', 89465),
(452, 'Barra do Piraí', 'BRA', 'Rio de Janeiro', 89388),
(453, 'Bento Gonçalves', 'BRA', 'Rio Grande do Sul', 89254),
(454, 'Poá', 'BRA', 'São Paulo', 89236),
(455, 'Águas Lindas de Goiás', 'BRA', 'Goiás', 89200),
(456, 'London', 'GBR', 'England', 7285000),
(457, 'Birmingham', 'GBR', 'England', 1013000),
(458, 'Glasgow', 'GBR', 'Scotland', 619680),
(459, 'Liverpool', 'GBR', 'England', 461000),
(460, 'Edinburgh', 'GBR', 'Scotland', 450180),
(461, 'Sheffield', 'GBR', 'England', 431607),
(462, 'Manchester', 'GBR', 'England', 430000),
(463, 'Leeds', 'GBR', 'England', 424194),
(464, 'Bristol', 'GBR', 'England', 402000),
(465, 'Cardiff', 'GBR', 'Wales', 321000),
(466, 'Coventry', 'GBR', 'England', 304000),
(467, 'Leicester', 'GBR', 'England', 294000),
(468, 'Bradford', 'GBR', 'England', 289376),
(469, 'Belfast', 'GBR', 'North Ireland', 287500),
(470, 'Nottingham', 'GBR', 'England', 287000),
(471, 'Kingston upon Hull', 'GBR', 'England', 262000),
(472, 'Plymouth', 'GBR', 'England', 253000),
(473, 'Stoke-on-Trent', 'GBR', 'England', 252000),
(474, 'Wolverhampton', 'GBR', 'England', 242000),
(475, 'Derby', 'GBR', 'England', 236000),
(476, 'Swansea', 'GBR', 'Wales', 230000),
(477, 'Southampton', 'GBR', 'England', 216000),
(478, 'Aberdeen', 'GBR', 'Scotland', 213070),
(479, 'Northampton', 'GBR', 'England', 196000),
(480, 'Dudley', 'GBR', 'England', 192171),
(481, 'Portsmouth', 'GBR', 'England', 190000),
(482, 'Newcastle upon Tyne', 'GBR', 'England', 189150),
(483, 'Sunderland', 'GBR', 'England', 183310),
(484, 'Luton', 'GBR', 'England', 183000),
(485, 'Swindon', 'GBR', 'England', 180000),
(486, 'Southend-on-Sea', 'GBR', 'England', 176000),
(487, 'Walsall', 'GBR', 'England', 174739),
(488, 'Bournemouth', 'GBR', 'England', 162000),
(489, 'Peterborough', 'GBR', 'England', 156000),
(490, 'Brighton', 'GBR', 'England', 156124),
(491, 'Blackpool', 'GBR', 'England', 151000),
(492, 'Dundee', 'GBR', 'Scotland', 146690),
(493, 'West Bromwich', 'GBR', 'England', 146386),
(494, 'Reading', 'GBR', 'England', 148000),
(495, 'Oldbury/Smethwick (Warley)', 'GBR', 'England', 145542),
(496, 'Middlesbrough', 'GBR', 'England', 145000),
(497, 'Huddersfield', 'GBR', 'England', 143726),
(498, 'Oxford', 'GBR', 'England', 144000),
(499, 'Poole', 'GBR', 'England', 141000),
(500, 'Bolton', 'GBR', 'England', 139020),
(501, 'Blackburn', 'GBR', 'England', 140000),
(502, 'Newport', 'GBR', 'Wales', 139000),
(503, 'Preston', 'GBR', 'England', 135000),
(504, 'Stockport', 'GBR', 'England', 132813),
(505, 'Norwich', 'GBR', 'England', 124000),
(506, 'Rotherham', 'GBR', 'England', 121380),
(507, 'Cambridge', 'GBR', 'England', 121000),
(508, 'Watford', 'GBR', 'England', 113080),
(509, 'Ipswich', 'GBR', 'England', 114000),
(510, 'Slough', 'GBR', 'England', 112000),
(511, 'Exeter', 'GBR', 'England', 111000),
(512, 'Cheltenham', 'GBR', 'England', 106000),
(513, 'Gloucester', 'GBR', 'England', 107000),
(514, 'Saint Helens', 'GBR', 'England', 106293),
(515, 'Sutton Coldfield', 'GBR', 'England', 106001),
(516, 'York', 'GBR', 'England', 104425),
(517, 'Oldham', 'GBR', 'England', 103931),
(518, 'Basildon', 'GBR', 'England', 100924),
(519, 'Worthing', 'GBR', 'England', 100000),
(520, 'Chelmsford', 'GBR', 'England', 97451),
(521, 'Colchester', 'GBR', 'England', 96063),
(522, 'Crawley', 'GBR', 'England', 97000),
(523, 'Gillingham', 'GBR', 'England', 92000),
(524, 'Solihull', 'GBR', 'England', 94531),
(525, 'Rochdale', 'GBR', 'England', 94313),
(526, 'Birkenhead', 'GBR', 'England', 93087),
(527, 'Worcester', 'GBR', 'England', 95000),
(528, 'Hartlepool', 'GBR', 'England', 92000),
(529, 'Halifax', 'GBR', 'England', 91069),
(530, 'Woking/Byfleet', 'GBR', 'England', 92000),
(531, 'Southport', 'GBR', 'England', 90959),
(532, 'Maidstone', 'GBR', 'England', 90878),
(533, 'Eastbourne', 'GBR', 'England', 90000),
(534, 'Grimsby', 'GBR', 'England', 89000),
(535, 'Saint Helier', 'GBR', 'Jersey', 27523),
(536, 'Douglas', 'GBR', '–', 23487),
(537, 'Road Town', 'VGB', 'Tortola', 8000),
(538, 'Bandar Seri Begawan', 'BRN', 'Brunei and Muara', 21484),
(539, 'Sofija', 'BGR', 'Grad Sofija', 1122302),
(540, 'Plovdiv', 'BGR', 'Plovdiv', 342584),
(541, 'Varna', 'BGR', 'Varna', 299801),
(542, 'Burgas', 'BGR', 'Burgas', 195255),
(543, 'Ruse', 'BGR', 'Ruse', 166467),
(544, 'Stara Zagora', 'BGR', 'Haskovo', 147939),
(545, 'Pleven', 'BGR', 'Lovec', 121952),
(546, 'Sliven', 'BGR', 'Burgas', 105530),
(547, 'Dobric', 'BGR', 'Varna', 100399),
(548, 'Šumen', 'BGR', 'Varna', 94686),
(549, 'Ouagadougou', 'BFA', 'Kadiogo', 824000),
(550, 'Bobo-Dioulasso', 'BFA', 'Houet', 300000),
(551, 'Koudougou', 'BFA', 'Boulkiemdé', 105000),
(552, 'Bujumbura', 'BDI', 'Bujumbura', 300000),
(553, 'George Town', 'CYM', 'Grand Cayman', 19600),
(554, 'Santiago de Chile', 'CHL', 'Santiago', 4703954),
(555, 'Puente Alto', 'CHL', 'Santiago', 386236),
(556, 'Viña del Mar', 'CHL', 'Valparaíso', 312493),
(557, 'Valparaíso', 'CHL', 'Valparaíso', 293800),
(558, 'Talcahuano', 'CHL', 'Bíobío', 277752),
(559, 'Antofagasta', 'CHL', 'Antofagasta', 251429),
(560, 'San Bernardo', 'CHL', 'Santiago', 241910),
(561, 'Temuco', 'CHL', 'La Araucanía', 233041),
(562, 'Concepción', 'CHL', 'Bíobío', 217664),
(563, 'Rancagua', 'CHL', 'O´Higgins', 212977),
(564, 'Arica', 'CHL', 'Tarapacá', 189036),
(565, 'Talca', 'CHL', 'Maule', 187557),
(566, 'Chillán', 'CHL', 'Bíobío', 178182),
(567, 'Iquique', 'CHL', 'Tarapacá', 177892),
(568, 'Los Angeles', 'CHL', 'Bíobío', 158215),
(569, 'Puerto Montt', 'CHL', 'Los Lagos', 152194),
(570, 'Coquimbo', 'CHL', 'Coquimbo', 143353),
(571, 'Osorno', 'CHL', 'Los Lagos', 141468),
(572, 'La Serena', 'CHL', 'Coquimbo', 137409),
(573, 'Calama', 'CHL', 'Antofagasta', 137265),
(574, 'Valdivia', 'CHL', 'Los Lagos', 133106),
(575, 'Punta Arenas', 'CHL', 'Magallanes', 125631),
(576, 'Copiapó', 'CHL', 'Atacama', 120128),
(577, 'Quilpué', 'CHL', 'Valparaíso', 118857),
(578, 'Curicó', 'CHL', 'Maule', 115766),
(579, 'Ovalle', 'CHL', 'Coquimbo', 94854),
(580, 'Coronel', 'CHL', 'Bíobío', 93061),
(581, 'San Pedro de la Paz', 'CHL', 'Bíobío', 91684),
(582, 'Melipilla', 'CHL', 'Santiago', 91056),
(583, 'Avarua', 'COK', 'Rarotonga', 11900),
(584, 'San José', 'CRI', 'San José', 339131),
(585, 'Djibouti', 'DJI', 'Djibouti', 383000),
(586, 'Roseau', 'DMA', 'St George', 16243),
(587, 'Santo Domingo de Guzmán', 'DOM', 'Distrito Nacional', 1609966),
(588, 'Santiago de los Caballeros', 'DOM', 'Santiago', 365463),
(589, 'La Romana', 'DOM', 'La Romana', 140204),
(590, 'San Pedro de Macorís', 'DOM', 'San Pedro de Macorís', 124735),
(591, 'San Francisco de Macorís', 'DOM', 'Duarte', 108485),
(592, 'San Felipe de Puerto Plata', 'DOM', 'Puerto Plata', 89423),
(593, 'Guayaquil', 'ECU', 'Guayas', 2070040),
(594, 'Quito', 'ECU', 'Pichincha', 1573458),
(595, 'Cuenca', 'ECU', 'Azuay', 270353),
(596, 'Machala', 'ECU', 'El Oro', 210368),
(597, 'Santo Domingo de los Colorados', 'ECU', 'Pichincha', 202111),
(598, 'Portoviejo', 'ECU', 'Manabí', 176413),
(599, 'Ambato', 'ECU', 'Tungurahua', 169612),
(600, 'Manta', 'ECU', 'Manabí', 164739),
(601, 'Duran [Eloy Alfaro]', 'ECU', 'Guayas', 152514),
(602, 'Ibarra', 'ECU', 'Imbabura', 130643),
(603, 'Quevedo', 'ECU', 'Los Ríos', 129631),
(604, 'Milagro', 'ECU', 'Guayas', 124177),
(605, 'Loja', 'ECU', 'Loja', 123875),
(606, 'Ríobamba', 'ECU', 'Chimborazo', 123163),
(607, 'Esmeraldas', 'ECU', 'Esmeraldas', 123045),
(608, 'Cairo', 'EGY', 'Kairo', 6789479),
(609, 'Alexandria', 'EGY', 'Aleksandria', 3328196),
(610, 'Giza', 'EGY', 'Giza', 2221868),
(611, 'Shubra al-Khayma', 'EGY', 'al-Qalyubiya', 870716),
(612, 'Port Said', 'EGY', 'Port Said', 469533),
(613, 'Suez', 'EGY', 'Suez', 417610),
(614, 'al-Mahallat al-Kubra', 'EGY', 'al-Gharbiya', 395402),
(615, 'Tanta', 'EGY', 'al-Gharbiya', 371010),
(616, 'al-Mansura', 'EGY', 'al-Daqahliya', 369621),
(617, 'Luxor', 'EGY', 'Luxor', 360503),
(618, 'Asyut', 'EGY', 'Asyut', 343498),
(619, 'Bahtim', 'EGY', 'al-Qalyubiya', 275807),
(620, 'Zagazig', 'EGY', 'al-Sharqiya', 267351),
(621, 'al-Faiyum', 'EGY', 'al-Faiyum', 260964),
(622, 'Ismailia', 'EGY', 'Ismailia', 254477),
(623, 'Kafr al-Dawwar', 'EGY', 'al-Buhayra', 231978),
(624, 'Assuan', 'EGY', 'Assuan', 219017),
(625, 'Damanhur', 'EGY', 'al-Buhayra', 212203),
(626, 'al-Minya', 'EGY', 'al-Minya', 201360),
(627, 'Bani Suwayf', 'EGY', 'Bani Suwayf', 172032),
(628, 'Qina', 'EGY', 'Qina', 171275),
(629, 'Sawhaj', 'EGY', 'Sawhaj', 170125),
(630, 'Shibin al-Kawm', 'EGY', 'al-Minufiya', 159909),
(631, 'Bulaq al-Dakrur', 'EGY', 'Giza', 148787),
(632, 'Banha', 'EGY', 'al-Qalyubiya', 145792),
(633, 'Warraq al-Arab', 'EGY', 'Giza', 127108),
(634, 'Kafr al-Shaykh', 'EGY', 'Kafr al-Shaykh', 124819),
(635, 'Mallawi', 'EGY', 'al-Minya', 119283),
(636, 'Bilbays', 'EGY', 'al-Sharqiya', 113608),
(637, 'Mit Ghamr', 'EGY', 'al-Daqahliya', 101801),
(638, 'al-Arish', 'EGY', 'Shamal Sina', 100447),
(639, 'Talkha', 'EGY', 'al-Daqahliya', 97700),
(640, 'Qalyub', 'EGY', 'al-Qalyubiya', 97200),
(641, 'Jirja', 'EGY', 'Sawhaj', 95400),
(642, 'Idfu', 'EGY', 'Qina', 94200),
(643, 'al-Hawamidiya', 'EGY', 'Giza', 91700),
(644, 'Disuq', 'EGY', 'Kafr al-Shaykh', 91300),
(645, 'San Salvador', 'SLV', 'San Salvador', 415346),
(646, 'Santa Ana', 'SLV', 'Santa Ana', 139389),
(647, 'Mejicanos', 'SLV', 'San Salvador', 138800),
(648, 'Soyapango', 'SLV', 'San Salvador', 129800),
(649, 'San Miguel', 'SLV', 'San Miguel', 127696),
(650, 'Nueva San Salvador', 'SLV', 'La Libertad', 98400),
(651, 'Apopa', 'SLV', 'San Salvador', 88800),
(652, 'Asmara', 'ERI', 'Maekel', 431000),
(653, 'Madrid', 'ESP', 'Madrid', 2879052),
(654, 'Barcelona', 'ESP', 'Katalonia', 1503451),
(655, 'Valencia', 'ESP', 'Valencia', 739412),
(656, 'Sevilla', 'ESP', 'Andalusia', 701927),
(657, 'Zaragoza', 'ESP', 'Aragonia', 603367),
(658, 'Málaga', 'ESP', 'Andalusia', 530553),
(659, 'Bilbao', 'ESP', 'Baskimaa', 357589),
(660, 'Las Palmas de Gran Canaria', 'ESP', 'Canary Islands', 354757),
(661, 'Murcia', 'ESP', 'Murcia', 353504),
(662, 'Palma de Mallorca', 'ESP', 'Balears', 326993),
(663, 'Valladolid', 'ESP', 'Castilla and León', 319998),
(664, 'Córdoba', 'ESP', 'Andalusia', 311708),
(665, 'Vigo', 'ESP', 'Galicia', 283670),
(666, 'Alicante [Alacant]', 'ESP', 'Valencia', 272432),
(667, 'Gijón', 'ESP', 'Asturia', 267980),
(668, 'L´Hospitalet de Llobregat', 'ESP', 'Katalonia', 247986),
(669, 'Granada', 'ESP', 'Andalusia', 244767),
(670, 'A Coruña (La Coruña)', 'ESP', 'Galicia', 243402),
(671, 'Vitoria-Gasteiz', 'ESP', 'Baskimaa', 217154),
(672, 'Santa Cruz de Tenerife', 'ESP', 'Canary Islands', 213050),
(673, 'Badalona', 'ESP', 'Katalonia', 209635),
(674, 'Oviedo', 'ESP', 'Asturia', 200453),
(675, 'Móstoles', 'ESP', 'Madrid', 195351),
(676, 'Elche [Elx]', 'ESP', 'Valencia', 193174),
(677, 'Sabadell', 'ESP', 'Katalonia', 184859),
(678, 'Santander', 'ESP', 'Cantabria', 184165),
(679, 'Jerez de la Frontera', 'ESP', 'Andalusia', 182660),
(680, 'Pamplona [Iruña]', 'ESP', 'Navarra', 180483),
(681, 'Donostia-San Sebastián', 'ESP', 'Baskimaa', 179208),
(682, 'Cartagena', 'ESP', 'Murcia', 177709),
(683, 'Leganés', 'ESP', 'Madrid', 173163),
(684, 'Fuenlabrada', 'ESP', 'Madrid', 171173),
(685, 'Almería', 'ESP', 'Andalusia', 169027),
(686, 'Terrassa', 'ESP', 'Katalonia', 168695),
(687, 'Alcalá de Henares', 'ESP', 'Madrid', 164463),
(688, 'Burgos', 'ESP', 'Castilla and León', 162802),
(689, 'Salamanca', 'ESP', 'Castilla and León', 158720),
(690, 'Albacete', 'ESP', 'Kastilia-La Mancha', 147527),
(691, 'Getafe', 'ESP', 'Madrid', 145371),
(692, 'Cádiz', 'ESP', 'Andalusia', 142449),
(693, 'Alcorcón', 'ESP', 'Madrid', 142048),
(694, 'Huelva', 'ESP', 'Andalusia', 140583),
(695, 'León', 'ESP', 'Castilla and León', 139809),
(696, 'Castellón de la Plana [Castell', 'ESP', 'Valencia', 139712),
(697, 'Badajoz', 'ESP', 'Extremadura', 136613),
(698, '[San Cristóbal de] la Laguna', 'ESP', 'Canary Islands', 127945),
(699, 'Logroño', 'ESP', 'La Rioja', 127093),
(700, 'Santa Coloma de Gramenet', 'ESP', 'Katalonia', 120802),
(701, 'Tarragona', 'ESP', 'Katalonia', 113016),
(702, 'Lleida (Lérida)', 'ESP', 'Katalonia', 112207),
(703, 'Jaén', 'ESP', 'Andalusia', 109247),
(704, 'Ourense (Orense)', 'ESP', 'Galicia', 109120),
(705, 'Mataró', 'ESP', 'Katalonia', 104095),
(706, 'Algeciras', 'ESP', 'Andalusia', 103106),
(707, 'Marbella', 'ESP', 'Andalusia', 101144),
(708, 'Barakaldo', 'ESP', 'Baskimaa', 98212),
(709, 'Dos Hermanas', 'ESP', 'Andalusia', 94591),
(710, 'Santiago de Compostela', 'ESP', 'Galicia', 93745),
(711, 'Torrejón de Ardoz', 'ESP', 'Madrid', 92262),
(712, 'Cape Town', 'ZAF', 'Western Cape', 2352121),
(713, 'Soweto', 'ZAF', 'Gauteng', 904165),
(714, 'Johannesburg', 'ZAF', 'Gauteng', 756653),
(715, 'Port Elizabeth', 'ZAF', 'Eastern Cape', 752319),
(716, 'Pretoria', 'ZAF', 'Gauteng', 658630),
(717, 'Inanda', 'ZAF', 'KwaZulu-Natal', 634065),
(718, 'Durban', 'ZAF', 'KwaZulu-Natal', 566120),
(719, 'Vanderbijlpark', 'ZAF', 'Gauteng', 468931),
(720, 'Kempton Park', 'ZAF', 'Gauteng', 442633),
(721, 'Alberton', 'ZAF', 'Gauteng', 410102),
(722, 'Pinetown', 'ZAF', 'KwaZulu-Natal', 378810),
(723, 'Pietermaritzburg', 'ZAF', 'KwaZulu-Natal', 370190),
(724, 'Benoni', 'ZAF', 'Gauteng', 365467),
(725, 'Randburg', 'ZAF', 'Gauteng', 341288),
(726, 'Umlazi', 'ZAF', 'KwaZulu-Natal', 339233),
(727, 'Bloemfontein', 'ZAF', 'Free State', 334341),
(728, 'Vereeniging', 'ZAF', 'Gauteng', 328535),
(729, 'Wonderboom', 'ZAF', 'Gauteng', 283289),
(730, 'Roodepoort', 'ZAF', 'Gauteng', 279340),
(731, 'Boksburg', 'ZAF', 'Gauteng', 262648),
(732, 'Klerksdorp', 'ZAF', 'North West', 261911),
(733, 'Soshanguve', 'ZAF', 'Gauteng', 242727),
(734, 'Newcastle', 'ZAF', 'KwaZulu-Natal', 222993),
(735, 'East London', 'ZAF', 'Eastern Cape', 221047),
(736, 'Welkom', 'ZAF', 'Free State', 203296),
(737, 'Kimberley', 'ZAF', 'Northern Cape', 197254),
(738, 'Uitenhage', 'ZAF', 'Eastern Cape', 192120),
(739, 'Chatsworth', 'ZAF', 'KwaZulu-Natal', 189885),
(740, 'Mdantsane', 'ZAF', 'Eastern Cape', 182639),
(741, 'Krugersdorp', 'ZAF', 'Gauteng', 181503),
(742, 'Botshabelo', 'ZAF', 'Free State', 177971),
(743, 'Brakpan', 'ZAF', 'Gauteng', 171363),
(744, 'Witbank', 'ZAF', 'Mpumalanga', 167183),
(745, 'Oberholzer', 'ZAF', 'Gauteng', 164367),
(746, 'Germiston', 'ZAF', 'Gauteng', 164252),
(747, 'Springs', 'ZAF', 'Gauteng', 162072),
(748, 'Westonaria', 'ZAF', 'Gauteng', 159632),
(749, 'Randfontein', 'ZAF', 'Gauteng', 120838),
(750, 'Paarl', 'ZAF', 'Western Cape', 105768),
(751, 'Potchefstroom', 'ZAF', 'North West', 101817),
(752, 'Rustenburg', 'ZAF', 'North West', 97008),
(753, 'Nigel', 'ZAF', 'Gauteng', 96734),
(754, 'George', 'ZAF', 'Western Cape', 93818),
(755, 'Ladysmith', 'ZAF', 'KwaZulu-Natal', 89292),
(756, 'Addis Abeba', 'ETH', 'Addis Abeba', 2495000),
(757, 'Dire Dawa', 'ETH', 'Dire Dawa', 164851),
(758, 'Nazret', 'ETH', 'Oromia', 127842),
(759, 'Gonder', 'ETH', 'Amhara', 112249),
(760, 'Dese', 'ETH', 'Amhara', 97314),
(761, 'Mekele', 'ETH', 'Tigray', 96938),
(762, 'Bahir Dar', 'ETH', 'Amhara', 96140),
(763, 'Stanley', 'FLK', 'East Falkland', 1636),
(764, 'Suva', 'FJI', 'Central', 77366),
(765, 'Quezon', 'PHL', 'National Capital Reg', 2173831),
(766, 'Manila', 'PHL', 'National Capital Reg', 1581082),
(767, 'Kalookan', 'PHL', 'National Capital Reg', 1177604),
(768, 'Davao', 'PHL', 'Southern Mindanao', 1147116),
(769, 'Cebu', 'PHL', 'Central Visayas', 718821),
(770, 'Zamboanga', 'PHL', 'Western Mindanao', 601794),
(771, 'Pasig', 'PHL', 'National Capital Reg', 505058),
(772, 'Valenzuela', 'PHL', 'National Capital Reg', 485433),
(773, 'Las Piñas', 'PHL', 'National Capital Reg', 472780),
(774, 'Antipolo', 'PHL', 'Southern Tagalog', 470866),
(775, 'Taguig', 'PHL', 'National Capital Reg', 467375),
(776, 'Cagayan de Oro', 'PHL', 'Northern Mindanao', 461877),
(777, 'Parañaque', 'PHL', 'National Capital Reg', 449811),
(778, 'Makati', 'PHL', 'National Capital Reg', 444867),
(779, 'Bacolod', 'PHL', 'Western Visayas', 429076),
(780, 'General Santos', 'PHL', 'Southern Mindanao', 411822),
(781, 'Marikina', 'PHL', 'National Capital Reg', 391170),
(782, 'Dasmariñas', 'PHL', 'Southern Tagalog', 379520),
(783, 'Muntinlupa', 'PHL', 'National Capital Reg', 379310),
(784, 'Iloilo', 'PHL', 'Western Visayas', 365820),
(785, 'Pasay', 'PHL', 'National Capital Reg', 354908),
(786, 'Malabon', 'PHL', 'National Capital Reg', 338855),
(787, 'San José del Monte', 'PHL', 'Central Luzon', 315807),
(788, 'Bacoor', 'PHL', 'Southern Tagalog', 305699),
(789, 'Iligan', 'PHL', 'Central Mindanao', 285061),
(790, 'Calamba', 'PHL', 'Southern Tagalog', 281146),
(791, 'Mandaluyong', 'PHL', 'National Capital Reg', 278474),
(792, 'Butuan', 'PHL', 'Caraga', 267279),
(793, 'Angeles', 'PHL', 'Central Luzon', 263971),
(794, 'Tarlac', 'PHL', 'Central Luzon', 262481),
(795, 'Mandaue', 'PHL', 'Central Visayas', 259728),
(796, 'Baguio', 'PHL', 'CAR', 252386),
(797, 'Batangas', 'PHL', 'Southern Tagalog', 247588),
(798, 'Cainta', 'PHL', 'Southern Tagalog', 242511),
(799, 'San Pedro', 'PHL', 'Southern Tagalog', 231403),
(800, 'Navotas', 'PHL', 'National Capital Reg', 230403),
(801, 'Cabanatuan', 'PHL', 'Central Luzon', 222859),
(802, 'San Fernando', 'PHL', 'Central Luzon', 221857),
(803, 'Lipa', 'PHL', 'Southern Tagalog', 218447),
(804, 'Lapu-Lapu', 'PHL', 'Central Visayas', 217019),
(805, 'San Pablo', 'PHL', 'Southern Tagalog', 207927),
(806, 'Biñan', 'PHL', 'Southern Tagalog', 201186),
(807, 'Taytay', 'PHL', 'Southern Tagalog', 198183),
(808, 'Lucena', 'PHL', 'Southern Tagalog', 196075),
(809, 'Imus', 'PHL', 'Southern Tagalog', 195482),
(810, 'Olongapo', 'PHL', 'Central Luzon', 194260),
(811, 'Binangonan', 'PHL', 'Southern Tagalog', 187691),
(812, 'Santa Rosa', 'PHL', 'Southern Tagalog', 185633),
(813, 'Tagum', 'PHL', 'Southern Mindanao', 179531),
(814, 'Tacloban', 'PHL', 'Eastern Visayas', 178639),
(815, 'Malolos', 'PHL', 'Central Luzon', 175291),
(816, 'Mabalacat', 'PHL', 'Central Luzon', 171045),
(817, 'Cotabato', 'PHL', 'Central Mindanao', 163849),
(818, 'Meycauayan', 'PHL', 'Central Luzon', 163037),
(819, 'Puerto Princesa', 'PHL', 'Southern Tagalog', 161912),
(820, 'Legazpi', 'PHL', 'Bicol', 157010),
(821, 'Silang', 'PHL', 'Southern Tagalog', 156137),
(822, 'Ormoc', 'PHL', 'Eastern Visayas', 154297),
(823, 'San Carlos', 'PHL', 'Ilocos', 154264),
(824, 'Kabankalan', 'PHL', 'Western Visayas', 149769),
(825, 'Talisay', 'PHL', 'Central Visayas', 148110),
(826, 'Valencia', 'PHL', 'Northern Mindanao', 147924),
(827, 'Calbayog', 'PHL', 'Eastern Visayas', 147187),
(828, 'Santa Maria', 'PHL', 'Central Luzon', 144282),
(829, 'Pagadian', 'PHL', 'Western Mindanao', 142515),
(830, 'Cadiz', 'PHL', 'Western Visayas', 141954),
(831, 'Bago', 'PHL', 'Western Visayas', 141721),
(832, 'Toledo', 'PHL', 'Central Visayas', 141174),
(833, 'Naga', 'PHL', 'Bicol', 137810),
(834, 'San Mateo', 'PHL', 'Southern Tagalog', 135603),
(835, 'Panabo', 'PHL', 'Southern Mindanao', 133950),
(836, 'Koronadal', 'PHL', 'Southern Mindanao', 133786),
(837, 'Marawi', 'PHL', 'Central Mindanao', 131090),
(838, 'Dagupan', 'PHL', 'Ilocos', 130328),
(839, 'Sagay', 'PHL', 'Western Visayas', 129765),
(840, 'Roxas', 'PHL', 'Western Visayas', 126352),
(841, 'Lubao', 'PHL', 'Central Luzon', 125699),
(842, 'Digos', 'PHL', 'Southern Mindanao', 125171),
(843, 'San Miguel', 'PHL', 'Central Luzon', 123824),
(844, 'Malaybalay', 'PHL', 'Northern Mindanao', 123672),
(845, 'Tuguegarao', 'PHL', 'Cagayan Valley', 120645),
(846, 'Ilagan', 'PHL', 'Cagayan Valley', 119990),
(847, 'Baliuag', 'PHL', 'Central Luzon', 119675),
(848, 'Surigao', 'PHL', 'Caraga', 118534),
(849, 'San Carlos', 'PHL', 'Western Visayas', 118259),
(850, 'San Juan del Monte', 'PHL', 'National Capital Reg', 117680),
(851, 'Tanauan', 'PHL', 'Southern Tagalog', 117539),
(852, 'Concepcion', 'PHL', 'Central Luzon', 115171),
(853, 'Rodriguez (Montalban)', 'PHL', 'Southern Tagalog', 115167),
(854, 'Sariaya', 'PHL', 'Southern Tagalog', 114568),
(855, 'Malasiqui', 'PHL', 'Ilocos', 113190),
(856, 'General Mariano Alvarez', 'PHL', 'Southern Tagalog', 112446),
(857, 'Urdaneta', 'PHL', 'Ilocos', 111582),
(858, 'Hagonoy', 'PHL', 'Central Luzon', 111425),
(859, 'San Jose', 'PHL', 'Southern Tagalog', 111009),
(860, 'Polomolok', 'PHL', 'Southern Mindanao', 110709),
(861, 'Santiago', 'PHL', 'Cagayan Valley', 110531),
(862, 'Tanza', 'PHL', 'Southern Tagalog', 110517),
(863, 'Ozamis', 'PHL', 'Northern Mindanao', 110420),
(864, 'Mexico', 'PHL', 'Central Luzon', 109481),
(865, 'San Jose', 'PHL', 'Central Luzon', 108254),
(866, 'Silay', 'PHL', 'Western Visayas', 107722),
(867, 'General Trias', 'PHL', 'Southern Tagalog', 107691),
(868, 'Tabaco', 'PHL', 'Bicol', 107166),
(869, 'Cabuyao', 'PHL', 'Southern Tagalog', 106630),
(870, 'Calapan', 'PHL', 'Southern Tagalog', 105910),
(871, 'Mati', 'PHL', 'Southern Mindanao', 105908),
(872, 'Midsayap', 'PHL', 'Central Mindanao', 105760),
(873, 'Cauayan', 'PHL', 'Cagayan Valley', 103952),
(874, 'Gingoog', 'PHL', 'Northern Mindanao', 102379),
(875, 'Dumaguete', 'PHL', 'Central Visayas', 102265),
(876, 'San Fernando', 'PHL', 'Ilocos', 102082),
(877, 'Arayat', 'PHL', 'Central Luzon', 101792),
(878, 'Bayawan (Tulong)', 'PHL', 'Central Visayas', 101391),
(879, 'Kidapawan', 'PHL', 'Central Mindanao', 101205),
(880, 'Daraga (Locsin)', 'PHL', 'Bicol', 101031),
(881, 'Marilao', 'PHL', 'Central Luzon', 101017),
(882, 'Malita', 'PHL', 'Southern Mindanao', 100000),
(883, 'Dipolog', 'PHL', 'Western Mindanao', 99862),
(884, 'Cavite', 'PHL', 'Southern Tagalog', 99367),
(885, 'Danao', 'PHL', 'Central Visayas', 98781),
(886, 'Bislig', 'PHL', 'Caraga', 97860),
(887, 'Talavera', 'PHL', 'Central Luzon', 97329),
(888, 'Guagua', 'PHL', 'Central Luzon', 96858),
(889, 'Bayambang', 'PHL', 'Ilocos', 96609),
(890, 'Nasugbu', 'PHL', 'Southern Tagalog', 96113),
(891, 'Baybay', 'PHL', 'Eastern Visayas', 95630),
(892, 'Capas', 'PHL', 'Central Luzon', 95219),
(893, 'Sultan Kudarat', 'PHL', 'ARMM', 94861),
(894, 'Laoag', 'PHL', 'Ilocos', 94466),
(895, 'Bayugan', 'PHL', 'Caraga', 93623),
(896, 'Malungon', 'PHL', 'Southern Mindanao', 93232),
(897, 'Santa Cruz', 'PHL', 'Southern Tagalog', 92694),
(898, 'Sorsogon', 'PHL', 'Bicol', 92512),
(899, 'Candelaria', 'PHL', 'Southern Tagalog', 92429),
(900, 'Ligao', 'PHL', 'Bicol', 90603),
(901, 'Tórshavn', 'FRO', 'Streymoyar', 14542),
(902, 'Libreville', 'GAB', 'Estuaire', 419000),
(903, 'Serekunda', 'GMB', 'Kombo St Mary', 102600),
(904, 'Banjul', 'GMB', 'Banjul', 42326),
(905, 'Tbilisi', 'GEO', 'Tbilisi', 1235200),
(906, 'Kutaisi', 'GEO', 'Imereti', 240900),
(907, 'Rustavi', 'GEO', 'Kvemo Kartli', 155400),
(908, 'Batumi', 'GEO', 'Adzaria [Atšara]', 137700),
(909, 'Sohumi', 'GEO', 'Abhasia [Aphazeti]', 111700),
(910, 'Accra', 'GHA', 'Greater Accra', 1070000),
(911, 'Kumasi', 'GHA', 'Ashanti', 385192),
(912, 'Tamale', 'GHA', 'Northern', 151069),
(913, 'Tema', 'GHA', 'Greater Accra', 109975),
(914, 'Sekondi-Takoradi', 'GHA', 'Western', 103653),
(915, 'Gibraltar', 'GIB', '–', 27025),
(916, 'Saint George´s', 'GRD', 'St George', 4621),
(917, 'Nuuk', 'GRL', 'Kitaa', 13445),
(918, 'Les Abymes', 'GLP', 'Grande-Terre', 62947),
(919, 'Basse-Terre', 'GLP', 'Basse-Terre', 12433),
(920, 'Tamuning', 'GUM', '–', 9500),
(921, 'Agaña', 'GUM', '–', 1139),
(922, 'Ciudad de Guatemala', 'GTM', 'Guatemala', 823301),
(923, 'Mixco', 'GTM', 'Guatemala', 209791),
(924, 'Villa Nueva', 'GTM', 'Guatemala', 101295),
(925, 'Quetzaltenango', 'GTM', 'Quetzaltenango', 90801),
(926, 'Conakry', 'GIN', 'Conakry', 1090610),
(927, 'Bissau', 'GNB', 'Bissau', 241000),
(928, 'Georgetown', 'GUY', 'Georgetown', 254000),
(929, 'Port-au-Prince', 'HTI', 'Ouest', 884472),
(930, 'Carrefour', 'HTI', 'Ouest', 290204),
(931, 'Delmas', 'HTI', 'Ouest', 240429),
(932, 'Le-Cap-Haïtien', 'HTI', 'Nord', 102233),
(933, 'Tegucigalpa', 'HND', 'Distrito Central', 813900),
(934, 'San Pedro Sula', 'HND', 'Cortés', 383900),
(935, 'La Ceiba', 'HND', 'Atlántida', 89200),
(936, 'Kowloon and New Kowloon', 'HKG', 'Kowloon and New Kowl', 1987996),
(937, 'Victoria', 'HKG', 'Hongkong', 1312637),
(938, 'Longyearbyen', 'SJM', 'Länsimaa', 1438),
(939, 'Jakarta', 'IDN', 'Jakarta Raya', 9604900),
(940, 'Surabaya', 'IDN', 'East Java', 2663820),
(941, 'Bandung', 'IDN', 'West Java', 2429000),
(942, 'Medan', 'IDN', 'Sumatera Utara', 1843919),
(943, 'Palembang', 'IDN', 'Sumatera Selatan', 1222764),
(944, 'Tangerang', 'IDN', 'West Java', 1198300),
(945, 'Semarang', 'IDN', 'Central Java', 1104405),
(946, 'Ujung Pandang', 'IDN', 'Sulawesi Selatan', 1060257),
(947, 'Malang', 'IDN', 'East Java', 716862),
(948, 'Bandar Lampung', 'IDN', 'Lampung', 680332),
(949, 'Bekasi', 'IDN', 'West Java', 644300),
(950, 'Padang', 'IDN', 'Sumatera Barat', 534474),
(951, 'Surakarta', 'IDN', 'Central Java', 518600),
(952, 'Banjarmasin', 'IDN', 'Kalimantan Selatan', 482931),
(953, 'Pekan Baru', 'IDN', 'Riau', 438638),
(954, 'Denpasar', 'IDN', 'Bali', 435000),
(955, 'Yogyakarta', 'IDN', 'Yogyakarta', 418944),
(956, 'Pontianak', 'IDN', 'Kalimantan Barat', 409632),
(957, 'Samarinda', 'IDN', 'Kalimantan Timur', 399175),
(958, 'Jambi', 'IDN', 'Jambi', 385201),
(959, 'Depok', 'IDN', 'West Java', 365200),
(960, 'Cimahi', 'IDN', 'West Java', 344600),
(961, 'Balikpapan', 'IDN', 'Kalimantan Timur', 338752),
(962, 'Manado', 'IDN', 'Sulawesi Utara', 332288),
(963, 'Mataram', 'IDN', 'Nusa Tenggara Barat', 306600),
(964, 'Pekalongan', 'IDN', 'Central Java', 301504),
(965, 'Tegal', 'IDN', 'Central Java', 289744),
(966, 'Bogor', 'IDN', 'West Java', 285114),
(967, 'Ciputat', 'IDN', 'West Java', 270800),
(968, 'Pondokgede', 'IDN', 'West Java', 263200),
(969, 'Cirebon', 'IDN', 'West Java', 254406),
(970, 'Kediri', 'IDN', 'East Java', 253760),
(971, 'Ambon', 'IDN', 'Molukit', 249312),
(972, 'Jember', 'IDN', 'East Java', 218500),
(973, 'Cilacap', 'IDN', 'Central Java', 206900),
(974, 'Cimanggis', 'IDN', 'West Java', 205100),
(975, 'Pematang Siantar', 'IDN', 'Sumatera Utara', 203056),
(976, 'Purwokerto', 'IDN', 'Central Java', 202500),
(977, 'Ciomas', 'IDN', 'West Java', 187400),
(978, 'Tasikmalaya', 'IDN', 'West Java', 179800),
(979, 'Madiun', 'IDN', 'East Java', 171532),
(980, 'Bengkulu', 'IDN', 'Bengkulu', 146439),
(981, 'Karawang', 'IDN', 'West Java', 145000),
(982, 'Banda Aceh', 'IDN', 'Aceh', 143409),
(983, 'Palu', 'IDN', 'Sulawesi Tengah', 142800),
(984, 'Pasuruan', 'IDN', 'East Java', 134019),
(985, 'Kupang', 'IDN', 'Nusa Tenggara Timur', 129300),
(986, 'Tebing Tinggi', 'IDN', 'Sumatera Utara', 129300),
(987, 'Percut Sei Tuan', 'IDN', 'Sumatera Utara', 129000),
(988, 'Binjai', 'IDN', 'Sumatera Utara', 127222),
(989, 'Sukabumi', 'IDN', 'West Java', 125766),
(990, 'Waru', 'IDN', 'East Java', 124300),
(991, 'Pangkal Pinang', 'IDN', 'Sumatera Selatan', 124000),
(992, 'Magelang', 'IDN', 'Central Java', 123800),
(993, 'Blitar', 'IDN', 'East Java', 122600),
(994, 'Serang', 'IDN', 'West Java', 122400),
(995, 'Probolinggo', 'IDN', 'East Java', 120770),
(996, 'Cilegon', 'IDN', 'West Java', 117000),
(997, 'Cianjur', 'IDN', 'West Java', 114300),
(998, 'Ciparay', 'IDN', 'West Java', 111500),
(999, 'Lhokseumawe', 'IDN', 'Aceh', 109600),
(1000, 'Taman', 'IDN', 'East Java', 107000),
(1001, 'Depok', 'IDN', 'Yogyakarta', 106800),
(1002, 'Citeureup', 'IDN', 'West Java', 105100),
(1003, 'Pemalang', 'IDN', 'Central Java', 103500),
(1004, 'Klaten', 'IDN', 'Central Java', 103300),
(1005, 'Salatiga', 'IDN', 'Central Java', 103000),
(1006, 'Cibinong', 'IDN', 'West Java', 101300),
(1007, 'Palangka Raya', 'IDN', 'Kalimantan Tengah', 99693),
(1008, 'Mojokerto', 'IDN', 'East Java', 96626),
(1009, 'Purwakarta', 'IDN', 'West Java', 95900),
(1010, 'Garut', 'IDN', 'West Java', 95800),
(1011, 'Kudus', 'IDN', 'Central Java', 95300),
(1012, 'Kendari', 'IDN', 'Sulawesi Tenggara', 94800),
(1013, 'Jaya Pura', 'IDN', 'West Irian', 94700),
(1014, 'Gorontalo', 'IDN', 'Sulawesi Utara', 94058),
(1015, 'Majalaya', 'IDN', 'West Java', 93200),
(1016, 'Pondok Aren', 'IDN', 'West Java', 92700),
(1017, 'Jombang', 'IDN', 'East Java', 92600),
(1018, 'Sunggal', 'IDN', 'Sumatera Utara', 92300),
(1019, 'Batam', 'IDN', 'Riau', 91871),
(1020, 'Padang Sidempuan', 'IDN', 'Sumatera Utara', 91200),
(1021, 'Sawangan', 'IDN', 'West Java', 91100),
(1022, 'Banyuwangi', 'IDN', 'East Java', 89900),
(1023, 'Tanjung Pinang', 'IDN', 'Riau', 89900),
(1024, 'Mumbai (Bombay)', 'IND', 'Maharashtra', 10500000),
(1025, 'Delhi', 'IND', 'Delhi', 7206704),
(1026, 'Calcutta [Kolkata]', 'IND', 'West Bengali', 4399819),
(1027, 'Chennai (Madras)', 'IND', 'Tamil Nadu', 3841396),
(1028, 'Hyderabad', 'IND', 'Andhra Pradesh', 2964638),
(1029, 'Ahmedabad', 'IND', 'Gujarat', 2876710),
(1030, 'Bangalore', 'IND', 'Karnataka', 2660088),
(1031, 'Kanpur', 'IND', 'Uttar Pradesh', 1874409),
(1032, 'Nagpur', 'IND', 'Maharashtra', 1624752),
(1033, 'Lucknow', 'IND', 'Uttar Pradesh', 1619115),
(1034, 'Pune', 'IND', 'Maharashtra', 1566651),
(1035, 'Surat', 'IND', 'Gujarat', 1498817),
(1036, 'Jaipur', 'IND', 'Rajasthan', 1458483),
(1037, 'Indore', 'IND', 'Madhya Pradesh', 1091674),
(1038, 'Bhopal', 'IND', 'Madhya Pradesh', 1062771),
(1039, 'Ludhiana', 'IND', 'Punjab', 1042740),
(1040, 'Vadodara (Baroda)', 'IND', 'Gujarat', 1031346),
(1041, 'Kalyan', 'IND', 'Maharashtra', 1014557),
(1042, 'Madurai', 'IND', 'Tamil Nadu', 977856),
(1043, 'Haora (Howrah)', 'IND', 'West Bengali', 950435),
(1044, 'Varanasi (Benares)', 'IND', 'Uttar Pradesh', 929270),
(1045, 'Patna', 'IND', 'Bihar', 917243),
(1046, 'Srinagar', 'IND', 'Jammu and Kashmir', 892506),
(1047, 'Agra', 'IND', 'Uttar Pradesh', 891790),
(1048, 'Coimbatore', 'IND', 'Tamil Nadu', 816321),
(1049, 'Thane (Thana)', 'IND', 'Maharashtra', 803389),
(1050, 'Allahabad', 'IND', 'Uttar Pradesh', 792858),
(1051, 'Meerut', 'IND', 'Uttar Pradesh', 753778),
(1052, 'Vishakhapatnam', 'IND', 'Andhra Pradesh', 752037),
(1053, 'Jabalpur', 'IND', 'Madhya Pradesh', 741927),
(1054, 'Amritsar', 'IND', 'Punjab', 708835),
(1055, 'Faridabad', 'IND', 'Haryana', 703592),
(1056, 'Vijayawada', 'IND', 'Andhra Pradesh', 701827),
(1057, 'Gwalior', 'IND', 'Madhya Pradesh', 690765),
(1058, 'Jodhpur', 'IND', 'Rajasthan', 666279),
(1059, 'Nashik (Nasik)', 'IND', 'Maharashtra', 656925),
(1060, 'Hubli-Dharwad', 'IND', 'Karnataka', 648298);
INSERT INTO `tbl_all_cities` (`ID`, `Name`, `CountryCode`, `District`, `Population`) VALUES
(1061, 'Solapur (Sholapur)', 'IND', 'Maharashtra', 604215),
(1062, 'Ranchi', 'IND', 'Jharkhand', 599306),
(1063, 'Bareilly', 'IND', 'Uttar Pradesh', 587211),
(1064, 'Guwahati (Gauhati)', 'IND', 'Assam', 584342),
(1065, 'Shambajinagar (Aurangabad)', 'IND', 'Maharashtra', 573272),
(1066, 'Cochin (Kochi)', 'IND', 'Kerala', 564589),
(1067, 'Rajkot', 'IND', 'Gujarat', 559407),
(1068, 'Kota', 'IND', 'Rajasthan', 537371),
(1069, 'Thiruvananthapuram (Trivandrum', 'IND', 'Kerala', 524006),
(1070, 'Pimpri-Chinchwad', 'IND', 'Maharashtra', 517083),
(1071, 'Jalandhar (Jullundur)', 'IND', 'Punjab', 509510),
(1072, 'Gorakhpur', 'IND', 'Uttar Pradesh', 505566),
(1073, 'Chandigarh', 'IND', 'Chandigarh', 504094),
(1074, 'Mysore', 'IND', 'Karnataka', 480692),
(1075, 'Aligarh', 'IND', 'Uttar Pradesh', 480520),
(1076, 'Guntur', 'IND', 'Andhra Pradesh', 471051),
(1077, 'Jamshedpur', 'IND', 'Jharkhand', 460577),
(1078, 'Ghaziabad', 'IND', 'Uttar Pradesh', 454156),
(1079, 'Warangal', 'IND', 'Andhra Pradesh', 447657),
(1080, 'Raipur', 'IND', 'Chhatisgarh', 438639),
(1081, 'Moradabad', 'IND', 'Uttar Pradesh', 429214),
(1082, 'Durgapur', 'IND', 'West Bengali', 425836),
(1083, 'Amravati', 'IND', 'Maharashtra', 421576),
(1084, 'Calicut (Kozhikode)', 'IND', 'Kerala', 419831),
(1085, 'Bikaner', 'IND', 'Rajasthan', 416289),
(1086, 'Bhubaneswar', 'IND', 'Orissa', 411542),
(1087, 'Kolhapur', 'IND', 'Maharashtra', 406370),
(1088, 'Kataka (Cuttack)', 'IND', 'Orissa', 403418),
(1089, 'Ajmer', 'IND', 'Rajasthan', 402700),
(1090, 'Bhavnagar', 'IND', 'Gujarat', 402338),
(1091, 'Tiruchirapalli', 'IND', 'Tamil Nadu', 387223),
(1092, 'Bhilai', 'IND', 'Chhatisgarh', 386159),
(1093, 'Bhiwandi', 'IND', 'Maharashtra', 379070),
(1094, 'Saharanpur', 'IND', 'Uttar Pradesh', 374945),
(1095, 'Ulhasnagar', 'IND', 'Maharashtra', 369077),
(1096, 'Salem', 'IND', 'Tamil Nadu', 366712),
(1097, 'Ujjain', 'IND', 'Madhya Pradesh', 362266),
(1098, 'Malegaon', 'IND', 'Maharashtra', 342595),
(1099, 'Jamnagar', 'IND', 'Gujarat', 341637),
(1100, 'Bokaro Steel City', 'IND', 'Jharkhand', 333683),
(1101, 'Akola', 'IND', 'Maharashtra', 328034),
(1102, 'Belgaum', 'IND', 'Karnataka', 326399),
(1103, 'Rajahmundry', 'IND', 'Andhra Pradesh', 324851),
(1104, 'Nellore', 'IND', 'Andhra Pradesh', 316606),
(1105, 'Udaipur', 'IND', 'Rajasthan', 308571),
(1106, 'New Bombay', 'IND', 'Maharashtra', 307297),
(1107, 'Bhatpara', 'IND', 'West Bengali', 304952),
(1108, 'Gulbarga', 'IND', 'Karnataka', 304099),
(1109, 'New Delhi', 'IND', 'Delhi', 301297),
(1110, 'Jhansi', 'IND', 'Uttar Pradesh', 300850),
(1111, 'Gaya', 'IND', 'Bihar', 291675),
(1112, 'Kakinada', 'IND', 'Andhra Pradesh', 279980),
(1113, 'Dhule (Dhulia)', 'IND', 'Maharashtra', 278317),
(1114, 'Panihati', 'IND', 'West Bengali', 275990),
(1115, 'Nanded (Nander)', 'IND', 'Maharashtra', 275083),
(1116, 'Mangalore', 'IND', 'Karnataka', 273304),
(1117, 'Dehra Dun', 'IND', 'Uttaranchal', 270159),
(1118, 'Kamarhati', 'IND', 'West Bengali', 266889),
(1119, 'Davangere', 'IND', 'Karnataka', 266082),
(1120, 'Asansol', 'IND', 'West Bengali', 262188),
(1121, 'Bhagalpur', 'IND', 'Bihar', 253225),
(1122, 'Bellary', 'IND', 'Karnataka', 245391),
(1123, 'Barddhaman (Burdwan)', 'IND', 'West Bengali', 245079),
(1124, 'Rampur', 'IND', 'Uttar Pradesh', 243742),
(1125, 'Jalgaon', 'IND', 'Maharashtra', 242193),
(1126, 'Muzaffarpur', 'IND', 'Bihar', 241107),
(1127, 'Nizamabad', 'IND', 'Andhra Pradesh', 241034),
(1128, 'Muzaffarnagar', 'IND', 'Uttar Pradesh', 240609),
(1129, 'Patiala', 'IND', 'Punjab', 238368),
(1130, 'Shahjahanpur', 'IND', 'Uttar Pradesh', 237713),
(1131, 'Kurnool', 'IND', 'Andhra Pradesh', 236800),
(1132, 'Tiruppur (Tirupper)', 'IND', 'Tamil Nadu', 235661),
(1133, 'Rohtak', 'IND', 'Haryana', 233400),
(1134, 'South Dum Dum', 'IND', 'West Bengali', 232811),
(1135, 'Mathura', 'IND', 'Uttar Pradesh', 226691),
(1136, 'Chandrapur', 'IND', 'Maharashtra', 226105),
(1137, 'Barahanagar (Baranagar)', 'IND', 'West Bengali', 224821),
(1138, 'Darbhanga', 'IND', 'Bihar', 218391),
(1139, 'Siliguri (Shiliguri)', 'IND', 'West Bengali', 216950),
(1140, 'Raurkela', 'IND', 'Orissa', 215489),
(1141, 'Ambattur', 'IND', 'Tamil Nadu', 215424),
(1142, 'Panipat', 'IND', 'Haryana', 215218),
(1143, 'Firozabad', 'IND', 'Uttar Pradesh', 215128),
(1144, 'Ichalkaranji', 'IND', 'Maharashtra', 214950),
(1145, 'Jammu', 'IND', 'Jammu and Kashmir', 214737),
(1146, 'Ramagundam', 'IND', 'Andhra Pradesh', 214384),
(1147, 'Eluru', 'IND', 'Andhra Pradesh', 212866),
(1148, 'Brahmapur', 'IND', 'Orissa', 210418),
(1149, 'Alwar', 'IND', 'Rajasthan', 205086),
(1150, 'Pondicherry', 'IND', 'Pondicherry', 203065),
(1151, 'Thanjavur', 'IND', 'Tamil Nadu', 202013),
(1152, 'Bihar Sharif', 'IND', 'Bihar', 201323),
(1153, 'Tuticorin', 'IND', 'Tamil Nadu', 199854),
(1154, 'Imphal', 'IND', 'Manipur', 198535),
(1155, 'Latur', 'IND', 'Maharashtra', 197408),
(1156, 'Sagar', 'IND', 'Madhya Pradesh', 195346),
(1157, 'Farrukhabad-cum-Fatehgarh', 'IND', 'Uttar Pradesh', 194567),
(1158, 'Sangli', 'IND', 'Maharashtra', 193197),
(1159, 'Parbhani', 'IND', 'Maharashtra', 190255),
(1160, 'Nagar Coil', 'IND', 'Tamil Nadu', 190084),
(1161, 'Bijapur', 'IND', 'Karnataka', 186939),
(1162, 'Kukatpalle', 'IND', 'Andhra Pradesh', 185378),
(1163, 'Bally', 'IND', 'West Bengali', 184474),
(1164, 'Bhilwara', 'IND', 'Rajasthan', 183965),
(1165, 'Ratlam', 'IND', 'Madhya Pradesh', 183375),
(1166, 'Avadi', 'IND', 'Tamil Nadu', 183215),
(1167, 'Dindigul', 'IND', 'Tamil Nadu', 182477),
(1168, 'Ahmadnagar', 'IND', 'Maharashtra', 181339),
(1169, 'Bilaspur', 'IND', 'Chhatisgarh', 179833),
(1170, 'Shimoga', 'IND', 'Karnataka', 179258),
(1171, 'Kharagpur', 'IND', 'West Bengali', 177989),
(1172, 'Mira Bhayandar', 'IND', 'Maharashtra', 175372),
(1173, 'Vellore', 'IND', 'Tamil Nadu', 175061),
(1174, 'Jalna', 'IND', 'Maharashtra', 174985),
(1175, 'Burnpur', 'IND', 'West Bengali', 174933),
(1176, 'Anantapur', 'IND', 'Andhra Pradesh', 174924),
(1177, 'Allappuzha (Alleppey)', 'IND', 'Kerala', 174666),
(1178, 'Tirupati', 'IND', 'Andhra Pradesh', 174369),
(1179, 'Karnal', 'IND', 'Haryana', 173751),
(1180, 'Burhanpur', 'IND', 'Madhya Pradesh', 172710),
(1181, 'Hisar (Hissar)', 'IND', 'Haryana', 172677),
(1182, 'Tiruvottiyur', 'IND', 'Tamil Nadu', 172562),
(1183, 'Mirzapur-cum-Vindhyachal', 'IND', 'Uttar Pradesh', 169336),
(1184, 'Secunderabad', 'IND', 'Andhra Pradesh', 167461),
(1185, 'Nadiad', 'IND', 'Gujarat', 167051),
(1186, 'Dewas', 'IND', 'Madhya Pradesh', 164364),
(1187, 'Murwara (Katni)', 'IND', 'Madhya Pradesh', 163431),
(1188, 'Ganganagar', 'IND', 'Rajasthan', 161482),
(1189, 'Vizianagaram', 'IND', 'Andhra Pradesh', 160359),
(1190, 'Erode', 'IND', 'Tamil Nadu', 159232),
(1191, 'Machilipatnam (Masulipatam)', 'IND', 'Andhra Pradesh', 159110),
(1192, 'Bhatinda (Bathinda)', 'IND', 'Punjab', 159042),
(1193, 'Raichur', 'IND', 'Karnataka', 157551),
(1194, 'Agartala', 'IND', 'Tripura', 157358),
(1195, 'Arrah (Ara)', 'IND', 'Bihar', 157082),
(1196, 'Satna', 'IND', 'Madhya Pradesh', 156630),
(1197, 'Lalbahadur Nagar', 'IND', 'Andhra Pradesh', 155500),
(1198, 'Aizawl', 'IND', 'Mizoram', 155240),
(1199, 'Uluberia', 'IND', 'West Bengali', 155172),
(1200, 'Katihar', 'IND', 'Bihar', 154367),
(1201, 'Cuddalore', 'IND', 'Tamil Nadu', 153086),
(1202, 'Hugli-Chinsurah', 'IND', 'West Bengali', 151806),
(1203, 'Dhanbad', 'IND', 'Jharkhand', 151789),
(1204, 'Raiganj', 'IND', 'West Bengali', 151045),
(1205, 'Sambhal', 'IND', 'Uttar Pradesh', 150869),
(1206, 'Durg', 'IND', 'Chhatisgarh', 150645),
(1207, 'Munger (Monghyr)', 'IND', 'Bihar', 150112),
(1208, 'Kanchipuram', 'IND', 'Tamil Nadu', 150100),
(1209, 'North Dum Dum', 'IND', 'West Bengali', 149965),
(1210, 'Karimnagar', 'IND', 'Andhra Pradesh', 148583),
(1211, 'Bharatpur', 'IND', 'Rajasthan', 148519),
(1212, 'Sikar', 'IND', 'Rajasthan', 148272),
(1213, 'Hardwar (Haridwar)', 'IND', 'Uttaranchal', 147305),
(1214, 'Dabgram', 'IND', 'West Bengali', 147217),
(1215, 'Morena', 'IND', 'Madhya Pradesh', 147124),
(1216, 'Noida', 'IND', 'Uttar Pradesh', 146514),
(1217, 'Hapur', 'IND', 'Uttar Pradesh', 146262),
(1218, 'Bhusawal', 'IND', 'Maharashtra', 145143),
(1219, 'Khandwa', 'IND', 'Madhya Pradesh', 145133),
(1220, 'Yamuna Nagar', 'IND', 'Haryana', 144346),
(1221, 'Sonipat (Sonepat)', 'IND', 'Haryana', 143922),
(1222, 'Tenali', 'IND', 'Andhra Pradesh', 143726),
(1223, 'Raurkela Civil Township', 'IND', 'Orissa', 140408),
(1224, 'Kollam (Quilon)', 'IND', 'Kerala', 139852),
(1225, 'Kumbakonam', 'IND', 'Tamil Nadu', 139483),
(1226, 'Ingraj Bazar (English Bazar)', 'IND', 'West Bengali', 139204),
(1227, 'Timkur', 'IND', 'Karnataka', 138903),
(1228, 'Amroha', 'IND', 'Uttar Pradesh', 137061),
(1229, 'Serampore', 'IND', 'West Bengali', 137028),
(1230, 'Chapra', 'IND', 'Bihar', 136877),
(1231, 'Pali', 'IND', 'Rajasthan', 136842),
(1232, 'Maunath Bhanjan', 'IND', 'Uttar Pradesh', 136697),
(1233, 'Adoni', 'IND', 'Andhra Pradesh', 136182),
(1234, 'Jaunpur', 'IND', 'Uttar Pradesh', 136062),
(1235, 'Tirunelveli', 'IND', 'Tamil Nadu', 135825),
(1236, 'Bahraich', 'IND', 'Uttar Pradesh', 135400),
(1237, 'Gadag Betigeri', 'IND', 'Karnataka', 134051),
(1238, 'Proddatur', 'IND', 'Andhra Pradesh', 133914),
(1239, 'Chittoor', 'IND', 'Andhra Pradesh', 133462),
(1240, 'Barrackpur', 'IND', 'West Bengali', 133265),
(1241, 'Bharuch (Broach)', 'IND', 'Gujarat', 133102),
(1242, 'Naihati', 'IND', 'West Bengali', 132701),
(1243, 'Shillong', 'IND', 'Meghalaya', 131719),
(1244, 'Sambalpur', 'IND', 'Orissa', 131138),
(1245, 'Junagadh', 'IND', 'Gujarat', 130484),
(1246, 'Rae Bareli', 'IND', 'Uttar Pradesh', 129904),
(1247, 'Rewa', 'IND', 'Madhya Pradesh', 128981),
(1248, 'Gurgaon', 'IND', 'Haryana', 128608),
(1249, 'Khammam', 'IND', 'Andhra Pradesh', 127992),
(1250, 'Bulandshahr', 'IND', 'Uttar Pradesh', 127201),
(1251, 'Navsari', 'IND', 'Gujarat', 126089),
(1252, 'Malkajgiri', 'IND', 'Andhra Pradesh', 126066),
(1253, 'Midnapore (Medinipur)', 'IND', 'West Bengali', 125498),
(1254, 'Miraj', 'IND', 'Maharashtra', 125407),
(1255, 'Raj Nandgaon', 'IND', 'Chhatisgarh', 125371),
(1256, 'Alandur', 'IND', 'Tamil Nadu', 125244),
(1257, 'Puri', 'IND', 'Orissa', 125199),
(1258, 'Navadwip', 'IND', 'West Bengali', 125037),
(1259, 'Sirsa', 'IND', 'Haryana', 125000),
(1260, 'Korba', 'IND', 'Chhatisgarh', 124501),
(1261, 'Faizabad', 'IND', 'Uttar Pradesh', 124437),
(1262, 'Etawah', 'IND', 'Uttar Pradesh', 124072),
(1263, 'Pathankot', 'IND', 'Punjab', 123930),
(1264, 'Gandhinagar', 'IND', 'Gujarat', 123359),
(1265, 'Palghat (Palakkad)', 'IND', 'Kerala', 123289),
(1266, 'Veraval', 'IND', 'Gujarat', 123000),
(1267, 'Hoshiarpur', 'IND', 'Punjab', 122705),
(1268, 'Ambala', 'IND', 'Haryana', 122596),
(1269, 'Sitapur', 'IND', 'Uttar Pradesh', 121842),
(1270, 'Bhiwani', 'IND', 'Haryana', 121629),
(1271, 'Cuddapah', 'IND', 'Andhra Pradesh', 121463),
(1272, 'Bhimavaram', 'IND', 'Andhra Pradesh', 121314),
(1273, 'Krishnanagar', 'IND', 'West Bengali', 121110),
(1274, 'Chandannagar', 'IND', 'West Bengali', 120378),
(1275, 'Mandya', 'IND', 'Karnataka', 120265),
(1276, 'Dibrugarh', 'IND', 'Assam', 120127),
(1277, 'Nandyal', 'IND', 'Andhra Pradesh', 119813),
(1278, 'Balurghat', 'IND', 'West Bengali', 119796),
(1279, 'Neyveli', 'IND', 'Tamil Nadu', 118080),
(1280, 'Fatehpur', 'IND', 'Uttar Pradesh', 117675),
(1281, 'Mahbubnagar', 'IND', 'Andhra Pradesh', 116833),
(1282, 'Budaun', 'IND', 'Uttar Pradesh', 116695),
(1283, 'Porbandar', 'IND', 'Gujarat', 116671),
(1284, 'Silchar', 'IND', 'Assam', 115483),
(1285, 'Berhampore (Baharampur)', 'IND', 'West Bengali', 115144),
(1286, 'Purnea (Purnia)', 'IND', 'Jharkhand', 114912),
(1287, 'Bankura', 'IND', 'West Bengali', 114876),
(1288, 'Rajapalaiyam', 'IND', 'Tamil Nadu', 114202),
(1289, 'Titagarh', 'IND', 'West Bengali', 114085),
(1290, 'Halisahar', 'IND', 'West Bengali', 114028),
(1291, 'Hathras', 'IND', 'Uttar Pradesh', 113285),
(1292, 'Bhir (Bid)', 'IND', 'Maharashtra', 112434),
(1293, 'Pallavaram', 'IND', 'Tamil Nadu', 111866),
(1294, 'Anand', 'IND', 'Gujarat', 110266),
(1295, 'Mango', 'IND', 'Jharkhand', 110024),
(1296, 'Santipur', 'IND', 'West Bengali', 109956),
(1297, 'Bhind', 'IND', 'Madhya Pradesh', 109755),
(1298, 'Gondiya', 'IND', 'Maharashtra', 109470),
(1299, 'Tiruvannamalai', 'IND', 'Tamil Nadu', 109196),
(1300, 'Yeotmal (Yavatmal)', 'IND', 'Maharashtra', 108578),
(1301, 'Kulti-Barakar', 'IND', 'West Bengali', 108518),
(1302, 'Moga', 'IND', 'Punjab', 108304),
(1303, 'Shivapuri', 'IND', 'Madhya Pradesh', 108277),
(1304, 'Bidar', 'IND', 'Karnataka', 108016),
(1305, 'Guntakal', 'IND', 'Andhra Pradesh', 107592),
(1306, 'Unnao', 'IND', 'Uttar Pradesh', 107425),
(1307, 'Barasat', 'IND', 'West Bengali', 107365),
(1308, 'Tambaram', 'IND', 'Tamil Nadu', 107187),
(1309, 'Abohar', 'IND', 'Punjab', 107163),
(1310, 'Pilibhit', 'IND', 'Uttar Pradesh', 106605),
(1311, 'Valparai', 'IND', 'Tamil Nadu', 106523),
(1312, 'Gonda', 'IND', 'Uttar Pradesh', 106078),
(1313, 'Surendranagar', 'IND', 'Gujarat', 105973),
(1314, 'Qutubullapur', 'IND', 'Andhra Pradesh', 105380),
(1315, 'Beawar', 'IND', 'Rajasthan', 105363),
(1316, 'Hindupur', 'IND', 'Andhra Pradesh', 104651),
(1317, 'Gandhidham', 'IND', 'Gujarat', 104585),
(1318, 'Haldwani-cum-Kathgodam', 'IND', 'Uttaranchal', 104195),
(1319, 'Tellicherry (Thalassery)', 'IND', 'Kerala', 103579),
(1320, 'Wardha', 'IND', 'Maharashtra', 102985),
(1321, 'Rishra', 'IND', 'West Bengali', 102649),
(1322, 'Bhuj', 'IND', 'Gujarat', 102176),
(1323, 'Modinagar', 'IND', 'Uttar Pradesh', 101660),
(1324, 'Gudivada', 'IND', 'Andhra Pradesh', 101656),
(1325, 'Basirhat', 'IND', 'West Bengali', 101409),
(1326, 'Uttarpara-Kotrung', 'IND', 'West Bengali', 100867),
(1327, 'Ongole', 'IND', 'Andhra Pradesh', 100836),
(1328, 'North Barrackpur', 'IND', 'West Bengali', 100513),
(1329, 'Guna', 'IND', 'Madhya Pradesh', 100490),
(1330, 'Haldia', 'IND', 'West Bengali', 100347),
(1331, 'Habra', 'IND', 'West Bengali', 100223),
(1332, 'Kanchrapara', 'IND', 'West Bengali', 100194),
(1333, 'Tonk', 'IND', 'Rajasthan', 100079),
(1334, 'Champdani', 'IND', 'West Bengali', 98818),
(1335, 'Orai', 'IND', 'Uttar Pradesh', 98640),
(1336, 'Pudukkottai', 'IND', 'Tamil Nadu', 98619),
(1337, 'Sasaram', 'IND', 'Bihar', 98220),
(1338, 'Hazaribag', 'IND', 'Jharkhand', 97712),
(1339, 'Palayankottai', 'IND', 'Tamil Nadu', 97662),
(1340, 'Banda', 'IND', 'Uttar Pradesh', 97227),
(1341, 'Godhra', 'IND', 'Gujarat', 96813),
(1342, 'Hospet', 'IND', 'Karnataka', 96322),
(1343, 'Ashoknagar-Kalyangarh', 'IND', 'West Bengali', 96315),
(1344, 'Achalpur', 'IND', 'Maharashtra', 96216),
(1345, 'Patan', 'IND', 'Gujarat', 96109),
(1346, 'Mandasor', 'IND', 'Madhya Pradesh', 95758),
(1347, 'Damoh', 'IND', 'Madhya Pradesh', 95661),
(1348, 'Satara', 'IND', 'Maharashtra', 95133),
(1349, 'Meerut Cantonment', 'IND', 'Uttar Pradesh', 94876),
(1350, 'Dehri', 'IND', 'Bihar', 94526),
(1351, 'Delhi Cantonment', 'IND', 'Delhi', 94326),
(1352, 'Chhindwara', 'IND', 'Madhya Pradesh', 93731),
(1353, 'Bansberia', 'IND', 'West Bengali', 93447),
(1354, 'Nagaon', 'IND', 'Assam', 93350),
(1355, 'Kanpur Cantonment', 'IND', 'Uttar Pradesh', 93109),
(1356, 'Vidisha', 'IND', 'Madhya Pradesh', 92917),
(1357, 'Bettiah', 'IND', 'Bihar', 92583),
(1358, 'Purulia', 'IND', 'Jharkhand', 92574),
(1359, 'Hassan', 'IND', 'Karnataka', 90803),
(1360, 'Ambala Sadar', 'IND', 'Haryana', 90712),
(1361, 'Baidyabati', 'IND', 'West Bengali', 90601),
(1362, 'Morvi', 'IND', 'Gujarat', 90357),
(1363, 'Raigarh', 'IND', 'Chhatisgarh', 89166),
(1364, 'Vejalpur', 'IND', 'Gujarat', 89053),
(1365, 'Baghdad', 'IRQ', 'Baghdad', 4336000),
(1366, 'Mosul', 'IRQ', 'Ninawa', 879000),
(1367, 'Irbil', 'IRQ', 'Irbil', 485968),
(1368, 'Kirkuk', 'IRQ', 'al-Tamim', 418624),
(1369, 'Basra', 'IRQ', 'Basra', 406296),
(1370, 'al-Sulaymaniya', 'IRQ', 'al-Sulaymaniya', 364096),
(1371, 'al-Najaf', 'IRQ', 'al-Najaf', 309010),
(1372, 'Karbala', 'IRQ', 'Karbala', 296705),
(1373, 'al-Hilla', 'IRQ', 'Babil', 268834),
(1374, 'al-Nasiriya', 'IRQ', 'DhiQar', 265937),
(1375, 'al-Amara', 'IRQ', 'Maysan', 208797),
(1376, 'al-Diwaniya', 'IRQ', 'al-Qadisiya', 196519),
(1377, 'al-Ramadi', 'IRQ', 'al-Anbar', 192556),
(1378, 'al-Kut', 'IRQ', 'Wasit', 183183),
(1379, 'Baquba', 'IRQ', 'Diyala', 114516),
(1380, 'Teheran', 'IRN', 'Teheran', 6758845),
(1381, 'Mashhad', 'IRN', 'Khorasan', 1887405),
(1382, 'Esfahan', 'IRN', 'Esfahan', 1266072),
(1383, 'Tabriz', 'IRN', 'East Azerbaidzan', 1191043),
(1384, 'Shiraz', 'IRN', 'Fars', 1053025),
(1385, 'Karaj', 'IRN', 'Teheran', 940968),
(1386, 'Ahvaz', 'IRN', 'Khuzestan', 804980),
(1387, 'Qom', 'IRN', 'Qom', 777677),
(1388, 'Kermanshah', 'IRN', 'Kermanshah', 692986),
(1389, 'Urmia', 'IRN', 'West Azerbaidzan', 435200),
(1390, 'Zahedan', 'IRN', 'Sistan va Baluchesta', 419518),
(1391, 'Rasht', 'IRN', 'Gilan', 417748),
(1392, 'Hamadan', 'IRN', 'Hamadan', 401281),
(1393, 'Kerman', 'IRN', 'Kerman', 384991),
(1394, 'Arak', 'IRN', 'Markazi', 380755),
(1395, 'Ardebil', 'IRN', 'Ardebil', 340386),
(1396, 'Yazd', 'IRN', 'Yazd', 326776),
(1397, 'Qazvin', 'IRN', 'Qazvin', 291117),
(1398, 'Zanjan', 'IRN', 'Zanjan', 286295),
(1399, 'Sanandaj', 'IRN', 'Kordestan', 277808),
(1400, 'Bandar-e-Abbas', 'IRN', 'Hormozgan', 273578),
(1401, 'Khorramabad', 'IRN', 'Lorestan', 272815),
(1402, 'Eslamshahr', 'IRN', 'Teheran', 265450),
(1403, 'Borujerd', 'IRN', 'Lorestan', 217804),
(1404, 'Abadan', 'IRN', 'Khuzestan', 206073),
(1405, 'Dezful', 'IRN', 'Khuzestan', 202639),
(1406, 'Kashan', 'IRN', 'Esfahan', 201372),
(1407, 'Sari', 'IRN', 'Mazandaran', 195882),
(1408, 'Gorgan', 'IRN', 'Golestan', 188710),
(1409, 'Najafabad', 'IRN', 'Esfahan', 178498),
(1410, 'Sabzevar', 'IRN', 'Khorasan', 170738),
(1411, 'Khomeynishahr', 'IRN', 'Esfahan', 165888),
(1412, 'Amol', 'IRN', 'Mazandaran', 159092),
(1413, 'Neyshabur', 'IRN', 'Khorasan', 158847),
(1414, 'Babol', 'IRN', 'Mazandaran', 158346),
(1415, 'Khoy', 'IRN', 'West Azerbaidzan', 148944),
(1416, 'Malayer', 'IRN', 'Hamadan', 144373),
(1417, 'Bushehr', 'IRN', 'Bushehr', 143641),
(1418, 'Qaemshahr', 'IRN', 'Mazandaran', 143286),
(1419, 'Qarchak', 'IRN', 'Teheran', 142690),
(1420, 'Qods', 'IRN', 'Teheran', 138278),
(1421, 'Sirjan', 'IRN', 'Kerman', 135024),
(1422, 'Bojnurd', 'IRN', 'Khorasan', 134835),
(1423, 'Maragheh', 'IRN', 'East Azerbaidzan', 132318),
(1424, 'Birjand', 'IRN', 'Khorasan', 127608),
(1425, 'Ilam', 'IRN', 'Ilam', 126346),
(1426, 'Bukan', 'IRN', 'West Azerbaidzan', 120020),
(1427, 'Masjed-e-Soleyman', 'IRN', 'Khuzestan', 116883),
(1428, 'Saqqez', 'IRN', 'Kordestan', 115394),
(1429, 'Gonbad-e Qabus', 'IRN', 'Mazandaran', 111253),
(1430, 'Saveh', 'IRN', 'Qom', 111245),
(1431, 'Mahabad', 'IRN', 'West Azerbaidzan', 107799),
(1432, 'Varamin', 'IRN', 'Teheran', 107233),
(1433, 'Andimeshk', 'IRN', 'Khuzestan', 106923),
(1434, 'Khorramshahr', 'IRN', 'Khuzestan', 105636),
(1435, 'Shahrud', 'IRN', 'Semnan', 104765),
(1436, 'Marv Dasht', 'IRN', 'Fars', 103579),
(1437, 'Zabol', 'IRN', 'Sistan va Baluchesta', 100887),
(1438, 'Shahr-e Kord', 'IRN', 'Chaharmahal va Bakht', 100477),
(1439, 'Bandar-e Anzali', 'IRN', 'Gilan', 98500),
(1440, 'Rafsanjan', 'IRN', 'Kerman', 98300),
(1441, 'Marand', 'IRN', 'East Azerbaidzan', 96400),
(1442, 'Torbat-e Heydariyeh', 'IRN', 'Khorasan', 94600),
(1443, 'Jahrom', 'IRN', 'Fars', 94200),
(1444, 'Semnan', 'IRN', 'Semnan', 91045),
(1445, 'Miandoab', 'IRN', 'West Azerbaidzan', 90100),
(1446, 'Qomsheh', 'IRN', 'Esfahan', 89800),
(1447, 'Dublin', 'IRL', 'Leinster', 481854),
(1448, 'Cork', 'IRL', 'Munster', 127187),
(1449, 'Reykjavík', 'ISL', 'Höfuðborgarsvæði', 109184),
(1464, 'Roma', 'ITA', 'Latium', 2643581),
(1465, 'Milano', 'ITA', 'Lombardia', 1300977),
(1466, 'Napoli', 'ITA', 'Campania', 1002619),
(1467, 'Torino', 'ITA', 'Piemonte', 903705),
(1468, 'Palermo', 'ITA', 'Sisilia', 683794),
(1469, 'Genova', 'ITA', 'Liguria', 636104),
(1470, 'Bologna', 'ITA', 'Emilia-Romagna', 381161),
(1471, 'Firenze', 'ITA', 'Toscana', 376662),
(1472, 'Catania', 'ITA', 'Sisilia', 337862),
(1473, 'Bari', 'ITA', 'Apulia', 331848),
(1474, 'Venezia', 'ITA', 'Veneto', 277305),
(1475, 'Messina', 'ITA', 'Sisilia', 259156),
(1476, 'Verona', 'ITA', 'Veneto', 255268),
(1477, 'Trieste', 'ITA', 'Friuli-Venezia Giuli', 216459),
(1478, 'Padova', 'ITA', 'Veneto', 211391),
(1479, 'Taranto', 'ITA', 'Apulia', 208214),
(1480, 'Brescia', 'ITA', 'Lombardia', 191317),
(1481, 'Reggio di Calabria', 'ITA', 'Calabria', 179617),
(1482, 'Modena', 'ITA', 'Emilia-Romagna', 176022),
(1483, 'Prato', 'ITA', 'Toscana', 172473),
(1484, 'Parma', 'ITA', 'Emilia-Romagna', 168717),
(1485, 'Cagliari', 'ITA', 'Sardinia', 165926),
(1486, 'Livorno', 'ITA', 'Toscana', 161673),
(1487, 'Perugia', 'ITA', 'Umbria', 156673),
(1488, 'Foggia', 'ITA', 'Apulia', 154891),
(1489, 'Reggio nell´ Emilia', 'ITA', 'Emilia-Romagna', 143664),
(1490, 'Salerno', 'ITA', 'Campania', 142055),
(1491, 'Ravenna', 'ITA', 'Emilia-Romagna', 138418),
(1492, 'Ferrara', 'ITA', 'Emilia-Romagna', 132127),
(1493, 'Rimini', 'ITA', 'Emilia-Romagna', 131062),
(1494, 'Syrakusa', 'ITA', 'Sisilia', 126282),
(1495, 'Sassari', 'ITA', 'Sardinia', 120803),
(1496, 'Monza', 'ITA', 'Lombardia', 119516),
(1497, 'Bergamo', 'ITA', 'Lombardia', 117837),
(1498, 'Pescara', 'ITA', 'Abruzzit', 115698),
(1499, 'Latina', 'ITA', 'Latium', 114099),
(1500, 'Vicenza', 'ITA', 'Veneto', 109738),
(1501, 'Terni', 'ITA', 'Umbria', 107770),
(1502, 'Forlì', 'ITA', 'Emilia-Romagna', 107475),
(1503, 'Trento', 'ITA', 'Trentino-Alto Adige', 104906),
(1504, 'Novara', 'ITA', 'Piemonte', 102037),
(1505, 'Piacenza', 'ITA', 'Emilia-Romagna', 98384),
(1506, 'Ancona', 'ITA', 'Marche', 98329),
(1507, 'Lecce', 'ITA', 'Apulia', 98208),
(1508, 'Bolzano', 'ITA', 'Trentino-Alto Adige', 97232),
(1509, 'Catanzaro', 'ITA', 'Calabria', 96700),
(1510, 'La Spezia', 'ITA', 'Liguria', 95504),
(1511, 'Udine', 'ITA', 'Friuli-Venezia Giuli', 94932),
(1512, 'Torre del Greco', 'ITA', 'Campania', 94505),
(1513, 'Andria', 'ITA', 'Apulia', 94443),
(1514, 'Brindisi', 'ITA', 'Apulia', 93454),
(1515, 'Giugliano in Campania', 'ITA', 'Campania', 93286),
(1516, 'Pisa', 'ITA', 'Toscana', 92379),
(1517, 'Barletta', 'ITA', 'Apulia', 91904),
(1518, 'Arezzo', 'ITA', 'Toscana', 91729),
(1519, 'Alessandria', 'ITA', 'Piemonte', 90289),
(1520, 'Cesena', 'ITA', 'Emilia-Romagna', 89852),
(1521, 'Pesaro', 'ITA', 'Marche', 88987),
(1522, 'Dili', 'TMP', 'Dili', 47900),
(1523, 'Wien', 'AUT', 'Wien', 1608144),
(1524, 'Graz', 'AUT', 'Steiermark', 240967),
(1525, 'Linz', 'AUT', 'North Austria', 188022),
(1526, 'Salzburg', 'AUT', 'Salzburg', 144247),
(1527, 'Innsbruck', 'AUT', 'Tiroli', 111752),
(1528, 'Klagenfurt', 'AUT', 'Kärnten', 91141),
(1529, 'Spanish Town', 'JAM', 'St. Catherine', 110379),
(1530, 'Kingston', 'JAM', 'St. Andrew', 103962),
(1531, 'Portmore', 'JAM', 'St. Andrew', 99799),
(1532, 'Tokyo', 'JPN', 'Tokyo-to', 7980230),
(1533, 'Jokohama [Yokohama]', 'JPN', 'Kanagawa', 3339594),
(1534, 'Osaka', 'JPN', 'Osaka', 2595674),
(1535, 'Nagoya', 'JPN', 'Aichi', 2154376),
(1536, 'Sapporo', 'JPN', 'Hokkaido', 1790886),
(1537, 'Kioto', 'JPN', 'Kyoto', 1461974),
(1538, 'Kobe', 'JPN', 'Hyogo', 1425139),
(1539, 'Fukuoka', 'JPN', 'Fukuoka', 1308379),
(1540, 'Kawasaki', 'JPN', 'Kanagawa', 1217359),
(1541, 'Hiroshima', 'JPN', 'Hiroshima', 1119117),
(1542, 'Kitakyushu', 'JPN', 'Fukuoka', 1016264),
(1543, 'Sendai', 'JPN', 'Miyagi', 989975),
(1544, 'Chiba', 'JPN', 'Chiba', 863930),
(1545, 'Sakai', 'JPN', 'Osaka', 797735),
(1546, 'Kumamoto', 'JPN', 'Kumamoto', 656734),
(1547, 'Okayama', 'JPN', 'Okayama', 624269),
(1548, 'Sagamihara', 'JPN', 'Kanagawa', 586300),
(1549, 'Hamamatsu', 'JPN', 'Shizuoka', 568796),
(1550, 'Kagoshima', 'JPN', 'Kagoshima', 549977),
(1551, 'Funabashi', 'JPN', 'Chiba', 545299),
(1552, 'Higashiosaka', 'JPN', 'Osaka', 517785),
(1553, 'Hachioji', 'JPN', 'Tokyo-to', 513451),
(1554, 'Niigata', 'JPN', 'Niigata', 497464),
(1555, 'Amagasaki', 'JPN', 'Hyogo', 481434),
(1556, 'Himeji', 'JPN', 'Hyogo', 475167),
(1557, 'Shizuoka', 'JPN', 'Shizuoka', 473854),
(1558, 'Urawa', 'JPN', 'Saitama', 469675),
(1559, 'Matsuyama', 'JPN', 'Ehime', 466133),
(1560, 'Matsudo', 'JPN', 'Chiba', 461126),
(1561, 'Kanazawa', 'JPN', 'Ishikawa', 455386),
(1562, 'Kawaguchi', 'JPN', 'Saitama', 452155),
(1563, 'Ichikawa', 'JPN', 'Chiba', 441893),
(1564, 'Omiya', 'JPN', 'Saitama', 441649),
(1565, 'Utsunomiya', 'JPN', 'Tochigi', 440353),
(1566, 'Oita', 'JPN', 'Oita', 433401),
(1567, 'Nagasaki', 'JPN', 'Nagasaki', 432759),
(1568, 'Yokosuka', 'JPN', 'Kanagawa', 430200),
(1569, 'Kurashiki', 'JPN', 'Okayama', 425103),
(1570, 'Gifu', 'JPN', 'Gifu', 408007),
(1571, 'Hirakata', 'JPN', 'Osaka', 403151),
(1572, 'Nishinomiya', 'JPN', 'Hyogo', 397618),
(1573, 'Toyonaka', 'JPN', 'Osaka', 396689),
(1574, 'Wakayama', 'JPN', 'Wakayama', 391233),
(1575, 'Fukuyama', 'JPN', 'Hiroshima', 376921),
(1576, 'Fujisawa', 'JPN', 'Kanagawa', 372840),
(1577, 'Asahikawa', 'JPN', 'Hokkaido', 364813),
(1578, 'Machida', 'JPN', 'Tokyo-to', 364197),
(1579, 'Nara', 'JPN', 'Nara', 362812),
(1580, 'Takatsuki', 'JPN', 'Osaka', 361747),
(1581, 'Iwaki', 'JPN', 'Fukushima', 361737),
(1582, 'Nagano', 'JPN', 'Nagano', 361391),
(1583, 'Toyohashi', 'JPN', 'Aichi', 360066),
(1584, 'Toyota', 'JPN', 'Aichi', 346090),
(1585, 'Suita', 'JPN', 'Osaka', 345750),
(1586, 'Takamatsu', 'JPN', 'Kagawa', 332471),
(1587, 'Koriyama', 'JPN', 'Fukushima', 330335),
(1588, 'Okazaki', 'JPN', 'Aichi', 328711),
(1589, 'Kawagoe', 'JPN', 'Saitama', 327211),
(1590, 'Tokorozawa', 'JPN', 'Saitama', 325809),
(1591, 'Toyama', 'JPN', 'Toyama', 325790),
(1592, 'Kochi', 'JPN', 'Kochi', 324710),
(1593, 'Kashiwa', 'JPN', 'Chiba', 320296),
(1594, 'Akita', 'JPN', 'Akita', 314440),
(1595, 'Miyazaki', 'JPN', 'Miyazaki', 303784),
(1596, 'Koshigaya', 'JPN', 'Saitama', 301446),
(1597, 'Naha', 'JPN', 'Okinawa', 299851),
(1598, 'Aomori', 'JPN', 'Aomori', 295969),
(1599, 'Hakodate', 'JPN', 'Hokkaido', 294788),
(1600, 'Akashi', 'JPN', 'Hyogo', 292253),
(1601, 'Yokkaichi', 'JPN', 'Mie', 288173),
(1602, 'Fukushima', 'JPN', 'Fukushima', 287525),
(1603, 'Morioka', 'JPN', 'Iwate', 287353),
(1604, 'Maebashi', 'JPN', 'Gumma', 284473),
(1605, 'Kasugai', 'JPN', 'Aichi', 282348),
(1606, 'Otsu', 'JPN', 'Shiga', 282070),
(1607, 'Ichihara', 'JPN', 'Chiba', 279280),
(1608, 'Yao', 'JPN', 'Osaka', 276421),
(1609, 'Ichinomiya', 'JPN', 'Aichi', 270828),
(1610, 'Tokushima', 'JPN', 'Tokushima', 269649),
(1611, 'Kakogawa', 'JPN', 'Hyogo', 266281),
(1612, 'Ibaraki', 'JPN', 'Osaka', 261020),
(1613, 'Neyagawa', 'JPN', 'Osaka', 257315),
(1614, 'Shimonoseki', 'JPN', 'Yamaguchi', 257263),
(1615, 'Yamagata', 'JPN', 'Yamagata', 255617),
(1616, 'Fukui', 'JPN', 'Fukui', 254818),
(1617, 'Hiratsuka', 'JPN', 'Kanagawa', 254207),
(1618, 'Mito', 'JPN', 'Ibaragi', 246559),
(1619, 'Sasebo', 'JPN', 'Nagasaki', 244240),
(1620, 'Hachinohe', 'JPN', 'Aomori', 242979),
(1621, 'Takasaki', 'JPN', 'Gumma', 239124),
(1622, 'Shimizu', 'JPN', 'Shizuoka', 239123),
(1623, 'Kurume', 'JPN', 'Fukuoka', 235611),
(1624, 'Fuji', 'JPN', 'Shizuoka', 231527),
(1625, 'Soka', 'JPN', 'Saitama', 222768),
(1626, 'Fuchu', 'JPN', 'Tokyo-to', 220576),
(1627, 'Chigasaki', 'JPN', 'Kanagawa', 216015),
(1628, 'Atsugi', 'JPN', 'Kanagawa', 212407),
(1629, 'Numazu', 'JPN', 'Shizuoka', 211382),
(1630, 'Ageo', 'JPN', 'Saitama', 209442),
(1631, 'Yamato', 'JPN', 'Kanagawa', 208234),
(1632, 'Matsumoto', 'JPN', 'Nagano', 206801),
(1633, 'Kure', 'JPN', 'Hiroshima', 206504),
(1634, 'Takarazuka', 'JPN', 'Hyogo', 205993),
(1635, 'Kasukabe', 'JPN', 'Saitama', 201838),
(1636, 'Chofu', 'JPN', 'Tokyo-to', 201585),
(1637, 'Odawara', 'JPN', 'Kanagawa', 200171),
(1638, 'Kofu', 'JPN', 'Yamanashi', 199753),
(1639, 'Kushiro', 'JPN', 'Hokkaido', 197608),
(1640, 'Kishiwada', 'JPN', 'Osaka', 197276),
(1641, 'Hitachi', 'JPN', 'Ibaragi', 196622),
(1642, 'Nagaoka', 'JPN', 'Niigata', 192407),
(1643, 'Itami', 'JPN', 'Hyogo', 190886),
(1644, 'Uji', 'JPN', 'Kyoto', 188735),
(1645, 'Suzuka', 'JPN', 'Mie', 184061),
(1646, 'Hirosaki', 'JPN', 'Aomori', 177522),
(1647, 'Ube', 'JPN', 'Yamaguchi', 175206),
(1648, 'Kodaira', 'JPN', 'Tokyo-to', 174984),
(1649, 'Takaoka', 'JPN', 'Toyama', 174380),
(1650, 'Obihiro', 'JPN', 'Hokkaido', 173685),
(1651, 'Tomakomai', 'JPN', 'Hokkaido', 171958),
(1652, 'Saga', 'JPN', 'Saga', 170034),
(1653, 'Sakura', 'JPN', 'Chiba', 168072),
(1654, 'Kamakura', 'JPN', 'Kanagawa', 167661),
(1655, 'Mitaka', 'JPN', 'Tokyo-to', 167268),
(1656, 'Izumi', 'JPN', 'Osaka', 166979),
(1657, 'Hino', 'JPN', 'Tokyo-to', 166770),
(1658, 'Hadano', 'JPN', 'Kanagawa', 166512),
(1659, 'Ashikaga', 'JPN', 'Tochigi', 165243),
(1660, 'Tsu', 'JPN', 'Mie', 164543),
(1661, 'Sayama', 'JPN', 'Saitama', 162472),
(1662, 'Yachiyo', 'JPN', 'Chiba', 161222),
(1663, 'Tsukuba', 'JPN', 'Ibaragi', 160768),
(1664, 'Tachikawa', 'JPN', 'Tokyo-to', 159430),
(1665, 'Kumagaya', 'JPN', 'Saitama', 157171),
(1666, 'Moriguchi', 'JPN', 'Osaka', 155941),
(1667, 'Otaru', 'JPN', 'Hokkaido', 155784),
(1668, 'Anjo', 'JPN', 'Aichi', 153823),
(1669, 'Narashino', 'JPN', 'Chiba', 152849),
(1670, 'Oyama', 'JPN', 'Tochigi', 152820),
(1671, 'Ogaki', 'JPN', 'Gifu', 151758),
(1672, 'Matsue', 'JPN', 'Shimane', 149821),
(1673, 'Kawanishi', 'JPN', 'Hyogo', 149794),
(1674, 'Hitachinaka', 'JPN', 'Tokyo-to', 148006),
(1675, 'Niiza', 'JPN', 'Saitama', 147744),
(1676, 'Nagareyama', 'JPN', 'Chiba', 147738),
(1677, 'Tottori', 'JPN', 'Tottori', 147523),
(1678, 'Tama', 'JPN', 'Ibaragi', 146712),
(1679, 'Iruma', 'JPN', 'Saitama', 145922),
(1680, 'Ota', 'JPN', 'Gumma', 145317),
(1681, 'Omuta', 'JPN', 'Fukuoka', 142889),
(1682, 'Komaki', 'JPN', 'Aichi', 139827),
(1683, 'Ome', 'JPN', 'Tokyo-to', 139216),
(1684, 'Kadoma', 'JPN', 'Osaka', 138953),
(1685, 'Yamaguchi', 'JPN', 'Yamaguchi', 138210),
(1686, 'Higashimurayama', 'JPN', 'Tokyo-to', 136970),
(1687, 'Yonago', 'JPN', 'Tottori', 136461),
(1688, 'Matsubara', 'JPN', 'Osaka', 135010),
(1689, 'Musashino', 'JPN', 'Tokyo-to', 134426),
(1690, 'Tsuchiura', 'JPN', 'Ibaragi', 134072),
(1691, 'Joetsu', 'JPN', 'Niigata', 133505),
(1692, 'Miyakonojo', 'JPN', 'Miyazaki', 133183),
(1693, 'Misato', 'JPN', 'Saitama', 132957),
(1694, 'Kakamigahara', 'JPN', 'Gifu', 131831),
(1695, 'Daito', 'JPN', 'Osaka', 130594),
(1696, 'Seto', 'JPN', 'Aichi', 130470),
(1697, 'Kariya', 'JPN', 'Aichi', 127969),
(1698, 'Urayasu', 'JPN', 'Chiba', 127550),
(1699, 'Beppu', 'JPN', 'Oita', 127486),
(1700, 'Niihama', 'JPN', 'Ehime', 127207),
(1701, 'Minoo', 'JPN', 'Osaka', 127026),
(1702, 'Fujieda', 'JPN', 'Shizuoka', 126897),
(1703, 'Abiko', 'JPN', 'Chiba', 126670),
(1704, 'Nobeoka', 'JPN', 'Miyazaki', 125547),
(1705, 'Tondabayashi', 'JPN', 'Osaka', 125094),
(1706, 'Ueda', 'JPN', 'Nagano', 124217),
(1707, 'Kashihara', 'JPN', 'Nara', 124013),
(1708, 'Matsusaka', 'JPN', 'Mie', 123582),
(1709, 'Isesaki', 'JPN', 'Gumma', 123285),
(1710, 'Zama', 'JPN', 'Kanagawa', 122046),
(1711, 'Kisarazu', 'JPN', 'Chiba', 121967),
(1712, 'Noda', 'JPN', 'Chiba', 121030),
(1713, 'Ishinomaki', 'JPN', 'Miyagi', 120963),
(1714, 'Fujinomiya', 'JPN', 'Shizuoka', 119714),
(1715, 'Kawachinagano', 'JPN', 'Osaka', 119666),
(1716, 'Imabari', 'JPN', 'Ehime', 119357),
(1717, 'Aizuwakamatsu', 'JPN', 'Fukushima', 119287),
(1718, 'Higashihiroshima', 'JPN', 'Hiroshima', 119166),
(1719, 'Habikino', 'JPN', 'Osaka', 118968),
(1720, 'Ebetsu', 'JPN', 'Hokkaido', 118805),
(1721, 'Hofu', 'JPN', 'Yamaguchi', 118751),
(1722, 'Kiryu', 'JPN', 'Gumma', 118326),
(1723, 'Okinawa', 'JPN', 'Okinawa', 117748),
(1724, 'Yaizu', 'JPN', 'Shizuoka', 117258),
(1725, 'Toyokawa', 'JPN', 'Aichi', 115781),
(1726, 'Ebina', 'JPN', 'Kanagawa', 115571),
(1727, 'Asaka', 'JPN', 'Saitama', 114815),
(1728, 'Higashikurume', 'JPN', 'Tokyo-to', 111666),
(1729, 'Ikoma', 'JPN', 'Nara', 111645),
(1730, 'Kitami', 'JPN', 'Hokkaido', 111295),
(1731, 'Koganei', 'JPN', 'Tokyo-to', 110969),
(1732, 'Iwatsuki', 'JPN', 'Saitama', 110034),
(1733, 'Mishima', 'JPN', 'Shizuoka', 109699),
(1734, 'Handa', 'JPN', 'Aichi', 108600),
(1735, 'Muroran', 'JPN', 'Hokkaido', 108275),
(1736, 'Komatsu', 'JPN', 'Ishikawa', 107937),
(1737, 'Yatsushiro', 'JPN', 'Kumamoto', 107661),
(1738, 'Iida', 'JPN', 'Nagano', 107583),
(1739, 'Tokuyama', 'JPN', 'Yamaguchi', 107078),
(1740, 'Kokubunji', 'JPN', 'Tokyo-to', 106996),
(1741, 'Akishima', 'JPN', 'Tokyo-to', 106914),
(1742, 'Iwakuni', 'JPN', 'Yamaguchi', 106647),
(1743, 'Kusatsu', 'JPN', 'Shiga', 106232),
(1744, 'Kuwana', 'JPN', 'Mie', 106121),
(1745, 'Sanda', 'JPN', 'Hyogo', 105643),
(1746, 'Hikone', 'JPN', 'Shiga', 105508),
(1747, 'Toda', 'JPN', 'Saitama', 103969),
(1748, 'Tajimi', 'JPN', 'Gifu', 103171),
(1749, 'Ikeda', 'JPN', 'Osaka', 102710),
(1750, 'Fukaya', 'JPN', 'Saitama', 102156),
(1751, 'Ise', 'JPN', 'Mie', 101732),
(1752, 'Sakata', 'JPN', 'Yamagata', 101651),
(1753, 'Kasuga', 'JPN', 'Fukuoka', 101344),
(1754, 'Kamagaya', 'JPN', 'Chiba', 100821),
(1755, 'Tsuruoka', 'JPN', 'Yamagata', 100713),
(1756, 'Hoya', 'JPN', 'Tokyo-to', 100313),
(1757, 'Nishio', 'JPN', 'Chiba', 100032),
(1758, 'Tokai', 'JPN', 'Aichi', 99738),
(1759, 'Inazawa', 'JPN', 'Aichi', 98746),
(1760, 'Sakado', 'JPN', 'Saitama', 98221),
(1761, 'Isehara', 'JPN', 'Kanagawa', 98123),
(1762, 'Takasago', 'JPN', 'Hyogo', 97632),
(1763, 'Fujimi', 'JPN', 'Saitama', 96972),
(1764, 'Urasoe', 'JPN', 'Okinawa', 96002),
(1765, 'Yonezawa', 'JPN', 'Yamagata', 95592),
(1766, 'Konan', 'JPN', 'Aichi', 95521),
(1767, 'Yamatokoriyama', 'JPN', 'Nara', 95165),
(1768, 'Maizuru', 'JPN', 'Kyoto', 94784),
(1769, 'Onomichi', 'JPN', 'Hiroshima', 93756),
(1770, 'Higashimatsuyama', 'JPN', 'Saitama', 93342),
(1771, 'Kimitsu', 'JPN', 'Chiba', 93216),
(1772, 'Isahaya', 'JPN', 'Nagasaki', 93058),
(1773, 'Kanuma', 'JPN', 'Tochigi', 93053),
(1774, 'Izumisano', 'JPN', 'Osaka', 92583),
(1775, 'Kameoka', 'JPN', 'Kyoto', 92398),
(1776, 'Mobara', 'JPN', 'Chiba', 91664),
(1777, 'Narita', 'JPN', 'Chiba', 91470),
(1778, 'Kashiwazaki', 'JPN', 'Niigata', 91229),
(1779, 'Tsuyama', 'JPN', 'Okayama', 91170),
(1780, 'Sanaa', 'YEM', 'Sanaa', 503600),
(1781, 'Aden', 'YEM', 'Aden', 398300),
(1782, 'Taizz', 'YEM', 'Taizz', 317600),
(1783, 'Hodeida', 'YEM', 'Hodeida', 298500),
(1784, 'al-Mukalla', 'YEM', 'Hadramawt', 122400),
(1785, 'Ibb', 'YEM', 'Ibb', 103300),
(1786, 'Amman', 'JOR', 'Amman', 1000000),
(1787, 'al-Zarqa', 'JOR', 'al-Zarqa', 389815),
(1788, 'Irbid', 'JOR', 'Irbid', 231511),
(1789, 'al-Rusayfa', 'JOR', 'al-Zarqa', 137247),
(1790, 'Wadi al-Sir', 'JOR', 'Amman', 89104),
(1791, 'Flying Fish Cove', 'CXR', '–', 700),
(1792, 'Beograd', 'YUG', 'Central Serbia', 1204000),
(1793, 'Novi Sad', 'YUG', 'Vojvodina', 179626),
(1794, 'Niš', 'YUG', 'Central Serbia', 175391),
(1795, 'Priština', 'YUG', 'Kosovo and Metohija', 155496),
(1796, 'Kragujevac', 'YUG', 'Central Serbia', 147305),
(1797, 'Podgorica', 'YUG', 'Montenegro', 135000),
(1798, 'Subotica', 'YUG', 'Vojvodina', 100386),
(1799, 'Prizren', 'YUG', 'Kosovo and Metohija', 92303),
(1800, 'Phnom Penh', 'KHM', 'Phnom Penh', 570155),
(1801, 'Battambang', 'KHM', 'Battambang', 129800),
(1802, 'Siem Reap', 'KHM', 'Siem Reap', 105100),
(1803, 'Douala', 'CMR', 'Littoral', 1448300),
(1804, 'Yaoundé', 'CMR', 'Centre', 1372800),
(1805, 'Garoua', 'CMR', 'Nord', 177000),
(1806, 'Maroua', 'CMR', 'Extrême-Nord', 143000),
(1807, 'Bamenda', 'CMR', 'Nord-Ouest', 138000),
(1808, 'Bafoussam', 'CMR', 'Ouest', 131000),
(1809, 'Nkongsamba', 'CMR', 'Littoral', 112454),
(1810, 'Montréal', 'CAN', 'Québec', 1016376),
(1811, 'Calgary', 'CAN', 'Alberta', 768082),
(1812, 'Toronto', 'CAN', 'Ontario', 688275),
(1813, 'North York', 'CAN', 'Ontario', 622632),
(1814, 'Winnipeg', 'CAN', 'Manitoba', 618477),
(1815, 'Edmonton', 'CAN', 'Alberta', 616306),
(1816, 'Mississauga', 'CAN', 'Ontario', 608072),
(1817, 'Scarborough', 'CAN', 'Ontario', 594501),
(1818, 'Vancouver', 'CAN', 'British Colombia', 514008),
(1819, 'Etobicoke', 'CAN', 'Ontario', 348845),
(1820, 'London', 'CAN', 'Ontario', 339917),
(1821, 'Hamilton', 'CAN', 'Ontario', 335614),
(1822, 'Ottawa', 'CAN', 'Ontario', 335277),
(1823, 'Laval', 'CAN', 'Québec', 330393),
(1824, 'Surrey', 'CAN', 'British Colombia', 304477),
(1825, 'Brampton', 'CAN', 'Ontario', 296711),
(1826, 'Windsor', 'CAN', 'Ontario', 207588),
(1827, 'Saskatoon', 'CAN', 'Saskatchewan', 193647),
(1828, 'Kitchener', 'CAN', 'Ontario', 189959),
(1829, 'Markham', 'CAN', 'Ontario', 189098),
(1830, 'Regina', 'CAN', 'Saskatchewan', 180400),
(1831, 'Burnaby', 'CAN', 'British Colombia', 179209),
(1832, 'Québec', 'CAN', 'Québec', 167264),
(1833, 'York', 'CAN', 'Ontario', 154980),
(1834, 'Richmond', 'CAN', 'British Colombia', 148867),
(1835, 'Vaughan', 'CAN', 'Ontario', 147889),
(1836, 'Burlington', 'CAN', 'Ontario', 145150),
(1837, 'Oshawa', 'CAN', 'Ontario', 140173),
(1838, 'Oakville', 'CAN', 'Ontario', 139192),
(1839, 'Saint Catharines', 'CAN', 'Ontario', 136216),
(1840, 'Longueuil', 'CAN', 'Québec', 127977),
(1841, 'Richmond Hill', 'CAN', 'Ontario', 116428),
(1842, 'Thunder Bay', 'CAN', 'Ontario', 115913),
(1843, 'Nepean', 'CAN', 'Ontario', 115100),
(1844, 'Cape Breton', 'CAN', 'Nova Scotia', 114733),
(1845, 'East York', 'CAN', 'Ontario', 114034),
(1846, 'Halifax', 'CAN', 'Nova Scotia', 113910),
(1847, 'Cambridge', 'CAN', 'Ontario', 109186),
(1848, 'Gloucester', 'CAN', 'Ontario', 107314),
(1849, 'Abbotsford', 'CAN', 'British Colombia', 105403),
(1850, 'Guelph', 'CAN', 'Ontario', 103593),
(1851, 'Saint John´s', 'CAN', 'Newfoundland', 101936),
(1852, 'Coquitlam', 'CAN', 'British Colombia', 101820),
(1853, 'Saanich', 'CAN', 'British Colombia', 101388),
(1854, 'Gatineau', 'CAN', 'Québec', 100702),
(1855, 'Delta', 'CAN', 'British Colombia', 95411),
(1856, 'Sudbury', 'CAN', 'Ontario', 92686),
(1857, 'Kelowna', 'CAN', 'British Colombia', 89442),
(1858, 'Barrie', 'CAN', 'Ontario', 89269),
(1859, 'Praia', 'CPV', 'São Tiago', 94800),
(1860, 'Almaty', 'KAZ', 'Almaty Qalasy', 1129400),
(1861, 'Qaraghandy', 'KAZ', 'Qaraghandy', 436900),
(1862, 'Shymkent', 'KAZ', 'South Kazakstan', 360100),
(1863, 'Taraz', 'KAZ', 'Taraz', 330100),
(1864, 'Astana', 'KAZ', 'Astana', 311200),
(1865, 'Öskemen', 'KAZ', 'East Kazakstan', 311000),
(1866, 'Pavlodar', 'KAZ', 'Pavlodar', 300500),
(1867, 'Semey', 'KAZ', 'East Kazakstan', 269600),
(1868, 'Aqtöbe', 'KAZ', 'Aqtöbe', 253100),
(1869, 'Qostanay', 'KAZ', 'Qostanay', 221400),
(1870, 'Petropavl', 'KAZ', 'North Kazakstan', 203500),
(1871, 'Oral', 'KAZ', 'West Kazakstan', 195500),
(1872, 'Temirtau', 'KAZ', 'Qaraghandy', 170500),
(1873, 'Qyzylorda', 'KAZ', 'Qyzylorda', 157400),
(1874, 'Aqtau', 'KAZ', 'Mangghystau', 143400),
(1875, 'Atyrau', 'KAZ', 'Atyrau', 142500),
(1876, 'Ekibastuz', 'KAZ', 'Pavlodar', 127200),
(1877, 'Kökshetau', 'KAZ', 'North Kazakstan', 123400),
(1878, 'Rudnyy', 'KAZ', 'Qostanay', 109500),
(1879, 'Taldyqorghan', 'KAZ', 'Almaty', 98000),
(1880, 'Zhezqazghan', 'KAZ', 'Qaraghandy', 90000),
(1881, 'Nairobi', 'KEN', 'Nairobi', 2290000),
(1882, 'Mombasa', 'KEN', 'Coast', 461753),
(1883, 'Kisumu', 'KEN', 'Nyanza', 192733),
(1884, 'Nakuru', 'KEN', 'Rift Valley', 163927),
(1885, 'Machakos', 'KEN', 'Eastern', 116293),
(1886, 'Eldoret', 'KEN', 'Rift Valley', 111882),
(1887, 'Meru', 'KEN', 'Eastern', 94947),
(1888, 'Nyeri', 'KEN', 'Central', 91258),
(1889, 'Bangui', 'CAF', 'Bangui', 524000),
(1890, 'Shanghai', 'CHN', 'Shanghai', 9696300),
(1891, 'Peking', 'CHN', 'Peking', 7472000),
(1892, 'Chongqing', 'CHN', 'Chongqing', 6351600),
(1893, 'Tianjin', 'CHN', 'Tianjin', 5286800),
(1894, 'Wuhan', 'CHN', 'Hubei', 4344600),
(1895, 'Harbin', 'CHN', 'Heilongjiang', 4289800),
(1896, 'Shenyang', 'CHN', 'Liaoning', 4265200),
(1897, 'Kanton [Guangzhou]', 'CHN', 'Guangdong', 4256300),
(1898, 'Chengdu', 'CHN', 'Sichuan', 3361500),
(1899, 'Nanking [Nanjing]', 'CHN', 'Jiangsu', 2870300),
(1900, 'Changchun', 'CHN', 'Jilin', 2812000),
(1901, 'Xi´an', 'CHN', 'Shaanxi', 2761400),
(1902, 'Dalian', 'CHN', 'Liaoning', 2697000),
(1903, 'Qingdao', 'CHN', 'Shandong', 2596000),
(1904, 'Jinan', 'CHN', 'Shandong', 2278100),
(1905, 'Hangzhou', 'CHN', 'Zhejiang', 2190500),
(1906, 'Zhengzhou', 'CHN', 'Henan', 2107200),
(1907, 'Shijiazhuang', 'CHN', 'Hebei', 2041500),
(1908, 'Taiyuan', 'CHN', 'Shanxi', 1968400),
(1909, 'Kunming', 'CHN', 'Yunnan', 1829500),
(1910, 'Changsha', 'CHN', 'Hunan', 1809800),
(1911, 'Nanchang', 'CHN', 'Jiangxi', 1691600),
(1912, 'Fuzhou', 'CHN', 'Fujian', 1593800),
(1913, 'Lanzhou', 'CHN', 'Gansu', 1565800),
(1914, 'Guiyang', 'CHN', 'Guizhou', 1465200),
(1915, 'Ningbo', 'CHN', 'Zhejiang', 1371200),
(1916, 'Hefei', 'CHN', 'Anhui', 1369100),
(1917, 'Urumtši [Ürümqi]', 'CHN', 'Xinxiang', 1310100),
(1918, 'Anshan', 'CHN', 'Liaoning', 1200000),
(1919, 'Fushun', 'CHN', 'Liaoning', 1200000),
(1920, 'Nanning', 'CHN', 'Guangxi', 1161800),
(1921, 'Zibo', 'CHN', 'Shandong', 1140000),
(1922, 'Qiqihar', 'CHN', 'Heilongjiang', 1070000),
(1923, 'Jilin', 'CHN', 'Jilin', 1040000),
(1924, 'Tangshan', 'CHN', 'Hebei', 1040000),
(1925, 'Baotou', 'CHN', 'Inner Mongolia', 980000),
(1926, 'Shenzhen', 'CHN', 'Guangdong', 950500),
(1927, 'Hohhot', 'CHN', 'Inner Mongolia', 916700),
(1928, 'Handan', 'CHN', 'Hebei', 840000),
(1929, 'Wuxi', 'CHN', 'Jiangsu', 830000),
(1930, 'Xuzhou', 'CHN', 'Jiangsu', 810000),
(1931, 'Datong', 'CHN', 'Shanxi', 800000),
(1932, 'Yichun', 'CHN', 'Heilongjiang', 800000),
(1933, 'Benxi', 'CHN', 'Liaoning', 770000),
(1934, 'Luoyang', 'CHN', 'Henan', 760000),
(1935, 'Suzhou', 'CHN', 'Jiangsu', 710000),
(1936, 'Xining', 'CHN', 'Qinghai', 700200),
(1937, 'Huainan', 'CHN', 'Anhui', 700000),
(1938, 'Jixi', 'CHN', 'Heilongjiang', 683885),
(1939, 'Daqing', 'CHN', 'Heilongjiang', 660000),
(1940, 'Fuxin', 'CHN', 'Liaoning', 640000),
(1941, 'Amoy [Xiamen]', 'CHN', 'Fujian', 627500),
(1942, 'Liuzhou', 'CHN', 'Guangxi', 610000),
(1943, 'Shantou', 'CHN', 'Guangdong', 580000),
(1944, 'Jinzhou', 'CHN', 'Liaoning', 570000),
(1945, 'Mudanjiang', 'CHN', 'Heilongjiang', 570000),
(1946, 'Yinchuan', 'CHN', 'Ningxia', 544500),
(1947, 'Changzhou', 'CHN', 'Jiangsu', 530000),
(1948, 'Zhangjiakou', 'CHN', 'Hebei', 530000),
(1949, 'Dandong', 'CHN', 'Liaoning', 520000),
(1950, 'Hegang', 'CHN', 'Heilongjiang', 520000),
(1951, 'Kaifeng', 'CHN', 'Henan', 510000),
(1952, 'Jiamusi', 'CHN', 'Heilongjiang', 493409),
(1953, 'Liaoyang', 'CHN', 'Liaoning', 492559),
(1954, 'Hengyang', 'CHN', 'Hunan', 487148),
(1955, 'Baoding', 'CHN', 'Hebei', 483155),
(1956, 'Hunjiang', 'CHN', 'Jilin', 482043),
(1957, 'Xinxiang', 'CHN', 'Henan', 473762),
(1958, 'Huangshi', 'CHN', 'Hubei', 457601),
(1959, 'Haikou', 'CHN', 'Hainan', 454300),
(1960, 'Yantai', 'CHN', 'Shandong', 452127),
(1961, 'Bengbu', 'CHN', 'Anhui', 449245),
(1962, 'Xiangtan', 'CHN', 'Hunan', 441968),
(1963, 'Weifang', 'CHN', 'Shandong', 428522),
(1964, 'Wuhu', 'CHN', 'Anhui', 425740),
(1965, 'Pingxiang', 'CHN', 'Jiangxi', 425579),
(1966, 'Yingkou', 'CHN', 'Liaoning', 421589),
(1967, 'Anyang', 'CHN', 'Henan', 420332),
(1968, 'Panzhihua', 'CHN', 'Sichuan', 415466),
(1969, 'Pingdingshan', 'CHN', 'Henan', 410775),
(1970, 'Xiangfan', 'CHN', 'Hubei', 410407),
(1971, 'Zhuzhou', 'CHN', 'Hunan', 409924),
(1972, 'Jiaozuo', 'CHN', 'Henan', 409100),
(1973, 'Wenzhou', 'CHN', 'Zhejiang', 401871),
(1974, 'Zhangjiang', 'CHN', 'Guangdong', 400997),
(1975, 'Zigong', 'CHN', 'Sichuan', 393184),
(1976, 'Shuangyashan', 'CHN', 'Heilongjiang', 386081),
(1977, 'Zaozhuang', 'CHN', 'Shandong', 380846),
(1978, 'Yakeshi', 'CHN', 'Inner Mongolia', 377869),
(1979, 'Yichang', 'CHN', 'Hubei', 371601),
(1980, 'Zhenjiang', 'CHN', 'Jiangsu', 368316),
(1981, 'Huaibei', 'CHN', 'Anhui', 366549),
(1982, 'Qinhuangdao', 'CHN', 'Hebei', 364972),
(1983, 'Guilin', 'CHN', 'Guangxi', 364130),
(1984, 'Liupanshui', 'CHN', 'Guizhou', 363954),
(1985, 'Panjin', 'CHN', 'Liaoning', 362773),
(1986, 'Yangquan', 'CHN', 'Shanxi', 362268),
(1987, 'Jinxi', 'CHN', 'Liaoning', 357052),
(1988, 'Liaoyuan', 'CHN', 'Jilin', 354141),
(1989, 'Lianyungang', 'CHN', 'Jiangsu', 354139),
(1990, 'Xianyang', 'CHN', 'Shaanxi', 352125),
(1991, 'Tai´an', 'CHN', 'Shandong', 350696),
(1992, 'Chifeng', 'CHN', 'Inner Mongolia', 350077),
(1993, 'Shaoguan', 'CHN', 'Guangdong', 350043),
(1994, 'Nantong', 'CHN', 'Jiangsu', 343341),
(1995, 'Leshan', 'CHN', 'Sichuan', 341128),
(1996, 'Baoji', 'CHN', 'Shaanxi', 337765),
(1997, 'Linyi', 'CHN', 'Shandong', 324720),
(1998, 'Tonghua', 'CHN', 'Jilin', 324600),
(1999, 'Siping', 'CHN', 'Jilin', 317223),
(2000, 'Changzhi', 'CHN', 'Shanxi', 317144),
(2001, 'Tengzhou', 'CHN', 'Shandong', 315083),
(2002, 'Chaozhou', 'CHN', 'Guangdong', 313469),
(2003, 'Yangzhou', 'CHN', 'Jiangsu', 312892),
(2004, 'Dongwan', 'CHN', 'Guangdong', 308669),
(2005, 'Ma´anshan', 'CHN', 'Anhui', 305421),
(2006, 'Foshan', 'CHN', 'Guangdong', 303160),
(2007, 'Yueyang', 'CHN', 'Hunan', 302800),
(2008, 'Xingtai', 'CHN', 'Hebei', 302789),
(2009, 'Changde', 'CHN', 'Hunan', 301276),
(2010, 'Shihezi', 'CHN', 'Xinxiang', 299676),
(2011, 'Yancheng', 'CHN', 'Jiangsu', 296831),
(2012, 'Jiujiang', 'CHN', 'Jiangxi', 291187),
(2013, 'Dongying', 'CHN', 'Shandong', 281728),
(2014, 'Shashi', 'CHN', 'Hubei', 281352),
(2015, 'Xintai', 'CHN', 'Shandong', 281248),
(2016, 'Jingdezhen', 'CHN', 'Jiangxi', 281183),
(2017, 'Tongchuan', 'CHN', 'Shaanxi', 280657),
(2018, 'Zhongshan', 'CHN', 'Guangdong', 278829),
(2019, 'Shiyan', 'CHN', 'Hubei', 273786),
(2020, 'Tieli', 'CHN', 'Heilongjiang', 265683),
(2021, 'Jining', 'CHN', 'Shandong', 265248),
(2022, 'Wuhai', 'CHN', 'Inner Mongolia', 264081),
(2023, 'Mianyang', 'CHN', 'Sichuan', 262947),
(2024, 'Luzhou', 'CHN', 'Sichuan', 262892),
(2025, 'Zunyi', 'CHN', 'Guizhou', 261862),
(2026, 'Shizuishan', 'CHN', 'Ningxia', 257862),
(2027, 'Neijiang', 'CHN', 'Sichuan', 256012),
(2028, 'Tongliao', 'CHN', 'Inner Mongolia', 255129),
(2029, 'Tieling', 'CHN', 'Liaoning', 254842),
(2030, 'Wafangdian', 'CHN', 'Liaoning', 251733),
(2031, 'Anqing', 'CHN', 'Anhui', 250718),
(2032, 'Shaoyang', 'CHN', 'Hunan', 247227),
(2033, 'Laiwu', 'CHN', 'Shandong', 246833),
(2034, 'Chengde', 'CHN', 'Hebei', 246799),
(2035, 'Tianshui', 'CHN', 'Gansu', 244974),
(2036, 'Nanyang', 'CHN', 'Henan', 243303),
(2037, 'Cangzhou', 'CHN', 'Hebei', 242708),
(2038, 'Yibin', 'CHN', 'Sichuan', 241019),
(2039, 'Huaiyin', 'CHN', 'Jiangsu', 239675),
(2040, 'Dunhua', 'CHN', 'Jilin', 235100),
(2041, 'Yanji', 'CHN', 'Jilin', 230892),
(2042, 'Jiangmen', 'CHN', 'Guangdong', 230587),
(2043, 'Tongling', 'CHN', 'Anhui', 228017),
(2044, 'Suihua', 'CHN', 'Heilongjiang', 227881),
(2045, 'Gongziling', 'CHN', 'Jilin', 226569),
(2046, 'Xiantao', 'CHN', 'Hubei', 222884),
(2047, 'Chaoyang', 'CHN', 'Liaoning', 222394),
(2048, 'Ganzhou', 'CHN', 'Jiangxi', 220129),
(2049, 'Huzhou', 'CHN', 'Zhejiang', 218071),
(2050, 'Baicheng', 'CHN', 'Jilin', 217987),
(2051, 'Shangzi', 'CHN', 'Heilongjiang', 215373),
(2052, 'Yangjiang', 'CHN', 'Guangdong', 215196),
(2053, 'Qitaihe', 'CHN', 'Heilongjiang', 214957),
(2054, 'Gejiu', 'CHN', 'Yunnan', 214294),
(2055, 'Jiangyin', 'CHN', 'Jiangsu', 213659),
(2056, 'Hebi', 'CHN', 'Henan', 212976),
(2057, 'Jiaxing', 'CHN', 'Zhejiang', 211526),
(2058, 'Wuzhou', 'CHN', 'Guangxi', 210452),
(2059, 'Meihekou', 'CHN', 'Jilin', 209038),
(2060, 'Xuchang', 'CHN', 'Henan', 208815),
(2061, 'Liaocheng', 'CHN', 'Shandong', 207844),
(2062, 'Haicheng', 'CHN', 'Liaoning', 205560),
(2063, 'Qianjiang', 'CHN', 'Hubei', 205504),
(2064, 'Baiyin', 'CHN', 'Gansu', 204970),
(2065, 'Bei´an', 'CHN', 'Heilongjiang', 204899),
(2066, 'Yixing', 'CHN', 'Jiangsu', 200824),
(2067, 'Laizhou', 'CHN', 'Shandong', 198664),
(2068, 'Qaramay', 'CHN', 'Xinxiang', 197602),
(2069, 'Acheng', 'CHN', 'Heilongjiang', 197595),
(2070, 'Dezhou', 'CHN', 'Shandong', 195485),
(2071, 'Nanping', 'CHN', 'Fujian', 195064),
(2072, 'Zhaoqing', 'CHN', 'Guangdong', 194784),
(2073, 'Beipiao', 'CHN', 'Liaoning', 194301),
(2074, 'Fengcheng', 'CHN', 'Jiangxi', 193784),
(2075, 'Fuyu', 'CHN', 'Jilin', 192981),
(2076, 'Xinyang', 'CHN', 'Henan', 192509),
(2077, 'Dongtai', 'CHN', 'Jiangsu', 192247),
(2078, 'Yuci', 'CHN', 'Shanxi', 191356),
(2079, 'Honghu', 'CHN', 'Hubei', 190772),
(2080, 'Ezhou', 'CHN', 'Hubei', 190123),
(2081, 'Heze', 'CHN', 'Shandong', 189293),
(2082, 'Daxian', 'CHN', 'Sichuan', 188101),
(2083, 'Linfen', 'CHN', 'Shanxi', 187309),
(2084, 'Tianmen', 'CHN', 'Hubei', 186332),
(2085, 'Yiyang', 'CHN', 'Hunan', 185818),
(2086, 'Quanzhou', 'CHN', 'Fujian', 185154),
(2087, 'Rizhao', 'CHN', 'Shandong', 185048),
(2088, 'Deyang', 'CHN', 'Sichuan', 182488),
(2089, 'Guangyuan', 'CHN', 'Sichuan', 182241),
(2090, 'Changshu', 'CHN', 'Jiangsu', 181805),
(2091, 'Zhangzhou', 'CHN', 'Fujian', 181424),
(2092, 'Hailar', 'CHN', 'Inner Mongolia', 180650),
(2093, 'Nanchong', 'CHN', 'Sichuan', 180273),
(2094, 'Jiutai', 'CHN', 'Jilin', 180130),
(2095, 'Zhaodong', 'CHN', 'Heilongjiang', 179976),
(2096, 'Shaoxing', 'CHN', 'Zhejiang', 179818),
(2097, 'Fuyang', 'CHN', 'Anhui', 179572),
(2098, 'Maoming', 'CHN', 'Guangdong', 178683),
(2099, 'Qujing', 'CHN', 'Yunnan', 178669),
(2100, 'Ghulja', 'CHN', 'Xinxiang', 177193),
(2101, 'Jiaohe', 'CHN', 'Jilin', 176367),
(2102, 'Puyang', 'CHN', 'Henan', 175988),
(2103, 'Huadian', 'CHN', 'Jilin', 175873),
(2104, 'Jiangyou', 'CHN', 'Sichuan', 175753),
(2105, 'Qashqar', 'CHN', 'Xinxiang', 174570),
(2106, 'Anshun', 'CHN', 'Guizhou', 174142),
(2107, 'Fuling', 'CHN', 'Sichuan', 173878),
(2108, 'Xinyu', 'CHN', 'Jiangxi', 173524),
(2109, 'Hanzhong', 'CHN', 'Shaanxi', 169930),
(2110, 'Danyang', 'CHN', 'Jiangsu', 169603),
(2111, 'Chenzhou', 'CHN', 'Hunan', 169400),
(2112, 'Xiaogan', 'CHN', 'Hubei', 166280),
(2113, 'Shangqiu', 'CHN', 'Henan', 164880),
(2114, 'Zhuhai', 'CHN', 'Guangdong', 164747),
(2115, 'Qingyuan', 'CHN', 'Guangdong', 164641),
(2116, 'Aqsu', 'CHN', 'Xinxiang', 164092),
(2117, 'Jining', 'CHN', 'Inner Mongolia', 163552),
(2118, 'Xiaoshan', 'CHN', 'Zhejiang', 162930),
(2119, 'Zaoyang', 'CHN', 'Hubei', 162198),
(2120, 'Xinghua', 'CHN', 'Jiangsu', 161910),
(2121, 'Hami', 'CHN', 'Xinxiang', 161315),
(2122, 'Huizhou', 'CHN', 'Guangdong', 161023),
(2123, 'Jinmen', 'CHN', 'Hubei', 160794),
(2124, 'Sanming', 'CHN', 'Fujian', 160691),
(2125, 'Ulanhot', 'CHN', 'Inner Mongolia', 159538),
(2126, 'Korla', 'CHN', 'Xinxiang', 159344),
(2127, 'Wanxian', 'CHN', 'Sichuan', 156823),
(2128, 'Rui´an', 'CHN', 'Zhejiang', 156468),
(2129, 'Zhoushan', 'CHN', 'Zhejiang', 156317),
(2130, 'Liangcheng', 'CHN', 'Shandong', 156307),
(2131, 'Jiaozhou', 'CHN', 'Shandong', 153364),
(2132, 'Taizhou', 'CHN', 'Jiangsu', 152442),
(2133, 'Suzhou', 'CHN', 'Anhui', 151862),
(2134, 'Yichun', 'CHN', 'Jiangxi', 151585),
(2135, 'Taonan', 'CHN', 'Jilin', 150168),
(2136, 'Pingdu', 'CHN', 'Shandong', 150123),
(2137, 'Ji´an', 'CHN', 'Jiangxi', 148583),
(2138, 'Longkou', 'CHN', 'Shandong', 148362),
(2139, 'Langfang', 'CHN', 'Hebei', 148105),
(2140, 'Zhoukou', 'CHN', 'Henan', 146288),
(2141, 'Suining', 'CHN', 'Sichuan', 146086),
(2142, 'Yulin', 'CHN', 'Guangxi', 144467),
(2143, 'Jinhua', 'CHN', 'Zhejiang', 144280),
(2144, 'Liu´an', 'CHN', 'Anhui', 144248),
(2145, 'Shuangcheng', 'CHN', 'Heilongjiang', 142659),
(2146, 'Suizhou', 'CHN', 'Hubei', 142302),
(2147, 'Ankang', 'CHN', 'Shaanxi', 142170),
(2148, 'Weinan', 'CHN', 'Shaanxi', 140169),
(2149, 'Longjing', 'CHN', 'Jilin', 139417),
(2150, 'Da´an', 'CHN', 'Jilin', 138963),
(2151, 'Lengshuijiang', 'CHN', 'Hunan', 137994),
(2152, 'Laiyang', 'CHN', 'Shandong', 137080),
(2153, 'Xianning', 'CHN', 'Hubei', 136811),
(2154, 'Dali', 'CHN', 'Yunnan', 136554),
(2155, 'Anda', 'CHN', 'Heilongjiang', 136446),
(2156, 'Jincheng', 'CHN', 'Shanxi', 136396),
(2157, 'Longyan', 'CHN', 'Fujian', 134481),
(2158, 'Xichang', 'CHN', 'Sichuan', 134419),
(2159, 'Wendeng', 'CHN', 'Shandong', 133910),
(2160, 'Hailun', 'CHN', 'Heilongjiang', 133565),
(2161, 'Binzhou', 'CHN', 'Shandong', 133555),
(2162, 'Linhe', 'CHN', 'Inner Mongolia', 133183),
(2163, 'Wuwei', 'CHN', 'Gansu', 133101),
(2164, 'Duyun', 'CHN', 'Guizhou', 132971),
(2165, 'Mishan', 'CHN', 'Heilongjiang', 132744),
(2166, 'Shangrao', 'CHN', 'Jiangxi', 132455),
(2167, 'Changji', 'CHN', 'Xinxiang', 132260),
(2168, 'Meixian', 'CHN', 'Guangdong', 132156),
(2169, 'Yushu', 'CHN', 'Jilin', 131861),
(2170, 'Tiefa', 'CHN', 'Liaoning', 131807),
(2171, 'Huai´an', 'CHN', 'Jiangsu', 131149),
(2172, 'Leiyang', 'CHN', 'Hunan', 130115),
(2173, 'Zalantun', 'CHN', 'Inner Mongolia', 130031),
(2174, 'Weihai', 'CHN', 'Shandong', 128888),
(2175, 'Loudi', 'CHN', 'Hunan', 128418),
(2176, 'Qingzhou', 'CHN', 'Shandong', 128258),
(2177, 'Qidong', 'CHN', 'Jiangsu', 126872),
(2178, 'Huaihua', 'CHN', 'Hunan', 126785);
INSERT INTO `tbl_all_cities` (`ID`, `Name`, `CountryCode`, `District`, `Population`) VALUES
(2179, 'Luohe', 'CHN', 'Henan', 126438),
(2180, 'Chuzhou', 'CHN', 'Anhui', 125341),
(2181, 'Kaiyuan', 'CHN', 'Liaoning', 124219),
(2182, 'Linqing', 'CHN', 'Shandong', 123958),
(2183, 'Chaohu', 'CHN', 'Anhui', 123676),
(2184, 'Laohekou', 'CHN', 'Hubei', 123366),
(2185, 'Dujiangyan', 'CHN', 'Sichuan', 123357),
(2186, 'Zhumadian', 'CHN', 'Henan', 123232),
(2187, 'Linchuan', 'CHN', 'Jiangxi', 121949),
(2188, 'Jiaonan', 'CHN', 'Shandong', 121397),
(2189, 'Sanmenxia', 'CHN', 'Henan', 120523),
(2190, 'Heyuan', 'CHN', 'Guangdong', 120101),
(2191, 'Manzhouli', 'CHN', 'Inner Mongolia', 120023),
(2192, 'Lhasa', 'CHN', 'Tibet', 120000),
(2193, 'Lianyuan', 'CHN', 'Hunan', 118858),
(2194, 'Kuytun', 'CHN', 'Xinxiang', 118553),
(2195, 'Puqi', 'CHN', 'Hubei', 117264),
(2196, 'Hongjiang', 'CHN', 'Hunan', 116188),
(2197, 'Qinzhou', 'CHN', 'Guangxi', 114586),
(2198, 'Renqiu', 'CHN', 'Hebei', 114256),
(2199, 'Yuyao', 'CHN', 'Zhejiang', 114065),
(2200, 'Guigang', 'CHN', 'Guangxi', 114025),
(2201, 'Kaili', 'CHN', 'Guizhou', 113958),
(2202, 'Yan´an', 'CHN', 'Shaanxi', 113277),
(2203, 'Beihai', 'CHN', 'Guangxi', 112673),
(2204, 'Xuangzhou', 'CHN', 'Anhui', 112673),
(2205, 'Quzhou', 'CHN', 'Zhejiang', 112373),
(2206, 'Yong´an', 'CHN', 'Fujian', 111762),
(2207, 'Zixing', 'CHN', 'Hunan', 110048),
(2208, 'Liyang', 'CHN', 'Jiangsu', 109520),
(2209, 'Yizheng', 'CHN', 'Jiangsu', 109268),
(2210, 'Yumen', 'CHN', 'Gansu', 109234),
(2211, 'Liling', 'CHN', 'Hunan', 108504),
(2212, 'Yuncheng', 'CHN', 'Shanxi', 108359),
(2213, 'Shanwei', 'CHN', 'Guangdong', 107847),
(2214, 'Cixi', 'CHN', 'Zhejiang', 107329),
(2215, 'Yuanjiang', 'CHN', 'Hunan', 107004),
(2216, 'Bozhou', 'CHN', 'Anhui', 106346),
(2217, 'Jinchang', 'CHN', 'Gansu', 105287),
(2218, 'Fu´an', 'CHN', 'Fujian', 105265),
(2219, 'Suqian', 'CHN', 'Jiangsu', 105021),
(2220, 'Shishou', 'CHN', 'Hubei', 104571),
(2221, 'Hengshui', 'CHN', 'Hebei', 104269),
(2222, 'Danjiangkou', 'CHN', 'Hubei', 103211),
(2223, 'Fujin', 'CHN', 'Heilongjiang', 103104),
(2224, 'Sanya', 'CHN', 'Hainan', 102820),
(2225, 'Guangshui', 'CHN', 'Hubei', 102770),
(2226, 'Huangshan', 'CHN', 'Anhui', 102628),
(2227, 'Xingcheng', 'CHN', 'Liaoning', 102384),
(2228, 'Zhucheng', 'CHN', 'Shandong', 102134),
(2229, 'Kunshan', 'CHN', 'Jiangsu', 102052),
(2230, 'Haining', 'CHN', 'Zhejiang', 100478),
(2231, 'Pingliang', 'CHN', 'Gansu', 99265),
(2232, 'Fuqing', 'CHN', 'Fujian', 99193),
(2233, 'Xinzhou', 'CHN', 'Shanxi', 98667),
(2234, 'Jieyang', 'CHN', 'Guangdong', 98531),
(2235, 'Zhangjiagang', 'CHN', 'Jiangsu', 97994),
(2236, 'Tong Xian', 'CHN', 'Peking', 97168),
(2237, 'Ya´an', 'CHN', 'Sichuan', 95900),
(2238, 'Jinzhou', 'CHN', 'Liaoning', 95761),
(2239, 'Emeishan', 'CHN', 'Sichuan', 94000),
(2240, 'Enshi', 'CHN', 'Hubei', 93056),
(2241, 'Bose', 'CHN', 'Guangxi', 93009),
(2242, 'Yuzhou', 'CHN', 'Henan', 92889),
(2243, 'Kaiyuan', 'CHN', 'Yunnan', 91999),
(2244, 'Tumen', 'CHN', 'Jilin', 91471),
(2245, 'Putian', 'CHN', 'Fujian', 91030),
(2246, 'Linhai', 'CHN', 'Zhejiang', 90870),
(2247, 'Xilin Hot', 'CHN', 'Inner Mongolia', 90646),
(2248, 'Shaowu', 'CHN', 'Fujian', 90286),
(2249, 'Junan', 'CHN', 'Shandong', 90222),
(2250, 'Huaying', 'CHN', 'Sichuan', 89400),
(2251, 'Pingyi', 'CHN', 'Shandong', 89373),
(2252, 'Huangyan', 'CHN', 'Zhejiang', 89288),
(2253, 'Bishkek', 'KGZ', 'Bishkek shaary', 589400),
(2254, 'Osh', 'KGZ', 'Osh', 222700),
(2255, 'Bikenibeu', 'KIR', 'South Tarawa', 5055),
(2256, 'Bairiki', 'KIR', 'South Tarawa', 2226),
(2257, 'Santafé de Bogotá', 'COL', 'Santafé de Bogotá', 6260862),
(2258, 'Cali', 'COL', 'Valle', 2077386),
(2259, 'Medellín', 'COL', 'Antioquia', 1861265),
(2260, 'Barranquilla', 'COL', 'Atlántico', 1223260),
(2261, 'Cartagena', 'COL', 'Bolívar', 805757),
(2262, 'Cúcuta', 'COL', 'Norte de Santander', 606932),
(2263, 'Bucaramanga', 'COL', 'Santander', 515555),
(2264, 'Ibagué', 'COL', 'Tolima', 393664),
(2265, 'Pereira', 'COL', 'Risaralda', 381725),
(2266, 'Santa Marta', 'COL', 'Magdalena', 359147),
(2267, 'Manizales', 'COL', 'Caldas', 337580),
(2268, 'Bello', 'COL', 'Antioquia', 333470),
(2269, 'Pasto', 'COL', 'Nariño', 332396),
(2270, 'Neiva', 'COL', 'Huila', 300052),
(2271, 'Soledad', 'COL', 'Atlántico', 295058),
(2272, 'Armenia', 'COL', 'Quindío', 288977),
(2273, 'Villavicencio', 'COL', 'Meta', 273140),
(2274, 'Soacha', 'COL', 'Cundinamarca', 272058),
(2275, 'Valledupar', 'COL', 'Cesar', 263247),
(2276, 'Montería', 'COL', 'Córdoba', 248245),
(2277, 'Itagüí', 'COL', 'Antioquia', 228985),
(2278, 'Palmira', 'COL', 'Valle', 226509),
(2279, 'Buenaventura', 'COL', 'Valle', 224336),
(2280, 'Floridablanca', 'COL', 'Santander', 221913),
(2281, 'Sincelejo', 'COL', 'Sucre', 220704),
(2282, 'Popayán', 'COL', 'Cauca', 200719),
(2283, 'Barrancabermeja', 'COL', 'Santander', 178020),
(2284, 'Dos Quebradas', 'COL', 'Risaralda', 159363),
(2285, 'Tuluá', 'COL', 'Valle', 152488),
(2286, 'Envigado', 'COL', 'Antioquia', 135848),
(2287, 'Cartago', 'COL', 'Valle', 125884),
(2288, 'Girardot', 'COL', 'Cundinamarca', 110963),
(2289, 'Buga', 'COL', 'Valle', 110699),
(2290, 'Tunja', 'COL', 'Boyacá', 109740),
(2291, 'Florencia', 'COL', 'Caquetá', 108574),
(2292, 'Maicao', 'COL', 'La Guajira', 108053),
(2293, 'Sogamoso', 'COL', 'Boyacá', 107728),
(2294, 'Giron', 'COL', 'Santander', 90688),
(2295, 'Moroni', 'COM', 'Njazidja', 36000),
(2296, 'Brazzaville', 'COG', 'Brazzaville', 950000),
(2297, 'Pointe-Noire', 'COG', 'Kouilou', 500000),
(2298, 'Kinshasa', 'COD', 'Kinshasa', 5064000),
(2299, 'Lubumbashi', 'COD', 'Shaba', 851381),
(2300, 'Mbuji-Mayi', 'COD', 'East Kasai', 806475),
(2301, 'Kolwezi', 'COD', 'Shaba', 417810),
(2302, 'Kisangani', 'COD', 'Haute-Zaïre', 417517),
(2303, 'Kananga', 'COD', 'West Kasai', 393030),
(2304, 'Likasi', 'COD', 'Shaba', 299118),
(2305, 'Bukavu', 'COD', 'South Kivu', 201569),
(2306, 'Kikwit', 'COD', 'Bandundu', 182142),
(2307, 'Tshikapa', 'COD', 'West Kasai', 180860),
(2308, 'Matadi', 'COD', 'Bas-Zaïre', 172730),
(2309, 'Mbandaka', 'COD', 'Equateur', 169841),
(2310, 'Mwene-Ditu', 'COD', 'East Kasai', 137459),
(2311, 'Boma', 'COD', 'Bas-Zaïre', 135284),
(2312, 'Uvira', 'COD', 'South Kivu', 115590),
(2313, 'Butembo', 'COD', 'North Kivu', 109406),
(2314, 'Goma', 'COD', 'North Kivu', 109094),
(2315, 'Kalemie', 'COD', 'Shaba', 101309),
(2316, 'Bantam', 'CCK', 'Home Island', 503),
(2317, 'West Island', 'CCK', 'West Island', 167),
(2318, 'Pyongyang', 'PRK', 'Pyongyang-si', 2484000),
(2319, 'Hamhung', 'PRK', 'Hamgyong N', 709730),
(2320, 'Chongjin', 'PRK', 'Hamgyong P', 582480),
(2321, 'Nampo', 'PRK', 'Nampo-si', 566200),
(2322, 'Sinuiju', 'PRK', 'Pyongan P', 326011),
(2323, 'Wonsan', 'PRK', 'Kangwon', 300148),
(2324, 'Phyongsong', 'PRK', 'Pyongan N', 272934),
(2325, 'Sariwon', 'PRK', 'Hwanghae P', 254146),
(2326, 'Haeju', 'PRK', 'Hwanghae N', 229172),
(2327, 'Kanggye', 'PRK', 'Chagang', 223410),
(2328, 'Kimchaek', 'PRK', 'Hamgyong P', 179000),
(2329, 'Hyesan', 'PRK', 'Yanggang', 178020),
(2330, 'Kaesong', 'PRK', 'Kaesong-si', 171500),
(2331, 'Seoul', 'KOR', 'Seoul', 9981619),
(2332, 'Pusan', 'KOR', 'Pusan', 3804522),
(2333, 'Inchon', 'KOR', 'Inchon', 2559424),
(2334, 'Taegu', 'KOR', 'Taegu', 2548568),
(2335, 'Taejon', 'KOR', 'Taejon', 1425835),
(2336, 'Kwangju', 'KOR', 'Kwangju', 1368341),
(2337, 'Ulsan', 'KOR', 'Kyongsangnam', 1084891),
(2338, 'Songnam', 'KOR', 'Kyonggi', 869094),
(2339, 'Puchon', 'KOR', 'Kyonggi', 779412),
(2340, 'Suwon', 'KOR', 'Kyonggi', 755550),
(2341, 'Anyang', 'KOR', 'Kyonggi', 591106),
(2342, 'Chonju', 'KOR', 'Chollabuk', 563153),
(2343, 'Chongju', 'KOR', 'Chungchongbuk', 531376),
(2344, 'Koyang', 'KOR', 'Kyonggi', 518282),
(2345, 'Ansan', 'KOR', 'Kyonggi', 510314),
(2346, 'Pohang', 'KOR', 'Kyongsangbuk', 508899),
(2347, 'Chang-won', 'KOR', 'Kyongsangnam', 481694),
(2348, 'Masan', 'KOR', 'Kyongsangnam', 441242),
(2349, 'Kwangmyong', 'KOR', 'Kyonggi', 350914),
(2350, 'Chonan', 'KOR', 'Chungchongnam', 330259),
(2351, 'Chinju', 'KOR', 'Kyongsangnam', 329886),
(2352, 'Iksan', 'KOR', 'Chollabuk', 322685),
(2353, 'Pyongtaek', 'KOR', 'Kyonggi', 312927),
(2354, 'Kumi', 'KOR', 'Kyongsangbuk', 311431),
(2355, 'Uijongbu', 'KOR', 'Kyonggi', 276111),
(2356, 'Kyongju', 'KOR', 'Kyongsangbuk', 272968),
(2357, 'Kunsan', 'KOR', 'Chollabuk', 266569),
(2358, 'Cheju', 'KOR', 'Cheju', 258511),
(2359, 'Kimhae', 'KOR', 'Kyongsangnam', 256370),
(2360, 'Sunchon', 'KOR', 'Chollanam', 249263),
(2361, 'Mokpo', 'KOR', 'Chollanam', 247452),
(2362, 'Yong-in', 'KOR', 'Kyonggi', 242643),
(2363, 'Wonju', 'KOR', 'Kang-won', 237460),
(2364, 'Kunpo', 'KOR', 'Kyonggi', 235233),
(2365, 'Chunchon', 'KOR', 'Kang-won', 234528),
(2366, 'Namyangju', 'KOR', 'Kyonggi', 229060),
(2367, 'Kangnung', 'KOR', 'Kang-won', 220403),
(2368, 'Chungju', 'KOR', 'Chungchongbuk', 205206),
(2369, 'Andong', 'KOR', 'Kyongsangbuk', 188443),
(2370, 'Yosu', 'KOR', 'Chollanam', 183596),
(2371, 'Kyongsan', 'KOR', 'Kyongsangbuk', 173746),
(2372, 'Paju', 'KOR', 'Kyonggi', 163379),
(2373, 'Yangsan', 'KOR', 'Kyongsangnam', 163351),
(2374, 'Ichon', 'KOR', 'Kyonggi', 155332),
(2375, 'Asan', 'KOR', 'Chungchongnam', 154663),
(2376, 'Koje', 'KOR', 'Kyongsangnam', 147562),
(2377, 'Kimchon', 'KOR', 'Kyongsangbuk', 147027),
(2378, 'Nonsan', 'KOR', 'Chungchongnam', 146619),
(2379, 'Kuri', 'KOR', 'Kyonggi', 142173),
(2380, 'Chong-up', 'KOR', 'Chollabuk', 139111),
(2381, 'Chechon', 'KOR', 'Chungchongbuk', 137070),
(2382, 'Sosan', 'KOR', 'Chungchongnam', 134746),
(2383, 'Shihung', 'KOR', 'Kyonggi', 133443),
(2384, 'Tong-yong', 'KOR', 'Kyongsangnam', 131717),
(2385, 'Kongju', 'KOR', 'Chungchongnam', 131229),
(2386, 'Yongju', 'KOR', 'Kyongsangbuk', 131097),
(2387, 'Chinhae', 'KOR', 'Kyongsangnam', 125997),
(2388, 'Sangju', 'KOR', 'Kyongsangbuk', 124116),
(2389, 'Poryong', 'KOR', 'Chungchongnam', 122604),
(2390, 'Kwang-yang', 'KOR', 'Chollanam', 122052),
(2391, 'Miryang', 'KOR', 'Kyongsangnam', 121501),
(2392, 'Hanam', 'KOR', 'Kyonggi', 115812),
(2393, 'Kimje', 'KOR', 'Chollabuk', 115427),
(2394, 'Yongchon', 'KOR', 'Kyongsangbuk', 113511),
(2395, 'Sachon', 'KOR', 'Kyongsangnam', 113494),
(2396, 'Uiwang', 'KOR', 'Kyonggi', 108788),
(2397, 'Naju', 'KOR', 'Chollanam', 107831),
(2398, 'Namwon', 'KOR', 'Chollabuk', 103544),
(2399, 'Tonghae', 'KOR', 'Kang-won', 95472),
(2400, 'Mun-gyong', 'KOR', 'Kyongsangbuk', 92239),
(2401, 'Athenai', 'GRC', 'Attika', 772072),
(2402, 'Thessaloniki', 'GRC', 'Central Macedonia', 383967),
(2403, 'Pireus', 'GRC', 'Attika', 182671),
(2404, 'Patras', 'GRC', 'West Greece', 153344),
(2405, 'Peristerion', 'GRC', 'Attika', 137288),
(2406, 'Herakleion', 'GRC', 'Crete', 116178),
(2407, 'Kallithea', 'GRC', 'Attika', 114233),
(2408, 'Larisa', 'GRC', 'Thessalia', 113090),
(2409, 'Zagreb', 'HRV', 'Grad Zagreb', 706770),
(2410, 'Split', 'HRV', 'Split-Dalmatia', 189388),
(2411, 'Rijeka', 'HRV', 'Primorje-Gorski Kota', 167964),
(2412, 'Osijek', 'HRV', 'Osijek-Baranja', 104761),
(2413, 'La Habana', 'CUB', 'La Habana', 2256000),
(2414, 'Santiago de Cuba', 'CUB', 'Santiago de Cuba', 433180),
(2415, 'Camagüey', 'CUB', 'Camagüey', 298726),
(2416, 'Holguín', 'CUB', 'Holguín', 249492),
(2417, 'Santa Clara', 'CUB', 'Villa Clara', 207350),
(2418, 'Guantánamo', 'CUB', 'Guantánamo', 205078),
(2419, 'Pinar del Río', 'CUB', 'Pinar del Río', 142100),
(2420, 'Bayamo', 'CUB', 'Granma', 141000),
(2421, 'Cienfuegos', 'CUB', 'Cienfuegos', 132770),
(2422, 'Victoria de las Tunas', 'CUB', 'Las Tunas', 132350),
(2423, 'Matanzas', 'CUB', 'Matanzas', 123273),
(2424, 'Manzanillo', 'CUB', 'Granma', 109350),
(2425, 'Sancti-Spíritus', 'CUB', 'Sancti-Spíritus', 100751),
(2426, 'Ciego de Ávila', 'CUB', 'Ciego de Ávila', 98505),
(2427, 'al-Salimiya', 'KWT', 'Hawalli', 130215),
(2428, 'Jalib al-Shuyukh', 'KWT', 'Hawalli', 102178),
(2429, 'Kuwait', 'KWT', 'al-Asima', 28859),
(2430, 'Nicosia', 'CYP', 'Nicosia', 195000),
(2431, 'Limassol', 'CYP', 'Limassol', 154400),
(2432, 'Vientiane', 'LAO', 'Viangchan', 531800),
(2433, 'Savannakhet', 'LAO', 'Savannakhet', 96652),
(2434, 'Riga', 'LVA', 'Riika', 764328),
(2435, 'Daugavpils', 'LVA', 'Daugavpils', 114829),
(2436, 'Liepaja', 'LVA', 'Liepaja', 89439),
(2437, 'Maseru', 'LSO', 'Maseru', 297000),
(2438, 'Beirut', 'LBN', 'Beirut', 1100000),
(2439, 'Tripoli', 'LBN', 'al-Shamal', 240000),
(2440, 'Monrovia', 'LBR', 'Montserrado', 850000),
(2441, 'Tripoli', 'LBY', 'Tripoli', 1682000),
(2442, 'Bengasi', 'LBY', 'Bengasi', 804000),
(2443, 'Misrata', 'LBY', 'Misrata', 121669),
(2444, 'al-Zawiya', 'LBY', 'al-Zawiya', 89338),
(2445, 'Schaan', 'LIE', 'Schaan', 5346),
(2446, 'Vaduz', 'LIE', 'Vaduz', 5043),
(2447, 'Vilnius', 'LTU', 'Vilna', 577969),
(2448, 'Kaunas', 'LTU', 'Kaunas', 412639),
(2449, 'Klaipeda', 'LTU', 'Klaipeda', 202451),
(2450, 'Šiauliai', 'LTU', 'Šiauliai', 146563),
(2451, 'Panevezys', 'LTU', 'Panevezys', 133695),
(2452, 'Luxembourg [Luxemburg/Lëtzebuerg]', 'LUX', 'Luxembourg', 80700),
(2453, 'El-Aaiún', 'ESH', 'El-Aaiún', 169000),
(2454, 'Macao', 'MAC', 'Macau', 437500),
(2455, 'Antananarivo', 'MDG', 'Antananarivo', 675669),
(2456, 'Toamasina', 'MDG', 'Toamasina', 127441),
(2457, 'Antsirabé', 'MDG', 'Antananarivo', 120239),
(2458, 'Mahajanga', 'MDG', 'Mahajanga', 100807),
(2459, 'Fianarantsoa', 'MDG', 'Fianarantsoa', 99005),
(2460, 'Skopje', 'MKD', 'Skopje', 444299),
(2461, 'Blantyre', 'MWI', 'Blantyre', 478155),
(2462, 'Lilongwe', 'MWI', 'Lilongwe', 435964),
(2463, 'Male', 'MDV', 'Maale', 71000),
(2464, 'Kuala Lumpur', 'MYS', 'Wilayah Persekutuan', 1297526),
(2465, 'Ipoh', 'MYS', 'Perak', 382853),
(2466, 'Johor Baharu', 'MYS', 'Johor', 328436),
(2467, 'Petaling Jaya', 'MYS', 'Selangor', 254350),
(2468, 'Kelang', 'MYS', 'Selangor', 243355),
(2469, 'Kuala Terengganu', 'MYS', 'Terengganu', 228119),
(2470, 'Pinang', 'MYS', 'Pulau Pinang', 219603),
(2471, 'Kota Bharu', 'MYS', 'Kelantan', 219582),
(2472, 'Kuantan', 'MYS', 'Pahang', 199484),
(2473, 'Taiping', 'MYS', 'Perak', 183261),
(2474, 'Seremban', 'MYS', 'Negeri Sembilan', 182869),
(2475, 'Kuching', 'MYS', 'Sarawak', 148059),
(2476, 'Sibu', 'MYS', 'Sarawak', 126381),
(2477, 'Sandakan', 'MYS', 'Sabah', 125841),
(2478, 'Alor Setar', 'MYS', 'Kedah', 124412),
(2479, 'Selayang Baru', 'MYS', 'Selangor', 124228),
(2480, 'Sungai Petani', 'MYS', 'Kedah', 114763),
(2481, 'Shah Alam', 'MYS', 'Selangor', 102019),
(2482, 'Bamako', 'MLI', 'Bamako', 809552),
(2483, 'Birkirkara', 'MLT', 'Outer Harbour', 21445),
(2484, 'Valletta', 'MLT', 'Inner Harbour', 7073),
(2485, 'Casablanca', 'MAR', 'Casablanca', 2940623),
(2486, 'Rabat', 'MAR', 'Rabat-Salé-Zammour-Z', 623457),
(2487, 'Marrakech', 'MAR', 'Marrakech-Tensift-Al', 621914),
(2488, 'Fès', 'MAR', 'Fès-Boulemane', 541162),
(2489, 'Tanger', 'MAR', 'Tanger-Tétouan', 521735),
(2490, 'Salé', 'MAR', 'Rabat-Salé-Zammour-Z', 504420),
(2491, 'Meknès', 'MAR', 'Meknès-Tafilalet', 460000),
(2492, 'Oujda', 'MAR', 'Oriental', 365382),
(2493, 'Kénitra', 'MAR', 'Gharb-Chrarda-Béni H', 292600),
(2494, 'Tétouan', 'MAR', 'Tanger-Tétouan', 277516),
(2495, 'Safi', 'MAR', 'Doukkala-Abda', 262300),
(2496, 'Agadir', 'MAR', 'Souss Massa-Draâ', 155244),
(2497, 'Mohammedia', 'MAR', 'Casablanca', 154706),
(2498, 'Khouribga', 'MAR', 'Chaouia-Ouardigha', 152090),
(2499, 'Beni-Mellal', 'MAR', 'Tadla-Azilal', 140212),
(2500, 'Témara', 'MAR', 'Rabat-Salé-Zammour-Z', 126303),
(2501, 'El Jadida', 'MAR', 'Doukkala-Abda', 119083),
(2502, 'Nador', 'MAR', 'Oriental', 112450),
(2503, 'Ksar el Kebir', 'MAR', 'Tanger-Tétouan', 107065),
(2504, 'Settat', 'MAR', 'Chaouia-Ouardigha', 96200),
(2505, 'Taza', 'MAR', 'Taza-Al Hoceima-Taou', 92700),
(2506, 'El Araich', 'MAR', 'Tanger-Tétouan', 90400),
(2507, 'Dalap-Uliga-Darrit', 'MHL', 'Majuro', 28000),
(2508, 'Fort-de-France', 'MTQ', 'Fort-de-France', 94050),
(2509, 'Nouakchott', 'MRT', 'Nouakchott', 667300),
(2510, 'Nouâdhibou', 'MRT', 'Dakhlet Nouâdhibou', 97600),
(2511, 'Port-Louis', 'MUS', 'Port-Louis', 138200),
(2512, 'Beau Bassin-Rose Hill', 'MUS', 'Plaines Wilhelms', 100616),
(2513, 'Vacoas-Phoenix', 'MUS', 'Plaines Wilhelms', 98464),
(2514, 'Mamoutzou', 'MYT', 'Mamoutzou', 12000),
(2515, 'Ciudad de México', 'MEX', 'Distrito Federal', 8591309),
(2516, 'Guadalajara', 'MEX', 'Jalisco', 1647720),
(2517, 'Ecatepec de Morelos', 'MEX', 'México', 1620303),
(2518, 'Puebla', 'MEX', 'Puebla', 1346176),
(2519, 'Nezahualcóyotl', 'MEX', 'México', 1224924),
(2520, 'Juárez', 'MEX', 'Chihuahua', 1217818),
(2521, 'Tijuana', 'MEX', 'Baja California', 1212232),
(2522, 'León', 'MEX', 'Guanajuato', 1133576),
(2523, 'Monterrey', 'MEX', 'Nuevo León', 1108499),
(2524, 'Zapopan', 'MEX', 'Jalisco', 1002239),
(2525, 'Naucalpan de Juárez', 'MEX', 'México', 857511),
(2526, 'Mexicali', 'MEX', 'Baja California', 764902),
(2527, 'Culiacán', 'MEX', 'Sinaloa', 744859),
(2528, 'Acapulco de Juárez', 'MEX', 'Guerrero', 721011),
(2529, 'Tlalnepantla de Baz', 'MEX', 'México', 720755),
(2530, 'Mérida', 'MEX', 'Yucatán', 703324),
(2531, 'Chihuahua', 'MEX', 'Chihuahua', 670208),
(2532, 'San Luis Potosí', 'MEX', 'San Luis Potosí', 669353),
(2533, 'Guadalupe', 'MEX', 'Nuevo León', 668780),
(2534, 'Toluca', 'MEX', 'México', 665617),
(2535, 'Aguascalientes', 'MEX', 'Aguascalientes', 643360),
(2536, 'Querétaro', 'MEX', 'Querétaro de Arteaga', 639839),
(2537, 'Morelia', 'MEX', 'Michoacán de Ocampo', 619958),
(2538, 'Hermosillo', 'MEX', 'Sonora', 608697),
(2539, 'Saltillo', 'MEX', 'Coahuila de Zaragoza', 577352),
(2540, 'Torreón', 'MEX', 'Coahuila de Zaragoza', 529093),
(2541, 'Centro (Villahermosa)', 'MEX', 'Tabasco', 519873),
(2542, 'San Nicolás de los Garza', 'MEX', 'Nuevo León', 495540),
(2543, 'Durango', 'MEX', 'Durango', 490524),
(2544, 'Chimalhuacán', 'MEX', 'México', 490245),
(2545, 'Tlaquepaque', 'MEX', 'Jalisco', 475472),
(2546, 'Atizapán de Zaragoza', 'MEX', 'México', 467262),
(2547, 'Veracruz', 'MEX', 'Veracruz', 457119),
(2548, 'Cuautitlán Izcalli', 'MEX', 'México', 452976),
(2549, 'Irapuato', 'MEX', 'Guanajuato', 440039),
(2550, 'Tuxtla Gutiérrez', 'MEX', 'Chiapas', 433544),
(2551, 'Tultitlán', 'MEX', 'México', 432411),
(2552, 'Reynosa', 'MEX', 'Tamaulipas', 419776),
(2553, 'Benito Juárez', 'MEX', 'Quintana Roo', 419276),
(2554, 'Matamoros', 'MEX', 'Tamaulipas', 416428),
(2555, 'Xalapa', 'MEX', 'Veracruz', 390058),
(2556, 'Celaya', 'MEX', 'Guanajuato', 382140),
(2557, 'Mazatlán', 'MEX', 'Sinaloa', 380265),
(2558, 'Ensenada', 'MEX', 'Baja California', 369573),
(2559, 'Ahome', 'MEX', 'Sinaloa', 358663),
(2560, 'Cajeme', 'MEX', 'Sonora', 355679),
(2561, 'Cuernavaca', 'MEX', 'Morelos', 337966),
(2562, 'Tonalá', 'MEX', 'Jalisco', 336109),
(2563, 'Valle de Chalco Solidaridad', 'MEX', 'México', 323113),
(2564, 'Nuevo Laredo', 'MEX', 'Tamaulipas', 310277),
(2565, 'Tepic', 'MEX', 'Nayarit', 305025),
(2566, 'Tampico', 'MEX', 'Tamaulipas', 294789),
(2567, 'Ixtapaluca', 'MEX', 'México', 293160),
(2568, 'Apodaca', 'MEX', 'Nuevo León', 282941),
(2569, 'Guasave', 'MEX', 'Sinaloa', 277201),
(2570, 'Gómez Palacio', 'MEX', 'Durango', 272806),
(2571, 'Tapachula', 'MEX', 'Chiapas', 271141),
(2572, 'Nicolás Romero', 'MEX', 'México', 269393),
(2573, 'Coatzacoalcos', 'MEX', 'Veracruz', 267037),
(2574, 'Uruapan', 'MEX', 'Michoacán de Ocampo', 265211),
(2575, 'Victoria', 'MEX', 'Tamaulipas', 262686),
(2576, 'Oaxaca de Juárez', 'MEX', 'Oaxaca', 256848),
(2577, 'Coacalco de Berriozábal', 'MEX', 'México', 252270),
(2578, 'Pachuca de Soto', 'MEX', 'Hidalgo', 244688),
(2579, 'General Escobedo', 'MEX', 'Nuevo León', 232961),
(2580, 'Salamanca', 'MEX', 'Guanajuato', 226864),
(2581, 'Santa Catarina', 'MEX', 'Nuevo León', 226573),
(2582, 'Tehuacán', 'MEX', 'Puebla', 225943),
(2583, 'Chalco', 'MEX', 'México', 222201),
(2584, 'Cárdenas', 'MEX', 'Tabasco', 216903),
(2585, 'Campeche', 'MEX', 'Campeche', 216735),
(2586, 'La Paz', 'MEX', 'México', 213045),
(2587, 'Othón P. Blanco (Chetumal)', 'MEX', 'Quintana Roo', 208014),
(2588, 'Texcoco', 'MEX', 'México', 203681),
(2589, 'La Paz', 'MEX', 'Baja California Sur', 196708),
(2590, 'Metepec', 'MEX', 'México', 194265),
(2591, 'Monclova', 'MEX', 'Coahuila de Zaragoza', 193657),
(2592, 'Huixquilucan', 'MEX', 'México', 193156),
(2593, 'Chilpancingo de los Bravo', 'MEX', 'Guerrero', 192509),
(2594, 'Puerto Vallarta', 'MEX', 'Jalisco', 183741),
(2595, 'Fresnillo', 'MEX', 'Zacatecas', 182744),
(2596, 'Ciudad Madero', 'MEX', 'Tamaulipas', 182012),
(2597, 'Soledad de Graciano Sánchez', 'MEX', 'San Luis Potosí', 179956),
(2598, 'San Juan del Río', 'MEX', 'Querétaro', 179300),
(2599, 'San Felipe del Progreso', 'MEX', 'México', 177330),
(2600, 'Córdoba', 'MEX', 'Veracruz', 176952),
(2601, 'Tecámac', 'MEX', 'México', 172410),
(2602, 'Ocosingo', 'MEX', 'Chiapas', 171495),
(2603, 'Carmen', 'MEX', 'Campeche', 171367),
(2604, 'Lázaro Cárdenas', 'MEX', 'Michoacán de Ocampo', 170878),
(2605, 'Jiutepec', 'MEX', 'Morelos', 170428),
(2606, 'Papantla', 'MEX', 'Veracruz', 170123),
(2607, 'Comalcalco', 'MEX', 'Tabasco', 164640),
(2608, 'Zamora', 'MEX', 'Michoacán de Ocampo', 161191),
(2609, 'Nogales', 'MEX', 'Sonora', 159103),
(2610, 'Huimanguillo', 'MEX', 'Tabasco', 158335),
(2611, 'Cuautla', 'MEX', 'Morelos', 153132),
(2612, 'Minatitlán', 'MEX', 'Veracruz', 152983),
(2613, 'Poza Rica de Hidalgo', 'MEX', 'Veracruz', 152678),
(2614, 'Ciudad Valles', 'MEX', 'San Luis Potosí', 146411),
(2615, 'Navolato', 'MEX', 'Sinaloa', 145396),
(2616, 'San Luis Río Colorado', 'MEX', 'Sonora', 145276),
(2617, 'Pénjamo', 'MEX', 'Guanajuato', 143927),
(2618, 'San Andrés Tuxtla', 'MEX', 'Veracruz', 142251),
(2619, 'Guanajuato', 'MEX', 'Guanajuato', 141215),
(2620, 'Navojoa', 'MEX', 'Sonora', 140495),
(2621, 'Zitácuaro', 'MEX', 'Michoacán de Ocampo', 137970),
(2622, 'Boca del Río', 'MEX', 'Veracruz-Llave', 135721),
(2623, 'Allende', 'MEX', 'Guanajuato', 134645),
(2624, 'Silao', 'MEX', 'Guanajuato', 134037),
(2625, 'Macuspana', 'MEX', 'Tabasco', 133795),
(2626, 'San Juan Bautista Tuxtepec', 'MEX', 'Oaxaca', 133675),
(2627, 'San Cristóbal de las Casas', 'MEX', 'Chiapas', 132317),
(2628, 'Valle de Santiago', 'MEX', 'Guanajuato', 130557),
(2629, 'Guaymas', 'MEX', 'Sonora', 130108),
(2630, 'Colima', 'MEX', 'Colima', 129454),
(2631, 'Dolores Hidalgo', 'MEX', 'Guanajuato', 128675),
(2632, 'Lagos de Moreno', 'MEX', 'Jalisco', 127949),
(2633, 'Piedras Negras', 'MEX', 'Coahuila de Zaragoza', 127898),
(2634, 'Altamira', 'MEX', 'Tamaulipas', 127490),
(2635, 'Túxpam', 'MEX', 'Veracruz', 126475),
(2636, 'San Pedro Garza García', 'MEX', 'Nuevo León', 126147),
(2637, 'Cuauhtémoc', 'MEX', 'Chihuahua', 124279),
(2638, 'Manzanillo', 'MEX', 'Colima', 124014),
(2639, 'Iguala de la Independencia', 'MEX', 'Guerrero', 123883),
(2640, 'Zacatecas', 'MEX', 'Zacatecas', 123700),
(2641, 'Tlajomulco de Zúñiga', 'MEX', 'Jalisco', 123220),
(2642, 'Tulancingo de Bravo', 'MEX', 'Hidalgo', 121946),
(2643, 'Zinacantepec', 'MEX', 'México', 121715),
(2644, 'San Martín Texmelucan', 'MEX', 'Puebla', 121093),
(2645, 'Tepatitlán de Morelos', 'MEX', 'Jalisco', 118948),
(2646, 'Martínez de la Torre', 'MEX', 'Veracruz', 118815),
(2647, 'Orizaba', 'MEX', 'Veracruz', 118488),
(2648, 'Apatzingán', 'MEX', 'Michoacán de Ocampo', 117849),
(2649, 'Atlixco', 'MEX', 'Puebla', 117019),
(2650, 'Delicias', 'MEX', 'Chihuahua', 116132),
(2651, 'Ixtlahuaca', 'MEX', 'México', 115548),
(2652, 'El Mante', 'MEX', 'Tamaulipas', 112453),
(2653, 'Lerdo', 'MEX', 'Durango', 112272),
(2654, 'Almoloya de Juárez', 'MEX', 'México', 110550),
(2655, 'Acámbaro', 'MEX', 'Guanajuato', 110487),
(2656, 'Acuña', 'MEX', 'Coahuila de Zaragoza', 110388),
(2657, 'Guadalupe', 'MEX', 'Zacatecas', 108881),
(2658, 'Huejutla de Reyes', 'MEX', 'Hidalgo', 108017),
(2659, 'Hidalgo', 'MEX', 'Michoacán de Ocampo', 106198),
(2660, 'Los Cabos', 'MEX', 'Baja California Sur', 105199),
(2661, 'Comitán de Domínguez', 'MEX', 'Chiapas', 104986),
(2662, 'Cunduacán', 'MEX', 'Tabasco', 104164),
(2663, 'Río Bravo', 'MEX', 'Tamaulipas', 103901),
(2664, 'Temapache', 'MEX', 'Veracruz', 102824),
(2665, 'Chilapa de Alvarez', 'MEX', 'Guerrero', 102716),
(2666, 'Hidalgo del Parral', 'MEX', 'Chihuahua', 100881),
(2667, 'San Francisco del Rincón', 'MEX', 'Guanajuato', 100149),
(2668, 'Taxco de Alarcón', 'MEX', 'Guerrero', 99907),
(2669, 'Zumpango', 'MEX', 'México', 99781),
(2670, 'San Pedro Cholula', 'MEX', 'Puebla', 99734),
(2671, 'Lerma', 'MEX', 'México', 99714),
(2672, 'Tecomán', 'MEX', 'Colima', 99296),
(2673, 'Las Margaritas', 'MEX', 'Chiapas', 97389),
(2674, 'Cosoleacaque', 'MEX', 'Veracruz', 97199),
(2675, 'San Luis de la Paz', 'MEX', 'Guanajuato', 96763),
(2676, 'José Azueta', 'MEX', 'Guerrero', 95448),
(2677, 'Santiago Ixcuintla', 'MEX', 'Nayarit', 95311),
(2678, 'San Felipe', 'MEX', 'Guanajuato', 95305),
(2679, 'Tejupilco', 'MEX', 'México', 94934),
(2680, 'Tantoyuca', 'MEX', 'Veracruz', 94709),
(2681, 'Salvatierra', 'MEX', 'Guanajuato', 94322),
(2682, 'Tultepec', 'MEX', 'México', 93364),
(2683, 'Temixco', 'MEX', 'Morelos', 92686),
(2684, 'Matamoros', 'MEX', 'Coahuila de Zaragoza', 91858),
(2685, 'Pánuco', 'MEX', 'Veracruz', 90551),
(2686, 'El Fuerte', 'MEX', 'Sinaloa', 89556),
(2687, 'Tierra Blanca', 'MEX', 'Veracruz', 89143),
(2688, 'Weno', 'FSM', 'Chuuk', 22000),
(2689, 'Palikir', 'FSM', 'Pohnpei', 8600),
(2690, 'Chisinau', 'MDA', 'Chisinau', 719900),
(2691, 'Tiraspol', 'MDA', 'Dnjestria', 194300),
(2692, 'Balti', 'MDA', 'Balti', 153400),
(2693, 'Bender (Tîghina)', 'MDA', 'Bender (Tîghina)', 125700),
(2694, 'Monte-Carlo', 'MCO', '–', 13154),
(2695, 'Monaco-Ville', 'MCO', '–', 1234),
(2696, 'Ulan Bator', 'MNG', 'Ulaanbaatar', 773700),
(2697, 'Plymouth', 'MSR', 'Plymouth', 2000),
(2698, 'Maputo', 'MOZ', 'Maputo', 1018938),
(2699, 'Matola', 'MOZ', 'Maputo', 424662),
(2700, 'Beira', 'MOZ', 'Sofala', 397368),
(2701, 'Nampula', 'MOZ', 'Nampula', 303346),
(2702, 'Chimoio', 'MOZ', 'Manica', 171056),
(2703, 'Naçala-Porto', 'MOZ', 'Nampula', 158248),
(2704, 'Quelimane', 'MOZ', 'Zambézia', 150116),
(2705, 'Mocuba', 'MOZ', 'Zambézia', 124700),
(2706, 'Tete', 'MOZ', 'Tete', 101984),
(2707, 'Xai-Xai', 'MOZ', 'Gaza', 99442),
(2708, 'Gurue', 'MOZ', 'Zambézia', 99300),
(2709, 'Maxixe', 'MOZ', 'Inhambane', 93985),
(2710, 'Rangoon (Yangon)', 'MMR', 'Rangoon [Yangon]', 3361700),
(2711, 'Mandalay', 'MMR', 'Mandalay', 885300),
(2712, 'Moulmein (Mawlamyine)', 'MMR', 'Mon', 307900),
(2713, 'Pegu (Bago)', 'MMR', 'Pegu [Bago]', 190900),
(2714, 'Bassein (Pathein)', 'MMR', 'Irrawaddy [Ayeyarwad', 183900),
(2715, 'Monywa', 'MMR', 'Sagaing', 138600),
(2716, 'Sittwe (Akyab)', 'MMR', 'Rakhine', 137600),
(2717, 'Taunggyi (Taunggye)', 'MMR', 'Shan', 131500),
(2718, 'Meikhtila', 'MMR', 'Mandalay', 129700),
(2719, 'Mergui (Myeik)', 'MMR', 'Tenasserim [Tanintha', 122700),
(2720, 'Lashio (Lasho)', 'MMR', 'Shan', 107600),
(2721, 'Prome (Pyay)', 'MMR', 'Pegu [Bago]', 105700),
(2722, 'Henzada (Hinthada)', 'MMR', 'Irrawaddy [Ayeyarwad', 104700),
(2723, 'Myingyan', 'MMR', 'Mandalay', 103600),
(2724, 'Tavoy (Dawei)', 'MMR', 'Tenasserim [Tanintha', 96800),
(2725, 'Pagakku (Pakokku)', 'MMR', 'Magwe [Magway]', 94800),
(2726, 'Windhoek', 'NAM', 'Khomas', 169000),
(2727, 'Yangor', 'NRU', '–', 4050),
(2728, 'Yaren', 'NRU', '–', 559),
(2729, 'Kathmandu', 'NPL', 'Central', 591835),
(2730, 'Biratnagar', 'NPL', 'Eastern', 157764),
(2731, 'Pokhara', 'NPL', 'Western', 146318),
(2732, 'Lalitapur', 'NPL', 'Central', 145847),
(2733, 'Birgunj', 'NPL', 'Central', 90639),
(2734, 'Managua', 'NIC', 'Managua', 959000),
(2735, 'León', 'NIC', 'León', 123865),
(2736, 'Chinandega', 'NIC', 'Chinandega', 97387),
(2737, 'Masaya', 'NIC', 'Masaya', 88971),
(2738, 'Niamey', 'NER', 'Niamey', 420000),
(2739, 'Zinder', 'NER', 'Zinder', 120892),
(2740, 'Maradi', 'NER', 'Maradi', 112965),
(2741, 'Lagos', 'NGA', 'Lagos', 1518000),
(2742, 'Ibadan', 'NGA', 'Oyo & Osun', 1432000),
(2743, 'Ogbomosho', 'NGA', 'Oyo & Osun', 730000),
(2744, 'Kano', 'NGA', 'Kano & Jigawa', 674100),
(2745, 'Oshogbo', 'NGA', 'Oyo & Osun', 476800),
(2746, 'Ilorin', 'NGA', 'Kwara & Kogi', 475800),
(2747, 'Abeokuta', 'NGA', 'Ogun', 427400),
(2748, 'Port Harcourt', 'NGA', 'Rivers & Bayelsa', 410000),
(2749, 'Zaria', 'NGA', 'Kaduna', 379200),
(2750, 'Ilesha', 'NGA', 'Oyo & Osun', 378400),
(2751, 'Onitsha', 'NGA', 'Anambra & Enugu & Eb', 371900),
(2752, 'Iwo', 'NGA', 'Oyo & Osun', 362000),
(2753, 'Ado-Ekiti', 'NGA', 'Ondo & Ekiti', 359400),
(2754, 'Abuja', 'NGA', 'Federal Capital Dist', 350100),
(2755, 'Kaduna', 'NGA', 'Kaduna', 342200),
(2756, 'Mushin', 'NGA', 'Lagos', 333200),
(2757, 'Maiduguri', 'NGA', 'Borno & Yobe', 320000),
(2758, 'Enugu', 'NGA', 'Anambra & Enugu & Eb', 316100),
(2759, 'Ede', 'NGA', 'Oyo & Osun', 307100),
(2760, 'Aba', 'NGA', 'Imo & Abia', 298900),
(2761, 'Ife', 'NGA', 'Oyo & Osun', 296800),
(2762, 'Ila', 'NGA', 'Oyo & Osun', 264000),
(2763, 'Oyo', 'NGA', 'Oyo & Osun', 256400),
(2764, 'Ikerre', 'NGA', 'Ondo & Ekiti', 244600),
(2765, 'Benin City', 'NGA', 'Edo & Delta', 229400),
(2766, 'Iseyin', 'NGA', 'Oyo & Osun', 217300),
(2767, 'Katsina', 'NGA', 'Katsina', 206500),
(2768, 'Jos', 'NGA', 'Plateau & Nassarawa', 206300),
(2769, 'Sokoto', 'NGA', 'Sokoto & Kebbi & Zam', 204900),
(2770, 'Ilobu', 'NGA', 'Oyo & Osun', 199000),
(2771, 'Offa', 'NGA', 'Kwara & Kogi', 197200),
(2772, 'Ikorodu', 'NGA', 'Lagos', 184900),
(2773, 'Ilawe-Ekiti', 'NGA', 'Ondo & Ekiti', 184500),
(2774, 'Owo', 'NGA', 'Ondo & Ekiti', 183500),
(2775, 'Ikirun', 'NGA', 'Oyo & Osun', 181400),
(2776, 'Shaki', 'NGA', 'Oyo & Osun', 174500),
(2777, 'Calabar', 'NGA', 'Cross River', 174400),
(2778, 'Ondo', 'NGA', 'Ondo & Ekiti', 173600),
(2779, 'Akure', 'NGA', 'Ondo & Ekiti', 162300),
(2780, 'Gusau', 'NGA', 'Sokoto & Kebbi & Zam', 158000),
(2781, 'Ijebu-Ode', 'NGA', 'Ogun', 156400),
(2782, 'Effon-Alaiye', 'NGA', 'Oyo & Osun', 153100),
(2783, 'Kumo', 'NGA', 'Bauchi & Gombe', 148000),
(2784, 'Shomolu', 'NGA', 'Lagos', 147700),
(2785, 'Oka-Akoko', 'NGA', 'Ondo & Ekiti', 142900),
(2786, 'Ikare', 'NGA', 'Ondo & Ekiti', 140800),
(2787, 'Sapele', 'NGA', 'Edo & Delta', 139200),
(2788, 'Deba Habe', 'NGA', 'Bauchi & Gombe', 138600),
(2789, 'Minna', 'NGA', 'Niger', 136900),
(2790, 'Warri', 'NGA', 'Edo & Delta', 126100),
(2791, 'Bida', 'NGA', 'Niger', 125500),
(2792, 'Ikire', 'NGA', 'Oyo & Osun', 123300),
(2793, 'Makurdi', 'NGA', 'Benue', 123100),
(2794, 'Lafia', 'NGA', 'Plateau & Nassarawa', 122500),
(2795, 'Inisa', 'NGA', 'Oyo & Osun', 119800),
(2796, 'Shagamu', 'NGA', 'Ogun', 117200),
(2797, 'Awka', 'NGA', 'Anambra & Enugu & Eb', 111200),
(2798, 'Gombe', 'NGA', 'Bauchi & Gombe', 107800),
(2799, 'Igboho', 'NGA', 'Oyo & Osun', 106800),
(2800, 'Ejigbo', 'NGA', 'Oyo & Osun', 105900),
(2801, 'Agege', 'NGA', 'Lagos', 105000),
(2802, 'Ise-Ekiti', 'NGA', 'Ondo & Ekiti', 103400),
(2803, 'Ugep', 'NGA', 'Cross River', 102600),
(2804, 'Epe', 'NGA', 'Lagos', 101000),
(2805, 'Alofi', 'NIU', '–', 682),
(2806, 'Kingston', 'NFK', '–', 800),
(2807, 'Oslo', 'NOR', 'Oslo', 508726),
(2808, 'Bergen', 'NOR', 'Hordaland', 230948),
(2809, 'Trondheim', 'NOR', 'Sør-Trøndelag', 150166),
(2810, 'Stavanger', 'NOR', 'Rogaland', 108848),
(2811, 'Bærum', 'NOR', 'Akershus', 101340),
(2812, 'Abidjan', 'CIV', 'Abidjan', 2500000),
(2813, 'Bouaké', 'CIV', 'Bouaké', 329850),
(2814, 'Yamoussoukro', 'CIV', 'Yamoussoukro', 130000),
(2815, 'Daloa', 'CIV', 'Daloa', 121842),
(2816, 'Korhogo', 'CIV', 'Korhogo', 109445),
(2817, 'al-Sib', 'OMN', 'Masqat', 155000),
(2818, 'Salala', 'OMN', 'Zufar', 131813),
(2819, 'Bawshar', 'OMN', 'Masqat', 107500),
(2820, 'Suhar', 'OMN', 'al-Batina', 90814),
(2821, 'Masqat', 'OMN', 'Masqat', 51969),
(2822, 'Karachi', 'PAK', 'Sindh', 9269265),
(2823, 'Lahore', 'PAK', 'Punjab', 5063499),
(2824, 'Faisalabad', 'PAK', 'Punjab', 1977246),
(2825, 'Rawalpindi', 'PAK', 'Punjab', 1406214),
(2826, 'Multan', 'PAK', 'Punjab', 1182441),
(2827, 'Hyderabad', 'PAK', 'Sindh', 1151274),
(2828, 'Gujranwala', 'PAK', 'Punjab', 1124749),
(2829, 'Peshawar', 'PAK', 'Nothwest Border Prov', 988005),
(2830, 'Quetta', 'PAK', 'Baluchistan', 560307),
(2831, 'Islamabad', 'PAK', 'Islamabad', 524500),
(2832, 'Sargodha', 'PAK', 'Punjab', 455360),
(2833, 'Sialkot', 'PAK', 'Punjab', 417597),
(2834, 'Bahawalpur', 'PAK', 'Punjab', 403408),
(2835, 'Sukkur', 'PAK', 'Sindh', 329176),
(2836, 'Jhang', 'PAK', 'Punjab', 292214),
(2837, 'Sheikhupura', 'PAK', 'Punjab', 271875),
(2838, 'Larkana', 'PAK', 'Sindh', 270366),
(2839, 'Gujrat', 'PAK', 'Punjab', 250121),
(2840, 'Mardan', 'PAK', 'Nothwest Border Prov', 244511),
(2841, 'Kasur', 'PAK', 'Punjab', 241649),
(2842, 'Rahim Yar Khan', 'PAK', 'Punjab', 228479),
(2843, 'Sahiwal', 'PAK', 'Punjab', 207388),
(2844, 'Okara', 'PAK', 'Punjab', 200901),
(2845, 'Wah', 'PAK', 'Punjab', 198400),
(2846, 'Dera Ghazi Khan', 'PAK', 'Punjab', 188100),
(2847, 'Mirpur Khas', 'PAK', 'Sind', 184500),
(2848, 'Nawabshah', 'PAK', 'Sind', 183100),
(2849, 'Mingora', 'PAK', 'Nothwest Border Prov', 174500),
(2850, 'Chiniot', 'PAK', 'Punjab', 169300),
(2851, 'Kamoke', 'PAK', 'Punjab', 151000),
(2852, 'Mandi Burewala', 'PAK', 'Punjab', 149900),
(2853, 'Jhelum', 'PAK', 'Punjab', 145800),
(2854, 'Sadiqabad', 'PAK', 'Punjab', 141500),
(2855, 'Jacobabad', 'PAK', 'Sind', 137700),
(2856, 'Shikarpur', 'PAK', 'Sind', 133300),
(2857, 'Khanewal', 'PAK', 'Punjab', 133000),
(2858, 'Hafizabad', 'PAK', 'Punjab', 130200),
(2859, 'Kohat', 'PAK', 'Nothwest Border Prov', 125300),
(2860, 'Muzaffargarh', 'PAK', 'Punjab', 121600),
(2861, 'Khanpur', 'PAK', 'Punjab', 117800),
(2862, 'Gojra', 'PAK', 'Punjab', 115000),
(2863, 'Bahawalnagar', 'PAK', 'Punjab', 109600),
(2864, 'Muridke', 'PAK', 'Punjab', 108600),
(2865, 'Pak Pattan', 'PAK', 'Punjab', 107800),
(2866, 'Abottabad', 'PAK', 'Nothwest Border Prov', 106000),
(2867, 'Tando Adam', 'PAK', 'Sind', 103400),
(2868, 'Jaranwala', 'PAK', 'Punjab', 103300),
(2869, 'Khairpur', 'PAK', 'Sind', 102200),
(2870, 'Chishtian Mandi', 'PAK', 'Punjab', 101700),
(2871, 'Daska', 'PAK', 'Punjab', 101500),
(2872, 'Dadu', 'PAK', 'Sind', 98600),
(2873, 'Mandi Bahauddin', 'PAK', 'Punjab', 97300),
(2874, 'Ahmadpur East', 'PAK', 'Punjab', 96000),
(2875, 'Kamalia', 'PAK', 'Punjab', 95300),
(2876, 'Khuzdar', 'PAK', 'Baluchistan', 93100),
(2877, 'Vihari', 'PAK', 'Punjab', 92300),
(2878, 'Dera Ismail Khan', 'PAK', 'Nothwest Border Prov', 90400),
(2879, 'Wazirabad', 'PAK', 'Punjab', 89700),
(2880, 'Nowshera', 'PAK', 'Nothwest Border Prov', 89400),
(2881, 'Koror', 'PLW', 'Koror', 12000),
(2882, 'Ciudad de Panamá', 'PAN', 'Panamá', 471373),
(2883, 'San Miguelito', 'PAN', 'San Miguelito', 315382),
(2884, 'Port Moresby', 'PNG', 'National Capital Dis', 247000),
(2885, 'Asunción', 'PRY', 'Asunción', 557776),
(2886, 'Ciudad del Este', 'PRY', 'Alto Paraná', 133881),
(2887, 'San Lorenzo', 'PRY', 'Central', 133395),
(2888, 'Lambaré', 'PRY', 'Central', 99681),
(2889, 'Fernando de la Mora', 'PRY', 'Central', 95287),
(2890, 'Lima', 'PER', 'Lima', 6464693),
(2891, 'Arequipa', 'PER', 'Arequipa', 762000),
(2892, 'Trujillo', 'PER', 'La Libertad', 652000),
(2893, 'Chiclayo', 'PER', 'Lambayeque', 517000),
(2894, 'Callao', 'PER', 'Callao', 424294),
(2895, 'Iquitos', 'PER', 'Loreto', 367000),
(2896, 'Chimbote', 'PER', 'Ancash', 336000),
(2897, 'Huancayo', 'PER', 'Junín', 327000),
(2898, 'Piura', 'PER', 'Piura', 325000),
(2899, 'Cusco', 'PER', 'Cusco', 291000),
(2900, 'Pucallpa', 'PER', 'Ucayali', 220866),
(2901, 'Tacna', 'PER', 'Tacna', 215683),
(2902, 'Ica', 'PER', 'Ica', 194820),
(2903, 'Sullana', 'PER', 'Piura', 147361),
(2904, 'Juliaca', 'PER', 'Puno', 142576),
(2905, 'Huánuco', 'PER', 'Huanuco', 129688),
(2906, 'Ayacucho', 'PER', 'Ayacucho', 118960),
(2907, 'Chincha Alta', 'PER', 'Ica', 110016),
(2908, 'Cajamarca', 'PER', 'Cajamarca', 108009),
(2909, 'Puno', 'PER', 'Puno', 101578),
(2910, 'Ventanilla', 'PER', 'Callao', 101056),
(2911, 'Castilla', 'PER', 'Piura', 90642),
(2912, 'Adamstown', 'PCN', '–', 42),
(2913, 'Garapan', 'MNP', 'Saipan', 9200),
(2914, 'Lisboa', 'PRT', 'Lisboa', 563210),
(2915, 'Porto', 'PRT', 'Porto', 273060),
(2916, 'Amadora', 'PRT', 'Lisboa', 122106),
(2917, 'Coímbra', 'PRT', 'Coímbra', 96100),
(2918, 'Braga', 'PRT', 'Braga', 90535),
(2919, 'San Juan', 'PRI', 'San Juan', 434374),
(2920, 'Bayamón', 'PRI', 'Bayamón', 224044),
(2921, 'Ponce', 'PRI', 'Ponce', 186475),
(2922, 'Carolina', 'PRI', 'Carolina', 186076),
(2923, 'Caguas', 'PRI', 'Caguas', 140502),
(2924, 'Arecibo', 'PRI', 'Arecibo', 100131),
(2925, 'Guaynabo', 'PRI', 'Guaynabo', 100053),
(2926, 'Mayagüez', 'PRI', 'Mayagüez', 98434),
(2927, 'Toa Baja', 'PRI', 'Toa Baja', 94085),
(2928, 'Warszawa', 'POL', 'Mazowieckie', 1615369),
(2929, 'Lódz', 'POL', 'Lodzkie', 800110),
(2930, 'Kraków', 'POL', 'Malopolskie', 738150),
(2931, 'Wroclaw', 'POL', 'Dolnoslaskie', 636765),
(2932, 'Poznan', 'POL', 'Wielkopolskie', 576899),
(2933, 'Gdansk', 'POL', 'Pomorskie', 458988),
(2934, 'Szczecin', 'POL', 'Zachodnio-Pomorskie', 416988),
(2935, 'Bydgoszcz', 'POL', 'Kujawsko-Pomorskie', 386855),
(2936, 'Lublin', 'POL', 'Lubelskie', 356251),
(2937, 'Katowice', 'POL', 'Slaskie', 345934),
(2938, 'Bialystok', 'POL', 'Podlaskie', 283937),
(2939, 'Czestochowa', 'POL', 'Slaskie', 257812),
(2940, 'Gdynia', 'POL', 'Pomorskie', 253521),
(2941, 'Sosnowiec', 'POL', 'Slaskie', 244102),
(2942, 'Radom', 'POL', 'Mazowieckie', 232262),
(2943, 'Kielce', 'POL', 'Swietokrzyskie', 212383),
(2944, 'Gliwice', 'POL', 'Slaskie', 212164),
(2945, 'Torun', 'POL', 'Kujawsko-Pomorskie', 206158),
(2946, 'Bytom', 'POL', 'Slaskie', 205560),
(2947, 'Zabrze', 'POL', 'Slaskie', 200177),
(2948, 'Bielsko-Biala', 'POL', 'Slaskie', 180307),
(2949, 'Olsztyn', 'POL', 'Warminsko-Mazurskie', 170904),
(2950, 'Rzeszów', 'POL', 'Podkarpackie', 162049),
(2951, 'Ruda Slaska', 'POL', 'Slaskie', 159665),
(2952, 'Rybnik', 'POL', 'Slaskie', 144582),
(2953, 'Walbrzych', 'POL', 'Dolnoslaskie', 136923),
(2954, 'Tychy', 'POL', 'Slaskie', 133178),
(2955, 'Dabrowa Górnicza', 'POL', 'Slaskie', 131037),
(2956, 'Plock', 'POL', 'Mazowieckie', 131011),
(2957, 'Elblag', 'POL', 'Warminsko-Mazurskie', 129782),
(2958, 'Opole', 'POL', 'Opolskie', 129553),
(2959, 'Gorzów Wielkopolski', 'POL', 'Lubuskie', 126019),
(2960, 'Wloclawek', 'POL', 'Kujawsko-Pomorskie', 123373),
(2961, 'Chorzów', 'POL', 'Slaskie', 121708),
(2962, 'Tarnów', 'POL', 'Malopolskie', 121494),
(2963, 'Zielona Góra', 'POL', 'Lubuskie', 118182),
(2964, 'Koszalin', 'POL', 'Zachodnio-Pomorskie', 112375),
(2965, 'Legnica', 'POL', 'Dolnoslaskie', 109335),
(2966, 'Kalisz', 'POL', 'Wielkopolskie', 106641),
(2967, 'Grudziadz', 'POL', 'Kujawsko-Pomorskie', 102434),
(2968, 'Slupsk', 'POL', 'Pomorskie', 102370),
(2969, 'Jastrzebie-Zdrój', 'POL', 'Slaskie', 102294),
(2970, 'Jaworzno', 'POL', 'Slaskie', 97929),
(2971, 'Jelenia Góra', 'POL', 'Dolnoslaskie', 93901),
(2972, 'Malabo', 'GNQ', 'Bioko', 40000),
(2973, 'Doha', 'QAT', 'Doha', 355000),
(2974, 'Paris', 'FRA', 'Île-de-France', 2125246),
(2975, 'Marseille', 'FRA', 'Provence-Alpes-Côte', 798430),
(2976, 'Lyon', 'FRA', 'Rhône-Alpes', 445452),
(2977, 'Toulouse', 'FRA', 'Midi-Pyrénées', 390350),
(2978, 'Nice', 'FRA', 'Provence-Alpes-Côte', 342738),
(2979, 'Nantes', 'FRA', 'Pays de la Loire', 270251),
(2980, 'Strasbourg', 'FRA', 'Alsace', 264115),
(2981, 'Montpellier', 'FRA', 'Languedoc-Roussillon', 225392),
(2982, 'Bordeaux', 'FRA', 'Aquitaine', 215363),
(2983, 'Rennes', 'FRA', 'Haute-Normandie', 206229),
(2984, 'Le Havre', 'FRA', 'Champagne-Ardenne', 190905),
(2985, 'Reims', 'FRA', 'Nord-Pas-de-Calais', 187206),
(2986, 'Lille', 'FRA', 'Rhône-Alpes', 184657),
(2987, 'St-Étienne', 'FRA', 'Bretagne', 180210),
(2988, 'Toulon', 'FRA', 'Provence-Alpes-Côte', 160639),
(2989, 'Grenoble', 'FRA', 'Rhône-Alpes', 153317),
(2990, 'Angers', 'FRA', 'Pays de la Loire', 151279),
(2991, 'Dijon', 'FRA', 'Bourgogne', 149867),
(2992, 'Brest', 'FRA', 'Bretagne', 149634),
(2993, 'Le Mans', 'FRA', 'Pays de la Loire', 146105),
(2994, 'Clermont-Ferrand', 'FRA', 'Auvergne', 137140),
(2995, 'Amiens', 'FRA', 'Picardie', 135501),
(2996, 'Aix-en-Provence', 'FRA', 'Provence-Alpes-Côte', 134222),
(2997, 'Limoges', 'FRA', 'Limousin', 133968),
(2998, 'Nîmes', 'FRA', 'Languedoc-Roussillon', 133424),
(2999, 'Tours', 'FRA', 'Centre', 132820),
(3000, 'Villeurbanne', 'FRA', 'Rhône-Alpes', 124215),
(3001, 'Metz', 'FRA', 'Lorraine', 123776),
(3002, 'Besançon', 'FRA', 'Franche-Comté', 117733),
(3003, 'Caen', 'FRA', 'Basse-Normandie', 113987),
(3004, 'Orléans', 'FRA', 'Centre', 113126),
(3005, 'Mulhouse', 'FRA', 'Alsace', 110359),
(3006, 'Rouen', 'FRA', 'Haute-Normandie', 106592),
(3007, 'Boulogne-Billancourt', 'FRA', 'Île-de-France', 106367),
(3008, 'Perpignan', 'FRA', 'Languedoc-Roussillon', 105115),
(3009, 'Nancy', 'FRA', 'Lorraine', 103605),
(3010, 'Roubaix', 'FRA', 'Nord-Pas-de-Calais', 96984),
(3011, 'Argenteuil', 'FRA', 'Île-de-France', 93961),
(3012, 'Tourcoing', 'FRA', 'Nord-Pas-de-Calais', 93540),
(3013, 'Montreuil', 'FRA', 'Île-de-France', 90674),
(3014, 'Cayenne', 'GUF', 'Cayenne', 50699),
(3015, 'Faaa', 'PYF', 'Tahiti', 25888),
(3016, 'Papeete', 'PYF', 'Tahiti', 25553),
(3017, 'Saint-Denis', 'REU', 'Saint-Denis', 131480),
(3018, 'Bucuresti', 'ROM', 'Bukarest', 2016131),
(3019, 'Iasi', 'ROM', 'Iasi', 348070),
(3020, 'Constanta', 'ROM', 'Constanta', 342264),
(3021, 'Cluj-Napoca', 'ROM', 'Cluj', 332498),
(3022, 'Galati', 'ROM', 'Galati', 330276),
(3023, 'Timisoara', 'ROM', 'Timis', 324304),
(3024, 'Brasov', 'ROM', 'Brasov', 314225),
(3025, 'Craiova', 'ROM', 'Dolj', 313530),
(3026, 'Ploiesti', 'ROM', 'Prahova', 251348),
(3027, 'Braila', 'ROM', 'Braila', 233756),
(3028, 'Oradea', 'ROM', 'Bihor', 222239),
(3029, 'Bacau', 'ROM', 'Bacau', 209235),
(3030, 'Pitesti', 'ROM', 'Arges', 187170),
(3031, 'Arad', 'ROM', 'Arad', 184408),
(3032, 'Sibiu', 'ROM', 'Sibiu', 169611),
(3033, 'Târgu Mures', 'ROM', 'Mures', 165153),
(3034, 'Baia Mare', 'ROM', 'Maramures', 149665),
(3035, 'Buzau', 'ROM', 'Buzau', 148372),
(3036, 'Satu Mare', 'ROM', 'Satu Mare', 130059),
(3037, 'Botosani', 'ROM', 'Botosani', 128730),
(3038, 'Piatra Neamt', 'ROM', 'Neamt', 125070),
(3039, 'Râmnicu Vâlcea', 'ROM', 'Vâlcea', 119741),
(3040, 'Suceava', 'ROM', 'Suceava', 118549),
(3041, 'Drobeta-Turnu Severin', 'ROM', 'Mehedinti', 117865),
(3042, 'Târgoviste', 'ROM', 'Dâmbovita', 98980),
(3043, 'Focsani', 'ROM', 'Vrancea', 98979),
(3044, 'Târgu Jiu', 'ROM', 'Gorj', 98524),
(3045, 'Tulcea', 'ROM', 'Tulcea', 96278),
(3046, 'Resita', 'ROM', 'Caras-Severin', 93976),
(3047, 'Kigali', 'RWA', 'Kigali', 286000),
(3048, 'Stockholm', 'SWE', 'Lisboa', 750348),
(3049, 'Gothenburg [Göteborg]', 'SWE', 'West Götanmaan län', 466990),
(3050, 'Malmö', 'SWE', 'Skåne län', 259579),
(3051, 'Uppsala', 'SWE', 'Uppsala län', 189569),
(3052, 'Linköping', 'SWE', 'East Götanmaan län', 133168),
(3053, 'Västerås', 'SWE', 'Västmanlands län', 126328),
(3054, 'Örebro', 'SWE', 'Örebros län', 124207),
(3055, 'Norrköping', 'SWE', 'East Götanmaan län', 122199),
(3056, 'Helsingborg', 'SWE', 'Skåne län', 117737),
(3057, 'Jönköping', 'SWE', 'Jönköpings län', 117095),
(3058, 'Umeå', 'SWE', 'Västerbottens län', 104512),
(3059, 'Lund', 'SWE', 'Skåne län', 98948),
(3060, 'Borås', 'SWE', 'West Götanmaan län', 96883),
(3061, 'Sundsvall', 'SWE', 'Västernorrlands län', 93126),
(3062, 'Gävle', 'SWE', 'Gävleborgs län', 90742),
(3063, 'Jamestown', 'SHN', 'Saint Helena', 1500),
(3064, 'Basseterre', 'KNA', 'St George Basseterre', 11600),
(3065, 'Castries', 'LCA', 'Castries', 2301),
(3066, 'Kingstown', 'VCT', 'St George', 17100),
(3067, 'Saint-Pierre', 'SPM', 'Saint-Pierre', 5808),
(3068, 'Berlin', 'DEU', 'Berliini', 3386667),
(3069, 'Hamburg', 'DEU', 'Hamburg', 1704735),
(3070, 'Munich [München]', 'DEU', 'Baijeri', 1194560),
(3071, 'Köln', 'DEU', 'Nordrhein-Westfalen', 962507),
(3072, 'Frankfurt am Main', 'DEU', 'Hessen', 643821),
(3073, 'Essen', 'DEU', 'Nordrhein-Westfalen', 599515),
(3074, 'Dortmund', 'DEU', 'Nordrhein-Westfalen', 590213),
(3075, 'Stuttgart', 'DEU', 'Baden-Württemberg', 582443),
(3076, 'Düsseldorf', 'DEU', 'Nordrhein-Westfalen', 568855),
(3077, 'Bremen', 'DEU', 'Bremen', 540330),
(3078, 'Duisburg', 'DEU', 'Nordrhein-Westfalen', 519793),
(3079, 'Hannover', 'DEU', 'Niedersachsen', 514718),
(3080, 'Leipzig', 'DEU', 'Saksi', 489532),
(3081, 'Nürnberg', 'DEU', 'Baijeri', 486628),
(3082, 'Dresden', 'DEU', 'Saksi', 476668),
(3083, 'Bochum', 'DEU', 'Nordrhein-Westfalen', 392830),
(3084, 'Wuppertal', 'DEU', 'Nordrhein-Westfalen', 368993),
(3085, 'Bielefeld', 'DEU', 'Nordrhein-Westfalen', 321125),
(3086, 'Mannheim', 'DEU', 'Baden-Württemberg', 307730),
(3087, 'Bonn', 'DEU', 'Nordrhein-Westfalen', 301048),
(3088, 'Gelsenkirchen', 'DEU', 'Nordrhein-Westfalen', 281979),
(3089, 'Karlsruhe', 'DEU', 'Baden-Württemberg', 277204),
(3090, 'Wiesbaden', 'DEU', 'Hessen', 268716),
(3091, 'Münster', 'DEU', 'Nordrhein-Westfalen', 264670),
(3092, 'Mönchengladbach', 'DEU', 'Nordrhein-Westfalen', 263697),
(3093, 'Chemnitz', 'DEU', 'Saksi', 263222),
(3094, 'Augsburg', 'DEU', 'Baijeri', 254867),
(3095, 'Halle/Saale', 'DEU', 'Anhalt Sachsen', 254360),
(3096, 'Braunschweig', 'DEU', 'Niedersachsen', 246322),
(3097, 'Aachen', 'DEU', 'Nordrhein-Westfalen', 243825),
(3098, 'Krefeld', 'DEU', 'Nordrhein-Westfalen', 241769),
(3099, 'Magdeburg', 'DEU', 'Anhalt Sachsen', 235073),
(3100, 'Kiel', 'DEU', 'Schleswig-Holstein', 233795),
(3101, 'Oberhausen', 'DEU', 'Nordrhein-Westfalen', 222349),
(3102, 'Lübeck', 'DEU', 'Schleswig-Holstein', 213326),
(3103, 'Hagen', 'DEU', 'Nordrhein-Westfalen', 205201),
(3104, 'Rostock', 'DEU', 'Mecklenburg-Vorpomme', 203279),
(3105, 'Freiburg im Breisgau', 'DEU', 'Baden-Württemberg', 202455),
(3106, 'Erfurt', 'DEU', 'Thüringen', 201267),
(3107, 'Kassel', 'DEU', 'Hessen', 196211),
(3108, 'Saarbrücken', 'DEU', 'Saarland', 183836),
(3109, 'Mainz', 'DEU', 'Rheinland-Pfalz', 183134),
(3110, 'Hamm', 'DEU', 'Nordrhein-Westfalen', 181804),
(3111, 'Herne', 'DEU', 'Nordrhein-Westfalen', 175661),
(3112, 'Mülheim an der Ruhr', 'DEU', 'Nordrhein-Westfalen', 173895),
(3113, 'Solingen', 'DEU', 'Nordrhein-Westfalen', 165583),
(3114, 'Osnabrück', 'DEU', 'Niedersachsen', 164539),
(3115, 'Ludwigshafen am Rhein', 'DEU', 'Rheinland-Pfalz', 163771),
(3116, 'Leverkusen', 'DEU', 'Nordrhein-Westfalen', 160841),
(3117, 'Oldenburg', 'DEU', 'Niedersachsen', 154125),
(3118, 'Neuss', 'DEU', 'Nordrhein-Westfalen', 149702),
(3119, 'Heidelberg', 'DEU', 'Baden-Württemberg', 139672),
(3120, 'Darmstadt', 'DEU', 'Hessen', 137776),
(3121, 'Paderborn', 'DEU', 'Nordrhein-Westfalen', 137647),
(3122, 'Potsdam', 'DEU', 'Brandenburg', 128983),
(3123, 'Würzburg', 'DEU', 'Baijeri', 127350),
(3124, 'Regensburg', 'DEU', 'Baijeri', 125236),
(3125, 'Recklinghausen', 'DEU', 'Nordrhein-Westfalen', 125022),
(3126, 'Göttingen', 'DEU', 'Niedersachsen', 124775),
(3127, 'Bremerhaven', 'DEU', 'Bremen', 122735),
(3128, 'Wolfsburg', 'DEU', 'Niedersachsen', 121954),
(3129, 'Bottrop', 'DEU', 'Nordrhein-Westfalen', 121097),
(3130, 'Remscheid', 'DEU', 'Nordrhein-Westfalen', 120125),
(3131, 'Heilbronn', 'DEU', 'Baden-Württemberg', 119526),
(3132, 'Pforzheim', 'DEU', 'Baden-Württemberg', 117227),
(3133, 'Offenbach am Main', 'DEU', 'Hessen', 116627),
(3134, 'Ulm', 'DEU', 'Baden-Württemberg', 116103),
(3135, 'Ingolstadt', 'DEU', 'Baijeri', 114826),
(3136, 'Gera', 'DEU', 'Thüringen', 114718),
(3137, 'Salzgitter', 'DEU', 'Niedersachsen', 112934),
(3138, 'Cottbus', 'DEU', 'Brandenburg', 110894),
(3139, 'Reutlingen', 'DEU', 'Baden-Württemberg', 110343),
(3140, 'Fürth', 'DEU', 'Baijeri', 109771),
(3141, 'Siegen', 'DEU', 'Nordrhein-Westfalen', 109225),
(3142, 'Koblenz', 'DEU', 'Rheinland-Pfalz', 108003),
(3143, 'Moers', 'DEU', 'Nordrhein-Westfalen', 106837),
(3144, 'Bergisch Gladbach', 'DEU', 'Nordrhein-Westfalen', 106150),
(3145, 'Zwickau', 'DEU', 'Saksi', 104146),
(3146, 'Hildesheim', 'DEU', 'Niedersachsen', 104013),
(3147, 'Witten', 'DEU', 'Nordrhein-Westfalen', 103384),
(3148, 'Schwerin', 'DEU', 'Mecklenburg-Vorpomme', 102878),
(3149, 'Erlangen', 'DEU', 'Baijeri', 100750),
(3150, 'Kaiserslautern', 'DEU', 'Rheinland-Pfalz', 100025),
(3151, 'Trier', 'DEU', 'Rheinland-Pfalz', 99891),
(3152, 'Jena', 'DEU', 'Thüringen', 99779),
(3153, 'Iserlohn', 'DEU', 'Nordrhein-Westfalen', 99474),
(3154, 'Gütersloh', 'DEU', 'Nordrhein-Westfalen', 95028),
(3155, 'Marl', 'DEU', 'Nordrhein-Westfalen', 93735),
(3156, 'Lünen', 'DEU', 'Nordrhein-Westfalen', 92044),
(3157, 'Düren', 'DEU', 'Nordrhein-Westfalen', 91092),
(3158, 'Ratingen', 'DEU', 'Nordrhein-Westfalen', 90951),
(3159, 'Velbert', 'DEU', 'Nordrhein-Westfalen', 89881),
(3160, 'Esslingen am Neckar', 'DEU', 'Baden-Württemberg', 89667),
(3161, 'Honiara', 'SLB', 'Honiara', 50100),
(3162, 'Lusaka', 'ZMB', 'Lusaka', 1317000),
(3163, 'Ndola', 'ZMB', 'Copperbelt', 329200),
(3164, 'Kitwe', 'ZMB', 'Copperbelt', 288600),
(3165, 'Kabwe', 'ZMB', 'Central', 154300),
(3166, 'Chingola', 'ZMB', 'Copperbelt', 142400),
(3167, 'Mufulira', 'ZMB', 'Copperbelt', 123900),
(3168, 'Luanshya', 'ZMB', 'Copperbelt', 118100),
(3169, 'Apia', 'WSM', 'Upolu', 35900),
(3170, 'Serravalle', 'SMR', 'Serravalle/Dogano', 4802),
(3171, 'San Marino', 'SMR', 'San Marino', 2294),
(3172, 'São Tomé', 'STP', 'Aqua Grande', 49541),
(3173, 'Riyadh', 'SAU', 'Riyadh', 3324000),
(3174, 'Jeddah', 'SAU', 'Mekka', 2046300),
(3175, 'Mekka', 'SAU', 'Mekka', 965700),
(3176, 'Medina', 'SAU', 'Medina', 608300),
(3177, 'al-Dammam', 'SAU', 'al-Sharqiya', 482300),
(3178, 'al-Taif', 'SAU', 'Mekka', 416100),
(3179, 'Tabuk', 'SAU', 'Tabuk', 292600),
(3180, 'Burayda', 'SAU', 'al-Qasim', 248600),
(3181, 'al-Hufuf', 'SAU', 'al-Sharqiya', 225800),
(3182, 'al-Mubarraz', 'SAU', 'al-Sharqiya', 219100),
(3183, 'Khamis Mushayt', 'SAU', 'Asir', 217900),
(3184, 'Hail', 'SAU', 'Hail', 176800),
(3185, 'al-Kharj', 'SAU', 'Riad', 152100),
(3186, 'al-Khubar', 'SAU', 'al-Sharqiya', 141700),
(3187, 'Jubayl', 'SAU', 'al-Sharqiya', 140800),
(3188, 'Hafar al-Batin', 'SAU', 'al-Sharqiya', 137800),
(3189, 'al-Tuqba', 'SAU', 'al-Sharqiya', 125700),
(3190, 'Yanbu', 'SAU', 'Medina', 119800),
(3191, 'Abha', 'SAU', 'Asir', 112300),
(3192, 'Ara´ar', 'SAU', 'al-Khudud al-Samaliy', 108100),
(3193, 'al-Qatif', 'SAU', 'al-Sharqiya', 98900),
(3194, 'al-Hawiya', 'SAU', 'Mekka', 93900),
(3195, 'Unayza', 'SAU', 'Qasim', 91100),
(3196, 'Najran', 'SAU', 'Najran', 91000),
(3197, 'Pikine', 'SEN', 'Cap-Vert', 855287),
(3198, 'Dakar', 'SEN', 'Cap-Vert', 785071),
(3199, 'Thiès', 'SEN', 'Thiès', 248000),
(3200, 'Kaolack', 'SEN', 'Kaolack', 199000),
(3201, 'Ziguinchor', 'SEN', 'Ziguinchor', 192000),
(3202, 'Rufisque', 'SEN', 'Cap-Vert', 150000),
(3203, 'Saint-Louis', 'SEN', 'Saint-Louis', 132400),
(3204, 'Mbour', 'SEN', 'Thiès', 109300),
(3205, 'Diourbel', 'SEN', 'Diourbel', 99400),
(3206, 'Victoria', 'SYC', 'Mahé', 41000),
(3207, 'Freetown', 'SLE', 'Western', 850000),
(3208, 'Singapore', 'SGP', '–', 4017733),
(3209, 'Bratislava', 'SVK', 'Bratislava', 448292),
(3210, 'Košice', 'SVK', 'Východné Slovensko', 241874),
(3211, 'Prešov', 'SVK', 'Východné Slovensko', 93977),
(3212, 'Ljubljana', 'SVN', 'Osrednjeslovenska', 270986),
(3213, 'Maribor', 'SVN', 'Podravska', 115532),
(3214, 'Mogadishu', 'SOM', 'Banaadir', 997000),
(3215, 'Hargeysa', 'SOM', 'Woqooyi Galbeed', 90000),
(3216, 'Kismaayo', 'SOM', 'Jubbada Hoose', 90000),
(3217, 'Colombo', 'LKA', 'Western', 645000),
(3218, 'Dehiwala', 'LKA', 'Western', 203000),
(3219, 'Moratuwa', 'LKA', 'Western', 190000),
(3220, 'Jaffna', 'LKA', 'Northern', 149000),
(3221, 'Kandy', 'LKA', 'Central', 140000),
(3222, 'Sri Jayawardenepura Kotte', 'LKA', 'Western', 118000),
(3223, 'Negombo', 'LKA', 'Western', 100000),
(3224, 'Omdurman', 'SDN', 'Khartum', 1271403),
(3225, 'Khartum', 'SDN', 'Khartum', 947483),
(3226, 'Sharq al-Nil', 'SDN', 'Khartum', 700887),
(3227, 'Port Sudan', 'SDN', 'al-Bahr al-Ahmar', 308195),
(3228, 'Kassala', 'SDN', 'Kassala', 234622),
(3229, 'Obeid', 'SDN', 'Kurdufan al-Shamaliy', 229425),
(3230, 'Nyala', 'SDN', 'Darfur al-Janubiya', 227183),
(3231, 'Wad Madani', 'SDN', 'al-Jazira', 211362),
(3232, 'al-Qadarif', 'SDN', 'al-Qadarif', 191164),
(3233, 'Kusti', 'SDN', 'al-Bahr al-Abyad', 173599),
(3234, 'al-Fashir', 'SDN', 'Darfur al-Shamaliya', 141884),
(3235, 'Juba', 'SDN', 'Bahr al-Jabal', 114980),
(3236, 'Helsinki [Helsingfors]', 'FIN', 'Newmaa', 555474),
(3237, 'Espoo', 'FIN', 'Newmaa', 213271),
(3238, 'Tampere', 'FIN', 'Pirkanmaa', 195468),
(3239, 'Vantaa', 'FIN', 'Newmaa', 178471),
(3240, 'Turku [Åbo]', 'FIN', 'Varsinais-Suomi', 172561),
(3241, 'Oulu', 'FIN', 'Pohjois-Pohjanmaa', 120753),
(3242, 'Lahti', 'FIN', 'Päijät-Häme', 96921);
INSERT INTO `tbl_all_cities` (`ID`, `Name`, `CountryCode`, `District`, `Population`) VALUES
(3243, 'Paramaribo', 'SUR', 'Paramaribo', 112000),
(3244, 'Mbabane', 'SWZ', 'Hhohho', 61000),
(3245, 'Zürich', 'CHE', 'Zürich', 336800),
(3246, 'Geneve', 'CHE', 'Geneve', 173500),
(3247, 'Basel', 'CHE', 'Basel-Stadt', 166700),
(3248, 'Bern', 'CHE', 'Bern', 122700),
(3249, 'Lausanne', 'CHE', 'Vaud', 114500),
(3250, 'Damascus', 'SYR', 'Damascus', 1347000),
(3251, 'Aleppo', 'SYR', 'Aleppo', 1261983),
(3252, 'Hims', 'SYR', 'Hims', 507404),
(3253, 'Hama', 'SYR', 'Hama', 343361),
(3254, 'Latakia', 'SYR', 'Latakia', 264563),
(3255, 'al-Qamishliya', 'SYR', 'al-Hasaka', 144286),
(3256, 'Dayr al-Zawr', 'SYR', 'Dayr al-Zawr', 140459),
(3257, 'Jaramana', 'SYR', 'Damaskos', 138469),
(3258, 'Duma', 'SYR', 'Damaskos', 131158),
(3259, 'al-Raqqa', 'SYR', 'al-Raqqa', 108020),
(3260, 'Idlib', 'SYR', 'Idlib', 91081),
(3261, 'Dushanbe', 'TJK', 'Karotegin', 524000),
(3262, 'Khujand', 'TJK', 'Khujand', 161500),
(3263, 'Taipei', 'TWN', 'Taipei', 2641312),
(3264, 'Kaohsiung', 'TWN', 'Kaohsiung', 1475505),
(3265, 'Taichung', 'TWN', 'Taichung', 940589),
(3266, 'Tainan', 'TWN', 'Tainan', 728060),
(3267, 'Panchiao', 'TWN', 'Taipei', 523850),
(3268, 'Chungho', 'TWN', 'Taipei', 392176),
(3269, 'Keelung (Chilung)', 'TWN', 'Keelung', 385201),
(3270, 'Sanchung', 'TWN', 'Taipei', 380084),
(3271, 'Hsinchuang', 'TWN', 'Taipei', 365048),
(3272, 'Hsinchu', 'TWN', 'Hsinchu', 361958),
(3273, 'Chungli', 'TWN', 'Taoyuan', 318649),
(3274, 'Fengshan', 'TWN', 'Kaohsiung', 318562),
(3275, 'Taoyuan', 'TWN', 'Taoyuan', 316438),
(3276, 'Chiayi', 'TWN', 'Chiayi', 265109),
(3277, 'Hsintien', 'TWN', 'Taipei', 263603),
(3278, 'Changhwa', 'TWN', 'Changhwa', 227715),
(3279, 'Yungho', 'TWN', 'Taipei', 227700),
(3280, 'Tucheng', 'TWN', 'Taipei', 224897),
(3281, 'Pingtung', 'TWN', 'Pingtung', 214727),
(3282, 'Yungkang', 'TWN', 'Tainan', 193005),
(3283, 'Pingchen', 'TWN', 'Taoyuan', 188344),
(3284, 'Tali', 'TWN', 'Taichung', 171940),
(3285, 'Taiping', 'TWN', '', 165524),
(3286, 'Pate', 'TWN', 'Taoyuan', 161700),
(3287, 'Fengyuan', 'TWN', 'Taichung', 161032),
(3288, 'Luchou', 'TWN', 'Taipei', 160516),
(3289, 'Hsichuh', 'TWN', 'Taipei', 154976),
(3290, 'Shulin', 'TWN', 'Taipei', 151260),
(3291, 'Yuanlin', 'TWN', 'Changhwa', 126402),
(3292, 'Yangmei', 'TWN', 'Taoyuan', 126323),
(3293, 'Taliao', 'TWN', '', 115897),
(3294, 'Kueishan', 'TWN', '', 112195),
(3295, 'Tanshui', 'TWN', 'Taipei', 111882),
(3296, 'Taitung', 'TWN', 'Taitung', 111039),
(3297, 'Hualien', 'TWN', 'Hualien', 108407),
(3298, 'Nantou', 'TWN', 'Nantou', 104723),
(3299, 'Lungtan', 'TWN', 'Taipei', 103088),
(3300, 'Touliu', 'TWN', 'Yünlin', 98900),
(3301, 'Tsaotun', 'TWN', 'Nantou', 96800),
(3302, 'Kangshan', 'TWN', 'Kaohsiung', 92200),
(3303, 'Ilan', 'TWN', 'Ilan', 92000),
(3304, 'Miaoli', 'TWN', 'Miaoli', 90000),
(3305, 'Dar es Salaam', 'TZA', 'Dar es Salaam', 1747000),
(3306, 'Dodoma', 'TZA', 'Dodoma', 189000),
(3307, 'Mwanza', 'TZA', 'Mwanza', 172300),
(3308, 'Zanzibar', 'TZA', 'Zanzibar West', 157634),
(3309, 'Tanga', 'TZA', 'Tanga', 137400),
(3310, 'Mbeya', 'TZA', 'Mbeya', 130800),
(3311, 'Morogoro', 'TZA', 'Morogoro', 117800),
(3312, 'Arusha', 'TZA', 'Arusha', 102500),
(3313, 'Moshi', 'TZA', 'Kilimanjaro', 96800),
(3314, 'Tabora', 'TZA', 'Tabora', 92800),
(3315, 'København', 'DNK', 'København', 495699),
(3316, 'Århus', 'DNK', 'Århus', 284846),
(3317, 'Odense', 'DNK', 'Fyn', 183912),
(3318, 'Aalborg', 'DNK', 'Nordjylland', 161161),
(3319, 'Frederiksberg', 'DNK', 'Frederiksberg', 90327),
(3320, 'Bangkok', 'THA', 'Bangkok', 6320174),
(3321, 'Nonthaburi', 'THA', 'Nonthaburi', 292100),
(3322, 'Nakhon Ratchasima', 'THA', 'Nakhon Ratchasima', 181400),
(3323, 'Chiang Mai', 'THA', 'Chiang Mai', 171100),
(3324, 'Udon Thani', 'THA', 'Udon Thani', 158100),
(3325, 'Hat Yai', 'THA', 'Songkhla', 148632),
(3326, 'Khon Kaen', 'THA', 'Khon Kaen', 126500),
(3327, 'Pak Kret', 'THA', 'Nonthaburi', 126055),
(3328, 'Nakhon Sawan', 'THA', 'Nakhon Sawan', 123800),
(3329, 'Ubon Ratchathani', 'THA', 'Ubon Ratchathani', 116300),
(3330, 'Songkhla', 'THA', 'Songkhla', 94900),
(3331, 'Nakhon Pathom', 'THA', 'Nakhon Pathom', 94100),
(3332, 'Lomé', 'TGO', 'Maritime', 375000),
(3333, 'Fakaofo', 'TKL', 'Fakaofo', 300),
(3334, 'Nuku´alofa', 'TON', 'Tongatapu', 22400),
(3335, 'Chaguanas', 'TTO', 'Caroni', 56601),
(3336, 'Port-of-Spain', 'TTO', 'Port-of-Spain', 43396),
(3337, 'N´Djaména', 'TCD', 'Chari-Baguirmi', 530965),
(3338, 'Moundou', 'TCD', 'Logone Occidental', 99500),
(3339, 'Praha', 'CZE', 'Hlavní mesto Praha', 1181126),
(3340, 'Brno', 'CZE', 'Jizní Morava', 381862),
(3341, 'Ostrava', 'CZE', 'Severní Morava', 320041),
(3342, 'Plzen', 'CZE', 'Zapadní Cechy', 166759),
(3343, 'Olomouc', 'CZE', 'Severní Morava', 102702),
(3344, 'Liberec', 'CZE', 'Severní Cechy', 99155),
(3345, 'Ceské Budejovice', 'CZE', 'Jizní Cechy', 98186),
(3346, 'Hradec Králové', 'CZE', 'Východní Cechy', 98080),
(3347, 'Ústí nad Labem', 'CZE', 'Severní Cechy', 95491),
(3348, 'Pardubice', 'CZE', 'Východní Cechy', 91309),
(3349, 'Tunis', 'TUN', 'Tunis', 690600),
(3350, 'Sfax', 'TUN', 'Sfax', 257800),
(3351, 'Ariana', 'TUN', 'Ariana', 197000),
(3352, 'Ettadhamen', 'TUN', 'Ariana', 178600),
(3353, 'Sousse', 'TUN', 'Sousse', 145900),
(3354, 'Kairouan', 'TUN', 'Kairouan', 113100),
(3355, 'Biserta', 'TUN', 'Biserta', 108900),
(3356, 'Gabès', 'TUN', 'Gabès', 106600),
(3357, 'Istanbul', 'TUR', 'Istanbul', 8787958),
(3358, 'Ankara', 'TUR', 'Ankara', 3038159),
(3359, 'Izmir', 'TUR', 'Izmir', 2130359),
(3360, 'Adana', 'TUR', 'Adana', 1131198),
(3361, 'Bursa', 'TUR', 'Bursa', 1095842),
(3362, 'Gaziantep', 'TUR', 'Gaziantep', 789056),
(3363, 'Konya', 'TUR', 'Konya', 628364),
(3364, 'Mersin (Içel)', 'TUR', 'Içel', 587212),
(3365, 'Antalya', 'TUR', 'Antalya', 564914),
(3366, 'Diyarbakir', 'TUR', 'Diyarbakir', 479884),
(3367, 'Kayseri', 'TUR', 'Kayseri', 475657),
(3368, 'Eskisehir', 'TUR', 'Eskisehir', 470781),
(3369, 'Sanliurfa', 'TUR', 'Sanliurfa', 405905),
(3370, 'Samsun', 'TUR', 'Samsun', 339871),
(3371, 'Malatya', 'TUR', 'Malatya', 330312),
(3372, 'Gebze', 'TUR', 'Kocaeli', 264170),
(3373, 'Denizli', 'TUR', 'Denizli', 253848),
(3374, 'Sivas', 'TUR', 'Sivas', 246642),
(3375, 'Erzurum', 'TUR', 'Erzurum', 246535),
(3376, 'Tarsus', 'TUR', 'Adana', 246206),
(3377, 'Kahramanmaras', 'TUR', 'Kahramanmaras', 245772),
(3378, 'Elâzig', 'TUR', 'Elâzig', 228815),
(3379, 'Van', 'TUR', 'Van', 219319),
(3380, 'Sultanbeyli', 'TUR', 'Istanbul', 211068),
(3381, 'Izmit (Kocaeli)', 'TUR', 'Kocaeli', 210068),
(3382, 'Manisa', 'TUR', 'Manisa', 207148),
(3383, 'Batman', 'TUR', 'Batman', 203793),
(3384, 'Balikesir', 'TUR', 'Balikesir', 196382),
(3385, 'Sakarya (Adapazari)', 'TUR', 'Sakarya', 190641),
(3386, 'Iskenderun', 'TUR', 'Hatay', 153022),
(3387, 'Osmaniye', 'TUR', 'Osmaniye', 146003),
(3388, 'Çorum', 'TUR', 'Çorum', 145495),
(3389, 'Kütahya', 'TUR', 'Kütahya', 144761),
(3390, 'Hatay (Antakya)', 'TUR', 'Hatay', 143982),
(3391, 'Kirikkale', 'TUR', 'Kirikkale', 142044),
(3392, 'Adiyaman', 'TUR', 'Adiyaman', 141529),
(3393, 'Trabzon', 'TUR', 'Trabzon', 138234),
(3394, 'Ordu', 'TUR', 'Ordu', 133642),
(3395, 'Aydin', 'TUR', 'Aydin', 128651),
(3396, 'Usak', 'TUR', 'Usak', 128162),
(3397, 'Edirne', 'TUR', 'Edirne', 123383),
(3398, 'Çorlu', 'TUR', 'Tekirdag', 123300),
(3399, 'Isparta', 'TUR', 'Isparta', 121911),
(3400, 'Karabük', 'TUR', 'Karabük', 118285),
(3401, 'Kilis', 'TUR', 'Kilis', 118245),
(3402, 'Alanya', 'TUR', 'Antalya', 117300),
(3403, 'Kiziltepe', 'TUR', 'Mardin', 112000),
(3404, 'Zonguldak', 'TUR', 'Zonguldak', 111542),
(3405, 'Siirt', 'TUR', 'Siirt', 107100),
(3406, 'Viransehir', 'TUR', 'Sanliurfa', 106400),
(3407, 'Tekirdag', 'TUR', 'Tekirdag', 106077),
(3408, 'Karaman', 'TUR', 'Karaman', 104200),
(3409, 'Afyon', 'TUR', 'Afyon', 103984),
(3410, 'Aksaray', 'TUR', 'Aksaray', 102681),
(3411, 'Ceyhan', 'TUR', 'Adana', 102412),
(3412, 'Erzincan', 'TUR', 'Erzincan', 102304),
(3413, 'Bismil', 'TUR', 'Diyarbakir', 101400),
(3414, 'Nazilli', 'TUR', 'Aydin', 99900),
(3415, 'Tokat', 'TUR', 'Tokat', 99500),
(3416, 'Kars', 'TUR', 'Kars', 93000),
(3417, 'Inegöl', 'TUR', 'Bursa', 90500),
(3418, 'Bandirma', 'TUR', 'Balikesir', 90200),
(3419, 'Ashgabat', 'TKM', 'Ahal', 540600),
(3420, 'Chärjew', 'TKM', 'Lebap', 189200),
(3421, 'Dashhowuz', 'TKM', 'Dashhowuz', 141800),
(3422, 'Mary', 'TKM', 'Mary', 101000),
(3423, 'Cockburn Town', 'TCA', 'Grand Turk', 4800),
(3424, 'Funafuti', 'TUV', 'Funafuti', 4600),
(3425, 'Kampala', 'UGA', 'Central', 890800),
(3426, 'Kyiv', 'UKR', 'Kiova', 2624000),
(3427, 'Harkova [Harkiv]', 'UKR', 'Harkova', 1500000),
(3428, 'Dnipropetrovsk', 'UKR', 'Dnipropetrovsk', 1103000),
(3429, 'Donetsk', 'UKR', 'Donetsk', 1050000),
(3430, 'Odesa', 'UKR', 'Odesa', 1011000),
(3431, 'Zaporizzja', 'UKR', 'Zaporizzja', 848000),
(3432, 'Lviv', 'UKR', 'Lviv', 788000),
(3433, 'Kryvyi Rig', 'UKR', 'Dnipropetrovsk', 703000),
(3434, 'Mykolajiv', 'UKR', 'Mykolajiv', 508000),
(3435, 'Mariupol', 'UKR', 'Donetsk', 490000),
(3436, 'Lugansk', 'UKR', 'Lugansk', 469000),
(3437, 'Vinnytsja', 'UKR', 'Vinnytsja', 391000),
(3438, 'Makijivka', 'UKR', 'Donetsk', 384000),
(3439, 'Herson', 'UKR', 'Herson', 353000),
(3440, 'Sevastopol', 'UKR', 'Krim', 348000),
(3441, 'Simferopol', 'UKR', 'Krim', 339000),
(3442, 'Pultava [Poltava]', 'UKR', 'Pultava', 313000),
(3443, 'Tšernigiv', 'UKR', 'Tšernigiv', 313000),
(3444, 'Tšerkasy', 'UKR', 'Tšerkasy', 309000),
(3445, 'Gorlivka', 'UKR', 'Donetsk', 299000),
(3446, 'Zytomyr', 'UKR', 'Zytomyr', 297000),
(3447, 'Sumy', 'UKR', 'Sumy', 294000),
(3448, 'Dniprodzerzynsk', 'UKR', 'Dnipropetrovsk', 270000),
(3449, 'Kirovograd', 'UKR', 'Kirovograd', 265000),
(3450, 'Hmelnytskyi', 'UKR', 'Hmelnytskyi', 262000),
(3451, 'Tšernivtsi', 'UKR', 'Tšernivtsi', 259000),
(3452, 'Rivne', 'UKR', 'Rivne', 245000),
(3453, 'Krementšuk', 'UKR', 'Pultava', 239000),
(3454, 'Ivano-Frankivsk', 'UKR', 'Ivano-Frankivsk', 237000),
(3455, 'Ternopil', 'UKR', 'Ternopil', 236000),
(3456, 'Lutsk', 'UKR', 'Volynia', 217000),
(3457, 'Bila Tserkva', 'UKR', 'Kiova', 215000),
(3458, 'Kramatorsk', 'UKR', 'Donetsk', 186000),
(3459, 'Melitopol', 'UKR', 'Zaporizzja', 169000),
(3460, 'Kertš', 'UKR', 'Krim', 162000),
(3461, 'Nikopol', 'UKR', 'Dnipropetrovsk', 149000),
(3462, 'Berdjansk', 'UKR', 'Zaporizzja', 130000),
(3463, 'Pavlograd', 'UKR', 'Dnipropetrovsk', 127000),
(3464, 'Sjeverodonetsk', 'UKR', 'Lugansk', 127000),
(3465, 'Slovjansk', 'UKR', 'Donetsk', 127000),
(3466, 'Uzgorod', 'UKR', 'Taka-Karpatia', 127000),
(3467, 'Altševsk', 'UKR', 'Lugansk', 119000),
(3468, 'Lysytšansk', 'UKR', 'Lugansk', 116000),
(3469, 'Jevpatorija', 'UKR', 'Krim', 112000),
(3470, 'Kamjanets-Podilskyi', 'UKR', 'Hmelnytskyi', 109000),
(3471, 'Jenakijeve', 'UKR', 'Donetsk', 105000),
(3472, 'Krasnyi Lutš', 'UKR', 'Lugansk', 101000),
(3473, 'Stahanov', 'UKR', 'Lugansk', 101000),
(3474, 'Oleksandrija', 'UKR', 'Kirovograd', 99000),
(3475, 'Konotop', 'UKR', 'Sumy', 96000),
(3476, 'Kostjantynivka', 'UKR', 'Donetsk', 95000),
(3477, 'Berdytšiv', 'UKR', 'Zytomyr', 90000),
(3478, 'Izmajil', 'UKR', 'Odesa', 90000),
(3479, 'Šostka', 'UKR', 'Sumy', 90000),
(3480, 'Uman', 'UKR', 'Tšerkasy', 90000),
(3481, 'Brovary', 'UKR', 'Kiova', 89000),
(3482, 'Mukatševe', 'UKR', 'Taka-Karpatia', 89000),
(3483, 'Budapest', 'HUN', 'Budapest', 1811552),
(3484, 'Debrecen', 'HUN', 'Hajdú-Bihar', 203648),
(3485, 'Miskolc', 'HUN', 'Borsod-Abaúj-Zemplén', 172357),
(3486, 'Szeged', 'HUN', 'Csongrád', 158158),
(3487, 'Pécs', 'HUN', 'Baranya', 157332),
(3488, 'Györ', 'HUN', 'Györ-Moson-Sopron', 127119),
(3489, 'Nyiregyháza', 'HUN', 'Szabolcs-Szatmár-Ber', 112419),
(3490, 'Kecskemét', 'HUN', 'Bács-Kiskun', 105606),
(3491, 'Székesfehérvár', 'HUN', 'Fejér', 105119),
(3492, 'Montevideo', 'URY', 'Montevideo', 1236000),
(3493, 'Nouméa', 'NCL', '–', 76293),
(3494, 'Auckland', 'NZL', 'Auckland', 381800),
(3495, 'Christchurch', 'NZL', 'Canterbury', 324200),
(3496, 'Manukau', 'NZL', 'Auckland', 281800),
(3497, 'North Shore', 'NZL', 'Auckland', 187700),
(3498, 'Waitakere', 'NZL', 'Auckland', 170600),
(3499, 'Wellington', 'NZL', 'Wellington', 166700),
(3500, 'Dunedin', 'NZL', 'Dunedin', 119600),
(3501, 'Hamilton', 'NZL', 'Hamilton', 117100),
(3502, 'Lower Hutt', 'NZL', 'Wellington', 98100),
(3503, 'Toskent', 'UZB', 'Toskent Shahri', 2117500),
(3504, 'Namangan', 'UZB', 'Namangan', 370500),
(3505, 'Samarkand', 'UZB', 'Samarkand', 361800),
(3506, 'Andijon', 'UZB', 'Andijon', 318600),
(3507, 'Buhoro', 'UZB', 'Buhoro', 237100),
(3508, 'Karsi', 'UZB', 'Qashqadaryo', 194100),
(3509, 'Nukus', 'UZB', 'Karakalpakistan', 194100),
(3510, 'Kükon', 'UZB', 'Fargona', 190100),
(3511, 'Fargona', 'UZB', 'Fargona', 180500),
(3512, 'Circik', 'UZB', 'Toskent', 146400),
(3513, 'Margilon', 'UZB', 'Fargona', 140800),
(3514, 'Ürgenc', 'UZB', 'Khorazm', 138900),
(3515, 'Angren', 'UZB', 'Toskent', 128000),
(3516, 'Cizah', 'UZB', 'Cizah', 124800),
(3517, 'Navoi', 'UZB', 'Navoi', 116300),
(3518, 'Olmalik', 'UZB', 'Toskent', 114900),
(3519, 'Termiz', 'UZB', 'Surkhondaryo', 109500),
(3520, 'Minsk', 'BLR', 'Horad Minsk', 1674000),
(3521, 'Gomel', 'BLR', 'Gomel', 475000),
(3522, 'Mogiljov', 'BLR', 'Mogiljov', 356000),
(3523, 'Vitebsk', 'BLR', 'Vitebsk', 340000),
(3524, 'Grodno', 'BLR', 'Grodno', 302000),
(3525, 'Brest', 'BLR', 'Brest', 286000),
(3526, 'Bobruisk', 'BLR', 'Mogiljov', 221000),
(3527, 'Baranovitši', 'BLR', 'Brest', 167000),
(3528, 'Borisov', 'BLR', 'Minsk', 151000),
(3529, 'Pinsk', 'BLR', 'Brest', 130000),
(3530, 'Orša', 'BLR', 'Vitebsk', 124000),
(3531, 'Mozyr', 'BLR', 'Gomel', 110000),
(3532, 'Novopolotsk', 'BLR', 'Vitebsk', 106000),
(3533, 'Lida', 'BLR', 'Grodno', 101000),
(3534, 'Soligorsk', 'BLR', 'Minsk', 101000),
(3535, 'Molodetšno', 'BLR', 'Minsk', 97000),
(3536, 'Mata-Utu', 'WLF', 'Wallis', 1137),
(3537, 'Port-Vila', 'VUT', 'Shefa', 33700),
(3538, 'Città del Vaticano', 'VAT', '–', 455),
(3539, 'Caracas', 'VEN', 'Distrito Federal', 1975294),
(3540, 'Maracaíbo', 'VEN', 'Zulia', 1304776),
(3541, 'Barquisimeto', 'VEN', 'Lara', 877239),
(3542, 'Valencia', 'VEN', 'Carabobo', 794246),
(3543, 'Ciudad Guayana', 'VEN', 'Bolívar', 663713),
(3544, 'Petare', 'VEN', 'Miranda', 488868),
(3545, 'Maracay', 'VEN', 'Aragua', 444443),
(3546, 'Barcelona', 'VEN', 'Anzoátegui', 322267),
(3547, 'Maturín', 'VEN', 'Monagas', 319726),
(3548, 'San Cristóbal', 'VEN', 'Táchira', 319373),
(3549, 'Ciudad Bolívar', 'VEN', 'Bolívar', 301107),
(3550, 'Cumaná', 'VEN', 'Sucre', 293105),
(3551, 'Mérida', 'VEN', 'Mérida', 224887),
(3552, 'Cabimas', 'VEN', 'Zulia', 221329),
(3553, 'Barinas', 'VEN', 'Barinas', 217831),
(3554, 'Turmero', 'VEN', 'Aragua', 217499),
(3555, 'Baruta', 'VEN', 'Miranda', 207290),
(3556, 'Puerto Cabello', 'VEN', 'Carabobo', 187722),
(3557, 'Santa Ana de Coro', 'VEN', 'Falcón', 185766),
(3558, 'Los Teques', 'VEN', 'Miranda', 178784),
(3559, 'Punto Fijo', 'VEN', 'Falcón', 167215),
(3560, 'Guarenas', 'VEN', 'Miranda', 165889),
(3561, 'Acarigua', 'VEN', 'Portuguesa', 158954),
(3562, 'Puerto La Cruz', 'VEN', 'Anzoátegui', 155700),
(3563, 'Ciudad Losada', 'VEN', '', 134501),
(3564, 'Guacara', 'VEN', 'Carabobo', 131334),
(3565, 'Valera', 'VEN', 'Trujillo', 130281),
(3566, 'Guanare', 'VEN', 'Portuguesa', 125621),
(3567, 'Carúpano', 'VEN', 'Sucre', 119639),
(3568, 'Catia La Mar', 'VEN', 'Distrito Federal', 117012),
(3569, 'El Tigre', 'VEN', 'Anzoátegui', 116256),
(3570, 'Guatire', 'VEN', 'Miranda', 109121),
(3571, 'Calabozo', 'VEN', 'Guárico', 107146),
(3572, 'Pozuelos', 'VEN', 'Anzoátegui', 105690),
(3573, 'Ciudad Ojeda', 'VEN', 'Zulia', 99354),
(3574, 'Ocumare del Tuy', 'VEN', 'Miranda', 97168),
(3575, 'Valle de la Pascua', 'VEN', 'Guárico', 95927),
(3576, 'Araure', 'VEN', 'Portuguesa', 94269),
(3577, 'San Fernando de Apure', 'VEN', 'Apure', 93809),
(3578, 'San Felipe', 'VEN', 'Yaracuy', 90940),
(3579, 'El Limón', 'VEN', 'Aragua', 90000),
(3580, 'Moscow', 'RUS', 'Moscow (City)', 8389200),
(3581, 'St Petersburg', 'RUS', 'Pietari', 4694000),
(3582, 'Novosibirsk', 'RUS', 'Novosibirsk', 1398800),
(3583, 'Nizni Novgorod', 'RUS', 'Nizni Novgorod', 1357000),
(3584, 'Jekaterinburg', 'RUS', 'Sverdlovsk', 1266300),
(3585, 'Samara', 'RUS', 'Samara', 1156100),
(3586, 'Omsk', 'RUS', 'Omsk', 1148900),
(3587, 'Kazan', 'RUS', 'Tatarstan', 1101000),
(3588, 'Ufa', 'RUS', 'Baškortostan', 1091200),
(3589, 'Tšeljabinsk', 'RUS', 'Tšeljabinsk', 1083200),
(3590, 'Rostov-na-Donu', 'RUS', 'Rostov-na-Donu', 1012700),
(3591, 'Perm', 'RUS', 'Perm', 1009700),
(3592, 'Volgograd', 'RUS', 'Volgograd', 993400),
(3593, 'Voronez', 'RUS', 'Voronez', 907700),
(3594, 'Krasnojarsk', 'RUS', 'Krasnojarsk', 875500),
(3595, 'Saratov', 'RUS', 'Saratov', 874000),
(3596, 'Toljatti', 'RUS', 'Samara', 722900),
(3597, 'Uljanovsk', 'RUS', 'Uljanovsk', 667400),
(3598, 'Izevsk', 'RUS', 'Udmurtia', 652800),
(3599, 'Krasnodar', 'RUS', 'Krasnodar', 639000),
(3600, 'Jaroslavl', 'RUS', 'Jaroslavl', 616700),
(3601, 'Habarovsk', 'RUS', 'Habarovsk', 609400),
(3602, 'Vladivostok', 'RUS', 'Primorje', 606200),
(3603, 'Irkutsk', 'RUS', 'Irkutsk', 593700),
(3604, 'Barnaul', 'RUS', 'Altai', 580100),
(3605, 'Novokuznetsk', 'RUS', 'Kemerovo', 561600),
(3606, 'Penza', 'RUS', 'Penza', 532200),
(3607, 'Rjazan', 'RUS', 'Rjazan', 529900),
(3608, 'Orenburg', 'RUS', 'Orenburg', 523600),
(3609, 'Lipetsk', 'RUS', 'Lipetsk', 521000),
(3610, 'Nabereznyje Tšelny', 'RUS', 'Tatarstan', 514700),
(3611, 'Tula', 'RUS', 'Tula', 506100),
(3612, 'Tjumen', 'RUS', 'Tjumen', 503400),
(3613, 'Kemerovo', 'RUS', 'Kemerovo', 492700),
(3614, 'Astrahan', 'RUS', 'Astrahan', 486100),
(3615, 'Tomsk', 'RUS', 'Tomsk', 482100),
(3616, 'Kirov', 'RUS', 'Kirov', 466200),
(3617, 'Ivanovo', 'RUS', 'Ivanovo', 459200),
(3618, 'Tšeboksary', 'RUS', 'Tšuvassia', 459200),
(3619, 'Brjansk', 'RUS', 'Brjansk', 457400),
(3620, 'Tver', 'RUS', 'Tver', 454900),
(3621, 'Kursk', 'RUS', 'Kursk', 443500),
(3622, 'Magnitogorsk', 'RUS', 'Tšeljabinsk', 427900),
(3623, 'Kaliningrad', 'RUS', 'Kaliningrad', 424400),
(3624, 'Nizni Tagil', 'RUS', 'Sverdlovsk', 390900),
(3625, 'Murmansk', 'RUS', 'Murmansk', 376300),
(3626, 'Ulan-Ude', 'RUS', 'Burjatia', 370400),
(3627, 'Kurgan', 'RUS', 'Kurgan', 364700),
(3628, 'Arkangeli', 'RUS', 'Arkangeli', 361800),
(3629, 'Sotši', 'RUS', 'Krasnodar', 358600),
(3630, 'Smolensk', 'RUS', 'Smolensk', 353400),
(3631, 'Orjol', 'RUS', 'Orjol', 344500),
(3632, 'Stavropol', 'RUS', 'Stavropol', 343300),
(3633, 'Belgorod', 'RUS', 'Belgorod', 342000),
(3634, 'Kaluga', 'RUS', 'Kaluga', 339300),
(3635, 'Vladimir', 'RUS', 'Vladimir', 337100),
(3636, 'Mahatškala', 'RUS', 'Dagestan', 332800),
(3637, 'Tšerepovets', 'RUS', 'Vologda', 324400),
(3638, 'Saransk', 'RUS', 'Mordva', 314800),
(3639, 'Tambov', 'RUS', 'Tambov', 312000),
(3640, 'Vladikavkaz', 'RUS', 'North Ossetia-Alania', 310100),
(3641, 'Tšita', 'RUS', 'Tšita', 309900),
(3642, 'Vologda', 'RUS', 'Vologda', 302500),
(3643, 'Veliki Novgorod', 'RUS', 'Novgorod', 299500),
(3644, 'Komsomolsk-na-Amure', 'RUS', 'Habarovsk', 291600),
(3645, 'Kostroma', 'RUS', 'Kostroma', 288100),
(3646, 'Volzski', 'RUS', 'Volgograd', 286900),
(3647, 'Taganrog', 'RUS', 'Rostov-na-Donu', 284400),
(3648, 'Petroskoi', 'RUS', 'Karjala', 282100),
(3649, 'Bratsk', 'RUS', 'Irkutsk', 277600),
(3650, 'Dzerzinsk', 'RUS', 'Nizni Novgorod', 277100),
(3651, 'Surgut', 'RUS', 'Hanti-Mansia', 274900),
(3652, 'Orsk', 'RUS', 'Orenburg', 273900),
(3653, 'Sterlitamak', 'RUS', 'Baškortostan', 265200),
(3654, 'Angarsk', 'RUS', 'Irkutsk', 264700),
(3655, 'Joškar-Ola', 'RUS', 'Marinmaa', 249200),
(3656, 'Rybinsk', 'RUS', 'Jaroslavl', 239600),
(3657, 'Prokopjevsk', 'RUS', 'Kemerovo', 237300),
(3658, 'Niznevartovsk', 'RUS', 'Hanti-Mansia', 233900),
(3659, 'Naltšik', 'RUS', 'Kabardi-Balkaria', 233400),
(3660, 'Syktyvkar', 'RUS', 'Komi', 229700),
(3661, 'Severodvinsk', 'RUS', 'Arkangeli', 229300),
(3662, 'Bijsk', 'RUS', 'Altai', 225000),
(3663, 'Niznekamsk', 'RUS', 'Tatarstan', 223400),
(3664, 'Blagoveštšensk', 'RUS', 'Amur', 222000),
(3665, 'Šahty', 'RUS', 'Rostov-na-Donu', 221800),
(3666, 'Staryi Oskol', 'RUS', 'Belgorod', 213800),
(3667, 'Zelenograd', 'RUS', 'Moscow (City)', 207100),
(3668, 'Balakovo', 'RUS', 'Saratov', 206000),
(3669, 'Novorossijsk', 'RUS', 'Krasnodar', 203300),
(3670, 'Pihkova', 'RUS', 'Pihkova', 201500),
(3671, 'Zlatoust', 'RUS', 'Tšeljabinsk', 196900),
(3672, 'Jakutsk', 'RUS', 'Saha (Jakutia)', 195400),
(3673, 'Podolsk', 'RUS', 'Moskova', 194300),
(3674, 'Petropavlovsk-Kamtšatski', 'RUS', 'Kamtšatka', 194100),
(3675, 'Kamensk-Uralski', 'RUS', 'Sverdlovsk', 190600),
(3676, 'Engels', 'RUS', 'Saratov', 189000),
(3677, 'Syzran', 'RUS', 'Samara', 186900),
(3678, 'Grozny', 'RUS', 'Tšetšenia', 186000),
(3679, 'Novotšerkassk', 'RUS', 'Rostov-na-Donu', 184400),
(3680, 'Berezniki', 'RUS', 'Perm', 181900),
(3681, 'Juzno-Sahalinsk', 'RUS', 'Sahalin', 179200),
(3682, 'Volgodonsk', 'RUS', 'Rostov-na-Donu', 178200),
(3683, 'Abakan', 'RUS', 'Hakassia', 169200),
(3684, 'Maikop', 'RUS', 'Adygea', 167300),
(3685, 'Miass', 'RUS', 'Tšeljabinsk', 166200),
(3686, 'Armavir', 'RUS', 'Krasnodar', 164900),
(3687, 'Ljubertsy', 'RUS', 'Moskova', 163900),
(3688, 'Rubtsovsk', 'RUS', 'Altai', 162600),
(3689, 'Kovrov', 'RUS', 'Vladimir', 159900),
(3690, 'Nahodka', 'RUS', 'Primorje', 157700),
(3691, 'Ussurijsk', 'RUS', 'Primorje', 157300),
(3692, 'Salavat', 'RUS', 'Baškortostan', 156800),
(3693, 'Mytištši', 'RUS', 'Moskova', 155700),
(3694, 'Kolomna', 'RUS', 'Moskova', 150700),
(3695, 'Elektrostal', 'RUS', 'Moskova', 147000),
(3696, 'Murom', 'RUS', 'Vladimir', 142400),
(3697, 'Kolpino', 'RUS', 'Pietari', 141200),
(3698, 'Norilsk', 'RUS', 'Krasnojarsk', 140800),
(3699, 'Almetjevsk', 'RUS', 'Tatarstan', 140700),
(3700, 'Novomoskovsk', 'RUS', 'Tula', 138100),
(3701, 'Dimitrovgrad', 'RUS', 'Uljanovsk', 137000),
(3702, 'Pervouralsk', 'RUS', 'Sverdlovsk', 136100),
(3703, 'Himki', 'RUS', 'Moskova', 133700),
(3704, 'Balašiha', 'RUS', 'Moskova', 132900),
(3705, 'Nevinnomyssk', 'RUS', 'Stavropol', 132600),
(3706, 'Pjatigorsk', 'RUS', 'Stavropol', 132500),
(3707, 'Korolev', 'RUS', 'Moskova', 132400),
(3708, 'Serpuhov', 'RUS', 'Moskova', 132000),
(3709, 'Odintsovo', 'RUS', 'Moskova', 127400),
(3710, 'Orehovo-Zujevo', 'RUS', 'Moskova', 124900),
(3711, 'Kamyšin', 'RUS', 'Volgograd', 124600),
(3712, 'Novotšeboksarsk', 'RUS', 'Tšuvassia', 123400),
(3713, 'Tšerkessk', 'RUS', 'Karatšai-Tšerkessia', 121700),
(3714, 'Atšinsk', 'RUS', 'Krasnojarsk', 121600),
(3715, 'Magadan', 'RUS', 'Magadan', 121000),
(3716, 'Mitšurinsk', 'RUS', 'Tambov', 120700),
(3717, 'Kislovodsk', 'RUS', 'Stavropol', 120400),
(3718, 'Jelets', 'RUS', 'Lipetsk', 119400),
(3719, 'Seversk', 'RUS', 'Tomsk', 118600),
(3720, 'Noginsk', 'RUS', 'Moskova', 117200),
(3721, 'Velikije Luki', 'RUS', 'Pihkova', 116300),
(3722, 'Novokuibyševsk', 'RUS', 'Samara', 116200),
(3723, 'Neftekamsk', 'RUS', 'Baškortostan', 115700),
(3724, 'Leninsk-Kuznetski', 'RUS', 'Kemerovo', 113800),
(3725, 'Oktjabrski', 'RUS', 'Baškortostan', 111500),
(3726, 'Sergijev Posad', 'RUS', 'Moskova', 111100),
(3727, 'Arzamas', 'RUS', 'Nizni Novgorod', 110700),
(3728, 'Kiseljovsk', 'RUS', 'Kemerovo', 110000),
(3729, 'Novotroitsk', 'RUS', 'Orenburg', 109600),
(3730, 'Obninsk', 'RUS', 'Kaluga', 108300),
(3731, 'Kansk', 'RUS', 'Krasnojarsk', 107400),
(3732, 'Glazov', 'RUS', 'Udmurtia', 106300),
(3733, 'Solikamsk', 'RUS', 'Perm', 106000),
(3734, 'Sarapul', 'RUS', 'Udmurtia', 105700),
(3735, 'Ust-Ilimsk', 'RUS', 'Irkutsk', 105200),
(3736, 'Štšolkovo', 'RUS', 'Moskova', 104900),
(3737, 'Mezduretšensk', 'RUS', 'Kemerovo', 104400),
(3738, 'Usolje-Sibirskoje', 'RUS', 'Irkutsk', 103500),
(3739, 'Elista', 'RUS', 'Kalmykia', 103300),
(3740, 'Novošahtinsk', 'RUS', 'Rostov-na-Donu', 101900),
(3741, 'Votkinsk', 'RUS', 'Udmurtia', 101700),
(3742, 'Kyzyl', 'RUS', 'Tyva', 101100),
(3743, 'Serov', 'RUS', 'Sverdlovsk', 100400),
(3744, 'Zelenodolsk', 'RUS', 'Tatarstan', 100200),
(3745, 'Zeleznodoroznyi', 'RUS', 'Moskova', 100100),
(3746, 'Kinešma', 'RUS', 'Ivanovo', 100000),
(3747, 'Kuznetsk', 'RUS', 'Penza', 98200),
(3748, 'Uhta', 'RUS', 'Komi', 98000),
(3749, 'Jessentuki', 'RUS', 'Stavropol', 97900),
(3750, 'Tobolsk', 'RUS', 'Tjumen', 97600),
(3751, 'Neftejugansk', 'RUS', 'Hanti-Mansia', 97400),
(3752, 'Bataisk', 'RUS', 'Rostov-na-Donu', 97300),
(3753, 'Nojabrsk', 'RUS', 'Yamalin Nenetsia', 97300),
(3754, 'Balašov', 'RUS', 'Saratov', 97100),
(3755, 'Zeleznogorsk', 'RUS', 'Kursk', 96900),
(3756, 'Zukovski', 'RUS', 'Moskova', 96500),
(3757, 'Anzero-Sudzensk', 'RUS', 'Kemerovo', 96100),
(3758, 'Bugulma', 'RUS', 'Tatarstan', 94100),
(3759, 'Zeleznogorsk', 'RUS', 'Krasnojarsk', 94000),
(3760, 'Novouralsk', 'RUS', 'Sverdlovsk', 93300),
(3761, 'Puškin', 'RUS', 'Pietari', 92900),
(3762, 'Vorkuta', 'RUS', 'Komi', 92600),
(3763, 'Derbent', 'RUS', 'Dagestan', 92300),
(3764, 'Kirovo-Tšepetsk', 'RUS', 'Kirov', 91600),
(3765, 'Krasnogorsk', 'RUS', 'Moskova', 91000),
(3766, 'Klin', 'RUS', 'Moskova', 90000),
(3767, 'Tšaikovski', 'RUS', 'Perm', 90000),
(3768, 'Novyi Urengoi', 'RUS', 'Yamalin Nenetsia', 89800),
(3769, 'Ho Chi Minh City', 'VNM', 'Ho Chi Minh City', 3980000),
(3770, 'Hanoi', 'VNM', 'Hanoi', 1410000),
(3771, 'Haiphong', 'VNM', 'Haiphong', 783133),
(3772, 'Da Nang', 'VNM', 'Quang Nam-Da Nang', 382674),
(3773, 'Biên Hoa', 'VNM', 'Dong Nai', 282095),
(3774, 'Nha Trang', 'VNM', 'Khanh Hoa', 221331),
(3775, 'Hue', 'VNM', 'Thua Thien-Hue', 219149),
(3776, 'Can Tho', 'VNM', 'Can Tho', 215587),
(3777, 'Cam Pha', 'VNM', 'Quang Binh', 209086),
(3778, 'Nam Dinh', 'VNM', 'Nam Ha', 171699),
(3779, 'Quy Nhon', 'VNM', 'Binh Dinh', 163385),
(3780, 'Vung Tau', 'VNM', 'Ba Ria-Vung Tau', 145145),
(3781, 'Rach Gia', 'VNM', 'Kien Giang', 141132),
(3782, 'Long Xuyen', 'VNM', 'An Giang', 132681),
(3783, 'Thai Nguyen', 'VNM', 'Bac Thai', 127643),
(3784, 'Hong Gai', 'VNM', 'Quang Ninh', 127484),
(3785, 'Phan Thiêt', 'VNM', 'Binh Thuan', 114236),
(3786, 'Cam Ranh', 'VNM', 'Khanh Hoa', 114041),
(3787, 'Vinh', 'VNM', 'Nghe An', 112455),
(3788, 'My Tho', 'VNM', 'Tien Giang', 108404),
(3789, 'Da Lat', 'VNM', 'Lam Dong', 106409),
(3790, 'Buon Ma Thuot', 'VNM', 'Dac Lac', 97044),
(3791, 'Tallinn', 'EST', 'Harjumaa', 403981),
(3792, 'Tartu', 'EST', 'Tartumaa', 101246),
(3793, 'New York', 'USA', 'New York', 8008278),
(3794, 'Los Angeles', 'USA', 'California', 3694820),
(3795, 'Chicago', 'USA', 'Illinois', 2896016),
(3796, 'Houston', 'USA', 'Texas', 1953631),
(3797, 'Philadelphia', 'USA', 'Pennsylvania', 1517550),
(3798, 'Phoenix', 'USA', 'Arizona', 1321045),
(3799, 'San Diego', 'USA', 'California', 1223400),
(3800, 'Dallas', 'USA', 'Texas', 1188580),
(3801, 'San Antonio', 'USA', 'Texas', 1144646),
(3802, 'Detroit', 'USA', 'Michigan', 951270),
(3803, 'San Jose', 'USA', 'California', 894943),
(3804, 'Indianapolis', 'USA', 'Indiana', 791926),
(3805, 'San Francisco', 'USA', 'California', 776733),
(3806, 'Jacksonville', 'USA', 'Florida', 735167),
(3807, 'Columbus', 'USA', 'Ohio', 711470),
(3808, 'Austin', 'USA', 'Texas', 656562),
(3809, 'Baltimore', 'USA', 'Maryland', 651154),
(3810, 'Memphis', 'USA', 'Tennessee', 650100),
(3811, 'Milwaukee', 'USA', 'Wisconsin', 596974),
(3812, 'Boston', 'USA', 'Massachusetts', 589141),
(3813, 'Washington', 'USA', 'District of Columbia', 572059),
(3814, 'Nashville-Davidson', 'USA', 'Tennessee', 569891),
(3815, 'El Paso', 'USA', 'Texas', 563662),
(3816, 'Seattle', 'USA', 'Washington', 563374),
(3817, 'Denver', 'USA', 'Colorado', 554636),
(3818, 'Charlotte', 'USA', 'North Carolina', 540828),
(3819, 'Fort Worth', 'USA', 'Texas', 534694),
(3820, 'Portland', 'USA', 'Oregon', 529121),
(3821, 'Oklahoma City', 'USA', 'Oklahoma', 506132),
(3822, 'Tucson', 'USA', 'Arizona', 486699),
(3823, 'New Orleans', 'USA', 'Louisiana', 484674),
(3824, 'Las Vegas', 'USA', 'Nevada', 478434),
(3825, 'Cleveland', 'USA', 'Ohio', 478403),
(3826, 'Long Beach', 'USA', 'California', 461522),
(3827, 'Albuquerque', 'USA', 'New Mexico', 448607),
(3828, 'Kansas City', 'USA', 'Missouri', 441545),
(3829, 'Fresno', 'USA', 'California', 427652),
(3830, 'Virginia Beach', 'USA', 'Virginia', 425257),
(3831, 'Atlanta', 'USA', 'Georgia', 416474),
(3832, 'Sacramento', 'USA', 'California', 407018),
(3833, 'Oakland', 'USA', 'California', 399484),
(3834, 'Mesa', 'USA', 'Arizona', 396375),
(3835, 'Tulsa', 'USA', 'Oklahoma', 393049),
(3836, 'Omaha', 'USA', 'Nebraska', 390007),
(3837, 'Minneapolis', 'USA', 'Minnesota', 382618),
(3838, 'Honolulu', 'USA', 'Hawaii', 371657),
(3839, 'Miami', 'USA', 'Florida', 362470),
(3840, 'Colorado Springs', 'USA', 'Colorado', 360890),
(3841, 'Saint Louis', 'USA', 'Missouri', 348189),
(3842, 'Wichita', 'USA', 'Kansas', 344284),
(3843, 'Santa Ana', 'USA', 'California', 337977),
(3844, 'Pittsburgh', 'USA', 'Pennsylvania', 334563),
(3845, 'Arlington', 'USA', 'Texas', 332969),
(3846, 'Cincinnati', 'USA', 'Ohio', 331285),
(3847, 'Anaheim', 'USA', 'California', 328014),
(3848, 'Toledo', 'USA', 'Ohio', 313619),
(3849, 'Tampa', 'USA', 'Florida', 303447),
(3850, 'Buffalo', 'USA', 'New York', 292648),
(3851, 'Saint Paul', 'USA', 'Minnesota', 287151),
(3852, 'Corpus Christi', 'USA', 'Texas', 277454),
(3853, 'Aurora', 'USA', 'Colorado', 276393),
(3854, 'Raleigh', 'USA', 'North Carolina', 276093),
(3855, 'Newark', 'USA', 'New Jersey', 273546),
(3856, 'Lexington-Fayette', 'USA', 'Kentucky', 260512),
(3857, 'Anchorage', 'USA', 'Alaska', 260283),
(3858, 'Louisville', 'USA', 'Kentucky', 256231),
(3859, 'Riverside', 'USA', 'California', 255166),
(3860, 'Saint Petersburg', 'USA', 'Florida', 248232),
(3861, 'Bakersfield', 'USA', 'California', 247057),
(3862, 'Stockton', 'USA', 'California', 243771),
(3863, 'Birmingham', 'USA', 'Alabama', 242820),
(3864, 'Jersey City', 'USA', 'New Jersey', 240055),
(3865, 'Norfolk', 'USA', 'Virginia', 234403),
(3866, 'Baton Rouge', 'USA', 'Louisiana', 227818),
(3867, 'Hialeah', 'USA', 'Florida', 226419),
(3868, 'Lincoln', 'USA', 'Nebraska', 225581),
(3869, 'Greensboro', 'USA', 'North Carolina', 223891),
(3870, 'Plano', 'USA', 'Texas', 222030),
(3871, 'Rochester', 'USA', 'New York', 219773),
(3872, 'Glendale', 'USA', 'Arizona', 218812),
(3873, 'Akron', 'USA', 'Ohio', 217074),
(3874, 'Garland', 'USA', 'Texas', 215768),
(3875, 'Madison', 'USA', 'Wisconsin', 208054),
(3876, 'Fort Wayne', 'USA', 'Indiana', 205727),
(3877, 'Fremont', 'USA', 'California', 203413),
(3878, 'Scottsdale', 'USA', 'Arizona', 202705),
(3879, 'Montgomery', 'USA', 'Alabama', 201568),
(3880, 'Shreveport', 'USA', 'Louisiana', 200145),
(3881, 'Augusta-Richmond County', 'USA', 'Georgia', 199775),
(3882, 'Lubbock', 'USA', 'Texas', 199564),
(3883, 'Chesapeake', 'USA', 'Virginia', 199184),
(3884, 'Mobile', 'USA', 'Alabama', 198915),
(3885, 'Des Moines', 'USA', 'Iowa', 198682),
(3886, 'Grand Rapids', 'USA', 'Michigan', 197800),
(3887, 'Richmond', 'USA', 'Virginia', 197790),
(3888, 'Yonkers', 'USA', 'New York', 196086),
(3889, 'Spokane', 'USA', 'Washington', 195629),
(3890, 'Glendale', 'USA', 'California', 194973),
(3891, 'Tacoma', 'USA', 'Washington', 193556),
(3892, 'Irving', 'USA', 'Texas', 191615),
(3893, 'Huntington Beach', 'USA', 'California', 189594),
(3894, 'Modesto', 'USA', 'California', 188856),
(3895, 'Durham', 'USA', 'North Carolina', 187035),
(3896, 'Columbus', 'USA', 'Georgia', 186291),
(3897, 'Orlando', 'USA', 'Florida', 185951),
(3898, 'Boise City', 'USA', 'Idaho', 185787),
(3899, 'Winston-Salem', 'USA', 'North Carolina', 185776),
(3900, 'San Bernardino', 'USA', 'California', 185401),
(3901, 'Jackson', 'USA', 'Mississippi', 184256),
(3902, 'Little Rock', 'USA', 'Arkansas', 183133),
(3903, 'Salt Lake City', 'USA', 'Utah', 181743),
(3904, 'Reno', 'USA', 'Nevada', 180480),
(3905, 'Newport News', 'USA', 'Virginia', 180150),
(3906, 'Chandler', 'USA', 'Arizona', 176581),
(3907, 'Laredo', 'USA', 'Texas', 176576),
(3908, 'Henderson', 'USA', 'Nevada', 175381),
(3909, 'Arlington', 'USA', 'Virginia', 174838),
(3910, 'Knoxville', 'USA', 'Tennessee', 173890),
(3911, 'Amarillo', 'USA', 'Texas', 173627),
(3912, 'Providence', 'USA', 'Rhode Island', 173618),
(3913, 'Chula Vista', 'USA', 'California', 173556),
(3914, 'Worcester', 'USA', 'Massachusetts', 172648),
(3915, 'Oxnard', 'USA', 'California', 170358),
(3916, 'Dayton', 'USA', 'Ohio', 166179),
(3917, 'Garden Grove', 'USA', 'California', 165196),
(3918, 'Oceanside', 'USA', 'California', 161029),
(3919, 'Tempe', 'USA', 'Arizona', 158625),
(3920, 'Huntsville', 'USA', 'Alabama', 158216),
(3921, 'Ontario', 'USA', 'California', 158007),
(3922, 'Chattanooga', 'USA', 'Tennessee', 155554),
(3923, 'Fort Lauderdale', 'USA', 'Florida', 152397),
(3924, 'Springfield', 'USA', 'Massachusetts', 152082),
(3925, 'Springfield', 'USA', 'Missouri', 151580),
(3926, 'Santa Clarita', 'USA', 'California', 151088),
(3927, 'Salinas', 'USA', 'California', 151060),
(3928, 'Tallahassee', 'USA', 'Florida', 150624),
(3929, 'Rockford', 'USA', 'Illinois', 150115),
(3930, 'Pomona', 'USA', 'California', 149473),
(3931, 'Metairie', 'USA', 'Louisiana', 149428),
(3932, 'Paterson', 'USA', 'New Jersey', 149222),
(3933, 'Overland Park', 'USA', 'Kansas', 149080),
(3934, 'Santa Rosa', 'USA', 'California', 147595),
(3935, 'Syracuse', 'USA', 'New York', 147306),
(3936, 'Kansas City', 'USA', 'Kansas', 146866),
(3937, 'Hampton', 'USA', 'Virginia', 146437),
(3938, 'Lakewood', 'USA', 'Colorado', 144126),
(3939, 'Vancouver', 'USA', 'Washington', 143560),
(3940, 'Irvine', 'USA', 'California', 143072),
(3941, 'Aurora', 'USA', 'Illinois', 142990),
(3942, 'Moreno Valley', 'USA', 'California', 142381),
(3943, 'Pasadena', 'USA', 'California', 141674),
(3944, 'Hayward', 'USA', 'California', 140030),
(3945, 'Brownsville', 'USA', 'Texas', 139722),
(3946, 'Bridgeport', 'USA', 'Connecticut', 139529),
(3947, 'Hollywood', 'USA', 'Florida', 139357),
(3948, 'Warren', 'USA', 'Michigan', 138247),
(3949, 'Torrance', 'USA', 'California', 137946),
(3950, 'Eugene', 'USA', 'Oregon', 137893),
(3951, 'Pembroke Pines', 'USA', 'Florida', 137427),
(3952, 'Salem', 'USA', 'Oregon', 136924),
(3953, 'Pasadena', 'USA', 'Texas', 133936),
(3954, 'Escondido', 'USA', 'California', 133559),
(3955, 'Sunnyvale', 'USA', 'California', 131760),
(3956, 'Savannah', 'USA', 'Georgia', 131510),
(3957, 'Fontana', 'USA', 'California', 128929),
(3958, 'Orange', 'USA', 'California', 128821),
(3959, 'Naperville', 'USA', 'Illinois', 128358),
(3960, 'Alexandria', 'USA', 'Virginia', 128283),
(3961, 'Rancho Cucamonga', 'USA', 'California', 127743),
(3962, 'Grand Prairie', 'USA', 'Texas', 127427),
(3963, 'East Los Angeles', 'USA', 'California', 126379),
(3964, 'Fullerton', 'USA', 'California', 126003),
(3965, 'Corona', 'USA', 'California', 124966),
(3966, 'Flint', 'USA', 'Michigan', 124943),
(3967, 'Paradise', 'USA', 'Nevada', 124682),
(3968, 'Mesquite', 'USA', 'Texas', 124523),
(3969, 'Sterling Heights', 'USA', 'Michigan', 124471),
(3970, 'Sioux Falls', 'USA', 'South Dakota', 123975),
(3971, 'New Haven', 'USA', 'Connecticut', 123626),
(3972, 'Topeka', 'USA', 'Kansas', 122377),
(3973, 'Concord', 'USA', 'California', 121780),
(3974, 'Evansville', 'USA', 'Indiana', 121582),
(3975, 'Hartford', 'USA', 'Connecticut', 121578),
(3976, 'Fayetteville', 'USA', 'North Carolina', 121015),
(3977, 'Cedar Rapids', 'USA', 'Iowa', 120758),
(3978, 'Elizabeth', 'USA', 'New Jersey', 120568),
(3979, 'Lansing', 'USA', 'Michigan', 119128),
(3980, 'Lancaster', 'USA', 'California', 118718),
(3981, 'Fort Collins', 'USA', 'Colorado', 118652),
(3982, 'Coral Springs', 'USA', 'Florida', 117549),
(3983, 'Stamford', 'USA', 'Connecticut', 117083),
(3984, 'Thousand Oaks', 'USA', 'California', 117005),
(3985, 'Vallejo', 'USA', 'California', 116760),
(3986, 'Palmdale', 'USA', 'California', 116670),
(3987, 'Columbia', 'USA', 'South Carolina', 116278),
(3988, 'El Monte', 'USA', 'California', 115965),
(3989, 'Abilene', 'USA', 'Texas', 115930),
(3990, 'North Las Vegas', 'USA', 'Nevada', 115488),
(3991, 'Ann Arbor', 'USA', 'Michigan', 114024),
(3992, 'Beaumont', 'USA', 'Texas', 113866),
(3993, 'Waco', 'USA', 'Texas', 113726),
(3994, 'Macon', 'USA', 'Georgia', 113336),
(3995, 'Independence', 'USA', 'Missouri', 113288),
(3996, 'Peoria', 'USA', 'Illinois', 112936),
(3997, 'Inglewood', 'USA', 'California', 112580),
(3998, 'Springfield', 'USA', 'Illinois', 111454),
(3999, 'Simi Valley', 'USA', 'California', 111351),
(4000, 'Lafayette', 'USA', 'Louisiana', 110257),
(4001, 'Gilbert', 'USA', 'Arizona', 109697),
(4002, 'Carrollton', 'USA', 'Texas', 109576),
(4003, 'Bellevue', 'USA', 'Washington', 109569),
(4004, 'West Valley City', 'USA', 'Utah', 108896),
(4005, 'Clarksville', 'USA', 'Tennessee', 108787),
(4006, 'Costa Mesa', 'USA', 'California', 108724),
(4007, 'Peoria', 'USA', 'Arizona', 108364),
(4008, 'South Bend', 'USA', 'Indiana', 107789),
(4009, 'Downey', 'USA', 'California', 107323),
(4010, 'Waterbury', 'USA', 'Connecticut', 107271),
(4011, 'Manchester', 'USA', 'New Hampshire', 107006),
(4012, 'Allentown', 'USA', 'Pennsylvania', 106632),
(4013, 'McAllen', 'USA', 'Texas', 106414),
(4014, 'Joliet', 'USA', 'Illinois', 106221),
(4015, 'Lowell', 'USA', 'Massachusetts', 105167),
(4016, 'Provo', 'USA', 'Utah', 105166),
(4017, 'West Covina', 'USA', 'California', 105080),
(4018, 'Wichita Falls', 'USA', 'Texas', 104197),
(4019, 'Erie', 'USA', 'Pennsylvania', 103717),
(4020, 'Daly City', 'USA', 'California', 103621),
(4021, 'Citrus Heights', 'USA', 'California', 103455),
(4022, 'Norwalk', 'USA', 'California', 103298),
(4023, 'Gary', 'USA', 'Indiana', 102746),
(4024, 'Berkeley', 'USA', 'California', 102743),
(4025, 'Santa Clara', 'USA', 'California', 102361),
(4026, 'Green Bay', 'USA', 'Wisconsin', 102313),
(4027, 'Cape Coral', 'USA', 'Florida', 102286),
(4028, 'Arvada', 'USA', 'Colorado', 102153),
(4029, 'Pueblo', 'USA', 'Colorado', 102121),
(4030, 'Sandy', 'USA', 'Utah', 101853),
(4031, 'Athens-Clarke County', 'USA', 'Georgia', 101489),
(4032, 'Cambridge', 'USA', 'Massachusetts', 101355),
(4033, 'Westminster', 'USA', 'Colorado', 100940),
(4034, 'San Buenaventura', 'USA', 'California', 100916),
(4035, 'Portsmouth', 'USA', 'Virginia', 100565),
(4036, 'Livonia', 'USA', 'Michigan', 100545),
(4037, 'Burbank', 'USA', 'California', 100316),
(4038, 'Clearwater', 'USA', 'Florida', 99936),
(4039, 'Midland', 'USA', 'Texas', 98293),
(4040, 'Davenport', 'USA', 'Iowa', 98256),
(4041, 'Mission Viejo', 'USA', 'California', 98049),
(4042, 'Miami Beach', 'USA', 'Florida', 97855),
(4043, 'Sunrise Manor', 'USA', 'Nevada', 95362),
(4044, 'New Bedford', 'USA', 'Massachusetts', 94780),
(4045, 'El Cajon', 'USA', 'California', 94578),
(4046, 'Norman', 'USA', 'Oklahoma', 94193),
(4047, 'Richmond', 'USA', 'California', 94100),
(4048, 'Albany', 'USA', 'New York', 93994),
(4049, 'Brockton', 'USA', 'Massachusetts', 93653),
(4050, 'Roanoke', 'USA', 'Virginia', 93357),
(4051, 'Billings', 'USA', 'Montana', 92988),
(4052, 'Compton', 'USA', 'California', 92864),
(4053, 'Gainesville', 'USA', 'Florida', 92291),
(4054, 'Fairfield', 'USA', 'California', 92256),
(4055, 'Arden-Arcade', 'USA', 'California', 92040),
(4056, 'San Mateo', 'USA', 'California', 91799),
(4057, 'Visalia', 'USA', 'California', 91762),
(4058, 'Boulder', 'USA', 'Colorado', 91238),
(4059, 'Cary', 'USA', 'North Carolina', 91213),
(4060, 'Santa Monica', 'USA', 'California', 91084),
(4061, 'Fall River', 'USA', 'Massachusetts', 90555),
(4062, 'Kenosha', 'USA', 'Wisconsin', 89447),
(4063, 'Elgin', 'USA', 'Illinois', 89408),
(4064, 'Odessa', 'USA', 'Texas', 89293),
(4065, 'Carson', 'USA', 'California', 89089),
(4066, 'Charleston', 'USA', 'South Carolina', 89063),
(4067, 'Charlotte Amalie', 'VIR', 'St Thomas', 13000),
(4068, 'Harare', 'ZWE', 'Harare', 1410000),
(4069, 'Bulawayo', 'ZWE', 'Bulawayo', 621742),
(4070, 'Chitungwiza', 'ZWE', 'Harare', 274912),
(4071, 'Mount Darwin', 'ZWE', 'Harare', 164362),
(4072, 'Mutare', 'ZWE', 'Manicaland', 131367),
(4073, 'Gweru', 'ZWE', 'Midlands', 128037),
(4074, 'Gaza', 'PSE', 'Gaza', 353632),
(4075, 'Khan Yunis', 'PSE', 'Khan Yunis', 123175),
(4076, 'Hebron', 'PSE', 'Hebron', 119401),
(4077, 'Jabaliya', 'PSE', 'North Gaza', 113901),
(4078, 'Nablus', 'PSE', 'Nablus', 100231),
(4079, 'Rafah', 'PSE', 'Rafah', 92020),
(4080, 'Saida', 'LBN', 'South', 0),
(4081, 'Sour', 'LBN', 'South', 60),
(4082, 'Jounie', 'LBN', 'Mount Lebanon', 110),
(4083, 'Aley', 'LBN', 'Mount Lebanon', 0),
(4084, 'Hazmieh', 'LBN', '', 0),
(4085, 'Al Hadath', 'LBN', '', 0),
(4086, 'Hammana', 'LBN', '', 0),
(4087, 'Furn el Chebbak', 'LBN', '', 0),
(4088, 'Judaydah', 'LBN', '', 0),
(4089, 'Burj Hammud', 'LBN', '', 0),
(4090, 'Bauchrieh', 'LBN', '', 0),
(4091, 'Jal el Dib', 'LBN', '', 0),
(4092, 'Dekwaneh', 'LBN', '', 0),
(4093, 'Sin el Fil', 'LBN', '', 0),
(4094, 'Dbayeh', 'LBN', '', 0),
(4095, 'Choueifat', 'LBN', '', 0),
(4096, 'Bekka', 'LBN', '', 0),
(4097, 'Nabatieh', 'LBN', '', 0),
(4098, 'Jezzine', 'LBN', '', 0),
(4099, 'Khaldah', 'LBN', '', 0),
(4100, 'el shouf', 'LBN', '', 0),
(4101, 'Aley', 'LBN', '', 0),
(4102, 'Sour', 'LBN', '', 0),
(4103, 'Zahli', 'LBN', '', 0),
(4104, 'Ayn Hammana', 'LBN', '', 0),
(4105, 'Ad Dilghan', 'LBN', '', 0),
(4106, 'Al Qaqur', 'LBN', '', 0),
(4107, 'Bakka', 'LBN', '', 0),
(4108, 'Bshamun', 'LBN', '', 0),
(4109, 'Hazrita', 'LBN', '', 0),
(4110, 'Mazraat Djaj', 'LBN', '', 0),
(4111, 'Al Basatin', 'LBN', '', 0),
(4112, 'Al Mukhtarah', 'LBN', '', 0),
(4113, 'Al Mutayn', 'LBN', '', 0),
(4114, 'Baqlin', 'LBN', '', 0),
(4115, 'Bhamdun', 'LBN', '', 0),
(4116, 'Bhamdun Al Mahattah', 'LBN', '', 0),
(4117, 'Dayr Al Harf', 'LBN', '', 0),
(4118, 'Dayr Ammar', 'LBN', '', 0),
(4119, 'Dfun', 'LBN', '', 0),
(4120, 'Kafr Silwan', 'LBN', '', 0),
(4121, 'Majdal Bana', 'LBN', '', 0),
(4122, 'Majdalayya', 'LBN', '', 0),
(4123, 'Qabr Chmoun', 'LBN', '', 0),
(4124, 'Qurnayil', 'LBN', '', 0),
(4125, 'Ras Al Matn', 'LBN', '', 0),
(4126, 'Sawfar', 'LBN', '', 0),
(4127, 'Zuq Al Kharab', 'LBN', '', 0),
(4128, 'Abu Mizan', 'LBN', '', 0),
(4129, 'Ad Dashuniyah', 'LBN', '', 0),
(4130, 'Ad Dikwanah', 'LBN', '', 0),
(4131, 'Ad Dulb', 'LBN', '', 0),
(4132, 'Adma', 'LBN', '', 0),
(4133, 'Adunis', 'LBN', '', 0),
(4134, 'Afqa', 'LBN', '', 0),
(4135, 'Ain Tanta', 'LBN', '', 0),
(4136, 'Ajaltun', 'LBN', '', 0),
(4137, 'Al Amarah', 'LBN', '', 0),
(4138, 'Al Ashrafiyah', 'LBN', '', 0),
(4139, 'Al Azr', 'LBN', '', 0),
(4140, 'Al Bashurah', 'LBN', '', 0),
(4141, 'Al Burj', 'LBN', '', 0),
(4142, 'Al Bwar', 'LBN', '', 0),
(4143, 'Al Fawwar', 'LBN', '', 0),
(4144, 'Al Fidar', 'LBN', '', 0),
(4145, 'Al Hamra', 'LBN', '', 0),
(4146, 'Al Hazimiyah', 'LBN', '', 0),
(4147, 'Al Judaydah', 'LBN', '', 0),
(4148, 'Al Kaslik', 'LBN', '', 0),
(4149, 'Al Khallah', 'LBN', '', 0),
(4150, 'Al Khinsharah', 'LBN', '', 0),
(4151, 'Al Knaysah', 'LBN', '', 0),
(4152, 'Al Kufur', 'LBN', '', 0),
(4153, 'Al Laqluq', 'LBN', '', 0),
(4154, 'Al Laylakah', 'LBN', '', 0),
(4155, 'Al Luwayzah', 'LBN', '', 0),
(4156, 'Al Maamiltayn', 'LBN', '', 0),
(4157, 'Al Mansuriyah', 'LBN', '', 0),
(4158, 'Al Mashrafah', 'LBN', '', 0),
(4159, 'Al Miyasah', 'LBN', '', 0),
(4160, 'Al Mudawwar', 'LBN', '', 0),
(4161, 'Al Munsif', 'LBN', '', 0),
(4162, 'Al Murayjah', 'LBN', '', 0),
(4163, 'Al Muruj', 'LBN', '', 0),
(4164, 'Al Musaytbah', 'LBN', '', 0),
(4165, 'Al Musaytibah', 'LBN', '', 0),
(4166, 'Al Mutaylib', 'LBN', '', 0),
(4167, 'Al Qanabah', 'LBN', '', 0),
(4168, 'Al Qantari', 'LBN', '', 0),
(4169, 'Al Qattin', 'LBN', '', 0),
(4170, 'Al Qunaytirah', 'LBN', '', 0),
(4171, 'Amshit', 'LBN', '', 0),
(4172, 'An Nabah', 'LBN', '', 0),
(4173, 'An Naqqash', 'LBN', '', 0),
(4174, 'Antilyas', 'LBN', '', 0),
(4175, 'Ar Rabiyah', 'LBN', '', 0),
(4176, 'Ar Rawshah', 'LBN', '', 0),
(4177, 'Ar Ruays', 'LBN', '', 0),
(4178, 'Ar Rumayl', 'LBN', '', 0),
(4179, 'Aramun', 'LBN', '', 0),
(4180, 'Arayya', 'LBN', '', 0),
(4181, 'As Safra', 'LBN', '', 0),
(4182, 'As Safrah', 'LBN', '', 0),
(4183, 'As Sayfi', 'LBN', '', 0),
(4184, 'Ashqut', 'LBN', '', 0),
(4185, 'Awkar', 'LBN', '', 0),
(4186, 'Ayn Ar', 'LBN', '', 0),
(4187, 'Ayn Najm', 'LBN', '', 0),
(4188, 'Ayn Saadah', 'LBN', '', 0),
(4189, 'Ayn Zaytun', 'LBN', '', 0),
(4190, 'Aynturah', 'LBN', '', 0),
(4191, 'Baabda', 'LBN', '', 0),
(4192, 'Babdat', 'LBN', '', 0),
(4193, 'Bakkifa', 'LBN', '', 0),
(4194, 'Bayt Al Kuku', 'LBN', '', 0),
(4195, 'Bayt Ash Shaar', 'LBN', '', 0),
(4196, 'Bayt Miri', 'LBN', '', 0),
(4197, 'Bdadun', 'LBN', '', 0),
(4198, 'Beirut', 'LBN', '', 0),
(4199, 'Bikfaiya', 'LBN', '', 0),
(4200, 'Bir Hasan', 'LBN', '', 0),
(4201, 'Brummana', 'LBN', '', 0),
(4202, 'Bsalim', 'LBN', '', 0),
(4203, 'Bshamun', 'LBN', '', 0),
(4204, 'Btighrin', 'LBN', '', 0),
(4205, 'Burj Al Barajinah', 'LBN', '', 0),
(4206, 'Byaqut', 'LBN', '', 0),
(4207, 'Bzummar', 'LBN', '', 0),
(4208, 'Chartoun', 'LBN', '', 0),
(4209, 'Dahr Al Bashiq', 'LBN', '', 0),
(4210, 'Dahr As Sawwan', 'LBN', '', 0),
(4211, 'Dawra', 'LBN', '', 0),
(4212, 'Dayr Qubil', 'LBN', '', 0),
(4213, 'Deir El Moukhalles', 'LBN', '', 0),
(4214, 'Diddah', 'LBN', '', 0),
(4215, 'Dik Al Mihdi', 'LBN', '', 0),
(4216, 'Douma', 'LBN', '', 0),
(4217, 'El Aaqaide', 'LBN', '', 0),
(4218, 'El Mrouj', 'LBN', '', 0),
(4219, 'Falugha', 'LBN', '', 0),
(4220, 'Fanar', 'LBN', '', 0),
(4221, 'Farayya', 'LBN', '', 0),
(4222, 'Fatqa', 'LBN', '', 0),
(4223, 'Fatri', 'LBN', '', 0),
(4224, 'Faytrun', 'LBN', '', 0),
(4225, 'Fayyadiyah', 'LBN', '', 0),
(4226, 'Frat', 'LBN', '', 0),
(4227, 'Ghabat Bulunya', 'LBN', '', 0),
(4228, 'Ghadir', 'LBN', '', 0),
(4229, 'Ghazir', 'LBN', '', 0),
(4230, 'Ghidras', 'LBN', '', 0),
(4231, 'Ghusta', 'LBN', '', 0),
(4232, 'Halat', 'LBN', '', 0),
(4233, 'Harajil', 'LBN', '', 0),
(4234, 'Harat Al Ballanah', 'LBN', '', 0),
(4235, 'Harat Hurayk', 'LBN', '', 0),
(4236, 'Harisa', 'LBN', '', 0),
(4237, 'Hayy Mar Rukuz', 'LBN', '', 0),
(4238, 'Hayyatah', 'LBN', '', 0),
(4239, 'Himlaya', 'LBN', '', 0),
(4240, 'Ihmij', 'LBN', '', 0),
(4241, 'Jbail', 'LBN', '', 0),
(4242, 'Jisr Al Basha', 'LBN', '', 0),
(4243, 'Jisr Nahr Ibrahim', 'LBN', '', 0),
(4244, 'Jita', 'LBN', '', 0),
(4245, 'Judaydat Ghazir', 'LBN', '', 0),
(4246, 'Jumhur', 'LBN', '', 0),
(4247, 'Jurat At Turmus', 'LBN', '', 0),
(4248, 'Kafr Hbab', 'LBN', '', 0),
(4249, 'Kayfun', 'LBN', '', 0),
(4250, 'Kfar Tibnit', 'LBN', '', 0),
(4251, 'Lasa', 'LBN', '', 0),
(4252, 'Mar Dumit', 'LBN', '', 0),
(4253, 'Mar Elias', 'LBN', '', 0),
(4254, 'Mar Ilyas', 'LBN', '', 0),
(4255, 'Mar Mikhail', 'LBN', '', 0),
(4256, 'Mar Nahra', 'LBN', '', 0),
(4257, 'Mar Yusuf', 'LBN', '', 0),
(4258, 'Mayruba', 'LBN', '', 0),
(4259, 'Mazar', 'LBN', '', 0),
(4260, 'Mazraat Kafr Dhibyan', 'LBN', '', 0),
(4261, 'Mazraat Yashu', 'LBN', '', 0),
(4262, 'Miyasse', 'LBN', '', 0),
(4263, 'Nabay', 'LBN', '', 0),
(4264, 'Nahr Al Mawt', 'LBN', '', 0),
(4265, 'Nahr Ibrahim', 'LBN', '', 0),
(4266, 'Qannabat Brummana', 'LBN', '', 0),
(4267, 'Qartaba', 'LBN', '', 0),
(4268, 'Qattin', 'LBN', '', 0),
(4269, 'Qnabah', 'LBN', '', 0),
(4270, 'Qurnat Al Hamra', 'LBN', '', 0),
(4271, 'Ramlat Al Bayda', 'LBN', '', 0),
(4272, 'Ras An Naban', 'LBN', '', 0),
(4273, 'Ras Bayrut', 'LBN', '', 0),
(4274, 'Ras Qusta', 'LBN', '', 0),
(4275, 'Rayfun', 'LBN', '', 0),
(4276, 'Sabtiyah', 'LBN', '', 0),
(4277, 'Sarba', 'LBN', '', 0),
(4278, 'Shahtul', 'LBN', '', 0),
(4279, 'Tabarja', 'LBN', '', 0),
(4280, 'Tall Az Zatar', 'LBN', '', 0),
(4281, 'Wadi Shuhrur As Sufl', 'LBN', '', 0),
(4282, 'Wata Al Jawz', 'LBN', '', 0),
(4283, 'Zuq Musbih', 'LBN', '', 0),
(4284, 'Al Hirmil', 'LBN', '', 0),
(4285, 'Ksara', 'LBN', '', 0),
(4286, 'Al Labwah', 'LBN', '', 0),
(4287, 'Al Mudayrij', 'LBN', '', 0),
(4288, 'Al Murayjat', 'LBN', '', 0),
(4289, 'Ali An Nahri', 'LBN', '', 0),
(4290, 'An Nabi Shit', 'LBN', '', 0),
(4291, 'An Nabi Uthman', 'LBN', '', 0),
(4292, 'Anjar', 'LBN', '', 0),
(4293, 'Ayn Ata', 'LBN', '', 0),
(4294, 'Baalbeck', 'LBN', '', 0),
(4295, 'Balabakk', 'LBN', '', 0),
(4296, 'Barr Ilyas', 'LBN', '', 0),
(4297, 'Bibnin', 'LBN', '', 0),
(4298, 'Bidnayil', 'LBN', '', 0),
(4299, 'Brital', 'LBN', '', 0),
(4300, 'Chtaura', 'LBN', '', 0),
(4301, 'Dahr El Ahmar', 'LBN', '', 0),
(4302, 'Dayr Al Ahmar', 'LBN', '', 0),
(4303, 'El Fourzol', 'LBN', '', 0),
(4304, 'Haouch El Omara', 'LBN', '', 0),
(4305, 'Harbata', 'LBN', '', 0),
(4306, 'Hermel', 'LBN', '', 0),
(4307, 'Irsal', 'LBN', '', 0),
(4308, 'Jdita', 'LBN', '', 0),
(4309, 'Joub Jannine', 'LBN', '', 0),
(4310, 'Kafrayya', 'LBN', '', 0),
(4311, 'Kifrayya', 'LBN', '', 0),
(4312, 'Majdal Anjar', 'LBN', '', 0),
(4313, 'Mashgharah', 'LBN', '', 0),
(4314, 'Masna Bidnayil', 'LBN', '', 0),
(4315, 'Qaraaoun', 'LBN', '', 0),
(4316, 'Rachaiya', 'LBN', '', 0),
(4317, 'Ras Al Ayn', 'LBN', '', 0),
(4318, 'Ras Balabakk', 'LBN', '', 0),
(4319, 'Rayak', 'LBN', '', 0),
(4320, 'Sbuba', 'LBN', '', 0),
(4321, 'Talabaya', 'LBN', '', 0),
(4322, 'Talya', 'LBN', '', 0),
(4323, 'Tanayil', 'LBN', '', 0),
(4324, 'Tarayya', 'LBN', '', 0),
(4325, 'Temnine Et Tehta', 'LBN', '', 0),
(4326, 'Turbul', 'LBN', '', 0),
(4327, 'Yuhmur', 'LBN', '', 0),
(4328, 'Zahle', 'LBN', '', 0),
(4329, 'Aghmid', 'LBN', '', 0),
(4330, 'As Samqaniyah', 'LBN', '', 0),
(4331, 'Ayn Darah', 'LBN', '', 0),
(4332, 'Ayn Wzayn', 'LBN', '', 0),
(4333, 'Ayn Zubdah', 'LBN', '', 0),
(4334, 'Baysur', 'LBN', '', 0),
(4335, 'Beit Ed Dine', 'LBN', '', 0),
(4336, 'Bu Zuraydah', 'LBN', '', 0),
(4337, 'Buqata', 'LBN', '', 0),
(4338, 'Dahr Al Magharah', 'LBN', '', 0),
(4339, 'Dayr Al Qamar', 'LBN', '', 0),
(4340, 'Dmit Al Jawwaniyah', 'LBN', '', 0),
(4341, 'Gharifah', 'LBN', '', 0),
(4342, 'Harat Jandal', 'LBN', '', 0),
(4343, 'Mazraat Ad Duhur', 'LBN', '', 0),
(4344, 'Mazraat Ash Shuf', 'LBN', '', 0),
(4345, 'Mristi', 'LBN', '', 0),
(4346, 'Semqaye', 'LBN', '', 0),
(4347, ' as Sultan Yaqub At Tahta', 'LBN', '', 0),
(4348, 'Ablah', 'LBN', '', 0),
(4349, 'Akkar Al Atiqah', 'LBN', '', 0),
(4350, 'Al Arz', 'LBN', '', 0),
(4351, 'Al Baddawi', 'LBN', '', 0),
(4352, 'Al Bahsas', 'LBN', '', 0),
(4353, 'Al Bahsasah', 'LBN', '', 0),
(4354, 'Al Barid', 'LBN', '', 0),
(4355, 'Al Madfun', 'LBN', '', 0),
(4356, 'Al Mina', 'LBN', '', 0),
(4357, 'Al Minyah', 'LBN', '', 0),
(4358, 'Al Muzayriah', 'LBN', '', 0),
(4359, 'Al Qalamun', 'LBN', '', 0),
(4360, 'Al Qbayyat', 'LBN', '', 0),
(4361, 'Al Yammunah', 'LBN', '', 0),
(4362, 'Amioun', 'LBN', '', 0),
(4363, 'Ammiq', 'LBN', '', 0),
(4364, 'As Sultan Yaqub', 'LBN', '', 0),
(4365, 'Batroun', 'LBN', '', 0),
(4366, 'Bcharre', 'LBN', '', 0),
(4367, 'Berbara', 'LBN', '', 0),
(4368, 'Bnashi', 'LBN', '', 0),
(4369, 'Bziza', 'LBN', '', 0),
(4370, 'Chekka', 'LBN', '', 0),
(4371, 'El Arz', 'LBN', '', 0),
(4372, 'El Mina', 'LBN', '', 0),
(4373, 'Hadath Al Jubbah', 'LBN', '', 0),
(4374, 'Hadshit', 'LBN', '', 0),
(4375, 'Halba', 'LBN', '', 0),
(4376, 'Hamat', 'LBN', '', 0),
(4377, 'Hasrun', 'LBN', '', 0),
(4378, 'Kafr Hazir', 'LBN', '', 0),
(4379, 'Kafr Shikht', 'LBN', '', 0),
(4380, 'Kubba', 'LBN', '', 0),
(4381, 'Kusba', 'LBN', '', 0),
(4382, 'Mizyarah', 'LBN', '', 0),
(4383, 'Qalhat', 'LBN', '', 0),
(4384, 'Qnat', 'LBN', '', 0),
(4385, 'Rashin', 'LBN', '', 0),
(4386, 'Trablous', 'LBN', '', 0),
(4387, 'Zgharta', 'LBN', '', 0),
(4388, 'Aadchit', 'LBN', '', 0),
(4389, 'Aarab Salim', 'LBN', '', 0),
(4390, 'Aaramta', 'LBN', '', 0),
(4391, 'Aazour', 'LBN', '', 0),
(4392, 'Abra', 'LBN', '', 0),
(4393, 'Ad Dalhamiyah', 'LBN', '', 0),
(4394, 'Ad Duwayr', 'LBN', '', 0),
(4395, 'Adlun', 'LBN', '', 0),
(4396, 'Ain Qana', 'LBN', '', 0),
(4397, 'Al Babliyah', 'LBN', '', 0),
(4398, 'Al Bazuriyah', 'LBN', '', 0),
(4399, 'Al Burjayn', 'LBN', '', 0),
(4400, 'Al Ghanduriyah', 'LBN', '', 0),
(4401, 'Al Ghaziyah', 'LBN', '', 0),
(4402, 'Al Jahiliyah', 'LBN', '', 0),
(4403, 'Al Jiyah', 'LBN', '', 0),
(4404, 'Al Majadil', 'LBN', '', 0),
(4405, 'Al Majdal', 'LBN', '', 0),
(4406, 'Al Majidiyah', 'LBN', '', 0),
(4407, 'Al Mansuri', 'LBN', '', 0),
(4408, 'Al Marwaniyah', 'LBN', '', 0),
(4409, 'Al Mashraf', 'LBN', '', 0),
(4410, 'Al Qalilah', 'LBN', '', 0),
(4411, 'Al Qantarah', 'LBN', '', 0),
(4412, 'Al Qasimiyah', 'LBN', '', 0),
(4413, 'Al Wardaniyah', 'LBN', '', 0),
(4414, 'Al Warhaniyah', 'LBN', '', 0),
(4415, 'Al Wazzani', 'LBN', '', 0),
(4416, 'Alma', 'LBN', '', 0),
(4417, 'Alma Ash Shab', 'LBN', '', 0),
(4418, 'Alman', 'LBN', '', 0),
(4419, 'Almat', 'LBN', '', 0),
(4420, 'Ansar', 'LBN', '', 0),
(4421, 'Ar Rumaylah', 'LBN', '', 0),
(4422, 'Arnun', 'LBN', '', 0),
(4423, 'Ash Shaqif', 'LBN', '', 0),
(4424, 'At Tayyibah', 'LBN', '', 0),
(4425, 'At Tiri', 'LBN', '', 0),
(4426, 'Ayn Ibil', 'LBN', '', 0),
(4427, 'Aynata', 'LBN', '', 0),
(4428, 'Aytit', 'LBN', '', 0),
(4429, 'Az Zaytuniyah', 'LBN', '', 0),
(4430, 'Az Zuaytirah', 'LBN', '', 0),
(4431, 'Az Zuaytiriyah', 'LBN', '', 0),
(4432, 'Balat', 'LBN', '', 0),
(4433, 'Barja', 'LBN', '', 0);
INSERT INTO `tbl_all_cities` (`ID`, `Name`, `CountryCode`, `District`, `Population`) VALUES
(4434, 'Bayt Lif', 'LBN', '', 0),
(4435, 'Bent Jbail', 'LBN', '', 0),
(4436, 'Blat', 'LBN', '', 0),
(4437, 'Bsaba', 'LBN', '', 0),
(4438, 'Bsus', 'LBN', '', 0),
(4439, 'Burj Rahhal', 'LBN', '', 0),
(4440, 'Chaqra', 'LBN', '', 0),
(4441, 'Choukine', 'LBN', '', 0),
(4442, 'Dalhun', 'LBN', '', 0),
(4443, 'Damour', 'LBN', '', 0),
(4444, 'Darayya', 'LBN', '', 0),
(4445, 'Dayr Mimas', 'LBN', '', 0),
(4446, 'Dibal', 'LBN', '', 0),
(4447, 'Dibbine', 'LBN', '', 0),
(4448, 'Dibil', 'LBN', '', 0),
(4449, 'Ebel Es Saqi', 'LBN', '', 0),
(4450, 'Ed Douair', 'LBN', '', 0),
(4451, 'El Kfour', 'LBN', '', 0),
(4452, 'El Mansoura', 'LBN', '', 0),
(4453, 'Ghassaniyah', 'LBN', '', 0),
(4454, 'Habbouch', 'LBN', '', 0),
(4455, 'Haitoura', 'LBN', '', 0),
(4456, 'Hanin', 'LBN', '', 0),
(4457, 'Hariis', 'LBN', '', 0),
(4458, 'Harouf', 'LBN', '', 0),
(4459, 'Hasbaiya', 'LBN', '', 0),
(4460, 'Hasbayya', 'LBN', '', 0),
(4461, 'Irkay', 'LBN', '', 0),
(4462, 'Jadra', 'LBN', '', 0),
(4463, 'Jibal Al Butm', 'LBN', '', 0),
(4464, 'Jibchit', 'LBN', '', 0),
(4465, 'Kafr Hatta', 'LBN', '', 0),
(4466, 'Kafr Kila', 'LBN', '', 0),
(4467, 'Kafr Matta', 'LBN', '', 0),
(4468, 'Kafr Milki', 'LBN', '', 0),
(4469, 'Kafr Nabrakh', 'LBN', '', 0),
(4470, 'Kafr Sir', 'LBN', '', 0),
(4471, 'Kafra', 'LBN', '', 0),
(4472, 'Kaoukaba', 'LBN', '', 0),
(4473, 'Kaoutariet Es Siyad', 'LBN', '', 0),
(4474, 'Kfar Fila', 'LBN', '', 0),
(4475, 'Kfar Hamam', 'LBN', '', 0),
(4476, 'Kfar Houne', 'LBN', '', 0),
(4477, 'Kfar Jaouz', 'LBN', '', 0),
(4478, 'Kfar Roummane', 'LBN', '', 0),
(4479, 'Khirbet Selm', 'LBN', '', 0),
(4480, 'Machmouche', 'LBN', '', 0),
(4481, 'Maghdushah', 'LBN', '', 0),
(4482, 'Maifadoun', 'LBN', '', 0),
(4483, 'Majdalun', 'LBN', '', 0),
(4484, 'Majdalyun', 'LBN', '', 0),
(4485, 'Majdel Selm', 'LBN', '', 0),
(4486, 'Marjayoun', 'LBN', '', 0),
(4487, 'Marun Ar Ras', 'LBN', '', 0),
(4488, 'Marwahin', 'LBN', '', 0),
(4489, 'Mazraat As Siyad', 'LBN', '', 0),
(4490, 'Naqoura', 'LBN', '', 0),
(4491, 'Qana', 'LBN', '', 0),
(4492, 'Rachaiya El Foukhar', 'LBN', '', 0),
(4493, 'Rmaich', 'LBN', '', 0),
(4494, 'Rshaf', 'LBN', '', 0),
(4495, 'Saidoun', 'LBN', '', 0),
(4496, 'Shhim', 'LBN', '', 0),
(4497, 'Siblin', 'LBN', '', 0),
(4498, 'Sour', 'LBN', '', 0),
(4499, 'Tair Zebna', 'LBN', '', 0),
(4500, 'Tibnine', 'LBN', '', 0),
(4501, 'Yarin', 'LBN', '', 0),
(4502, 'Yarun', 'LBN', '', 0),
(4503, 'Yatar', 'LBN', '', 0),
(4504, 'Zahiriyah', 'LBN', '', 0),
(4505, 'Zawtar Al Gharbiyah', 'LBN', '', 0),
(4506, 'Zawtar Ash Sharqiyah', 'LBN', '', 0),
(4507, 'Zhilta', 'LBN', '', 0),
(4508, 'Zifta', 'LBN', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_all_countries`
--

CREATE TABLE `tbl_all_countries` (
  `Country_ID` int(11) NOT NULL,
  `Code` char(3) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `Country_Name` char(52) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `Continent` enum('Asia','Europe','North America','Africa','Oceania','Antarctica','South America') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Asia',
  `Region` char(26) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `SurfaceArea` float(10,2) NOT NULL DEFAULT '0.00',
  `IndepYear` smallint(6) DEFAULT NULL,
  `Population` int(11) NOT NULL DEFAULT '0',
  `LifeExpectancy` float(3,1) DEFAULT NULL,
  `GNP` float(10,2) DEFAULT NULL,
  `GNPOld` float(10,2) DEFAULT NULL,
  `LocalName` char(45) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `GovernmentForm` char(45) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Capital` int(11) DEFAULT NULL,
  `Code2` char(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `tbl_all_countries`
--

INSERT INTO `tbl_all_countries` (`Country_ID`, `Code`, `Country_Name`, `Continent`, `Region`, `SurfaceArea`, `IndepYear`, `Population`, `LifeExpectancy`, `GNP`, `GNPOld`, `LocalName`, `GovernmentForm`, `Capital`, `Code2`) VALUES
(1, 'ABW', 'Aruba', 'North America', 'Caribbean', 193.00, NULL, 103000, 78.4, 828.00, 793.00, 'Aruba', 'Nonmetropolitan Territory of The Netherlands', 129, 'AW'),
(2, 'AFG', 'Afghanistan', 'Asia', 'Southern and Central Asia', 652090.00, 1919, 22720000, 45.9, 5976.00, NULL, 'Afganistan/Afqanestan', 'Islamic Emirate', 1, 'AF'),
(3, 'AGO', 'Angola', 'Africa', 'Central Africa', 1246700.00, 1975, 12878000, 38.3, 6648.00, 7984.00, 'Angola', 'Republic', 56, 'AO'),
(4, 'AIA', 'Anguilla', 'North America', 'Caribbean', 96.00, NULL, 8000, 76.1, 63.20, NULL, 'Anguilla', 'Dependent Territory of the UK', 62, 'AI'),
(5, 'ALB', 'Albania', 'Europe', 'Southern Europe', 28748.00, 1912, 3401200, 71.6, 3205.00, 2500.00, 'Shqipëria', 'Republic', 34, 'AL'),
(6, 'AND', 'Andorra', 'Europe', 'Southern Europe', 468.00, 1278, 78000, 83.5, 1630.00, NULL, 'Andorra', 'Parliamentary Coprincipality', 55, 'AD'),
(7, 'ANT', 'Netherlands Antilles', 'North America', 'Caribbean', 800.00, NULL, 217000, 74.7, 1941.00, NULL, 'Nederlandse Antillen', 'Nonmetropolitan Territory of The Netherlands', 33, 'AN'),
(8, 'ARE', 'United Arab Emirates', 'Asia', 'Middle East', 83600.00, 1971, 2441000, 74.1, 37966.00, 36846.00, 'Al-Imarat al-´Arabiya al-Muttahida', 'Emirate Federation', 65, 'AE'),
(9, 'ARG', 'Argentina', 'South America', 'South America', 2780400.00, 1816, 37032000, 75.1, 340238.00, 323310.00, 'Argentina', 'Federal Republic', 69, 'AR'),
(10, 'ARM', 'Armenia', 'Asia', 'Middle East', 29800.00, 1991, 3520000, 66.4, 1813.00, 1627.00, 'Hajastan', 'Republic', 126, 'AM'),
(11, 'ASM', 'American Samoa', 'Oceania', 'Polynesia', 199.00, NULL, 68000, 75.1, 334.00, NULL, 'Amerika Samoa', 'US Territory', 54, 'AS'),
(12, 'ATA', 'Antarctica', 'Antarctica', 'Antarctica', 13120000.00, NULL, 0, NULL, 0.00, NULL, '–', 'Co-administrated', NULL, 'AQ'),
(13, 'ATF', 'French Southern territories', 'Antarctica', 'Antarctica', 7780.00, NULL, 0, NULL, 0.00, NULL, 'Terres australes françaises', 'Nonmetropolitan Territory of France', NULL, 'TF'),
(14, 'ATG', 'Antigua and Barbuda', 'North America', 'Caribbean', 442.00, 1981, 68000, 70.5, 612.00, 584.00, 'Antigua and Barbuda', 'Constitutional Monarchy', 63, 'AG'),
(15, 'AUS', 'Australia', 'Oceania', 'Australia and New Zealand', 7741220.00, 1901, 18886000, 79.8, 351182.00, 392911.00, 'Australia', 'Constitutional Monarchy, Federation', 135, 'AU'),
(16, 'AUT', 'Austria', 'Europe', 'Western Europe', 83859.00, 1918, 8091800, 77.7, 211860.00, 206025.00, 'Österreich', 'Federal Republic', 1523, 'AT'),
(17, 'AZE', 'Azerbaijan', 'Asia', 'Middle East', 86600.00, 1991, 7734000, 62.9, 4127.00, 4100.00, 'Azärbaycan', 'Federal Republic', 144, 'AZ'),
(18, 'BDI', 'Burundi', 'Africa', 'Eastern Africa', 27834.00, 1962, 6695000, 46.2, 903.00, 982.00, 'Burundi/Uburundi', 'Republic', 552, 'BI'),
(19, 'BEL', 'Belgium', 'Europe', 'Western Europe', 30518.00, 1830, 10239000, 77.8, 249704.00, 243948.00, 'België/Belgique', 'Constitutional Monarchy, Federation', 179, 'BE'),
(20, 'BEN', 'Benin', 'Africa', 'Western Africa', 112622.00, 1960, 6097000, 50.2, 2357.00, 2141.00, 'Bénin', 'Republic', 187, 'BJ'),
(21, 'BFA', 'Burkina Faso', 'Africa', 'Western Africa', 274000.00, 1960, 11937000, 46.7, 2425.00, 2201.00, 'Burkina Faso', 'Republic', 549, 'BF'),
(22, 'BGD', 'Bangladesh', 'Asia', 'Southern and Central Asia', 143998.00, 1971, 129155000, 60.2, 32852.00, 31966.00, 'Bangladesh', 'Republic', 150, 'BD'),
(23, 'BGR', 'Bulgaria', 'Europe', 'Eastern Europe', 110994.00, 1908, 8190900, 70.9, 12178.00, 10169.00, 'Balgarija', 'Republic', 539, 'BG'),
(24, 'BHR', 'Bahrain', 'Asia', 'Middle East', 694.00, 1971, 617000, 73.0, 6366.00, 6097.00, 'Al-Bahrayn', 'Monarchy (Emirate)', 149, 'BH'),
(25, 'BHS', 'Bahamas', 'North America', 'Caribbean', 13878.00, 1973, 307000, 71.1, 3527.00, 3347.00, 'The Bahamas', 'Constitutional Monarchy', 148, 'BS'),
(26, 'BIH', 'Bosnia and Herzegovina', 'Europe', 'Southern Europe', 51197.00, 1992, 3972000, 71.5, 2841.00, NULL, 'Bosna i Hercegovina', 'Federal Republic', 201, 'BA'),
(27, 'BLR', 'Belarus', 'Europe', 'Eastern Europe', 207600.00, 1991, 10236000, 68.0, 13714.00, NULL, 'Belarus', 'Republic', 3520, 'BY'),
(28, 'BLZ', 'Belize', 'North America', 'Central America', 22696.00, 1981, 241000, 70.9, 630.00, 616.00, 'Belize', 'Constitutional Monarchy', 185, 'BZ'),
(29, 'BMU', 'Bermuda', 'North America', 'North America', 53.00, NULL, 65000, 76.9, 2328.00, 2190.00, 'Bermuda', 'Dependent Territory of the UK', 191, 'BM'),
(30, 'BOL', 'Bolivia', 'South America', 'South America', 1098581.00, 1825, 8329000, 63.7, 8571.00, 7967.00, 'Bolivia', 'Republic', 194, 'BO'),
(31, 'BRA', 'Brazil', 'South America', 'South America', 8547403.00, 1822, 170115000, 62.9, 776739.00, 804108.00, 'Brasil', 'Federal Republic', 211, 'BR'),
(32, 'BRB', 'Barbados', 'North America', 'Caribbean', 430.00, 1966, 270000, 73.0, 2223.00, 2186.00, 'Barbados', 'Constitutional Monarchy', 174, 'BB'),
(33, 'BRN', 'Brunei', 'Asia', 'Southeast Asia', 5765.00, 1984, 328000, 73.6, 11705.00, 12460.00, 'Brunei Darussalam', 'Monarchy (Sultanate)', 538, 'BN'),
(34, 'BTN', 'Bhutan', 'Asia', 'Southern and Central Asia', 47000.00, 1910, 2124000, 52.4, 372.00, 383.00, 'Druk-Yul', 'Monarchy', 192, 'BT'),
(35, 'BVT', 'Bouvet Island', 'Antarctica', 'Antarctica', 59.00, NULL, 0, NULL, 0.00, NULL, 'Bouvetøya', 'Dependent Territory of Norway', NULL, 'BV'),
(36, 'BWA', 'Botswana', 'Africa', 'Southern Africa', 581730.00, 1966, 1622000, 39.3, 4834.00, 4935.00, 'Botswana', 'Republic', 204, 'BW'),
(37, 'CAF', 'Central African Republic', 'Africa', 'Central Africa', 622984.00, 1960, 3615000, 44.0, 1054.00, 993.00, 'Centrafrique/Bê-Afrîka', 'Republic', 1889, 'CF'),
(38, 'CAN', 'Canada', 'North America', 'North America', 9970610.00, 1867, 31147000, 79.4, 598862.00, 625626.00, 'Canada', 'Constitutional Monarchy, Federation', 1822, 'CA'),
(39, 'CCK', 'Cocos (Keeling) Islands', 'Oceania', 'Australia and New Zealand', 14.00, NULL, 600, NULL, 0.00, NULL, 'Cocos (Keeling) Islands', 'Territory of Australia', 2317, 'CC'),
(40, 'CHE', 'Switzerland', 'Europe', 'Western Europe', 41284.00, 1499, 7160400, 79.6, 264478.00, 256092.00, 'Schweiz/Suisse/Svizzera/Svizra', 'Federation', 3248, 'CH'),
(41, 'CHL', 'Chile', 'South America', 'South America', 756626.00, 1810, 15211000, 75.7, 72949.00, 75780.00, 'Chile', 'Republic', 554, 'CL'),
(42, 'CHN', 'China', 'Asia', 'Eastern Asia', 9572900.00, -1523, 1277558000, 71.4, 982268.00, 917719.00, 'Zhongquo', 'People\'sRepublic', 1891, 'CN'),
(43, 'CIV', 'Côte d’Ivoire', 'Africa', 'Western Africa', 322463.00, 1960, 14786000, 45.2, 11345.00, 10285.00, 'Côte d’Ivoire', 'Republic', 2814, 'CI'),
(44, 'CMR', 'Cameroon', 'Africa', 'Central Africa', 475442.00, 1960, 15085000, 54.8, 9174.00, 8596.00, 'Cameroun/Cameroon', 'Republic', 1804, 'CM'),
(45, 'COD', 'Congo, The Democratic Republic of the', 'Africa', 'Central Africa', 2344858.00, 1960, 51654000, 48.8, 6964.00, 2474.00, 'République Démocratique du Congo', 'Republic', 2298, 'CD'),
(46, 'COG', 'Congo', 'Africa', 'Central Africa', 342000.00, 1960, 2943000, 47.4, 2108.00, 2287.00, 'Congo', 'Republic', 2296, 'CG'),
(47, 'COK', 'Cook Islands', 'Oceania', 'Polynesia', 236.00, NULL, 20000, 71.1, 100.00, NULL, 'The Cook Islands', 'Nonmetropolitan Territory of New Zealand', 583, 'CK'),
(48, 'COL', 'Colombia', 'South America', 'South America', 1138914.00, 1810, 42321000, 70.3, 102896.00, 105116.00, 'Colombia', 'Republic', 2257, 'CO'),
(49, 'COM', 'Comoros', 'Africa', 'Eastern Africa', 1862.00, 1975, 578000, 60.0, 4401.00, 4361.00, 'Komori/Comores', 'Republic', 2295, 'KM'),
(50, 'CPV', 'Cape Verde', 'Africa', 'Western Africa', 4033.00, 1975, 428000, 68.9, 435.00, 420.00, 'Cabo Verde', 'Republic', 1859, 'CV'),
(51, 'CRI', 'Costa Rica', 'North America', 'Central America', 51100.00, 1821, 4023000, 75.8, 10226.00, 9757.00, 'Costa Rica', 'Republic', 584, 'CR'),
(52, 'CUB', 'Cuba', 'North America', 'Caribbean', 110861.00, 1902, 11201000, 76.2, 17843.00, 18862.00, 'Cuba', 'Socialistic Republic', 2413, 'CU'),
(53, 'CXR', 'Christmas Island', 'Oceania', 'Australia and New Zealand', 135.00, NULL, 2500, NULL, 0.00, NULL, 'Christmas Island', 'Territory of Australia', 1791, 'CX'),
(54, 'CYM', 'Cayman Islands', 'North America', 'Caribbean', 264.00, NULL, 38000, 78.9, 1263.00, 1186.00, 'Cayman Islands', 'Dependent Territory of the UK', 553, 'KY'),
(55, 'CYP', 'Cyprus', 'Asia', 'Middle East', 9251.00, 1960, 754700, 76.7, 9333.00, 8246.00, 'Kýpros/Kibris', 'Republic', 2430, 'CY'),
(56, 'CZE', 'Czech Republic', 'Europe', 'Eastern Europe', 78866.00, 1993, 10278100, 74.5, 55017.00, 52037.00, '¸esko', 'Republic', 3339, 'CZ'),
(57, 'DEU', 'Germany', 'Europe', 'Western Europe', 357022.00, 1955, 82164700, 77.4, 2133367.00, 2102826.00, 'Deutschland', 'Federal Republic', 3068, 'DE'),
(58, 'DJI', 'Djibouti', 'Africa', 'Eastern Africa', 23200.00, 1977, 638000, 50.8, 382.00, 373.00, 'Djibouti/Jibuti', 'Republic', 585, 'DJ'),
(59, 'DMA', 'Dominica', 'North America', 'Caribbean', 751.00, 1978, 71000, 73.4, 256.00, 243.00, 'Dominica', 'Republic', 586, 'DM'),
(60, 'DNK', 'Denmark', 'Europe', 'Nordic Countries', 43094.00, 800, 5330000, 76.5, 174099.00, 169264.00, 'Danmark', 'Constitutional Monarchy', 3315, 'DK'),
(61, 'DOM', 'Dominican Republic', 'North America', 'Caribbean', 48511.00, 1844, 8495000, 73.2, 15846.00, 15076.00, 'República Dominicana', 'Republic', 587, 'DO'),
(62, 'DZA', 'Algeria', 'Africa', 'Northern Africa', 2381741.00, 1962, 31471000, 69.7, 49982.00, 46966.00, 'Al-Jaza’ir/Algérie', 'Republic', 35, 'DZ'),
(63, 'ECU', 'Ecuador', 'South America', 'South America', 283561.00, 1822, 12646000, 71.1, 19770.00, 19769.00, 'Ecuador', 'Republic', 594, 'EC'),
(64, 'EGY', 'Egypt', 'Africa', 'Northern Africa', 1001449.00, 1922, 68470000, 63.3, 82710.00, 75617.00, 'Misr', 'Republic', 608, 'EG'),
(65, 'ERI', 'Eritrea', 'Africa', 'Eastern Africa', 117600.00, 1993, 3850000, 55.8, 650.00, 755.00, 'Ertra', 'Republic', 652, 'ER'),
(66, 'ESH', 'Western Sahara', 'Africa', 'Northern Africa', 266000.00, NULL, 293000, 49.8, 60.00, NULL, 'As-Sahrawiya', 'Occupied by Marocco', 2453, 'EH'),
(67, 'ESP', 'Spain', 'Europe', 'Southern Europe', 505992.00, 1492, 39441700, 78.8, 553233.00, 532031.00, 'España', 'Constitutional Monarchy', 653, 'ES'),
(68, 'EST', 'Estonia', 'Europe', 'Baltic Countries', 45227.00, 1991, 1439200, 69.5, 5328.00, 3371.00, 'Eesti', 'Republic', 3791, 'EE'),
(69, 'ETH', 'Ethiopia', 'Africa', 'Eastern Africa', 1104300.00, -1000, 62565000, 45.2, 6353.00, 6180.00, 'YeItyop´iya', 'Republic', 756, 'ET'),
(70, 'FIN', 'Finland', 'Europe', 'Nordic Countries', 338145.00, 1917, 5171300, 77.4, 121914.00, 119833.00, 'Suomi', 'Republic', 3236, 'FI'),
(71, 'FJI', 'Fiji Islands', 'Oceania', 'Melanesia', 18274.00, 1970, 817000, 67.9, 1536.00, 2149.00, 'Fiji Islands', 'Republic', 764, 'FJ'),
(72, 'FLK', 'Falkland Islands', 'South America', 'South America', 12173.00, NULL, 2000, NULL, 0.00, NULL, 'Falkland Islands', 'Dependent Territory of the UK', 763, 'FK'),
(73, 'FRA', 'France', 'Europe', 'Western Europe', 551500.00, 843, 59225700, 78.8, 1424285.00, 1392448.00, 'France', 'Republic', 2974, 'FR'),
(74, 'FRO', 'Faroe Islands', 'Europe', 'Nordic Countries', 1399.00, NULL, 43000, 78.4, 0.00, NULL, 'Føroyar', 'Part of Denmark', 901, 'FO'),
(75, 'FSM', 'Micronesia, Federated States of', 'Oceania', 'Micronesia', 702.00, 1990, 119000, 68.6, 212.00, NULL, 'Micronesia', 'Federal Republic', 2689, 'FM'),
(76, 'GAB', 'Gabon', 'Africa', 'Central Africa', 267668.00, 1960, 1226000, 50.1, 5493.00, 5279.00, 'Le Gabon', 'Republic', 902, 'GA'),
(77, 'GBR', 'United Kingdom', 'Europe', 'British Islands', 242900.00, 1066, 59623400, 77.7, 1378330.00, 1296830.00, 'United Kingdom', 'Constitutional Monarchy', 456, 'GB'),
(78, 'GEO', 'Georgia', 'Asia', 'Middle East', 69700.00, 1991, 4968000, 64.5, 6064.00, 5924.00, 'Sakartvelo', 'Republic', 905, 'GE'),
(79, 'GHA', 'Ghana', 'Africa', 'Western Africa', 238533.00, 1957, 20212000, 57.4, 7137.00, 6884.00, 'Ghana', 'Republic', 910, 'GH'),
(80, 'GIB', 'Gibraltar', 'Europe', 'Southern Europe', 6.00, NULL, 25000, 79.0, 258.00, NULL, 'Gibraltar', 'Dependent Territory of the UK', 915, 'GI'),
(81, 'GIN', 'Guinea', 'Africa', 'Western Africa', 245857.00, 1958, 7430000, 45.6, 2352.00, 2383.00, 'Guinée', 'Republic', 926, 'GN'),
(82, 'GLP', 'Guadeloupe', 'North America', 'Caribbean', 1705.00, NULL, 456000, 77.0, 3501.00, NULL, 'Guadeloupe', 'Overseas Department of France', 919, 'GP'),
(83, 'GMB', 'Gambia', 'Africa', 'Western Africa', 11295.00, 1965, 1305000, 53.2, 320.00, 325.00, 'The Gambia', 'Republic', 904, 'GM'),
(84, 'GNB', 'Guinea-Bissau', 'Africa', 'Western Africa', 36125.00, 1974, 1213000, 49.0, 293.00, 272.00, 'Guiné-Bissau', 'Republic', 927, 'GW'),
(85, 'GNQ', 'Equatorial Guinea', 'Africa', 'Central Africa', 28051.00, 1968, 453000, 53.6, 283.00, 542.00, 'Guinea Ecuatorial', 'Republic', 2972, 'GQ'),
(86, 'GRC', 'Greece', 'Europe', 'Southern Europe', 131626.00, 1830, 10545700, 78.4, 120724.00, 119946.00, 'Elláda', 'Republic', 2401, 'GR'),
(87, 'GRD', 'Grenada', 'North America', 'Caribbean', 344.00, 1974, 94000, 64.5, 318.00, NULL, 'Grenada', 'Constitutional Monarchy', 916, 'GD'),
(88, 'GRL', 'Greenland', 'North America', 'North America', 2166090.00, NULL, 56000, 68.1, 0.00, NULL, 'Kalaallit Nunaat/Grønland', 'Part of Denmark', 917, 'GL'),
(89, 'GTM', 'Guatemala', 'North America', 'Central America', 108889.00, 1821, 11385000, 66.2, 19008.00, 17797.00, 'Guatemala', 'Republic', 922, 'GT'),
(90, 'GUF', 'French Guiana', 'South America', 'South America', 90000.00, NULL, 181000, 76.1, 681.00, NULL, 'Guyane française', 'Overseas Department of France', 3014, 'GF'),
(91, 'GUM', 'Guam', 'Oceania', 'Micronesia', 549.00, NULL, 168000, 77.8, 1197.00, 1136.00, 'Guam', 'US Territory', 921, 'GU'),
(92, 'GUY', 'Guyana', 'South America', 'South America', 214969.00, 1966, 861000, 64.0, 722.00, 743.00, 'Guyana', 'Republic', 928, 'GY'),
(93, 'HKG', 'Hong Kong', 'Asia', 'Eastern Asia', 1075.00, NULL, 6782000, 79.5, 166448.00, 173610.00, 'Xianggang/Hong Kong', 'Special Administrative Region of China', 937, 'HK'),
(94, 'HMD', 'Heard Island and McDonald Islands', 'Antarctica', 'Antarctica', 359.00, NULL, 0, NULL, 0.00, NULL, 'Heard and McDonald Islands', 'Territory of Australia', NULL, 'HM'),
(95, 'HND', 'Honduras', 'North America', 'Central America', 112088.00, 1838, 6485000, 69.9, 5333.00, 4697.00, 'Honduras', 'Republic', 933, 'HN'),
(96, 'HRV', 'Croatia', 'Europe', 'Southern Europe', 56538.00, 1991, 4473000, 73.7, 20208.00, 19300.00, 'Hrvatska', 'Republic', 2409, 'HR'),
(97, 'HTI', 'Haiti', 'North America', 'Caribbean', 27750.00, 1804, 8222000, 49.2, 3459.00, 3107.00, 'Haïti/Dayti', 'Republic', 929, 'HT'),
(98, 'HUN', 'Hungary', 'Europe', 'Eastern Europe', 93030.00, 1918, 10043200, 71.4, 48267.00, 45914.00, 'Magyarország', 'Republic', 3483, 'HU'),
(99, 'IDN', 'Indonesia', 'Asia', 'Southeast Asia', 1904569.00, 1945, 212107000, 68.0, 84982.00, 215002.00, 'Indonesia', 'Republic', 939, 'ID'),
(100, 'IND', 'India', 'Asia', 'Southern and Central Asia', 3287263.00, 1947, 1013662000, 62.5, 447114.00, 430572.00, 'Bharat/India', 'Federal Republic', 1109, 'IN'),
(101, 'IOT', 'British Indian Ocean Territory', 'Africa', 'Eastern Africa', 78.00, NULL, 0, NULL, 0.00, NULL, 'British Indian Ocean Territory', 'Dependent Territory of the UK', NULL, 'IO'),
(102, 'IRL', 'Ireland', 'Europe', 'British Islands', 70273.00, 1921, 3775100, 76.8, 75921.00, 73132.00, 'Ireland/Éire', 'Republic', 1447, 'IE'),
(103, 'IRN', 'Iran', 'Asia', 'Southern and Central Asia', 1648195.00, 1906, 67702000, 69.7, 195746.00, 160151.00, 'Iran', 'Islamic Republic', 1380, 'IR'),
(104, 'IRQ', 'Iraq', 'Asia', 'Middle East', 438317.00, 1932, 23115000, 66.5, 11500.00, NULL, 'Al-´Iraq', 'Republic', 1365, 'IQ'),
(105, 'ISL', 'Iceland', 'Europe', 'Nordic Countries', 103000.00, 1944, 279000, 79.4, 8255.00, 7474.00, 'Ísland', 'Republic', 1449, 'IS'),
(107, 'ITA', 'Italy', 'Europe', 'Southern Europe', 301316.00, 1861, 57680000, 79.0, 1161755.00, 1145372.00, 'Italia', 'Republic', 1464, 'IT'),
(108, 'JAM', 'Jamaica', 'North America', 'Caribbean', 10990.00, 1962, 2583000, 75.2, 6871.00, 6722.00, 'Jamaica', 'Constitutional Monarchy', 1530, 'JM'),
(109, 'JOR', 'Jordan', 'Asia', 'Middle East', 88946.00, 1946, 5083000, 77.4, 7526.00, 7051.00, 'Al-Urdunn', 'Constitutional Monarchy', 1786, 'JO'),
(110, 'JPN', 'Japan', 'Asia', 'Eastern Asia', 377829.00, -660, 126714000, 80.7, 3787042.00, 4192638.00, 'Nihon/Nippon', 'Constitutional Monarchy', 1532, 'JP'),
(111, 'KAZ', 'Kazakstan', 'Asia', 'Southern and Central Asia', 2724900.00, 1991, 16223000, 63.2, 24375.00, 23383.00, 'Qazaqstan', 'Republic', 1864, 'KZ'),
(112, 'KEN', 'Kenya', 'Africa', 'Eastern Africa', 580367.00, 1963, 30080000, 48.0, 9217.00, 10241.00, 'Kenya', 'Republic', 1881, 'KE'),
(113, 'KGZ', 'Kyrgyzstan', 'Asia', 'Southern and Central Asia', 199900.00, 1991, 4699000, 63.4, 1626.00, 1767.00, 'Kyrgyzstan', 'Republic', 2253, 'KG'),
(114, 'KHM', 'Cambodia', 'Asia', 'Southeast Asia', 181035.00, 1953, 11168000, 56.5, 5121.00, 5670.00, 'Kâmpuchéa', 'Constitutional Monarchy', 1800, 'KH'),
(115, 'KIR', 'Kiribati', 'Oceania', 'Micronesia', 726.00, 1979, 83000, 59.8, 40.70, NULL, 'Kiribati', 'Republic', 2256, 'KI'),
(116, 'KNA', 'Saint Kitts and Nevis', 'North America', 'Caribbean', 261.00, 1983, 38000, 70.7, 299.00, NULL, 'Saint Kitts and Nevis', 'Constitutional Monarchy', 3064, 'KN'),
(117, 'KOR', 'South Korea', 'Asia', 'Eastern Asia', 99434.00, 1948, 46844000, 74.4, 320749.00, 442544.00, 'Taehan Min’guk (Namhan)', 'Republic', 2331, 'KR'),
(118, 'KWT', 'Kuwait', 'Asia', 'Middle East', 17818.00, 1961, 1972000, 76.1, 27037.00, 30373.00, 'Al-Kuwayt', 'Constitutional Monarchy (Emirate)', 2429, 'KW'),
(119, 'LAO', 'Laos', 'Asia', 'Southeast Asia', 236800.00, 1953, 5433000, 53.1, 1292.00, 1746.00, 'Lao', 'Republic', 2432, 'LA'),
(120, 'LBN', 'Lebanon', 'Asia', 'Middle East', 10400.00, 1941, 3282000, 71.3, 17121.00, 15129.00, 'Lubnan', 'Republic', 2438, 'LB'),
(121, 'LBR', 'Liberia', 'Africa', 'Western Africa', 111369.00, 1847, 3154000, 51.0, 2012.00, NULL, 'Liberia', 'Republic', 2440, 'LR'),
(122, 'LBY', 'Libyan Arab Jamahiriya', 'Africa', 'Northern Africa', 1759540.00, 1951, 5605000, 75.5, 44806.00, 40562.00, 'Libiya', 'Socialistic State', 2441, 'LY'),
(123, 'LCA', 'Saint Lucia', 'North America', 'Caribbean', 622.00, 1979, 154000, 72.3, 571.00, NULL, 'Saint Lucia', 'Constitutional Monarchy', 3065, 'LC'),
(124, 'LIE', 'Liechtenstein', 'Europe', 'Western Europe', 160.00, 1806, 32300, 78.8, 1119.00, 1084.00, 'Liechtenstein', 'Constitutional Monarchy', 2446, 'LI'),
(125, 'LKA', 'Sri Lanka', 'Asia', 'Southern and Central Asia', 65610.00, 1948, 18827000, 71.8, 15706.00, 15091.00, 'Sri Lanka/Ilankai', 'Republic', 3217, 'LK'),
(126, 'LSO', 'Lesotho', 'Africa', 'Southern Africa', 30355.00, 1966, 2153000, 50.8, 1061.00, 1161.00, 'Lesotho', 'Constitutional Monarchy', 2437, 'LS'),
(127, 'LTU', 'Lithuania', 'Europe', 'Baltic Countries', 65301.00, 1991, 3698500, 69.1, 10692.00, 9585.00, 'Lietuva', 'Republic', 2447, 'LT'),
(128, 'LUX', 'Luxembourg', 'Europe', 'Western Europe', 2586.00, 1867, 435700, 77.1, 16321.00, 15519.00, 'Luxembourg/Lëtzebuerg', 'Constitutional Monarchy', 2452, 'LU'),
(129, 'LVA', 'Latvia', 'Europe', 'Baltic Countries', 64589.00, 1991, 2424200, 68.4, 6398.00, 5639.00, 'Latvija', 'Republic', 2434, 'LV'),
(130, 'MAC', 'Macao', 'Asia', 'Eastern Asia', 18.00, NULL, 473000, 81.6, 5749.00, 5940.00, 'Macau/Aomen', 'Special Administrative Region of China', 2454, 'MO'),
(131, 'MAR', 'Morocco', 'Africa', 'Northern Africa', 446550.00, 1956, 28351000, 69.1, 36124.00, 33514.00, 'Al-Maghrib', 'Constitutional Monarchy', 2486, 'MA'),
(132, 'MCO', 'Monaco', 'Europe', 'Western Europe', 1.50, 1861, 34000, 78.8, 776.00, NULL, 'Monaco', 'Constitutional Monarchy', 2695, 'MC'),
(133, 'MDA', 'Moldova', 'Europe', 'Eastern Europe', 33851.00, 1991, 4380000, 64.5, 1579.00, 1872.00, 'Moldova', 'Republic', 2690, 'MD'),
(134, 'MDG', 'Madagascar', 'Africa', 'Eastern Africa', 587041.00, 1960, 15942000, 55.0, 3750.00, 3545.00, 'Madagasikara/Madagascar', 'Federal Republic', 2455, 'MG'),
(135, 'MDV', 'Maldives', 'Asia', 'Southern and Central Asia', 298.00, 1965, 286000, 62.2, 199.00, NULL, 'Dhivehi Raajje/Maldives', 'Republic', 2463, 'MV'),
(136, 'MEX', 'Mexico', 'North America', 'Central America', 1958201.00, 1810, 98881000, 71.5, 414972.00, 401461.00, 'México', 'Federal Republic', 2515, 'MX'),
(137, 'MHL', 'Marshall Islands', 'Oceania', 'Micronesia', 181.00, 1990, 64000, 65.5, 97.00, NULL, 'Marshall Islands/Majol', 'Republic', 2507, 'MH'),
(138, 'MKD', 'Macedonia', 'Europe', 'Southern Europe', 25713.00, 1991, 2024000, 73.8, 1694.00, 1915.00, 'Makedonija', 'Republic', 2460, 'MK'),
(139, 'MLI', 'Mali', 'Africa', 'Western Africa', 1240192.00, 1960, 11234000, 46.7, 2642.00, 2453.00, 'Mali', 'Republic', 2482, 'ML'),
(140, 'MLT', 'Malta', 'Europe', 'Southern Europe', 316.00, 1964, 380200, 77.9, 3512.00, 3338.00, 'Malta', 'Republic', 2484, 'MT'),
(141, 'MMR', 'Myanmar', 'Asia', 'Southeast Asia', 676578.00, 1948, 45611000, 54.9, 180375.00, 171028.00, 'Myanma Pye', 'Republic', 2710, 'MM'),
(142, 'MNG', 'Mongolia', 'Asia', 'Eastern Asia', 1566500.00, 1921, 2662000, 67.3, 1043.00, 933.00, 'Mongol Uls', 'Republic', 2696, 'MN'),
(143, 'MNP', 'Northern Mariana Islands', 'Oceania', 'Micronesia', 464.00, NULL, 78000, 75.5, 0.00, NULL, 'Northern Mariana Islands', 'Commonwealth of the US', 2913, 'MP'),
(144, 'MOZ', 'Mozambique', 'Africa', 'Eastern Africa', 801590.00, 1975, 19680000, 37.5, 2891.00, 2711.00, 'Moçambique', 'Republic', 2698, 'MZ'),
(145, 'MRT', 'Mauritania', 'Africa', 'Western Africa', 1025520.00, 1960, 2670000, 50.8, 998.00, 1081.00, 'Muritaniya/Mauritanie', 'Republic', 2509, 'MR'),
(146, 'MSR', 'Montserrat', 'North America', 'Caribbean', 102.00, NULL, 11000, 78.0, 109.00, NULL, 'Montserrat', 'Dependent Territory of the UK', 2697, 'MS'),
(147, 'MTQ', 'Martinique', 'North America', 'Caribbean', 1102.00, NULL, 395000, 78.3, 2731.00, 2559.00, 'Martinique', 'Overseas Department of France', 2508, 'MQ'),
(148, 'MUS', 'Mauritius', 'Africa', 'Eastern Africa', 2040.00, 1968, 1158000, 71.0, 4251.00, 4186.00, 'Mauritius', 'Republic', 2511, 'MU'),
(149, 'MWI', 'Malawi', 'Africa', 'Eastern Africa', 118484.00, 1964, 10925000, 37.6, 1687.00, 2527.00, 'Malawi', 'Republic', 2462, 'MW'),
(150, 'MYS', 'Malaysia', 'Asia', 'Southeast Asia', 329758.00, 1957, 22244000, 70.8, 69213.00, 97884.00, 'Malaysia', 'Constitutional Monarchy, Federation', 2464, 'MY'),
(151, 'MYT', 'Mayotte', 'Africa', 'Eastern Africa', 373.00, NULL, 149000, 59.5, 0.00, NULL, 'Mayotte', 'Territorial Collectivity of France', 2514, 'YT'),
(152, 'NAM', 'Namibia', 'Africa', 'Southern Africa', 824292.00, 1990, 1726000, 42.5, 3101.00, 3384.00, 'Namibia', 'Republic', 2726, 'NA'),
(153, 'NCL', 'New Caledonia', 'Oceania', 'Melanesia', 18575.00, NULL, 214000, 72.8, 3563.00, NULL, 'Nouvelle-Calédonie', 'Nonmetropolitan Territory of France', 3493, 'NC'),
(154, 'NER', 'Niger', 'Africa', 'Western Africa', 1267000.00, 1960, 10730000, 41.3, 1706.00, 1580.00, 'Niger', 'Republic', 2738, 'NE'),
(155, 'NFK', 'Norfolk Island', 'Oceania', 'Australia and New Zealand', 36.00, NULL, 2000, NULL, 0.00, NULL, 'Norfolk Island', 'Territory of Australia', 2806, 'NF'),
(156, 'NGA', 'Nigeria', 'Africa', 'Western Africa', 923768.00, 1960, 111506000, 51.6, 65707.00, 58623.00, 'Nigeria', 'Federal Republic', 2754, 'NG'),
(157, 'NIC', 'Nicaragua', 'North America', 'Central America', 130000.00, 1838, 5074000, 68.7, 1988.00, 2023.00, 'Nicaragua', 'Republic', 2734, 'NI'),
(158, 'NIU', 'Niue', 'Oceania', 'Polynesia', 260.00, NULL, 2000, NULL, 0.00, NULL, 'Niue', 'Nonmetropolitan Territory of New Zealand', 2805, 'NU'),
(159, 'NLD', 'Netherlands', 'Europe', 'Western Europe', 41526.00, 1581, 15864000, 78.3, 371362.00, 360478.00, 'Nederland', 'Constitutional Monarchy', 5, 'NL'),
(160, 'NOR', 'Norway', 'Europe', 'Nordic Countries', 323877.00, 1905, 4478500, 78.7, 145895.00, 153370.00, 'Norge', 'Constitutional Monarchy', 2807, 'NO'),
(161, 'NPL', 'Nepal', 'Asia', 'Southern and Central Asia', 147181.00, 1769, 23930000, 57.8, 4768.00, 4837.00, 'Nepal', 'Constitutional Monarchy', 2729, 'NP'),
(162, 'NRU', 'Nauru', 'Oceania', 'Micronesia', 21.00, 1968, 12000, 60.8, 197.00, NULL, 'Naoero/Nauru', 'Republic', 2728, 'NR'),
(163, 'NZL', 'New Zealand', 'Oceania', 'Australia and New Zealand', 270534.00, 1907, 3862000, 77.8, 54669.00, 64960.00, 'New Zealand/Aotearoa', 'Constitutional Monarchy', 3499, 'NZ'),
(164, 'OMN', 'Oman', 'Asia', 'Middle East', 309500.00, 1951, 2542000, 71.8, 16904.00, 16153.00, '´Uman', 'Monarchy (Sultanate)', 2821, 'OM'),
(165, 'PAK', 'Pakistan', 'Asia', 'Southern and Central Asia', 796095.00, 1947, 156483000, 61.1, 61289.00, 58549.00, 'Pakistan', 'Republic', 2831, 'PK'),
(166, 'PAN', 'Panama', 'North America', 'Central America', 75517.00, 1903, 2856000, 75.5, 9131.00, 8700.00, 'Panamá', 'Republic', 2882, 'PA'),
(167, 'PCN', 'Pitcairn', 'Oceania', 'Polynesia', 49.00, NULL, 50, NULL, 0.00, NULL, 'Pitcairn', 'Dependent Territory of the UK', 2912, 'PN'),
(168, 'PER', 'Peru', 'South America', 'South America', 1285216.00, 1821, 25662000, 70.0, 64140.00, 65186.00, 'Perú/Piruw', 'Republic', 2890, 'PE'),
(169, 'PHL', 'Philippines', 'Asia', 'Southeast Asia', 300000.00, 1946, 75967000, 67.5, 65107.00, 82239.00, 'Pilipinas', 'Republic', 766, 'PH'),
(170, 'PLW', 'Palau', 'Oceania', 'Micronesia', 459.00, 1994, 19000, 68.6, 105.00, NULL, 'Belau/Palau', 'Republic', 2881, 'PW'),
(171, 'PNG', 'Papua New Guinea', 'Oceania', 'Melanesia', 462840.00, 1975, 4807000, 63.1, 4988.00, 6328.00, 'Papua New Guinea/Papua Niugini', 'Constitutional Monarchy', 2884, 'PG'),
(172, 'POL', 'Poland', 'Europe', 'Eastern Europe', 323250.00, 1918, 38653600, 73.2, 151697.00, 135636.00, 'Polska', 'Republic', 2928, 'PL'),
(173, 'PRI', 'Puerto Rico', 'North America', 'Caribbean', 8875.00, NULL, 3869000, 75.6, 34100.00, 32100.00, 'Puerto Rico', 'Commonwealth of the US', 2919, 'PR'),
(174, 'PRK', 'North Korea', 'Asia', 'Eastern Asia', 120538.00, 1948, 24039000, 70.7, 5332.00, NULL, 'Choson Minjujuui In´min Konghwaguk (Bukhan)', 'Socialistic Republic', 2318, 'KP'),
(175, 'PRT', 'Portugal', 'Europe', 'Southern Europe', 91982.00, 1143, 9997600, 75.8, 105954.00, 102133.00, 'Portugal', 'Republic', 2914, 'PT'),
(176, 'PRY', 'Paraguay', 'South America', 'South America', 406752.00, 1811, 5496000, 73.7, 8444.00, 9555.00, 'Paraguay', 'Republic', 2885, 'PY'),
(177, 'PSE', 'Palestine', 'Asia', 'Middle East', 6257.00, NULL, 3101000, 71.4, 4173.00, NULL, 'Filastin', 'Autonomous Area', 4074, 'PS'),
(178, 'PYF', 'French Polynesia', 'Oceania', 'Polynesia', 4000.00, NULL, 235000, 74.8, 818.00, 781.00, 'Polynésie française', 'Nonmetropolitan Territory of France', 3016, 'PF'),
(179, 'QAT', 'Qatar', 'Asia', 'Middle East', 11000.00, 1971, 599000, 72.4, 9472.00, 8920.00, 'Qatar', 'Monarchy', 2973, 'QA'),
(180, 'REU', 'Réunion', 'Africa', 'Eastern Africa', 2510.00, NULL, 699000, 72.7, 8287.00, 7988.00, 'Réunion', 'Overseas Department of France', 3017, 'RE'),
(181, 'ROM', 'Romania', 'Europe', 'Eastern Europe', 238391.00, 1878, 22455500, 69.9, 38158.00, 34843.00, 'România', 'Republic', 3018, 'RO'),
(182, 'RUS', 'Russian Federation', 'Europe', 'Eastern Europe', 17075400.00, 1991, 146934000, 67.2, 276608.00, 442989.00, 'Rossija', 'Federal Republic', 3580, 'RU'),
(183, 'RWA', 'Rwanda', 'Africa', 'Eastern Africa', 26338.00, 1962, 7733000, 39.3, 2036.00, 1863.00, 'Rwanda/Urwanda', 'Republic', 3047, 'RW'),
(184, 'SAU', 'Saudi Arabia', 'Asia', 'Middle East', 2149690.00, 1932, 21607000, 67.8, 137635.00, 146171.00, 'Al-´Arabiya as-Sa´udiya', 'Monarchy', 3173, 'SA'),
(185, 'SDN', 'Sudan', 'Africa', 'Northern Africa', 2505813.00, 1956, 29490000, 56.6, 10162.00, NULL, 'As-Sudan', 'Islamic Republic', 3225, 'SD'),
(186, 'SEN', 'Senegal', 'Africa', 'Western Africa', 196722.00, 1960, 9481000, 62.2, 4787.00, 4542.00, 'Sénégal/Sounougal', 'Republic', 3198, 'SN'),
(187, 'SGP', 'Singapore', 'Asia', 'Southeast Asia', 618.00, 1965, 3567000, 80.1, 86503.00, 96318.00, 'Singapore/Singapura/Xinjiapo/Singapur', 'Republic', 3208, 'SG'),
(188, 'SGS', 'South Georgia and the South Sandwich Islands', 'Antarctica', 'Antarctica', 3903.00, NULL, 0, NULL, 0.00, NULL, 'South Georgia and the South Sandwich Islands', 'Dependent Territory of the UK', NULL, 'GS'),
(189, 'SHN', 'Saint Helena', 'Africa', 'Western Africa', 314.00, NULL, 6000, 76.8, 0.00, NULL, 'Saint Helena', 'Dependent Territory of the UK', 3063, 'SH'),
(190, 'SJM', 'Svalbard and Jan Mayen', 'Europe', 'Nordic Countries', 62422.00, NULL, 3200, NULL, 0.00, NULL, 'Svalbard og Jan Mayen', 'Dependent Territory of Norway', 938, 'SJ'),
(191, 'SLB', 'Solomon Islands', 'Oceania', 'Melanesia', 28896.00, 1978, 444000, 71.3, 182.00, 220.00, 'Solomon Islands', 'Constitutional Monarchy', 3161, 'SB'),
(192, 'SLE', 'Sierra Leone', 'Africa', 'Western Africa', 71740.00, 1961, 4854000, 45.3, 746.00, 858.00, 'Sierra Leone', 'Republic', 3207, 'SL'),
(193, 'SLV', 'El Salvador', 'North America', 'Central America', 21041.00, 1841, 6276000, 69.7, 11863.00, 11203.00, 'El Salvador', 'Republic', 645, 'SV'),
(194, 'SMR', 'San Marino', 'Europe', 'Southern Europe', 61.00, 885, 27000, 81.1, 510.00, NULL, 'San Marino', 'Republic', 3171, 'SM'),
(195, 'SOM', 'Somalia', 'Africa', 'Eastern Africa', 637657.00, 1960, 10097000, 46.2, 935.00, NULL, 'Soomaaliya', 'Republic', 3214, 'SO'),
(196, 'SPM', 'Saint Pierre and Miquelon', 'North America', 'North America', 242.00, NULL, 7000, 77.6, 0.00, NULL, 'Saint-Pierre-et-Miquelon', 'Territorial Collectivity of France', 3067, 'PM'),
(197, 'STP', 'Sao Tome and Principe', 'Africa', 'Central Africa', 964.00, 1975, 147000, 65.3, 6.00, NULL, 'São Tomé e Príncipe', 'Republic', 3172, 'ST'),
(198, 'SUR', 'Suriname', 'South America', 'South America', 163265.00, 1975, 417000, 71.4, 870.00, 706.00, 'Suriname', 'Republic', 3243, 'SR'),
(199, 'SVK', 'Slovakia', 'Europe', 'Eastern Europe', 49012.00, 1993, 5398700, 73.7, 20594.00, 19452.00, 'Slovensko', 'Republic', 3209, 'SK'),
(200, 'SVN', 'Slovenia', 'Europe', 'Southern Europe', 20256.00, 1991, 1987800, 74.9, 19756.00, 18202.00, 'Slovenija', 'Republic', 3212, 'SI'),
(201, 'SWE', 'Sweden', 'Europe', 'Nordic Countries', 449964.00, 836, 8861400, 79.6, 226492.00, 227757.00, 'Sverige', 'Constitutional Monarchy', 3048, 'SE'),
(202, 'SWZ', 'Swaziland', 'Africa', 'Southern Africa', 17364.00, 1968, 1008000, 40.4, 1206.00, 1312.00, 'kaNgwane', 'Monarchy', 3244, 'SZ'),
(203, 'SYC', 'Seychelles', 'Africa', 'Eastern Africa', 455.00, 1976, 77000, 70.4, 536.00, 539.00, 'Sesel/Seychelles', 'Republic', 3206, 'SC'),
(204, 'SYR', 'Syria', 'Asia', 'Middle East', 185180.00, 1941, 16125000, 68.5, 65984.00, 64926.00, 'Suriya', 'Republic', 3250, 'SY'),
(205, 'TCA', 'Turks and Caicos Islands', 'North America', 'Caribbean', 430.00, NULL, 17000, 73.3, 96.00, NULL, 'The Turks and Caicos Islands', 'Dependent Territory of the UK', 3423, 'TC'),
(206, 'TCD', 'Chad', 'Africa', 'Central Africa', 1284000.00, 1960, 7651000, 50.5, 1208.00, 1102.00, 'Tchad/Tshad', 'Republic', 3337, 'TD'),
(207, 'TGO', 'Togo', 'Africa', 'Western Africa', 56785.00, 1960, 4629000, 54.7, 1449.00, 1400.00, 'Togo', 'Republic', 3332, 'TG'),
(208, 'THA', 'Thailand', 'Asia', 'Southeast Asia', 513115.00, 1350, 61399000, 68.6, 116416.00, 153907.00, 'Prathet Thai', 'Constitutional Monarchy', 3320, 'TH'),
(209, 'TJK', 'Tajikistan', 'Asia', 'Southern and Central Asia', 143100.00, 1991, 6188000, 64.1, 1990.00, 1056.00, 'Toçikiston', 'Republic', 3261, 'TJ'),
(210, 'TKL', 'Tokelau', 'Oceania', 'Polynesia', 12.00, NULL, 2000, NULL, 0.00, NULL, 'Tokelau', 'Nonmetropolitan Territory of New Zealand', 3333, 'TK'),
(211, 'TKM', 'Turkmenistan', 'Asia', 'Southern and Central Asia', 488100.00, 1991, 4459000, 60.9, 4397.00, 2000.00, 'Türkmenostan', 'Republic', 3419, 'TM'),
(212, 'TMP', 'East Timor', 'Asia', 'Southeast Asia', 14874.00, NULL, 885000, 46.0, 0.00, NULL, 'Timor Timur', 'Administrated by the UN', 1522, 'TP'),
(213, 'TON', 'Tonga', 'Oceania', 'Polynesia', 650.00, 1970, 99000, 67.9, 146.00, 170.00, 'Tonga', 'Monarchy', 3334, 'TO'),
(214, 'TTO', 'Trinidad and Tobago', 'North America', 'Caribbean', 5130.00, 1962, 1295000, 68.0, 6232.00, 5867.00, 'Trinidad and Tobago', 'Republic', 3336, 'TT'),
(215, 'TUN', 'Tunisia', 'Africa', 'Northern Africa', 163610.00, 1956, 9586000, 73.7, 20026.00, 18898.00, 'Tunis/Tunisie', 'Republic', 3349, 'TN'),
(216, 'TUR', 'Turkey', 'Asia', 'Middle East', 774815.00, 1923, 66591000, 71.0, 210721.00, 189122.00, 'Türkiye', 'Republic', 3358, 'TR'),
(217, 'TUV', 'Tuvalu', 'Oceania', 'Polynesia', 26.00, 1978, 12000, 66.3, 6.00, NULL, 'Tuvalu', 'Constitutional Monarchy', 3424, 'TV'),
(218, 'TWN', 'Taiwan', 'Asia', 'Eastern Asia', 36188.00, 1945, 22256000, 76.4, 256254.00, 263451.00, 'T’ai-wan', 'Republic', 3263, 'TW'),
(219, 'TZA', 'Tanzania', 'Africa', 'Eastern Africa', 883749.00, 1961, 33517000, 52.3, 8005.00, 7388.00, 'Tanzania', 'Republic', 3306, 'TZ'),
(220, 'UGA', 'Uganda', 'Africa', 'Eastern Africa', 241038.00, 1962, 21778000, 42.9, 6313.00, 6887.00, 'Uganda', 'Republic', 3425, 'UG'),
(221, 'UKR', 'Ukraine', 'Europe', 'Eastern Europe', 603700.00, 1991, 50456000, 66.0, 42168.00, 49677.00, 'Ukrajina', 'Republic', 3426, 'UA'),
(222, 'UMI', 'United States Minor Outlying Islands', 'Oceania', 'Micronesia/Caribbean', 16.00, NULL, 0, NULL, 0.00, NULL, 'United States Minor Outlying Islands', 'Dependent Territory of the US', NULL, 'UM'),
(223, 'URY', 'Uruguay', 'South America', 'South America', 175016.00, 1828, 3337000, 75.2, 20831.00, 19967.00, 'Uruguay', 'Republic', 3492, 'UY'),
(224, 'USA', 'United States', 'North America', 'North America', 9363520.00, 1776, 278357000, 77.1, 8510700.00, 8110900.00, 'United States', 'Federal Republic', 3813, 'US'),
(225, 'UZB', 'Uzbekistan', 'Asia', 'Southern and Central Asia', 447400.00, 1991, 24318000, 63.7, 14194.00, 21300.00, 'Uzbekiston', 'Republic', 3503, 'UZ'),
(226, 'VAT', 'Holy See (Vatican City State)', 'Europe', 'Southern Europe', 0.40, 1929, 1000, NULL, 9.00, NULL, 'Santa Sede/Città del Vaticano', 'Independent Church State', 3538, 'VA'),
(227, 'VCT', 'Saint Vincent and the Grenadines', 'North America', 'Caribbean', 388.00, 1979, 114000, 72.3, 285.00, NULL, 'Saint Vincent and the Grenadines', 'Constitutional Monarchy', 3066, 'VC'),
(228, 'VEN', 'Venezuela', 'South America', 'South America', 912050.00, 1811, 24170000, 73.1, 95023.00, 88434.00, 'Venezuela', 'Federal Republic', 3539, 'VE'),
(229, 'VGB', 'Virgin Islands, British', 'North America', 'Caribbean', 151.00, NULL, 21000, 75.4, 612.00, 573.00, 'British Virgin Islands', 'Dependent Territory of the UK', 537, 'VG'),
(230, 'VIR', 'Virgin Islands, U.S.', 'North America', 'Caribbean', 347.00, NULL, 93000, 78.1, 0.00, NULL, 'Virgin Islands of the United States', 'US Territory', 4067, 'VI'),
(231, 'VNM', 'Vietnam', 'Asia', 'Southeast Asia', 331689.00, 1945, 79832000, 69.3, 21929.00, 22834.00, 'Viêt Nam', 'Socialistic Republic', 3770, 'VN'),
(232, 'VUT', 'Vanuatu', 'Oceania', 'Melanesia', 12189.00, 1980, 190000, 60.6, 261.00, 246.00, 'Vanuatu', 'Republic', 3537, 'VU'),
(233, 'WLF', 'Wallis and Futuna', 'Oceania', 'Polynesia', 200.00, NULL, 15000, NULL, 0.00, NULL, 'Wallis-et-Futuna', 'Nonmetropolitan Territory of France', 3536, 'WF'),
(234, 'WSM', 'Samoa', 'Oceania', 'Polynesia', 2831.00, 1962, 180000, 69.2, 141.00, 157.00, 'Samoa', 'Parlementary Monarchy', 3169, 'WS'),
(235, 'YEM', 'Yemen', 'Asia', 'Middle East', 527968.00, 1918, 18112000, 59.8, 6041.00, 5729.00, 'Al-Yaman', 'Republic', 1780, 'YE'),
(236, 'YUG', 'Yugoslavia', 'Europe', 'Southern Europe', 102173.00, 1918, 10640000, 72.4, 17000.00, NULL, 'Jugoslavija', 'Federal Republic', 1792, 'YU'),
(237, 'ZAF', 'South Africa', 'Africa', 'Southern Africa', 1221037.00, 1910, 40377000, 51.1, 116729.00, 129092.00, 'South Africa', 'Republic', 716, 'ZA'),
(238, 'ZMB', 'Zambia', 'Africa', 'Eastern Africa', 752618.00, 1964, 9169000, 37.2, 3377.00, 3922.00, 'Zambia', 'Republic', 3162, 'ZM'),
(239, 'ZWE', 'Zimbabwe', 'Africa', 'Eastern Africa', 390757.00, 1980, 11669000, 37.8, 5951.00, 8670.00, 'Zimbabwe', 'Republic', 4068, 'ZW');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_appointment`
--

CREATE TABLE `tbl_appointment` (
  `ID` int(11) NOT NULL,
  `event_id` int(11) DEFAULT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `field_name` varchar(100) DEFAULT NULL,
  `app_date` date DEFAULT NULL,
  `app_time` time DEFAULT NULL,
  `next_available_booking` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_app_file_main_data`
--

CREATE TABLE `tbl_app_file_main_data` (
  `file_id` int(11) NOT NULL,
  `file_name` varchar(100) NOT NULL,
  `date_time` varchar(100) NOT NULL,
  `type_id` tinyint(4) NOT NULL,
  `status_id` tinyint(3) NOT NULL DEFAULT '1',
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_app_file_types`
--

CREATE TABLE `tbl_app_file_types` (
  `type_id` int(11) NOT NULL,
  `type_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_app_file_types`
--

INSERT INTO `tbl_app_file_types` (`type_id`, `type_name`) VALUES
(1, 'invoice'),
(2, 'adjustment');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_app_temp_adjustments`
--

CREATE TABLE `tbl_app_temp_adjustments` (
  `temp_id` int(11) NOT NULL,
  `temp_main_id` int(100) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `quantity` double NOT NULL,
  `UOM_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_app_temp_main_adj`
--

CREATE TABLE `tbl_app_temp_main_adj` (
  `temp_main_id` int(11) NOT NULL,
  `stock_id` int(11) NOT NULL,
  `file_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_archive`
--

CREATE TABLE `tbl_archive` (
  `archive_id` int(11) NOT NULL,
  `archive_name` varchar(250) NOT NULL,
  `archive_title` text,
  `archive_details` text,
  `main_id` int(11) NOT NULL DEFAULT '0',
  `main_type` varchar(50) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_assign_product`
--

CREATE TABLE `tbl_assign_product` (
  `assign_id` int(11) NOT NULL,
  `assign_nb` int(11) NOT NULL,
  `assign_date` date NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `assign_note` text NOT NULL,
  `assign_type` int(11) NOT NULL DEFAULT '0' COMMENT '0=>assign;1=>adjust',
  `current_year_id` int(11) NOT NULL,
  `is_actual` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_assign_product`
--

INSERT INTO `tbl_assign_product` (`assign_id`, `assign_nb`, `assign_date`, `Depot_ID`, `assign_note`, `assign_type`, `current_year_id`, `is_actual`, `date_created`, `date_time`, `created_logged_id`, `Logged_ID`, `Currency_ID`, `current_rate`, `second_currency_rate`) VALUES
(1, 1, '2021-05-03', 1, '', 0, 2, 0, '2021-05-03 10:24:19', '2021-05-03 10:24:19', 1, 1, 84, 1, 0.00066666666666667),
(2, 2, '2021-05-03', 1, '', 0, 2, 0, '2021-05-03 10:25:25', '2021-05-03 10:25:25', 1, 1, 84, 1, 0.00066666666666667),
(3, 3, '2021-05-03', 1, '', 0, 2, 0, '2021-05-03 10:32:21', '2021-05-03 10:32:21', 1, 1, 84, 1, 0.00066666666666667),
(4, 1, '2021-07-01', 1, '', 1, 2, 0, '2021-07-01 08:57:56', '2021-07-01 08:57:56', 1, 1, 84, 1, 0.00066666666666667),
(5, 4, '2021-07-01', 1, '', 0, 2, 0, '2021-07-01 09:00:23', '2021-07-01 09:00:23', 1, 1, 84, 1, 0.00066666666666667),
(6, 2, '2021-07-01', 1, '', 1, 2, 0, '2021-07-01 09:03:27', '2021-07-01 09:03:27', 1, 1, 84, 1, 0.00066666666666667),
(7, 5, '2021-08-12', 1, '', 0, 2, 0, '2021-08-11 14:57:05', '2021-08-11 14:57:05', 1, 1, 84, 1, 0.00066666666666667),
(10, 3, '2021-10-09', 1, '', 1, 2, 0, '2021-10-09 12:57:30', '2021-10-09 12:57:30', 9, 9, 144, 1, 18500),
(11, 4, '2021-10-09', 1, '', 1, 2, 0, '2021-10-09 13:05:39', '2021-10-09 13:05:39', 9, 9, 144, 1, 18500),
(12, 5, '2021-10-09', 1, '', 1, 2, 0, '2021-10-09 13:22:21', '2021-10-09 13:22:21', 9, 9, 144, 1, 18500);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_assign_product_details`
--

CREATE TABLE `tbl_assign_product_details` (
  `detail_id` int(11) NOT NULL,
  `assign_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0',
  `quantity` double NOT NULL DEFAULT '0',
  `current_diff_qty` double NOT NULL DEFAULT '0',
  `diff_qty` double NOT NULL DEFAULT '0',
  `detail_note` varchar(500) NOT NULL,
  `unit_cost` double NOT NULL DEFAULT '0',
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `expiry_date` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_assign_product_details`
--

INSERT INTO `tbl_assign_product_details` (`detail_id`, `assign_id`, `Product_ID`, `UOM_ID`, `current_quantity`, `quantity`, `current_diff_qty`, `diff_qty`, `detail_note`, `unit_cost`, `lot_nb`, `serial_nb`, `expiry_date`) VALUES
(1, 1, 1, 1, 0, 0, 1000, 1000, '', 1000, '', '', NULL),
(2, 2, 2, 1, 0, 0, 100, 100, '', 1000, '', '', NULL),
(3, 3, 2, 1, 0, 0, 100, 100, '', 1000, '', '', NULL),
(4, 4, 13, 2, 10, 10, 9, 9, '', 55000, '', '', NULL),
(5, 5, 1, 1, 0, 0, 10, 10, '', 1000, '', '', NULL),
(6, 6, 1, 1, 950, 950, 26, 26, '', 1000, '', '', NULL),
(7, 7, 1, 1, 0, 0, 30, 30, '', 1000, '', '', NULL),
(10, 10, 111, 27, 1, 1, 1, 1, '', 0, '', '', NULL),
(11, 10, 104, 16, 1, 1, 1, 1, '', 0, '', '', NULL),
(12, 10, 149, 16, 1, 1, 1, 1, '', 0, '', '', NULL),
(13, 10, 130, 35, 1, 1, 1, 1, '', 0, '', '', NULL),
(14, 10, 115, 29, 1, 1, 1, 1, '', 0, '', '', NULL),
(15, 10, 122, 19, 1, 1, 1, 1, '', 0, '', '', NULL),
(16, 10, 131, 36, 1, 1, 1, 1, '', 0, '', '', NULL),
(17, 10, 116, 30, 1, 1, 1, 1, '', 0, '', '', NULL),
(18, 10, 95, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(19, 10, 101, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(20, 10, 108, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(21, 10, 120, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(22, 10, 127, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(23, 10, 154, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(24, 10, 155, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(25, 10, 121, 33, 1, 1, 1, 1, '', 0, '', '', NULL),
(26, 10, 79, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(27, 10, 81, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(28, 10, 83, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(29, 10, 91, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(30, 10, 94, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(31, 10, 106, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(32, 10, 102, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(33, 10, 124, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(34, 10, 129, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(35, 10, 133, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(36, 10, 136, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(37, 10, 137, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(38, 10, 138, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(39, 10, 125, 34, 1, 1, 1, 1, '', 0, '', '', NULL),
(40, 10, 114, 28, 1, 1, 1, 1, '', 0, '', '', NULL),
(41, 10, 156, 42, 1, 1, 1, 1, '', 0, '', '', NULL),
(42, 10, 80, 18, 1, 1, 1, 1, '', 0, '', '', NULL),
(43, 10, 158, 43, 1, 1, 1, 1, '', 0, '', '', NULL),
(44, 10, 117, 32, 1, 1, 1, 1, '', 0, '', '', NULL),
(45, 10, 90, 20, 1, 1, 1, 1, '', 0, '', '', NULL),
(46, 10, 78, 21, 1, 1, 1, 1, '', 0, '', '', NULL),
(47, 10, 75, 13, 1, 1, 1, 1, '', 0, '', '', NULL),
(48, 11, 150, 16, 1, 1, 1, 1, '', 0, '', '', NULL),
(49, 11, 151, 16, 1, 1, 1, 1, '', 0, '', '', NULL),
(50, 11, 76, 14, 1, 1, 1, 1, '', 0, '', '', NULL),
(51, 11, 105, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(52, 11, 113, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(53, 11, 139, 22, 1, 1, 1, 1, '', 0, '', '', NULL),
(54, 11, 159, 44, 1, 1, 1, 1, '', 0, '', '', NULL),
(55, 11, 161, 17, 1, 1, 1, 1, '', 0, '', '', NULL),
(56, 11, 77, 15, 1, 1, 1, 1, '', 0, '', '', NULL),
(57, 11, 31, 11, 1, 1, 1, 1, '', 0, '', '', NULL),
(58, 11, 39, 11, 1, 1, 1, 1, '', 0, '', '', NULL),
(59, 12, 33, 11, 12, 12, 12, 12, '', 3.5, '', '', NULL),
(60, 12, 62, 11, 55, 55, 55, 55, '', 3.5, '', '', NULL),
(61, 12, 73, 11, 106, 106, 106, 106, '', 3.75, '', '', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_attendance_setting`
--

CREATE TABLE `tbl_attendance_setting` (
  `att_setting_id` int(11) NOT NULL,
  `setting_name` varchar(255) NOT NULL,
  `duplicate_check_type` varchar(255) NOT NULL,
  `duplicate_check_period` int(11) NOT NULL DEFAULT '0',
  `max_work_period` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_attendance_setting`
--

INSERT INTO `tbl_attendance_setting` (`att_setting_id`, `setting_name`, `duplicate_check_type`, `duplicate_check_period`, `max_work_period`) VALUES
(1, 'setting A', 'last', 30, 10);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_bone_type`
--

CREATE TABLE `tbl_bone_type` (
  `bone_type_id` int(11) NOT NULL,
  `bone_type_name` varchar(250) NOT NULL,
  `Account_ID` int(11) NOT NULL,
  `vat_account_id` int(11) NOT NULL,
  `service_account_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_bone_type`
--

INSERT INTO `tbl_bone_type` (`bone_type_id`, `bone_type_name`, `Account_ID`, `vat_account_id`, `service_account_id`) VALUES
(1, 'test coupon', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_bone_type_services`
--

CREATE TABLE `tbl_bone_type_services` (
  `service_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `uom_id` int(11) NOT NULL,
  `service_price` double NOT NULL DEFAULT '0',
  `bone_type_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_bone_type_services`
--

INSERT INTO `tbl_bone_type_services` (`service_id`, `product_id`, `uom_id`, `service_price`, `bone_type_id`) VALUES
(1, 4, 2, 10, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_brand_products`
--

CREATE TABLE `tbl_brand_products` (
  `brand_id` int(11) NOT NULL,
  `brand_name` varchar(255) NOT NULL,
  `order_nb` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_budget`
--

CREATE TABLE `tbl_budget` (
  `budget_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `period_id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `logged_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_cash_categories`
--

CREATE TABLE `tbl_cash_categories` (
  `Cash_Category_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Cash_Category_Value` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_cash_categories`
--

INSERT INTO `tbl_cash_categories` (`Cash_Category_ID`, `Currency_ID`, `Cash_Category_Value`) VALUES
(1, 120, 1),
(2, 120, 5),
(3, 120, 10),
(4, 120, 50),
(5, 120, 100),
(6, 120, 500),
(7, 144, 1),
(8, 144, 5),
(9, 144, 10),
(10, 144, 20),
(11, 144, 50),
(12, 144, 100);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_cash_drawer_accounts`
--

CREATE TABLE `tbl_cash_drawer_accounts` (
  `cash_drawer_id` int(11) NOT NULL,
  `cash_drawer_title` varchar(250) NOT NULL,
  `cash_account_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_cash_drawer_accounts`
--

INSERT INTO `tbl_cash_drawer_accounts` (`cash_drawer_id`, `cash_drawer_title`, `cash_account_id`, `branch_id`) VALUES
(1, 'tt', 2097, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_cash_drawer_amount`
--

CREATE TABLE `tbl_cash_drawer_amount` (
  `cash_drawer_amount_id` int(11) NOT NULL,
  `login_system_amount` double NOT NULL DEFAULT '0',
  `real_amount` double NOT NULL DEFAULT '0',
  `cash_drawer_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `login_date_time` datetime NOT NULL,
  `logout_system_amount` double NOT NULL DEFAULT '0',
  `withdrawal_amount` double NOT NULL DEFAULT '0',
  `remaining_amount` double NOT NULL DEFAULT '0',
  `logout_date_time` datetime DEFAULT NULL,
  `drawer_app_id` int(11) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_branch_id` int(11) NOT NULL,
  `is_main_transfer` int(11) NOT NULL COMMENT '0=>not_transfered,1=>login transfered,2=>login and logout transfered'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_chart_of_accounts`
--

CREATE TABLE `tbl_chart_of_accounts` (
  `Account_ID` bigint(20) NOT NULL,
  `Account_Name` varchar(255) NOT NULL,
  `Account_Arabic_Name` varchar(255) NOT NULL,
  `Parent_ID` int(200) NOT NULL,
  `Account_Code` varchar(255) NOT NULL,
  `Account_Status` tinyint(1) NOT NULL DEFAULT '1',
  `IsAdded` tinyint(1) NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `main_id` int(11) NOT NULL,
  `main_type` varchar(100) NOT NULL,
  `sub_type` varchar(100) NOT NULL,
  `job_ids` text NOT NULL,
  `job_required` tinyint(4) NOT NULL DEFAULT '0',
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_chart_of_accounts`
--

INSERT INTO `tbl_chart_of_accounts` (`Account_ID`, `Account_Name`, `Account_Arabic_Name`, `Parent_ID`, `Account_Code`, `Account_Status`, `IsAdded`, `Currency_ID`, `main_id`, `main_type`, `sub_type`, `job_ids`, `job_required`, `Status_ID`) VALUES
(1, 'Equity & Long Term Debts', 'حسابات الرساميل الدائمة', 0, '1', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2, 'fixed assets', 'حسابات الأصول الثابتة', 0, '2', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(3, 'inventory&goods in process', 'مخزون وقيد الصنع', 0, '3', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(4, 'receivables & payables ', 'الذمم', 0, '4', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(5, 'financial accounts', 'الحسابات المالية', 0, '5', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(6, 'expenditure', 'حسابات الاعباء', 0, '6', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(7, 'income', 'حسابات الايرادات', 0, '7', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(8, 'capital', 'رأس المال', 1, '10', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(9, 'reserves', 'الاحتياطيات', 1, '11', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(10, 'brought forward results', 'نتائج سابقة مدورة', 1, '12', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(11, 'net result of the financial period (profit or loss)', 'النتيجة الصافية للدورة المالية (ربح او خسارة)', 1, '13', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(12, 'investment subsidies', 'اعانات للتوظيفات', 1, '14', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(13, 'provisions for contingencies& charges', 'مؤونات لمواجهة المخاطر والاعباء', 1, '15', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(14, 'long& medium term debts', 'ديون مالية طويلة ومتوسطة الاجل', 1, '16', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(15, 'accounts with affiliated companies', ' حسابات ارتباطات المؤسسات والفروع والشركات المشاركة خاصة ', 1, '18', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(16, 'accounts of regrouping the charges& the income', 'حسابات تجميع الاعباء والايرادات ', 1, '19', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(17, 'intangible fixed assets', 'اصول ثابتة غير مادية', 2, '21', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(18, 'tangible  fixed assets', 'اصول ثابتة مادية', 2, '22', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(19, 'financial fixed assets', 'اصول ثابتة مالية', 2, '25', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(20, 'depreciation of fixed assets', 'استهلاكات اصول ثابتة', 2, '28', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(21, 'provision for diminution in value of fixed assets ', 'مؤونات هبوط اسعار الاصول الثابتة', 2, '29', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(22, 'raw matherials and consumable goods', 'مواد اولية او استهلاكية', 3, '31', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(23, 'goods  in process{ goods, works and services}', 'قيد الصنع (سلع واشغال وخدمات)', 3, '33', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(24, 'products ', 'منتجات قيد الصنع ', 3, '35', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(25, 'merchandise for sale', 'البضائع (المعدة للبيع )', 3, '37', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(26, 'suppliers', 'الموردون', 4, '40', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(27, 'debtors customers', 'الزبائن', 4, '41', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(28, 'personnel', 'المستخدمون', 4, '42', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(29, 'social security', 'مؤسسات الضمان الاجتماعي', 4, '43', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(30, 'govr. and public institutions ', 'الدولة والمؤسسات العامة ', 4, '44', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(31, 'partners', 'الشركاء', 4, '45', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(32, 'miscellanequs accounts receivable& payable', 'ذمم مختلفة', 4, '46', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(33, 'pre-payments accruals', 'حسابات التسوية', 4, '47', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(34, 'transitory and regularization account ', 'الحسابات المؤقتة وقيدالتسوية', 4, '48', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(35, 'provisions for diminution in value of (receivables & payable)', 'مؤونات لمواجهة هبوط قيم حسابات الذمم', 4, '49', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(36, 'security placements', 'سندات التوظيف', 5, '50', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(37, 'financial institutions', 'المؤسسات المالية', 5, '51', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(38, 'cash', 'الصندوق ', 5, '53', 1, 0, 0, 0, 'auto', 'cash', '', 0, 1),
(39, 'intercompany transfers', 'التحويلات الداخلية ', 5, '58', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(40, 'provision for diminution in value of security placements', 'مؤونات هبوط اسعار سندات التوظيف', 5, '59', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(51, 'sales of goods', 'مبيعات البضاعة', 7, '70', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(53, 'production variation ', 'الانتاج المخزون قيمة التغيير', 7, '72', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(54, 'production of fixed Assets', 'منتجات لها طابع الاصول الثابتة', 7, '73', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(55, 'Operating Subsidies', 'اعانات للاستثمار', 7, '74', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(56, 'provisions write-Back', 'استردادات من المؤونات للاستثمار', 7, '75', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(57, ' othel Operating income', 'ايرادات اخرى ناتجة  عن الاستثمار', 7, '76', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(58, 'financial revenues', 'ايرادات مالية', 7, '77', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(59, 'non operating revenues', 'ايرادات خارج الاستثمار ', 7, '78', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(60, 'capital (company or individual)', 'للشركة أو الشخص', 8, '101', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(61, 'subscribed capital (uncalled)', 'المكتتب غير المستدعى', 8, '10110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(62, 'subscribed capital (called and unpaid)', 'المكتتب المستدعوغيرالمدفوع', 8, '10120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(63, 'subscribed capital (called and paid up)', 'المكتتب المستدعوالمدفوع', 8, '10130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(64, 'premiums related to the capital', 'علاوات اصدارواندماج ومقدمات ', 8, '102', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(65, 'lssue premiums', 'علاوات اصدار', 8, '10210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(66, 'merger premiums', 'علاوات اندماج', 8, '10220', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(67, 'contrlbutions premiums', 'علاوات مقدمات', 8, '10230', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(68, 'premiums on converting debonture loans to shares', 'علاوات تحويل السندات الى اسهم', 8, '10240', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(69, 'revalution variances', 'فروقات اعادة التخمين', 8, '103', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(70, 'revalution variances of unmortizable fixed assets', 'اصول ثابتة غيرقابلة للاستهلاك', 8, '10310', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(71, 'revalution variances of amortizable fixed assets', 'اصول ثابتة قابلة للاستهلاك', 8, '10350', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(72, 'owners current account', 'الحساب الشخصي لصاحب المؤسسة', 8, '109', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(73, 'legal reserve', 'قانوني', 9, '111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(74, 'statutary and contractual reserve', 'نظامي اوتعاقدي', 9, '112', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(75, 'other reserves', 'اخرى', 9, '119', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(76, 'profit brought forward', 'دائنة', 10, '12110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(77, 'loss brought forward', 'مدينة', 10, '12510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(78, 'gross trade margin', 'الهامش التجاري القائم', 11, '131', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(79, 'value added', 'القيمة المضافة ', 11, '132', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(80, 'gross trading operating margin ', 'الفائض غير الصافي للاستثمار', 11, '133', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(81, 'operating result (prior to financial income & expenditures)', 'نتيجة الاستثمار (خارج الاعباء والايرادات المالية)', 11, '134', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(82, 'result before taxation', 'النتيجة الجارية قبل الضريبة', 11, '135', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(83, 'non- operating result', 'النتيجة خارج الاستثمار', 11, '136', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(84, 'result of the period--profits', 'نتيجة الدورة ارباح', 11, '138', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(85, 'result of the period--losses', 'نتيجة الدورة خسائر', 11, '139', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(86, 'investment subsidies received', 'مقبوضة', 12, '141', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(87, 'investment subsidies transferred to results', 'محولة للنتائج', 12, '145', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(88, 'provisions for contingencies', 'مؤونات مواجهة المخاطر', 13, '151', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(89, 'provisions for litigation and sundry contingencies', 'مؤونات منازعات واحتمالات مختلفة', 13, '15110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(90, 'provisions in respect of guarantees given to customers', 'مؤونات لقاء ضمانات معطاة للزبائن', 13, '15120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(91, 'provisions for losses on exchange ', 'مؤونات خسائر سعر الصرف', 13, '15130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(92, 'provisions for losses on future transactions', 'مؤونات خسائر على عقود لاجل', 13, '15140', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(93, 'provisions for fines and penalties', 'مؤونات الغرامات والجزاءات', 13, '15150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(94, 'provisions for charges', 'مؤونات لمواجهة الاعباء', 13, '155', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(95, 'provisions for deffered charges', 'مؤونات اعباء واجب توزيعها على عدة دورات مالية', 13, '15510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(96, 'provisions for employee end of service indemnities and similar obligation', 'مؤونات مواجهة معاشات التقاعد وموجبات', 13, '15520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(97, 'provisions for taxes', 'مؤونات للضرائب', 13, '15530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(98, 'loans against debenture ', 'لقاء سندات دين', 14, '161', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(99, 'loans from financial institutions', 'من مؤسسات تسليف', 14, '162', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(100, 'sundry loans and debts', 'قروض وديون مختلفة', 14, '168', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(101, 'notes payable resulting from the purchase of the enterprise', 'اوراق دفع ناجمة عن شراء المؤسسة التجارية', 14, '16810', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(102, 'deposits and guarantees', 'ودائع وكفالات ', 14, '16820', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(103, 'advances from the government', 'سلفات الدولة', 14, '16830', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(104, 'capitalized life annuities ', 'دخل مدى الحياة متراكم', 14, '16840', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(105, 'other medium and long term debts', 'ديون اخرى طويلة ومتوسطة الاجل', 14, '16890', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(106, 'branches and joint ventures accounts{ one account for each entity}', 'حساب لكل مؤسسة', 15, '181', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(107, 'balance brought forward', 'رصيد مدور ', 15, '18110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(108, 'movements of the period ', 'حركات الدورة المالية', 15, '18150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(109, 'intercompany  charges ', 'اموال وخدمات متبادلة بين الفروع (اعباء)', 15, '186', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(110, 'intercompany income', 'اموال وخدمات متبادلة بين الفروع (ايرادات)', 15, '187', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(111, 'determination of the gross trading margin', 'تحديد الهامش التجاري القائم', 16, '191', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(112, 'determination of value added', 'تحديد القيمة المضافة', 16, '192', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(113, 'determination of the gross operating income ', 'تحديد الفائض غير الصافي للاستثمار', 16, '193', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(114, 'determination of operating result{ prior to financial income and expenditures}', 'تحديد نتيجة الاستثمار (قبل الاعباء والايرادات', 16, '194', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(115, 'determination of the current result before taxation', 'تحديد النتيجة الجارية قبل الضريبة', 16, '195', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(116, 'determination of non- operating result', 'تحديد النتيجة خارج الاستثمار', 16, '196', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(117, 'determination of the period\'s result', 'تحديد نتيجة الدورة المالية', 16, '197', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(118, 'business concern keymoney goodwill clients', 'خلو شهرة زبائن', 17, '211', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(119, 'establishment expenses ', 'م. تاسيس', 17, '212', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(120, 'research and development expenses', 'م. بحوث وتطوير', 17, '213', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(121, 'patents, licenses, trade marks and similar ', 'براءات اختراع اجازات علامات وقيم مماثلة', 17, '214', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(122, 'other intangible fixed assets ', 'اخرى', 17, '219', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(123, 'advance payments on account of  intangible..fixed assests', 'سلفات ودفعات علىحساب تقديم اصول ثابتة غير', 122, '21980', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(124, 'land', 'الاراضي', 18, '221', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(125, 'naked land ', 'اراضي فراغ', 18, '22110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(126, 'built lands (real estate complexes)', 'اراضي مبنية', 18, '22120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(127, 'extractive land sites (mines', 'اراضي برسم الاستثمار الجوفي(مناجم -- مقالع…)', 18, '22130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(128, 'land development and reclamation', 'استصلاح وتنظيم اراضي ', 18, '22140', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(129, 'construction', 'الانشاءات', 18, '223', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(130, 'buildings', 'ابنية', 18, '22730', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(131, 'general installation and leasehold improvements', 'تجهيزات عامة استصلاح وتنظيم ابنية', 18, '22320', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(132, 'infrastructure  works (dams..airport runway)', 'انشاءات البنية التحتية (سدود -- مدارج مطارات…)', 18, '22330', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(133, 'construction on loasehold land', 'انشاءات على اراضي الغير', 18, '22340', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(134, 'technical installations and industrial tools', 'تجهيزات فنية  معدات وادوات صناعية', 18, '224', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(135, 'specialized installations', 'تجهيزات متخصصة', 18, '22410', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(136, 'specific installations', 'تجهيزات ذات طبيعة خاصة ', 18, '22420', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(137, 'industrial equipment', 'المعدات الصناعية', 18, '2243', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(138, 'industrial tools', 'الادوات الصناعية', 18, '22440', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(139, 'transportation equipment', 'اليات النقل', 18, '225', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(140, 'other tangible fixed assets  ', 'اصول ثابتة  مادية اخرى', 18, '226', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(141, 'general installations and other improvements and developments', 'تجهيزات عامة الاستصلاحات والتحسينات المختلفة', 18, '22610', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(143, 'furniture', 'اثاث', 18, '22630', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(144, 'agricultural investments', 'استثمارات زراعية', 18, '22640', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(145, 'reusable packing material', 'عبوات قابلة لاعادة الاستعمال', 18, '22650', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(146, 'tangible fixed assets in progress ', 'اصول ثابتة مادية قيد الصنع', 18, '227', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(147, 'land', 'الاراضي', 18, '22710', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(149, 'technical installations industrial equipment ', 'تجهيزات فنية معدات ادوات صناعية', 18, '2274', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(150, 'other tangible fixed assets  ', 'اصول ثابتة مادية اخرى', 18, '22690', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(151, 'advance payments on account of tangible fixed assets', 'سلفات ودفعات على حساب شراء اصول ثابتة مادية', 18, '228', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(152, 'equity participations', 'سندات المشاركة', 19, '251', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(153, 'receivables related to equity participation ', 'ذمم مدينة مرتبطة بمشاركات ', 19, '252', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(154, 'other bloked securities', 'سندات اخرى مجمدة ', 19, '253', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(155, 'ownership rights (minor participation)', 'سندات ملكية (اسهم ، حصص شراكة)', 154, '25310', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(156, 'debenture loans (bonds and debentures)', 'سندات دين ( سندات ، قسائم )', 154, '25350', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(157, 'long and medium term loans ', 'قروض طويلة ومتوسطة الاجل', 19, '255', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(158, 'loans to partners', 'قروض للشركاء', 157, '25510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(159, 'loans to employees', 'قروض للمستخدمين ', 157, '25520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(160, 'other loans ', 'قروض اخرى', 157, '25580', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(161, ' other blocked long term receivables', 'ذمم مدينة مجمدة اخرى', 19, '259', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(162, 'amortization of the business concern (good will)', 'استهلاك المؤسسة التجارية  (الشهرة )', 20, '280', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(163, 'amortization of other intangible fixed assets', ' استهلاك اصول ثابتة غير مادية اخرى', 20, '281', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(164, 'establishment expenses ', 'م . تاسيس', 20, '2811', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(165, 'research and development expenses ', 'م . بحوث وتطوير', 20, '28120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(166, 'patents, licences and similar values ', 'براءات اختراع اجازات وقيم مماثلة', 20, '28130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(167, 'other intangible fixed assets', 'اصول ثابتة غير مادية اخرى', 20, '28190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(168, 'depreciation of tangible fixed assets ', 'استهلاكات اصول ثابتة  مادية ', 20, '282', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(169, 'extractive land sites (mines, quarriesâ€¦) ', 'اراضي برسم الاستثمار  الجوفي ( مناجم -- مقالع …)', 168, '28210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(170, 'buildings', ' الابنية ', 168, '28231', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(171, 'technical installations', 'تجهيزات فنية معدات وادوات صناعية', 168, '28240', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(172, 'transportation equipement', 'وسائل النقل ', 168, '28250', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(173, 'other tangible fixed assets  ', 'اصول ثابتة مادية اخرى ', 168, '28260', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(174, 'provisions for diminution in value of fixed assets', 'مؤونات هبوط قيمة ( المؤسسة التجارية)', 21, '290', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(175, 'provisions for diminution in value of intangible fixed assets ', 'مؤونات هبوط قيم اصول ثابتة غير مادية', 21, '291', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(176, 'trade marks and similars', 'علامات وقيم مماثلة ', 21, '29110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(177, 'other intangible fixed assets ', 'اصول ثابتة غير مادية اخرى ', 21, '29190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(178, 'provisions for diminution in value of tangible fixed assets ', 'مؤونات هبوط اسعار اصول ثابتة مادية', 21, '292', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(179, 'land (other than extractive land sites)', 'اراضي غير الاستثمار الجوفي', 21, '29210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(180, 'other tangible fixed assets ', 'اصول ثابتة مادية اخرى', 21, '29260', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(181, 'provisions for diminution in value of financial fixed assets ', 'مؤونات هبوط اسعار اصول ثابتة مالية', 21, '295', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(182, 'equity participations', 'سندات مشاركة', 21, '29510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(183, 'receivables related to equity participations', 'ذمم مدينة مرتبطة بمشاركات ', 21, '29520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(184, 'other blocked securities', 'سندات اخرى  مجمدة', 21, '29530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(185, 'long and medium term loans ', 'قروض ممنوحة طويلة  ومتوسطة الاجل', 21, '29550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(186, 'other blocked long term receivables', 'ذمم مدينة اخرى مجمدة', 21, '29590', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(188, 'ordinary clients', ' الزبائن عاديون ', 27, '4111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(191, 'Suppliers Open Accounts', 'فواتير', 26, '4011', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(207, 'purchase and variation  of inventory ', 'مشتريات البضاعة وقيمة التغيير في المخزون', 6, '60', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(208, 'purchases', 'مشتريات البضاعة ', 207, '601', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(209, 'banks', 'بنوك', 37, '512', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(213, 'Contingency', 'الحسابات الغير متوقعة', 0, '8', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(214, 'Memorandum', 'مذكرة', 0, '9', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(316, 'Invoices', 'فواتير الزبائن', 27, '411', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(317, 'raw materials', 'مواد اولية', 22, '311', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(318, 'other consumable  supplies and materials', 'مواد ولوازم استهلاكية اخرى', 22, '315', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(319, 'products in process', 'منتجات قيد الصنع', 23, '331', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(320, 'works in progress', 'اشغال قيد التنفيذ', 23, '332', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(321, 'studies in progress', 'دراسات قيد الاعداد', 23, '335', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(322, 'services in progress', 'خدمات قيد التقديم', 23, '336', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(323, 'semi- finished goods', 'منتجات وسيطة', 24, '351', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(324, 'manufactured goods', 'منتجات تامة الصنع', 24, '355', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(325, 'production scrap', 'فضلات الانتاج', 24, '358', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(326, 'provisions for diminution in value of inventory & goods in process', 'مؤونات هبوط اسعار المخزون وقيد الصنع', 3, '39', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(327, 'provisions for diminution in value of raw materials and consumable goods', 'مؤونات هبوط اسعار مخزون مواد اولية واستهلاكية', 326, '391', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(328, 'provisions for diminution in value of priducts in process', 'مؤونات هبوط اسعار انتاج قيد الصنع', 326, '393', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(329, 'provisions for diminution in value of products in process', 'مؤونات هبوط اسعار انتاج مخزون', 326, '395', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(330, 'provisions for diminution in value of inventory', 'مؤونات هبوط اسعار البضاعة المخزونة', 326, '397', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(331, 'accounts payables{ suppliers}', 'ذمم دائنة (موردو الاستثمار)', 26, '4012', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(332, 'notes payable', 'اوراق الدفع', 26, '40150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(333, 'invoices not received yet', 'فواتير لم تصل بعد', 26, '40180', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(334, 'earned discounts& allowances(assets)', 'حسومات مكتسبة', 26, '40390', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(335, 'fixed assets suppliers', 'موردو الاصول الثابتة', 26, '4016', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(336, 'invoices for assets', 'فواتير الاصول', 26, '403', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(337, 'notes payables', 'اوراق الدفع', 26, '40350', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(338, 'invoices not received yet (assets)', 'فواتير لم تصل  بعد (اصول)', 26, '40380', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(339, 'earned discounts& allowances', 'حسومات مكتسبة', 26, '40190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(340, 'advence payments on account of operational supplies', 'سلفات ودفعات على حساب طلبيات للاستثمار', 26, '409', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(341, 'doubtful clients', 'الزبائن المشكوك بتحصيل ديونهم', 27, '41150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(342, 'discounts& allowances', 'حسومات ممنوحة من المؤسسة', 27, '41190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(343, 'notes receivable clients', 'اوراق قبض الزبائن', 27, '413', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(344, 'advences on works unbilled', 'ذمم مدينة على اشغال لم تبلغ مرحلة تحرير فواتير', 27, '415', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(345, 'invoices under preparation', 'فواتير قيد الاعداد', 27, '418', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(346, 'advences and payments on account for orders under execution', 'سلفات ومقبوضات على طلبيات قيد التنفيذ', 27, '419', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(347, 'payments due to personel', 'المدفوعات المتوجبة للمستخدمين حساب دائن', 28, '421', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(348, 'personel\'s accounts receivable', 'حسابات المستخدمين المدينة', 28, '428', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(349, 'advances and payments', 'سلفات ودفعات للمستخدمين', 348, '4281', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(350, 'retentions', 'حجوزات', 348, '4282', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(351, 'accounts payable to social security', 'ذمم دائنة تجاه الضمان الاجتماعي', 29, '431', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(352, 'benefits payable', 'تقديمات برسم الدفع', 29, '43110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(353, 'notes payable----- social security', 'اوراق الدفع ضمان اجتماعي', 29, '43150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(354, 'charges to be accrued for{ social security}', 'اعباء يجب لحظها  ضمان اجتماعي', 29, '43180', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(355, 'accounts receivable from social security fund', 'ذمم مدينة ضمان اجتماعي', 29, '438', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(356, 'taxes_due{ operational }', 'ضرائب متوجبة  على الاستثمار', 30, '441', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(357, 'taxes due{ operational }', 'ضرائب ورسوم متوجبة', 356, '4411', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(358, 'notes payable{ taxes and rates}', 'اوراق دفع ضرائب ورسوم', 356, '44150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(359, 'other taxes to be accrued for', 'اعباء يجب لحظها ضرائب ورسوم', 356, '44180', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(360, 'taxes due{  non- operational}', 'الضرائب المتوجبة خارج الاستثمار', 30, '443', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(361, 'taxes on profit', 'الضرائب على الارباح', 30, '44310', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(362, 'gov\'t and public institutions other accounts payable', 'الدولة والمؤسسات العامة (ذمم دائنة اخرى)', 30, '445', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(363, 'gov\'t and public institutions accounts receivable', 'الدولة والمؤسسات العامة (ذمم مدينة)', 30, '449', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(364, 'subsidies receivable', 'اعانات مستحقة غير مقبوضة', 30, '44910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(365, 'other receivables{ gov\'t and public institutions }', 'الدولة والمؤسسات العامة ذمم مدينة اخرى', 30, '44970', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(366, 'accrued revenues not collected', 'ايرادات مستحقة غير مقبوضة', 30, '44980', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(367, 'partners ccurent account', 'حسابات الشركاء الجارية المدينة او الدائنة', 31, '451', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(368, 'affiliated companies', 'شركات شقيقة', 31, '45113', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(369, 'hoilding company', 'الشركة الام', 31, '45111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(370, 'subsidiary companies', 'الشركات التابعة', 31, '45112', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(371, 'other distributions', '', 375, '45390', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(372, 'multi- group companies', 'الشركات الداخلة في عدة مجموعات', 31, '45114', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(373, 'Partner Advances', 'تقديمات الشركاء', 31, '45150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(374, 'joint ventures', 'عمليات مشتركة', 31, '45180', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(375, 'dividends payable', 'انصة ارباح برسم الدفع', 31, '453', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(376, 'other partners payables', 'ذمم دائنة اخرى لشركاء', 31, '455', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(377, 'contribution to the company\'s capital', 'حسابات المقدمات للشركة', 376, '45510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(378, 're- imbursement of company\'s capital', 'راس المال المقرراسترداده من الشركاء', 376, '45520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(379, 'Partners Withdrawal', 'مسحوبات الشركاء', 31, '45155', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(380, 'shareholders receivable', 'ذمم الشركاء المدينة', 31, '459', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(381, 'subscribed& uncalled capital', 'راس المال المكتتب غير المستدعى', 380, '45910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(382, 'subscribed capital called& unpaid', 'راس المال المكتتب المستدعى وغير المدفوع', 380, '45920', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(383, 'Loss Brought Forward (sc)', 'نتائج سابقة مدورة', 380, '45970', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(384, 'misc.operating accounts payable', 'ذمم الاستثمار الدائنة الاخرى', 32, '461', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(385, 'accounts payable----- for consignements& containers', 'ذمم دائنة متعلقة بالعبوات والمعدات الموضوعة بالامانة', 384, '46110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(386, 'other payables {operational}', 'حسابات دائنة مختلفة  استثمار', 384, '4619', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(387, 'instaiments on financial fixed assets', 'اقساط  برسم الدفع على اصول ثابتة مالية', 32, '463', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(388, 'uncalled equity participation', 'سندات مشاركة غير محررة', 387, '46310', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(389, 'other blocked securities{ uncalled}', 'سندات اخرى مجمدة غير محررة', 387, '46330', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(390, 'misc. accounts payable---- non-operating', 'دائنون مختلفون خارج الاستثمار', 32, '465', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(391, 'payables on aquisition of security placements', 'ذمم دائنة على امتلاك  سندات توظيف', 390, '46510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(392, 'debentures', 'سندات الدين', 390, '46520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(393, 'installments on aquisition  of security placements', 'اقساط برسم الدفع على سندات توظيف', 390, '46530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(394, 'other misc.payables, non-operating', 'دائنون مختلفون خارج الاستثمار', 390, '46590', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(395, 'misc.accounts receivables-operating', 'مدينون مختلفون للاستثمار', 32, '468', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(396, 'accounts receivables-for consignments& containers', 'ذمم مدينة متعلقة بالعبوات والمعدات الواجب اعادتها', 395, '46810', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(397, 'other misc.receivables-operational', 'حسابات اخرى مدينة مختلفة للاستثمار', 395, '46890', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(398, 'misc.receivables-non-operating', 'مدينون مختلفون خارج الاستثمار', 32, '469', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(399, 'accounts receivables on fixed assets disposal & sale of placement securities', 'ذمم مدينة على بيع اصول ثابتة وسندات توظيف', 398, '46910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(400, 'other misc. receivable-non-operational', 'حسابات اخرى مدينة خارج الاستثمار', 398, '46990', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(401, 'deffered charges', 'الاعباء الواجب توزيعها على عدة دورات', 33, '471', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(402, 'pre-operation expenses', 'اعباء ما قبل الاستثمار', 401, '47110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(403, 'major repairs for amortization', 'التصليحات الكبيرة الواجب استهلاكها', 401, '47120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(404, 'debenture& bonds premiums', 'علاوات تسديد السندات', 401, '47130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(405, 'other deferred charges', 'اعباء اخرى واجب توزيعها على عدة دورات مالية', 401, '47190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(406, 'Charges Expected in Advance', 'اعباء محتسبة مسبقا', 33, '472', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(407, 'accrued income/Income Expected In Advance', 'ايرادات محتسبة  مسبقا', 33, '473', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(408, 'exchange difference-liabilities', 'فروقات صرف خصوم', 33, '475', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(409, 'increase on accounts receivable', 'الزيادة في الذمم المدينة', 408, '47510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(410, 'decrease on accounts payable', 'التدني في الذمم الدائنة', 408, '47520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(411, 'other exchange difference', 'فروقات معوضة بفرق الصرف', 408, '47580', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(412, 'exchange difference -assets', 'فروقات صرف اصول', 33, '476', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(413, 'decrease on accounts receivable', 'التدني في الذمم  المدينة', 412, '47610', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(414, 'increase on accounts payable', 'الزيادة في الذمم الدائنة', 412, '47620', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(415, 'other exchange difference', 'فروقات معوضة بفرق الصرف', 412, '47680', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(416, 'periodical allocation of expenses', 'حسابات التوزيع الدوري للاعباء', 34, '481', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(417, 'periodical allocation of income', 'حسابات التوزيع الدوري للايرادات', 34, '482', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(418, 'provision for dimunition  in value of receivables {clients}', 'مؤونات هبوط قيم الذمم المدينة زبائن', 35, '491', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(419, 'provision for dimunition in value of partners accounts', 'مؤونات هبوط قيم حسابات الشركاء', 35, '495', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(420, 'provision for dimunition in values of misc.receivable', 'مؤونات هبوط قيم حسابات  الذمم المدينة المختلفة', 35, '496', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(421, 'misc.receivables-  operational', 'مدينون مختلفون - للاستثمار', 420, '49680', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(422, 'misc.receivables-   non-opertional', 'مدينون مختلفون - خارج الاستثمار', 420, '49690', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(423, 'purchases of the company own shares', 'اسهم صادرة  عن الشركة ومعاد شراؤها من قبلها', 36, '501', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(424, 'property rights related to notes', 'سندات تمنح حامليها حق الملكية', 36, '502', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(425, 'debentures & bonds', 'سندات دين وقسائم  صادرة عن الشركة', 36, '505', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(426, 'liabilities rights related to notes', 'سندات تمنح حامليها  حقوق الدائنين', 36, '506', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(427, 'cheques& coupon for collection', 'شكات وقسائم برسم القبض راجع التحصيل', 37, '511', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(428, 'financial institutions(nb)', 'مؤسسات التمويل', 37, '519', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(429, 'goods', 'البضاعة', 208, '60110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(430, 'purchases containers& packing materials', 'العبوات', 208, '60120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(431, 'Purchases From Unknown People', 'مشتريات من اشخاص لا يوجد لديهم مكان عمل', 208, '60111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(432, 'variation of inventory', 'قيمة التغيير في مخزون البضاعة', 207, '605', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(433, 'commissions', 'سمسرة  و عمولات', 208, '60182', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(434, 'insurance on freight', 'تامين على الشحن', 208, '60183', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(435, 'clearing expenses', 'اتعاب مخلصي البضاعة', 208, '60184', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(436, 'customs charges', 'رسوم جمركية', 208, '60185', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(437, 'discount allowances earned', 'حسومات مكتسبة', 208, '60190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(438, 'purchases from non resident suppliers', 'مشتريات من اشخاص لا يوجد لهم عمل', 208, '60119', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(439, 'opening stock', 'مخزون اول المدة', 432, '6051', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(440, 'freight ', 'نقليات', 208, '60181', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(441, 'purchases raw materials & consumables', 'مواد اولية واستهلاكية مستخدمة', 6, '61', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(442, 'other charges disbursements', 'اعباء خارجية اخرى', 6, '62', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(443, 'salaries& wages', 'رواتب وأجور المستخدمين', 511, '631', 2, 0, 0, 0, 'auto', '', '', 0, 1),
(444, 'fees  taxes', 'ضرائب ورسوم ومدفوعات مماثلة ', 6, '64', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(445, 'amortization depreciation &{provisions operational}', 'مخصصات الاستهلاكات والمؤونات للاستثمار', 6, '65', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(446, 'other operating charges', 'أعباء ادارية عادية اخرى ', 6, '66', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(447, 'financial charges ', 'الأعباء المالية ', 6, '67', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(448, 'non operating charges', 'اعباء خارج الاستثمار', 6, '68', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(449, 'income tax on  profits', 'الضرائب على الارباح', 6, '69', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(450, 'raw materials and consumables purchases', 'مشتريات المواد الاولية الاستهلاكية', 441, '611', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(451, 'raw materials purchases', 'شراء مواد اولية', 450, '61110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(452, 'a. raw materials purchases', 'مواد اولية  أ', 450, '61111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(453, 'b .raw materials purchases', 'مواد أولية ب', 450, '61112', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(454, 'consumables purchases', 'شراء مواد ولوازم استهلاكية', 450, '61120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(455, 'fuel& gaz', 'محروقات', 450, '61121', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(456, 'maintenance products', 'مواد الصيانة', 450, '61122', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(457, 'workshop& factory supplies', 'لوازم للمشغل والمصنع', 450, '61123', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(458, 'stores supplies', 'لوازم للمخزن', 450, '61124', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(459, 'office supplies', 'لوازم مكتبية', 450, '61125', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(460, 'containers & packing materials purshases', 'شراء عبوات', 467, '61230', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(461, 'unreturnable containers', 'عبوات لاتسترد', 450, '61131', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(462, 'returnable containers', 'عبوات تسترد ويعاد استعمالها', 450, '61132', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(463, 'other containrers', 'عبوات تستعمل على اوجه مختلفة', 450, '61133', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(464, 'expenses connected to raw materials& consumabic', 'مصاريف اضافية على شراء مواد اولية واستهلاكية', 467, '61280', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(465, 'transport& freight', 'نقليات', 450, '61181', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(466, 'commissions& brokerage', 'سمسرة وعمولات', 450, '61182', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(467, 'raw materials and consumable purchases for industries', 'مشتريات المواد الاولية والاستهلاكية ااقطاع الصناعي', 441, '612', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(468, 'Custom charges', 'رسوم جمركية', 450, '61185', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(470, 'discount& allowances eaقned detailed', 'حسومات مكتسبة (بالتفصيل)', 450, '61190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(471, 'variation of raw materials consumable inventory', 'قيمة التغيير في مخزون المواد الاولية والاستهلاكية', 441, '615', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(472, 'closing stock', 'مخزون اخر المدة', 432, '6052', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(473, 'Purchases raw material from the resident suppliers', '', 450, '61119', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(474, 'costs related to sub contracts', 'المشتريات من ملتزمين ثانويين', 442, '621', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(475, 'sub contract a', 'ملتزم ثانوي ا', 474, '62110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(476, 'sub contract  b', 'ملتزم ثانوي ب', 474, '62120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(477, 'discount& allowances in purchases from sub-contractors', 'حسومات مكتسبة على مشتريات من الملتزمين ثانويين', 474, '62190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(478, 'leasing& patents cost', 'الاتاوى', 442, '625', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(479, 'leasing on materials', 'ايجار قرض اموال منقولة', 478, '62510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(480, 'leasing on property', 'ايجار قرض اموال غير منقولة', 478, '62520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(481, 'royalties', 'حقوق الامتياز', 478, '62530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(482, 'licences', 'براءات', 478, '62540', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(483, 'Diplomas', 'اجازات', 478, '62550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(484, 'trade marks', 'علامات', 478, '62560', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(485, 'Procedures', 'اساليب', 478, '62570', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(486, 'similar values& rights', 'حقوق وقيم مماثلة', 478, '62580', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(487, 'external services', 'الخدمات الخارجية', 442, '626', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(488, 'transportation of assets', 'نفقات نقل الموجودات', 487, '62611', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(489, 'personnel collective transportation', 'نفقات النقل المشترك للمستخدمين', 487, '62612', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(490, 'postage, telephone& telecommunition', 'نفقات البريد والاتصالات السلكية واللاسلكية', 487, '62615', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(491, 'maintenance&repairs', 'حسومات مكتسبة على مشتريات من ملتزمين سنويين', 487, '62620', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(492, 'Legal representation expenses', 'مصاريف التمثيل القانوني', 487, '62644', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(493, 'rent', 'الايجارات', 487, '62631', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(494, 'other related charges', 'اعباء تاجيرية اخرى', 487, '62632', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(495, 'Board of directories', '', 492, '62644001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(496, 'entertainment', 'تشريفات', 487, '62641', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(497, 'travel& transport', 'نقل وانتقال', 487, '62642', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(498, 'personnel meals', 'اطعام المستخدمين', 487, '62643', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(499, 'Senior staff and manager', '', 492, '62644002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(500, 'temperory personnel', 'المستخدمون المؤقتون', 487, '62651', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(501, 'agent\'s commission', 'اجور الوسطاء', 487, '62652', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(502, 'fees non taxable', 'بدلات اتعابغير خاضعة للضريبة', 487, '62653', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(503, 'additional representation expenses', 'مصاريف تمثيل اضافية', 487, '62645', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(504, 'training& development', 'الاعداد والترتيب', 487, '62661', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(505, 'documentations', 'التوثيق', 487, '62662', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(506, 'studies& research', 'الدراسات والبحوث', 487, '62670', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(507, 'insurance permiums', 'اقساط التأ مين', 487, '62680', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(508, 'board of directors ', '', 503, '62645001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(509, 'medical care', 'خدمات صحية', 487, '62691', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(510, 'financial fees& expenes{ on securities& notes}', 'خدمات مالية (مصاريف على سندات واوراق مالية )', 487, '62693', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(511, 'personnel charges', 'أعباء المستخدمين', 6, '63', 2, 0, 0, 0, 'auto', '', '', 0, 1),
(512, 'salaries', 'الرواتب', 443, '63110', 0, 0, 0, 0, 'auto', '', '', 0, 1),
(513, 'wages', 'الأجور', 443, '63120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(514, 'fixed commission', 'العمولات الثابتة', 443, '63140', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(515, 'manager remunerations voting rights', 'البدلات المدفوعة للمديرين الذين يتمتعون بأ غلبية في ملكية المؤسسة', 443, '63160', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(516, 'directors remuneration', 'البدلات المدفوعةلأعضاء مجلس الادارة', 443, '63170', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(517, 'social security', 'اعباء اجتماعية (ضمان اجتماعي…  )', 511, '635', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(518, 'Nssf Expenses', 'اعباء ضمان اجتماعي', 517, '6351', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(519, 'income tax on salaries &remunerations', 'على الرواتب والاْ جور وبدلات الأتعاب', 444, '641', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(520, 'municipal tax', 'ضرائب ورسوم للبلديات', 444, '642', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(521, 'value added tax', 'ضرائب على المبيعات غير قابلة للاسترداد', 444, '643', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(522, 'registration fees', 'رسوم تسجيل', 444, '644', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(523, 'other taxes', 'ضرائب ورسوم  ومدفوعات مماثلة  أخرى', 444, '645', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(524, 'depreciation& amortization', 'مخصصات الاستهلاكات', 445, '651', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(525, 'amortization of intangible assets', 'أصول ثابتة غير مادية', 524, '65110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(526, 'depreciation of fixed assets', 'أصول ثابتة مادية', 524, '6512', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(527, 'amortization of deffered charges', 'أعباء للتوزيع على عدة مرات', 524, '65150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(528, 'provisions', 'مخصصات المؤونات', 445, '655', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(529, 'provisions for diminution in value of intangible fixed assets', 'مؤونات هبوط اسعار الأصول الثابتة غير المادية', 528, '65510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(530, 'provisions for diminution in value of tangible fixed assets', 'مؤونات هبوط اسعار الأصول الثابتة المادية', 528, '65520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(531, 'provisions for diminution in value of inventory& goods in process', 'مؤونات هبوط اسعار المخزون وقيد الصنع', 528, '65530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(532, 'provisions for bad& doubtful debts', 'مؤونات هبوط قيم الذمم المدينة', 528, '65540', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(533, 'provisions for expenses', 'مخصصات مؤونة لمواجهة الاعباء', 528, '65590', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(534, 'other operating chargess', 'اعباء ادارية اخرى', 446, '661', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(535, 'attendance fees', 'بدلات حضور', 534, '66111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(536, 'losses on irrecoverable operating receivables', 'خسارة على ذمم الأستثمار  المدينة  التي ثبت هلاكها', 534, '66120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(537, 'loss on joint venture', 'حصة المؤسسة من الخسائر على عمليات مشتركة', 446, '665', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(538, 'interest', 'فوائد وأعباء مشابهة', 447, '673', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(539, 'interest-acounts payable& loans', 'فوائد على الذمم الدائنة  والقروض', 538, '67310', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(540, 'interest paid to partners', 'فوائد مدفوعة للشركاء', 538, '67341', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(541, 'interest-guaranteed debenture& bonds', 'فوائد السندات المربوطة بكفالات', 538, '67330', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(542, 'Interest paid to institutions', '', 538, '67343', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(543, 'discount paid', 'الخصم الممنوح من المؤسسة', 538, '67350', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(544, 'interest-banks& financial institutions', 'فوائد مصرفية  وفوائد على عمليات التمويل', 538, '67360', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(545, 'negative exchange differences', 'فروقات صرف سلبية', 447, '675', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(546, 'normal operations', 'فروقات على عمليات عادية', 545, '67510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(547, 'capital  operations', 'فروقات على عمليات رأسمالية', 545, '67520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(548, 'net charges on disposal of securities placements', 'اعباء صافية على عمليات التفرغ  عن سندات', 447, '676', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(549, 'amortization& provisions on financial charges', 'مخصصات الاستهلاكات والمؤونات المالية', 447, '679', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(550, 'amortization of reibursement premiums', 'استهلاك علاوات التسديد', 549, '67910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(551, 'provision for diminution in value of financial assests', 'مؤونات هبوط اسعار اصول ثابتة مالية', 549, '67920', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(552, 'provision for diminution in value of securities placements', 'مؤونات هبوط اسعار سندات توظيف', 549, '67940', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(553, 'provision for risks& financial charges', 'مؤونات لمواجهة المخاطر والاعباء المالية', 549, '67950', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(554, 'net book value of fixed assests disposed of', 'القيمة الدفترية للاصول الثابتة  المتفرغ عنها', 448, '681', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(555, 'intangible fixed assets', 'اصول ثابتة غير مادية', 554, '68110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(556, 'tangible fixed assets', 'اصول ثابتة ما دية', 554, '68120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(557, 'financial fixed assets', 'اصول ثابتة مالية', 554, '68150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(558, 'other charges ----non-operating', 'اعباء اخرى خارج الاستثمار', 448, '685', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(559, 'Gifts', 'اعباء على عمليات ادارة المؤسسة', 558, '68510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(560, 'donations', 'هبات', 558, '68511', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(561, 'subsidies granted', 'اعانات ممنوحة', 558, '68512', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(562, 'fines& penalties', 'غرامات ضريبية وجزائية', 558, '68513', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(563, 'penalties on contracts', 'غرامات على صفقات', 558, '68514', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(564, 'irrecoverable receivables', 'ذمم مدينة اصبحت هالكة', 558, '68515', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(565, 'other administritive operations', 'عمليات ادارية اخرى', 558, '68516', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(566, 'provision for exceptional diminution in prices(taxable)', 'مؤونات هبوط اسعار استثنائي', 570, '68921', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(567, 'price indexing', 'اعباء ناتجة عن موجب تطبيق مؤشر اسعار', 558, '68551', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(568, 'reinbursement allowances', 'جوائز تسديد', 558, '68552', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(569, 'purchases of the company own shares& notes', 'اعباء ناتجة عن استرداد المؤسسة لاسهم  وسندات صادرة عنها', 558, '68553', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(570, 'depreciation& provisions non- operating', 'مخصصات استهلاكات ومؤونات خارج الاستثمار', 448, '689', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(571, 'exceptional depreciation of fixed assets', 'استهلاك  استثنائي على اصول ثابتة', 570, '68910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(572, 'provision for exceptional diminution in prices(non taxable)', 'مؤونات هبوط اسعار استثنائي', 570, '68920', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(574, 'invoices', 'فواتير', 51, '701', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(575, 'discount& allowances allowed', 'حسومات ممنوحة', 51, '709', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(576, 'sales of production', 'المبيعات', 53, '7201', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(577, 'sales of manufactured goods', 'مبيعات المنتجات تامة الصنع', 582, '72550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(578, 'sales of by-products items', 'مبيعات المنتجات الوسيطة', 582, '72510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(579, 'sales of scrap', 'مبيعات فضلات الانتاج', 582, '72580', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(580, 'works in process', 'اشغال مبيعات', 53, '721', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(581, 'studies and services in progress', '', 53, '722', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(582, 'produced items(variation)', '', 53, '725', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(583, 'discount& allowances allowed', 'حسومات ممنوحة', 53, '7208', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(584, 'production in process', 'على بيع المنتجات', 580, '72110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(585, 'work in progress', 'على بيع الاشغال', 580, '72120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(586, 'services in progress', 'على بيع الخدمات', 581, '72260', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(587, 'ancillary activities', 'على بيع النشاطات الفرعية', 53, '7212', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(588, 'intangible fixed assets', 'اصول ثابتة غير مادية', 54, '731', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(589, 'tangible fixed assets', 'اصول ثابتة مادية', 54, '732', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(590, 'work in progress', 'اشغال قيد التنفيذ', 54, '7303', 1, 0, 0, 0, 'auto', '', '', 0, 1);
INSERT INTO `tbl_chart_of_accounts` (`Account_ID`, `Account_Name`, `Account_Arabic_Name`, `Parent_ID`, `Account_Code`, `Account_Status`, `IsAdded`, `Currency_ID`, `main_id`, `main_type`, `sub_type`, `job_ids`, `job_required`, `Status_ID`) VALUES
(591, 'studies& services in progress {variation}', 'قيد الصنع خدمات', 54, '7304', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(592, 'Studiesin progress', 'دراسات قيد الاعداد', 54, '7305', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(593, 'Services in progress', 'خدمات قيد التنفيذ', 54, '7306', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(594, 'Produced Items {variations}', 'منتجات قيد الصنع', 54, '7307', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(595, 'By products Items', 'منتجات وسيطة', 54, '7308', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(596, 'Manufactured Goods', 'منتجات تامة الصنع', 54, '7309', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(597, 'Scrap', 'فضلات الانتاج', 54, '7310', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(600, 'VAT', 'الضريبة على القيمة المضافة', 523, '64501', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(601, 'Related to products', 'للبضائع', 55, '741', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(602, 'Related to production', 'للانتاج', 55, '742', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(603, 'Write-back of provisions for diminution in value of fixed Assets', 'استردادات من م . هبوط اسعار الاصول الثابتة', 56, '752', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(604, 'Write-back of provisions for diminution in value of current Assets', 'استردادات من م . هبوط اسعارالأصول المتداولة', 56, '753', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(608, 'Ordinary incomes', 'ايرادات عادية  اخرى', 57, '761', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(609, 'Royalties------ patens---- licences trade Marks ,know-how & similar', 'اتاوى الامتيازات البراءات  الاجازات  العلامات  والاساليب  والقيم المماثلة', 608, '76110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(610, 'Rent income', 'ايرادات الابنية غير المخصصة  للنشاط المهني', 608, '76120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(611, 'Director\'s Attendance fees &allowances', 'بدلات حضور وتعويضات اعضاء مجلس الادارة', 608, '76130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(612, 'Allocation of operating Expences', 'اعباء استثمار  محولة الى حسابات اخرى', 608, '76190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(613, 'joint venture income', 'حصص ارباح العمليات المشتركة', 57, '765', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(614, 'Net transfers of Allocated charges', 'حصص الارباح الصافية التي جرى تحويلها محاسبة المؤسسة التي ادارت  العمليات المشتركة', 613, '76510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(615, 'Net Attributions of income', 'حصص الايرادات الصافية  المقررة محاسبة المؤسسة التي لم تتول ادارة  العمليات المشتركة', 613, '76550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(616, 'revenues of Equity participations', 'ايرادات سندات المشاركة', 58, '771', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(617, 'Dividends', 'عائدات سندات المشاركة', 616, '77110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(618, 'Revenue from other Equity participations', 'عائدات المشاركات الاخرى', 616, '77160', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(619, 'Revenue from Receivables related to Equity participation', 'عائدات ذمم مدينة مرتبطة بمشاركات', 616, '77170', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(620, 'Revenue from other Assets', 'ايرادات القيم المنقولة الاخرى', 58, '772', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(621, 'Revenue from Securities placements', 'عائدات سندات التوظيف', 620, '77210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(622, 'Revenue from Blocked Securities', 'عائدات السندات المجمدة', 620, '77230', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(623, 'Revenue from Blocked Receivable', 'عائدات الذمم المدينة المجمدة', 620, '77250', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(624, 'Revenue from commercial Receivables', 'عائدات الذمم المدينة التجارية', 620, '77260', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(626, 'Revenue from Misc.Receivables', 'عائدات الذمم المدينة المختلفة', 620, '77270', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(627, 'Interest & similar revenues', 'فائدة وايرادات مشابهة', 58, '773', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(629, 'Revenue on loans Granted', 'عائدات القروض الممنوحة', 627, '77320', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(630, 'Earned Discount & Allowances', 'الخصم الممنوح للمؤسسة', 627, '77330', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(631, 'Foreign currencies positive  Difference', 'فروقات صرف ايجابية', 58, '775', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(632, 'Current operations', 'على عمليات جارية', 631, '77510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(633, 'Capital operations', 'على عمليات راسمالية', 631, '77550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(634, 'Other financial income', 'ايرادات مالية اخرى', 58, '778', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(635, 'Net income on sale of security placement', 'ايرادات صافية على بيع سندات توظيف', 634, '77810', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(636, 'Allocation of financial charges', 'اعباء مالية محولة الى حسابات اخرى', 634, '77890', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(637, 'Write-Bak of  financial provisions', 'استردادات من المؤونات المالية', 58, '779', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(638, 'Write-Bak of provisions for diminution of values', 'استردادات   من مؤونات هبوط الاسعار', 637, '77930', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(639, 'Write-Bak of provisions for risks', 'استردادات من مؤونات المخاطر', 637, '77951', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(640, 'Revenues from fixed assets disposals', 'ايراد التفرغ عن اصول ثابتة', 59, '781', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(641, 'Intangible fixed Assets', 'اصول ثابتة غير مادية', 640, '78110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(642, 'Tangible fixed assets', 'اصول ثابتة مادية', 640, '78120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(643, 'Financial fixed assets', 'اصول ثابتة مالية', 640, '78150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(644, 'Investment subsidies transferred to profit & loss', 'اعانات للتوظيفات محولة الى نتيجة الدورة', 59, '782', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(645, 'Misc. income non operating', 'ايرادات اخرى خارج الاستثمار', 59, '788', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(646, 'Exceptional revenue on ordinary operation', 'ايرادات استثنائية على عمليات عادية', 645, '78810', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(647, 'profit for evaluation of assets', '', 645, '78881', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(648, 'Allocation of exceptional charges', 'اعباء استثنائية محولة الى حسابات اخرى', 645, '78890', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(649, 'Write-Back of non operating provisions', 'استرداد من مؤو نات خارج الاستثمار', 59, '789', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(650, 'Write-Back of provision for diminution in values', 'استرداد من مؤونات هبوط اسعار', 649, '78910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(651, 'Write-Back of provision of risks', 'استرداد من مؤونات المخاطر', 649, '78950', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(862, 'Office Phone', 'تلفون مكتب', 474, '621701', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(906, 'loss on joint venture for local sharing', '', 537, '66510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(907, 'loss on joint venture for foreign sharing', '', 537, '66520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(909, 'Employee Transportation', 'مواصلات الموظفين', 517, '63522', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(910, 'TAX with held on salaries', 'ضرائب مقتطعة من الرواتب والاجور', 30, '44313', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(911, 'Leav. Ind.', 'اشتراكات نهاية الخدمة', 518, '6351001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(986, 'clearing charges', 'اتعاب مخلصي البضاعة', 450, '61184', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(987, 'senior staff manager', '', 503, '62645002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1056, 'Fixed Assets Suppliers Open Accounts', 'فواتير', 26, '4031', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1061, 'Good of services VAT (P)', 'ضريبة على المشتريات', 30, '44211', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1062, 'Fixed Assets VAT (P)', 'ضريبة على مشتريات الاصول الثابة', 30, '44214', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1063, 'Expense VAT (P)', 'ضريبة على المصروفات', 30, '44217', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1064, 'Expenses Payables', 'حسابات المصاريف الدائنة', 386, '46190', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1364, 'Taxable Items', 'البضائع الخاضعة للضريبة', 51, '7001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1365, 'Non-taxable Items', 'البضائع الغير الخاضعة للضريبة', 51, '7002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1599, 'Sales VAT', 'ضريبة على المبيعات', 30, '4427', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1724, 'office and computer equipment', 'ادوات مكتبية ومعلومتية', 18, '2262', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1834, 'closing stock', '', 1741, '371002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1835, 'opening stock', '', 1741, '371001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1917, 'Sales Of Production', 'مبيعات البضاعة', 7, '71', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1918, 'Sales of Production', 'مبيعات', 1917, '711', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1919, 'Sales of Manufactured Goods', '', 1918, '71111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1920, 'Sales of By-Products items', 'مبيعات المنتجات الوسيطة', 1918, '71121', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1921, 'Sales of Scrap', 'مبيعات فضلات الانتاج', 1918, '71131', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1922, 'works', 'اشغال', 1917, '712', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1923, 'Services', 'خدمات', 1917, '713', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1924, 'Proceeds from Ancillary Activities', 'ايرادات النشاطات الفرعية', 1917, '717', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1925, 'Discount & Allowances Allowed', 'حسومات ممنوحة', 1917, '719', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1926, 'Production', 'على بيع المنتجات', 1925, '71911', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1927, 'discounts on Works', 'على بيع الاشغال', 1925, '71921', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1928, 'Services', 'على بيع الخدمات', 1925, '71931', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1929, 'Ancillary Activities', 'على بيع نشاطات فرعية', 1925, '71970', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1930, 'Prov for Deprec of Intangible Values', '', 447, '6792', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1932, 'Vat on Purchases (P)', '', 30, '44262', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1933, 'Vat on Fixed Assets (P)', '', 30, '44264', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1934, 'Vat on Expenses (P)', '', 30, '44266', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1935, 'Vat', '', 30, '4426', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1937, 'result of vat', '', 30, '4425', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1938, 'result of vat to be paid', '', 30, '44252', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1965, 'Good of services VAT (T)', 'ضريبة على المشتريات', 30, '44210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1966, 'Fixed Assets VAT(T)', 'ضريبة على مشتريات الاصول الثابة', 30, '44213', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1968, 'Expense VAT (T)', 'ضريبة على المصروفات', 30, '44216', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1969, 'Vat on Purchases (T)', '', 30, '44261', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1970, 'Vat on Fixed Assets (T)', '', 30, '44263', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(1971, 'Vat on Expenses (T)', '', 30, '44265', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2014, 'Owner Current Account', 'الحساب الشخصي لصاحب المؤسسة', 72, '10910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2015, 'Profit Brought Forward', 'نتائج سابقة مدورة - ارباح', 72, '10920', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2016, 'Loss Brought Forward', 'نتائج سابقة مدورة-خسائر', 72, '10930', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2017, 'Creditor Brought Forward', 'نتائج سابقة مدورة دائنة', 10, '121', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2018, 'Debitor Brought Forward', 'نتائج سابقة مدورة مدينة', 10, '125', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2019, 'Adjustment On Profit Brought Forward', 'تعديلات عن نتائج سابقة مدورة - ارباح', 10, '12120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2020, 'Adjustment On Loss Brought Forward', '	\r\nتعديلات عن نتائج سابقة مدورة -خسائر\r\n', 10, '12520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2021, 'result of the period--profit', 'نتيجة الدورة ارباح', 84, '13811', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2022, 'Re-Evaluation Profit', 'ربح اعادة التخمين', 84, '13813', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2023, 'investment subsidies received from partners', 'اعانات للتوظيف من الشركاء', 12, '14111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2024, 'provisions for end of services indemnity', 'مؤونة لدف تعويض صرف من الخدمة', 13, '15540', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2025, 'provisions for allowance of accident work', 'مؤونة تعويضات طوارىء العمل', 13, '15550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2026, 'provisions for loss of bad debts', 'مؤونة لمواجهة خسائر الديون عند اعلان الافلاس', 13, '15560', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2027, 'provisions for bad debts', 'مؤونة لمواجهة خسائر الديون المشكوك بتحصيلها', 13, '15570', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2028, 'provisions for other charges', 'مؤونة لمواجهة اعباء اخرى', 13, '15590', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2029, 'Paid Business Concern', 'المؤوسسة التجارية المدفوعة قيمتها', 118, '21110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2030, 'Unpaid Business Concern', 'المؤوسسة التجارية الغير مدفوعة قيمتها', 118, '21120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2031, 'other intangible fixed asset', '', 122, '21910', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2032, 'Local Equity Participations', 'ذمم مدينة مرتبطة بمشاركات محلية', 153, '25210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2033, 'Foreign Equity Participations', 'ذمم مدينة مرتبطة بمشاركات اجنبية', 153, '25220', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2034, 'Variances of Revaluation of Assets', 'فروقات تخمين اصول ثابتة', 2, '27', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2035, 'Variances of Revaluation of unamortizable assets', 'فروقات تخمين اصول ثابتة غير قابلة للاستهلاك', 2034, '271', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2036, 'Variances of Revaluation of amortizable assets', 'فروقات تخمين اصول ثابتة قابلة للاستهلاك', 2034, '275', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2037, 'Variation of Reval. Naked Land', 'فروقات اعادة تخمين الاراضي الفراغ', 2035, '27110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2038, 'Variation of Reval. For Good will and Key money (Paid Value)', 'فروقات اعادة تخمين الخلو والشهرة المدفوعة قيمتها', 2035, '27111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2039, 'Variation of Reval. Establishment Expenses', 'فروقات اعادة تخمين مصاريف التأسيس', 2035, '27112', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2040, 'Variation of Reval. Dev. and Research Expenses', 'فروقات اعادة تخمين مصاريف البحوث والتطوير', 2035, '27113', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2049, 'Variation of Reval. Licenses, Diplomas and Trade Marks', 'فروقات اعادة تخمين براءات الاختراع و الاجازات والعلامات', 2035, '27114', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2050, 'Variation of Reval. Equity Participations', 'فروقات اعادة تخمين سندات مشاركة', 2035, '27151', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2051, 'Variation of Reval. Receivables Related To Equity Particip.', 'فروقات اعادة تخمين ذمم مرتبطة بمشاركات ', 2035, '27152', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2052, 'Variation of Reval. Other Blocked Securities ', 'فروقات اعادة تخمين سندات اخرى مجمدة', 2035, '27153', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2053, 'Variation of Reval. Long And Medium Term Loans', 'فروقات اعادة تخمين قروض طويلة ومتوسطة الاجل', 2035, '27155', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2054, 'Variation of Reval. Other Blocked Receivables ', 'فروقات اعادة تخمين ذمم مدينة اخرى مجمدة', 2035, '27159', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2055, 'Variation of Reval. Other Intangible F/A ', 'فروقات اعادة تخمين اصول ثابتة مادية اخرى ', 2035, '27191', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2056, 'Variation of Reval. build land', 'فروقات اعادة تخمين الاراضي المبنية', 2036, '27520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2057, 'Variation of Reval. For Goodwill and keymoney(UnPaid Value)', 'فروقات اعادة تخمين الخلو والشهرة الغير المدفوعة قيمتها', 2036, '27521', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2058, 'Variation of Reval. technical installations and indust. tool', 'فروقات اعادة تخمين التجهيزات الفنية والالات الصناعية', 2036, '27524', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2059, 'Variation of Reval. Transportation Equipment', 'فروقات اعادة تخمين أليات النقل', 2036, '27525', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2060, 'Variation of Reval. of General Instal. And Other Improvements', 'فروقات اعادة تخمين تجهيزات عامة استصلاحات وتحسينات مختلفة', 2036, '27526', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2061, 'Variation of Reval. Tangible Fixed Assets In Progress', 'فروقات اعادة تخمين اصول ثابتة مادية قيد الصنع', 2036, '27527', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2062, 'Variation of Reval. Extractive Land Sites(Mines, Quarris)', 'فروقات اعادة تخمين الاراضي برسم الاستثمار الجوفي', 2036, '27530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2063, 'Variation of Reval. Buildings', 'فروقات اعادة تخمين الابنية', 2036, '27531', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2064, 'Variation of Reval. General Inst. And Lessehold Improv.', 'فروقات اعادة تخمين للتجهيزات العامة استصلاح وتنظيم الابنية', 2036, '27532', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2065, 'Variation of Reval. Infrastructure Works(Dams Airport)', 'فروقات اعادة تخمين انشاءات البنية التحتية', 2036, '27533', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2066, 'Variation of Reval. Construction On Leasehold Land', 'فروقات اعادة تخمين انشاءات على اراضي الغير', 2036, '27534', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2067, 'Variation of Reval. Land Dev. And Reclamation', 'فروقات اعادة تخمين استصلاح وتنظيم الاراضي ', 2036, '27540', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2068, 'Variation of Reval. Office And Computer Equipments ', 'فروقات اعادة تخمين ادوات مكتبية ومعلوماتية', 2036, '27562', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2069, 'Variation of Reval. Furniture', 'فروقات اعادة تخمين الاثاث', 2036, '27563', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2070, 'Variation of Reval. Agriculture', 'فروقات اعادة تخمين استثمارات زراعية', 2036, '27564', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2071, 'Variation of Reval. Reusable Packing Materials', 'فروقات اعادة تخمين عبوات قابلة لاعادة الاستعمال', 2036, '27565', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2072, 'Variation of Reval. Of Other Tangible Fixed Assets', 'فروقات اعادة تخمين اصول ثابتة مادية اخرى', 2036, '27569', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2073, 'Maintenance', 'صيانة', 1922, '71210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2074, 'Studies', 'دراسات', 1923, '71320', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2075, 'Residence', 'اقامة', 1923, '71391', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2076, 'Occasions', 'مناسبات', 1923, '71396', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2078, 'Write-Back of provision of charges', 'استرداد من مؤونات الاعباء', 649, '78951', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2079, 'profit for evaluation of assets unspecify', '', 645, '78882', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2080, 'Write-Bak of provisions for charges', 'استردادات من مؤونات الاعباء ', 637, '77950', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2081, 'Net income for local sharing', 'ايرادات مفرزة من عمليات مشتركة داخل لبنان', 613, '76551', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2082, 'Net income for foreign sharing', 'ايرادات مفرزة من عمليات مشتركة خارج لبنان', 613, '76552', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2083, 'Raw materials in process', '', 319, '33110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2084, 'Consumable goods in process', '', 319, '33120', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2085, 'Manpower in process', '', 319, '33130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2086, 'Manufactured Raw material', '', 324, '35510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2087, 'manufactured consumable goods', '', 324, '35520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2088, 'manufactured manpower', '', 324, '35530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2089, 'Expenses to be paid', '', 33, '474', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2091, 'Banks over draft', '', 209, '51220', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(2092, 'L/C', '', 209, '51230', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(2093, 'Garantees', '', 209, '51240', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(2094, 'Deposits', '', 209, '51250', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(2095, 'Banks Notes Payable', '', 209, '51260', 1, 0, 0, 0, 'auto', 'credit,check', '', 0, 1),
(2096, 'cash(s)', '', 38, '531', 1, 0, 0, 0, 'auto', 'cash', '', 0, 1),
(2097, 'Cash SAR', '', 2096, '53101', 1, 0, 120, 0, 'pay', 'cash,check', '', 0, 1),
(2098, 'cash $', '', 2096, '53102', 1, 0, 0, 0, 'pay', 'cash', '', 0, 1),
(2099, 'Petty Cash SAR', '', 2096, '53111', 1, 0, 120, 0, 'pay', 'cash', '', 0, 1),
(2100, 'Petty cash $', '', 2096, '53112', 1, 0, 0, 0, 'pay', 'cash', '', 0, 1),
(2101, 'Checks Returned', '', 38, '532', 1, 0, 0, 0, 'auto', 'cash', '', 0, 1),
(2102, 'checks in hand', '', 38, '533', 1, 0, 0, 0, 'auto', 'cash', '', 0, 1),
(2103, 'bills returned', '', 38, '534', 1, 0, 0, 0, 'auto', 'cash', '', 0, 1),
(2104, 'checks for collection', '', 38, '535', 1, 0, 0, 0, 'auto', 'cash', '', 0, 1),
(2106, 'medical insurence', '', 518, '6351003', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2107, 'phone', '', 29, '4311', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2108, 'Fam.Allow', 'اشتراكات تعويضات عائلية', 518, '6351002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2111, 'SSNF', '', 29, '4305', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2112, 'Absence', '', 348, '4283', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2113, 'deduction', '', 348, '4284', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2115, 'Build Land', 'الأراضي المبنية', 168, '28212', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2116, 'General Installations Land Lessehold Improvements', 'التجهيزات العامة و إستصلاح الأبنية', 168, '28232', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2117, 'Infrastructures Works (Dams, Airport...)', 'إنشاءات البنية التحتية', 168, '28233', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2118, 'Constructions On Leaehold Land', 'إنشاءات على أراضي الغير', 168, '28234', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2119, 'General Installations And Others Improvements', 'تجهيزات عامة. ترميمات و تحسينات', 168, '28261', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2120, 'Office Equipment', 'أدوات مكتبية و معلوماتية', 168, '28262', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2121, 'Furnitures And Fixtures', 'أثاث و مفروشات', 168, '28263', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2122, 'Agricultural Investments', 'إستثمارات زراعية', 168, '28264', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2123, 'Reusable Packing Material', 'عبوات قابلة لإعادة الإستعمال', 168, '28265', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2124, 'Other Tangible Fixed Assets', 'أصول ثابتة مادية أخرى', 168, '28269', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2125, 'Value Added Tax', 'الضريبة على القيمة المضافة', 30, '442', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2126, 'Value Added Tax To Be Paid', 'الضريبة المتوجب دفعها على القيمة المضافة', 2125, '44251', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2127, 'Vat Similar Tax To Be Paid', 'ضرائب مماثلة للضريبة القيمة المضافة متوجبة', 2125, '44259', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2130, 'Value Added Tax/ Brought Forward To Collect', 'ضريبة القيمة المضافة المدورة للإسترجاع', 2125, '44267', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2131, 'Vat Collected/Goods & Services', 'ضريبة قيمة مضافة محصلة/مبيعات البضاعة و الخدمات', 2125, '44271', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2132, 'Vat / Products', 'ضريبة القيمة المضافة المحصلة/مبعات المنتجات', 2125, '44272', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2133, 'Vat/Services Sales & Other Works', 'ضريبة قيمة مضافة محصلة/مبيع خدمات و أشغال أخرى', 2125, '44273', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2134, 'Payment On Account (minimum tax system companies)', '(دفعات بالحساب(المنشات الخاضعة للظام المفترض', 2125, '44281', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2135, 'Payment On Account (estimated tax system companies)', '(دفعات بالحساب(المنشات الخاضعة للظام المقدر', 2125, '44282', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2136, 'Vat Payment To Be Returned', 'تسديدات للضريبة على قيم مضافة مطلوب إسترجاعها', 2125, '44283', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2137, 'Vat Prepaid', 'ضريبة على القيمة المضافة المحصلة مسبقا', 2125, '44284', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2138, 'Vat On Invoices Not Received', 'ضريبة القيمة المضافة على فواتير لم تصل بعد', 2125, '44286', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2139, 'Vat On Invoices Under Preparation', 'ضريبة على قيمة مضافة على فواتير قيد الإعداد', 2125, '44287', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2140, 'Taxes On Improvements Profit', 'ضريبة على ربح التحسين', 360, '44311', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2141, 'Tax On Transfer Capital', 'الضرائب على إيرادات الأموال المنقولة', 360, '44312', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2142, 'Profit Brought Forward ', 'نتائج سابقة مدورة أرباح ', 376, '45570', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2143, 'Water And Electricity Expenses', 'مصاريف مياه و كهرباء', 450, '61126', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2144, 'Insurance On Freight', 'تأمين على الشحن', 450, '61183', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2145, 'Different', 'مختلف', 450, '61189', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2146, 'Raw Materials Purchases', 'شراء مواد أولية', 467, '61210', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2147, 'A. Raw Materials Purchases', 'مواد أولية أ', 467, '61211', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2148, 'B. Raw Materials Purchases', 'مواد أولية ب', 467, '61212', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2149, 'Consumables Purchases', 'شراء مواد و لوازم إستهلاكية', 467, '61220', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2150, 'Fuel And Gaz', 'محروقات', 467, '61221', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2151, 'Maintenance Products', 'مواد الصيانة', 467, '61222', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2152, 'Workshop And Factory Supplies', 'لوازم للمشغل والمصنع', 467, '61223', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2153, 'Stores Supplies', 'لوازم للمخزن', 467, '61224', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2154, 'Office Supplies', 'لوازم مكتبية', 467, '61225', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2155, 'Unretumable Containers', 'عبوات لا تسترد', 467, '61231', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2156, 'Retunable Containers', 'عبوات تسترد ويعاد إستعمالها', 467, '61232', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2157, 'Other Containers', 'عبوات تستعمل على أوجه مختلفة', 467, '61233', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2158, 'Transport And Freight', 'نقليات', 467, '61281', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2159, 'Commissions And Brokerage', 'سمسرة و عمولات', 467, '61282', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2160, 'Insurance On Freight', 'تأمين على الشحن', 467, '61283', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2161, 'Clearing Charges', 'أتعاب مخلصي بضاعة', 467, '61284', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2162, 'Customs Charges', 'رسوم جمركية', 467, '61285', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2163, 'Different', 'مختلف', 467, '61289', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2164, 'Opening Stock (Commercial) OR Goods Received', 'مخزون أول المدة للقطاع التجاري أو البضاعة المستلمة', 471, '61511', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2165, 'Opening Stock (Industries) OR Goods Received', 'مخزون أول المدة للقطاع الصناعي أو البضاعة المستلمة', 471, '61512', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2166, 'Ending Stock (Commercial) OR Cost Of Goods Used', 'مخزون أخر المدة للقطاع التجاري أو كلفة اليضاعة المستعملة', 471, '61521', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2167, 'Ending Stock (Industries) OR Cost Of Goods Used', 'مخزون أخر المدة للقطاع الصناعي أو كلفة اليضاعة المستعملة', 471, '61522', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2168, 'Cost Of Works', 'كلفة الأشغال', 471, '61523', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2169, 'Cost Of Services Execution', 'كلفة أداء الخدمات', 471, '61524', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2170, 'Others', 'مختلف', 487, '62649', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2171, 'uniforms', 'ملابس الموظفين', 487, '62649001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2172, 'Fees Taxable As Works', 'بدلات أتعاب خاصعة للضريبة كأشغال', 487, '62654', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2173, 'Fees Taxable As Services', 'بدلات أتعاب خاصعة للضريبة كخدمات', 487, '62655', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2174, 'Cut Wages', 'أجور مقطوعة', 487, '62656', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2176, 'Owner Expenses', 'نفقات صاحب المؤسسة', 487, '62698', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2177, 'Other Expenses', 'نفقات أخرى', 487, '62699', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2178, 'Paid Vacation', 'فرص مدفوعة', 443, '63150', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2179, 'Partners Salaries', 'رواتب الشركاء', 443, '63161', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2180, 'Owner Remuneration', 'البدلات المدفوعة لصاحب المؤسسة', 443, '63171', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2181, 'Over time', 'ساعات إضافية', 443, '63180', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2182, 'Tax On Wages And Salaries', 'ضريبة الأجور و الرواتب', 519, '64110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2183, 'Tax On Non Resident', 'ضريبة غير مقيمين مواد 41/42', 441, '61420', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2184, 'Tax For Cut Wages', 'ضريبة الأجور المقطوعة', 519, '64130', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2185, 'Cut Tax On Tax Declaration', 'ضريبة مقطوعة', 523, '64510', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2186, 'Income Tax On Transfered Capitals', 'ضريبة إيرادات رؤوس الأموال المنقولة', 523, '64520', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2187, 'Tax On Board Of Directors Allowance', 'ضريبة على مخصصات مجلس الإدارة', 523, '64520001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2188, 'Tax On Attendance Of Shareholders Board Of Directors', 'ضريبة على بدلات حضور المساهمين بالجمعيات العمومية ومجلس الإدارة', 523, '64520002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2189, 'Tax On Interest Received From Others 5%', '%ضريبة على الفوائد المقبوضة 5', 523, '64520003', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2190, 'Tax On Real Establishment For Leasing Bld.', 'ضريبة الأملاك المثبتة للبناء المؤجر', 523, '64531', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2191, 'Tax On Real Establishment For Non Leasing Bld.', 'ضريبة الأملاك المثبتة للبناء غير المؤجر', 523, '64532', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2192, 'Prov. For Risks And Charges For Los Of Bad Debts', 'مؤونة لمواجهة خسائر ديون عند إعلام إفلاس', 528, '65551', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2193, 'Prov. For Risks And Charges For End Of Service Indemnity', 'مؤونة لدفع تعويض نهاية صرف من الخدمة', 528, '65552', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2194, 'Prov. For Risks And Charges For Retirment', 'مؤونة لدفع معاشات التقاعد', 528, '65553', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2195, 'Prov. For Risks And Charges For Work Accidents', 'مؤونة لتعويضات طوارئ العمل', 528, '65554', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2196, 'Allowance Exp. For Board Of Directors', 'مخصصات مجلس إدارة', 534, '66112', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2197, 'Attendance Allowance Of Shareholders And Board Of Directors', 'بدلات حضور المساهمين للجمعيات و مجلس الإدارة', 534, '66113', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2199, 'Interest Paid To Borrowers', 'فوائد مدفوعة لمقرضين', 538, '67370', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2200, 'Banks Charges', 'مصاريف وأعباء مصرفية', 538, '67380', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2201, 'Stamps On Financial Contracts', 'طوابع على العقود المالية', 538, '67381', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2202, 'Donations And Tipps For Ministries And General Institutions', 'هبات و إعانات للوزارات والمؤسسات العامة', 558, '68517', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2203, 'Tipps And Donations For Non Profitable Institutions', 'هبات وإعانات للمؤسسات ذات المنفعة العامة', 558, '68518', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2204, 'Expenses Of the Operations On Capital', 'أعباء على عمليات رأسمالية', 558, '68550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2205, 'Adjustment On Accumulated Depreciation', 'تعديلات على إحتياطي استهلاك', 570, '68950', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2206, 'Irrecovable Income Tax On Profits ', 'الضرائب على المبيعات الغير قابلة للإسترداد', 449, '693', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2207, 'Irrecovable Income Tax On Profits', 'الضرائب على المبيعات الغير قابلة للإسترداد', 2206, '69311', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2208, 'Tax On Improvements Profits', 'ضريبة على ربح التحسين', 449, '694', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2209, 'Sales', 'فواتير مبيعات', 574, '70121', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2210, 'Parties', 'حفلات', 574, '70171', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2211, 'Restaurant', 'مطعم', 574, '70181', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2212, 'Coffee Shop', 'مقهى', 574, '70191', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2217, 'Others', 'مختلف', 1923, '71398', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2218, 'Transportation of Owner', 'مواصلات رب العمل', 517, '63523', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2219, 'Transportation of board of directors', 'مواصلات اعضاؤ مجلس الادارة', 517, '63521', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2220, 'Transportation of Partners', 'مواصلات الشركاء', 517, '63524', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2221, 'Car Allocation Employee', 'بدل سيارة للموظفين', 517, '63525001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2222, 'Car Allocation Senior Staff', 'بدل سيارة للموظفين الاداريين', 517, '63525002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2223, 'Schooling Expenses', 'اعباء اقساط مدرسية ', 517, '63530', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2224, 'Specialisation Grant', 'منح اختصاص', 517, '63531', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2225, 'Staff Insurance Expenses ', 'اعباء اقساط تأمين مستخدمين', 517, '63540', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2226, 'Managers Insurance', 'تأمين المدراء', 517, '63541', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2227, 'Partners Insurance', 'تأمين الشركاء', 517, '63542', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2228, 'Board of Directors Insurance', 'تأمين اعضاء مجلس الادارة', 517, '63543', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2229, 'Owners Insurance', 'تأمين رب العمل', 517, '63544', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2230, 'Additional End Of Services', 'تعويض نهاية خدمة اضافي', 517, '63550', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2231, 'Residence Allocation', 'تعويضات سكن', 517, '63590', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2232, 'Food Allocation', 'تعويضات طعام', 517, '63591', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2233, 'Clothes Allocation', 'تعويضات ملبس', 517, '63592', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2234, 'Cash Allocation', 'تعويضات امانة صندوق', 517, '63593', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2235, 'Marriage Grant', 'منح زواج', 517, '63594', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2236, 'Birth Grant', 'منح ولادة', 517, '63595', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2237, 'Sickness Assistance', 'مساعدات مرضية', 517, '63596', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2238, 'Death Assistance', 'مساعدات وفاة', 517, '63597', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2239, 'Other Un-Taxable Benefits or Grants', 'تقضيمات او منح اخرى غير جائز تنزيلها ضريبيا', 517, '63598', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2240, 'Other Taxable Benefits or Grants', 'تقضيمات او منح اخرى جائز تنزيلها ضريبيا', 517, '63599', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2241, 'Basic Sallary', 'الراتب الاساسي', 347, '42101', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2242, 'Representation Fees', 'بدل تمثيل', 347, '42102', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2243, 'Bonus, Commission, Overtime, Paid Vacation', 'فرص مدفوعة-ساعات اضافية-عمولات ومكافات', 347, '42103', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2244, 'Wife Allowances', 'تعويض عائلي عن الزوجة', 347, '42104', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2245, 'Child Allowance', 'تعويض عائلي عن الاولاد', 347, '42105', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2246, 'Transportation', 'تعويضات نقل و انتقال', 347, '42106', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2247, 'Car Allocation', 'بدل سيارة', 347, '42107', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2248, 'Resident Allocation', 'بدل سكن', 347, '42108', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2249, 'Food Allocation', 'بدل طعام', 347, '42109', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2250, 'Clothes Allocation', 'بدل ملبس', 347, '42110', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2251, 'Cash Allocation', 'تعويض صندوق', 347, '42111', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2252, 'Insurance Premiuim', 'تأمينات صحية على انواعها', 347, '42112', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2253, 'Schooling Expenses', 'منح تعليم', 347, '42113', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2254, 'Marriage Grant', 'منح زواج', 347, '42114', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2255, 'Birth Grant', 'منح ولادة', 347, '42115', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2256, 'Sickness Assistance ', 'مساعدات مرضية', 347, '42116', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2257, 'Death Assistance ', '1ساعدات وفاة', 347, '42117', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2258, 'Other Grant', 'منح وتقديمات اخرى', 347, '42118', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2259, 'Advances and Payments', 'سلفات ودفعات المستخدمين', 348, '42810', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(2260, 'Retentions ', 'حجوزات', 348, '42820', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(3549, 'Leav. Ind.', 'اشتراكات نهاية الخدمة', 353, '43150001', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(3550, 'Fam.Allow', 'اشتراكات تعويضات عائلية', 353, '43150002', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(3551, 'medical insurence', '', 353, '43150003', 1, 0, 0, 0, 'auto', '', '', 0, 1),
(3563, 'Departments', '', 450, '61101', 1, 0, 84, 0, 'auto', '', '', 0, 1),
(3564, 'Departments', '', 331, '40121', 1, 0, 84, 0, 'auto', '', '', 0, 1),
(3565, 'Laboratory', '', 331, '40122', 1, 0, 84, 0, 'auto', '', '', 0, 1),
(3566, 'Departments', '', 1923, '71301', 1, 0, 84, 0, 'auto', '', '', 0, 1),
(3567, 'Cash Customer', '', 188, '41110001', 1, 1, 120, 0, 'cust', 'main', '', 0, 1),
(3568, 'Cash Customer', '', 1599, '44270001', 1, 1, 120, 0, 'cust', 'vat', '', 0, 1),
(3571, 'Cash Supplier', '', 1061, '44211001', 1, 1, 144, 0, 'supp', 'pur_vat', '', 0, 1),
(3572, 'Cash Supplier', '', 1062, '44214001', 1, 1, 144, 0, 'supp', 'fa_vat', '', 0, 1),
(3573, 'Cash Supplier', '', 1063, '44217001', 1, 1, 144, 0, 'supp', 'exp_vat', '', 0, 1),
(3574, 'Cash Supplier', '', 191, '40110001', 1, 1, 144, 0, 'supp', 'main', '', 0, 1),
(3575, 'Cash Supplier', '', 386, '46190001', 1, 1, 144, 0, 'supp', 'exp', '', 0, 1),
(3576, 'Cash Supplier', '', 1056, '40310001', 1, 1, 144, 0, 'supp', 'fa', '', 0, 1),
(3591, 'ahmad ali ahmad', '', 512, '63110001', 0, 1, 0, 1, 'emp', 'exp', '', 0, 1),
(3593, 'Samir ahamd samir', '', 512, '63110002', 0, 1, 0, 2, 'emp', 'exp', '', 0, 1),
(3601, 'moustafa mohammad ali', '', 512, '63110003', 0, 1, 0, 3, 'emp', 'exp', '', 0, 1),
(3604, 'Bank A', '', 209, '51200001', 1, 1, 120, 1, 'pay', 'check,credit', '', 0, 1),
(3605, 'transporation', '', 487, '62649002', 1, 1, 84, 0, 'sys', '', '', 0, 1),
(3614, 'llllll a', '', 512, '63110004', 0, 1, 0, 4, 'emp', 'exp', '', 0, 1),
(3628, 'ALAA JBARA', '', 512, '63110005', 0, 1, 0, 5, 'emp', 'exp', '', 0, 1),
(3630, 'Karam Jaafar', '', 512, '63110006', 0, 1, 0, 6, 'emp', 'exp', '', 0, 1),
(3642, 'AHAMD Jaafar', '', 512, '63110007', 0, 1, 0, 7, 'emp', 'exp', '', 0, 1),
(3650, 'HANIF LL BANGLADISH', '', 512, '63110008', 0, 1, 0, 8, 'emp', 'exp', '', 0, 1),
(3652, 'HANIF $ BANGLADISH', '', 512, '63110009', 0, 1, 0, 9, 'emp', 'exp', '', 0, 1),
(3654, 'HABIB LL BANGLADISH', '', 512, '63110010', 0, 1, 0, 10, 'emp', 'exp', '', 0, 1),
(3656, 'HABIB $ BANGLADISH', '', 512, '63110011', 0, 1, 0, 11, 'emp', 'exp', '', 0, 1),
(3658, 'AMIN LL BANGLADISH', '', 512, '63110012', 0, 1, 0, 12, 'emp', 'exp', '', 0, 1),
(3660, 'AMIN $ BANGLADISH', '', 512, '63110013', 0, 1, 0, 13, 'emp', 'exp', '', 0, 1),
(3662, 'SAYFOON LL BANGLADISH', '', 512, '63110014', 0, 1, 0, 14, 'emp', 'exp', '', 0, 1),
(3664, 'SAYFOON $ BANGLADISH', '', 512, '63110015', 0, 1, 0, 15, 'emp', 'exp', '', 0, 1),
(3666, 'ROBBIC  HADAD LL BANGLADISH', '', 512, '63110016', 0, 1, 0, 16, 'emp', 'exp', '', 0, 1),
(3668, 'ROBBIC AHMAD HADAD $ BANGLADISH', '', 512, '63110017', 0, 1, 0, 17, 'emp', 'exp', '', 0, 1),
(3670, 'COBBER  LL BANGLADISH', '', 512, '63110018', 0, 1, 0, 23, 'emp', 'exp', '', 0, 1),
(3672, 'COBBER $ BANGLADISH', '', 512, '63110019', 0, 1, 0, 25, 'emp', 'exp', '', 0, 1),
(3674, 'ATIK LL BANGLADISH', '', 512, '63110020', 0, 1, 0, 31, 'emp', 'exp', '', 0, 1),
(3676, 'ATIK $ BANGLADISH', '', 512, '63110021', 0, 1, 0, 35, 'emp', 'exp', '', 0, 1),
(3678, 'MOUNIR LL BANGLADISH', '', 512, '63110022', 0, 1, 0, 38, 'emp', 'exp', '', 0, 1),
(3680, 'MOUNIR $ BANGLADISH', '', 512, '63110023', 0, 1, 0, 39, 'emp', 'exp', '', 0, 1),
(3682, 'RASEEL LL BANGLADISH', '', 512, '63110024', 0, 1, 0, 40, 'emp', 'exp', '', 0, 1),
(3684, 'RASEEL $ BANGLADISH', '', 512, '63110025', 0, 1, 0, 43, 'emp', 'exp', '', 0, 1),
(3686, 'MOHAMAD  LL ALI JBARA', '', 512, '63110026', 0, 1, 0, 44, 'emp', 'exp', '', 0, 1),
(3688, 'MHAMAD  $ ALI JBARA', '', 512, '63110027', 0, 1, 0, 45, 'emp', 'exp', '', 0, 1),
(3690, 'FATMI LL BANGLADISH', '', 512, '63110028', 0, 1, 0, 46, 'emp', 'exp', '', 0, 1),
(3692, 'FATMI $ BANGLADISH', '', 512, '63110029', 0, 1, 0, 47, 'emp', 'exp', '', 0, 1),
(3694, 'ABOU STEFF LL BANGLADISH', '', 512, '63110030', 0, 1, 0, 50, 'emp', 'exp', '', 0, 1),
(3696, 'ABOU STEFF $ BANGLADISH', '', 512, '63110031', 0, 1, 0, 51, 'emp', 'exp', '', 0, 1),
(4232, 'MAJEED AL AYAS', '', 512, '63110032', 0, 1, 0, 53, 'emp', 'exp', '', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_checkinout`
--

CREATE TABLE `tbl_checkinout` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `check_type` int(11) NOT NULL,
  `location_id` int(11) DEFAULT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_att_id` int(11) NOT NULL,
  `prefix` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_checklist`
--

CREATE TABLE `tbl_checklist` (
  `checklist_id` int(11) NOT NULL,
  `checklist_name` varchar(250) NOT NULL,
  `checklist_description` varchar(500) NOT NULL,
  `date_created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_checklist`
--

INSERT INTO `tbl_checklist` (`checklist_id`, `checklist_name`, `checklist_description`, `date_created`, `created_by`, `date_modified`, `modified_by`) VALUES
(1, 'test checklist', 'Desc', '2021-06-29 12:22:06', 1, '2021-06-29 12:22:06', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_checklist_questions`
--

CREATE TABLE `tbl_checklist_questions` (
  `checklist_question_id` int(11) NOT NULL,
  `question_name` mediumtext NOT NULL,
  `answer_type_id` tinyint(4) NOT NULL,
  `answer_type_value` varchar(500) NOT NULL DEFAULT '',
  `default_answer` varchar(500) NOT NULL,
  `checklist_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_checklist_questions`
--

INSERT INTO `tbl_checklist_questions` (`checklist_question_id`, `question_name`, `answer_type_id`, `answer_type_value`, `default_answer`, `checklist_id`) VALUES
(1, 'is the product free?', 1, '', '1', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_checklist_schedule`
--

CREATE TABLE `tbl_checklist_schedule` (
  `schedule_id` int(11) NOT NULL,
  `schedule_title` varchar(250) NOT NULL,
  `schedule_start_date` datetime NOT NULL,
  `schedule_end_date` datetime DEFAULT NULL,
  `checklist_id` int(11) NOT NULL,
  `line_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `part_id` int(11) DEFAULT NULL,
  `schedule_type_id` tinyint(4) NOT NULL COMMENT '1:period,2:property',
  `schedule_repeat_id` int(11) NOT NULL,
  `schedule_repeat_value` varchar(250) NOT NULL,
  `schedule_next_date` datetime DEFAULT NULL,
  `last_run_date` datetime DEFAULT NULL,
  `property_value` double DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_checklist_schedule`
--

INSERT INTO `tbl_checklist_schedule` (`schedule_id`, `schedule_title`, `schedule_start_date`, `schedule_end_date`, `checklist_id`, `line_id`, `Product_ID`, `part_id`, `schedule_type_id`, `schedule_repeat_id`, `schedule_repeat_value`, `schedule_next_date`, `last_run_date`, `property_value`) VALUES
(1, 'test', '2021-06-29 12:21:55', '2021-08-06 12:22:55', 1, 1, 1, 2, 1, 1, '4', '2021-08-11 13:51:04', '2021-08-11 09:51:04', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_checklist_schedule_answer_details`
--

CREATE TABLE `tbl_checklist_schedule_answer_details` (
  `answer_detail_id` int(11) NOT NULL,
  `answer_main_id` int(11) NOT NULL,
  `checklist_question_id` int(11) NOT NULL,
  `question_solution` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_checklist_schedule_answer_details`
--

INSERT INTO `tbl_checklist_schedule_answer_details` (`answer_detail_id`, `answer_main_id`, `checklist_question_id`, `question_solution`) VALUES
(1, 1, 1, '1');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_checklist_schedule_answer_main`
--

CREATE TABLE `tbl_checklist_schedule_answer_main` (
  `answer_main_id` int(11) NOT NULL,
  `schedule_id` int(11) NOT NULL,
  `schedule_date` datetime DEFAULT NULL,
  `schedule_repeat_value` double NOT NULL DEFAULT '0',
  `property_value` double NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_checklist_schedule_answer_main`
--

INSERT INTO `tbl_checklist_schedule_answer_main` (`answer_main_id`, `schedule_id`, `schedule_date`, `schedule_repeat_value`, `property_value`, `date_created`, `created_by`, `modified_by`, `date_modified`) VALUES
(1, 1, '2021-06-29 16:21:55', 0, 0, '2021-06-29 12:35:54', 1, 1, '2021-06-29 12:35:54');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_child_employee`
--

CREATE TABLE `tbl_child_employee` (
  `Entry_id` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `child_name` varchar(255) NOT NULL,
  `child_dob` date NOT NULL,
  `child_school` varchar(255) NOT NULL,
  `school_type` int(11) NOT NULL,
  `child_class` varchar(255) DEFAULT NULL,
  `child_problem` text,
  `gender_id` int(11) NOT NULL,
  `marital_status_id` int(11) NOT NULL,
  `is_study` tinyint(4) NOT NULL DEFAULT '0',
  `is_self_nssf` tinyint(4) NOT NULL DEFAULT '0',
  `has_special_problem` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_color`
--

CREATE TABLE `tbl_color` (
  `Color_ID` int(11) NOT NULL,
  `Color_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_color`
--

INSERT INTO `tbl_color` (`Color_ID`, `Color_Name`) VALUES
(1, 'أبيض'),
(2, 'أحمر'),
(4, 'أخضر'),
(5, 'كحلي'),
(6, 'جردوني'),
(7, 'برتقالي'),
(8, 'بيج'),
(9, 'زيتي'),
(10, 'أبيض'),
(11, 'أحمر'),
(12, 'أخضر'),
(13, 'كحلي'),
(14, 'جردوني'),
(15, 'برتقالي'),
(16, 'بيج'),
(17, 'زيتي');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_commission_type`
--

CREATE TABLE `tbl_commission_type` (
  `commission_id` int(11) NOT NULL,
  `commission_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_commission_type`
--

INSERT INTO `tbl_commission_type` (`commission_id`, `commission_name`) VALUES
(4, 'commission testing'),
(5, 'commission testing'),
(6, 'commission');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_commission_type_details`
--

CREATE TABLE `tbl_commission_type_details` (
  `detail_id` int(11) NOT NULL,
  `commission_id` int(11) NOT NULL,
  `commission_option` tinyint(4) NOT NULL COMMENT '1:daily,2:monthly',
  `condition_operation` tinyint(4) NOT NULL COMMENT '1:>,2:<',
  `condition_value` double NOT NULL DEFAULT '0',
  `condition_value_to` double NOT NULL DEFAULT '0',
  `commission_type` tinyint(4) NOT NULL COMMENT '1:%,2:value',
  `commission_amount` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_commission_type_details`
--

INSERT INTO `tbl_commission_type_details` (`detail_id`, `commission_id`, `commission_option`, `condition_operation`, `condition_value`, `condition_value_to`, `commission_type`, `commission_amount`) VALUES
(39, 4, 2, 2, 120000, 0, 2, 120000),
(43, 6, 1, 1, 120000, 0, 1, 1),
(44, 6, 2, 1, 35000000, 0, 2, 300000),
(45, 6, 2, 0, 0, 0, 1, 1),
(46, 5, 2, 2, 0, 0, 2, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_bloodtypes`
--

CREATE TABLE `tbl_common_bloodtypes` (
  `BloodType_ID` int(11) NOT NULL,
  `BloodType_Name` varchar(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_bloodtypes`
--

INSERT INTO `tbl_common_bloodtypes` (`BloodType_ID`, `BloodType_Name`) VALUES
(1, 'A-'),
(2, 'A+'),
(3, 'B-'),
(4, 'B+'),
(5, 'AB+'),
(6, 'AB-'),
(7, 'O+'),
(8, 'O-');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_blood_group`
--

CREATE TABLE `tbl_common_blood_group` (
  `Blood_Group_ID` int(11) NOT NULL,
  `Blood_Group_Name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_blood_group`
--

INSERT INTO `tbl_common_blood_group` (`Blood_Group_ID`, `Blood_Group_Name`) VALUES
(1, 'A-'),
(2, 'A+'),
(3, 'B-'),
(4, 'B+'),
(5, 'AB+'),
(6, 'AB-'),
(7, 'O+'),
(8, 'O-'),
(9, 'Select Blood Group');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_currency`
--

CREATE TABLE `tbl_common_currency` (
  `Currency_ID` int(11) NOT NULL,
  `Currency_Name` varchar(64) DEFAULT NULL,
  `Currency_Code` char(3) DEFAULT NULL,
  `Currency_Symbol` varchar(50) NOT NULL,
  `currency_round` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='tbl_currency';

--
-- Dumping data for table `tbl_common_currency`
--

INSERT INTO `tbl_common_currency` (`Currency_ID`, `Currency_Name`, `Currency_Code`, `Currency_Symbol`, `currency_round`) VALUES
(1, 'Andorran Peseta', 'ADP', '', 0),
(2, 'United Arab Emirates Dirham', 'AED', '', 0),
(3, 'Afghanistan Afghani', 'AFA', '؋', 0),
(4, 'Albanian Lek', 'ALL', 'Lek', 0),
(5, 'Netherlands Antillian Guilder', 'ANG', '', 0),
(6, 'Angolan Kwanza', 'AOK', '', 0),
(7, 'Argentine Peso', 'ARS', '$', 0),
(9, 'Australian Dollar', 'AUD', '$', 0),
(10, 'Aruban Florin', 'AWG', 'ƒ', 0),
(11, 'Barbados Dollar', 'BBD', '', 0),
(12, 'Bangladeshi Taka', 'BDT', '', 0),
(14, 'Bulgarian Lev', 'BGN', '', 0),
(15, 'Bahraini Dinar', 'BHD', '', 0),
(16, 'Burundi Franc', 'BIF', '', 0),
(17, 'Bermudian Dollar', 'BMD', '', 0),
(18, 'Brunei Dollar', 'BND', '', 0),
(19, 'Bolivian Boliviano', 'BOB', '', 0),
(20, 'Brazilian Real', 'BRL', '', 0),
(21, 'Bahamian Dollar', 'BSD', '', 0),
(22, 'Bhutan Ngultrum', 'BTN', '', 0),
(23, 'Burma Kyat', 'BUK', '', 0),
(24, 'Botswanian Pula', 'BWP', '', 0),
(25, 'Belize Dollar', 'BZD', '', 0),
(26, 'Canadian Dollar', 'CAD', '', 0),
(27, 'Swiss Franc', 'CHF', '', 0),
(28, 'Chilean Unidades de Fomento', 'CLF', '', 0),
(29, 'Chilean Peso', 'CLP', '', 0),
(30, 'Yuan (Chinese) Renminbi', 'CNY', '', 0),
(31, 'Colombian Peso', 'COP', '', 0),
(32, 'Costa Rican Colon', 'CRC', '', 0),
(33, 'Czech Republic Koruna', 'CZK', '', 0),
(34, 'Cuban Peso', 'CUP', '', 0),
(35, 'Cape Verde Escudo', 'CVE', '', 0),
(36, 'Cyprus Pound', 'CYP', '', 0),
(40, 'Danish Krone', 'DKK', '', 0),
(41, 'Dominican Peso', 'DOP', '', 0),
(42, 'Algerian Dinar', 'DZD', '', 0),
(43, 'Ecuador Sucre', 'ECS', '', 0),
(44, 'Egyptian Pound', 'EGP', '', 0),
(45, 'Estonian Kroon (EEK)', 'EEK', '', 0),
(46, 'Ethiopian Birr', 'ETB', '', 0),
(47, 'Euro', 'EUR', '&#8364;', 0),
(49, 'Fiji Dollar', 'FJD', '', 0),
(50, 'Falkland Islands Pound', 'FKP', '', 0),
(52, 'British Pound', 'GBP', '£', 0),
(53, 'Ghanaian Cedi', 'GHC', '', 0),
(54, 'Gibraltar Pound', 'GIP', '', 0),
(55, 'Gambian Dalasi', 'GMD', '', 0),
(56, 'Guinea Franc', 'GNF', '', 0),
(58, 'Guatemalan Quetzal', 'GTQ', '', 0),
(59, 'Guinea-Bissau Peso', 'GWP', '', 0),
(60, 'Guyanan Dollar', 'GYD', '', 0),
(61, 'Hong Kong Dollar', 'HKD', '', 0),
(62, 'Honduran Lempira', 'HNL', '', 0),
(63, 'Haitian Gourde', 'HTG', '', 0),
(64, 'Hungarian Forint', 'HUF', '', 0),
(65, 'Indonesian Rupiah', 'IDR', '', 0),
(66, 'Irish Punt', 'IEP', '', 0),
(68, 'Indian Rupee', 'INR', '', 0),
(69, 'Iraqi Dinar', 'IQD', '', 0),
(70, 'Iranian Rial', 'IRR', '', 0),
(73, 'Jamaican Dollar', 'JMD', '', 0),
(74, 'Jordanian Dinar', 'JOD', '', 0),
(75, 'Japanese Yen', 'JPY', '', 0),
(76, 'Kenyan Schilling', 'KES', '', 0),
(77, 'Kampuchean (Cambodian) Riel', 'KHR', '', 0),
(78, 'Comoros Franc', 'KMF', '', 0),
(79, 'North Korean Won', 'KPW', '', 0),
(80, '(South) Korean Won', 'KRW', '', 0),
(81, 'Kuwaiti Dinar', 'KWD', '', 0),
(82, 'Cayman Islands Dollar', 'KYD', '', 0),
(83, 'Lao Kip', 'LAK', '', 0),
(84, 'Lebanese Pound', 'LBP', 'L.L.', 250),
(85, 'Sri Lanka Rupee', 'LKR', '', 0),
(86, 'Liberian Dollar', 'LRD', '', 0),
(87, 'Lesotho Loti', 'LSL', '', 0),
(89, 'Libyan Dinar', 'LYD', '', 0),
(90, 'Moroccan Dirham', 'MAD', '', 0),
(91, 'Malagasy Franc', 'MGF', '', 0),
(92, 'Mongolian Tugrik', 'MNT', '', 0),
(93, 'Macau Pataca', 'MOP', '', 0),
(94, 'Mauritanian Ouguiya', 'MRO', '', 0),
(95, 'Maltese Lira', 'MTL', '', 0),
(96, 'Mauritius Rupee', 'MUR', '', 0),
(97, 'Maldive Rufiyaa', 'MVR', '', 0),
(98, 'Malawi Kwacha', 'MWK', '', 0),
(99, 'Mexican Peso', 'MXP', '', 0),
(100, 'Malaysian Ringgit', 'MYR', '', 0),
(101, 'Mozambique Metical', 'MZM', '', 0),
(102, 'Namibian Dollar', 'NAD', '', 0),
(103, 'Nigerian Naira', 'NGN', '', 0),
(104, 'Nicaraguan Cordoba', 'NIO', '', 0),
(105, 'Norwegian Kroner', 'NOK', '', 0),
(106, 'Nepalese Rupee', 'NPR', '', 0),
(107, 'New Zealand Dollar', 'NZD', '', 0),
(108, 'Omani Rial', 'OMR', '', 0),
(109, 'Panamanian Balboa', 'PAB', '', 0),
(110, 'Peruvian Nuevo Sol', 'PEN', '', 0),
(111, 'Papua New Guinea Kina', 'PGK', '', 0),
(112, 'Philippine Peso', 'PHP', '', 0),
(113, 'Pakistan Rupee', 'PKR', '', 0),
(114, 'Polish Zloty', 'PLN', '', 0),
(116, 'Paraguay Guarani', 'PYG', '', 0),
(117, 'Qatari Rial', 'QAR', '', 0),
(118, 'Romanian Leu', 'RON', '', 0),
(119, 'Rwanda Franc', 'RWF', '', 0),
(120, 'Saudi Arabian Riyal', 'SAR', 'ريال ', 0),
(121, 'Solomon Islands Dollar', 'SBD', '', 0),
(122, 'Seychelles Rupee', 'SCR', '', 0),
(123, 'Sudanese Pound', 'SDP', '', 0),
(124, 'Swedish Krona', 'SEK', '', 0),
(125, 'Singapore Dollar', 'SGD', '', 0),
(126, 'St. Helena Pound', 'SHP', '', 0),
(127, 'Sierra Leone Leone', 'SLL', '', 0),
(128, 'Somali Schilling', 'SOS', '', 0),
(129, 'Suriname Guilder', 'SRG', '', 0),
(130, 'Sao Tome and Principe Dobra', 'STD', '', 0),
(131, 'Russian Ruble', 'RUB', '', 0),
(132, 'El Salvador Colon', 'SVC', '', 0),
(133, 'Syrian Potmd', 'SYP', '', 0),
(134, 'Swaziland Lilangeni', 'SZL', '', 0),
(135, 'Thai Baht', 'THB', '', 0),
(136, 'Tunisian Dinar', 'TND', '', 0),
(137, 'Tongan Paanga', 'TOP', '', 0),
(138, 'East Timor Escudo', 'TPE', '', 0),
(139, 'Turkish Lira', 'TRY', '', 0),
(140, 'Trinidad and Tobago Dollar', 'TTD', '', 0),
(141, 'Taiwan Dollar', 'TWD', '', 0),
(142, 'Tanzanian Schilling', 'TZS', '', 0),
(143, 'Uganda Shilling', 'UGX', '', 0),
(144, 'US Dollar', 'USD', '$', 0),
(145, 'Uruguayan Peso', 'UYU', '', 0),
(146, 'Venezualan Bolivar', 'VEF', '', 0),
(147, 'Vietnamese Dong', 'VND', '', 0),
(148, 'Vanuatu Vatu', 'VUV', '', 0),
(149, 'Samoan Tala', 'WST', '', 0),
(150, 'Africaine BEAC, Francs', 'XAF', '', 0),
(151, 'Silver, Ounces', 'XAG', '', 0),
(152, 'Gold, Ounces', 'XAU', '', 0),
(153, 'East Caribbean Dollar', 'XCD', '', 0),
(154, 'International Monetary Fund(IMF)', 'XDR', '', 0),
(155, 'Africaine BCEAO - Francs', 'XOF', '', 0),
(156, 'Palladium Ounces', 'XPD', '', 0),
(157, 'Pacifique Francs', 'XPF', '', 0),
(158, 'Platinum, Ounces', 'XPT', '', 0),
(159, 'Democratic Yemeni Dinar', 'YDD', '', 0),
(160, 'Yemeni Rial', 'YER', '', 0),
(161, 'New Yugoslavia Dinar', 'YUD', '', 0),
(162, 'South African Rand', 'ZAR', '', 0),
(163, 'Zambian Kwacha', 'ZMK', 'ZMK', 0),
(164, 'Zaire Zaire', 'ZRZ', '', 0),
(165, 'Zimbabwe Dollar', 'ZWD', 'Z$', 0),
(166, 'Slovak Koruna', 'SKK', '', 0),
(167, 'Armenian Dram', 'AMD', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_current_year`
--

CREATE TABLE `tbl_common_current_year` (
  `current_year_id` int(11) NOT NULL,
  `current_year` year(4) NOT NULL,
  `is_current` tinyint(4) NOT NULL,
  `total_debits` double NOT NULL,
  `total_credits` double NOT NULL,
  `result_of_year` double NOT NULL,
  `closing_date` date NOT NULL,
  `closed_by` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `is_closed` tinyint(4) NOT NULL DEFAULT '0',
  `is_act_closed` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_current_year`
--

INSERT INTO `tbl_common_current_year` (`current_year_id`, `current_year`, `is_current`, `total_debits`, `total_credits`, `result_of_year`, `closing_date`, `closed_by`, `start_date`, `end_date`, `is_closed`, `is_act_closed`) VALUES
(2, 2023, 1, 0, 0, 0, '0000-00-00', 0, '2023-01-01', '2050-01-01', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_current_year_actual`
--

CREATE TABLE `tbl_common_current_year_actual` (
  `current_year_id` int(11) NOT NULL,
  `current_year` year(4) NOT NULL,
  `is_current` tinyint(4) NOT NULL,
  `total_debits` double NOT NULL,
  `total_credits` double NOT NULL,
  `result_of_year` double NOT NULL,
  `closing_date` date NOT NULL,
  `closed_by` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `is_closed` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_current_year_actual`
--

INSERT INTO `tbl_common_current_year_actual` (`current_year_id`, `current_year`, `is_current`, `total_debits`, `total_credits`, `result_of_year`, `closing_date`, `closed_by`, `start_date`, `end_date`, `is_closed`) VALUES
(2, 2017, 1, 0, 0, 0, '0000-00-00', 1, '2017-01-01', '2030-12-31', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_expiry_date`
--

CREATE TABLE `tbl_common_expiry_date` (
  `Expiry_ID` int(11) NOT NULL,
  `Expiry_Date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_expiry_date`
--

INSERT INTO `tbl_common_expiry_date` (`Expiry_ID`, `Expiry_Date`) VALUES
(0, '2023-04-30');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_gender`
--

CREATE TABLE `tbl_common_gender` (
  `Gender_ID` int(11) NOT NULL,
  `Gender_Name` varchar(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_gender`
--

INSERT INTO `tbl_common_gender` (`Gender_ID`, `Gender_Name`) VALUES
(1, 'male'),
(2, 'female');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_language`
--

CREATE TABLE `tbl_common_language` (
  `common_language_id` int(11) NOT NULL,
  `common_language_key` varchar(255) NOT NULL DEFAULT '',
  `common_language_value` varchar(500) NOT NULL DEFAULT '',
  `common_language_lang` varchar(5) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_medical_coverage`
--

CREATE TABLE `tbl_common_medical_coverage` (
  `Medical_Coverage_ID` int(11) NOT NULL,
  `Medical_Coverage_Name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_medical_coverage`
--

INSERT INTO `tbl_common_medical_coverage` (`Medical_Coverage_ID`, `Medical_Coverage_Name`) VALUES
(1, 'Select Medical Coverage'),
(2, 'NSSF');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_permission`
--

CREATE TABLE `tbl_common_permission` (
  `Permission_ID` int(11) NOT NULL,
  `Permission_Name` varchar(45) DEFAULT NULL,
  `Permission_Text` varchar(250) DEFAULT NULL,
  `Parent_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_permission`
--

INSERT INTO `tbl_common_permission` (`Permission_ID`, `Permission_Name`, `Permission_Text`, `Parent_ID`) VALUES
(2, 'Accounting', 'Accounting', 0),
(3, 'Inventory', 'Inventory', 0),
(4, 'POS', 'POS', 0),
(5, 'HRM', 'HRM', 0),
(6, 'Organization Settings', 'Organization Settings', 2),
(7, 'addOrganization', 'Add Organization', 6),
(8, 'viewOrganization', 'View Organization', 6),
(9, 'amendOrganization', 'Amend Organization', 6),
(10, 'Expenses', 'Expenses', 2),
(11, 'addExpenses', 'Add Expenses', 10),
(12, 'ExpensesList', 'View Expenses', 10),
(13, 'amendExpenses', 'Amend Expenses', 10),
(15, 'accountStatement', 'Account Statement', 71),
(16, 'ledger', 'View General ledger', 71),
(17, 'trialBalance', 'Trial Balance', 71),
(18, 'Payment Account', 'Payment Account', 2),
(19, 'addPaymentAccount', 'Add Payment Account', 18),
(20, 'PaymentList', 'View Payment Account', 18),
(21, 'amendPaymentAccount', 'Edit Payment Account', 20),
(22, 'Chart of Accounts', 'Chart of Accounts', 2),
(23, 'viewlibrary', 'Library C.O.A', 22),
(24, 'viewlibrary/1', 'Organization C.O.A', 22),
(25, 'product_setting', 'Product settings', 3),
(27, 'addProduct', 'New Product', 25),
(28, 'listproduct', 'List Product', 25),
(29, 'currentStock', 'Current Stock', 25),
(30, 'adjustStock', 'Adjust Stock', 198),
(31, 'workOrder', 'Work Order', 86),
(32, 'Purchase Invoice', 'Purchase Invoice', 3),
(33, 'addpurchase', 'New Purchase Invoice', 32),
(34, 'purchase_list', 'Purchase Invoices List', 32),
(35, 'Sales Invoice', 'Sales Invoice', 3),
(36, 'newSalesInvoice', 'New Sales Invoice', 35),
(37, 'salesInvoiceList', 'Sales Invoices List', 35),
(38, 'Vendors', 'Vendors', 3),
(39, 'newVendor', 'New Vendor', 38),
(40, 'ViewVendor', 'View Vendor', 38),
(41, 'Customers', 'Customers', 3),
(42, 'newCustomer', 'New Customer', 41),
(43, 'viewCustomer', 'View Customer', 41),
(44, 'ReportInventory', 'Report', 3),
(45, 'productSummary', 'Product Summary', 44),
(47, 'orderSummary', 'Order Summary', 44),
(48, 'orderProfit', 'Order Profit', 44),
(49, 'payment', 'Payment', 44),
(50, 'generalsettings', 'General Settings', 3),
(51, 'settings', 'Settings', 50),
(52, 'CurrencySettings', 'Currency Settings', 105),
(53, 'Categories', 'Categories', 3),
(54, 'viewCategories', 'View Categories', 1341),
(55, 'Dashboard', 'Dashboard', 0),
(57, 'Return', 'Return', 3),
(58, 'ReturnVendor', 'Return Vendor', 57),
(59, 'ReturnCustomer', 'Return Customer', 57),
(60, 'ViewPurchaseInvoice', 'View Purchase Invoice', 34),
(61, 'VendorList', 'Vendor List', 40),
(62, 'ViewProduct', 'View Product', 28),
(63, 'Bank Account', 'Bank Account', 2),
(64, 'addBankAccount', 'Add Bank Account', 63),
(65, 'viewBankAccount', 'View Bank Account', 63),
(66, 'ContraList', 'Contra List', 18),
(68, 'addReceipt', 'Add Receipt', 18),
(69, 'reorderStock', 'Reorder Stock', 25),
(70, 'EditProduct', 'EditProduct', 62),
(71, 'ReportAcc', 'Report', 2),
(72, 'DailyJournals', 'Daily Journal', 71),
(73, 'ReportProduct', 'Report Product', 62),
(74, 'addJob', 'Add Job', 152),
(75, 'viewEmployeeForPayroll', 'View Employee For Payroll', 91),
(76, 'addEmployee', 'Add Employee', 88),
(77, 'addEmployeeDependent', 'Add Employee Dependent', 88),
(78, 'addUser', 'addUser', 153),
(80, 'deleteUser', 'Delete User', 132),
(81, 'addEmergencyContact', 'Add Emergency Contact', 88),
(82, 'viewEmployees', 'View Employees', 88),
(83, 'addDeduction', 'add Deduction', 90),
(84, 'addEmployeeExpense', 'add Employee Expense', 88),
(88, 'Employees Settings', 'Employees Settings', 5),
(90, 'FINANCE', 'FINANCE', 5),
(91, 'PAYROLL', 'PAYROLL', 5),
(92, 'Access Level', 'Access Level', 5),
(93, 'createRoleModal', 'Create Role Modal', 92),
(94, 'viewRolesModal', 'View Roles Modal', 92),
(95, 'rolePermissionModal', 'Role Permission Modal', 92),
(96, 'viewRolesPermissionModal', 'View Roles Permission Modal', 92),
(98, 'addbonus', 'Add Bonus', 90),
(99, 'addLoan', 'Add Loan', 90),
(100, 'AddAdvancedPayment', 'Add Advanced Payment', 90),
(101, 'addOvertime', 'Add Overtime', 90),
(102, 'ReturnVendorList', 'Return Vendor List', 57),
(103, 'ReturnCustomerList', 'Return Customer List', 57),
(105, 'AccSettings', 'AccSettings', 2),
(106, 'AccGeneralSettings', 'Acc General Settings', 105),
(107, 'ReceiptList', 'Receipt List', 18),
(108, 'Stock', 'Stock', 0),
(109, 'DeliveryNote', 'Delivery Invoice Note', 35),
(110, 'ViewReturnDebit', 'View Return Vendor', 102),
(112, 'WorkingHoursandHolidays', 'Working Hours and Holidays', 5),
(113, 'addworkingday', 'Add Working Day', 112),
(114, 'addshift', 'Add Shift', 112),
(115, 'addHolidays', 'Add Holidays ', 112),
(116, 'addAdvancePayment', 'Add Advance Payment', 90),
(117, 'MATERIALS', 'MATERIALS', 108),
(118, 'ListMaterial', 'List Material', 117),
(120, 'ViewMaterial', 'View Material', 118),
(121, 'EditMaterial', 'Edit Material', 120),
(122, 'ReportMaterial', 'Report Material', 120),
(123, 'CurrentMaterialStock', 'Current MaterialStock', 117),
(124, 'ReorderMaterial', 'Reorder Material', 117),
(125, 'DeliveryNote/vendor', 'Delivery Purchase Note', 32),
(126, 'viewEmployeeExpenses', 'View Employee Expenses', 82),
(127, 'viewEmployeeDependent', 'View Employee Dependent', 82),
(128, 'viewEmployeeEmergencyContact', 'View Employee Emergency Contact', 82),
(129, 'viewWorkingDays', 'View Working Days', 112),
(130, 'viewShifts', 'View Shifts', 112),
(131, 'viewHolidays', 'View Holidays', 112),
(132, 'viewUsers', 'View Users', 153),
(133, 'ReturnNote', 'Return Note', 2),
(134, 'CreditNote', 'Credit Note', 133),
(135, 'CreditList', 'Credit List', 133),
(136, 'DebitNote', 'Debit Note', 133),
(137, 'DebitList', 'Debit List', 133),
(138, 'Warehouses', 'Warehouses', 108),
(139, 'ListDepot', 'List Depot', 138),
(140, 'ViewDepot', 'View Depot', 139),
(141, 'EditDepot', 'Edit Depot', 140),
(142, 'Garage', 'Garage', 0),
(143, 'TransactionByJV', 'Transaction By JV', 17),
(144, 'VEHICLES', 'VEHICLES', 142),
(145, 'ListVehicle', 'List Vehicle', 144),
(146, 'ViewVehicle', 'View Vehicle', 145),
(147, 'NewMaterial', 'New Material', 117),
(148, 'NewDepot', 'New Depot', 138),
(149, 'MaterialLocation', 'Material Location', 138),
(150, 'EditVehicle', 'Edit Vehicle', 146),
(151, 'PayrollForEmployee', 'Payroll For Employee', 91),
(152, 'Jobs Settings', 'Jobs Settings', 5),
(153, 'Users Settings', 'Users Settings', 5),
(154, 'viewJobs', 'View Jobs', 152),
(155, 'Order', 'Order', 3),
(156, 'LoadingOrderList', 'Loading Order List', 155),
(157, 'PaymentofLoadingOrder', 'Payment of Loading Order', 156),
(158, 'returnDamagedLoad', 'return Damaged Load', 156),
(159, 'addLoadingOrder', 'Add Loading Order', 155),
(160, 'SalesOrderList', 'Sales Order List', 155),
(161, 'salesOrder', 'Sales Order', 155),
(162, 'viewLoadingOrder', 'View Loading Order', 156),
(163, 'editEmployees', 'Edit Employees', 82),
(164, 'viewEmployeesDetails', 'View Employees Details', 82),
(165, 'VehicleSchedules', 'Vehicle Schedules', 142),
(166, 'VehicleSchedule', 'Vehicle Schedule', 165),
(167, 'VehicleMaintenance', 'Vehicle Maintenance', 165),
(169, 'WeighBridgeList', 'WeighBridge List', 10),
(170, 'EditSalesOrder', 'Edit Sales Order', 160),
(171, 'ManagePaygrade', 'Manage Paygrade', 152),
(172, 'payslipForManager', 'payslip For Manager', 5),
(173, 'payslipForEmployee', 'payslip For Employee', 5),
(174, 'StockTransfer', 'Stock Transfer', 108),
(175, 'TransferGoods', 'Transfer Goods', 174),
(176, 'TransferList', 'Transfer List', 174),
(177, 'RequestOrder', 'Request Order', 174),
(178, 'RequestList', 'Request List', 174),
(179, 'ViewTransfer', 'View Transfer', 176),
(180, 'EditLoadedQty', 'Edit/Add Loaded Quantity ', 162),
(181, 'CreditCashLoad', 'Credit-Cash Load', 157),
(182, 'CashPaymentOfLoadingOrder', 'Cash Payment Of Loading Order - Cashier', 157),
(183, 'TruckExpenses', 'Truck Expenses', 142),
(184, 'Truckcheckup', 'Truck checkup', 165),
(185, 'DailyCheckupList', 'Daily Checkup List', 165),
(186, 'HR', 'HR', 1),
(187, 'JV', 'JV', 2),
(188, 'addPrepaid', 'Add Prepaid', 187),
(189, 'addPrepaidIncome', 'Add Prepaid Income', 187),
(190, 'addAccruedExpense', 'Add Accrued Expense', 187),
(191, 'addDepositWithDrawal', 'Add Deposit With Drawal', 187),
(192, 'viewPrepaidExpense', 'View Prepaid Expense', 187),
(193, 'viewAccruedExpense', 'View Accrued Expense', 187),
(194, 'viewDepositeWithDrawal', 'View Deposite With Drawal', 187),
(195, 'payForAccruedExpense', 'Pay For Accrued Expense', 193),
(196, 'addJV', 'Add JV', 187),
(197, 'movement_per_item', 'Movement per item', 44),
(198, 'DepotContent', 'Depot Content', 138),
(199, 'AddDailyReport', 'Add Daily Report', 86),
(200, 'ExchangeRateList', 'Exchange Rate List', 71),
(201, 'PricingList', 'Pricing List', 1342),
(202, 'adjustPricingList', 'adjust Pricing List', 201),
(203, 'addCustomerReceipt', 'Add Customer Receipt', 41),
(204, 'addVendorPayment', 'Add Vendor Payment', 38),
(206, 'closeVAT', 'Close VAT', 22),
(207, 'IncomeStatement', 'Income Statement', 71),
(208, 'BalanceSheet', 'Balance Sheet', 71),
(209, 'addActualPayment', 'Add Actual Payment', 18),
(210, 'ActualPaymentList', 'Actual Payment List', 18),
(211, 'ActualInvoicing', 'Actual Invoicing', 3),
(212, 'ActualInvoice', 'Actual Invoice', 211),
(213, 'ActualPurchase', 'Actual Purchase', 211),
(216, 'ActualPurchaseList', 'Actual Purchase List', 211),
(217, 'ActualSalesList', 'Actual Sales List', 211),
(218, 'addActualReceipt', 'Add Actual Receipt', 18),
(219, 'ActualReceiptList', 'Actual Receipt List', 18),
(220, 'DeliveryNoteList', 'Delivery Note List', 35),
(221, 'ActualUnmovedItems', 'Actual Unmoved Items', 44),
(222, 'ActualStockMovement', 'Actual Stock Movement', 44),
(223, 'ActualProductSummary', 'Actual Product Summary', 44),
(224, 'StockMovement', 'Stock Movement', 44),
(225, 'ItemCostChange', 'Item Cost Change', 44),
(226, 'UnmovedItems', 'Unmoved Items', 44),
(227, 'EditUser', 'Edit User', 132),
(228, 'EditShift', 'Edit Shift', 130),
(229, 'DeleteShift', 'Delete Shift', 130),
(230, 'DeleteEmployee', 'Delete Employee', 82),
(231, 'AddEvaluationQuestion', 'Add Evaluation Question', 88),
(232, 'EvaluationPerformance', 'Evaluation Performance', 88),
(233, 'addDepartment', 'Add Department', 152),
(234, 'ViewDepartment', 'View Department', 152),
(235, 'EditDepartment', 'Edit Department', 234),
(236, 'DeleteDepartment', 'Delete Department', 234),
(237, 'DeleteJob', 'Delete Job', 154),
(238, 'addAbsence', 'Add Absence', 90),
(239, 'HRAnnouncement', 'HR Announcement', 5),
(240, 'LeaveManagement', 'Leave Management', 5),
(241, 'AssignLeave', 'Assign Leave', 240),
(242, 'LeaveCalendar', 'Leave Calendar', 240),
(243, 'NewAnnouncement', 'New Announcement', 239),
(244, 'ViewAnnouncment', 'View Announcment', 239),
(245, 'ViewAnnouncmentDetails', 'View Announcment Details', 244),
(246, 'payslip', 'Payslip', 91),
(247, 'TotalPayslip', 'Total Payslip', 91),
(248, 'actual_movement_per_item', 'Actual Movement per Item', 44),
(249, 'newTruckLoadingOrder', 'New Loading Order Per Truck', 156),
(250, 'CustomersDebit ', 'Customer\'s Debit', 55),
(251, 'VendorsCredit', 'Vendor\'s Credit', 55),
(252, 'suppliersAgingReport', 'Suppliers Aging Report', 71),
(253, 'AssignVehicleDriver', 'Assign Vehicle Driver', 144),
(254, 'VehicleDriverList', 'Vehicle Driver List', 144),
(255, 'AddVehicle', 'Add Vehicle', 144),
(256, 'EditAssignVehicle', 'Edit Assign Vehicle', 254),
(257, 'DeleteAssignVehicle', 'Delete Assign Vehicle', 254),
(258, 'GeneralSetting', 'General Setting', 1341),
(259, 'FixedAssetsRegister', 'Fixed Assets Register', 71),
(260, 'viewDepreciation', 'View Depreciation', 259),
(261, 'EditPrepaidExpense', 'Edit Prepaid Expense', 192),
(262, 'EditAccruedExpense', 'Edit Accrued Expense', 193),
(263, 'ActualReports', 'Actual Reports', 2),
(264, 'ActualIncomeStatement', 'Actual Income Statement', 263),
(265, 'ActualBalanceSheet', 'Actual Balance Sheet', 263),
(266, 'ActualSuppliersAgingReport', 'Actual Suppliers Aging Report', 263),
(267, 'ActualCustomersAgingReport', 'Actual Customers Aging Report', 263),
(268, 'ActualLedger', 'View Actual General Ledger', 263),
(269, 'ActualTrialBalance', 'Actual Trial Balance', 263),
(270, 'ActualDailyJournals', 'Actual Daily Journals', 263),
(271, 'EmployeesSettingsActual', 'Employees Settings Actual', 5),
(291, 'addEmployeeActual', 'Add Employee Actual', 271),
(292, 'viewEmployeesActual', 'View Employees Actual', 271),
(293, 'addEmergencyContactActual', 'Add Emergency Contact Actual', 271),
(294, 'addEmployeeExpenseActual', 'Add Employee Expense Actual', 271),
(295, 'addEmployeeDependentActual', 'Add Employee Dependent Actual', 271),
(296, 'EvaluationPerformanceActual', 'Evaluation Performance Actual', 271),
(297, 'EvaluationGraphActual', 'Evaluation Graph Actual', 271),
(298, 'FinanceActual', 'Finance Actual', 5),
(299, 'addAbsenceActual', 'Add Absence Actual', 298),
(300, 'addDeductionActual', 'Add Deduction Actual', 298),
(301, 'addLoanActual', 'Add Loan Actual', 298),
(302, 'addAdvancePaymentActual', 'Add Advance Payment Actual', 298),
(303, 'addOverTimeActual', 'Add Over Time Actual', 298),
(304, 'dailyOvertimeActual', 'Daily Over time Actual', 298),
(305, 'AssignLeaveActual', 'Assign Leave Actual', 240),
(306, 'addUserActual', 'Add User Actual', 153),
(307, 'viewUsersActual', 'View Users Actual', 153),
(308, 'addBonusActual', 'Add Bonus Actual', 298),
(309, 'PayrollForEmployeeActual', 'Payroll For Employee Actual', 298),
(310, 'addExpensesActual', 'Add Expenses Actual', 10),
(311, 'ExpensesListActual', 'Expenses List Actual', 10),
(312, 'FixedAssetsRegisterActual', 'Fixed Assets Register Actual', 263),
(313, 'viewDepreciationActual', 'view Depreciation Actual', 312),
(314, 'addDepositWithDrawalActual', 'Add Deposit/WithDrawal Actual', 187),
(315, 'viewDepositeWithDrawalActual', 'View Deposit/WithDrawal Actual', 187),
(316, 'addJVActual', 'Add JV Actual', 187),
(317, 'transferJVToActual', 'Transfer JV To Actual', 187),
(318, 'transferJVList', 'Transfer JV List', 187),
(319, 'closeYear', 'Close Year', 22),
(320, 'closeYearActual', 'Close Year Actual', 22),
(321, 'currencyExchangeRate', 'Currency Exchange Rate', 22),
(322, 'currencyExchangeRateActual', 'Currency Exchange Rate Actual', 22),
(323, 'GarageDashboard', 'Garage Dashboard', 55),
(324, 'CheckinCheckout', 'Check In/Out', 165),
(325, 'DeleteLoadingOrder', 'Cancel Loading Order', 156),
(326, 'HistoryReportForItem', 'History Report For Item', 44),
(327, 'HistoryReportForItemDetails', 'History Report For Item Details', 326),
(328, 'trialBalanceV2', 'Trial Balance V2', 71),
(329, 'AbsenceSetting', 'Absence Setting', 240),
(330, 'AddAbsenceSetting', 'Add Absence Setting', 329),
(331, 'EditAbsenceSetting', 'Edit Absence Setting', 329),
(332, 'DeleteAbsenceSetting', 'Delete Absence Setting', 329),
(333, 'NAPSA_PAYE', 'NAPSA_PAYE', 91),
(334, 'StockCard', 'Stock Card', 117),
(335, 'StockDashboard', 'Stock Dashboard', 55),
(336, 'InventoryDashboard', 'Inventory Dashboard', 55),
(337, 'HRMDashboard', 'HRM Dashboard', 55),
(338, 'AddCity', 'Add City', 41),
(339, 'TemplateStock', 'Template Stock', 25),
(340, 'ViewReceipt', 'View Receipt', 107),
(341, 'newServicesInvoice', 'New Services Invoice', 32),
(342, 'ServicesInvoiceList', 'Services Invoice List', 32),
(343, 'ViewServicesInvoice', 'View Services Invoice', 342),
(344, 'DueDateInvoiceList', 'Due Date Invoice List', 35),
(345, 'CustomerLimitBalance', 'Customer Limit Balance', 41),
(346, 'expenseReport', 'Expense Report', 71),
(347, 'ledgerMultiAccounts', 'Ledger Multi Accounts', 71),
(348, 'mergeAccounts', 'Merge Accounts', 22),
(349, 'BalanceSheetTotals', 'Balance Sheet Totals', 71),
(350, 'ActualBalanceSheetTotals', 'Actual Balance Sheet Totals', 263),
(351, 'StockReports', 'Stock Reports', 108),
(352, 'DamagedItems', 'Damaged Items', 351),
(353, 'purchaseOrder', 'Purchase Order', 155),
(354, 'purchaseOrderList', 'Purchase Order List', 155),
(355, 'uomConversion', 'UOM Conversion', 25),
(356, 'Score', 'Score', 0),
(357, 'Patient', 'Patient', 356),
(358, 'InsertPatient', 'Add Patient', 357),
(359, 'viewPatient', 'View Patient', 357),
(360, 'EditPatient', 'Edit Patient', 359),
(361, 'getPatientSubTests', 'Patient Sub Tests', 359),
(362, 'viewPatientTestResults', 'View Patient Test Results', 359),
(363, 'insertPatientLabtest', 'Add Patient Lab test', 359),
(364, 'changeStatus', 'Change Status', 359),
(365, 'PatientFaceSheet', 'Patient Facesheet', 359),
(366, 'Billing', 'Billing', 356),
(367, 'Doctors', 'Doctors', 356),
(368, 'Appointment', 'Appointment', 356),
(369, 'Departments', 'Departments', 356),
(370, 'labBilling', 'Lab Billing', 356),
(371, 'addBilling', 'Add Billing', 366),
(372, 'InsertDoctor', 'Add Doctor', 367),
(373, 'editDoctor', 'Edit Doctor', 367),
(374, 'Laboratory', 'Laboratory', 369),
(375, 'DepartmentServices', 'Department Services', 369),
(376, 'insertLabtest', 'Add Lab Test', 374),
(377, 'ViewLabTest', 'View Lab Test', 374),
(378, 'insertSubtest', 'Add Sub Test', 377),
(379, 'editSubtest', 'Edit Sub Test', 377),
(380, 'EditLabtest', 'Edit Lab Test', 374),
(381, 'insertLabServiceCat', 'Add Lab Service Category', 374),
(382, 'insertDepartmentServiceCat', 'Add Department Service Category', 375),
(383, 'viewServices', 'View Services', 375),
(384, 'insertDepartmentService', 'Add Department Service', 383),
(385, 'editServicePercent', 'Edit Service Percent', 375),
(386, 'assignServices', 'Assign Services', 375),
(387, 'insertPatientSubtestResults', 'Add Patient Results', 359),
(389, 'viewBilling', 'View Billing', 366),
(390, 'editInvoice', 'Edit Invoice', 35),
(391, 'ServicesInvoiceListActual', 'Services Invoice List Actual', 32),
(392, 'newServicesInvoiceActual', 'New Services Invoice Actual', 32),
(405, 'addPrepaidActual', 'Add Prepaid Actual', 187),
(406, 'addPrepaidIncomeActual', 'Add Prepaid Income Actual', 187),
(407, 'viewPrepaidExpenseActual', 'Prepaid Expense List Actual', 187),
(408, 'viewPrepaidIncomeActual', 'Prepaid Income List Actual', 187),
(409, 'viewPrepaidIncome', 'Prepaid Income List', 187),
(410, 'viewAccruedExpenseActual', 'View Accrued Expense Actual', 187),
(411, 'expenseReportActual', 'expenseReportActual', 263),
(412, 'ledgerMultiAccountsActual', 'Ledger Multi Accounts Actual', 263),
(413, 'editJV', 'Edit JV', 187),
(414, 'editJVActual', 'Edit JV Actual', 187),
(415, 'ItemProfit', 'Item Profit', 44),
(416, 'addUserAccounts', 'Add User Accounts', 6),
(417, 'paymentDueDates', 'Payment Due Dates', 18),
(418, 'receiptDueDates', 'Receipt Due Dates', 18),
(419, 'ApproveLeave', 'Approve Absence or Accrued Leave', 240),
(420, 'editTransfer', 'Edit Transfer', 178),
(421, 'Setting', 'Setting', 0),
(422, 'default_settings', 'Default Settings', 421),
(423, 'scale', 'scale', 1341),
(424, 'scaleKeys', 'Scale Keys', 1341),
(425, 'add_deposite', 'Add Deposite', 4),
(426, 'add_customer', 'Add Customer', 4),
(427, 'add_withdrawal', 'Add withdrawal', 4),
(428, 'add_payment', 'Add Payment', 4),
(431, 'administration', 'Administration', 4),
(432, 'delivery', 'Delivery', 4),
(433, 'invoice_report', 'Invoice Report', 44),
(434, 'total_sold_items', 'Total Sold Items', 44),
(435, 'detailed_sold_items', 'Detailed Sold Items', 44),
(436, 'user_invoices', 'User Invoices', 44),
(437, 'return_without_invoice', 'Return (without invoice)', 57),
(438, 'DeleteInvoice', 'Delete Invoice', 4),
(439, 'purchase_vat', 'Purchase VAT', 33),
(440, 'sales_vat', 'Sales VAT', 36),
(441, 'change_class', 'Change Pricing Class', 36),
(442, 'UserCustomersList', 'User Customers List', 41),
(443, 'salesReports', 'Sales Reports', 3),
(444, 'salesConsolidateByUser', 'Sales Consolidate by User', 443),
(445, 'dailyActivityByUser', 'Daily Activity by User', 443),
(446, 'invoiceDistByCustomer', 'Invoice Distribution by Customer', 443),
(447, 'production_process_mgt', 'Production Process Management', 810),
(448, 'production_template', 'Production Template', 816),
(449, 'add_production_template', 'Add Production Template', 448),
(450, 'production_process', 'Production Process', 447),
(451, 'add_production_process', 'Add Production Process', 450),
(452, 'org_branches', 'Organization Branches', 6),
(453, 'add_org_branch', 'Add Organization Branch', 452),
(454, 'edit_org_branch', 'Edit Organization Branch', 452),
(455, 'view_cost_pos', 'View Cost in POS', 4),
(456, 'discount_on_item', 'Discount on Item', 4),
(457, 'discount_on_invoice', 'Discount on Invoice', 4),
(459, 'sales_discount_on_item', 'Discount on Item', 36),
(460, 'sales_discount_on_invoice', 'Discount on Invoice', 36),
(461, 'data_collector_adjust', 'Data Collector Adjust', 138),
(462, 'add_pos_expense', 'Add Expense', 4),
(466, 'sales_purchase_list', 'Sales Purchase List', 32),
(467, 'add_sales_purchase', 'Add Sales Purchase', 32),
(469, 'add_sales_purchase_return', 'Add Sales Purchase Return', 32),
(470, 'sales_purchase_return_list', 'Sales Purchase Return List', 32),
(472, 'group_accounts', 'Group Accounts', 6),
(473, 'actual_return', 'Actual Return', 3),
(474, 'actual_return_customer', 'Actual Return Customer', 473),
(475, 'actual_return_customer_list', 'Actual Return Customer List', 473),
(476, 'actual_return_vendor', 'Actual Return Vendor', 473),
(477, 'actual_return_vendor_list', 'Actual Return Vendor List', 473),
(478, 'export_invoices', 'Export Invoices', 37),
(479, 'change_pos_price_class', 'Change Pricing Class', 4),
(480, 'change_pos_price', 'Change POS Price', 4),
(481, 'get_manual_data_from_server', 'Get Manual Data from Server', 41),
(482, 'ViewSalesInvoice', 'View Sales Invoice', 37),
(483, 'ViewReturnCredit', 'View Return Customer', 103),
(484, 'change_depot', 'Change Depot', 33),
(486, 'change_invoice_depot', 'Change Depot', 36),
(487, 'get_customers_from_server', 'Get Customers from Server', 481),
(488, 'sync_data_from_server', 'Sync Data from Server', 481),
(489, 'sync_data_to_server', 'Sync Data to Server', 481),
(490, 'change_sales_unit_price', 'Change Unit Price', 36),
(491, 'reorder_jv', 'Reorder JV', 187),
(492, 'reorder_actual_jv', 'Reorder Actual JV', 187),
(494, 'ActualCreditNote', 'Actual Credit Note', 133),
(495, 'ActualDebitNote', 'Actual Debit Note', 133),
(496, 'ActualCreditList', 'Actual Credit List', 133),
(497, 'ActualDebitList', 'Actual Debit List', 133),
(498, 'print_end_shift', 'Print End of Shift', 4),
(499, 'end_of_shift_report', 'End of Shift Report', 44),
(500, 'end_of_shift_report_print', 'Print End of Shift Report ', 499),
(501, 'total_sales_return_items', 'Total Sales Return Items', 44),
(502, 'add_receipt', 'Add Receipt', 4),
(503, 'editDepositWithDrawal', 'Edit Deposit With Drawal', 187),
(504, 'editDepositWithDrawalActual', 'Edit Deposit/WithDrawal Actual', 187),
(505, 'crm', 'CRM', 0),
(506, 'view_expense', 'View Expenses', 12),
(507, 'view_sales_last_cost', 'View Last Cost', 36),
(508, 'view_purchase_last_cost', 'View Last Cost', 33),
(509, 'view_return_vendor_cost', 'View Last Cost', 58),
(510, 'view_return_customer_cost', 'View Last Cost', 59),
(511, 'view_sales_order_cost', 'View Last Cost', 161),
(512, 'view_purchase_order_cost', 'View Last Cost', 353),
(513, 'change_dist_method', 'Change Cost Distribution Method', 33),
(514, 'add_extra_cost', 'Add Extra Cost', 33),
(515, 'job_list', 'Job List', 6),
(516, 'add_job', 'Add Job', 515),
(517, 'edit_job', 'Edit Job', 515),
(518, 'trans_type_list', 'Transaction Type List', 6),
(519, 'add_trans_type', 'Add Transaction Type', 518),
(520, 'edit_trans_type', 'Edit Transaction Type', 518),
(521, 'crm_customers', 'Customers', 505),
(522, 'add_crm_customer', 'Add Customer', 521),
(523, 'edit_crm_customer', 'Edit Customer', 521),
(524, 'crm_contacts', 'Contacts', 505),
(525, 'add_crm_contact', 'Add Contact', 524),
(526, 'edit_crm_contact', 'Edit Contact', 524),
(527, 'import_data', 'Import Data', 505),
(528, 'deals', 'Deals', 505),
(529, 'add_deal', 'Add Deal', 528),
(530, 'edit_deal', 'Edit Deal', 528),
(531, 'pipeline', 'Pipeline', 505),
(532, 'add_deal_pipeline', 'Add Deal', 531),
(533, 'crm_activity', 'Activity', 505),
(534, 'add_crm_activity', 'Add Activity', 533),
(535, 'edit_crm_activity', 'Edit Activity', 533),
(536, 'view_customer_profile', 'View Customer Profile', 505),
(537, 'view_contact_profile', 'View Contact Profile', 505),
(538, 'view_deal_details', 'View Deal Details', 505),
(539, 'job_report', 'Statement of Job', 675),
(541, 'actual_job_report', 'Actual Statement of Job', 263),
(542, 'family_accounts', 'Family Accounts', 6),
(543, 'add_family_account', 'Add Family Account', 542),
(544, 'edit_family_account', 'Edit Family Account', 542),
(545, 'smart_diner', 'Smart Diner', 4),
(546, 'floor_table_setting', 'Floor Table Setting', 545),
(547, 'add_floor', 'Add Floor', 546),
(548, 'edit_floor', 'Edit Floor', 546),
(549, 'delete_floor', 'Delete Floor', 546),
(550, 'tables', 'Tables', 546),
(551, 'add_table', 'Add Table', 550),
(552, 'edit_table', 'Edit Table', 550),
(553, 'delete_table', 'Delete table', 550),
(554, 'invoice_service', 'Invoice Service', 545),
(555, 'transfer_user', 'Transfer User', 545),
(556, 'transfer_table', 'Transfer Table', 545),
(557, 'transfer_items', 'Transfer Items', 545),
(558, 'split_items', 'Split Items', 545),
(559, 'merge_tables', 'Merge tables', 545),
(560, 'db_backup', 'Backup', 565),
(561, 'void_reason', 'Void reason', 3),
(562, 'add_void_reason', 'Add Void Reason', 561),
(563, 'edit_void_reason', 'Edit Void Reason', 561),
(564, 'delete_void_reason', 'Delete Void reason', 561),
(565, 'others_module', 'Others', 0),
(566, 'app_tracking_map', 'App Tracking Map', 565),
(567, 'add_ons', 'Add Ons', 3),
(568, 'add_ons_details', 'Add Ons Details', 3),
(569, 'editHoliday', 'Edit Holiday', 131),
(570, 'deleteHoliday', 'Delete Holiday', 131),
(571, 'new_add_ons', 'New Add Ons', 567),
(572, 'edit_add_ons', 'Edit Add Ons', 567),
(573, 'delete_add_ons', 'Delete Add Ons', 567),
(574, 'new_add_ons_details', 'New Add Ons Details', 568),
(575, 'edit_add_ons_details', 'Edit Add Ons Details', 568),
(576, 'delete_add_ons_details', 'Delete Add Ons Details', 568),
(577, 'employeeAttendance', 'Employee Attendance', 112),
(578, 'addEmployeeAttendanceManual', 'Add Employee Attendance Manual', 112),
(580, 'DeleteAnnouncement', 'Delete Announcement', 244),
(581, 'EditAnnouncement', 'Edit Announcement', 244),
(582, 'delivery_list', 'Delivery List', 4),
(583, 'deleteEmergencyContact', 'Delete Emergency Contact', 128),
(584, 'editEmergencyContact', 'Edit Emergency Contact', 128),
(585, 'viewEmployeeChild', 'View Employee Child', 88),
(586, 'addEmployeeChildren', 'Add Employee Children', 88),
(587, 'editEmployeeChild', 'Edit Employee Child', 585),
(588, 'deleteEmployeeChild', 'Delete Employee Child', 585),
(589, 'viewEmployeeAlert', 'View Employee Alert', 88),
(590, 'AddEmpAlert', 'Add Employee Alert', 88),
(591, 'viewemployeedeductionnote', 'View Employee Deduction Note', 90),
(592, 'addEmployeeDeductionNote', 'Add Employee Deduction Note', 90),
(593, 'deleteEmployeeDedcutionNote', 'Delete Employee Deduction Note', 591),
(594, 'rejectEmployeeDedcutionNote', 'Reject Employee DeduCtion Note', 591),
(595, 'EditEmployeeDeductionNote', 'Edit Employee Deduction Note', 591),
(596, 'viewdeduction', 'View Deduction', 90),
(597, 'viewbonus', 'View Bonus', 90),
(598, 'view_advance_payment', 'View Advance Payment', 90),
(599, 'view_loan', 'View Loans', 90),
(600, 'editbonus', 'Edit Bonus', 597),
(601, 'deletebonus', 'Delete Bonus', 597),
(602, 'deletededuction', 'Delete Deduction', 596),
(603, 'editdeduction', 'Edit Deduction', 596),
(604, 'editloan', 'Edit Loan', 599),
(605, 'deleteloan', 'Delete Loan', 599),
(606, 'EditAdvancePayment', 'Edit Advance Payment', 598),
(607, 'DeleteAdvancePayment', 'Delete Advance Payment', 598),
(608, 'dailyOvertime', 'Daily Overtime', 90),
(609, 'paidAccruedLeave', 'Paid Accrued Leave', 240),
(610, 'viewEmpTransferDay', 'View Employee Transfer Day', 240),
(611, 'addEmpTransferDay', 'Add Employee Transfer Day', 240),
(612, 'editEmpTransferDay', 'Edit Employee Transfer Day', 610),
(613, 'deleteEmpTransferDay', 'Delete Employee Transfer Day', 610),
(614, 'medical', 'Medical', 5),
(615, 'MedicalSetting', 'Medical Setting', 614),
(616, 'AddMedicalTypeSetting', 'Add Medical Type Setting', 615),
(617, 'EditMedicalTypeSetting', 'Edit Medical Type Setting', 615),
(618, 'DeleteMedicalTypeSetting', 'Delete Medical Type Setting', 615),
(619, 'MedicalLocation', 'Medical Location', 615),
(620, 'viewMedicalLocation', 'View Medical Location', 615),
(621, 'medicalEmployee', 'Medical Employee', 615),
(622, 'viewMedicalEmployee', 'View Medical Employee', 615),
(623, 'EditMedicalLocation', 'Edit Medical Location', 620),
(624, 'DeleteMedicalLocation', 'Delete Medical Location', 620),
(625, 'EditMedicalEmployee', 'Edit Medical Employee', 622),
(626, 'DeleteMedicalEmployee', 'Delete Medical Employee', 622),
(627, 'volunteer', 'Volunteer', 5),
(628, 'volunteer_team', 'Volunteer Team', 627),
(629, 'volunteer_skills', 'Volunteer Skills', 627),
(630, 'volunteer_notice', 'Volunteer  Notice', 627),
(631, 'volunteer_list', 'Volunteer List', 627),
(632, 'pro_list', 'Project list', 627),
(633, 'add_volunteer_team', 'Add Volunteer Team', 628),
(634, 'edit_volunteer_team', 'Edit Volunteer Team', 628),
(635, 'delete_volunteer_team', 'Delete Volunteer Team', 628),
(636, 'add_volunteer_skills', 'Add Volunteer Skills', 629),
(637, 'edit_volunteer_skills', 'Edit Volunteer Skills', 629),
(638, 'delete_volunteer_skills', 'Delete Volunteer Skills', 629),
(639, 'add_volunteer_notice', 'Add Volunteer Notice', 630),
(640, 'edit_volunteer_notice', 'Edit Volunteer Notice', 630),
(641, 'delete_volunteer_notice', 'Delete Volunteer Notice', 630),
(642, 'addVolunteer', 'Add Volunteer', 631),
(643, 'viewVolunteersDetails', 'View Volunteers Details', 631),
(644, 'DeleteVolunteer', 'Delete Volunteer', 631),
(645, 'add_pro_list', 'Add Project ', 632),
(646, 'edit_pro_list', 'Edit Project ', 632),
(647, 'delete_pro_list', 'Delete Project', 632),
(648, 'addActualEmployeeAttendanceManual', 'Add Actual  Employee Attendance Manual', 112),
(649, 'takeaway_delivery', 'Takeaway / Delivery', 545),
(650, 'viewactemployeedeductionnote', 'View Actual Employee Deduction Note', 298),
(651, 'addActEmployeeDeductionNote', 'Add Actual Employee Deduction Note', 298),
(652, 'view_actual_deduction', 'View Actual Deduction', 298),
(653, 'view_actual_bonus', 'View Actual Bonus', 298),
(654, 'view_actual_loan', 'View Actual Loans', 298),
(655, 'edit_actual_loan', 'Edit Actual Loan', 654),
(656, 'view_act_advance_payment', 'View Actual Advance Payment', 298),
(657, 'EditActAdvancePayment', 'Edit Actual Advance Payment', 656),
(658, 'DeleteActAdvancePayment', 'Delete Actual Advance Payment', 656),
(659, 'LeaveCalendarActual', 'Leave Calendar Actual', 240),
(660, 'paidAccruedLeaveActual', 'Paid Accrued Leave Actual', 240),
(661, 'viewEmpTransferDayActual', 'View Employee Transfer Day Actual', 240),
(662, 'medicalEmployeeActual', 'Medical Employee Actual', 615),
(663, 'viewMedicalEmployeeActual', 'View Medical Employee Actual', 615),
(664, 'viewEmployeeAlertActual', 'View Employee Alert Actual', 88),
(665, 'viewEmployeeChildActual', 'View Employee Child Actual', 88),
(666, 'consumed_item', 'Consumed Item', 117),
(667, 'search_pos_barcode', 'Search Barcode', 4),
(668, 'skipkeys', 'Skip Keys', 25),
(669, 'manager_discount', 'Manager Discount', 4),
(670, 'pos_invoice_list', 'Invoice List', 4),
(671, 'pos_end_of_shift', 'End of Shift', 4),
(672, 'pos_customer_invoices', 'Customer Invoices', 4),
(673, 'pos_customer_ledger', 'Customer Statement', 4),
(674, 'detailed_returned_items', 'Detailed Returned Items', 44),
(675, 'jobs', 'Jobs', 2),
(676, 'job_trial_balance', 'Job Trial Balance', 675),
(677, 'act_job_trial_balance', 'Actual Job Trial Balance', 675),
(678, 'financial_year', 'Financial Year', 6),
(679, 'add_financial_year', 'Add Financial Year', 678),
(680, 'edit_financial_year', 'Edit Financial Year', 678),
(681, 'open_actual_year', 'Open Actual Year', 678),
(682, 'open_year', 'Open Year', 678),
(683, 'customer_supplier_vat_report', 'VAT Report', 71),
(684, 'movement_control', 'Movement Control', 44),
(685, 'DeleteSalesInvoice', 'Delete Sales Invoice', 35),
(686, 'delete_pos_inv', 'Delete Invoice', 670),
(687, 'attendance_report', 'Attendance Report', 112),
(688, 'salary_unit_formulas', 'Salary Unit Formulas', 112),
(689, 'add_salary_unit_formulas', 'Add salary Unit Formulas', 688),
(690, 'edit_salary_unit_formulas', 'Edit salary Unit Formulas', 688),
(691, 'piece_managment', 'Piece Management', 5),
(692, 'piece_price', 'Piece Price', 691),
(693, 'salary_periods', 'Salary Periods', 112),
(694, 'add_salary_periods', 'Add Salary Periods', 693),
(695, 'edit_salary_periods', 'Edit Salary Periods', 693),
(696, 'piece_price_list', 'Piece Price List', 691),
(697, 'piece_service', 'Piece Service', 691),
(698, 'save_print_end_shift_pos', 'Print end of shift', 671),
(699, 'employee_due_payments', 'Employee due payments', 88),
(700, 'see_all_employee_payment', 'See all employee payments', 699),
(701, 'view_sales_last_price', 'View Last Price', 36),
(702, 'attendance_setting', 'Attendance Setting', 112),
(703, 'add_attendance_setting', 'Add Attendance Setting', 702),
(704, 'edit_attendance_setting', 'Edit Attendance Setting', 702),
(705, 'show_total_deposite', 'Show total deposite', 425),
(706, 'show_total_cash', 'Show total cash', 427),
(707, 'cash_drawer_accounts', 'Cash Drawer Accounts', 6),
(708, 'employee_location', 'Employee Location', 112),
(709, 'add_employee_location', 'Add Employee Location', 708),
(710, 'edit_employee_location', 'Edit Employee Location', 708),
(711, 'void_report', 'Void report', 3),
(712, 'quotation', 'Quotation', 3),
(713, 'sales_quotation', 'Sales Quotation', 712),
(714, 'sales_quotation_list', 'Sales Quotation List', 712),
(715, 'purchase_quotation', 'Purchase Quotation', 712),
(716, 'purchase_quotation_list', 'purchase_quotation_list', 712),
(717, 'view_last_price_pos', 'View Last Price', 4),
(718, 'view_customer_visits', 'View Customer Visits', 41),
(719, 'online_ledger', 'Online Ledger', 41),
(720, 'view_all_tables', 'View All Tables', 4),
(721, 'cash_drawer_log', 'Cash Drawer Log', 44),
(722, 'view_customer_last_order', 'View Customer Last Order', 4),
(723, 'general_criteria', 'General Criteria', 1341),
(724, 'view_caller_id', 'View Caller ID', 4),
(725, 'print_kitchen', 'Print kitchen', 4),
(726, 'show_person_in_charge', 'Show person in charge', 4),
(727, 'pos_multi_inv_delete', 'Multi Invoice Delete', 4),
(728, 'manager_end_of_shift', 'End of shift', 1341),
(729, 'reorder_invoices', 'Reorder Invoices', 1341),
(730, 'reorder_act_invoices', 'Reorder Actual Invoices', 1341),
(731, 'pricing_class', 'Pricing Class', 1342),
(732, 'add_pricing_class', 'Add Pricing Class', 731),
(733, 'edit_pricing_class', 'Edit Pricing Class', 731),
(734, 'user_management', 'User Mangement', 421),
(735, 'roles_permissions', 'Roles permissions', 734),
(736, 'users', 'Users', 734),
(737, 'actual_users', 'Actual Users', 734),
(738, 'view_brand', 'View Brand', 1341),
(739, 'add_brand', 'Add Brand', 738),
(740, 'edit_brand', 'Edit Brand', 738),
(741, 'delete_brand', 'Delete Brand', 738),
(742, 'employee_banks', 'Employee Banks', 112),
(743, 'add_employee_banks', 'Add Employee Banks', 742),
(744, 'edit_employee_banks', 'Edit Employee Banks', 742),
(745, 'employee_bank_info', 'Employee Bank Info', 91),
(746, 'add_role_permissions', 'Add Role Permissions', 735),
(747, 'edit_role_permissions', 'Edit Role Permissions', 735),
(748, 'add_user', 'Add user', 736),
(749, 'edit_user', 'Edit User', 736),
(750, 'delete_user', 'Delete User', 736),
(751, 'disable_enable_user', 'Disable Enable User', 736),
(752, 'change_user_password', 'Change password', 736),
(753, 'add_actual_user', 'Add actual user', 737),
(754, 'edit_actual_user', 'Edit actual user', 737),
(755, 'delete_actual_user', 'Delete actual user', 737),
(756, 'change_actual_user_password', 'Change actual user password', 737),
(757, 'disable_enable_actual_user', 'Disable enable actual user', 737),
(758, 'change_password', 'Change password', 0),
(759, 'total_sold_items_by_brand', 'Total Sold Items By Brand', 44),
(760, 'check_due_dates_report', 'Check Due Dates', 18),
(761, 'act_check_due_dates_report', 'Actual Check Due Dates', 18),
(762, 'change_secret_code', 'Change Secret code', 736),
(763, 'change_actual_secret_code', 'Change actual secret code', 737),
(764, 'view_all_pos_invoices', 'View All Invoices', 4),
(765, 'view_sales_quotation_details', 'View sales quotation details', 714),
(766, 'view_purchase_quotation_details', 'View purchase quotation details', 716),
(767, 'view_sales_order_details', 'View sales order details', 160),
(768, 'view_purchase_order_details', 'View purchase order details', 354),
(769, 'edit_sales_quotation', 'Edit sales quotation', 714),
(770, 'edit_purchase_quotation', 'Edit purchase quotation', 716),
(772, 'edit_purchase_order', 'Edit purchase order', 354),
(773, 'sales_quotation_go_invoice', 'Sales quotation go invoice', 714),
(774, 'purchase_quotation_go_invoice', 'Purchase quotation go invoice', 716),
(775, 'sales_order_go_invoice', 'Sales order go invoice', 160),
(776, 'purchase_order_go_invoice', 'Purchase order go invoice', 354),
(777, 'change_deduction_unit_amount', 'Change Deduction Unit Amount', 83),
(778, 'change_overtime_unit_amount', 'Change Overtime Unit Amount', 101),
(779, 'edit_overtime', 'Edit Overtime', 608),
(780, 'exceed_paid_amount', 'Exceed paid amount', 696),
(781, 'piece_payment_report', 'Piece payment report', 691),
(782, 'att_template', 'Attendance Templates', 112),
(783, 'vehicle_checkup_list', 'Vehicle Checkup List', 144),
(784, 'vehicle_mecanique_list', 'Vehicle Mecanique List', 144),
(785, 'vehicle_maintenance_list', 'Vehicle Maintenance List', 144),
(786, 'add_vehicle_checkup', 'Add Vehicle Checkup', 783),
(787, 'edit_vehicle_checkup', 'Delete Vehicle Checkup', 783),
(788, 'delete_vehicle_checkup', 'Delete Vehicle Checkup', 783),
(789, 'add_vehicle_mecanique', 'Add Vehicle Mecanique', 784),
(790, 'edit_vehicle_mecanique', 'Edit Vehicle Mecanique', 784),
(791, 'delete_vehicle_mecanique', 'Delete Vehicle Mecanique', 784),
(792, 'add_truck_expense', 'Add Truck Expense', 183),
(793, 'truck_expense_list', 'Truck Expense List', 183),
(794, 'vehicle_check_in_out', 'vehicle_check_in_out', 144),
(795, 'show_vehicle_view', 'Show Vehicle View', 794),
(796, 'vehicle_check_in_out_list', 'Check in/check out List', 144),
(797, 'detailed_purchase_items_report', 'Detailed purchase items ', 44),
(798, 'checkup_setting', 'Checkup Setting', 144),
(799, 'trusted_computers', 'Trusted Computers', 422),
(800, 'add_trusted_computer', 'Add trusted computer', 799),
(801, 'edit_trusted_computer', 'Edit trusted computer', 799),
(802, 'delete_trusted_computer', 'Delete  trusted computer', 799),
(803, 'edit_truck_expense', 'Edit Expense', 793),
(804, 'system_setting', 'System Setting', 422),
(805, 'product_sections', 'Product Sections', 25),
(806, 'add_product_sections', 'Add Product Sections', 805),
(807, 'edit_product_sections', 'Edit Product Sections', 805),
(808, 'delete_product_sections', 'Delete Product Sections', 805),
(809, 'pos_drawer_reason', 'POS Drawer Reason', 4),
(810, 'production', 'Production', 0),
(811, 'checklist_setting', 'Checklist Setting', 810),
(812, 'checklist', 'Checklist', 811),
(813, 'add_checklist', 'Add Checklist', 812),
(814, 'edit_checklist', 'Edit Checklist', 812),
(815, 'delete_checklist', 'Delete Checklist', 812),
(816, 'production_settings', 'Production Settings', 810),
(817, 'machine_properties_values', 'Machine Properties Values', 816),
(818, 'add_machine_properties_values', 'Add Machine Properties Values', 817),
(819, 'edit_machine_properties_values', 'Edit Machine Properties Values', 817),
(820, 'schedule_checklist', 'Schedule Checklist', 811),
(821, 'new_checklist_schedule', 'New Checklist Schedule', 820),
(822, 'machine_expenses', 'Machine Expenses', 1207),
(823, 'add_machine_expenses', 'Add Machine Expenses', 822),
(824, 'edit_machine_expenses', 'Edit Machine Expenses', 822),
(825, 'edit_schedule_checklist', 'Edit Checklist Schedule', 820),
(826, 'delete_schedule_checklist', 'Delete Checklist Schedule', 820),
(827, 'answers_checklist_schedule', 'Answers of checklist', 811),
(828, 'add_checklist_schedule_answers', 'Add checklist schedule answers', 827),
(829, 'delete_emp_doc', 'Delete Employee Document', 82),
(830, 'fuel_tracker', 'Fuel Tracker', 183),
(831, 'import_stock', 'Import Stock Data', 138),
(832, 'edit_checklist_schedule_answers', 'Edit checklist schedule answers', 827),
(833, 'delete_checklist_schedule_answers', 'Delete checklist schedule answers', 827),
(834, 'delete_accrued_leave', 'Delete Accrued Leave', 240),
(836, 'total_machine_expenses', 'Total Machines Expenses', 1207),
(837, 'history_scheduled_checklist', 'History Scheduled Checklist', 811),
(838, 'detail_machine_expenses', 'Detailed Machines Expenses', 1207),
(839, 'missed_schedule_checklist', 'Missed Schedule Checklist', 811),
(840, 'topSuppliers', 'Top Suppliers', 71),
(841, 'topCustomers', 'Top Customers', 71),
(842, 'amendExpensesActual', 'Amend Expenses Actual', 10),
(843, 'delete_absence', 'Delete Absence', 240),
(844, 'ActualpaymentDueDates', 'Actual Payment Due Dates', 18),
(845, 'ActualreceiptDueDates', 'Actual Receipt Due Dates', 18),
(846, 'actual_order', 'Actual Order', 3),
(847, 'actual_sales_order', 'Actual Sales Order', 846),
(848, 'actual_sales_order_list', 'Actual Sales Order List', 846),
(849, 'actual_purchase_order', 'Actual Purchase Order', 846),
(850, 'actual_purchase_order_list', 'Actual Purchase Order List', 846),
(851, 'actual_sales_order_details', 'Actual Sales Order Details', 848),
(852, 'actual_purchase_order_details', 'Actual Purchase Order Details', 850),
(853, 'edit_actual_sales_order', 'Edit Actual Sales Order', 848),
(854, 'edit_actual_purchase_order', 'Edit Actual Purchase Order', 850),
(855, 'CreditListPerVendor', 'Credit List Per Vendor', 55),
(856, 'DebitListPerCustomer', 'Debit List Per Customer', 55),
(857, 'pos_end_of_day', 'End of day', 4),
(858, 'manager_end_of_day', 'End of day', 44),
(859, 'stock_adjustments', 'Stock Adjustments', 351),
(860, 'addAccruedExpenseActual', 'add Accrued Expense Actual', 187),
(861, 'multi_payroll', 'Multi Payroll', 91),
(862, 'app', 'Application', 0),
(863, 'distribution', 'Distribution App.', 862),
(864, 'app_customers', 'Customers', 863),
(865, 'app_products', 'Products', 863),
(866, 'app_invoices', 'Invoices', 863),
(867, 'app_return', 'Return', 863),
(868, 'app_request_transfer_order', 'Request Transfer Order', 863),
(869, 'app_payments', 'Payments', 863),
(870, 'app_sales', 'Sales', 863),
(871, 'app_visits', 'Visits', 863),
(872, 'app_damage', 'Damage', 863),
(873, 'app_reports', 'Reports', 863),
(874, 'app_account', 'Account', 863),
(875, 'CashList', 'Cash List', 55),
(876, 'CashBalanceDetails', 'Cash Balance Details List', 55),
(877, 'BankBalanceDetails', 'Bank Balance Details List', 55),
(878, 'BankList', 'Bank List', 55),
(879, 'disable_enable_product', 'Disable/Enable Product', 28),
(880, 'disable_enable_customer', 'Disable/Enable Customer', 43),
(881, 'ViewPayment', 'View Payment', 20),
(882, 'disable_enable_supplier', 'Disable Enable Supplier', 61),
(883, 'ViewPaymentActual', 'View Payment Actual', 210),
(884, 'ViewReceiptActual', 'View Receipt Actual', 219),
(885, 'view_debit_note', 'View Debit Note', 137),
(886, 'view_credit_note', 'View Credit Note', 135),
(887, 'view_debit_note_actual', 'View Debit Note Actual', 497),
(888, 'view_credit_note_actual', 'View Credit Note Actual', 496),
(889, 'view_expense_actual', 'View Expense Actual', 311),
(890, 'statament_of_job', 'Statament Of Job', 675),
(891, 'act_statament_of_job', 'Statament Of Job Actual', 675),
(892, 'EditReceipt', 'Edit Receipt', 107),
(893, 'EditPaymentActual', 'Edit Payment Actual', 883),
(894, 'EditReceiptActual', 'Edit Receipt Actual', 884),
(895, 'edit_vendor', 'Edit Vendor', 61),
(896, 'edit_customer', 'Edit Customer', 43),
(897, 'EditActualDebitNote', 'Edit Actual Debit Note', 497),
(898, 'EditActualCreditNote', 'Edit Actual Credit Note', 496),
(899, 'EditDebitNote', 'Edit Debit Note', 137),
(900, 'EditCreditNote', 'Edit Credit Note', 135),
(901, 'EditPrepaidExpenseActual', 'Edit Prepaid Expense Acual', 407),
(902, 'app_sales_order_actual', 'Actual Sales Order', 863),
(904, 'EditAccruedExpenseActual', 'Edit Accrued Expense Actual', 410),
(905, 'payForAccruedExpenseActual', 'Pay Accrued Expense Actual', 410),
(906, 'editUserAccounts', 'Edit User Accounts', 6),
(907, 'editcash_drawer_accounts', 'Edit Cash Drawer Accounts', 6),
(908, 'edit_org_branches', 'Edit Organization Branches', 6),
(909, 'edit_group_account_list', 'Edit Group Account', 6),
(911, 'print_barcode', 'Print Barcode', 25),
(912, 'data_collector_invoice', 'Data Collector', 35),
(913, 'hr_reports', 'Reports', 5),
(914, 'att_location_report', 'Attendance Locations', 913),
(915, 'att_location_details', 'Attendance Locations Details', 913),
(916, 'pos_scale', 'POS Scale', 4),
(917, 'interior_ministry_report', 'Ministry of Interior Report', 913),
(918, 'CustomerList', 'Customer List', 43),
(919, 'ViewSalesInvoiceActual', 'View Sales Invoice Actual', 217),
(920, 'ViewPurchaseInvoiceActual', 'View Purchase Invoice Actual', 214),
(921, 'DeliveryPurchaseNoteList', 'Delivery Purchase Note List', 125),
(922, 'ViewReturnDebitActual', 'View Return Vendor Actual', 477),
(923, 'ViewReturnCreditActual', 'View Return Customer Actual', 475),
(924, 'ViewDeliveryNote', 'View Invoice Delivery Note', 220),
(925, 'ViewPurchaseDeliveryNote', 'View Purchase Delivery Note', 921),
(926, 'DueDatePurchaseList', 'Due Date Purchase List', 32),
(927, 'editPurchase', 'Edit Purchase', 60),
(928, 'editPurchaseActual', 'Edit Purchase Actual', 216),
(929, 'editInvoiceActual', 'Edit Invoice Actual', 217),
(930, 'multi_advance_payment', 'Multi Advance Payment', 90),
(931, 'expiry_date_report', 'Expiry Date Report', 44),
(932, 'employee_advance_payment', 'Employee Advance Payment', 90),
(933, 'employee_advance_payment_act', 'Employee Advance Payment Actual', 298),
(934, 'multi_advance_payment_act', 'Multi Advance Payment Actual', 298),
(935, 'machines_parts', 'Machines Parts', 816),
(936, 'attendance', 'Attendance App.', 862),
(937, 'app_attend_location', 'Locations List', 936),
(938, 'app_attend_employee', 'Employees List', 936),
(939, 'app_attend_enroll', 'Employee Enroll', 936),
(940, 'app_attend_attendance', 'Attendance List', 936),
(941, 'app_attend_check_in', 'Check In', 936),
(942, 'app_attend_check_out', 'Check Out', 936),
(943, 'view_ntf', 'View Notification', 112),
(944, 'view_ntf_details', 'View Notifications Details', 943),
(945, 'app_customer_balance_real', 'Customer Real Balance', 864),
(946, 'app_customer_balance_official', 'Customer Official Balance', 864),
(947, 'app_customer_balance_actual', 'Customer Actual Balance', 864),
(948, 'line', 'Line', 816),
(949, 'add_line', 'Add Line', 948),
(950, 'edit_line', 'Edit Line', 948),
(951, 'delete_line', 'Delete Line', 948),
(952, 'change_overall_diff', 'Change Overall Difference', 687),
(953, 'submit_overall_deduction', 'Submit Overall Deduction', 687),
(954, 'non_att_emp_dates', 'Non Attendance Employee Dates', 112),
(955, 'print_employee_profile', 'Print Employee Profile', 82),
(956, 'approve_advance_payment', 'Approve Advance Payment', 598),
(957, 'approve_loan', 'Approve Loan', 599),
(958, 'daily_deduction', 'Daily Deduction', 90),
(959, 'approve_deduction', 'Approve Deduction', 958),
(960, 'approve_overtime', 'Approve Overtime', 608),
(961, 'view_loan_payment', 'View Loan Payment', 599),
(962, 'view_delivery_fees', 'View Delivery Fees', 1341),
(963, 'add_delivery_fees', 'Add Delivery Fees', 35),
(964, 'edit_delivery_fees', 'Edit Delivery Fees', 962),
(965, 'delete_delivery_fees', 'Delete Delivery Fees', 962),
(966, 'overwrite_print', 'Overwrite Print invoice', 4),
(967, 'product_recipe', 'Product Recipe', 25),
(968, 'show_product_recipe', 'Show product recipe', 4),
(969, 'show_cost', 'Show Cost', 967),
(970, 'show_actual_balance', 'Show actual balance', 43),
(971, 'show_actual_invoices', 'Show actual invoices', 43),
(972, 'app_attend_account', 'Account', 936),
(973, 'line_machines', 'Line Machines', 948),
(974, 'rent', 'Rent', 142),
(975, 'rent_type', 'Rent Type', 974),
(976, 'add_rent_type', 'New rent type', 975),
(977, 'edit_rent_type', 'Edit rent type', 975),
(978, 'delete_rent_type', 'Delete rent type', 975),
(979, 'vehicle_rents', 'Vehicle Rents', 974),
(980, 'add_vehicle_rents', 'Add Vehicle Rents', 979),
(981, 'edit_vehicle_rents', 'Edit Vehicle Rents', 979),
(982, 'multi_rent_payment', 'Multi Rent Payment', 974),
(983, 'delete_purchase_invoice', 'Delete Purchase Invoice', 34),
(984, 'delete_act_purchase_invoice', 'Delete Actual Purchase Invoice', 216),
(985, 'add_posponted_invoice', 'Add Posponted Invoice', 4),
(986, 'emp_opening_data', 'Employees Opening Data', 112),
(987, 'vehicle_syndicate_list', 'Vehicle Syndicate List', 144),
(989, 'edit_emp_opening', 'Edit Employee Opening', 986),
(990, 'add_emp_opening', 'Add Employee Opening', 986),
(991, 'delete_emp_opening', 'Delete Employee Opening', 986),
(992, 'add_vehicle_syndicate', 'Add Vehicle Syndicate', 987),
(993, 'edit_vehicle_syndicate', 'Edit Vehicle Syndicate', 987),
(994, 'delete_vehicle_syndicate', 'Delete Vehicle Syndicate', 987),
(995, 'edit_absence', 'Edit Absence', 240),
(996, 'edit_leave', 'Edit Accrued Leave', 240),
(997, 'total_sold_items_by_category', 'Total Sold Items Per category', 44),
(999, 'app_hxa_device_admin', 'App Device Admin', 936),
(1000, 'add_vehicle', 'Add vehicle', 145),
(1001, 'edit_vehicle', 'Edit vehicle', 145),
(1002, 'copy_vehicle', 'Copy vehicle', 145),
(1003, 'copy_employee', 'Copy Employee', 82),
(1004, 'pos_exchange_list', 'Exchange List', 4),
(1005, 'delete_pos_exchange', 'Delete Exchange', 1004),
(1006, 'print_bar_code', 'print_bar_code', 28),
(1007, 'pos_road_customer_list', 'Road Customer List', 4),
(1008, 'pos_add_road_customer', 'Add Road Customer', 1007),
(1009, 'pos_edit_road_customer', 'Edit Road Customer', 1007),
(1013, 'disable_cash_on_edit_table', 'Disable Cash on edit table', 4),
(1014, 'employee_leave_absence_report', 'Employee Leave/Absence Report', 913),
(1015, 'view_manager_total_credit_card', 'View Manager total credit card', 858),
(1016, 'view_pos_total_credit_card', 'View POS total credit card', 857),
(1017, 'station_setting', 'Station Setting', 3),
(1018, 'bone_type', 'Bone Type', 1017),
(1019, 'add_bone_type', 'Add Bone Type', 1018),
(1020, 'edit_bone_type', 'Edit Bone Type', 1018),
(1021, 'delete_bone_type', 'Delete Bone Type', 1018),
(1022, 'station_pump', 'Pump list', 1017),
(1023, 'add_pump', 'Add Pump', 1022),
(1024, 'edit_pump', 'Edit Pump', 1022),
(1025, 'delete_pump', 'Delete Pump', 1022),
(1026, 'station_purchase', 'Purchase', 1017),
(1027, 'station_invoice', 'Invoice', 1017),
(1028, 'customer_coupons', 'Customer Coupons', 1017),
(1029, 'customer_coupons_list', 'Customer Coupons List', 1017),
(1030, 'edit_customer_coupon', 'Edit Customer Coupons', 1029),
(1031, 'station_purchase_list', 'Station Purchase List', 1017),
(1032, 'station_invoice_list', 'Station Invoice List', 1017),
(1033, 'edit_station_invoice', 'Edit Station Invoice', 1032),
(1034, 'edit_station_purchase', 'Edit Station Purchase', 1031),
(1035, 'view_customer_coupon', 'View Customer Coupons', 1029),
(1036, 'view_station_invoice', 'View Station Invoice', 1032),
(1037, 'view_station_purchase', 'View Station Purchase', 1031),
(1038, 'coupon_type_balance', 'Coupon Type Balance', 1017),
(1039, 'reset_cache', 'Reset Cache', 4),
(1040, 'manual_jv_list', 'Manual JV List', 187),
(1041, 'actual_manual_jv_list', 'Actual Manual JV List', 187),
(1042, 'change_postpone_status', 'Change Postpone Status', 670),
(1043, 'edit_employee', 'Edit Employee', 82),
(1044, 'edit_payroll', 'Edit Payroll', 75),
(1045, 'submit_cumulative_deduction', 'Submit Cumulative Deduction', 687),
(1046, 'delete_overtime', 'Delete Overtime', 608),
(1047, 'delete_deduction', 'Delete Deduction', 596);
INSERT INTO `tbl_common_permission` (`Permission_ID`, `Permission_Name`, `Permission_Text`, `Parent_ID`) VALUES
(1048, 'delete_receipt', 'Delete Receipt', 107),
(1049, 'delete_act_receipt', 'Delete Actual Receipt', 219),
(1050, 'delete_payment', 'Delete Payment', 20),
(1051, 'delete_act_payment', 'Delete Actual Payment', 210),
(1052, 'delete_expense', 'Delete Expense', 12),
(1053, 'delete_act_expense', 'Delete Actual Expense', 311),
(1054, 'delete_jv', 'Delete JV', 1040),
(1055, 'delete_act_jv', 'Delete Actual JV', 1041),
(1056, 'delete_dep_with', 'Delete Deposit/Withdrawal', 187),
(1057, 'delete_act_dep_with', 'Delete Actual Deposit/Withdrawal', 187),
(1058, 'delete_debit_note', 'Delete Debit Note', 137),
(1059, 'delete_debit_note_actual', 'Delete Actual Debit Note', 497),
(1060, 'delete_credit_note', 'Delete Credit Note', 135),
(1061, 'delete_credit_note_actual', 'Delete Actual Credit Note', 496),
(1062, 'inv_to_actual', 'Change Invoice to Actual', 35),
(1063, 'inv_to_official', 'Change Invoice to Official', 217),
(1064, 'pur_to_actual', 'Change Purchase to Actual', 60),
(1065, 'pur_to_official', 'Change Purchase to Official', 216),
(1066, 'kitchen_note', 'Kitchen Note', 545),
(1068, 'add_kitchen_note', 'Add Kitchen Note', 1066),
(1069, 'edit_kitchen_note', 'Edit Kitchen Note', 1066),
(1070, 'delete_kitchen_note', 'Delete Kitchen Note', 1066),
(1071, 'change_holidays_nb', 'Change Holidays Number', 76),
(1072, 'change_previous_days', 'Change Previous Days', 76),
(1073, 'manage_emp_leaves', 'Manage Employee Leave Days', 240),
(1074, 'change_fixed_holiday', 'Change Fixed Holiday', 1073),
(1075, 'paid_accrued_leave_list', 'Paid Accrued Leave List', 240),
(1076, 'act_paid_accrued_leave_list', 'Actual Paid Accrued Leave List', 240),
(1077, 'edit_paid_accrued_leave', 'Edit Paid Accrued Leave', 1075),
(1078, 'edit_act_paid_accrued_leave', 'Edit Actual Paid Accrued Leave', 1076),
(1079, 'postponed_list', 'Postponed List', 4),
(1080, 'account_setting', 'Account Setting', 422),
(1081, 'customer_supplier_general_ledger', 'Customer supplier general ledger', 71),
(1082, 'product_reservation_duration', 'Product Reservation Duration', 25),
(1083, 'delete_customer_coupon', 'Delete Customer Coupon', 1029),
(1084, 'convert_file_to_adjust', 'Convert File to Adjust', 461),
(1085, 'change_fingerprint_code', ' Change Fingerprint Code ', 76),
(1086, 'cash_generate_invoice', 'Cash/Generate Invoice', 4),
(1087, 'delivery_takeaway_kitchen', 'Delivery/takeaway kitchen', 4),
(1088, 'adjust_prod_prices', 'Adjust Product Prices ', 60),
(1089, 'act_adjust_prod_prices', 'Actual Adjust Product Prices ', 216),
(1090, 'show_delivery_notification', 'Show Delivery Notification', 4),
(1091, 'product_note', 'Product Note', 545),
(1092, 'add_product_note', 'Add Product Note', 1091),
(1093, 'edit_product_note', 'Edit Product Note', 1091),
(1094, 'delete_product_note', 'Delete Product Note', 1091),
(1095, 'create_dynamic_report', 'Create Dynamic Report', 6),
(1096, 'add_dynamic_report', 'Add Dynamic Report', 1095),
(1097, 'edit_dynamic_report', 'Edit Dynamic Report', 1095),
(1098, 'delete_dynamic_report', 'Delete Dynamic Report', 1095),
(1099, 'show_list_in_pos', 'Show list in POS', 4),
(1100, 'edit_multi_product', 'Edit Multi product', 25),
(1101, 'view_dynamic_report', 'View Dynamic Report', 71),
(1102, 'main_void_pos', 'Main Void POS', 4),
(1103, 'table_void_pos', 'Table Void POS', 4),
(1104, 'delete_row_pos', 'Delete Row POS', 4),
(1105, 'view_manual_jv', 'View manual jv', 1040),
(1106, 'view_actual_manual_jv', 'View actual manual jv', 1041),
(1107, 'print_postponed_invoice', 'Print Postponed Invoice', 1079),
(1108, 'customer_supplier_contacts', 'Customer Supplier Contacts', 41),
(1109, 'reject_absence_leave', 'Reject Absence or Accrued Leave', 240),
(1110, 'show_scrolled_category', 'Show Scrolled Category', 4),
(1111, 'pos_choose_delivery_depot', 'Choose Delivery Depot', 4),
(1112, 'view_postponed_details', 'View Postponed Details', 1079),
(1113, 'activate_cash_customer_oncredit', 'Activate Cash Customer on Credit', 4),
(1114, 'customer_coupon_per_date', 'Customer Coupon Per Date', 1017),
(1115, 'app_payments_actual', 'Actual Payments', 863),
(1116, 'edit_sales_purchase_return', 'Edit Sales Purchase Return', 470),
(1117, 'edit_sales_purchase', 'Edit Sales Purchase', 466),
(1120, 'delete_employee_location', 'Delete Employee Location', 708),
(1121, 'multi_product_location', 'Multi Product Location', 138),
(1122, 'printers', 'Printers', 1341),
(1123, 'add_printer', 'Add Printer', 1122),
(1124, 'edit_printer', 'Edit Printer', 1122),
(1125, 'delete_printer', 'Delete Printer', 1122),
(1126, 'return_pos', 'Return POS', 4),
(1127, 'exchange_pos', 'Exchange POS', 4),
(1128, 'retrieve_list', 'Retrieve List', 4),
(1129, 'park', 'Park', 4),
(1130, 'copy_product', 'Copy Product', 28),
(1131, 'app_invoices_actual', 'Actual Invoices', 863),
(1132, 'app_return_actual', 'Actual Returns', 863),
(1133, 'actual_report_inventory', 'Actual Reports', 3),
(1134, 'actual_item_profit', 'Actual Item Profit', 1133),
(1135, 'act_invoice_report', 'Actual Invoice Report', 1133),
(1136, 'act_total_sold_items_by_category', 'Actual Total Sold Items By Category', 1133),
(1137, 'act_total_sold_items', 'Actual Total Sold Items ', 1133),
(1138, 'act_total_sales_return_items', 'Actual Total Sales Return Items ', 1133),
(1139, 'act_detailed_sold_items', 'Actual Detailed Sold Items ', 1133),
(1140, 'act_detailed_returned_items', 'Actual Detailed Returned Items ', 1133),
(1141, 'act_user_invoices', 'Actual User Invoices ', 1133),
(1142, 'act_detailed_purchase_items_report', 'Actual Detailed Purchase Items Report ', 1133),
(1143, 'act_total_sold_items_by_brand', 'Actual Total Sold Items By Brand', 1133),
(1144, 'app_admin', 'Admin ', 863),
(1145, 'app_location_tracking', 'Location Tracking ', 863),
(1146, 'add_multi_product', 'Add multi product', 25),
(1147, 'invoice_detailed_vehicle_driver', 'Invoice Details(Vehicle,Driver)', 44),
(1148, 'invoice_detailed_vehicle_driver_actual', 'Actual Invoice Details(Vehicle,Driver)', 1133),
(1149, 'product_specification_options', 'Product Specification Options', 25),
(1150, 'add_product_specification_options', 'Add Product Specification Options', 1149),
(1151, 'edit_product_specification_options', 'Edit Product Specification Options', 1149),
(1152, 'delete_product_specification_options', 'Delete Product Specification Options', 1149),
(1153, 'users_cash', 'Users Cash', 55),
(1154, 'totals_all_invoice_type', 'Totals for all invoice type', 55),
(1155, 'view_all_pos_returns', 'View all POS Returns', 4),
(1156, 'pos_return_list', 'Return List', 4),
(1157, 'pos_delete_return', 'Delete Return', 1156),
(1158, 'postponed_report', 'Postponed Report', 4),
(1159, 'delete_return_vendor', 'Delete Return Vendor', 102),
(1160, 'return_vendor_to_actual', 'Change Return Vendor to Actual', 102),
(1161, 'delete_return_customer', 'Delete Return Customer', 103),
(1162, 'return_customer_to_actual', 'Change Return Customer to Actual', 103),
(1163, 'act_return_customer_to_official', 'Change Return Customer to Official', 475),
(1164, 'act_delete_return_customer', 'Delete Actual Return Customer', 475),
(1165, 'act_return_vendor_to_official', 'Change Return Vendor to Official', 477),
(1166, 'act_delete_return_vendor', 'Delete Actual Return Vendor', 477),
(1167, 'pos_quotation', 'POS Quotation', 4),
(1168, 'commission_setting', 'Commission Setting', 112),
(1169, 'add_commission_setting', 'Add Commission Setting', 1168),
(1170, 'edit_commission_setting', 'Edit Commission Setting', 1168),
(1171, 'delete_commission_setting', 'Delete Commission Setting', 1168),
(1172, 'inv_multi_delete', 'Invoice Multi delete', 37),
(1173, 'inv_multi_to_actual', 'Invoice Multi to actual', 37),
(1174, 'act_inv_multi_delete', 'Actual Invoice Multi delete', 217),
(1175, 'act_inv_multi_to_official', 'Actual Invoice Multi to official', 217),
(1176, 'purch_multi_delete', 'Purchase Multi delete', 34),
(1177, 'purch_multi_to_actual', 'Purchase Multi to actual', 34),
(1178, 'act_purch_multi_delete', 'Actual Purchase Multi delete', 216),
(1179, 'act_purch_multi_to_official', 'Actual Purchase Multi to official', 216),
(1180, 'ret_cust_multi_delete', 'Return from customer multi delete', 103),
(1181, 'ret_cust_multi_to_actual', 'Return from customer multi to actual', 103),
(1182, 'act_ret_cust_multi_delete', 'Actual return from customer multi delete', 475),
(1183, 'act_ret_cust_multi_to_official', 'Actual return from customer multi to official', 475),
(1184, 'ret_vend_multi_delete', 'Return from vendor multi delete', 102),
(1185, 'ret_vend_multi_to_actual', 'Return from vendor multi to actual', 102),
(1186, 'act_ret_vend_multi_delete', 'Actual return from vendor multi delete', 477),
(1187, 'act_ret_vend_multi_to_official', 'Actual return from vendor multi to official', 477),
(1188, 'inventory_sales_commission', 'Sales Commission', 443),
(1189, 'hrm_sales_commission', 'Sales Commission', 90),
(1190, 'submit_commission_bonus', 'Submit commission to bonus', 1189),
(1191, 'stock_transactions', 'Stock Transactions', 351),
(1192, 'order_pos', 'POS Order', 4),
(1193, 'product_lot_report', 'Product Lot Report', 44),
(1194, 'product_serial_report', 'Product Serial Report', 44),
(1195, 'show_all_prices', 'Show all prices', 4),
(1196, 'search_customer', 'Search customer', 4),
(1197, 'order_pos_without_print', 'POS Order Without print', 4),
(1198, 'actual_attendance_report', 'Actual Attendance Report', 112),
(1199, 'show_stock_quantity_pos', 'Show Quantity in stock', 4),
(1200, 'family', 'Family', 1341),
(1201, 'add_family', 'Add Family', 1200),
(1202, 'edit_family', 'Edit Family', 1200),
(1203, 'delete_family', 'Delete Family', 1200),
(1204, 'actual_multi_payroll', 'Actual Mutli Payroll', 91),
(1205, 'actual_pos', 'Actual POS', 4),
(1206, 'price_input', 'Show Input Price', 201),
(1207, 'production_expenses', 'Production Expenses', 810),
(1208, 'production_process_touch', 'Production Process (Touch Screen)', 447),
(1209, 'job_order', 'Job Order', 3),
(1210, 'job_order_options', 'Job Order Options', 1209),
(1211, 'new_job_order', 'New Job Order', 1209),
(1212, 'job_order_list', 'Job Order List', 1209),
(1213, 'edit_job_order', 'Edit Job Order', 1212),
(1214, 'delete_job_order', 'Delete Job Order', 1212),
(1215, 'view_job_order', 'View Job Order', 1212),
(1216, 'edit_job_order_option', 'Edit Job Order Option', 1210),
(1217, 'delete_job_order_option', 'Delete Job Order Option', 1210),
(1218, 'add_job_order_option', 'Add Job Order Option', 1210),
(1219, 'supplier_pricing_class', 'Supplier Pricing Class', 1342),
(1220, 'add_supplier_pricing_class', 'Add Supplier Pricing Class', 1219),
(1221, 'edit_supplier_pricing_class', 'Edit Supplier Pricing Class', 1219),
(1222, 'job_order_stages', 'Job Order Stages', 1209),
(1223, 'add_job_order_stage', 'Add Job Order Stage', 1222),
(1224, 'editjob_order_stage', 'Edit Job Order Stage', 1222),
(1225, 'delete_job_order_stage', 'Delete Job Order Stage', 1222),
(1226, 'SupplierPricingList', 'Supplier Pricing List', 1342),
(1227, 'change_job_order_stage', 'Change Job Order Stage', 1212),
(1228, 'adjustSupplierPricingList', 'Adjust Supplier Pricing List', 1226),
(1229, 'supplier_price_input', 'Show Input_price', 1226),
(1230, 'project_list', 'Project List', 1234),
(1231, 'add_project', 'Add Project', 1230),
(1232, 'edit_project', 'Edit Project', 1230),
(1233, 'edit_job_order_stage', 'Edit Job Order Stage', 1222),
(1234, 'projects', 'Projects', 2),
(1235, 'project_trial_balance', 'Project Trial Balance', 1234),
(1236, 'act_project_trial_balance', 'Actual Project Trial Balance', 1234),
(1237, 'statament_of_project', 'Statament Of Project', 1234),
(1238, 'act_statament_of_project', 'Actual Statament Of Project', 1234),
(1239, 'payment_due_date_bills', 'Payment Due Date Bills', 18),
(1240, 'schedule_bills_list', 'Schedule Bills List', 18),
(1241, 'edit_schedule_bills', 'Edit Schedule Bills', 1240),
(1242, 'delete_schedule_bills', 'Delete Schedule Bills', 1240),
(1243, 'new_schedule_bills', 'New Schedule bills', 18),
(1244, 'view_schedule_bills', 'View Schedule Bills', 1240),
(1245, 'edit_production_process', 'Edit production process', 450),
(1246, 'delete_production_process', 'Delete production process', 450),
(1247, 'edit_customer_delivery', 'Edit Invoice Delivery', 220),
(1248, 'edit_supplier_delivery', 'Edit Purchase Delivery', 921),
(1249, 'sales_order_go_delivery', 'Sales Order To Delivery Note', 160),
(1250, 'purchase_order_go_delivery', 'Purchase Order To Delivery Note', 354),
(1251, 'sales_order_to_multi_purchase', 'Sales Order To Multi Purchase Orders', 160),
(1252, 'enable_disable_pump', 'Enable/Disable Pump', 1022),
(1253, 'purchase_order_delivered_to_invoice', 'Convert Delivered Quantities to invoice', 354),
(1254, 'sales_order_delivered_to_invoice', 'Convert Delivered Quantities to invoice', 160),
(1255, 'edit_employee_dependent', 'Edit Employee Dependednt', 127),
(1256, 'sales_quotation_go_order', 'Convert Sales Quotation to Sales Order', 714),
(1257, 'purchase_quotation_go_order', 'Convert Purchase Quotation to Purchase Order', 716),
(1258, 'delete_transfer', 'Delete Transfer', 176),
(1259, 'delete_request', 'Delete Request', 178),
(1260, 'multi_delete_request', 'Multi Delete Request', 178),
(1261, 'view_sales_quotation_revesion', 'View Sales Quotation Revisions', 714),
(1262, 'scan_customer_card', 'Scan Customer Card', 4),
(1263, 'shipping_management', 'Shipping Management', 3),
(1264, 'shipping_companies', 'Shipping Companies', 1263),
(1265, 'add_shipping_company', 'Add Shipping Company', 1264),
(1266, 'edit_shipping_company', 'Edit Shipping Company', 1264),
(1267, 'delete_shipping_company', 'Delete Shipping Company', 1264),
(1268, 'shipping_list', 'Shipping List', 1263),
(1271, 'DeleteSalesInvoiceActual', 'Delete Sales Invoice Actual', 35),
(1272, 'pos_order_delivery_date', 'Order Delivery Date', 4),
(1273, 'total_sales_ordered_items', 'Total Sales Ordered Items', 44),
(1274, 'act_total_sales_ordered_items', 'Actual Total Sales Ordered Items', 1133),
(1275, 'production_report', 'Production Report', 447),
(1276, 'pos_request_transfer', 'Request Transfer', 4),
(1277, 'pos_cash_without_print', 'Cash Without Print', 4),
(1278, 'pos_submit_to_kitchen', 'Submit To Kitchen', 4),
(1279, 'sales_reports_actual', 'Sales reports actual', 3),
(1280, 'sales_consolidate_by_user_actual', 'Sales Consolidate by user actual', 1279),
(1281, 'daily_activity_by_user_actual', 'Daily activity by user actual', 1279),
(1282, 'invoice_dist_by_customer_actual', 'Invoice Distribution By Customer Actual', 1279),
(1283, 'movement_control_actual', 'Movement control actual', 1279),
(1284, 'inventory_sales_commission_actual', 'Inventory Sales Commission actual', 1279),
(1285, 'production_emp_type', 'Production employee type', 816),
(1286, 'add_production_emp_type', 'Add Production employee type', 1285),
(1287, 'edit_production_emp_type', 'Edit Production employee type', 1285),
(1288, 'delete_production_emp_type', 'Delete Production employee type', 1285),
(1289, 'print_customer_id', 'Print customer Id', 43),
(1290, 'print_customer_code', 'Print customer code', 43),
(1291, 'copy_sales_invoice', 'Copy Sales Invoice', 37),
(1292, 'copy_act_sales_invoice', 'Copy Actual Sales Invoice', 217),
(1293, 'copy_purchase_invoice', 'Copy Purchase Invoice', 34),
(1294, 'copy_act_purchase_invoice', 'Copy Actual Purchase Invoice', 216),
(1295, 'copy_return_vendor_to_invoice', 'Copy Return Vendor To Invoice', 102),
(1296, 'copy_return_customer_to_invoice', 'Copy Return Customer To Invoice', 103),
(1297, 'act_copy_return_customer_to_invoice', 'Copy Actual Return Customer To Invoice', 475),
(1298, 'act_copy_return_vendor_to_invoice', 'Copy Actual Return Vendor To Invoice', 477),
(1299, 'print_paid_amount', 'Print paid amount', 36),
(1300, 'job_order_blocks', 'Job order Blocks', 1209),
(1301, 'add_job_order_block', 'Add job order Block', 1300),
(1302, 'edit_job_order_block', 'Edit job order Block', 1300),
(1303, 'delete_job_order_block', 'Delete job order Block', 1300),
(1304, 'copy_role_permissions', 'Copy Role Permissions', 735),
(1305, 'enable_vat_actual_purchase', 'Enable VAT Actual Purchase', 213),
(1306, 'enable_vat_edit_actual_purchase', 'Enable VAT Edit Actual Purchase', 928),
(1307, 'enable_vat_actual_sales_invoice', 'Enable VAT Actual Sales Invoice', 212),
(1308, 'enable_vat_edit_actual_sales_invoice', 'Enable VAT Edit Actual Sales Invoice', 929),
(1309, 'subscriptions', 'Subscriptions', 3),
(1310, 'subscription_setting', 'Subscription Setting', 1309),
(1311, 'add_subscription_setting', 'Add Subscription Setting', 1310),
(1312, 'edit_subscription_setting', 'Edit Subscription Setting', 1310),
(1313, 'delete_subscription_setting', 'Delete Subscription Setting', 1310),
(1314, 'customer_pricing_discounts', 'Customer Pricing Discounts', 1342),
(1315, 'supplier_pricing_discounts', 'Supplier Pricing Discounts', 1342),
(1316, 'customer_subscriptions', 'Customer Subscriptions', 1309),
(1317, 'add_customer_subscription', 'Add Customer Subscription', 1316),
(1318, 'edit_customer_subscription', 'Edit Customer Subscription', 1316),
(1319, 'delete_customer_subscription', 'Delete Customer Subscription', 1316),
(1320, 'subscription_fees', 'Subscription Fees', 1309),
(1321, 'subscription_fees_list', 'Subscription Fees List', 1309),
(1322, 'view_print_main_page', 'View print in tables page', 4),
(1323, 'submit_subscription_fees', 'Submit subscription fees', 1320),
(1324, 'edit_subscription_setting_prices', 'Edit subscription setting prices', 1309),
(1325, 'dynamic_report_blocks', 'Dynamic Report Blocks', 6),
(1326, 'add_dynamic_report_blocks', 'Add Dynamic Report Blocks', 1325),
(1327, 'edit_dynamic_report_blocks', 'Edit Dynamic Report Blocks', 1325),
(1328, 'delete_dynamic_report_blocks', 'Delete Dynamic Report Blocks', 1325),
(1329, 'dynamic_reports', 'Dynamic Reports', 2),
(1330, 'pos_sync_data_from_server', 'Sync Data From Server', 4),
(1331, 'delete_sales_quotation', 'Delete sales quotation', 714),
(1332, 'delete_purchase_quotation', 'Delete purchase quotation', 716),
(1333, 'delete_sales_order', 'Delete sales order', 160),
(1334, 'delete_purchase_order', 'Delete purchase order', 354),
(1335, 'delete_actual_sales_order', 'Delete actual sales order', 848),
(1336, 'delete_actual_purchase_order', 'Delete actual purchase order', 850),
(1337, 'delete_purchase_delivery_not', 'Delete purchase delivery note', 921),
(1338, 'delete_sales_delivery_note', 'Delete sales delivery note', 220),
(1339, 'invoice_discount_list', 'Invoice discount list', 44),
(1340, 'actual_invoice_discount_list', 'Actual invoice discount list', 1133),
(1341, 'inventory_setting', 'Inventory Setting', 3),
(1342, 'pricing', 'Pricing', 3),
(1343, 'edit_return_customer', 'Edit Return Customer', 103),
(1344, 'edit_return_vendor', 'Edit Return Vendor', 102),
(1345, 'edit_act_return_customer', 'Edit Actual Return Customer', 475),
(1346, 'edit_act_return_vendor', 'Edit Actual Return Vendor', 477),
(1347, 'web_api_users', 'Web Api Usres', 734),
(1348, 'add_web_api_users', 'Add Web Api Usres', 1347),
(1349, 'edit_web_api_users', 'Edit Web Api Usres', 1347),
(1350, 'delete_web_api_users', 'Delete Web Api Usres', 1347),
(1351, 'customer_subscriptions_open_balance', 'Customer subscriptions open balance', 1309),
(1352, 'add_discount_on_subscription', 'Add Discount on Subscription', 1321),
(1353, 'devices', 'Devices', 422),
(1354, 'add_device', 'Add Device', 1353),
(1355, 'edit_device', 'Edit Device', 1353),
(1356, 'delete_device', 'Delete Device', 1353),
(1357, 'exchange', 'Exchange', 3),
(1358, 'add_exchange', 'Add Exchange', 1357),
(1359, 'exchange_list', 'Exchange List', 1357),
(1360, 'edit_exchange', 'Edit Exchange', 1359),
(1361, 'delete_exchange', 'Delete Exchange', 1359),
(1362, 'view_exchange', 'View Exchange', 1359),
(1363, 'api', 'API App.', 862),
(1364, 'return_damaged_items', 'Return Damaged Items', 44),
(1365, 'actual_return_damaged_items', 'Actual Return Damaged Items', 1133),
(1366, 'actual_sales_change_class', 'Change Pricing Class', 212),
(1367, 'actual_sales_discount_on_item', 'Discount on Item', 212),
(1368, 'actual_sales_discount_on_invoice', 'Discount on Invoice', 212),
(1369, 'actual_change_invoice_depot', 'Change Depot', 212),
(1370, 'actual_change_sales_unit_price', 'Change Unit Price', 212),
(1371, 'actual_view_sales_last_cost', 'View Last Cost', 212),
(1372, 'actual_view_sales_last_price', 'View Last Price', 212),
(1373, 'actual_print_paid_amount', 'Print paid amount', 212),
(1374, 'actual_purchase_change_depot', 'Change Depot', 213),
(1375, 'actual_view_purchase_last_cost', 'View Last Cost', 213),
(1376, 'actual_purchase_change_dist_method', 'Change Cost Distribution Method', 213),
(1377, 'actual_purchase_add_extra_cost', 'Add Extra Cost', 213),
(1378, 'view_shipment', 'View Shipment', 1268),
(1379, 'delete_subscription_fees', 'Delete subscription fees', 1321),
(1380, 'inventory_postponed_list', 'Postponed List', 35),
(1381, 'actual_inventory_postponed_list', 'Actual Postponed List', 211),
(1382, 'total_purchase_ordered_items', 'Total Purchase Ordered Items', 44),
(1383, 'act_total_purchase_ordered_items', 'Actual Total Purchase Ordered Items', 1133),
(1384, 'detailed_sales_order_items', 'Detailed Sales Order Items', 44),
(1385, 'act_detailed_sales_order_items', 'Actual Detailed Sales Order Items', 1133),
(1386, 'detailed_purchase_order_items', 'Detailed Purchase Order Items', 44),
(1387, 'act_detailed_purchase_order_items', 'Actual Detailed Purchase Order Items', 1133),
(1388, 'effective_production_report', 'Effective Production Report', 447),
(1389, 'import_recipe', 'Import Recipe', 28),
(1390, 'delete_payments', 'Delete Payments', 1321),
(1391, 'act_sales_per_category', 'Actual Sales per Category', 1133),
(1392, 'act_purchase_per_category', 'Actual Purchase per Category', 1133),
(1393, 'sales_per_category', 'Sales per Category', 44),
(1394, 'purchase_per_category', 'Purchase per Category', 44),
(1395, 'ship_inv_multi_delete', 'Delete multiple invoice', 1268),
(1396, 'delete_damage', 'Delete Damage', 352),
(1397, 'delete_machine_expenses', 'Delete Machine Expenses', 822),
(1398, 'delete_multi_machine_expenses', 'Delete Multi Machine Expenses', 822),
(1399, 'crm_contra', 'Contra', 528),
(1400, 'add_crm_contra', 'Add Contra', 1399),
(1401, 'edit_crm_contra', 'Edit Contra', 1399),
(1402, 'general', 'General', 0),
(1403, 'archive', 'Archive', 1402),
(1404, 'archive_list', 'Archive List', 1403),
(1405, 'add_archive', 'Add Archive', 1404),
(1406, 'edit_archive', 'Edit Archive', 1404),
(1407, 'act_dynamic_reports', 'Actual Dynamic Reports', 2),
(1408, 'periodic_sales_mov', 'Periodic Sales Movement', 44),
(1409, 'periodic_purchase_mov', 'Periodic Purchase Movement', 44),
(1410, 'act_periodic_sales_mov', 'Actual Periodic Sales Movement', 1133),
(1411, 'act_periodic_purchase_mov', 'Actual Periodic Purchase Movement', 1133),
(1412, 'invoice_profit', 'Invoice Profit', 37),
(1413, 'act_invoice_profit', 'Actual Invoice Profit', 217),
(1414, 'pos_take_away', 'Take Away', 4),
(1415, 'customer_product_codes', 'Customer Product Codes', 25),
(1416, 'supplier_product_codes', 'Supplier Product Codes', 25),
(1417, 'sales_order_to_inv', 'Sales Order to Invoice', 36),
(1418, 'purchase_order_to_inv', 'Purchase Order to Invoice', 33),
(1419, 'actual_sales_order_to_inv', 'Actual Sales Order to Invoice', 212),
(1420, 'actual_purchase_order_to_inv', 'Actual Purchase Order to Invoice', 213),
(1421, 'salesman_customers_list', 'Salesman Customers List', 41),
(1422, 'pos_delivery_list', 'POS Delivery List', 4),
(1423, 'cust_class', 'Customer classes', 41),
(1424, 'cust_group', 'Customer groups', 41),
(1425, 'supp_class', 'Supplier classes', 41),
(1426, 'supp_group', 'Supplier groups', 41),
(1427, 'salesman_depot_list', 'Salesman Depot List', 1341),
(1428, 'add_cust_class', 'Add Customer Class', 1423),
(1429, 'edit_cust_class', 'Edit Customer Class', 1423),
(1430, 'delete_cust_class', 'Delete Customer Class', 1423),
(1431, 'add_supp_class', 'Add Supplier Class', 1425),
(1432, 'edit_supp_class', 'Edit Supplier Class', 1425),
(1433, 'delete_supp_class', 'Delete Supplier Class', 1425),
(1434, 'add_cust_group', 'Add Customer Group', 1424),
(1435, 'edit_cust_group', 'Edit Customer Group', 1424),
(1436, 'delete_cust_group', 'Delete Customer Group', 1424),
(1437, 'add_supp_group', 'Add Supplier Group', 1426),
(1438, 'edit_supp_group', 'Edit Supplier Group', 1426),
(1439, 'delete_supp_group', 'Delete Supplier Group', 1426),
(1440, 'view_profit', 'View Profit', 36),
(1441, 'act_view_profit', 'View Actual Profit', 212),
(1442, 'receipt_without_close_invoice', 'Add Receipt without Closing Invoices', 68),
(1443, 'act_receipt_without_close_invoice', 'Add Actual Receipt without Closing Invoices', 218),
(1444, 'transfer_table_if_printed', 'Transfer table if source or destination table is printed', 4),
(1445, 'merge_table_if_printed', 'Merge table if source or destination table is printed', 4),
(1446, 'transfer_item_if_printed', 'Transfer item if source or destination table is printed', 4),
(1447, 'add_pending_receipt', 'Add Pending Receipt', 68),
(1448, 'add_act_pending_receipt', 'Add Actual Pending Receipt', 218),
(1449, 'add_act_pending_payment', 'Add Actual Pending Payment', 209),
(1450, 'add_pending_payment', 'Add Pending Payment', 19),
(1451, 'settle_pay_from_bank', 'Settle Payment from', 417),
(1452, 'settle_rec_to_bank', 'Settle Receipt To Bank', 418),
(1453, 'settle_act_pay_from_bank', 'Settle Actual Payment from Bank', 844),
(1454, 'settle_act_rec_to_bank', 'Settle Actual Receipt To Bank', 845),
(1455, 'return_payment_receipt', 'Return Payment/Receipt', 2),
(1456, 'return_payment_list', 'Return payment list', 1455),
(1457, 'return_receipt_list', 'Return receipt list', 1455),
(1458, 'actual_return_payment_list', 'Actual Return payment list', 1455),
(1459, 'actual_return_receipt_list', 'Actual Return receipt list', 1455),
(1460, 'add_return_payment', 'Add Return payment', 1456),
(1461, 'edit_return_payment', 'Edit Return payment', 1456),
(1462, 'delete_return_payment', 'Delete Return payment', 1456),
(1463, 'add_return_receipt', 'Add Return receipt', 1457),
(1464, 'edit_return_receipt', 'Edit Return receipt', 1457),
(1465, 'delete_return_receipt', 'Delete Return receipt', 1457),
(1466, 'add_actual_return_payment', 'Add actual Return payment', 1458),
(1467, 'edit_actual_return_payment', 'Edit actual Return payment', 1458),
(1468, 'delete_actual_return_payment', 'Delete actual Return payment', 1458),
(1469, 'add_actual_return_receipt', 'Add actual return receipt', 1459),
(1470, 'edit_actual_return_receipt', 'Edit actual return receipt', 1459),
(1471, 'delete_actual_return_receipt', 'Delete actual return receipt', 1459),
(1472, 'print_invoice_table_pos', 'Print invoice table POS', 4),
(1473, 'view_return_payment', 'View Return payment', 1456),
(1474, 'view_return_receipt', 'View Return receipt', 1457),
(1475, 'view_actual_return_payment', 'View actual Return payment', 1458),
(1476, 'view_actual_return_receipt', 'View actual return receipt', 1459),
(1477, 'show_cost_column_damaged', 'Show cost', 352),
(1478, 'show_cost_column_depot_content', 'Show Cost', 198),
(1479, 'copy_return_payment', 'Copy Return payment', 1456),
(1480, 'copy_return_receipt', 'Copy Return receipt', 1457),
(1481, 'copy_actual_return_payment', 'Copy actual Return payment', 1458),
(1482, 'copy_actual_return_receipt', 'Copy actual return receipt', 1459),
(1483, 'copy_payment', 'Copy payment', 20),
(1484, 'copy_receipt', 'Copy receipt', 107),
(1485, 'copy_actual_payment', 'Copy actual payment', 210),
(1486, 'copy_actual_receipt', 'Copy actual receipt', 219),
(1487, 'depot_content_damage', 'Add Damage', 198),
(1488, 'delete_truck_expense', 'Delete truck expense', 793),
(1489, 'view_ledger_all_accounts', 'View All Accounts in Ledger', 16),
(1490, 'view_ledger_all_accounts_act', 'View All Accounts in Actual Ledger', 268),
(1491, 'backdated_stock', 'Backdated Stock', 351),
(1492, 'show_cost_balance_stock_card', 'Show cost balance', 334),
(1493, 'show_cost_stock_transaction', 'Show cost', 1191),
(1494, 'view_cost_pricing_list', 'View Cost', 201),
(1495, 'view_cost_supp_pricing_list', 'View Cost', 1226),
(1496, 'app_add_customer', 'Add App Customer', 864),
(1497, 'app_show_customer_code', 'Show Customer Account Code', 864),
(1498, 'app_change_unit_price', 'Change Unit Price', 1558),
(1499, 'app_change_disc_item', 'Cahnge Discsount on Item', 1558),
(1500, 'app_change_discount_invoice', 'Change Discsount on Invoice', 1558),
(1501, 'app_view_vat_invoice', 'View Vat on Invoice', 1558),
(1502, 'credit_card_generate_invoice', 'Credit Card Generate Invoice', 4),
(1503, 'change_item_row_after_edit', 'Change Item Row After Edit', 4),
(1504, 'purchase_no_qty', 'Purchase (No Quantity)', 3),
(1505, 'add_purchase_no_qty', 'Add Purchase (No Quantity)', 1504),
(1506, 'pur_noqty_purchase_vat', 'Purchase VAT', 1505),
(1507, 'pur_noqty_change_depot', 'Change Depot', 1505),
(1508, 'pur_noqty_view_purchase_last_cost', 'View Last Cost', 1505),
(1509, 'pur_noqty_change_dist_method', 'Change Cost Distribution Method', 1505),
(1510, 'pur_noqty_add_extra_cost', 'Add Extra Cost', 1505),
(1511, 'pur_noqty_purchase_order_to_inv', 'Purchase Order to Invoice', 1505),
(1512, 'add_act_purchase_no_qty', 'Add Actual Purchase (No Quantity)', 1504),
(1513, 'pur_noqty_enable_vat_actual_purchase', 'Enable VAT Actual Purchase', 1512),
(1514, 'pur_noqty_actual_purchase_change_depot', 'Change Depot', 1512),
(1515, 'pur_noqty_actual_view_purchase_last_cost', 'View Last Cost', 1512),
(1516, 'pur_noqty_actual_purchase_change_dist_method', 'Change Cost Distribution Method', 1512),
(1517, 'pur_noqty_actual_purchase_add_extra_cost', 'Add Extra Cost', 1512),
(1518, 'pur_noqty_actual_purchase_order_to_inv', 'Actual Purchase Order to Invoice', 1512),
(1519, 'purchase_no_qty_list', 'Purchase List (No Quantity)', 1504),
(1520, 'act_purchase_no_qty_list', 'Actual Purchase List(No Quantity)', 1504),
(1521, 'delete_purchase_invoice_noqty', 'Delete Purchase Invoice (No Quantity) ', 1519),
(1522, 'purch_multi_delete_noqty', 'Purchase Multi delete (No Quantity)', 1519),
(1523, 'purch_multi_to_actual_noqty', 'Purchase Multi to actual (No Quantity)', 1519),
(1524, 'copy_purchase_invoice_noqty', 'Copy Purchase Invoice (No Quantity)', 1519),
(1525, 'editPurchase_noqty', 'Edit Purchase (No Quantity)', 1519),
(1526, 'pur_to_actual_noqty', 'Change Purchase to Actual (No Quantity)', 1519),
(1527, 'adjust_prod_prices_noqty', 'Adjust Product Prices (No Quantity)', 1519),
(1528, 'editPurchaseActual_noqty', 'Edit Purchase Actual (No Quantity)', 1520),
(1529, 'delete_act_purchase_invoice_noqty', 'Actual Purchase Invoice (No Quantity)', 1520),
(1530, 'pur_to_official_noqty', 'Change Purchase to Official (No Quantity)', 1520),
(1531, 'act_adjust_prod_prices_noqty', 'Actual Adjust Product Prices (No Quantity)', 1520),
(1532, 'act_purch_multi_delete_noqty', 'Actual Purchase Multi delete (No Quantity)', 1520),
(1533, 'act_purch_multi_to_official_noqty', 'Actual Purchase Multi to official (No Quantity)', 1520),
(1534, 'copy_act_purchase_invoice_noqty', 'Copy Actual Purchase Invoice (No Quantity)', 1520),
(1535, 'enable_vat_edit_actual_purchase_noqty', 'Enable VAT Edit Actual Purchase (No Quantity)', 1528),
(1536, 'view_purchase_noqty', 'View Purchase (No Quantity)', 1519),
(1537, 'view_actual_purchase_noqty', 'View Actual Purchase (No Quantity)', 1520),
(1538, 'pur_noqty_to_delivery', 'Convert Purchase (No Quantity) to Delivery Note', 34),
(1539, 'act_pur_noqty_to_delivery', 'Convert Actual Purchase (No Quantity) to Delivery Note', 216),
(1540, 'app_change_unit_sale_price', 'Change Unit Sale Price', 870),
(1541, 'add_discount_report_settings', 'Add / Discount Percent Settings', 1341),
(1542, 'app_api_updt_inv', 'Update Invoice/Return', 1363),
(1543, 'edit_add_discount_percent_report', 'Edit Add / Discount Percent Setting', 1541),
(1544, 'delete_edit_discount_percent_report', 'Delete Add / Discount Percent Setting', 1541),
(1545, 'act_sales_per_category_disc', 'Actual Sales per Category (Discounted)', 1133),
(1546, 'act_purchase_per_category_disc', 'Actual Purchase per Category (Discounted)', 1133),
(1547, 'sales_per_category_disc', 'Sales per Category (Discounted)', 44),
(1548, 'purchase_per_category_disc', 'Purchase per Category (Discounted', 44),
(1549, 'region_list', 'Region list', 422),
(1550, 'add_region', 'Add Region', 1549),
(1551, 'edit_region', 'Edit Region', 1549),
(1552, 'delete_region', 'Delete Region', 1549),
(1553, 'edit_closed_table', 'Edit Closed Table', 4),
(1554, 'purchase_order_go_invoice_noqty', 'Purchase order go invoice (No Quantity)', 354),
(1555, 'purchase_quotation_go_invoice_noqty', 'Purchase quotation go invoice (No Quantity)', 716),
(1556, 'change_pur_delivery_cost', 'Change Cost', 921),
(1557, 'change_sales_delivery_cost', 'Change Cost', 220),
(1558, 'app_other_permissions', 'Other Permissions', 863),
(1559, 'app_edit_invoices', 'Edit Invoice', 866),
(1560, 'customer_subscriptions_close_balance', 'Customer subscription close balance', 1309),
(1561, 'delete_sales_purchase', 'Delete Sales Purchase', 466),
(1562, 'delete_return_sales_purchase', 'Delete Return Sales Purchase', 470),
(1563, 'purchase_cat_list', 'Purchase Category List', 1341),
(1564, 'add_pur_cat', 'Add Purchase Category', 1563),
(1565, 'edit_purchase_category', 'Edit Purchase Category', 1563),
(1566, 'delete_purchase_category', 'Delete Purchase Category', 1563),
(1567, 'supplier_pricing_discounts_amount', 'Supplier Pricing Discount Amounts', 1342),
(1568, 'customer_pricing_discounts_amount', 'Customer Pricing Discount Amounts', 1342),
(1569, 'delete_multi_product', 'Delete Multi Product', 28),
(1570, 'website_panel', 'Website panel', 0),
(1571, 'app_api_updt_ordr', 'Update Order', 1363),
(1572, 'inventory_postponed_report', 'Postponed report', 35),
(1573, 'actual_inventory_postponed_report', 'Actual Postponed report', 211),
(1574, 'invoice_types', 'Invoice Types', 1341),
(1575, 'add_invoice_type', 'Add Invoice Type', 1574),
(1576, 'edit_invoice_type', 'Edit Invoice Type', 1574),
(1577, 'delete_invoice_type', 'Delete Invoice Type', 1574),
(1578, 'emp_absence_setting', 'Employee Managament Setting', 240),
(1579, 'item_movement', 'Item Movement', 44),
(1580, 'order_postponed_list', 'Order postponed list', 155),
(1581, 'order_postponed_report', 'Order postponed report', 155),
(1582, 'act_order_postponed_list', 'Actual Order postponed list', 846),
(1583, 'act_order_postponed_report', 'Actual Order postponed report', 846),
(1584, 'void_invoice', 'Void invoice', 4),
(1585, 'get_retrieved_data', 'Retrieve invoice data', 4),
(1586, 'employee_holiday', 'Employee Holiday', 240),
(1587, 'employee_holiday_act', 'Actual Employee Holiday', 240),
(1588, 'add_employee_holiday', 'Add Employee Holiday', 1586),
(1589, 'add_employee_holiday_act', 'Add Actual Employee Holiday', 1587),
(1590, 'edit_employee_holiday', 'Edit Employee Holiday', 1586),
(1591, 'edit_employee_holiday_act', 'Edit Actual Employee Holiday', 1587),
(1592, 'delete_employee_holiday', 'Delete Employee Holiday', 1586),
(1593, 'delete_employee_holiday_act', 'Delete Actual Employee Holiday', 1587),
(1594, 'approve_employee_holiday', 'Approve Employee Holiday', 1586),
(1595, 'approve_employee_holiday_act', 'Approve Actual Employee Holiday', 1587),
(1596, 'pos_add_cust_region', 'Add Region', 1007),
(1597, 'pos_add_delivery_fees', 'Add Delivery Fees', 432),
(1598, 'driver_list', 'Driver List', 1341),
(1599, 'add_driver', 'Add Driver', 1598),
(1600, 'edit_driver', 'Edit Driver', 1598),
(1601, 'delete_driver', 'Delete Driver', 1598),
(1602, 'pos_add_driver', 'Add Driver', 432),
(1603, 'received_delivery', 'Received Delivery List', 4),
(1604, 'change_inv_received', 'Change Invoice to Received', 1603),
(1605, 'change_inv_not_received', 'Change Invoice to Not Received', 1603),
(1606, 'change_inv_rec_note', 'Change Invoice Received Note', 1603),
(1609, 'save_end_shift_pos', 'Save End of Shift', 671),
(1610, 'save_pos_end_of_day', 'Save End of Day', 857),
(1611, 'save_print_pos_end_of_day', 'Save & Print End of Day', 857),
(1612, 'view_pos_end_of_day', 'View End of Day', 857),
(1613, 'print_pos_end_of_day', 'Print End of Day', 857),
(1614, 'save_inv_end_of_day', 'Add Delivery Fees', 858),
(1615, 'save_print_inv_end_of_day', 'Save & Print End of Day', 858),
(1616, 'view_inv_end_of_day', 'View End of Day', 858),
(1617, 'print_inv_end_of_day', 'Print End of Day', 858),
(1618, 'manual_add_sub_time_col', 'Manual Add/Subtract Time Columns', 577),
(1619, 'activate_temp_att', 'Activate Temporary Attendance', 577),
(1620, 'pos_split_discount_row', 'Split Discount Row', 4),
(1621, 'pos_change_values_row_click', 'Change Values on Row Click', 4),
(1622, 'adv_production_template', 'Advanced Production Template', 816),
(1623, 'sales_crm', 'Sales CRM App.', 862),
(1624, 'delete_production_template', 'Delete Template', 448),
(1625, 'delete_adv_production_template', 'Delete Advance Template', 1622),
(1626, 'copy_production_template', 'Copy Template', 448),
(1627, 'copy_adv_production_template', 'Copy Advance Template', 1622),
(1628, 'customer_daily_report', 'Customers Daily Report', 44),
(1629, 'act_customer_daily_report', 'Actual Customers Daily Report', 1133),
(1630, 'multi_product_damaged', 'Multi Product Damaged', 351),
(1631, 'consumption_list', 'Consumption List', 35),
(1632, 'add_consumption', 'Add Consumption', 35),
(1633, 'edit_consumption', 'Edit Consumption', 1632),
(1634, 'pos_receipt_list', 'Receipt List', 4),
(1635, 'pos_payment_list', 'Payment List', 4),
(1636, 'pos_edit_receipt', 'Edit Receipt', 1634),
(1637, 'pos_delete_receipt', 'Delete Receipt', 1634),
(1638, 'pos_view_all_receipts', 'View All Receipts', 1634),
(1639, 'pos_edit_payment', 'Edit Payment', 1635),
(1640, 'pos_delete_payment', 'Delete Payment', 1635),
(1641, 'pos_view_all_payments', 'View All Payments', 1635),
(1642, 'pos_close_invoices', 'Close Invoices', 502),
(1644, 'display', 'Display', 1341),
(1645, 'add_display', 'Add Display', 1644),
(1646, 'edit_display', 'Edit Display', 1644),
(1647, 'delete_display', 'Delete Display', 1644),
(1648, 'pos_customer_report', 'POS Customer Reports', 2),
(1649, 'statement_pos_customer', 'Statement POS Customer', 1648),
(1650, 'act_statement_pos_customer', 'Actual Statement POS Customer', 1648),
(1651, 'pos_customer_trial_balance', 'POS Customer Trial Balance', 1648),
(1652, 'act_pos_customer_trial_balance', 'Actual POS Customer Trial Balance', 1648),
(1653, 'customer_sold_items_report', 'Customer Sold Items Report', 44),
(1654, 'act_customer_sold_items_report', 'Actual Customer Sold Items Report', 1133),
(1655, 'delete_prepaid_expense', 'Delete Prepaid Expense', 192),
(1656, 'act_delete_prepaid_expense', 'Delete Prepaid Expense Actual', 407),
(1657, 'delete_prepaid_income', 'Delete Prepaid Income', 409),
(1658, 'act_delete_prepaid_income', 'Delete Prepaid Income Actual', 408),
(1659, 'route', 'Route', 1402),
(1660, 'route_list', 'Route List', 1659),
(1661, 'add_route', 'Add Route', 1660),
(1662, 'edit_route', 'Edit Route', 1660),
(1663, 'delete_route', 'Delete Route', 1660),
(1664, 'inv_route_customer', 'Inventory Route Customer', 1659),
(1665, 'route_schedule', 'Salesman route schedule', 1659),
(1666, 'add_route_schedule', 'Add route schedule', 1665),
(1667, 'edit_route_schedule', 'Edit route schedule', 1665),
(1668, 'delete_route_schedule', 'Delete route schedule', 1665),
(1669, 'inv_route_report', 'Inventory Route report', 1659),
(1670, 'crm_route_report', 'Crm Route report', 1659),
(1671, 'crm_route_customer', 'Crm Route Customer', 1659),
(1672, 'collect_receipt', 'Collect Receipt', 418),
(1673, 'act_collect_receipt', 'Actual Collect Receipt', 845),
(1674, 'collection_list', 'Collection List', 18),
(1675, 'act_collection_list', 'Actual Collection List', 18),
(1676, 'edit_collection', 'Edit Collection', 1674),
(1677, 'delete_collection', 'Delete Collection', 1675),
(1678, 'act_edit_collection', 'Edit Actual Collection', 1674),
(1679, 'act_delete_collection', 'Delete Actual Collection', 1675),
(1680, 'receipt_to_payment', 'Receipt to Payment', 418),
(1681, 'act_receipt_to_payment', 'Actual Receipt to Payment', 845),
(1682, 'monthly_sales_report', 'Monthly Sales Report', 44),
(1683, 'act_monthly_sales_report', 'Actual Monthly Sales Report', 1133),
(1684, 'subscription_category', 'Subscription Category', 1309),
(1685, 'add_subscription_category', 'Add Subscription Category', 1684),
(1686, 'edit_subscription_category', 'Edit Subscription Category', 1684),
(1687, 'delete_subscription_category', 'Delete Subscription Category', 1684),
(1688, 'subscription_block', 'Subscription Block', 1309),
(1689, 'add_subscription_block', 'Add Subscription Block', 1688),
(1690, 'edit_subscription_block', 'Edit Subscription Block', 1688),
(1691, 'delete_subscription_block', 'Delete Subscription Block', 1688),
(1692, 'category_fees_list', 'Category Fees List', 1309),
(1693, 'activity_tree', 'Activity Tree', 1234),
(1694, 'add_activity_tree', 'Add Activity Tree', 1693),
(1695, 'edit_activity_tree', 'Edit Activity Tree', 1693),
(1696, 'delete_activity_tree', 'Delete Activity Tree', 1693),
(1697, 'project_period', 'Project period', 1234),
(1698, 'add_project_period', 'Add Project period', 1697),
(1699, 'edit_project_period', 'Edit Project period', 1697),
(1700, 'delete_project_period', 'Delete Project period', 1697),
(1701, 'activity_budget', 'Activity Budget', 1234),
(1702, 'project_funding_list', 'Project Funding List', 1234),
(1703, 'add_project_funding', 'Add Project Funding', 1702),
(1704, 'edit_project_funding', 'Edit Project Funding', 1702),
(1705, 'delete_project_funding', 'Delete Project Funding', 1702),
(1706, 'project_expense_list', 'Project Expense List', 1234),
(1707, 'add_project_expense', 'Add Project Expense', 1706),
(1708, 'edit_project_expense', 'Edit Project Expense', 1706),
(1709, 'delete_project_expense', 'Delete Project Expense', 1706),
(1710, 'subscription_block_report', 'Subscription Block Report', 1309),
(1711, 'pending_expense_list', 'Pending Expense List', 10),
(1712, 'add_pending_expense', 'Add Pending Expense', 1711),
(1713, 'edit_pending_expense', 'Edit Pending Expense', 1711),
(1714, 'delete_pending_expense', 'Delete Pending Expense', 1711),
(1715, 'view_pending_expense', 'View Pending Expense', 1711),
(1716, 'settle_expense', 'Settle Expense', 1711),
(1717, 'act_pending_expense_list', 'Actual Pending Expense List', 10),
(1718, 'add_act_pending_expense', 'Add Actual Pending Expense', 1717),
(1719, 'edit_act_pending_expense', 'Edit Actual Pending Expense', 1717),
(1720, 'delete_act_pending_expense', 'Delete Actual Pending Expense', 1717),
(1721, 'view_act_pending_expense', 'View Actual Pending Expense', 1717),
(1722, 'settle_act_expense', 'Settle Actual Expense', 1717),
(1723, 'project_period_report', 'Project period report', 1234),
(1724, 'credit_show_pay_box', 'Show Payment Box', 134),
(1725, 'act_credit_show_pay_box', 'Show Payment Box', 494),
(1726, 'debit_show_pay_box', 'Show Payment Box', 136),
(1727, 'act_debit_show_pay_box', 'Show Payment Box', 495),
(1728, 'sales_show_payment_box', 'Show Payment Box', 36),
(1729, 'act_sales_show_payment_box', 'Show Payment Box', 212),
(1730, 'subscription_paid_amount', 'Subscription Paid Amount', 1321),
(1731, 'subscription_paid_amount_input', 'Subscription Paid Amount Input', 1321),
(1732, 'user_setting', 'User Setting', 734),
(1733, 'edit_employee_alert', 'Edit Employee Alert', 589),
(1734, 'delete_employee_alert', 'Delete Employee Alert', 589),
(1735, 'print_employee_alert', 'Print Employee Alert', 589),
(1736, 'add_act_employee_alert', 'Add Actual Employee Alert', 664),
(1737, 'edit_act_employee_alert', 'Edit Actual Employee Alert', 664),
(1738, 'delete_act_employee_alert', 'Delete Actual Employee Alert', 664),
(1739, 'print_act_employee_alert', 'Print Actual Employee Alert', 664),
(1740, 'statement_activity', 'Statement of Activity', 1234),
(1741, 'act_statement_activity', 'Actual Statement of Activity', 1234),
(1742, 'activity_trial_balance', 'Activity Trial Balance', 1234),
(1743, 'act_activity_trial_balance', 'Actual Activity Trial Balance', 1234),
(1744, 'project_activities_report', 'Project Activities Report', 1234),
(1745, 'act_project_activities_report', 'Actual Project Activities Report', 1234),
(1746, 'delete_att_template', 'Delete Attendance Template', 782),
(1747, 'act_statement_of_project_per_activity', 'Actual Statement of project per activity', 1234),
(1748, 'statement_of_project_per_activity', 'Statement of project per activity', 1234),
(1749, 'activity_daily_journal', 'Activity Daily Journals', 1234),
(1750, 'act_activity_daily_journal', 'Actual Activity Daily Journals', 1234),
(1751, 'view_project_expense', 'View Project Expense', 1706),
(1752, 'import_customers', 'Import Customers', 41),
(1753, 'search_pos_product', 'Search POS Product', 4),
(1754, 'confirm_request', 'Confirm Request', 178),
(1755, 'change_qty_converted_request', 'Change Quantity in Convert Request', 178),
(1756, 'delete_multi_expense', 'Delete Multi Expense', 12),
(1757, 'multi_expense_to_actual', 'Convert Multi Expense to Actual', 12),
(1758, 'convert_expense_to_actual', 'Convert Expense to Actual', 12),
(1759, 'act_delete_multi_expense', 'Delete Multi Actual Expense', 311),
(1760, 'multi_expense_to_official', 'Convert Multi Expense to Official', 311),
(1761, 'convert_expense_to_official', 'Convert Expense to Official', 311),
(1762, 'delete_multi_pending_expense', 'Delete Multi Pending Expense', 1711),
(1763, 'multi_pending_expense_to_actual', 'Convert Multi Pending Expense to Actual', 1711),
(1764, 'convert_pending_expense_to_actual', 'Convert Pending Expense to Actual', 1711),
(1765, 'delete_multi_act_pending_expense', 'Delete Multi Actual Pending Expense', 1717),
(1766, 'multi_act_pending_expense_to_official', 'Convert Multi Actual Pending Expense to Official', 1717),
(1767, 'convert_act_pending_expense_to_official', 'Convert Actual Pending Expense to Official', 1717),
(1768, 'app_item_dialog_show_qty', 'Show available quantity on item dialog', 863),
(1769, 'app_invoice_allow_negative_qty', 'Allow negative quantity', 866),
(1770, 'delete_multi_deposit', 'Delete Multi Deposit/Withdrawal', 194),
(1771, 'convert_multi_deposit_to_actual', 'Convert Multi Deposit/Withdrawal to Actual', 194),
(1772, 'convert_deposit_to_actual', 'Convert Deposit/Withdrawal to Actual', 194),
(1773, 'delete_multi_act_deposit', 'Delete Multi Actual Deposit/Withdrawal', 315),
(1774, 'convert_multi_act_deposit_to_official', 'Convert Multi Actual Deposit/Withdrawal to Official', 315),
(1775, 'convert_act_deposit_to_official', 'Convert Actual Deposit/Withdrawal to Official', 315),
(1776, 'ticketing', 'Ticketing', 0),
(1777, 'ticketing_setting', 'Ticketing Setting', 1776),
(1778, 'ticketing_type', 'Ticketing Type List', 1777),
(1779, 'add_ticketing_type', 'Add Ticketing Type', 1778),
(1780, 'edit_ticketing_type', 'Edit Ticketing Type', 1778),
(1781, 'delete_ticketing_type', 'Delete Ticketing Type', 1778),
(1782, 'station', 'Station List', 1777),
(1783, 'add_station', 'Add Station', 1782),
(1784, 'edit_station', 'Edit Station', 1782),
(1785, 'delete_station', 'Delete Station', 1782),
(1786, 'ticketing_list', 'Ticketing List', 1777),
(1787, 'add_ticketing', 'Add Ticketing', 1786),
(1788, 'edit_ticketing', 'Edit Ticketing', 1786),
(1789, 'delete_ticketing', 'Delete Ticketing', 1786),
(1790, 'convert_payment_to_actual', 'Convert Payment to Actual', 20),
(1791, 'convert_multi_payment_to_actual', 'Convert Multi Payment to Actual', 20),
(1792, 'delete_multi_payment', 'Delete Multi Payment', 20),
(1793, 'convert_act_payment_to_official', 'Convert Actual Payment to Official', 210),
(1794, 'convert_multi_act_payment_to_official', 'Convert Multi Actual Payment to Official', 210),
(1795, 'delete_multi_act_payment', 'Delete Multi Actual Payment', 210),
(1796, 'convert_receipt_to_actual', 'Convert Receipt to Actual', 107),
(1797, 'convert_multi_receipt_to_actual', 'Convert Multi Receipt to Actual', 107),
(1798, 'delete_multi_receipt', 'Delete Multi Receipt', 107),
(1799, 'convert_act_receipt_to_official', 'Convert Actual Receipt to Official', 219),
(1800, 'convert_multi_act_receipt_to_official', 'Convert Multi Actual Receipt to Official', 219),
(1801, 'delete_multi_act_receipt', 'Delete Multi Actual Receipt', 219),
(1802, 'convert_ret_payment_to_actual', 'Convert Return Payment to Actual', 1456),
(1803, 'convert_multi_ret_payment_to_actual', 'Convert Multi Return Payment to Actual', 1456),
(1804, 'delete_multi_ret_payment', 'Delete Multi Return Payment', 1456),
(1805, 'convert_act_ret_payment_to_official', 'Convert Actual Return Payment to Official', 1458),
(1806, 'convert_multi_act_ret_payment_to_official', 'Convert Multi Actual Return Payment to Official', 1458),
(1807, 'delete_multi_act_ret_payment', 'Delete Multi Actual Return Payment', 1458),
(1808, 'convert_ret_receipt_to_actual', 'Convert Return Receipt to Actual', 1457),
(1809, 'convert_multi_ret_receipt_to_actual', 'Convert Multi Return Receipt to Actual', 1457),
(1810, 'delete_multi_ret_receipt', 'Delete Multi Return Receipt', 1457),
(1811, 'convert_act_ret_receipt_to_official', 'Convert Actual Return Receipt to Official', 1459),
(1812, 'convert_multi_act_ret_receipt_to_official', 'Convert Multi Actual Return Receipt to Official', 1459),
(1813, 'delete_multi_act_ret_receipt', 'Delete Multi Actual Return Receipt', 1459),
(1814, 'change_ticketing_status', 'Change Ticketing Status', 1786),
(1815, 'show_ticketing_product_details', 'Show Product Details', 1786),
(1816, 'change_ticketing_payment_account', 'Change payment acocunt', 1786),
(1817, 'change_ticketing_depot', 'Change Ticketing Depot', 1786),
(1818, 'delete_multi_manual_jv', 'Delete Multi Manual JV', 1040),
(1819, 'convert_multi_manual_jv_to_actual', 'Convert Multi Manual JV to Actual', 1040),
(1820, 'convert_manual_jv_to_actual', 'Convert Manual JV to Actual', 1040),
(1821, 'delete_multi_act_manual_jv', 'Delete Multi Actual Manual JV', 1041),
(1822, 'convert_multi_act_manual_jv_to_official', 'Convert Multi Actual Manual JV to Official', 1041),
(1823, 'convert_act_manual_jv_to_official', 'Convert Actual Manual JV to Official', 1041),
(1824, 'view_ticketing_replies', 'View Ticketing Replies', 1788),
(1825, 'add_ticketing_reply', 'Add Ticketing Reply', 1788),
(1826, 'edit_ticketing_reply', 'Edit Ticketing Reply', 1788),
(1827, 'add_jv_close_invoice', 'Close Invoices on Add JV', 196),
(1828, 'edit_jv_close_invoice', 'Close Invoices on Edit JV', 413),
(1829, 'add_act_jv_close_invoice', 'Close Invoices on Add Actual JV', 316),
(1830, 'edit_act_jv_close_invoice', 'Close Invoices on Edit Actual JV', 414),
(1831, 'monthly_year_sales_graph', 'Monthly Year Sales Graph', 443),
(1832, 'act_monthly_year_sales_graph', 'Actual Monthly Year Sales Graph', 1279),
(1833, 'monthly_sales_graph', 'Monthly Sales Graph', 443),
(1834, 'act_monthly_sales_graph', 'Actual Monthly Sales Graph', 1279),
(1835, 'monthly_year_sales_list', 'Monthly Year Sales List', 443),
(1836, 'monthly_year_sales_list_actual', 'Actual Monthly Year Sales List', 1279),
(1837, 'monthly_year_products_sales_list', 'Monthly Year Products Sales List', 443),
(1838, 'monthly_year_products_sales_list_actual', 'Actual Monthly Year Products Sales List', 1279),
(1839, 'online_road_customer_ledger', 'Online Road Customer Ledger', 41),
(1840, 'pos_print_receipt', 'Print receipt', 1634),
(1841, 'pos_print_payment', 'Print payment', 1635);
INSERT INTO `tbl_common_permission` (`Permission_ID`, `Permission_Name`, `Permission_Text`, `Parent_ID`) VALUES
(1842, 'show_account_balance_payment', 'Show account balance in payment', 4),
(1843, 'show_account_balance_receipt', 'Show account balance in receipt', 4),
(1844, 'show_account_balance_search_cust', 'Show account balance in search customer', 4),
(1845, 'show_account_balance_search_road_cust', 'Show account balance in search road customer', 4),
(1846, 'cash_expense_list', 'Cash Expense List', 10),
(1847, 'add_cash_expense', 'Add Cash Expense', 1846),
(1848, 'edit_cash_expense', 'Edit Cash Expense', 1846),
(1849, 'delete_cash_expense', 'Delete Cash Expense', 1846),
(1850, 'view_cash_expense', 'View Cash Expense', 1846),
(1851, 'act_cash_expense_list', 'Actual Cash Expense List', 10),
(1852, 'add_act_cash_expense', 'Add Actual Cash Expense', 1851),
(1853, 'edit_act_cash_expense', 'Edit Actual Cash Expense', 1851),
(1854, 'delete_act_cash_expense', 'Delete Actual Cash Expense', 1851),
(1855, 'view_act_cash_expense', 'View Actual Cash Expense', 1851),
(1856, 'pending_cash_expense_list', 'Pending Cash Expense List', 10),
(1857, 'add_pending_cash_expense', 'Add Pending Cash Expense', 1856),
(1858, 'edit_pending_cash_expense', 'Edit Pending Cash Expense', 1856),
(1859, 'delete_pending_cash_expense', 'Delete Pending Cash Expense', 1856),
(1860, 'view_pending_cash_expense', 'View Pending Cash Expense', 1856),
(1861, 'settle_pending_cash_expense', 'Settle Pending Cash Expense', 1856),
(1862, 'act_pending_cash_expense_list', 'Actual Pending Cash Expense List', 10),
(1863, 'add_act_pending_cash_expense', 'Add Actual Pending Cash Expense', 1862),
(1864, 'edit_act_pending_cash_expense', 'Edit Actual Pending Cash Expense', 1862),
(1865, 'delete_act_pending_cash_expense', 'Delete Actual Pending Cash Expense', 1862),
(1866, 'view_act_pending_cash_expense', 'View Actual Pending Cash Expense', 1862),
(1867, 'settle_act_pending_cash_expense', 'Settle Actual Pending Cash Expense', 1862),
(1868, 'delete_multi_cash_expense', 'Delete Multi Cash Expense', 1846),
(1869, 'delete_multi_act_cash_expense', 'Delete Multi Actual Cash Expense', 1851),
(1870, 'delete_multi_pending_cash_expense', 'Delete Multi Pending Cash Expense', 1856),
(1871, 'delete_multi_act_pending_cash_expense', 'Delete Multi Actual Pending Cash Expense', 1862),
(1872, 'multi_cash_expense_to_act', 'Convert Multi Cash Expense to Actual', 1846),
(1873, 'multi_act_cash_expense_to_official', 'Convert Multi Actual Cash Expense to Official', 1851),
(1874, 'multi_pending_cash_expense_to_act', 'Convert Multi Pending Cash Expense to Actual', 1856),
(1875, 'multi_act_pending_cash_expense_to_official', 'Convert Multi Actual Pending Cash Expense to Official', 1862),
(1876, 'convert_cash_expense_to_act', 'Convert Cash Expense to Actual', 1846),
(1877, 'convert_act_cash_expense_to_official', 'Convert Actual Cash Expense to Official', 1851),
(1878, 'convert_pending_cash_expense_to_act', 'Convert Pending Cash Expense to Actual', 1856),
(1879, 'convert_act_pending_cash_expense_to_official', 'Convert Actual Pending Cash Expense to Official', 1862),
(1880, 'can_change_pay_acc_cash_exp', 'Can Change Payment Account', 1846),
(1881, 'can_change_pay_acc_act_cash_exp', 'Can Change Payment Account', 1851),
(1882, 'can_change_pay_acc_pen_cash_exp', 'Can Change Payment Account', 1856),
(1883, 'can_change_pay_acc_act_pen_cash_exp', 'Can Change Payment Account', 1862),
(1884, 'print_expense', 'Print Expense', 12),
(1885, 'print_act_expense', 'Print Actual Expense', 311),
(1886, 'print_pen_expense', 'Print Pending Expense', 1711),
(1887, 'print_act_pen_expense', 'Print Actual Pending Expense', 1717),
(1888, 'print_cash_expense', 'Print Cash Expense', 1846),
(1889, 'print_act_cash_expense', 'Print Actual Cash Expense', 1851),
(1890, 'print_pen_cash_expense', 'Print Pending Cash Expense', 1856),
(1891, 'print_act_pen_cash_expense', 'Print Actual Pending Cash Expense', 1862),
(1892, 'forecast_report', 'Forecast Report', 44),
(1893, 'actual_forecast_report', 'Actual Forecast Report', 1133),
(1894, 'show_cost_stock_adj', 'Show Cost', 859),
(1895, 'add_damage_in_report', 'Add Damage', 352),
(1896, 'payment_without_close_purchase', 'Payment Without Close Purchase', 19),
(1897, 'act_payment_without_close_purchase', 'Actual Payment Without Close Purchase', 209),
(1898, 'view_total_cash_pos_end_day', 'View Total Cash', 857),
(1899, 'view_total_sales_pos_end_day', 'View Total Sales', 857),
(1900, 'view_total_cash_end_day', 'View Total Cash', 858),
(1901, 'view_total_sales_end_day', 'View Total Sales', 858),
(1902, 'stock_damage', 'Stock Damage', 108),
(1903, 'add_stock_damage', 'Add Damage', 1902),
(1904, 'stock_damage_list', 'Damage List', 1902),
(1905, 'edit_stock_damage', 'Edit Damage', 1904),
(1906, 'delete_stock_damage', 'Delete Damage', 1904),
(1907, 'add_act_stock_damage', 'Add Actual Damage', 1902),
(1908, 'act_stock_damage_list', 'Actual Damage List', 1902),
(1909, 'edit_act_stock_damage', 'Edit Actual Damage', 1908),
(1910, 'delete_act_stock_damage', 'Delete Actual Damage', 1908),
(1911, 'act_multi_product_damaged', 'Actual Multi Product Damaged', 1902),
(1912, 'assign_product_quantity', 'Assign Product Quantity', 138),
(1913, 'act_assign_product_quantity', 'Actual Assign Product Quantity', 138),
(1914, 'assign_product_quantity_list', 'Assign Product Quantity List', 138),
(1915, 'act_assign_product_quantity_list', 'Actual Assign Product Quantity List', 138),
(1916, 'edit_assign_product_quantity', 'Edit Assign Product Quantity', 1914),
(1917, 'edit_act_assign_product_quantity', 'Edit Actual Assign Product Quantity', 1915),
(1918, 'delete_assign_product_quantity', 'Delete Assign Product Quantity', 1914),
(1919, 'delete_act_assign_product_quantity', 'Delete Actual Assign Product Quantity', 1915),
(1920, 'ticketing_calendar', 'Ticketing Calendar', 1777),
(1921, 'adjust_product_quantity', 'Adjust Product Quantity', 138),
(1922, 'act_adjust_product_quantity', 'Actual Adjust Product Quantity', 138),
(1923, 'adjust_product_quantity_list', 'Adjust Product Quantity List', 138),
(1924, 'act_adjust_product_quantity_list', 'Actual Adjust Product Quantity List', 138),
(1925, 'edit_adjust_product_quantity', 'Edit Adjust Product Quantity', 1923),
(1926, 'edit_act_adjust_product_quantity', 'Edit Actual Adjust Product Quantity', 1924),
(1927, 'delete_adjust_product_quantity', 'Delete Adjust Product Quantity', 1923),
(1928, 'delete_act_adjust_product_quantity', 'Delete Actual Adjust Product Quantity', 1924),
(1929, 'can_change_adjust_cost', 'Can Change Cost', 1921),
(1930, 'can_change_act_adjust_cost', 'Can Change Cost', 1922),
(1931, 'can_change_assign_cost', 'Can Change Cost', 1912),
(1932, 'can_change_act_assign_cost', 'Can Change Cost', 1913),
(1933, 'request_details_report', 'Request Details Report', 174),
(1934, 'transfer_details_report', 'Transfer Details Report', 174),
(1935, 'pos_auto_close_invoices', 'Auto Close Invoices Button', 502),
(1936, 'rec_auto_close_invoices', 'Auto Close Invoices Button', 68),
(1937, 'act_rec_auto_close_invoices', 'Auto Close Invoices Button', 218),
(1938, 'pay_auto_close_invoices', 'Auto Close Invoices Button', 19),
(1939, 'act_pay_auto_close_invoices', 'Auto Close Invoices Button', 209),
(1940, 'general_guide', 'General Guide', 505),
(1941, 'general_contact', 'General Contact', 1940),
(1942, 'add_general_contact', 'Add General Contact', 1941),
(1943, 'edit_general_contact', 'Edit General Contact', 1941),
(1944, 'delete_general_contact', 'Delete General Contact', 1941),
(1945, 'phone_guide', 'Phone Guide', 1940),
(1946, 'pos_return_postponed', 'Return Postponed', 1079),
(1947, 'pos_return_postponed_change_item', 'Change Items Return Postponed', 1946),
(1948, 'pos_transfer_postponed', 'Transfer Postponed', 1079),
(1949, 'pos_transfer_invoice', 'Transfer Invoice', 670),
(1950, 'inv_transfer_invoice', 'Transfer Invoice', 37),
(1951, 'act_inv_transfer_invoice', 'Transfer Actual Invoice', 217),
(1952, 'inv_postponed_transfer_invoice', 'Transfer Postponed Invoice', 1380),
(1953, 'confirm_delivered_items', 'Confirm Delivered Items', 176),
(1954, 'transfered_delivered_items', 'Transfered Delivered Items', 351),
(1955, 'enable_disable_vehicle', 'Enable/Disable Vehicle', 145),
(1956, 'stock_acc_adjust', 'Stock Adjustment with Accounting ', 138),
(1957, 'stock_acc_adjust_list', 'Stock Adjustment with Accounting List', 138),
(1958, 'edit_stock_acc_adjust', 'Edit Stock Adjustment with Accounting', 1957),
(1959, 'delete_stock_acc_adjust', 'Delete Stock Adjustment with Accounting', 1957),
(1960, 'act_stock_acc_adjust', 'Actual Stock Adjustment with Accounting ', 138),
(1961, 'act_stock_acc_adjust_list', 'Actual Stock Adjustment with Accounting List', 138),
(1962, 'edit_act_stock_acc_adjust', 'Edit Actual Stock Adjustment with Accounting', 1961),
(1963, 'delete_act_stock_acc_adjust', 'Delete Actual Stock Adjustment with Accounting', 1961),
(1964, 'return_noqty', 'Return (No Qty) ', 3),
(1965, 'return_customer_noqty', 'Return From Customer (No Qty) ', 1964),
(1966, 'return_customer_noqty_list', 'Return From Customer List (No Qty) ', 1964),
(1967, 'return_supplier_noqty', 'Return To Supplier (No Qty) ', 1964),
(1968, 'return_supplier_noqty_list', 'Return To Supplier List (No Qty) ', 1964),
(1969, 'view_ret_cust_noqty', 'View Return Customer (No Qty) ', 1966),
(1970, 'edit_ret_cust_noqty', 'Edit Return Customer (No Qty) ', 1966),
(1971, 'delete_ret_cust_noqty', 'Delete Return Customer (No Qty) ', 1966),
(1972, 'ret_cust_noqty_to_act', 'Change Return Customer (No Qty) to Actual ', 1966),
(1973, 'multi_ret_cust_noqty_to_act', 'Change Multi Retun Customer (No Qty) to Actual ', 1966),
(1974, 'multi_delete_ret_cust_noqty', 'Delete Multi Retun Customer (No Qty) ', 1966),
(1975, 'view_ret_supp_noqty', 'View Return Supplier (No Qty) ', 1968),
(1976, 'edit_ret_supp_noqty', 'Edit Return Supplier (No Qty) ', 1968),
(1977, 'delete_ret_supp_noqty', 'Delete Return Supplier (No Qty) ', 1968),
(1978, 'ret_supp_noqty_to_act', 'Change Return Supplier (No Qty) to Actual ', 1968),
(1979, 'multi_ret_supp_noqty_to_act', 'Change Multi Retun Supplier (No Qty) to Actual ', 1968),
(1980, 'multi_delete_ret_supp_noqty', 'Delete Multi Retun Supplier (No Qty) ', 1968),
(1981, 'cust_delivery_note_toinv', 'Convert to Invoice ', 220),
(1982, 'supp_delivery_note_toinv', 'Convert to Invoice ', 921),
(1983, 'view_act_stock_damage', 'View Actual Stock Damage ', 1908),
(1984, 'view_stock_damage', 'View Stock Damage ', 1904),
(1985, 'lock_data', 'Lock Data', 422),
(1986, 'add_lock_data', 'Add Lock Data', 1985),
(1987, 'edit_lock_data', 'Edit Lock Data', 1985),
(1988, 'delete_lock_data', 'Delete Lock Data', 1985),
(1989, 'delete_job', 'Delete Job', 515),
(1990, 'delete_project', 'Delete Project', 1230),
(1991, 'dashboard_setting', 'Dashboard Setting', 421),
(1992, 'dashboard_boxes', 'Dashboard Boxes', 1991),
(1993, 'add_dashboard_boxes', 'Add Dashboard Boxes', 1992),
(1994, 'edit_dashboard_boxes', 'Edit Dashboard Boxes', 1992),
(1995, 'delete_dashboard_boxes', 'Delete Dashboard Boxes', 1992),
(1996, 'app_invoice_cash_payment', 'Invoice Cash Payment', 1558),
(1997, 'supplier_vendor_payable_by_group', 'Supplier Payables by Group', 55),
(1998, 'top_items_supp_wise', 'Top Items Supplier Wise', 55),
(1999, 'top_items_profit_wise', 'Top Items Profit Wise', 55),
(2000, 'top_items_sales_wise', 'Top Items Sales Wise', 55),
(2001, 'last_unpaid_invoices', 'Last Unpaid Invoices', 55),
(2002, 'acc_bar_chart', 'Accounting Bar Chart', 55),
(2003, 'app_allow_decrease_price', 'Allow Decrease Price', 1558),
(2004, 'customer_receivables', 'Customer Receivables', 55),
(2005, 'view_stock_acc_adjust', 'View Stock Adjustment with Accounting', 1957),
(2006, 'act_view_stock_acc_adjust', 'View Actual Stock Adjustment with Accounting', 1961),
(2007, 'act_view_adjust_product_quantity', 'View Actual Adjust Product Quantity', 1924),
(2008, 'view_adjust_product_quantity', 'View Adjust Product Quantity', 1923),
(2009, 'act_view_assign_product_quantity', 'View Actual Assign Product Quantity', 1915),
(2010, 'view_assign_product_quantity', 'View Assign Product Quantity', 1914),
(2011, 'sales_tracker', 'Sales Tracker', 41),
(2012, 'give_sales_tracker', 'Is Sales Tracker', 2011),
(2013, 'Is_not_delivery', 'Is Not Delivery', 3),
(2014, 'DeliveryReport', 'DeliveryReport', 44),
(2015, 'Maintenance', 'Maintenance', 1776),
(2016, 'maintenance_list', 'maintenance_list', 2015),
(2017, 'maintenance_type_list', 'maintenance_type_list', 2015),
(2018, 'maintenance_supporter', 'maintenance_supporter', 2015),
(2020, 'add_maintenance_type', 'add_maintenance_type', 2017),
(2021, 'delete_maintenance_type', 'delete_maintenance_type', 2017),
(2022, 'edit_maintenance_type', 'edit_maintenance_type', 2017),
(2023, 'edit_maintenance_supporter', 'edit_maintenance_supporter', 2018),
(2024, 'delete_maintenance_supporter', 'delete_maintenance_supporter', 2018),
(2025, 'view_maintenance_replies', 'view_maintenance_replies', 2015),
(2026, 'add_maintenance_reply', 'add_maintenance_reply', 2025),
(2027, 'edit_maintenance_reply', 'edit_maintenance_reply', 2025),
(2028, 'add_maintenance', 'add_maintenance', 2016),
(2029, 'view_maintenance', 'view_maintenance', 2016),
(2030, 'edit_maintenance', 'edit_maintenance', 2016),
(2031, 'delete_maintenance', 'delete_maintenance', 2016),
(2032, 'add_maintenance_supporter', 'add_maintenance_supporter', 2018),
(2035, 'change_pos', 'change_pos', 4),
(2036, 'change_maintenance_status', 'change_maintenance_status', 2015),
(2038, 'General_Appointment', 'General Appointment', 1776),
(2039, 'event_list', 'Event List', 2038),
(2040, 'add_event', 'Add Event', 2039),
(2041, 'update_event', 'Update Event', 2039),
(2042, 'delete_event', 'Delete Event', 2039),
(2043, 'use_customer', 'use customer', 2039),
(2044, 'appointment_list', 'appointment list', 2038),
(2045, 'add_appointment', 'add appointment', 2044),
(2046, 'edit_appointment', 'edit appointment', 2044),
(2047, 'delete_appointment', 'delete appointment', 2044),
(2048, 'products_customers', 'Products Customers', 25),
(2049, 'production_barcode', 'production barcode', 447),
(2050, 'print_production_process', 'print production process', 450),
(2051, 'show_company', 'Show Company', 0),
(2052, 'PayrollForEmployeeProcess', 'Payroll For Employee Process', 91),
(2053, 'employee_salary_production', 'employee_salary_production', 2052),
(2054, 'Messages', 'Messages', 0),
(2055, 'view_shift_time', 'View Shift Time', 734),
(2056, 'add_shift_time', 'Add Shift Time', 2055),
(2057, 'Delete_user_Shift', 'Delete User Shift', 2055),
(2058, 'Edit_user_Shift', 'Edit User Shift', 2055),
(2059, 'import_supplier', 'Import Supplier', 41),
(2060, 'pos_distribution', 'POS Distribution', 0),
(2061, 'update_template', 'Update Template', 422),
(2062, 'system_empty', 'System Empty', 422),
(2063, 'active_expiry_qty_products', 'Active Expiry qty Products', 0),
(2064, 'delete_role_permissions', 'Delete Role Permissions', 735),
(2065, 'signature', 'Signature', 3),
(2066, 'all_floor', 'Open All Floors', 545),
(2067, 'show_all_subscriptions', 'show all subscriptions', 1321),
(2068, 'kitchen_order', 'kitchen order', 0),
(2069, 'editBankAccount', 'Edit Bank Account', 63),
(2070, 'db_sync_backup', 'Backup sync to FTP', 565),
(2071, 'product_rate', 'Product Rate', 1341),
(2072, 'Branches', 'Branches', 0),
(2073, 'Depots', 'Depots', 2072),
(2074, 'template_branches_list', 'View Template list', 422),
(2075, 'template_branches', 'Add Template', 2074),
(2076, 'edit_template', 'Edit Template', 2074),
(2077, 'delete_template', 'Delete Template', 2074),
(2078, 'attribute_list', 'View Template Attribute list', 422),
(2079, 'add_attribute', 'Add Template Attribute', 2078),
(2080, 'delete_template_attribute', 'Delete Template Attribute', 2078);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_roles`
--

CREATE TABLE `tbl_common_roles` (
  `Role_ID` int(11) NOT NULL,
  `Role_Name` varchar(45) DEFAULT NULL,
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1',
  `Logged_ID` int(11) NOT NULL,
  `Parent_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_roles`
--

INSERT INTO `tbl_common_roles` (`Role_ID`, `Role_Name`, `Status_ID`, `Logged_ID`, `Parent_ID`) VALUES
(1, 'Admin', 1, 0, 0),
(2, 'user', 1, 1, 1),
(3, 'pos', 1, 1, 2),
(5, 'root', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_role_permission`
--

CREATE TABLE `tbl_common_role_permission` (
  `Role_ID` int(11) DEFAULT NULL,
  `Permission_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_role_permission`
--

INSERT INTO `tbl_common_role_permission` (`Role_ID`, `Permission_ID`) VALUES
(1, 2),
(1, 6),
(1, 7),
(1, 8),
(1, 9),
(1, 416),
(1, 452),
(1, 453),
(1, 454),
(1, 472),
(1, 515),
(1, 516),
(1, 517),
(1, 1989),
(1, 518),
(1, 519),
(1, 520),
(1, 542),
(1, 543),
(1, 544),
(1, 678),
(1, 679),
(1, 680),
(1, 681),
(1, 682),
(1, 707),
(1, 906),
(1, 907),
(1, 908),
(1, 909),
(1, 1095),
(1, 1096),
(1, 1097),
(1, 1098),
(1, 1325),
(1, 1326),
(1, 1327),
(1, 1328),
(1, 10),
(1, 11),
(1, 12),
(1, 506),
(1, 1052),
(1, 1756),
(1, 1757),
(1, 1758),
(1, 1884),
(1, 13),
(1, 169),
(1, 310),
(1, 311),
(1, 889),
(1, 1053),
(1, 1759),
(1, 1760),
(1, 1761),
(1, 1885),
(1, 842),
(1, 1711),
(1, 1712),
(1, 1713),
(1, 1714),
(1, 1715),
(1, 1716),
(1, 1762),
(1, 1763),
(1, 1764),
(1, 1886),
(1, 1717),
(1, 1718),
(1, 1719),
(1, 1720),
(1, 1721),
(1, 1722),
(1, 1765),
(1, 1766),
(1, 1767),
(1, 1887),
(1, 1846),
(1, 1847),
(1, 1848),
(1, 1849),
(1, 1850),
(1, 1868),
(1, 1872),
(1, 1876),
(1, 1880),
(1, 1888),
(1, 1851),
(1, 1852),
(1, 1853),
(1, 1854),
(1, 1855),
(1, 1869),
(1, 1873),
(1, 1877),
(1, 1881),
(1, 1889),
(1, 1856),
(1, 1857),
(1, 1858),
(1, 1859),
(1, 1860),
(1, 1861),
(1, 1870),
(1, 1874),
(1, 1878),
(1, 1882),
(1, 1890),
(1, 1862),
(1, 1863),
(1, 1864),
(1, 1865),
(1, 1866),
(1, 1867),
(1, 1871),
(1, 1875),
(1, 1879),
(1, 1883),
(1, 1891),
(1, 18),
(1, 19),
(1, 1450),
(1, 1896),
(1, 1938),
(1, 20),
(1, 21),
(1, 881),
(1, 1050),
(1, 1483),
(1, 1790),
(1, 1791),
(1, 1792),
(1, 66),
(1, 68),
(1, 1442),
(1, 1447),
(1, 1936),
(1, 107),
(1, 340),
(1, 892),
(1, 1048),
(1, 1484),
(1, 1796),
(1, 1797),
(1, 1798),
(1, 209),
(1, 1449),
(1, 1897),
(1, 1939),
(1, 210),
(1, 883),
(1, 893),
(1, 1051),
(1, 1485),
(1, 1793),
(1, 1794),
(1, 1795),
(1, 218),
(1, 1443),
(1, 1448),
(1, 1937),
(1, 219),
(1, 884),
(1, 894),
(1, 1049),
(1, 1486),
(1, 1799),
(1, 1800),
(1, 1801),
(1, 417),
(1, 1451),
(1, 418),
(1, 1452),
(1, 1672),
(1, 1680),
(1, 760),
(1, 761),
(1, 844),
(1, 1453),
(1, 845),
(1, 1454),
(1, 1673),
(1, 1681),
(1, 1239),
(1, 1240),
(1, 1241),
(1, 1242),
(1, 1244),
(1, 1243),
(1, 1674),
(1, 1676),
(1, 1678),
(1, 1675),
(1, 1677),
(1, 1679),
(1, 22),
(1, 23),
(1, 24),
(1, 206),
(1, 319),
(1, 320),
(1, 321),
(1, 322),
(1, 348),
(1, 63),
(1, 64),
(1, 65),
(1, 2069),
(1, 71),
(1, 15),
(1, 16),
(1, 1489),
(1, 17),
(1, 143),
(1, 72),
(1, 200),
(1, 207),
(1, 208),
(1, 252),
(1, 259),
(1, 260),
(1, 328),
(1, 346),
(1, 347),
(1, 349),
(1, 683),
(1, 840),
(1, 841),
(1, 1081),
(1, 1101),
(1, 105),
(1, 52),
(1, 106),
(1, 133),
(1, 134),
(1, 1724),
(1, 135),
(1, 886),
(1, 900),
(1, 1060),
(1, 136),
(1, 1726),
(1, 137),
(1, 885),
(1, 899),
(1, 1058),
(1, 494),
(1, 1725),
(1, 495),
(1, 1727),
(1, 496),
(1, 888),
(1, 898),
(1, 1061),
(1, 497),
(1, 887),
(1, 897),
(1, 1059),
(1, 187),
(1, 188),
(1, 189),
(1, 190),
(1, 191),
(1, 192),
(1, 261),
(1, 1655),
(1, 193),
(1, 195),
(1, 262),
(1, 194),
(1, 1770),
(1, 1771),
(1, 1772),
(1, 196),
(1, 1827),
(1, 314),
(1, 315),
(1, 1773),
(1, 1774),
(1, 1775),
(1, 316),
(1, 1829),
(1, 317),
(1, 318),
(1, 405),
(1, 406),
(1, 407),
(1, 901),
(1, 1656),
(1, 408),
(1, 1658),
(1, 409),
(1, 1657),
(1, 410),
(1, 904),
(1, 905),
(1, 413),
(1, 1828),
(1, 414),
(1, 1830),
(1, 491),
(1, 492),
(1, 503),
(1, 504),
(1, 860),
(1, 1040),
(1, 1054),
(1, 1105),
(1, 1818),
(1, 1819),
(1, 1820),
(1, 1041),
(1, 1055),
(1, 1106),
(1, 1821),
(1, 1822),
(1, 1823),
(1, 1056),
(1, 1057),
(1, 263),
(1, 264),
(1, 265),
(1, 266),
(1, 267),
(1, 268),
(1, 1490),
(1, 269),
(1, 270),
(1, 312),
(1, 313),
(1, 350),
(1, 411),
(1, 412),
(1, 541),
(1, 675),
(1, 539),
(1, 676),
(1, 677),
(1, 890),
(1, 891),
(1, 1234),
(1, 1230),
(1, 1231),
(1, 1232),
(1, 1990),
(1, 1235),
(1, 1236),
(1, 1237),
(1, 1238),
(1, 1693),
(1, 1694),
(1, 1695),
(1, 1696),
(1, 1697),
(1, 1698),
(1, 1699),
(1, 1700),
(1, 1701),
(1, 1702),
(1, 1703),
(1, 1704),
(1, 1705),
(1, 1706),
(1, 1707),
(1, 1708),
(1, 1709),
(1, 1751),
(1, 1723),
(1, 1740),
(1, 1741),
(1, 1742),
(1, 1743),
(1, 1744),
(1, 1745),
(1, 1747),
(1, 1748),
(1, 1749),
(1, 1750),
(1, 1329),
(1, 1407),
(1, 1455),
(1, 1456),
(1, 1460),
(1, 1461),
(1, 1462),
(1, 1473),
(1, 1479),
(1, 1802),
(1, 1803),
(1, 1804),
(1, 1457),
(1, 1463),
(1, 1464),
(1, 1465),
(1, 1474),
(1, 1480),
(1, 1808),
(1, 1809),
(1, 1810),
(1, 1458),
(1, 1466),
(1, 1467),
(1, 1468),
(1, 1475),
(1, 1481),
(1, 1805),
(1, 1806),
(1, 1807),
(1, 1459),
(1, 1469),
(1, 1470),
(1, 1471),
(1, 1476),
(1, 1482),
(1, 1811),
(1, 1812),
(1, 1813),
(1, 1648),
(1, 1649),
(1, 1650),
(1, 1651),
(1, 1652),
(1, 3),
(1, 25),
(1, 27),
(1, 28),
(1, 62),
(1, 70),
(1, 73),
(1, 879),
(1, 1006),
(1, 1130),
(1, 1389),
(1, 1569),
(1, 29),
(1, 69),
(1, 339),
(1, 355),
(1, 668),
(1, 805),
(1, 806),
(1, 807),
(1, 808),
(1, 911),
(1, 967),
(1, 969),
(1, 1082),
(1, 1100),
(1, 1146),
(1, 1149),
(1, 1150),
(1, 1151),
(1, 1152),
(1, 1415),
(1, 1416),
(1, 2048),
(1, 32),
(1, 33),
(1, 439),
(1, 484),
(1, 508),
(1, 513),
(1, 514),
(1, 1418),
(1, 34),
(1, 60),
(1, 927),
(1, 1064),
(1, 1088),
(1, 983),
(1, 1176),
(1, 1177),
(1, 1293),
(1, 1538),
(1, 125),
(1, 921),
(1, 925),
(1, 1248),
(1, 1337),
(1, 1556),
(1, 1982),
(1, 341),
(1, 342),
(1, 343),
(1, 391),
(1, 392),
(1, 466),
(1, 1117),
(1, 1561),
(1, 467),
(1, 469),
(1, 470),
(1, 1116),
(1, 1562),
(1, 926),
(1, 35),
(1, 36),
(1, 440),
(1, 441),
(1, 459),
(1, 460),
(1, 486),
(1, 490),
(1, 507),
(1, 701),
(1, 1299),
(1, 1417),
(1, 1440),
(1, 1728),
(1, 37),
(1, 478),
(1, 482),
(1, 1172),
(1, 1173),
(1, 1291),
(1, 1412),
(1, 1950),
(1, 109),
(1, 220),
(1, 924),
(1, 1247),
(1, 1338),
(1, 1557),
(1, 1981),
(1, 344),
(1, 390),
(1, 685),
(1, 912),
(1, 963),
(1, 1062),
(1, 1271),
(1, 1380),
(1, 1952),
(1, 1572),
(1, 1631),
(1, 1632),
(1, 1633),
(1, 38),
(1, 39),
(1, 40),
(1, 61),
(1, 882),
(1, 895),
(1, 204),
(1, 41),
(1, 42),
(1, 43),
(1, 880),
(1, 896),
(1, 918),
(1, 970),
(1, 971),
(1, 1289),
(1, 1290),
(1, 203),
(1, 338),
(1, 345),
(1, 442),
(1, 481),
(1, 487),
(1, 488),
(1, 489),
(1, 718),
(1, 719),
(1, 1108),
(1, 1421),
(1, 1423),
(1, 1428),
(1, 1429),
(1, 1430),
(1, 1424),
(1, 1434),
(1, 1435),
(1, 1436),
(1, 1425),
(1, 1431),
(1, 1432),
(1, 1433),
(1, 1426),
(1, 1437),
(1, 1438),
(1, 1439),
(1, 1752),
(1, 1839),
(1, 2011),
(1, 2012),
(1, 2059),
(1, 44),
(1, 45),
(1, 47),
(1, 48),
(1, 49),
(1, 197),
(1, 221),
(1, 222),
(1, 223),
(1, 224),
(1, 225),
(1, 226),
(1, 248),
(1, 326),
(1, 327),
(1, 415),
(1, 433),
(1, 434),
(1, 435),
(1, 436),
(1, 499),
(1, 500),
(1, 501),
(1, 674),
(1, 684),
(1, 721),
(1, 759),
(1, 797),
(1, 858),
(1, 1015),
(1, 1614),
(1, 1615),
(1, 1616),
(1, 1617),
(1, 1900),
(1, 1901),
(1, 931),
(1, 997),
(1, 1147),
(1, 1193),
(1, 1194),
(1, 1273),
(1, 1339),
(1, 1364),
(1, 1382),
(1, 1384),
(1, 1386),
(1, 1393),
(1, 1394),
(1, 1408),
(1, 1409),
(1, 1547),
(1, 1548),
(1, 1579),
(1, 1628),
(1, 1653),
(1, 1682),
(1, 1892),
(1, 2014),
(1, 50),
(1, 51),
(1, 53),
(1, 57),
(1, 58),
(1, 509),
(1, 59),
(1, 510),
(1, 102),
(1, 110),
(1, 1159),
(1, 1160),
(1, 1184),
(1, 1185),
(1, 1295),
(1, 1344),
(1, 103),
(1, 483),
(1, 1161),
(1, 1162),
(1, 1180),
(1, 1181),
(1, 1296),
(1, 1343),
(1, 437),
(1, 155),
(1, 156),
(1, 157),
(1, 181),
(1, 182),
(1, 158),
(1, 162),
(1, 180),
(1, 249),
(1, 325),
(1, 159),
(1, 160),
(1, 170),
(1, 767),
(1, 775),
(1, 1249),
(1, 1251),
(1, 1254),
(1, 1333),
(1, 161),
(1, 511),
(1, 353),
(1, 512),
(1, 354),
(1, 768),
(1, 772),
(1, 776),
(1, 1250),
(1, 1253),
(1, 1334),
(1, 1554),
(1, 1580),
(1, 1581),
(1, 211),
(1, 212),
(1, 1307),
(1, 1366),
(1, 1367),
(1, 1368),
(1, 1369),
(1, 1370),
(1, 1371),
(1, 1372),
(1, 1373),
(1, 1419),
(1, 1441),
(1, 1729),
(1, 213),
(1, 1305),
(1, 1374),
(1, 1375),
(1, 1376),
(1, 1377),
(1, 1420),
(1, 216),
(1, 928),
(1, 1306),
(1, 984),
(1, 1065),
(1, 1089),
(1, 1178),
(1, 1179),
(1, 1294),
(1, 1539),
(1, 217),
(1, 919),
(1, 929),
(1, 1308),
(1, 1063),
(1, 1174),
(1, 1175),
(1, 1292),
(1, 1413),
(1, 1951),
(1, 1381),
(1, 1573),
(1, 443),
(1, 444),
(1, 445),
(1, 446),
(1, 1188),
(1, 1831),
(1, 1833),
(1, 1835),
(1, 1837),
(1, 473),
(1, 474),
(1, 475),
(1, 923),
(1, 1163),
(1, 1164),
(1, 1182),
(1, 1183),
(1, 1297),
(1, 1345),
(1, 476),
(1, 477),
(1, 922),
(1, 1165),
(1, 1166),
(1, 1186),
(1, 1187),
(1, 1298),
(1, 1346),
(1, 561),
(1, 562),
(1, 563),
(1, 564),
(1, 567),
(1, 571),
(1, 572),
(1, 573),
(1, 568),
(1, 574),
(1, 575),
(1, 576),
(1, 711),
(1, 712),
(1, 713),
(1, 714),
(1, 765),
(1, 769),
(1, 773),
(1, 1256),
(1, 1261),
(1, 1331),
(1, 715),
(1, 716),
(1, 766),
(1, 770),
(1, 774),
(1, 1257),
(1, 1332),
(1, 1555),
(1, 846),
(1, 847),
(1, 848),
(1, 851),
(1, 853),
(1, 1335),
(1, 849),
(1, 850),
(1, 852),
(1, 854),
(1, 1336),
(1, 1582),
(1, 1583),
(1, 1017),
(1, 1018),
(1, 1019),
(1, 1020),
(1, 1021),
(1, 1022),
(1, 1023),
(1, 1024),
(1, 1025),
(1, 1252),
(1, 1026),
(1, 1027),
(1, 1028),
(1, 1029),
(1, 1030),
(1, 1035),
(1, 1083),
(1, 1031),
(1, 1034),
(1, 1037),
(1, 1032),
(1, 1033),
(1, 1036),
(1, 1038),
(1, 1114),
(1, 1133),
(1, 1134),
(1, 1135),
(1, 1136),
(1, 1137),
(1, 1138),
(1, 1139),
(1, 1140),
(1, 1141),
(1, 1142),
(1, 1143),
(1, 1148),
(1, 1274),
(1, 1340),
(1, 1365),
(1, 1383),
(1, 1385),
(1, 1387),
(1, 1391),
(1, 1392),
(1, 1410),
(1, 1411),
(1, 1545),
(1, 1546),
(1, 1629),
(1, 1654),
(1, 1683),
(1, 1893),
(1, 1209),
(1, 1210),
(1, 1216),
(1, 1217),
(1, 1218),
(1, 1211),
(1, 1212),
(1, 1213),
(1, 1214),
(1, 1215),
(1, 1227),
(1, 1222),
(1, 1223),
(1, 1224),
(1, 1225),
(1, 1233),
(1, 1300),
(1, 1301),
(1, 1302),
(1, 1303),
(1, 1263),
(1, 1264),
(1, 1265),
(1, 1266),
(1, 1267),
(1, 1268),
(1, 1378),
(1, 1395),
(1, 1279),
(1, 1280),
(1, 1281),
(1, 1282),
(1, 1283),
(1, 1284),
(1, 1832),
(1, 1834),
(1, 1836),
(1, 1838),
(1, 1309),
(1, 1310),
(1, 1311),
(1, 1312),
(1, 1313),
(1, 1316),
(1, 1317),
(1, 1318),
(1, 1319),
(1, 1320),
(1, 1323),
(1, 1321),
(1, 1352),
(1, 1379),
(1, 1390),
(1, 1730),
(1, 1731),
(1, 2067),
(1, 1324),
(1, 1351),
(1, 1560),
(1, 1684),
(1, 1685),
(1, 1686),
(1, 1687),
(1, 1688),
(1, 1689),
(1, 1690),
(1, 1691),
(1, 1692),
(1, 1710),
(1, 1341),
(1, 54),
(1, 258),
(1, 423),
(1, 424),
(1, 723),
(1, 728),
(1, 729),
(1, 730),
(1, 738),
(1, 739),
(1, 740),
(1, 741),
(1, 962),
(1, 964),
(1, 965),
(1, 1122),
(1, 1123),
(1, 1124),
(1, 1125),
(1, 1200),
(1, 1201),
(1, 1202),
(1, 1203),
(1, 1427),
(1, 1541),
(1, 1543),
(1, 1544),
(1, 1563),
(1, 1564),
(1, 1565),
(1, 1566),
(1, 1574),
(1, 1575),
(1, 1576),
(1, 1577),
(1, 1598),
(1, 1599),
(1, 1600),
(1, 1601),
(1, 1644),
(1, 1645),
(1, 1646),
(1, 1647),
(1, 2071),
(1, 1342),
(1, 201),
(1, 202),
(1, 1206),
(1, 1494),
(1, 731),
(1, 732),
(1, 733),
(1, 1219),
(1, 1220),
(1, 1221),
(1, 1226),
(1, 1228),
(1, 1229),
(1, 1495),
(1, 1314),
(1, 1315),
(1, 1567),
(1, 1568),
(1, 1357),
(1, 1358),
(1, 1359),
(1, 1360),
(1, 1361),
(1, 1362),
(1, 1504),
(1, 1505),
(1, 1506),
(1, 1507),
(1, 1508),
(1, 1509),
(1, 1510),
(1, 1511),
(1, 1512),
(1, 1513),
(1, 1514),
(1, 1515),
(1, 1516),
(1, 1517),
(1, 1518),
(1, 1519),
(1, 1521),
(1, 1522),
(1, 1523),
(1, 1524),
(1, 1525),
(1, 1526),
(1, 1527),
(1, 1536),
(1, 1520),
(1, 1528),
(1, 1535),
(1, 1529),
(1, 1530),
(1, 1531),
(1, 1532),
(1, 1533),
(1, 1534),
(1, 1537),
(1, 1964),
(1, 1965),
(1, 1966),
(1, 1969),
(1, 1970),
(1, 1971),
(1, 1972),
(1, 1973),
(1, 1974),
(1, 1967),
(1, 1968),
(1, 1975),
(1, 1976),
(1, 1977),
(1, 1978),
(1, 1979),
(1, 1980),
(1, 2013),
(1, 2065),
(1, 4),
(1, 425),
(1, 705),
(1, 426),
(1, 427),
(1, 706),
(1, 428),
(1, 431),
(1, 432),
(1, 1597),
(1, 1602),
(1, 438),
(1, 455),
(1, 456),
(1, 457),
(1, 462),
(1, 479),
(1, 480),
(1, 498),
(1, 502),
(1, 1642),
(1, 1935),
(1, 545),
(1, 546),
(1, 547),
(1, 548),
(1, 549),
(1, 550),
(1, 551),
(1, 552),
(1, 553),
(1, 554),
(1, 555),
(1, 556),
(1, 557),
(1, 558),
(1, 559),
(1, 649),
(1, 1066),
(1, 1068),
(1, 1069),
(1, 1070),
(1, 1091),
(1, 1092),
(1, 1093),
(1, 1094),
(1, 2066),
(1, 582),
(1, 667),
(1, 669),
(1, 670),
(1, 686),
(1, 1042),
(1, 1949),
(1, 671),
(1, 698),
(1, 1609),
(1, 672),
(1, 673),
(1, 717),
(1, 720),
(1, 722),
(1, 724),
(1, 725),
(1, 726),
(1, 727),
(1, 764),
(1, 809),
(1, 857),
(1, 1016),
(1, 1610),
(1, 1611),
(1, 1612),
(1, 1613),
(1, 1898),
(1, 1899),
(1, 916),
(1, 966),
(1, 968),
(1, 985),
(1, 1004),
(1, 1005),
(1, 1007),
(1, 1008),
(1, 1009),
(1, 1596),
(1, 1013),
(1, 1039),
(1, 1079),
(1, 1107),
(1, 1112),
(1, 1946),
(1, 1947),
(1, 1948),
(1, 1086),
(1, 1087),
(1, 1090),
(1, 1099),
(1, 1102),
(1, 1103),
(1, 1104),
(1, 1110),
(1, 1111),
(1, 1113),
(1, 1126),
(1, 1127),
(1, 1128),
(1, 1129),
(1, 1155),
(1, 1156),
(1, 1157),
(1, 1158),
(1, 1167),
(1, 1192),
(1, 1195),
(1, 1196),
(1, 1197),
(1, 1199),
(1, 1205),
(1, 1262),
(1, 1272),
(1, 1276),
(1, 1277),
(1, 1278),
(1, 1322),
(1, 1330),
(1, 1414),
(1, 1422),
(1, 1444),
(1, 1445),
(1, 1446),
(1, 1472),
(1, 1502),
(1, 1503),
(1, 1553),
(1, 1584),
(1, 1585),
(1, 1603),
(1, 1604),
(1, 1605),
(1, 1606),
(1, 1620),
(1, 1621),
(1, 1634),
(1, 1636),
(1, 1637),
(1, 1638),
(1, 1840),
(1, 1635),
(1, 1639),
(1, 1640),
(1, 1641),
(1, 1841),
(1, 1753),
(1, 1842),
(1, 1843),
(1, 1844),
(1, 1845),
(1, 2035),
(1, 5),
(1, 88),
(1, 76),
(1, 1071),
(1, 1072),
(1, 1085),
(1, 77),
(1, 81),
(1, 82),
(1, 126),
(1, 127),
(1, 1255),
(1, 128),
(1, 583),
(1, 584),
(1, 163),
(1, 164),
(1, 230),
(1, 829),
(1, 955),
(1, 1003),
(1, 1043),
(1, 84),
(1, 231),
(1, 232),
(1, 585),
(1, 587),
(1, 588),
(1, 586),
(1, 589),
(1, 1733),
(1, 1734),
(1, 1735),
(1, 590),
(1, 664),
(1, 1736),
(1, 1737),
(1, 1738),
(1, 1739),
(1, 665),
(1, 699),
(1, 700),
(1, 90),
(1, 83),
(1, 777),
(1, 98),
(1, 99),
(1, 100),
(1, 101),
(1, 778),
(1, 116),
(1, 238),
(1, 591),
(1, 593),
(1, 594),
(1, 595),
(1, 592),
(1, 596),
(1, 602),
(1, 603),
(1, 1047),
(1, 597),
(1, 600),
(1, 601),
(1, 598),
(1, 606),
(1, 607),
(1, 956),
(1, 599),
(1, 604),
(1, 605),
(1, 957),
(1, 961),
(1, 608),
(1, 779),
(1, 960),
(1, 1046),
(1, 930),
(1, 932),
(1, 958),
(1, 959),
(1, 1189),
(1, 1190),
(1, 91),
(1, 75),
(1, 1044),
(1, 151),
(1, 246),
(1, 247),
(1, 333),
(1, 745),
(1, 861),
(1, 1204),
(1, 2052),
(1, 2053),
(1, 92),
(1, 93),
(1, 94),
(1, 95),
(1, 96),
(1, 112),
(1, 113),
(1, 114),
(1, 115),
(1, 129),
(1, 130),
(1, 228),
(1, 229),
(1, 131),
(1, 569),
(1, 570),
(1, 577),
(1, 1618),
(1, 1619),
(1, 578),
(1, 648),
(1, 687),
(1, 952),
(1, 953),
(1, 1045),
(1, 688),
(1, 689),
(1, 690),
(1, 693),
(1, 694),
(1, 695),
(1, 702),
(1, 703),
(1, 704),
(1, 708),
(1, 709),
(1, 710),
(1, 1120),
(1, 742),
(1, 743),
(1, 744),
(1, 782),
(1, 1746),
(1, 943),
(1, 944),
(1, 954),
(1, 986),
(1, 989),
(1, 990),
(1, 991),
(1, 1168),
(1, 1169),
(1, 1170),
(1, 1171),
(1, 1198),
(1, 152),
(1, 74),
(1, 154),
(1, 237),
(1, 171),
(1, 233),
(1, 234),
(1, 235),
(1, 236),
(1, 153),
(1, 78),
(1, 132),
(1, 80),
(1, 227),
(1, 306),
(1, 307),
(1, 172),
(1, 173),
(1, 239),
(1, 243),
(1, 244),
(1, 245),
(1, 580),
(1, 581),
(1, 240),
(1, 241),
(1, 242),
(1, 305),
(1, 329),
(1, 330),
(1, 331),
(1, 332),
(1, 419),
(1, 609),
(1, 610),
(1, 612),
(1, 613),
(1, 611),
(1, 659),
(1, 660),
(1, 661),
(1, 834),
(1, 843),
(1, 995),
(1, 996),
(1, 1073),
(1, 1074),
(1, 1075),
(1, 1077),
(1, 1076),
(1, 1078),
(1, 1109),
(1, 1578),
(1, 1586),
(1, 1588),
(1, 1590),
(1, 1592),
(1, 1594),
(1, 1587),
(1, 1589),
(1, 1591),
(1, 1593),
(1, 1595),
(1, 271),
(1, 291),
(1, 292),
(1, 293),
(1, 294),
(1, 295),
(1, 296),
(1, 297),
(1, 298),
(1, 299),
(1, 300),
(1, 301),
(1, 302),
(1, 303),
(1, 304),
(1, 308),
(1, 309),
(1, 650),
(1, 651),
(1, 652),
(1, 653),
(1, 654),
(1, 655),
(1, 656),
(1, 657),
(1, 658),
(1, 933),
(1, 934),
(1, 614),
(1, 615),
(1, 616),
(1, 617),
(1, 618),
(1, 619),
(1, 620),
(1, 623),
(1, 624),
(1, 621),
(1, 622),
(1, 625),
(1, 626),
(1, 662),
(1, 663),
(1, 627),
(1, 628),
(1, 633),
(1, 634),
(1, 635),
(1, 629),
(1, 636),
(1, 637),
(1, 638),
(1, 630),
(1, 639),
(1, 640),
(1, 641),
(1, 631),
(1, 642),
(1, 643),
(1, 644),
(1, 632),
(1, 645),
(1, 646),
(1, 647),
(1, 691),
(1, 692),
(1, 696),
(1, 780),
(1, 697),
(1, 781),
(1, 913),
(1, 914),
(1, 915),
(1, 917),
(1, 1014),
(1, 55),
(1, 250),
(1, 251),
(1, 323),
(1, 335),
(1, 336),
(1, 337),
(1, 855),
(1, 856),
(1, 875),
(1, 876),
(1, 877),
(1, 878),
(1, 1153),
(1, 1154),
(1, 1997),
(1, 1998),
(1, 1999),
(1, 2000),
(1, 2001),
(1, 2002),
(1, 2004),
(1, 108),
(1, 117),
(1, 118),
(1, 120),
(1, 121),
(1, 122),
(1, 123),
(1, 124),
(1, 147),
(1, 334),
(1, 1492),
(1, 666),
(1, 138),
(1, 139),
(1, 140),
(1, 141),
(1, 148),
(1, 149),
(1, 198),
(1, 30),
(1, 1478),
(1, 1487),
(1, 461),
(1, 1084),
(1, 831),
(1, 1121),
(1, 1912),
(1, 1931),
(1, 1913),
(1, 1932),
(1, 1914),
(1, 1916),
(1, 1918),
(1, 2010),
(1, 1915),
(1, 1917),
(1, 1919),
(1, 2009),
(1, 1921),
(1, 1929),
(1, 1922),
(1, 1930),
(1, 1923),
(1, 1925),
(1, 1927),
(1, 2008),
(1, 1924),
(1, 1926),
(1, 1928),
(1, 2007),
(1, 1956),
(1, 1957),
(1, 1958),
(1, 1959),
(1, 2005),
(1, 1960),
(1, 1961),
(1, 1962),
(1, 1963),
(1, 2006),
(1, 174),
(1, 175),
(1, 176),
(1, 179),
(1, 1258),
(1, 1953),
(1, 177),
(1, 178),
(1, 420),
(1, 1259),
(1, 1260),
(1, 1754),
(1, 1755),
(1, 1933),
(1, 1934),
(1, 351),
(1, 352),
(1, 1396),
(1, 1477),
(1, 1895),
(1, 859),
(1, 1894),
(1, 1191),
(1, 1493),
(1, 1491),
(1, 1630),
(1, 1954),
(1, 1902),
(1, 1903),
(1, 1904),
(1, 1905),
(1, 1906),
(1, 1984),
(1, 1907),
(1, 1908),
(1, 1909),
(1, 1910),
(1, 1983),
(1, 1911),
(1, 142),
(1, 144),
(1, 145),
(1, 146),
(1, 150),
(1, 1000),
(1, 1001),
(1, 1002),
(1, 1955),
(1, 253),
(1, 254),
(1, 256),
(1, 257),
(1, 255),
(1, 783),
(1, 786),
(1, 787),
(1, 788),
(1, 784),
(1, 789),
(1, 790),
(1, 791),
(1, 785),
(1, 794),
(1, 795),
(1, 796),
(1, 798),
(1, 987),
(1, 992),
(1, 993),
(1, 994),
(1, 165),
(1, 166),
(1, 167),
(1, 184),
(1, 185),
(1, 324),
(1, 183),
(1, 792),
(1, 793),
(1, 803),
(1, 1488),
(1, 830),
(1, 974),
(1, 975),
(1, 976),
(1, 977),
(1, 978),
(1, 979),
(1, 980),
(1, 981),
(1, 982),
(1, 421),
(1, 422),
(1, 799),
(1, 800),
(1, 801),
(1, 802),
(1, 804),
(1, 1080),
(1, 1353),
(1, 1354),
(1, 1355),
(1, 1356),
(1, 1549),
(1, 1550),
(1, 1551),
(1, 1552),
(1, 1985),
(1, 1986),
(1, 1987),
(1, 1988),
(1, 2061),
(1, 2062),
(1, 2074),
(1, 2075),
(1, 2076),
(1, 2077),
(1, 2078),
(1, 2079),
(1, 2080),
(1, 734),
(1, 735),
(1, 746),
(1, 747),
(1, 1304),
(1, 2064),
(1, 736),
(1, 748),
(1, 749),
(1, 750),
(1, 751),
(1, 752),
(1, 762),
(1, 737),
(1, 753),
(1, 754),
(1, 755),
(1, 756),
(1, 757),
(1, 763),
(1, 1347),
(1, 1348),
(1, 1349),
(1, 1350),
(1, 1732),
(1, 2055),
(1, 2056),
(1, 2057),
(1, 2058),
(1, 1991),
(1, 1992),
(1, 1993),
(1, 1994),
(1, 1995),
(1, 505),
(1, 521),
(1, 522),
(1, 523),
(1, 524),
(1, 525),
(1, 526),
(1, 527),
(1, 528),
(1, 529),
(1, 530),
(1, 1399),
(1, 1400),
(1, 1401),
(1, 531),
(1, 532),
(1, 533),
(1, 534),
(1, 535),
(1, 536),
(1, 537),
(1, 538),
(1, 1940),
(1, 1941),
(1, 1942),
(1, 1943),
(1, 1944),
(1, 1945),
(1, 565),
(1, 560),
(1, 566),
(1, 758),
(1, 810),
(1, 447),
(1, 450),
(1, 451),
(1, 1245),
(1, 1246),
(1, 2050),
(1, 1208),
(1, 1275),
(1, 1388),
(1, 2049),
(1, 811),
(1, 812),
(1, 813),
(1, 814),
(1, 815),
(1, 820),
(1, 821),
(1, 825),
(1, 826),
(1, 827),
(1, 828),
(1, 832),
(1, 833),
(1, 837),
(1, 839),
(1, 816),
(1, 448),
(1, 449),
(1, 1624),
(1, 1626),
(1, 817),
(1, 818),
(1, 819),
(1, 935),
(1, 948),
(1, 949),
(1, 950),
(1, 951),
(1, 973),
(1, 1285),
(1, 1286),
(1, 1287),
(1, 1288),
(1, 1622),
(1, 1625),
(1, 1627),
(1, 1207),
(1, 822),
(1, 823),
(1, 824),
(1, 1397),
(1, 1398),
(1, 836),
(1, 838),
(1, 1402),
(1, 1403),
(1, 1404),
(1, 1405),
(1, 1406),
(1, 1659),
(1, 1660),
(1, 1661),
(1, 1662),
(1, 1663),
(1, 1664),
(1, 1665),
(1, 1666),
(1, 1667),
(1, 1668),
(1, 1669),
(1, 1670),
(1, 1671),
(1, 1776),
(1, 1777),
(1, 1778),
(1, 1779),
(1, 1780),
(1, 1781),
(1, 1782),
(1, 1783),
(1, 1784),
(1, 1785),
(1, 1786),
(1, 1787),
(1, 1788),
(1, 1824),
(1, 1825),
(1, 1826),
(1, 1789),
(1, 1814),
(1, 1815),
(1, 1816),
(1, 1817),
(1, 1920),
(1, 2015),
(1, 2016),
(1, 2028),
(1, 2029),
(1, 2030),
(1, 2031),
(1, 2017),
(1, 2020),
(1, 2021),
(1, 2022),
(1, 2018),
(1, 2023),
(1, 2024),
(1, 2032),
(1, 2025),
(1, 2026),
(1, 2027),
(1, 2036),
(1, 2038),
(1, 2039),
(1, 2040),
(1, 2041),
(1, 2042),
(1, 2043),
(1, 2044),
(1, 2045),
(1, 2046),
(1, 2047),
(1, 2054),
(1, 2060),
(1, 2072),
(1, 2073),
(2, 2),
(2, 6),
(2, 542),
(2, 543),
(2, 544),
(2, 678),
(2, 679),
(2, 680),
(2, 682),
(2, 10),
(2, 11),
(2, 12),
(2, 506),
(2, 1884),
(2, 1711),
(2, 1712),
(2, 1715),
(2, 1716),
(2, 1886),
(2, 1846),
(2, 1847),
(2, 1850),
(2, 1880),
(2, 1888),
(2, 1856),
(2, 1857),
(2, 1860),
(2, 1861),
(2, 1882),
(2, 1890),
(2, 18),
(2, 19),
(2, 1450),
(2, 1896),
(2, 1938),
(2, 20),
(2, 881),
(2, 1483),
(2, 68),
(2, 1442),
(2, 1447),
(2, 1936),
(2, 107),
(2, 340),
(2, 1484),
(2, 417),
(2, 1451),
(2, 418),
(2, 1452),
(2, 1672),
(2, 1680),
(2, 760),
(2, 22),
(2, 23),
(2, 24),
(2, 206),
(2, 319),
(2, 63),
(2, 64),
(2, 65),
(2, 71),
(2, 15),
(2, 16),
(2, 1489),
(2, 17),
(2, 143),
(2, 72),
(2, 207),
(2, 208),
(2, 252),
(2, 259),
(2, 260),
(2, 328),
(2, 346),
(2, 349),
(2, 683),
(2, 840),
(2, 841),
(2, 1081),
(2, 105),
(2, 106),
(2, 133),
(2, 134),
(2, 1724),
(2, 135),
(2, 886),
(2, 136),
(2, 1726),
(2, 137),
(2, 885),
(2, 187),
(2, 196),
(2, 1827),
(2, 1040),
(2, 1105),
(2, 1455),
(2, 1456),
(2, 1460),
(2, 1473),
(2, 1479),
(2, 1457),
(2, 1463),
(2, 1474),
(2, 1648),
(2, 1649),
(2, 1651),
(2, 3),
(2, 25),
(2, 27),
(2, 28),
(2, 62),
(2, 70),
(2, 73),
(2, 879),
(2, 1006),
(2, 1130),
(2, 1569),
(2, 29),
(2, 69),
(2, 355),
(2, 805),
(2, 806),
(2, 807),
(2, 808),
(2, 911),
(2, 1100),
(2, 1146),
(2, 1149),
(2, 1150),
(2, 1151),
(2, 1152),
(2, 32),
(2, 33),
(2, 439),
(2, 508),
(2, 34),
(2, 60),
(2, 1088),
(2, 35),
(2, 36),
(2, 440),
(2, 441),
(2, 459),
(2, 460),
(2, 490),
(2, 507),
(2, 701),
(2, 1299),
(2, 37),
(2, 482),
(2, 38),
(2, 39),
(2, 40),
(2, 61),
(2, 882),
(2, 895),
(2, 204),
(2, 41),
(2, 42),
(2, 43),
(2, 880),
(2, 896),
(2, 918),
(2, 1289),
(2, 1290),
(2, 203),
(2, 338),
(2, 345),
(2, 1108),
(2, 1752),
(2, 2059),
(2, 44),
(2, 45),
(2, 49),
(2, 197),
(2, 224),
(2, 225),
(2, 226),
(2, 415),
(2, 433),
(2, 434),
(2, 435),
(2, 436),
(2, 499),
(2, 500),
(2, 501),
(2, 674),
(2, 858),
(2, 1015),
(2, 1615),
(2, 1616),
(2, 1617),
(2, 1900),
(2, 1901),
(2, 997),
(2, 1364),
(2, 1393),
(2, 1394),
(2, 1579),
(2, 1628),
(2, 1653),
(2, 1682),
(2, 50),
(2, 51),
(2, 53),
(2, 57),
(2, 58),
(2, 509),
(2, 59),
(2, 510),
(2, 102),
(2, 110),
(2, 1295),
(2, 103),
(2, 483),
(2, 1296),
(2, 155),
(2, 160),
(2, 170),
(2, 767),
(2, 775),
(2, 1333),
(2, 161),
(2, 353),
(2, 354),
(2, 768),
(2, 772),
(2, 776),
(2, 1334),
(2, 712),
(2, 713),
(2, 714),
(2, 765),
(2, 769),
(2, 773),
(2, 1331),
(2, 715),
(2, 716),
(2, 766),
(2, 770),
(2, 774),
(2, 1332),
(2, 1341),
(2, 54),
(2, 258),
(2, 423),
(2, 424),
(2, 728),
(2, 738),
(2, 739),
(2, 740),
(2, 741),
(2, 1122),
(2, 1123),
(2, 1124),
(2, 1125),
(2, 1200),
(2, 1201),
(2, 1202),
(2, 1203),
(2, 1563),
(2, 1564),
(2, 1565),
(2, 1566),
(2, 1598),
(2, 1599),
(2, 1600),
(2, 1601),
(2, 1342),
(2, 201),
(2, 202),
(2, 1206),
(2, 1494),
(2, 731),
(2, 732),
(2, 733),
(2, 4),
(2, 425),
(2, 705),
(2, 426),
(2, 427),
(2, 706),
(2, 428),
(2, 431),
(2, 455),
(2, 456),
(2, 457),
(2, 462),
(2, 479),
(2, 480),
(2, 498),
(2, 502),
(2, 1642),
(2, 1935),
(2, 667),
(2, 670),
(2, 671),
(2, 698),
(2, 1609),
(2, 672),
(2, 673),
(2, 717),
(2, 764),
(2, 857),
(2, 1016),
(2, 1610),
(2, 1611),
(2, 1612),
(2, 1613),
(2, 1898),
(2, 1899),
(2, 1039),
(2, 1086),
(2, 1099),
(2, 1104),
(2, 1110),
(2, 1113),
(2, 1126),
(2, 1128),
(2, 1129),
(2, 1155),
(2, 1156),
(2, 1195),
(2, 1196),
(2, 1199),
(2, 1502),
(2, 1621),
(2, 1634),
(2, 1638),
(2, 1840),
(2, 1635),
(2, 1641),
(2, 1841),
(2, 1753),
(2, 108),
(2, 117),
(2, 118),
(2, 120),
(2, 121),
(2, 122),
(2, 123),
(2, 124),
(2, 147),
(2, 334),
(2, 1492),
(2, 138),
(2, 139),
(2, 140),
(2, 141),
(2, 148),
(2, 149),
(2, 198),
(2, 30),
(2, 1478),
(2, 1487),
(2, 831),
(2, 1921),
(2, 1929),
(2, 1923),
(2, 1925),
(2, 1927),
(2, 2008),
(2, 351),
(2, 352),
(2, 1396),
(2, 1477),
(2, 1895),
(2, 1630),
(2, 1902),
(2, 1903),
(2, 1904),
(2, 1905),
(2, 1906),
(2, 1984),
(2, 758),
(2, 2072),
(2, 2073),
(3, 4),
(3, 425),
(3, 705),
(3, 426),
(3, 427),
(3, 706),
(3, 428),
(3, 431),
(3, 462),
(3, 480),
(3, 498),
(3, 502),
(3, 1642),
(3, 1935),
(3, 667),
(3, 671),
(3, 698),
(3, 1609),
(3, 672),
(3, 673),
(3, 764),
(3, 857),
(3, 1016),
(3, 1610),
(3, 1611),
(3, 1612),
(3, 1613),
(3, 1898),
(3, 1899),
(3, 1039),
(3, 1086),
(3, 1104),
(3, 1110),
(3, 1126),
(3, 1128),
(3, 1129),
(3, 1155),
(3, 1156),
(3, 1195),
(3, 1196),
(3, 1199),
(3, 1621),
(3, 1634),
(3, 1638),
(3, 1840),
(3, 1635),
(3, 1641),
(3, 1841),
(3, 1753),
(3, 2072),
(3, 2073),
(5, 2),
(5, 6),
(5, 7),
(5, 8),
(5, 9),
(5, 416),
(5, 452),
(5, 453),
(5, 454),
(5, 472),
(5, 515),
(5, 516),
(5, 517),
(5, 1989),
(5, 518),
(5, 519),
(5, 520),
(5, 542),
(5, 543),
(5, 544),
(5, 678),
(5, 679),
(5, 680),
(5, 681),
(5, 682),
(5, 707),
(5, 906),
(5, 907),
(5, 908),
(5, 909),
(5, 1095),
(5, 1096),
(5, 1097),
(5, 1098),
(5, 1325),
(5, 1326),
(5, 1327),
(5, 1328),
(5, 10),
(5, 11),
(5, 12),
(5, 506),
(5, 1052),
(5, 1756),
(5, 1757),
(5, 1758),
(5, 1884),
(5, 13),
(5, 169),
(5, 310),
(5, 311),
(5, 889),
(5, 1053),
(5, 1759),
(5, 1760),
(5, 1761),
(5, 1885),
(5, 842),
(5, 1711),
(5, 1712),
(5, 1713),
(5, 1714),
(5, 1715),
(5, 1716),
(5, 1762),
(5, 1763),
(5, 1764),
(5, 1886),
(5, 1717),
(5, 1718),
(5, 1719),
(5, 1720),
(5, 1721),
(5, 1722),
(5, 1765),
(5, 1766),
(5, 1767),
(5, 1887),
(5, 1846),
(5, 1847),
(5, 1848),
(5, 1849),
(5, 1850),
(5, 1868),
(5, 1872),
(5, 1876),
(5, 1880),
(5, 1888),
(5, 1851),
(5, 1852),
(5, 1853),
(5, 1854),
(5, 1855),
(5, 1869),
(5, 1873),
(5, 1877),
(5, 1881),
(5, 1889),
(5, 1856),
(5, 1857),
(5, 1858),
(5, 1859),
(5, 1860),
(5, 1861),
(5, 1870),
(5, 1874),
(5, 1878),
(5, 1882),
(5, 1890),
(5, 1862),
(5, 1863),
(5, 1864),
(5, 1865),
(5, 1866),
(5, 1867),
(5, 1871),
(5, 1875),
(5, 1879),
(5, 1883),
(5, 1891),
(5, 18),
(5, 19),
(5, 1450),
(5, 1896),
(5, 1938),
(5, 20),
(5, 21),
(5, 881),
(5, 1050),
(5, 1483),
(5, 1790),
(5, 1791),
(5, 1792),
(5, 66),
(5, 68),
(5, 1442),
(5, 1447),
(5, 1936),
(5, 107),
(5, 340),
(5, 892),
(5, 1048),
(5, 1484),
(5, 1796),
(5, 1797),
(5, 1798),
(5, 209),
(5, 1449),
(5, 1897),
(5, 1939),
(5, 210),
(5, 883),
(5, 893),
(5, 1051),
(5, 1485),
(5, 1793),
(5, 1794),
(5, 1795),
(5, 218),
(5, 1443),
(5, 1448),
(5, 1937),
(5, 219),
(5, 884),
(5, 894),
(5, 1049),
(5, 1486),
(5, 1799),
(5, 1800),
(5, 1801),
(5, 417),
(5, 1451),
(5, 418),
(5, 1452),
(5, 1672),
(5, 1680),
(5, 760),
(5, 761),
(5, 844),
(5, 1453),
(5, 845),
(5, 1454),
(5, 1673),
(5, 1681),
(5, 1239),
(5, 1240),
(5, 1241),
(5, 1242),
(5, 1244),
(5, 1243),
(5, 1674),
(5, 1676),
(5, 1678),
(5, 1675),
(5, 1677),
(5, 1679),
(5, 22),
(5, 23),
(5, 24),
(5, 206),
(5, 319),
(5, 320),
(5, 321),
(5, 322),
(5, 348),
(5, 63),
(5, 64),
(5, 65),
(5, 71),
(5, 15),
(5, 16),
(5, 1489),
(5, 17),
(5, 143),
(5, 72),
(5, 200),
(5, 207),
(5, 208),
(5, 252),
(5, 259),
(5, 260),
(5, 328),
(5, 346),
(5, 347),
(5, 349),
(5, 683),
(5, 840),
(5, 841),
(5, 1081),
(5, 1101),
(5, 105),
(5, 52),
(5, 106),
(5, 133),
(5, 134),
(5, 1724),
(5, 135),
(5, 886),
(5, 900),
(5, 1060),
(5, 136),
(5, 1726),
(5, 137),
(5, 885),
(5, 899),
(5, 1058),
(5, 494),
(5, 1725),
(5, 495),
(5, 1727),
(5, 496),
(5, 888),
(5, 898),
(5, 1061),
(5, 497),
(5, 887),
(5, 897),
(5, 1059),
(5, 187),
(5, 188),
(5, 189),
(5, 190),
(5, 191),
(5, 192),
(5, 261),
(5, 1655),
(5, 193),
(5, 195),
(5, 262),
(5, 194),
(5, 1770),
(5, 1771),
(5, 1772),
(5, 196),
(5, 1827),
(5, 314),
(5, 315),
(5, 1773),
(5, 1774),
(5, 1775),
(5, 316),
(5, 1829),
(5, 317),
(5, 318),
(5, 405),
(5, 406),
(5, 407),
(5, 901),
(5, 1656),
(5, 408),
(5, 1658),
(5, 409),
(5, 1657),
(5, 410),
(5, 904),
(5, 905),
(5, 413),
(5, 1828),
(5, 414),
(5, 1830),
(5, 491),
(5, 492),
(5, 503),
(5, 504),
(5, 860),
(5, 1040),
(5, 1054),
(5, 1105),
(5, 1818),
(5, 1819),
(5, 1820),
(5, 1041),
(5, 1055),
(5, 1106),
(5, 1821),
(5, 1822),
(5, 1823),
(5, 1056),
(5, 1057),
(5, 263),
(5, 264),
(5, 265),
(5, 266),
(5, 267),
(5, 268),
(5, 1490),
(5, 269),
(5, 270),
(5, 312),
(5, 313),
(5, 350),
(5, 411),
(5, 412),
(5, 541),
(5, 675),
(5, 539),
(5, 676),
(5, 677),
(5, 890),
(5, 891),
(5, 1234),
(5, 1230),
(5, 1231),
(5, 1232),
(5, 1990),
(5, 1235),
(5, 1236),
(5, 1237),
(5, 1238),
(5, 1693),
(5, 1694),
(5, 1695),
(5, 1696),
(5, 1697),
(5, 1698),
(5, 1699),
(5, 1700),
(5, 1701),
(5, 1702),
(5, 1703),
(5, 1704),
(5, 1705),
(5, 1706),
(5, 1707),
(5, 1708),
(5, 1709),
(5, 1751),
(5, 1723),
(5, 1740),
(5, 1741),
(5, 1742),
(5, 1743),
(5, 1744),
(5, 1745),
(5, 1747),
(5, 1748),
(5, 1749),
(5, 1750),
(5, 1329),
(5, 1407),
(5, 1455),
(5, 1456),
(5, 1460),
(5, 1461),
(5, 1462),
(5, 1473),
(5, 1479),
(5, 1802),
(5, 1803),
(5, 1804),
(5, 1457),
(5, 1463),
(5, 1464),
(5, 1465),
(5, 1474),
(5, 1480),
(5, 1808),
(5, 1809),
(5, 1810),
(5, 1458),
(5, 1466),
(5, 1467),
(5, 1468),
(5, 1475),
(5, 1481),
(5, 1805),
(5, 1806),
(5, 1807),
(5, 1459),
(5, 1469),
(5, 1470),
(5, 1471),
(5, 1476),
(5, 1482),
(5, 1811),
(5, 1812),
(5, 1813),
(5, 1648),
(5, 1649),
(5, 1650),
(5, 1651),
(5, 1652),
(5, 3),
(5, 25),
(5, 27),
(5, 28),
(5, 62),
(5, 70),
(5, 73),
(5, 879),
(5, 1006),
(5, 1130),
(5, 1389),
(5, 1569),
(5, 29),
(5, 69),
(5, 339),
(5, 355),
(5, 668),
(5, 805),
(5, 806),
(5, 807),
(5, 808),
(5, 911),
(5, 967),
(5, 969),
(5, 1082),
(5, 1100),
(5, 1146),
(5, 1149),
(5, 1150),
(5, 1151),
(5, 1152),
(5, 1415),
(5, 1416),
(5, 2048),
(5, 32),
(5, 33),
(5, 439),
(5, 484),
(5, 508),
(5, 513),
(5, 514),
(5, 1418),
(5, 34),
(5, 60),
(5, 927),
(5, 1064),
(5, 1088),
(5, 983),
(5, 1176),
(5, 1177),
(5, 1293),
(5, 1538),
(5, 125),
(5, 921),
(5, 925),
(5, 1248),
(5, 1337),
(5, 1556),
(5, 1982),
(5, 341),
(5, 342),
(5, 343),
(5, 391),
(5, 392),
(5, 466),
(5, 1117),
(5, 1561),
(5, 467),
(5, 469),
(5, 470),
(5, 1116),
(5, 1562),
(5, 926),
(5, 35),
(5, 36),
(5, 440),
(5, 441),
(5, 459),
(5, 460),
(5, 486),
(5, 490),
(5, 507),
(5, 701),
(5, 1299),
(5, 1417),
(5, 1440),
(5, 1728),
(5, 37),
(5, 478),
(5, 482),
(5, 1172),
(5, 1173),
(5, 1291),
(5, 1412),
(5, 1950),
(5, 109),
(5, 220),
(5, 924),
(5, 1247),
(5, 1338),
(5, 1557),
(5, 1981),
(5, 344),
(5, 390),
(5, 685),
(5, 912),
(5, 963),
(5, 1062),
(5, 1271),
(5, 1380),
(5, 1952),
(5, 1572),
(5, 1631),
(5, 1632),
(5, 1633),
(5, 38),
(5, 39),
(5, 40),
(5, 61),
(5, 882),
(5, 895),
(5, 204),
(5, 41),
(5, 42),
(5, 43),
(5, 880),
(5, 896),
(5, 918),
(5, 970),
(5, 971),
(5, 1289),
(5, 1290),
(5, 203),
(5, 338),
(5, 345),
(5, 442),
(5, 481),
(5, 487),
(5, 488),
(5, 489),
(5, 718),
(5, 719),
(5, 1108),
(5, 1421),
(5, 1423),
(5, 1428),
(5, 1429),
(5, 1430),
(5, 1424),
(5, 1434),
(5, 1435),
(5, 1436),
(5, 1425),
(5, 1431),
(5, 1432),
(5, 1433),
(5, 1426),
(5, 1437),
(5, 1438),
(5, 1439),
(5, 1752),
(5, 1839),
(5, 2011),
(5, 2012),
(5, 44),
(5, 45),
(5, 47),
(5, 48),
(5, 49),
(5, 197),
(5, 221),
(5, 222),
(5, 223),
(5, 224),
(5, 225),
(5, 226),
(5, 248),
(5, 326),
(5, 327),
(5, 415),
(5, 433),
(5, 434),
(5, 435),
(5, 436),
(5, 499),
(5, 500),
(5, 501),
(5, 674),
(5, 684),
(5, 721),
(5, 759),
(5, 797),
(5, 858),
(5, 1015),
(5, 1614),
(5, 1615),
(5, 1616),
(5, 1617),
(5, 1900),
(5, 1901),
(5, 931),
(5, 997),
(5, 1147),
(5, 1193),
(5, 1194),
(5, 1273),
(5, 1339),
(5, 1364),
(5, 1382),
(5, 1384),
(5, 1386),
(5, 1393),
(5, 1394),
(5, 1408),
(5, 1409),
(5, 1547),
(5, 1548),
(5, 1579),
(5, 1628),
(5, 1653),
(5, 1682),
(5, 1892),
(5, 2014),
(5, 50),
(5, 51),
(5, 53),
(5, 57),
(5, 58),
(5, 509),
(5, 59),
(5, 510),
(5, 102),
(5, 110),
(5, 1159),
(5, 1160),
(5, 1184),
(5, 1185),
(5, 1295),
(5, 1344),
(5, 103),
(5, 483),
(5, 1161),
(5, 1162),
(5, 1180),
(5, 1181),
(5, 1296),
(5, 1343),
(5, 437),
(5, 155),
(5, 156),
(5, 157),
(5, 181),
(5, 182),
(5, 158),
(5, 162),
(5, 180),
(5, 249),
(5, 325),
(5, 159),
(5, 160),
(5, 170),
(5, 767),
(5, 775),
(5, 1249),
(5, 1251),
(5, 1254),
(5, 1333),
(5, 161),
(5, 511),
(5, 353),
(5, 512),
(5, 354),
(5, 768),
(5, 772),
(5, 776),
(5, 1250),
(5, 1253),
(5, 1334),
(5, 1554),
(5, 1580),
(5, 1581),
(5, 211),
(5, 212),
(5, 1307),
(5, 1366),
(5, 1367),
(5, 1368),
(5, 1369),
(5, 1370),
(5, 1371),
(5, 1372),
(5, 1373),
(5, 1419),
(5, 1441),
(5, 1729),
(5, 213),
(5, 1305),
(5, 1374),
(5, 1375),
(5, 1376),
(5, 1377),
(5, 1420),
(5, 216),
(5, 928),
(5, 1306),
(5, 984),
(5, 1065),
(5, 1089),
(5, 1178),
(5, 1179),
(5, 1294),
(5, 1539),
(5, 217),
(5, 919),
(5, 929),
(5, 1308),
(5, 1063),
(5, 1174),
(5, 1175),
(5, 1292),
(5, 1413),
(5, 1951),
(5, 1381),
(5, 1573),
(5, 443),
(5, 444),
(5, 445),
(5, 446),
(5, 1188),
(5, 1831),
(5, 1833),
(5, 1835),
(5, 1837),
(5, 473),
(5, 474),
(5, 475),
(5, 923),
(5, 1163),
(5, 1164),
(5, 1182),
(5, 1183),
(5, 1297),
(5, 1345),
(5, 476),
(5, 477),
(5, 922),
(5, 1165),
(5, 1166),
(5, 1186),
(5, 1187),
(5, 1298),
(5, 1346),
(5, 561),
(5, 562),
(5, 563),
(5, 564),
(5, 567),
(5, 571),
(5, 572),
(5, 573),
(5, 568),
(5, 574),
(5, 575),
(5, 576),
(5, 711),
(5, 712),
(5, 713),
(5, 714),
(5, 765),
(5, 769),
(5, 773),
(5, 1256),
(5, 1261),
(5, 1331),
(5, 715),
(5, 716),
(5, 766),
(5, 770),
(5, 774),
(5, 1257),
(5, 1332),
(5, 1555),
(5, 846),
(5, 847),
(5, 848),
(5, 851),
(5, 853),
(5, 1335),
(5, 849),
(5, 850),
(5, 852),
(5, 854),
(5, 1336),
(5, 1582),
(5, 1583),
(5, 1017),
(5, 1018),
(5, 1019),
(5, 1020),
(5, 1021),
(5, 1022),
(5, 1023),
(5, 1024),
(5, 1025),
(5, 1252),
(5, 1026),
(5, 1027),
(5, 1028),
(5, 1029),
(5, 1030),
(5, 1035),
(5, 1083),
(5, 1031),
(5, 1034),
(5, 1037),
(5, 1032),
(5, 1033),
(5, 1036),
(5, 1038),
(5, 1114),
(5, 1133),
(5, 1134),
(5, 1135),
(5, 1136),
(5, 1137),
(5, 1138),
(5, 1139),
(5, 1140),
(5, 1141),
(5, 1142),
(5, 1143),
(5, 1148),
(5, 1274),
(5, 1340),
(5, 1365),
(5, 1383),
(5, 1385),
(5, 1387),
(5, 1391),
(5, 1392),
(5, 1410),
(5, 1411),
(5, 1545),
(5, 1546),
(5, 1629),
(5, 1654),
(5, 1683),
(5, 1893),
(5, 1209),
(5, 1210),
(5, 1216),
(5, 1217),
(5, 1218),
(5, 1211),
(5, 1212),
(5, 1213),
(5, 1214),
(5, 1215),
(5, 1227),
(5, 1222),
(5, 1223),
(5, 1224),
(5, 1225),
(5, 1233),
(5, 1300),
(5, 1301),
(5, 1302),
(5, 1303),
(5, 1263),
(5, 1264),
(5, 1265),
(5, 1266),
(5, 1267),
(5, 1268),
(5, 1378),
(5, 1395),
(5, 1279),
(5, 1280),
(5, 1281),
(5, 1282),
(5, 1283),
(5, 1284),
(5, 1832),
(5, 1834),
(5, 1836),
(5, 1838),
(5, 1309),
(5, 1310),
(5, 1311),
(5, 1312),
(5, 1313),
(5, 1316),
(5, 1317),
(5, 1318),
(5, 1319),
(5, 1320),
(5, 1323),
(5, 1321),
(5, 1352),
(5, 1379),
(5, 1390),
(5, 1730),
(5, 1731),
(5, 1324),
(5, 1351),
(5, 1560),
(5, 1684),
(5, 1685),
(5, 1686),
(5, 1687),
(5, 1688),
(5, 1689),
(5, 1690),
(5, 1691),
(5, 1692),
(5, 1710),
(5, 1341),
(5, 54),
(5, 258),
(5, 423),
(5, 424),
(5, 723),
(5, 728),
(5, 729),
(5, 730),
(5, 738),
(5, 739),
(5, 740),
(5, 741),
(5, 962),
(5, 964),
(5, 965),
(5, 1122),
(5, 1123),
(5, 1124),
(5, 1125),
(5, 1200),
(5, 1201),
(5, 1202),
(5, 1203),
(5, 1427),
(5, 1541),
(5, 1543),
(5, 1544),
(5, 1563),
(5, 1564),
(5, 1565),
(5, 1566),
(5, 1574),
(5, 1575),
(5, 1576),
(5, 1577),
(5, 1598),
(5, 1599),
(5, 1600),
(5, 1601),
(5, 1644),
(5, 1645),
(5, 1646),
(5, 1647),
(5, 1342),
(5, 201),
(5, 202),
(5, 1206),
(5, 1494),
(5, 731),
(5, 732),
(5, 733),
(5, 1219),
(5, 1220),
(5, 1221),
(5, 1226),
(5, 1228),
(5, 1229),
(5, 1495),
(5, 1314),
(5, 1315),
(5, 1567),
(5, 1568),
(5, 1357),
(5, 1358),
(5, 1359),
(5, 1360),
(5, 1361),
(5, 1362),
(5, 1504),
(5, 1505),
(5, 1506),
(5, 1507),
(5, 1508),
(5, 1509),
(5, 1510),
(5, 1511),
(5, 1512),
(5, 1513),
(5, 1514),
(5, 1515),
(5, 1516),
(5, 1517),
(5, 1518),
(5, 1519),
(5, 1521),
(5, 1522),
(5, 1523),
(5, 1524),
(5, 1525),
(5, 1526),
(5, 1527),
(5, 1536),
(5, 1520),
(5, 1528),
(5, 1535),
(5, 1529),
(5, 1530),
(5, 1531),
(5, 1532),
(5, 1533),
(5, 1534),
(5, 1537),
(5, 1964),
(5, 1965),
(5, 1966),
(5, 1969),
(5, 1970),
(5, 1971),
(5, 1972),
(5, 1973),
(5, 1974),
(5, 1967),
(5, 1968),
(5, 1975),
(5, 1976),
(5, 1977),
(5, 1978),
(5, 1979),
(5, 1980),
(5, 2013),
(5, 4),
(5, 425),
(5, 705),
(5, 426),
(5, 427),
(5, 706),
(5, 428),
(5, 431),
(5, 432),
(5, 1597),
(5, 1602),
(5, 438),
(5, 455),
(5, 456),
(5, 457),
(5, 462),
(5, 479),
(5, 480),
(5, 498),
(5, 502),
(5, 1642),
(5, 1935),
(5, 545),
(5, 546),
(5, 547),
(5, 548),
(5, 549),
(5, 550),
(5, 551),
(5, 552),
(5, 553),
(5, 554),
(5, 555),
(5, 556),
(5, 557),
(5, 558),
(5, 559),
(5, 649),
(5, 1066),
(5, 1068),
(5, 1069),
(5, 1070),
(5, 1091),
(5, 1092),
(5, 1093),
(5, 1094),
(5, 582),
(5, 667),
(5, 669),
(5, 670),
(5, 686),
(5, 1042),
(5, 1949),
(5, 671),
(5, 698),
(5, 1609),
(5, 672),
(5, 673),
(5, 717),
(5, 720),
(5, 722),
(5, 724),
(5, 725),
(5, 726),
(5, 727),
(5, 764),
(5, 809),
(5, 857),
(5, 1016),
(5, 1610),
(5, 1611),
(5, 1612),
(5, 1613),
(5, 1898),
(5, 1899),
(5, 916),
(5, 966),
(5, 968),
(5, 985),
(5, 1004),
(5, 1005),
(5, 1007),
(5, 1008),
(5, 1009),
(5, 1596),
(5, 1013),
(5, 1039),
(5, 1079),
(5, 1107),
(5, 1112),
(5, 1946),
(5, 1947),
(5, 1948),
(5, 1086),
(5, 1087),
(5, 1090),
(5, 1099),
(5, 1102),
(5, 1103),
(5, 1104),
(5, 1110),
(5, 1111),
(5, 1113),
(5, 1126),
(5, 1127),
(5, 1128),
(5, 1129),
(5, 1155),
(5, 1156),
(5, 1157),
(5, 1158),
(5, 1167),
(5, 1192),
(5, 1195),
(5, 1196),
(5, 1197),
(5, 1199),
(5, 1205),
(5, 1262),
(5, 1272),
(5, 1276),
(5, 1277),
(5, 1278),
(5, 1322),
(5, 1330),
(5, 1414),
(5, 1422),
(5, 1444),
(5, 1445),
(5, 1446),
(5, 1472),
(5, 1502),
(5, 1503),
(5, 1553),
(5, 1584),
(5, 1585),
(5, 1603),
(5, 1604),
(5, 1605),
(5, 1606),
(5, 1620),
(5, 1621),
(5, 1634),
(5, 1636),
(5, 1637),
(5, 1638),
(5, 1840),
(5, 1635),
(5, 1639),
(5, 1640),
(5, 1641),
(5, 1841),
(5, 1753),
(5, 1842),
(5, 1843),
(5, 1844),
(5, 1845),
(5, 2035),
(5, 5),
(5, 88),
(5, 76),
(5, 1071),
(5, 1072),
(5, 1085),
(5, 77),
(5, 81),
(5, 82),
(5, 126),
(5, 127),
(5, 1255),
(5, 128),
(5, 583),
(5, 584),
(5, 163),
(5, 164),
(5, 230),
(5, 829),
(5, 955),
(5, 1003),
(5, 1043),
(5, 84),
(5, 231),
(5, 232),
(5, 585),
(5, 587),
(5, 588),
(5, 586),
(5, 589),
(5, 1733),
(5, 1734),
(5, 1735),
(5, 590),
(5, 664),
(5, 1736),
(5, 1737),
(5, 1738),
(5, 1739),
(5, 665),
(5, 699),
(5, 700),
(5, 90),
(5, 83),
(5, 777),
(5, 98),
(5, 99),
(5, 100),
(5, 101),
(5, 778),
(5, 116),
(5, 238),
(5, 591),
(5, 593),
(5, 594),
(5, 595),
(5, 592),
(5, 596),
(5, 602),
(5, 603),
(5, 1047),
(5, 597),
(5, 600),
(5, 601),
(5, 598),
(5, 606),
(5, 607),
(5, 956),
(5, 599),
(5, 604),
(5, 605),
(5, 957),
(5, 961),
(5, 608),
(5, 779),
(5, 960),
(5, 1046),
(5, 930),
(5, 932),
(5, 958),
(5, 959),
(5, 1189),
(5, 1190),
(5, 91),
(5, 75),
(5, 1044),
(5, 151),
(5, 246),
(5, 247),
(5, 333),
(5, 745),
(5, 861),
(5, 1204),
(5, 2052),
(5, 2053),
(5, 92),
(5, 93),
(5, 94),
(5, 95),
(5, 96),
(5, 112),
(5, 113),
(5, 114),
(5, 115),
(5, 129),
(5, 130),
(5, 228),
(5, 229),
(5, 131),
(5, 569),
(5, 570),
(5, 577),
(5, 1618),
(5, 1619),
(5, 578),
(5, 648),
(5, 687),
(5, 952),
(5, 953),
(5, 1045),
(5, 688),
(5, 689),
(5, 690),
(5, 693),
(5, 694),
(5, 695),
(5, 702),
(5, 703),
(5, 704),
(5, 708),
(5, 709),
(5, 710),
(5, 1120),
(5, 742),
(5, 743),
(5, 744),
(5, 782),
(5, 1746),
(5, 943),
(5, 944),
(5, 954),
(5, 986),
(5, 989),
(5, 990),
(5, 991),
(5, 1168),
(5, 1169),
(5, 1170),
(5, 1171),
(5, 1198),
(5, 152),
(5, 74),
(5, 154),
(5, 237),
(5, 171),
(5, 233),
(5, 234),
(5, 235),
(5, 236),
(5, 153),
(5, 78),
(5, 132),
(5, 80),
(5, 227),
(5, 306),
(5, 307),
(5, 172),
(5, 173),
(5, 239),
(5, 243),
(5, 244),
(5, 245),
(5, 580),
(5, 581),
(5, 240),
(5, 241),
(5, 242),
(5, 305),
(5, 329),
(5, 330),
(5, 331),
(5, 332),
(5, 419),
(5, 609),
(5, 610),
(5, 612),
(5, 613),
(5, 611),
(5, 659),
(5, 660),
(5, 661),
(5, 834),
(5, 843),
(5, 995),
(5, 996),
(5, 1073),
(5, 1074),
(5, 1075),
(5, 1077),
(5, 1076),
(5, 1078),
(5, 1109),
(5, 1578),
(5, 1586),
(5, 1588),
(5, 1590),
(5, 1592),
(5, 1594),
(5, 1587),
(5, 1589),
(5, 1591),
(5, 1593),
(5, 1595),
(5, 271),
(5, 291),
(5, 292),
(5, 293),
(5, 294),
(5, 295),
(5, 296),
(5, 297),
(5, 298),
(5, 299),
(5, 300),
(5, 301),
(5, 302),
(5, 303),
(5, 304),
(5, 308),
(5, 309),
(5, 650),
(5, 651),
(5, 652),
(5, 653),
(5, 654),
(5, 655),
(5, 656),
(5, 657),
(5, 658),
(5, 933),
(5, 934),
(5, 614),
(5, 615),
(5, 616),
(5, 617),
(5, 618),
(5, 619),
(5, 620),
(5, 623),
(5, 624),
(5, 621),
(5, 622),
(5, 625),
(5, 626),
(5, 662),
(5, 663),
(5, 627),
(5, 628),
(5, 633),
(5, 634),
(5, 635),
(5, 629),
(5, 636),
(5, 637),
(5, 638),
(5, 630),
(5, 639),
(5, 640),
(5, 641),
(5, 631),
(5, 642),
(5, 643),
(5, 644),
(5, 632),
(5, 645),
(5, 646),
(5, 647),
(5, 691),
(5, 692),
(5, 696),
(5, 780),
(5, 697),
(5, 781),
(5, 913),
(5, 914),
(5, 915),
(5, 917),
(5, 1014),
(5, 55),
(5, 250),
(5, 251),
(5, 323),
(5, 335),
(5, 336),
(5, 337),
(5, 855),
(5, 856),
(5, 875),
(5, 876),
(5, 877),
(5, 878),
(5, 1153),
(5, 1154),
(5, 1997),
(5, 1998),
(5, 1999),
(5, 2000),
(5, 2001),
(5, 2002),
(5, 2004),
(5, 108),
(5, 117),
(5, 118),
(5, 120),
(5, 121),
(5, 122),
(5, 123),
(5, 124),
(5, 147),
(5, 334),
(5, 1492),
(5, 666),
(5, 138),
(5, 139),
(5, 140),
(5, 141),
(5, 148),
(5, 149),
(5, 198),
(5, 30),
(5, 1478),
(5, 1487),
(5, 461),
(5, 1084),
(5, 831),
(5, 1121),
(5, 1912),
(5, 1931),
(5, 1913),
(5, 1932),
(5, 1914),
(5, 1916),
(5, 1918),
(5, 2010),
(5, 1915),
(5, 1917),
(5, 1919),
(5, 2009),
(5, 1921),
(5, 1929),
(5, 1922),
(5, 1930),
(5, 1923),
(5, 1925),
(5, 1927),
(5, 2008),
(5, 1924),
(5, 1926),
(5, 1928),
(5, 2007),
(5, 1956),
(5, 1957),
(5, 1958),
(5, 1959),
(5, 2005),
(5, 1960),
(5, 1961),
(5, 1962),
(5, 1963),
(5, 2006),
(5, 174),
(5, 175),
(5, 176),
(5, 179),
(5, 1258),
(5, 1953),
(5, 177),
(5, 178),
(5, 420),
(5, 1259),
(5, 1260),
(5, 1754),
(5, 1755),
(5, 1933),
(5, 1934),
(5, 351),
(5, 352),
(5, 1396),
(5, 1477),
(5, 1895),
(5, 859),
(5, 1894),
(5, 1191),
(5, 1493),
(5, 1491),
(5, 1630),
(5, 1954),
(5, 1902),
(5, 1903),
(5, 1904),
(5, 1905),
(5, 1906),
(5, 1984),
(5, 1907),
(5, 1908),
(5, 1909),
(5, 1910),
(5, 1983),
(5, 1911),
(5, 142),
(5, 144),
(5, 145),
(5, 146),
(5, 150),
(5, 1000),
(5, 1001),
(5, 1002),
(5, 1955),
(5, 253),
(5, 254),
(5, 256),
(5, 257),
(5, 255),
(5, 783),
(5, 786),
(5, 787),
(5, 788),
(5, 784),
(5, 789),
(5, 790),
(5, 791),
(5, 785),
(5, 794),
(5, 795),
(5, 796),
(5, 798),
(5, 987),
(5, 992),
(5, 993),
(5, 994),
(5, 165),
(5, 166),
(5, 167),
(5, 184),
(5, 185),
(5, 324),
(5, 183),
(5, 792),
(5, 793),
(5, 803),
(5, 1488),
(5, 830),
(5, 974),
(5, 975),
(5, 976),
(5, 977),
(5, 978),
(5, 979),
(5, 980),
(5, 981),
(5, 982),
(5, 505),
(5, 521),
(5, 522),
(5, 523),
(5, 524),
(5, 525),
(5, 526),
(5, 527),
(5, 528),
(5, 529),
(5, 530),
(5, 1399),
(5, 1400),
(5, 1401),
(5, 531),
(5, 532),
(5, 533),
(5, 534),
(5, 535),
(5, 536),
(5, 537),
(5, 538),
(5, 1940),
(5, 1941),
(5, 1942),
(5, 1943),
(5, 1944),
(5, 1945),
(5, 810),
(5, 447),
(5, 450),
(5, 451),
(5, 1245),
(5, 1246),
(5, 2050),
(5, 1208),
(5, 1275),
(5, 1388),
(5, 2049),
(5, 811),
(5, 812),
(5, 813),
(5, 814),
(5, 815),
(5, 820),
(5, 821),
(5, 825),
(5, 826),
(5, 827),
(5, 828),
(5, 832),
(5, 833),
(5, 837),
(5, 839),
(5, 816),
(5, 448),
(5, 449),
(5, 1624),
(5, 1626),
(5, 817),
(5, 818),
(5, 819),
(5, 935),
(5, 948),
(5, 949),
(5, 950),
(5, 951),
(5, 973),
(5, 1285),
(5, 1286),
(5, 1287),
(5, 1288),
(5, 1622),
(5, 1625),
(5, 1627),
(5, 1207),
(5, 822),
(5, 823),
(5, 824),
(5, 1397),
(5, 1398),
(5, 836),
(5, 838),
(5, 1776),
(5, 1777),
(5, 1778),
(5, 1779),
(5, 1780),
(5, 1781),
(5, 1782),
(5, 1783),
(5, 1784),
(5, 1785),
(5, 1786),
(5, 1787),
(5, 1788),
(5, 1824),
(5, 1825),
(5, 1826),
(5, 1789),
(5, 1814),
(5, 1815),
(5, 1816),
(5, 1817),
(5, 1920),
(5, 2054),
(5, 2060),
(5, 2072),
(5, 2073);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_status_code`
--

CREATE TABLE `tbl_common_status_code` (
  `Status_Code_ID` int(11) NOT NULL,
  `Status_Code_Name` varchar(255) DEFAULT NULL,
  `Color` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_status_code`
--

INSERT INTO `tbl_common_status_code` (`Status_Code_ID`, `Status_Code_Name`, `Color`) VALUES
(1, 'Pending', 'bg-warning'),
(2, 'Approved', 'bg-complete'),
(3, 'Done', 'green'),
(4, 'sent', ''),
(5, 'Requested', 'bg-complete'),
(6, 'Rejected', 'red'),
(7, 'Active', ''),
(8, 'Inactive', ''),
(9, 'Canceled', 'orange');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_users`
--

CREATE TABLE `tbl_common_users` (
  `User_ID` int(11) NOT NULL,
  `User_Name` varchar(45) DEFAULT NULL,
  `User_Password` varchar(100) DEFAULT NULL,
  `User_Full_Name` varchar(250) NOT NULL DEFAULT '',
  `Role_ID` varchar(255) DEFAULT NULL,
  `control_role_id` varchar(255) NOT NULL,
  `Employee_ID` int(11) DEFAULT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL DEFAULT '0',
  `Is_Logged` tinyint(4) NOT NULL DEFAULT '0',
  `secret_code` varchar(200) DEFAULT NULL,
  `user_email` varchar(200) NOT NULL,
  `user_mobile_phone` varchar(200) NOT NULL,
  `is_app` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0=>normal user; 1=>distribution,2=>attendance,3=>api',
  `app_unique_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL COMMENT 'used for data collector',
  `is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `limited_access` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'if checked then user can login only on trusted computers',
  `landing_id` int(11) NOT NULL,
  `login_at` int(11) NOT NULL DEFAULT '0' COMMENT 'for sync.: 0=>nothing, 1=>both, 2=>server, 3=>branch',
  `login_device` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1:desktop,2:tablet',
  `is_main_transfer` tinyint(1) NOT NULL DEFAULT '0',
  `last_login_time` datetime NOT NULL,
  `json_data` text NOT NULL,
  `user_session_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'last login php session',
  `stop_multi_login` tinyint(1) NOT NULL DEFAULT '0',
  `block_ids` varchar(250) DEFAULT NULL,
  `customer_group_ids` varchar(250) DEFAULT NULL,
  `notification_type_ids` varchar(250) DEFAULT NULL,
  `u_user_shifts_id` int(11) DEFAULT NULL,
  `limit_customer_invoice` tinyint(1) DEFAULT '0',
  `is_actual` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_users`
--

INSERT INTO `tbl_common_users` (`User_ID`, `User_Name`, `User_Password`, `User_Full_Name`, `Role_ID`, `control_role_id`, `Employee_ID`, `Logged_ID`, `Status_ID`, `Parent_ID`, `Is_Logged`, `secret_code`, `user_email`, `user_mobile_phone`, `is_app`, `app_unique_id`, `token`, `is_admin`, `limited_access`, `landing_id`, `login_at`, `login_device`, `is_main_transfer`, `last_login_time`, `json_data`, `user_session_path`, `stop_multi_login`, `block_ids`, `customer_group_ids`, `notification_type_ids`, `u_user_shifts_id`, `limit_customer_invoice`, `is_actual`) VALUES
(1, 'admin', '654447867fab2c2a248a957c371e52ee', 'admin', '1', '1', NULL, 1, 1, 0, 0, NULL, '', '', 0, '', '', 1, 0, 1, 1, 1, 0, '2023-04-05 14:17:39', '', 'C:\\xampp\\tmp\\sess_t9hu6974hfqophqq048q672762', 0, NULL, NULL, NULL, NULL, 0, 0),
(2, 'superuser', '44209a6a592dea91bcf7d4dd53e47a5a', 'superuser', '2', '', NULL, 1, 1, 0, 1, NULL, '', '', 0, '', '', 0, 0, 1, 0, 1, 0, '2023-04-05 14:17:51', '', 'C:\\xampp\\tmp\\sess_t9hu6974hfqophqq048q672762', 0, NULL, NULL, '7', 0, 0, 0),
(10, 'root', 'bb530de17aa1d30bc3bdb5a9e8012154', 'root', '5', '', NULL, 1, 1, 0, 0, NULL, '', '', 0, '', '', 0, 0, 1, 0, 1, 0, '0000-00-00 00:00:00', '', '', 0, NULL, NULL, NULL, 0, 0, 0),
(11, 'pos', '44209a6a592dea91bcf7d4dd53e47a5a', 'pos', '3', '', NULL, 1, 1, 0, 0, NULL, '', '', 0, '', '', 0, 0, 3, 0, 1, 0, '0000-00-00 00:00:00', '', '', 0, NULL, NULL, NULL, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_user_preferences`
--

CREATE TABLE `tbl_common_user_preferences` (
  `Preference_ID` int(11) NOT NULL,
  `User_ID` int(11) NOT NULL,
  `Language_Code` varchar(10) NOT NULL,
  `Theme_Color` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_common_user_preferences`
--

INSERT INTO `tbl_common_user_preferences` (`Preference_ID`, `User_ID`, `Language_Code`, `Theme_Color`) VALUES
(1, 1, 'en', 'Blue'),
(2, 2, 'en', ''),
(3, 3, 'en', ''),
(4, 4, 'en', ''),
(5, 5, 'en', ''),
(6, 6, 'en', ''),
(7, 7, 'en', ''),
(8, 8, 'en', ''),
(11, 9, 'en', ''),
(12, 10, 'en', ''),
(13, 11, 'en', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_common_week_days`
--

CREATE TABLE `tbl_common_week_days` (
  `Week_Days_ID` int(11) NOT NULL,
  `Week_Days_Name` varchar(12) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_compts`
--

CREATE TABLE `tbl_compts` (
  `compts_id` int(11) NOT NULL,
  `compts_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_compts`
--

INSERT INTO `tbl_compts` (`compts_id`, `compts_name`) VALUES
(1, '1'),
(2, '2'),
(3, '3'),
(4, '4'),
(5, '5'),
(6, '6');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_computer_trusted`
--

CREATE TABLE `tbl_computer_trusted` (
  `entry_id` int(11) NOT NULL,
  `computer_name` varchar(250) NOT NULL,
  `computer_cookies` longtext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_consumption`
--

CREATE TABLE `tbl_consumption` (
  `consumption_auto_id` int(11) NOT NULL,
  `consumption_id` int(11) NOT NULL,
  `consumption_prefix` varchar(20) NOT NULL,
  `Customer_ID` int(11) DEFAULT NULL,
  `consumption_date` date NOT NULL,
  `date_created` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Sales_ID` int(11) DEFAULT NULL,
  `current_year_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `consumption_description` longtext,
  `depot_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_consumption`
--

INSERT INTO `tbl_consumption` (`consumption_auto_id`, `consumption_id`, `consumption_prefix`, `Customer_ID`, `consumption_date`, `date_created`, `Logged_ID`, `created_logged_id`, `Sales_ID`, `current_year_id`, `date_time`, `consumption_description`, `depot_id`, `branch_id`, `is_actual`) VALUES
(1, 1, 'B', 1, '2021-08-10', '2021-08-10 09:26:52', 1, 1, 1, 2, '2021-08-10 09:26:52', NULL, 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_consumption_details`
--

CREATE TABLE `tbl_consumption_details` (
  `entry_id` int(11) NOT NULL,
  `consumption_auto_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `product_quantity` double NOT NULL,
  `item_quantity_current` double NOT NULL,
  `uom_id` int(11) NOT NULL,
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `expiry_date` date DEFAULT NULL,
  `depot_id` int(11) NOT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_consumption_details`
--

INSERT INTO `tbl_consumption_details` (`entry_id`, `consumption_auto_id`, `product_id`, `product_quantity`, `item_quantity_current`, `uom_id`, `product_description`, `expiry_date`, `depot_id`, `lot_nb`, `serial_nb`) VALUES
(1, 1, 1, 1, 1, 1, '', NULL, 1, '', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_consumption_product_criteria`
--

CREATE TABLE `tbl_consumption_product_criteria` (
  `consumption_criteria_id` int(11) NOT NULL,
  `entry_id` int(11) NOT NULL,
  `quantity` double NOT NULL,
  `criteria_detail_id` int(11) NOT NULL,
  `criteria_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_contacts`
--

CREATE TABLE `tbl_contacts` (
  `contact_id` int(11) NOT NULL,
  `contact_name` varchar(200) NOT NULL,
  `contact_work_phone` varchar(200) NOT NULL,
  `contact_mobile_phone` varchar(200) NOT NULL,
  `contact_email` varchar(200) NOT NULL,
  `organization_id` int(11) DEFAULT NULL,
  `is_primary` tinyint(4) NOT NULL DEFAULT '0',
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `last_modified` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_contacts`
--

INSERT INTO `tbl_contacts` (`contact_id`, `contact_name`, `contact_work_phone`, `contact_mobile_phone`, `contact_email`, `organization_id`, `is_primary`, `created_by`, `date_created`, `modified_by`, `last_modified`) VALUES
(1, 'name Name', '7676787676', '7676787676', 'yousif.97@gmail.com', 1, 1, 1, '2021-06-25 13:37:51', NULL, '2021-06-25 13:37:51'),
(2, 'fwef', '', '5156156', '', 2, 1, 1, '2021-08-11 14:09:52', NULL, '2021-08-11 14:09:52');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_contra`
--

CREATE TABLE `tbl_contra` (
  `contra_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `contra_nb` varchar(255) NOT NULL,
  `contra_date` date NOT NULL,
  `contra_amount` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_contra`
--

INSERT INTO `tbl_contra` (`contra_id`, `customer_id`, `contra_nb`, `contra_date`, `contra_amount`, `currency_id`, `date_created`, `date_time`, `Logged_ID`, `created_logged_id`) VALUES
(1, 4, '1', '2021-06-25', 59000, 84, '2021-06-25 13:42:29', '2021-06-25 13:42:29', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_country_language`
--

CREATE TABLE `tbl_country_language` (
  `CountryCode` char(3) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Language` char(30) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `IsOfficial` enum('T','F') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'F',
  `Percentage` float(4,1) NOT NULL DEFAULT '0.0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `tbl_country_language`
--

INSERT INTO `tbl_country_language` (`CountryCode`, `Language`, `IsOfficial`, `Percentage`) VALUES
('ABW', 'Dutch', 'T', 5.3),
('ABW', 'English', 'F', 9.5),
('ABW', 'Papiamento', 'F', 76.7),
('ABW', 'Spanish', 'F', 7.4),
('AFG', 'Balochi', 'F', 0.9),
('AFG', 'Dari', 'T', 32.1),
('AFG', 'Pashto', 'T', 52.4),
('AFG', 'Turkmenian', 'F', 1.9),
('AFG', 'Uzbek', 'F', 8.8),
('AGO', 'Ambo', 'F', 2.4),
('AGO', 'Chokwe', 'F', 4.2),
('AGO', 'Kongo', 'F', 13.2),
('AGO', 'Luchazi', 'F', 2.4),
('AGO', 'Luimbe-nganguela', 'F', 5.4),
('AGO', 'Luvale', 'F', 3.6),
('AGO', 'Mbundu', 'F', 21.6),
('AGO', 'Nyaneka-nkhumbi', 'F', 5.4),
('AGO', 'Ovimbundu', 'F', 37.2),
('AIA', 'English', 'T', 0.0),
('ALB', 'Albaniana', 'T', 97.9),
('ALB', 'Greek', 'F', 1.8),
('ALB', 'Macedonian', 'F', 0.1),
('AND', 'Catalan', 'T', 32.3),
('AND', 'French', 'F', 6.2),
('AND', 'Portuguese', 'F', 10.8),
('AND', 'Spanish', 'F', 44.6),
('ANT', 'Dutch', 'T', 0.0),
('ANT', 'English', 'F', 7.8),
('ANT', 'Papiamento', 'T', 86.2),
('ARE', 'Arabic', 'T', 42.0),
('ARE', 'Hindi', 'F', 0.0),
('ARG', 'Indian Languages', 'F', 0.3),
('ARG', 'Italian', 'F', 1.7),
('ARG', 'Spanish', 'T', 96.8),
('ARM', 'Armenian', 'T', 93.4),
('ARM', 'Azerbaijani', 'F', 2.6),
('ASM', 'English', 'T', 3.1),
('ASM', 'Samoan', 'T', 90.6),
('ASM', 'Tongan', 'F', 3.1),
('ATG', 'Creole English', 'F', 95.7),
('ATG', 'English', 'T', 0.0),
('AUS', 'Arabic', 'F', 1.0),
('AUS', 'Canton Chinese', 'F', 1.1),
('AUS', 'English', 'T', 81.2),
('AUS', 'German', 'F', 0.6),
('AUS', 'Greek', 'F', 1.6),
('AUS', 'Italian', 'F', 2.2),
('AUS', 'Serbo-Croatian', 'F', 0.6),
('AUS', 'Vietnamese', 'F', 0.8),
('AUT', 'Czech', 'F', 0.2),
('AUT', 'German', 'T', 92.0),
('AUT', 'Hungarian', 'F', 0.4),
('AUT', 'Polish', 'F', 0.2),
('AUT', 'Romanian', 'F', 0.2),
('AUT', 'Serbo-Croatian', 'F', 2.2),
('AUT', 'Slovene', 'F', 0.4),
('AUT', 'Turkish', 'F', 1.5),
('AZE', 'Armenian', 'F', 2.0),
('AZE', 'Azerbaijani', 'T', 89.0),
('AZE', 'Lezgian', 'F', 2.3),
('AZE', 'Russian', 'F', 3.0),
('BDI', 'French', 'T', 0.0),
('BDI', 'Kirundi', 'T', 98.1),
('BDI', 'Swahili', 'F', 0.0),
('BEL', 'Arabic', 'F', 1.6),
('BEL', 'Dutch', 'T', 59.2),
('BEL', 'French', 'T', 32.6),
('BEL', 'German', 'T', 1.0),
('BEL', 'Italian', 'F', 2.4),
('BEL', 'Turkish', 'F', 0.9),
('BEN', 'Adja', 'F', 11.1),
('BEN', 'Aizo', 'F', 8.7),
('BEN', 'Bariba', 'F', 8.7),
('BEN', 'Fon', 'F', 39.8),
('BEN', 'Ful', 'F', 5.6),
('BEN', 'Joruba', 'F', 12.2),
('BEN', 'Somba', 'F', 6.7),
('BFA', 'Busansi', 'F', 3.5),
('BFA', 'Dagara', 'F', 3.1),
('BFA', 'Dyula', 'F', 2.6),
('BFA', 'Ful', 'F', 9.7),
('BFA', 'Gurma', 'F', 5.7),
('BFA', 'Mossi', 'F', 50.2),
('BGD', 'Bengali', 'T', 97.7),
('BGD', 'Chakma', 'F', 0.4),
('BGD', 'Garo', 'F', 0.1),
('BGD', 'Khasi', 'F', 0.1),
('BGD', 'Marma', 'F', 0.2),
('BGD', 'Santhali', 'F', 0.1),
('BGD', 'Tripuri', 'F', 0.1),
('BGR', 'Bulgariana', 'T', 83.2),
('BGR', 'Macedonian', 'F', 2.6),
('BGR', 'Romani', 'F', 3.7),
('BGR', 'Turkish', 'F', 9.4),
('BHR', 'Arabic', 'T', 67.7),
('BHR', 'English', 'F', 0.0),
('BHS', 'Creole English', 'F', 89.7),
('BHS', 'Creole French', 'F', 10.3),
('BIH', 'Serbo-Croatian', 'T', 99.2),
('BLR', 'Belorussian', 'T', 65.6),
('BLR', 'Polish', 'F', 0.6),
('BLR', 'Russian', 'T', 32.0),
('BLR', 'Ukrainian', 'F', 1.3),
('BLZ', 'English', 'T', 50.8),
('BLZ', 'Garifuna', 'F', 6.8),
('BLZ', 'Maya Languages', 'F', 9.6),
('BLZ', 'Spanish', 'F', 31.6),
('BMU', 'English', 'T', 100.0),
('BOL', 'Aimará', 'T', 3.2),
('BOL', 'Guaraní', 'F', 0.1),
('BOL', 'Ketšua', 'T', 8.1),
('BOL', 'Spanish', 'T', 87.7),
('BRA', 'German', 'F', 0.5),
('BRA', 'Indian Languages', 'F', 0.2),
('BRA', 'Italian', 'F', 0.4),
('BRA', 'Japanese', 'F', 0.4),
('BRA', 'Portuguese', 'T', 97.5),
('BRB', 'Bajan', 'F', 95.1),
('BRB', 'English', 'T', 0.0),
('BRN', 'Chinese', 'F', 9.3),
('BRN', 'English', 'F', 3.1),
('BRN', 'Malay', 'T', 45.5),
('BRN', 'Malay-English', 'F', 28.8),
('BTN', 'Asami', 'F', 15.2),
('BTN', 'Dzongkha', 'T', 50.0),
('BTN', 'Nepali', 'F', 34.8),
('BWA', 'Khoekhoe', 'F', 2.5),
('BWA', 'Ndebele', 'F', 1.3),
('BWA', 'San', 'F', 3.5),
('BWA', 'Shona', 'F', 12.3),
('BWA', 'Tswana', 'F', 75.5),
('CAF', 'Banda', 'F', 23.5),
('CAF', 'Gbaya', 'F', 23.8),
('CAF', 'Mandjia', 'F', 14.8),
('CAF', 'Mbum', 'F', 6.4),
('CAF', 'Ngbaka', 'F', 7.5),
('CAF', 'Sara', 'F', 6.4),
('CAN', 'Chinese', 'F', 2.5),
('CAN', 'Dutch', 'F', 0.5),
('CAN', 'English', 'T', 60.4),
('CAN', 'Eskimo Languages', 'F', 0.1),
('CAN', 'French', 'T', 23.4),
('CAN', 'German', 'F', 1.6),
('CAN', 'Italian', 'F', 1.7),
('CAN', 'Polish', 'F', 0.7),
('CAN', 'Portuguese', 'F', 0.7),
('CAN', 'Punjabi', 'F', 0.7),
('CAN', 'Spanish', 'F', 0.7),
('CAN', 'Ukrainian', 'F', 0.6),
('CCK', 'English', 'T', 0.0),
('CCK', 'Malay', 'F', 0.0),
('CHE', 'French', 'T', 19.2),
('CHE', 'German', 'T', 63.6),
('CHE', 'Italian', 'T', 7.7),
('CHE', 'Romansh', 'T', 0.6),
('CHL', 'Aimará', 'F', 0.5),
('CHL', 'Araucan', 'F', 9.6),
('CHL', 'Rapa nui', 'F', 0.2),
('CHL', 'Spanish', 'T', 89.7),
('CHN', 'Chinese', 'T', 92.0),
('CHN', 'Dong', 'F', 0.2),
('CHN', 'Hui', 'F', 0.8),
('CHN', 'Mantšu', 'F', 0.9),
('CHN', 'Miao', 'F', 0.7),
('CHN', 'Mongolian', 'F', 0.4),
('CHN', 'Puyi', 'F', 0.2),
('CHN', 'Tibetan', 'F', 0.4),
('CHN', 'Tujia', 'F', 0.5),
('CHN', 'Uighur', 'F', 0.6),
('CHN', 'Yi', 'F', 0.6),
('CHN', 'Zhuang', 'F', 1.4),
('CIV', '[South]Mande', 'F', 7.7),
('CIV', 'Akan', 'F', 30.0),
('CIV', 'Gur', 'F', 11.7),
('CIV', 'Kru', 'F', 10.5),
('CIV', 'Malinke', 'F', 11.4),
('CMR', 'Bamileke-bamum', 'F', 18.6),
('CMR', 'Duala', 'F', 10.9),
('CMR', 'Fang', 'F', 19.7),
('CMR', 'Ful', 'F', 9.6),
('CMR', 'Maka', 'F', 4.9),
('CMR', 'Mandara', 'F', 5.7),
('CMR', 'Masana', 'F', 3.9),
('CMR', 'Tikar', 'F', 7.4),
('COD', 'Boa', 'F', 2.3),
('COD', 'Chokwe', 'F', 1.8),
('COD', 'Kongo', 'F', 16.0),
('COD', 'Luba', 'F', 18.0),
('COD', 'Mongo', 'F', 13.5),
('COD', 'Ngala and Bangi', 'F', 5.8),
('COD', 'Rundi', 'F', 3.8),
('COD', 'Rwanda', 'F', 10.3),
('COD', 'Teke', 'F', 2.7),
('COD', 'Zande', 'F', 6.1),
('COG', 'Kongo', 'F', 51.5),
('COG', 'Mbete', 'F', 4.8),
('COG', 'Mboshi', 'F', 11.4),
('COG', 'Punu', 'F', 2.9),
('COG', 'Sango', 'F', 2.6),
('COG', 'Teke', 'F', 17.3),
('COK', 'English', 'F', 0.0),
('COK', 'Maori', 'T', 0.0),
('COL', 'Arawakan', 'F', 0.1),
('COL', 'Caribbean', 'F', 0.1),
('COL', 'Chibcha', 'F', 0.4),
('COL', 'Creole English', 'F', 0.1),
('COL', 'Spanish', 'T', 99.0),
('COM', 'Comorian', 'T', 75.0),
('COM', 'Comorian-Arabic', 'F', 1.6),
('COM', 'Comorian-French', 'F', 12.9),
('COM', 'Comorian-madagassi', 'F', 5.5),
('COM', 'Comorian-Swahili', 'F', 0.5),
('CPV', 'Crioulo', 'F', 100.0),
('CPV', 'Portuguese', 'T', 0.0),
('CRI', 'Chibcha', 'F', 0.3),
('CRI', 'Chinese', 'F', 0.2),
('CRI', 'Creole English', 'F', 2.0),
('CRI', 'Spanish', 'T', 97.5),
('CUB', 'Spanish', 'T', 100.0),
('CXR', 'Chinese', 'F', 0.0),
('CXR', 'English', 'T', 0.0),
('CYM', 'English', 'T', 0.0),
('CYP', 'Greek', 'T', 74.1),
('CYP', 'Turkish', 'T', 22.4),
('CZE', 'Czech', 'T', 81.2),
('CZE', 'German', 'F', 0.5),
('CZE', 'Hungarian', 'F', 0.2),
('CZE', 'Moravian', 'F', 12.9),
('CZE', 'Polish', 'F', 0.6),
('CZE', 'Romani', 'F', 0.3),
('CZE', 'Silesiana', 'F', 0.4),
('CZE', 'Slovak', 'F', 3.1),
('DEU', 'German', 'T', 91.3),
('DEU', 'Greek', 'F', 0.4),
('DEU', 'Italian', 'F', 0.7),
('DEU', 'Polish', 'F', 0.3),
('DEU', 'Southern Slavic Languages', 'F', 1.4),
('DEU', 'Turkish', 'F', 2.6),
('DJI', 'Afar', 'F', 34.8),
('DJI', 'Arabic', 'T', 10.6),
('DJI', 'Somali', 'F', 43.9),
('DMA', 'Creole English', 'F', 100.0),
('DMA', 'Creole French', 'F', 0.0),
('DNK', 'Arabic', 'F', 0.7),
('DNK', 'Danish', 'T', 93.5),
('DNK', 'English', 'F', 0.3),
('DNK', 'German', 'F', 0.5),
('DNK', 'Norwegian', 'F', 0.3),
('DNK', 'Swedish', 'F', 0.3),
('DNK', 'Turkish', 'F', 0.8),
('DOM', 'Creole French', 'F', 2.0),
('DOM', 'Spanish', 'T', 98.0),
('DZA', 'Arabic', 'T', 86.0),
('DZA', 'Berberi', 'F', 14.0),
('ECU', 'Ketšua', 'F', 7.0),
('ECU', 'Spanish', 'T', 93.0),
('EGY', 'Arabic', 'T', 98.8),
('EGY', 'Sinaberberi', 'F', 0.0),
('ERI', 'Afar', 'F', 4.3),
('ERI', 'Bilin', 'F', 3.0),
('ERI', 'Hadareb', 'F', 3.8),
('ERI', 'Saho', 'F', 3.0),
('ERI', 'Tigre', 'F', 31.7),
('ERI', 'Tigrinja', 'T', 49.1),
('ESH', 'Arabic', 'T', 100.0),
('ESP', 'Basque', 'F', 1.6),
('ESP', 'Catalan', 'F', 16.9),
('ESP', 'Galecian', 'F', 6.4),
('ESP', 'Spanish', 'T', 74.4),
('EST', 'Belorussian', 'F', 1.4),
('EST', 'Estonian', 'T', 65.3),
('EST', 'Finnish', 'F', 0.7),
('EST', 'Russian', 'F', 27.8),
('EST', 'Ukrainian', 'F', 2.8),
('ETH', 'Amhara', 'F', 30.0),
('ETH', 'Gurage', 'F', 4.7),
('ETH', 'Oromo', 'F', 31.0),
('ETH', 'Sidamo', 'F', 3.2),
('ETH', 'Somali', 'F', 4.1),
('ETH', 'Tigrinja', 'F', 7.2),
('ETH', 'Walaita', 'F', 2.8),
('FIN', 'Estonian', 'F', 0.2),
('FIN', 'Finnish', 'T', 92.7),
('FIN', 'Russian', 'F', 0.4),
('FIN', 'Saame', 'F', 0.0),
('FIN', 'Swedish', 'T', 5.7),
('FJI', 'Fijian', 'T', 50.8),
('FJI', 'Hindi', 'F', 43.7),
('FLK', 'English', 'T', 0.0),
('FRA', 'Arabic', 'F', 2.5),
('FRA', 'French', 'T', 93.6),
('FRA', 'Italian', 'F', 0.4),
('FRA', 'Portuguese', 'F', 1.2),
('FRA', 'Spanish', 'F', 0.4),
('FRA', 'Turkish', 'F', 0.4),
('FRO', 'Danish', 'T', 0.0),
('FRO', 'Faroese', 'T', 100.0),
('FSM', 'Kosrean', 'F', 7.3),
('FSM', 'Mortlock', 'F', 7.6),
('FSM', 'Pohnpei', 'F', 23.8),
('FSM', 'Trukese', 'F', 41.6),
('FSM', 'Wolea', 'F', 3.7),
('FSM', 'Yap', 'F', 5.8),
('GAB', 'Fang', 'F', 35.8),
('GAB', 'Mbete', 'F', 13.8),
('GAB', 'Mpongwe', 'F', 14.6),
('GAB', 'Punu-sira-nzebi', 'F', 17.1),
('GBR', 'English', 'T', 97.3),
('GBR', 'Gaeli', 'F', 0.1),
('GBR', 'Kymri', 'F', 0.9),
('GEO', 'Abhyasi', 'F', 1.7),
('GEO', 'Armenian', 'F', 6.8),
('GEO', 'Azerbaijani', 'F', 5.5),
('GEO', 'Georgiana', 'T', 71.7),
('GEO', 'Osseetti', 'F', 2.4),
('GEO', 'Russian', 'F', 8.8),
('GHA', 'Akan', 'F', 52.4),
('GHA', 'Ewe', 'F', 11.9),
('GHA', 'Ga-adangme', 'F', 7.8),
('GHA', 'Gurma', 'F', 3.3),
('GHA', 'Joruba', 'F', 1.3),
('GHA', 'Mossi', 'F', 15.8),
('GIB', 'Arabic', 'F', 7.4),
('GIB', 'English', 'T', 88.9),
('GIN', 'Ful', 'F', 38.6),
('GIN', 'Kissi', 'F', 6.0),
('GIN', 'Kpelle', 'F', 4.6),
('GIN', 'Loma', 'F', 2.3),
('GIN', 'Malinke', 'F', 23.2),
('GIN', 'Susu', 'F', 11.0),
('GIN', 'Yalunka', 'F', 2.9),
('GLP', 'Creole French', 'F', 95.0),
('GLP', 'French', 'T', 0.0),
('GMB', 'Diola', 'F', 9.2),
('GMB', 'Ful', 'F', 16.2),
('GMB', 'Malinke', 'F', 34.1),
('GMB', 'Soninke', 'F', 7.6),
('GMB', 'Wolof', 'F', 12.6),
('GNB', 'Balante', 'F', 14.6),
('GNB', 'Crioulo', 'F', 36.4),
('GNB', 'Ful', 'F', 16.6),
('GNB', 'Malinke', 'F', 6.9),
('GNB', 'Mandyako', 'F', 4.9),
('GNB', 'Portuguese', 'T', 8.1),
('GNQ', 'Bubi', 'F', 8.7),
('GNQ', 'Fang', 'F', 84.8),
('GRC', 'Greek', 'T', 98.5),
('GRC', 'Turkish', 'F', 0.9),
('GRD', 'Creole English', 'F', 100.0),
('GRL', 'Danish', 'T', 12.5),
('GRL', 'Greenlandic', 'T', 87.5),
('GTM', 'Cakchiquel', 'F', 8.9),
('GTM', 'Kekchí', 'F', 4.9),
('GTM', 'Mam', 'F', 2.7),
('GTM', 'Quiché', 'F', 10.1),
('GTM', 'Spanish', 'T', 64.7),
('GUF', 'Creole French', 'F', 94.3),
('GUF', 'Indian Languages', 'F', 1.9),
('GUM', 'Chamorro', 'T', 29.6),
('GUM', 'English', 'T', 37.5),
('GUM', 'Japanese', 'F', 2.0),
('GUM', 'Korean', 'F', 3.3),
('GUM', 'Philippene Languages', 'F', 19.7),
('GUY', 'Arawakan', 'F', 1.4),
('GUY', 'Caribbean', 'F', 2.2),
('GUY', 'Creole English', 'F', 96.4),
('HKG', 'Canton Chinese', 'F', 88.7),
('HKG', 'Chiu chau', 'F', 1.4),
('HKG', 'English', 'T', 2.2),
('HKG', 'Fukien', 'F', 1.9),
('HKG', 'Hakka', 'F', 1.6),
('HND', 'Creole English', 'F', 0.2),
('HND', 'Garifuna', 'F', 1.3),
('HND', 'Miskito', 'F', 0.2),
('HND', 'Spanish', 'T', 97.2),
('HRV', 'Serbo-Croatian', 'T', 95.9),
('HRV', 'Slovene', 'F', 0.0),
('HTI', 'French', 'T', 0.0),
('HTI', 'Haiti Creole', 'F', 100.0),
('HUN', 'German', 'F', 0.4),
('HUN', 'Hungarian', 'T', 98.5),
('HUN', 'Romani', 'F', 0.5),
('HUN', 'Romanian', 'F', 0.1),
('HUN', 'Serbo-Croatian', 'F', 0.2),
('HUN', 'Slovak', 'F', 0.1),
('IDN', 'Bali', 'F', 1.7),
('IDN', 'Banja', 'F', 1.8),
('IDN', 'Batakki', 'F', 2.2),
('IDN', 'Bugi', 'F', 2.2),
('IDN', 'Javanese', 'F', 39.4),
('IDN', 'Madura', 'F', 4.3),
('IDN', 'Malay', 'T', 12.1),
('IDN', 'Minangkabau', 'F', 2.4),
('IDN', 'Sunda', 'F', 15.8),
('IND', 'Asami', 'F', 1.5),
('IND', 'Bengali', 'F', 8.2),
('IND', 'Gujarati', 'F', 4.8),
('IND', 'Hindi', 'T', 39.9),
('IND', 'Kannada', 'F', 3.9),
('IND', 'Malajalam', 'F', 3.6),
('IND', 'Marathi', 'F', 7.4),
('IND', 'Orija', 'F', 3.3),
('IND', 'Punjabi', 'F', 2.8),
('IND', 'Tamil', 'F', 6.3),
('IND', 'Telugu', 'F', 7.8),
('IND', 'Urdu', 'F', 5.1),
('IRL', 'English', 'T', 98.4),
('IRL', 'Irish', 'T', 1.6),
('IRN', 'Arabic', 'F', 2.2),
('IRN', 'Azerbaijani', 'F', 16.8),
('IRN', 'Bakhtyari', 'F', 1.7),
('IRN', 'Balochi', 'F', 2.3),
('IRN', 'Gilaki', 'F', 5.3),
('IRN', 'Kurdish', 'F', 9.1),
('IRN', 'Luri', 'F', 4.3),
('IRN', 'Mazandarani', 'F', 3.6),
('IRN', 'Persian', 'T', 45.7),
('IRN', 'Turkmenian', 'F', 1.6),
('IRQ', 'Arabic', 'T', 77.2),
('IRQ', 'Assyrian', 'F', 0.8),
('IRQ', 'Azerbaijani', 'F', 1.7),
('IRQ', 'Kurdish', 'F', 19.0),
('IRQ', 'Persian', 'F', 0.8),
('ISL', 'English', 'F', 0.0),
('ISL', 'Icelandic', 'T', 95.7),
('ISR', 'Arabic', 'T', 18.0),
('ISR', 'Hebrew', 'T', 63.1),
('ISR', 'Russian', 'F', 8.9),
('ITA', 'Albaniana', 'F', 0.2),
('ITA', 'French', 'F', 0.5),
('ITA', 'Friuli', 'F', 1.2),
('ITA', 'German', 'F', 0.5),
('ITA', 'Italian', 'T', 94.1),
('ITA', 'Romani', 'F', 0.2),
('ITA', 'Sardinian', 'F', 2.7),
('ITA', 'Slovene', 'F', 0.2),
('JAM', 'Creole English', 'F', 94.2),
('JAM', 'Hindi', 'F', 1.9),
('JOR', 'Arabic', 'T', 97.9),
('JOR', 'Armenian', 'F', 1.0),
('JOR', 'Circassian', 'F', 1.0),
('JPN', 'Ainu', 'F', 0.0),
('JPN', 'Chinese', 'F', 0.2),
('JPN', 'English', 'F', 0.1),
('JPN', 'Japanese', 'T', 99.1),
('JPN', 'Korean', 'F', 0.5),
('JPN', 'Philippene Languages', 'F', 0.1),
('KAZ', 'German', 'F', 3.1),
('KAZ', 'Kazakh', 'T', 46.0),
('KAZ', 'Russian', 'F', 34.7),
('KAZ', 'Tatar', 'F', 2.0),
('KAZ', 'Ukrainian', 'F', 5.0),
('KAZ', 'Uzbek', 'F', 2.3),
('KEN', 'Gusii', 'F', 6.1),
('KEN', 'Kalenjin', 'F', 10.8),
('KEN', 'Kamba', 'F', 11.2),
('KEN', 'Kikuyu', 'F', 20.9),
('KEN', 'Luhya', 'F', 13.8),
('KEN', 'Luo', 'F', 12.8),
('KEN', 'Masai', 'F', 1.6),
('KEN', 'Meru', 'F', 5.5),
('KEN', 'Nyika', 'F', 4.8),
('KEN', 'Turkana', 'F', 1.4),
('KGZ', 'Kazakh', 'F', 0.8),
('KGZ', 'Kirgiz', 'T', 59.7),
('KGZ', 'Russian', 'T', 16.2),
('KGZ', 'Tadzhik', 'F', 0.8),
('KGZ', 'Tatar', 'F', 1.3),
('KGZ', 'Ukrainian', 'F', 1.7),
('KGZ', 'Uzbek', 'F', 14.1),
('KHM', 'Chinese', 'F', 3.1),
('KHM', 'Khmer', 'T', 88.6),
('KHM', 'Tšam', 'F', 2.4),
('KHM', 'Vietnamese', 'F', 5.5),
('KIR', 'Kiribati', 'T', 98.9),
('KIR', 'Tuvalu', 'F', 0.5),
('KNA', 'Creole English', 'F', 100.0),
('KNA', 'English', 'T', 0.0),
('KOR', 'Chinese', 'F', 0.1),
('KOR', 'Korean', 'T', 99.9),
('KWT', 'Arabic', 'T', 78.1),
('KWT', 'English', 'F', 0.0),
('LAO', 'Lao', 'T', 67.2),
('LAO', 'Lao-Soung', 'F', 5.2),
('LAO', 'Mon-khmer', 'F', 16.5),
('LAO', 'Thai', 'F', 7.8),
('LBN', 'Arabic', 'T', 93.0),
('LBN', 'Armenian', 'F', 5.9),
('LBN', 'French', 'F', 0.0),
('LBR', 'Bassa', 'F', 13.7),
('LBR', 'Gio', 'F', 7.9),
('LBR', 'Grebo', 'F', 8.9),
('LBR', 'Kpelle', 'F', 19.5),
('LBR', 'Kru', 'F', 7.2),
('LBR', 'Loma', 'F', 5.8),
('LBR', 'Malinke', 'F', 5.1),
('LBR', 'Mano', 'F', 7.2),
('LBY', 'Arabic', 'T', 96.0),
('LBY', 'Berberi', 'F', 1.0),
('LCA', 'Creole French', 'F', 80.0),
('LCA', 'English', 'T', 20.0),
('LIE', 'German', 'T', 89.0),
('LIE', 'Italian', 'F', 2.5),
('LIE', 'Turkish', 'F', 2.5),
('LKA', 'Mixed Languages', 'F', 19.6),
('LKA', 'Singali', 'T', 60.3),
('LKA', 'Tamil', 'T', 19.6),
('LSO', 'English', 'T', 0.0),
('LSO', 'Sotho', 'T', 85.0),
('LSO', 'Zulu', 'F', 15.0),
('LTU', 'Belorussian', 'F', 1.4),
('LTU', 'Lithuanian', 'T', 81.6),
('LTU', 'Polish', 'F', 7.0),
('LTU', 'Russian', 'F', 8.1),
('LTU', 'Ukrainian', 'F', 1.1),
('LUX', 'French', 'T', 4.2),
('LUX', 'German', 'T', 2.3),
('LUX', 'Italian', 'F', 4.6),
('LUX', 'Luxembourgish', 'T', 64.4),
('LUX', 'Portuguese', 'F', 13.0),
('LVA', 'Belorussian', 'F', 4.1),
('LVA', 'Latvian', 'T', 55.1),
('LVA', 'Lithuanian', 'F', 1.2),
('LVA', 'Polish', 'F', 2.1),
('LVA', 'Russian', 'F', 32.5),
('LVA', 'Ukrainian', 'F', 2.9),
('MAC', 'Canton Chinese', 'F', 85.6),
('MAC', 'English', 'F', 0.5),
('MAC', 'Mandarin Chinese', 'F', 1.2),
('MAC', 'Portuguese', 'T', 2.3),
('MAR', 'Arabic', 'T', 65.0),
('MAR', 'Berberi', 'F', 33.0),
('MCO', 'English', 'F', 6.5),
('MCO', 'French', 'T', 41.9),
('MCO', 'Italian', 'F', 16.1),
('MCO', 'Monegasque', 'F', 16.1),
('MDA', 'Bulgariana', 'F', 1.6),
('MDA', 'Gagauzi', 'F', 3.2),
('MDA', 'Romanian', 'T', 61.9),
('MDA', 'Russian', 'F', 23.2),
('MDA', 'Ukrainian', 'F', 8.6),
('MDG', 'French', 'T', 0.0),
('MDG', 'Malagasy', 'T', 98.9),
('MDV', 'Dhivehi', 'T', 100.0),
('MDV', 'English', 'F', 0.0),
('MEX', 'Mixtec', 'F', 0.6),
('MEX', 'Náhuatl', 'F', 1.8),
('MEX', 'Otomí', 'F', 0.4),
('MEX', 'Spanish', 'T', 92.1),
('MEX', 'Yucatec', 'F', 1.1),
('MEX', 'Zapotec', 'F', 0.6),
('MHL', 'English', 'T', 0.0),
('MHL', 'Marshallese', 'T', 96.8),
('MKD', 'Albaniana', 'F', 22.9),
('MKD', 'Macedonian', 'T', 66.5),
('MKD', 'Romani', 'F', 2.3),
('MKD', 'Serbo-Croatian', 'F', 2.0),
('MKD', 'Turkish', 'F', 4.0),
('MLI', 'Bambara', 'F', 31.8),
('MLI', 'Ful', 'F', 13.9),
('MLI', 'Senufo and Minianka', 'F', 12.0),
('MLI', 'Songhai', 'F', 6.9),
('MLI', 'Soninke', 'F', 8.7),
('MLI', 'Tamashek', 'F', 7.3),
('MLT', 'English', 'T', 2.1),
('MLT', 'Maltese', 'T', 95.8),
('MMR', 'Burmese', 'T', 69.0),
('MMR', 'Chin', 'F', 2.2),
('MMR', 'Kachin', 'F', 1.4),
('MMR', 'Karen', 'F', 6.2),
('MMR', 'Kayah', 'F', 0.4),
('MMR', 'Mon', 'F', 2.4),
('MMR', 'Rakhine', 'F', 4.5),
('MMR', 'Shan', 'F', 8.5),
('MNG', 'Bajad', 'F', 1.9),
('MNG', 'Buryat', 'F', 1.7),
('MNG', 'Dariganga', 'F', 1.4),
('MNG', 'Dorbet', 'F', 2.7),
('MNG', 'Kazakh', 'F', 5.9),
('MNG', 'Mongolian', 'T', 78.8),
('MNP', 'Carolinian', 'F', 4.8),
('MNP', 'Chamorro', 'F', 30.0),
('MNP', 'Chinese', 'F', 7.1),
('MNP', 'English', 'T', 4.8),
('MNP', 'Korean', 'F', 6.5),
('MNP', 'Philippene Languages', 'F', 34.1),
('MOZ', 'Chuabo', 'F', 5.7),
('MOZ', 'Lomwe', 'F', 7.8),
('MOZ', 'Makua', 'F', 27.8),
('MOZ', 'Marendje', 'F', 3.5),
('MOZ', 'Nyanja', 'F', 3.3),
('MOZ', 'Ronga', 'F', 3.7),
('MOZ', 'Sena', 'F', 9.4),
('MOZ', 'Shona', 'F', 6.5),
('MOZ', 'Tsonga', 'F', 12.4),
('MOZ', 'Tswa', 'F', 6.0),
('MRT', 'Ful', 'F', 1.2),
('MRT', 'Hassaniya', 'F', 81.7),
('MRT', 'Soninke', 'F', 2.7),
('MRT', 'Tukulor', 'F', 5.4),
('MRT', 'Wolof', 'F', 6.6),
('MRT', 'Zenaga', 'F', 1.2),
('MSR', 'English', 'T', 0.0),
('MTQ', 'Creole French', 'F', 96.6),
('MTQ', 'French', 'T', 0.0),
('MUS', 'Bhojpuri', 'F', 21.1),
('MUS', 'Creole French', 'F', 70.6),
('MUS', 'French', 'F', 3.4),
('MUS', 'Hindi', 'F', 1.2),
('MUS', 'Marathi', 'F', 0.7),
('MUS', 'Tamil', 'F', 0.8),
('MWI', 'Chichewa', 'T', 58.3),
('MWI', 'Lomwe', 'F', 18.4),
('MWI', 'Ngoni', 'F', 6.7),
('MWI', 'Yao', 'F', 13.2),
('MYS', 'Chinese', 'F', 9.0),
('MYS', 'Dusun', 'F', 1.1),
('MYS', 'English', 'F', 1.6),
('MYS', 'Iban', 'F', 2.8),
('MYS', 'Malay', 'T', 58.4),
('MYS', 'Tamil', 'F', 3.9),
('MYT', 'French', 'T', 20.3),
('MYT', 'Mahoré', 'F', 41.9),
('MYT', 'Malagasy', 'F', 16.1),
('NAM', 'Afrikaans', 'F', 9.5),
('NAM', 'Caprivi', 'F', 4.7),
('NAM', 'German', 'F', 0.9),
('NAM', 'Herero', 'F', 8.0),
('NAM', 'Kavango', 'F', 9.7),
('NAM', 'Nama', 'F', 12.4),
('NAM', 'Ovambo', 'F', 50.7),
('NAM', 'San', 'F', 1.9),
('NCL', 'French', 'T', 34.3),
('NCL', 'Malenasian Languages', 'F', 45.4),
('NCL', 'Polynesian Languages', 'F', 11.6),
('NER', 'Ful', 'F', 9.7),
('NER', 'Hausa', 'F', 53.1),
('NER', 'Kanuri', 'F', 4.4),
('NER', 'Songhai-zerma', 'F', 21.2),
('NER', 'Tamashek', 'F', 10.4),
('NFK', 'English', 'T', 0.0),
('NGA', 'Bura', 'F', 1.6),
('NGA', 'Edo', 'F', 3.3),
('NGA', 'Ful', 'F', 11.3),
('NGA', 'Hausa', 'F', 21.1),
('NGA', 'Ibibio', 'F', 5.6),
('NGA', 'Ibo', 'F', 18.1),
('NGA', 'Ijo', 'F', 1.8),
('NGA', 'Joruba', 'F', 21.4),
('NGA', 'Kanuri', 'F', 4.1),
('NGA', 'Tiv', 'F', 2.3),
('NIC', 'Creole English', 'F', 0.5),
('NIC', 'Miskito', 'F', 1.6),
('NIC', 'Spanish', 'T', 97.6),
('NIC', 'Sumo', 'F', 0.2),
('NIU', 'English', 'T', 0.0),
('NIU', 'Niue', 'F', 0.0),
('NLD', 'Arabic', 'F', 0.9),
('NLD', 'Dutch', 'T', 95.6),
('NLD', 'Fries', 'F', 3.7),
('NLD', 'Turkish', 'F', 0.8),
('NOR', 'Danish', 'F', 0.4),
('NOR', 'English', 'F', 0.5),
('NOR', 'Norwegian', 'T', 96.6),
('NOR', 'Saame', 'F', 0.0),
('NOR', 'Swedish', 'F', 0.3),
('NPL', 'Bhojpuri', 'F', 7.5),
('NPL', 'Hindi', 'F', 3.0),
('NPL', 'Maithili', 'F', 11.9),
('NPL', 'Nepali', 'T', 50.4),
('NPL', 'Newari', 'F', 3.7),
('NPL', 'Tamang', 'F', 4.9),
('NPL', 'Tharu', 'F', 5.4),
('NRU', 'Chinese', 'F', 8.5),
('NRU', 'English', 'T', 7.5),
('NRU', 'Kiribati', 'F', 17.9),
('NRU', 'Nauru', 'T', 57.5),
('NRU', 'Tuvalu', 'F', 8.5),
('NZL', 'English', 'T', 87.0),
('NZL', 'Maori', 'F', 4.3),
('OMN', 'Arabic', 'T', 76.7),
('OMN', 'Balochi', 'F', 0.0),
('PAK', 'Balochi', 'F', 3.0),
('PAK', 'Brahui', 'F', 1.2),
('PAK', 'Hindko', 'F', 2.4),
('PAK', 'Pashto', 'F', 13.1),
('PAK', 'Punjabi', 'F', 48.2),
('PAK', 'Saraiki', 'F', 9.8),
('PAK', 'Sindhi', 'F', 11.8),
('PAK', 'Urdu', 'T', 7.6),
('PAN', 'Arabic', 'F', 0.6),
('PAN', 'Creole English', 'F', 14.0),
('PAN', 'Cuna', 'F', 2.0),
('PAN', 'Embera', 'F', 0.6),
('PAN', 'Guaymí', 'F', 5.3),
('PAN', 'Spanish', 'T', 76.8),
('PCN', 'Pitcairnese', 'F', 0.0),
('PER', 'Aimará', 'T', 2.3),
('PER', 'Ketšua', 'T', 16.4),
('PER', 'Spanish', 'T', 79.8),
('PHL', 'Bicol', 'F', 5.7),
('PHL', 'Cebuano', 'F', 23.3),
('PHL', 'Hiligaynon', 'F', 9.1),
('PHL', 'Ilocano', 'F', 9.3),
('PHL', 'Maguindanao', 'F', 1.4),
('PHL', 'Maranao', 'F', 1.3),
('PHL', 'Pampango', 'F', 3.0),
('PHL', 'Pangasinan', 'F', 1.8),
('PHL', 'Pilipino', 'T', 29.3),
('PHL', 'Waray-waray', 'F', 3.8),
('PLW', 'Chinese', 'F', 1.6),
('PLW', 'English', 'T', 3.2),
('PLW', 'Palau', 'T', 82.2),
('PLW', 'Philippene Languages', 'F', 9.2),
('PNG', 'Malenasian Languages', 'F', 20.0),
('PNG', 'Papuan Languages', 'F', 78.1),
('POL', 'Belorussian', 'F', 0.5),
('POL', 'German', 'F', 1.3),
('POL', 'Polish', 'T', 97.6),
('POL', 'Ukrainian', 'F', 0.6),
('PRI', 'English', 'F', 47.4),
('PRI', 'Spanish', 'T', 51.3),
('PRK', 'Chinese', 'F', 0.1),
('PRK', 'Korean', 'T', 99.9),
('PRT', 'Portuguese', 'T', 99.0),
('PRY', 'German', 'F', 0.9),
('PRY', 'Guaraní', 'T', 40.1),
('PRY', 'Portuguese', 'F', 3.2),
('PRY', 'Spanish', 'T', 55.1),
('PSE', 'Arabic', 'F', 95.9),
('PSE', 'Hebrew', 'F', 4.1),
('PYF', 'Chinese', 'F', 2.9),
('PYF', 'French', 'T', 40.8),
('PYF', 'Tahitian', 'F', 46.4),
('QAT', 'Arabic', 'T', 40.7),
('QAT', 'Urdu', 'F', 0.0),
('REU', 'Chinese', 'F', 2.8),
('REU', 'Comorian', 'F', 2.8),
('REU', 'Creole French', 'F', 91.5),
('REU', 'Malagasy', 'F', 1.4),
('REU', 'Tamil', 'F', 0.0),
('ROM', 'German', 'F', 0.4),
('ROM', 'Hungarian', 'F', 7.2),
('ROM', 'Romani', 'T', 0.7),
('ROM', 'Romanian', 'T', 90.7),
('ROM', 'Serbo-Croatian', 'F', 0.1),
('ROM', 'Ukrainian', 'F', 0.3),
('RUS', 'Avarian', 'F', 0.4),
('RUS', 'Bashkir', 'F', 0.7),
('RUS', 'Belorussian', 'F', 0.3),
('RUS', 'Chechen', 'F', 0.6),
('RUS', 'Chuvash', 'F', 0.9),
('RUS', 'Kazakh', 'F', 0.4),
('RUS', 'Mari', 'F', 0.4),
('RUS', 'Mordva', 'F', 0.5),
('RUS', 'Russian', 'T', 86.6),
('RUS', 'Tatar', 'F', 3.2),
('RUS', 'Udmur', 'F', 0.3),
('RUS', 'Ukrainian', 'F', 1.3),
('RWA', 'French', 'T', 0.0),
('RWA', 'Rwanda', 'T', 100.0),
('SAU', 'Arabic', 'T', 95.0),
('SDN', 'Arabic', 'T', 49.4),
('SDN', 'Bari', 'F', 2.5),
('SDN', 'Beja', 'F', 6.4),
('SDN', 'Chilluk', 'F', 1.7),
('SDN', 'Dinka', 'F', 11.5),
('SDN', 'Fur', 'F', 2.1),
('SDN', 'Lotuko', 'F', 1.5),
('SDN', 'Nubian Languages', 'F', 8.1),
('SDN', 'Nuer', 'F', 4.9),
('SDN', 'Zande', 'F', 2.7),
('SEN', 'Diola', 'F', 5.0),
('SEN', 'Ful', 'F', 21.7),
('SEN', 'Malinke', 'F', 3.8),
('SEN', 'Serer', 'F', 12.5),
('SEN', 'Soninke', 'F', 1.3),
('SEN', 'Wolof', 'T', 48.1),
('SGP', 'Chinese', 'T', 77.1),
('SGP', 'Malay', 'T', 14.1),
('SGP', 'Tamil', 'T', 7.4),
('SHN', 'English', 'T', 0.0),
('SJM', 'Norwegian', 'T', 0.0),
('SJM', 'Russian', 'F', 0.0),
('SLB', 'Malenasian Languages', 'F', 85.6),
('SLB', 'Papuan Languages', 'F', 8.6),
('SLB', 'Polynesian Languages', 'F', 3.8),
('SLE', 'Bullom-sherbro', 'F', 3.8),
('SLE', 'Ful', 'F', 3.8),
('SLE', 'Kono-vai', 'F', 5.1),
('SLE', 'Kuranko', 'F', 3.4),
('SLE', 'Limba', 'F', 8.3),
('SLE', 'Mende', 'F', 34.8),
('SLE', 'Temne', 'F', 31.8),
('SLE', 'Yalunka', 'F', 3.4),
('SLV', 'Nahua', 'F', 0.0),
('SLV', 'Spanish', 'T', 100.0),
('SMR', 'Italian', 'T', 100.0),
('SOM', 'Arabic', 'T', 0.0),
('SOM', 'Somali', 'T', 98.3),
('SPM', 'French', 'T', 0.0),
('STP', 'Crioulo', 'F', 86.3),
('STP', 'French', 'F', 0.7),
('SUR', 'Hindi', 'F', 0.0),
('SUR', 'Sranantonga', 'F', 81.0),
('SVK', 'Czech and Moravian', 'F', 1.1),
('SVK', 'Hungarian', 'F', 10.5),
('SVK', 'Romani', 'F', 1.7),
('SVK', 'Slovak', 'T', 85.6),
('SVK', 'Ukrainian and Russian', 'F', 0.6),
('SVN', 'Hungarian', 'F', 0.5),
('SVN', 'Serbo-Croatian', 'F', 7.9),
('SVN', 'Slovene', 'T', 87.9),
('SWE', 'Arabic', 'F', 0.8),
('SWE', 'Finnish', 'F', 2.4),
('SWE', 'Norwegian', 'F', 0.5),
('SWE', 'Southern Slavic Languages', 'F', 1.3),
('SWE', 'Spanish', 'F', 0.6),
('SWE', 'Swedish', 'T', 89.5),
('SWZ', 'Swazi', 'T', 89.9),
('SWZ', 'Zulu', 'F', 2.0),
('SYC', 'English', 'T', 3.8),
('SYC', 'French', 'T', 1.3),
('SYC', 'Seselwa', 'F', 91.3),
('SYR', 'Arabic', 'T', 90.0),
('SYR', 'Kurdish', 'F', 9.0),
('TCA', 'English', 'T', 0.0),
('TCD', 'Arabic', 'T', 12.3),
('TCD', 'Gorane', 'F', 6.2),
('TCD', 'Hadjarai', 'F', 6.7),
('TCD', 'Kanem-bornu', 'F', 9.0),
('TCD', 'Mayo-kebbi', 'F', 11.5),
('TCD', 'Ouaddai', 'F', 8.7),
('TCD', 'Sara', 'F', 27.7),
('TCD', 'Tandjile', 'F', 6.5),
('TGO', 'Ane', 'F', 5.7),
('TGO', 'Ewe', 'T', 23.2),
('TGO', 'Gurma', 'F', 3.4),
('TGO', 'Kabyé', 'T', 13.8),
('TGO', 'Kotokoli', 'F', 5.7),
('TGO', 'Moba', 'F', 5.4),
('TGO', 'Naudemba', 'F', 4.1),
('TGO', 'Watyi', 'F', 10.3),
('THA', 'Chinese', 'F', 12.1),
('THA', 'Khmer', 'F', 1.3),
('THA', 'Kuy', 'F', 1.1),
('THA', 'Lao', 'F', 26.9),
('THA', 'Malay', 'F', 3.6),
('THA', 'Thai', 'T', 52.6),
('TJK', 'Russian', 'F', 9.7),
('TJK', 'Tadzhik', 'T', 62.2),
('TJK', 'Uzbek', 'F', 23.2),
('TKL', 'English', 'T', 0.0),
('TKL', 'Tokelau', 'F', 0.0),
('TKM', 'Kazakh', 'F', 2.0),
('TKM', 'Russian', 'F', 6.7),
('TKM', 'Turkmenian', 'T', 76.7),
('TKM', 'Uzbek', 'F', 9.2),
('TMP', 'Portuguese', 'T', 0.0),
('TMP', 'Sunda', 'F', 0.0),
('TON', 'English', 'T', 0.0),
('TON', 'Tongan', 'T', 98.3),
('TTO', 'Creole English', 'F', 2.9),
('TTO', 'English', 'F', 93.5),
('TTO', 'Hindi', 'F', 3.4),
('TUN', 'Arabic', 'T', 69.9),
('TUN', 'Arabic-French', 'F', 26.3),
('TUN', 'Arabic-French-English', 'F', 3.2),
('TUR', 'Arabic', 'F', 1.4),
('TUR', 'Kurdish', 'F', 10.6),
('TUR', 'Turkish', 'T', 87.6),
('TUV', 'English', 'T', 0.0),
('TUV', 'Kiribati', 'F', 7.5),
('TUV', 'Tuvalu', 'T', 92.5),
('TWN', 'Ami', 'F', 0.6),
('TWN', 'Atayal', 'F', 0.4),
('TWN', 'Hakka', 'F', 11.0),
('TWN', 'Mandarin Chinese', 'T', 20.1),
('TWN', 'Min', 'F', 66.7),
('TWN', 'Paiwan', 'F', 0.3),
('TZA', 'Chaga and Pare', 'F', 4.9),
('TZA', 'Gogo', 'F', 3.9),
('TZA', 'Ha', 'F', 3.5),
('TZA', 'Haya', 'F', 5.9),
('TZA', 'Hehet', 'F', 6.9),
('TZA', 'Luguru', 'F', 4.9),
('TZA', 'Makonde', 'F', 5.9),
('TZA', 'Nyakusa', 'F', 5.4),
('TZA', 'Nyamwesi', 'F', 21.1),
('TZA', 'Shambala', 'F', 4.3),
('TZA', 'Swahili', 'T', 8.8),
('UGA', 'Acholi', 'F', 4.4),
('UGA', 'Ganda', 'F', 18.1),
('UGA', 'Gisu', 'F', 4.5),
('UGA', 'Kiga', 'F', 8.3),
('UGA', 'Lango', 'F', 5.9),
('UGA', 'Lugbara', 'F', 4.7),
('UGA', 'Nkole', 'F', 10.7),
('UGA', 'Rwanda', 'F', 3.2),
('UGA', 'Soga', 'F', 8.2),
('UGA', 'Teso', 'F', 6.0),
('UKR', 'Belorussian', 'F', 0.3),
('UKR', 'Bulgariana', 'F', 0.3),
('UKR', 'Hungarian', 'F', 0.3),
('UKR', 'Polish', 'F', 0.1),
('UKR', 'Romanian', 'F', 0.7),
('UKR', 'Russian', 'F', 32.9),
('UKR', 'Ukrainian', 'T', 64.7),
('UMI', 'English', 'T', 0.0),
('URY', 'Spanish', 'T', 95.7),
('USA', 'Chinese', 'F', 0.6),
('USA', 'English', 'T', 86.2),
('USA', 'French', 'F', 0.7),
('USA', 'German', 'F', 0.7),
('USA', 'Italian', 'F', 0.6),
('USA', 'Japanese', 'F', 0.2),
('USA', 'Korean', 'F', 0.3),
('USA', 'Polish', 'F', 0.3),
('USA', 'Portuguese', 'F', 0.2),
('USA', 'Spanish', 'F', 7.5),
('USA', 'Tagalog', 'F', 0.4),
('USA', 'Vietnamese', 'F', 0.2),
('UZB', 'Karakalpak', 'F', 2.0),
('UZB', 'Kazakh', 'F', 3.8),
('UZB', 'Russian', 'F', 10.9),
('UZB', 'Tadzhik', 'F', 4.4),
('UZB', 'Tatar', 'F', 1.8),
('UZB', 'Uzbek', 'T', 72.6),
('VAT', 'Italian', 'T', 0.0),
('VCT', 'Creole English', 'F', 99.1),
('VCT', 'English', 'T', 0.0),
('VEN', 'Goajiro', 'F', 0.4),
('VEN', 'Spanish', 'T', 96.9),
('VEN', 'Warrau', 'F', 0.1),
('VGB', 'English', 'T', 0.0),
('VIR', 'English', 'T', 81.7),
('VIR', 'French', 'F', 2.5),
('VIR', 'Spanish', 'F', 13.3),
('VNM', 'Chinese', 'F', 1.4),
('VNM', 'Khmer', 'F', 1.4),
('VNM', 'Man', 'F', 0.7),
('VNM', 'Miao', 'F', 0.9),
('VNM', 'Muong', 'F', 1.5),
('VNM', 'Nung', 'F', 1.1),
('VNM', 'Thai', 'F', 1.6),
('VNM', 'Tho', 'F', 1.8),
('VNM', 'Vietnamese', 'T', 86.8),
('VUT', 'Bislama', 'T', 56.6),
('VUT', 'English', 'T', 28.3),
('VUT', 'French', 'T', 14.2),
('WLF', 'Futuna', 'F', 0.0),
('WLF', 'Wallis', 'F', 0.0),
('WSM', 'English', 'T', 0.6),
('WSM', 'Samoan', 'T', 47.5),
('WSM', 'Samoan-English', 'F', 52.0),
('YEM', 'Arabic', 'T', 99.6),
('YEM', 'Soqutri', 'F', 0.0),
('YUG', 'Albaniana', 'F', 16.5),
('YUG', 'Hungarian', 'F', 3.4),
('YUG', 'Macedonian', 'F', 0.5),
('YUG', 'Romani', 'F', 1.4),
('YUG', 'Serbo-Croatian', 'T', 75.2),
('YUG', 'Slovak', 'F', 0.7),
('ZAF', 'Afrikaans', 'T', 14.3),
('ZAF', 'English', 'T', 8.5),
('ZAF', 'Ndebele', 'F', 1.5),
('ZAF', 'Northsotho', 'F', 9.1),
('ZAF', 'Southsotho', 'F', 7.6),
('ZAF', 'Swazi', 'F', 2.5),
('ZAF', 'Tsonga', 'F', 4.3),
('ZAF', 'Tswana', 'F', 8.1),
('ZAF', 'Venda', 'F', 2.2),
('ZAF', 'Xhosa', 'T', 17.7),
('ZAF', 'Zulu', 'T', 22.7),
('ZMB', 'Bemba', 'F', 29.7),
('ZMB', 'Chewa', 'F', 5.7),
('ZMB', 'Lozi', 'F', 6.4),
('ZMB', 'Nsenga', 'F', 4.3),
('ZMB', 'Nyanja', 'F', 7.8),
('ZMB', 'Tongan', 'F', 11.0),
('ZWE', 'English', 'T', 2.2),
('ZWE', 'Ndebele', 'F', 16.2),
('ZWE', 'Nyanja', 'F', 2.2),
('ZWE', 'Shona', 'F', 72.1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_currencies_rate`
--

CREATE TABLE `tbl_currencies_rate` (
  `Exchange_Rate_ID` int(11) NOT NULL,
  `from_currency` int(30) NOT NULL,
  `ExchRate` double NOT NULL,
  `to_currency` int(30) NOT NULL,
  `Exchange_Rate_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_currencies_rate`
--

INSERT INTO `tbl_currencies_rate` (`Exchange_Rate_ID`, `from_currency`, `ExchRate`, `to_currency`, `Exchange_Rate_Date`, `Logged_ID`) VALUES
(1, 144, 3.76, 120, '2023-01-04', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customers`
--

CREATE TABLE `tbl_customers` (
  `Customer_ID` int(11) NOT NULL,
  `Customer_Name` varchar(100) NOT NULL,
  `Customer_Code` varchar(500) DEFAULT NULL,
  `Customer_Email` varchar(100) DEFAULT NULL,
  `Customer_Phone` varchar(50) DEFAULT NULL,
  `Customer_Work_Phone` varchar(50) DEFAULT NULL,
  `Customer_Mobile` varchar(50) NOT NULL,
  `Customer_Company` varchar(50) DEFAULT NULL,
  `region_id` int(11) DEFAULT NULL,
  `Customer_Country_ID` int(11) NOT NULL,
  `Customer_City_ID` int(11) NOT NULL,
  `Customer_Address` varchar(255) NOT NULL DEFAULT '',
  `Customer_Discount` int(11) NOT NULL DEFAULT '0',
  `Customer_Limit_Balance` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Customer_CR` varchar(11) NOT NULL,
  `Class_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Parent_ID` int(11) NOT NULL DEFAULT '0',
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `stop_invoice` tinyint(1) NOT NULL DEFAULT '0',
  `account_id_online` int(11) NOT NULL,
  `customer_app_id` int(11) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `Customer_Lat` double DEFAULT NULL,
  `Customer_Lng` double DEFAULT NULL,
  `allergy_id` varchar(250) NOT NULL DEFAULT '',
  `intolerance_id` varchar(250) NOT NULL DEFAULT '',
  `customer_due_date_period` double NOT NULL,
  `account_parent_id` int(11) DEFAULT NULL,
  `Organization_id` int(11) NOT NULL,
  `user_name` varchar(200) NOT NULL DEFAULT '',
  `password` varchar(250) NOT NULL DEFAULT '',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=>normal user; 1=>distribution,2=>attendance,3=>api',
  `app_id` int(11) DEFAULT NULL,
  `web_api_user_id` int(11) DEFAULT NULL,
  `customer_class_id` int(11) DEFAULT NULL,
  `customer_group_id` int(11) DEFAULT NULL,
  `route_id` int(11) DEFAULT NULL,
  `customer_note` text NOT NULL,
  `other_pay_acc_id` int(11) DEFAULT NULL,
  `customer_other_id` text,
  `customer_postal_code` text,
  `customer_additional_number` text,
  `customer_vat` text,
  `branch_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_customers`
--

INSERT INTO `tbl_customers` (`Customer_ID`, `Customer_Name`, `Customer_Code`, `Customer_Email`, `Customer_Phone`, `Customer_Work_Phone`, `Customer_Mobile`, `Customer_Company`, `region_id`, `Customer_Country_ID`, `Customer_City_ID`, `Customer_Address`, `Customer_Discount`, `Customer_Limit_Balance`, `Currency_ID`, `Customer_CR`, `Class_ID`, `Logged_ID`, `Parent_ID`, `Status_ID`, `stop_invoice`, `account_id_online`, `customer_app_id`, `app_user_id`, `Customer_Lat`, `Customer_Lng`, `allergy_id`, `intolerance_id`, `customer_due_date_period`, `account_parent_id`, `Organization_id`, `user_name`, `password`, `type`, `app_id`, `web_api_user_id`, `customer_class_id`, `customer_group_id`, `route_id`, `customer_note`, `other_pay_acc_id`, `customer_other_id`, `customer_postal_code`, `customer_additional_number`, `customer_vat`, `branch_id`) VALUES
(0, 'Cash Customer', '', '', '123123123', '', '123456', '', NULL, 184, 3174, 'jedda', 0, 0, 120, '', 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, '', '', 0, NULL, 0, '', '', 0, NULL, NULL, NULL, NULL, NULL, '', NULL, '', '', '', '', 1);

--
-- Triggers `tbl_customers`
--
DELIMITER $$
CREATE TRIGGER `add_customer_account` AFTER INSERT ON `tbl_customers` FOR EACH ROW BEGIN
        IF @disable_customer_trigger IS NULL THEN IF NEW.account_parent_id IS NULL THEN
    SET
        @main_parent =(
        SELECT
            acc_setting_value
        FROM
            tbl_account_setting
        WHERE
            acc_setting_name = 'customer_main_acc_id'
    ) ; ELSE
SET
    @main_parent = NEW.account_parent_id ;
    END IF ;
SET
    @parent_id_vat =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'customer_vat_acc_id'
) ;
CALL
    `sp_get_auto_account_by_parent`(@main_parent, 1, @generated_main) ;
INSERT INTO tbl_chart_of_accounts
SET
    Account_Name = NEW.Customer_Name,
    Parent_ID = @main_parent,
    Account_Code = @generated_main,
    main_id = NEW.Customer_ID,
    main_type = 'cust',
    sub_type = 'main',
    Currency_ID = NEW.Currency_ID,
    IsAdded = 1 ;
CALL
    `sp_get_auto_account_by_parent`(
        @parent_id_vat,
        1,
        @generated_vat
    ) ;
INSERT INTO tbl_chart_of_accounts
SET
    Account_Name = NEW.Customer_Name,
    Parent_ID = @parent_id_vat,
    Account_Code = @generated_vat,
    main_id = NEW.Customer_ID,
    main_type = 'cust',
    sub_type = 'vat',
    Currency_ID = NEW.Currency_ID,
    IsAdded = 1 ;
END IF ;
END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `after_update_customer` AFTER UPDATE ON `tbl_customers` FOR EACH ROW BEGIN
        IF OLD.Customer_Name <> NEW.Customer_Name THEN
    UPDATE
        tbl_chart_of_accounts
    SET
        Account_Name = NEW.Customer_Name
    WHERE
        main_id = OLD.Customer_ID AND main_type = 'cust' ;
    END IF ; IF OLD.Currency_ID <> NEW.Currency_ID THEN
UPDATE
    tbl_chart_of_accounts
SET
    Currency_ID = NEW.Currency_ID
WHERE
    main_id = OLD.Customer_ID AND main_type = 'cust' ;
END IF ; IF(
    IFNULL(OLD.account_parent_id, 0) <> IFNULL(NEW.account_parent_id, 0)
) THEN IF NEW.account_parent_id IS NULL THEN
SET
    @main_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'customer_main_acc_id'
) ; ELSE
SET
    @main_parent = NEW.account_parent_id ;
END IF ;
CALL
    `sp_get_auto_account_by_parent`(@main_parent, 1, @main_code) ;
UPDATE
    tbl_chart_of_accounts
SET
    Account_Code = @main_code,
    Parent_ID = @main_parent
WHERE
    main_id = OLD.Customer_ID AND main_type = 'cust' AND sub_type = 'main' ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_address`
--

CREATE TABLE `tbl_customer_address` (
  `address_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `address_name` text NOT NULL,
  `is_main` tinyint(11) NOT NULL DEFAULT '0',
  `address_id_online` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_branches`
--

CREATE TABLE `tbl_customer_branches` (
  `customer_branch_id` int(11) NOT NULL,
  `customer_branch_name` varchar(200) NOT NULL,
  `customer_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_coupon`
--

CREATE TABLE `tbl_customer_coupon` (
  `auto_id` int(11) NOT NULL,
  `customer_coupon_id` int(11) NOT NULL,
  `customer_coupon_prefix` varchar(200) NOT NULL,
  `Customer_ID` int(11) NOT NULL,
  `invoice_date` date NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `total_vat` double NOT NULL DEFAULT '0',
  `total_discount` double NOT NULL DEFAULT '0',
  `sub_total` double NOT NULL DEFAULT '0',
  `discount_percent` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `paid_amount` double NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `logged_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `description` text NOT NULL,
  `depot_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `second_currency_rate` double DEFAULT '0',
  `class_id` int(11) NOT NULL,
  `bone_type_id` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0',
  `job_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_coupon_details`
--

CREATE TABLE `tbl_customer_coupon_details` (
  `entry_id` int(11) NOT NULL,
  `auto_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0',
  `default_quantity` double NOT NULL DEFAULT '0',
  `unit_price` double NOT NULL DEFAULT '0',
  `total_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `discount_percent` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `note` text NOT NULL,
  `coupon_number` varchar(350) DEFAULT NULL,
  `coupon_date` date DEFAULT NULL,
  `type_id` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1:coupon,2:product'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_organization`
--

CREATE TABLE `tbl_customer_organization` (
  `organization_id` int(11) NOT NULL,
  `organization_name` varchar(200) NOT NULL,
  `organization_email` varchar(200) NOT NULL,
  `organization_customer_name` varchar(200) NOT NULL,
  `orgaization_work_phone` varchar(200) NOT NULL,
  `orgaization_mobile_phone` varchar(200) NOT NULL,
  `city_id` int(11) NOT NULL,
  `organization_address` varchar(250) NOT NULL,
  `start_date` date NOT NULL,
  `is_moved` tinyint(1) NOT NULL DEFAULT '0',
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `last_modified` datetime DEFAULT NULL,
  `region_id` int(11) DEFAULT NULL,
  `organization_longitude` double DEFAULT NULL,
  `organization_latitude` double DEFAULT NULL,
  `organization_group_id` int(11) DEFAULT NULL,
  `job_description` varchar(250) DEFAULT NULL,
  `is_contacted` tinyint(4) NOT NULL DEFAULT '0',
  `is_potiential` tinyint(4) NOT NULL DEFAULT '0',
  `route_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_customer_organization`
--

INSERT INTO `tbl_customer_organization` (`organization_id`, `organization_name`, `organization_email`, `organization_customer_name`, `orgaization_work_phone`, `orgaization_mobile_phone`, `city_id`, `organization_address`, `start_date`, `is_moved`, `created_by`, `date_created`, `modified_by`, `last_modified`, `region_id`, `organization_longitude`, `organization_latitude`, `organization_group_id`, `job_description`, `is_contacted`, `is_potiential`, `route_id`) VALUES
(1, '', 'aasasdxxx@firemailb.com', 'test', '', '7676787676', 2438, 'Adresse', '2021-06-25', 0, 1, '2021-06-25 13:37:51', NULL, '2021-06-25 13:37:51', NULL, NULL, NULL, NULL, NULL, 1, 0, NULL),
(2, '', 'email@gmail.com', 'test', '7899819818', '78948198198', 2438, 'beirut', '2021-08-11', 0, 1, '2021-08-11 14:09:52', NULL, '2021-08-11 14:09:52', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_shipping_address`
--

CREATE TABLE `tbl_customer_shipping_address` (
  `shipping_address_id` int(11) NOT NULL,
  `shipping_title` varchar(250) NOT NULL,
  `city_id` int(11) NOT NULL,
  `fastpax_city_id` int(11) DEFAULT NULL,
  `shipping_street` varchar(250) NOT NULL,
  `shipping_building` varchar(250) NOT NULL,
  `shipping_address` varchar(500) NOT NULL,
  `is_default` tinyint(4) NOT NULL DEFAULT '0',
  `Customer_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_subscription`
--

CREATE TABLE `tbl_customer_subscription` (
  `customer_subscription_id` int(11) NOT NULL,
  `customer_subscription_title` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `subscription_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `is_active` tinyint(4) NOT NULL DEFAULT '1' COMMENT '0:not active,1:active',
  `note` text COLLATE utf8_unicode_ci NOT NULL,
  `bill_depend` tinyint(4) NOT NULL COMMENT '1:on start date,2:on subscription period bill',
  `next_due_date` date NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL,
  `block_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_supplier_contacts`
--

CREATE TABLE `tbl_customer_supplier_contacts` (
  `contact_id` int(11) NOT NULL,
  `contact_name` varchar(200) NOT NULL,
  `contact_position` varchar(200) NOT NULL,
  `contact_phone_number` varchar(200) NOT NULL,
  `contact_note` text NOT NULL,
  `main_id` int(11) NOT NULL,
  `type_id` tinyint(4) NOT NULL COMMENT '1:customer,2:supplier'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_customer_visit`
--

CREATE TABLE `tbl_customer_visit` (
  `visit_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `longitude` double NOT NULL DEFAULT '0',
  `latitude` double NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `time` time NOT NULL,
  `visit_prefix` varchar(255) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_visit_id` int(11) NOT NULL,
  `visit_nb` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_cust_supp_prod_codes`
--

CREATE TABLE `tbl_cust_supp_prod_codes` (
  `entry_id` int(11) NOT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `product_id` int(11) NOT NULL,
  `product_code` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_daily_deposits`
--

CREATE TABLE `tbl_daily_deposits` (
  `Daily_Deposit_ID` int(11) NOT NULL,
  `Cash_Category_ID` int(11) DEFAULT NULL,
  `Deposit_Quantity` int(11) NOT NULL,
  `Deposit_Cash_Code` varchar(50) NOT NULL,
  `Deposit_From_Code` varchar(50) NOT NULL,
  `Deposit_Date` date NOT NULL,
  `Deposit_Time` time NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Cash_Account_ID` bigint(20) NOT NULL,
  `From_Account_ID` bigint(20) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_daily_withdrawal`
--

CREATE TABLE `tbl_daily_withdrawal` (
  `Daily_WithDrawal_ID` int(11) NOT NULL,
  `Cash_Category_ID` int(11) DEFAULT NULL,
  `WD_Quantity` int(11) NOT NULL,
  `WD_Cash_Code` varchar(100) NOT NULL,
  `WD_From_Code` varchar(100) NOT NULL,
  `WD_Date` date NOT NULL,
  `WD_Time` time NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Cash_Account_ID` bigint(20) NOT NULL,
  `From_Account_ID` bigint(20) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_damage`
--

CREATE TABLE `tbl_damage` (
  `damage_id` int(11) NOT NULL,
  `damage_nb` int(11) NOT NULL,
  `damage_prefix` varchar(255) NOT NULL,
  `damage_date` date NOT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `Depot_ID` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `damage_note` text NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` int(11) NOT NULL DEFAULT '0',
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_damage_id` int(11) NOT NULL,
  `app_branch_id` int(11) NOT NULL,
  `return_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_damage`
--

INSERT INTO `tbl_damage` (`damage_id`, `damage_nb`, `damage_prefix`, `damage_date`, `customer_id`, `Depot_ID`, `branch_id`, `damage_note`, `current_year_id`, `is_actual`, `created_logged_id`, `Logged_ID`, `date_created`, `date_time`, `app_user_id`, `app_damage_id`, `app_branch_id`, `return_id`) VALUES
(1, 1, 'B', '2021-07-01', 1, 1, 1, '', 2, 0, 1, 1, '2021-07-01 09:19:28', '2021-07-01 09:19:28', 0, 0, 0, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_damage_details`
--

CREATE TABLE `tbl_damage_details` (
  `detail_id` int(11) NOT NULL,
  `damage_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `quantity` double NOT NULL DEFAULT '0',
  `current_quantity` double NOT NULL DEFAULT '0',
  `uom_id` int(11) NOT NULL,
  `expiry_date` date DEFAULT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `unit_cost` double NOT NULL DEFAULT '0',
  `return_detail_id` int(11) DEFAULT NULL,
  `detail_note` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_damage_details`
--

INSERT INTO `tbl_damage_details` (`detail_id`, `damage_id`, `product_id`, `quantity`, `current_quantity`, `uom_id`, `expiry_date`, `lot_nb`, `serial_nb`, `unit_cost`, `return_detail_id`, `detail_note`) VALUES
(1, 1, 1, 20, 20, 1, NULL, '', '', 1000, NULL, '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_dashboard_boxes`
--

CREATE TABLE `tbl_dashboard_boxes` (
  `box_id` int(11) NOT NULL,
  `box_name` varchar(255) NOT NULL,
  `role_ids` varchar(255) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_dashboard_box_blocks`
--

CREATE TABLE `tbl_dashboard_box_blocks` (
  `block_id` int(11) NOT NULL,
  `box_id` int(11) NOT NULL,
  `block_name` varchar(255) NOT NULL,
  `account_ids` text NOT NULL,
  `show_total_only` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals`
--

CREATE TABLE `tbl_deals` (
  `deal_id` int(11) NOT NULL,
  `deal_title` varchar(250) NOT NULL,
  `deal_date` datetime NOT NULL,
  `deal_state` varchar(250) NOT NULL,
  `stage_id` tinyint(4) NOT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `deal_value` varchar(500) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `deal_open` varchar(200) NOT NULL,
  `progress_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `reason_for_loss` text NOT NULL,
  `Cat_ID` varchar(250) DEFAULT NULL,
  `deal_probability` double NOT NULL DEFAULT '0',
  `date_last_contacted` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `last_modified` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_deals`
--

INSERT INTO `tbl_deals` (`deal_id`, `deal_title`, `deal_date`, `deal_state`, `stage_id`, `contact_id`, `deal_value`, `currency_id`, `deal_open`, `progress_id`, `order_id`, `reason_for_loss`, `Cat_ID`, `deal_probability`, `date_last_contacted`, `created_by`, `date_created`, `modified_by`, `last_modified`) VALUES
(1, 'test Deal', '2021-06-25 13:39:23', 'Incomplete', 1, 1, '1000', 84, 'Activated', 0, 1, '', '2', 10, '2021-06-25 13:41:42', 1, '2021-06-25 13:39:23', NULL, '2021-06-25 13:39:23'),
(2, 'test Deal', '2021-08-11 14:13:25', 'Incomplete', 3, 1, '', 0, 'Activated', 0, 1, '', '1', 0, '2021-08-11 14:13:25', 1, '2021-08-11 14:13:25', NULL, '2021-08-11 14:13:25');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals_activity`
--

CREATE TABLE `tbl_deals_activity` (
  `activity_id` int(11) NOT NULL,
  `activity_title` varchar(250) NOT NULL,
  `activity_notes` mediumtext NOT NULL,
  `activity_type_id` tinyint(4) NOT NULL,
  `organization_id` int(11) NOT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `deal_id` int(11) DEFAULT NULL,
  `start_date` datetime NOT NULL,
  `activity_duration` varchar(200) NOT NULL,
  `end_date` datetime NOT NULL,
  `activity_start_lat` varchar(50) NOT NULL DEFAULT '',
  `activity_start_lng` varchar(50) NOT NULL DEFAULT '',
  `activity_end_lat` varchar(50) NOT NULL DEFAULT '',
  `activity_end_lng` varchar(50) NOT NULL DEFAULT '',
  `activity_checked` tinyint(4) NOT NULL,
  `activity_created_at` datetime NOT NULL,
  `activity_checked_at` datetime DEFAULT NULL,
  `action_type_id` int(11) DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `last_modified` datetime DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_deals_activity`
--

INSERT INTO `tbl_deals_activity` (`activity_id`, `activity_title`, `activity_notes`, `activity_type_id`, `organization_id`, `contact_id`, `deal_id`, `start_date`, `activity_duration`, `end_date`, `activity_start_lat`, `activity_start_lng`, `activity_end_lat`, `activity_end_lng`, `activity_checked`, `activity_created_at`, `activity_checked_at`, `action_type_id`, `created_by`, `date_created`, `modified_by`, `last_modified`, `parent_id`) VALUES
(1, 'Call', 'hghihugiuj', 1, 1, 1, 1, '2021-06-25 13:40:00', '00:15', '2021-06-25 13:55:00', '', '', '', '', 1, '2021-06-25 13:41:13', '2021-06-25 13:41:42', NULL, 1, '2021-06-25 13:41:13', NULL, '2021-06-25 13:41:13', NULL),
(2, 'Call', 'n,m ,m', 1, 1, NULL, NULL, '2021-06-25 13:42:00', '00:15', '2021-06-25 13:57:00', '', '', '', '', 1, '2021-06-25 13:43:05', '2021-06-29 14:06:47', NULL, 1, '2021-06-25 13:43:05', NULL, '2021-06-25 13:43:05', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals_log`
--

CREATE TABLE `tbl_deals_log` (
  `log_id` int(11) NOT NULL,
  `deal_id` int(11) NOT NULL,
  `old_stage_id` tinyint(4) NOT NULL,
  `new_stage_id` tinyint(4) NOT NULL,
  `log_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_deals_log`
--

INSERT INTO `tbl_deals_log` (`log_id`, `deal_id`, `old_stage_id`, `new_stage_id`, `log_date`) VALUES
(1, 1, 0, 0, '2021-06-25 13:39:23'),
(2, 2, 0, 0, '2021-08-11 14:13:25');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals_notes`
--

CREATE TABLE `tbl_deals_notes` (
  `note_id` int(11) NOT NULL,
  `note_content` text NOT NULL,
  `deal_id` int(11) NOT NULL,
  `organization_id` int(11) NOT NULL,
  `contact_id` int(11) NOT NULL,
  `note_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals_progress`
--

CREATE TABLE `tbl_deals_progress` (
  `progress_id` int(11) NOT NULL,
  `stage_id` tinyint(4) NOT NULL,
  `deal_id` int(11) NOT NULL,
  `progress_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_deals_progress`
--

INSERT INTO `tbl_deals_progress` (`progress_id`, `stage_id`, `deal_id`, `progress_date`) VALUES
(1, 1, 1, '2021-06-25 13:39:23'),
(2, 2, 1, '0000-00-00 00:00:00'),
(3, 3, 1, '0000-00-00 00:00:00'),
(4, 1, 2, '0000-00-00 00:00:00'),
(5, 2, 2, '0000-00-00 00:00:00'),
(6, 3, 2, '2021-08-11 14:13:25');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals_stage`
--

CREATE TABLE `tbl_deals_stage` (
  `stage_id` tinyint(4) NOT NULL,
  `stage_title` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_deals_stage`
--

INSERT INTO `tbl_deals_stage` (`stage_id`, `stage_title`) VALUES
(1, 'Lead In'),
(2, 'Contact Made'),
(3, 'Proposal Made');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deals_state_log`
--

CREATE TABLE `tbl_deals_state_log` (
  `state_log_id` int(11) NOT NULL,
  `deal_state` varchar(200) NOT NULL,
  `deal_id` int(11) NOT NULL,
  `state_log_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_default_currency`
--

CREATE TABLE `tbl_default_currency` (
  `id` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_default_currency`
--

INSERT INTO `tbl_default_currency` (`id`, `Currency_ID`, `Logged_ID`) VALUES
(1, 120, 1),
(2, 144, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_default_settings`
--

CREATE TABLE `tbl_default_settings` (
  `setting_id` int(11) NOT NULL,
  `setting_name` varchar(255) NOT NULL,
  `setting_value` varchar(255) NOT NULL,
  `setting_type` varchar(1000) NOT NULL,
  `is_private` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_default_settings`
--

INSERT INTO `tbl_default_settings` (`setting_id`, `setting_name`, `setting_value`, `setting_type`, `is_private`) VALUES
(1, 'default_depot', '1', 'table##s##depot', 0),
(2, 'activate_scale', '1', 'bool', 1),
(3, 'sumatra_print', '0', 'bool', 0),
(4, 'plu_as_code', '1', 'bool', 1),
(5, 'pricing_class_id', '1', 'table##s##price', 0),
(6, 'vat_percent', '15', 'percent', 0),
(7, 'auto_generate_code', '1', 'bool', 0),
(8, 'negative_sales', '1', 'bool', 0),
(9, 'change_pos_currency', '1', 'bool', 0),
(10, 'default_branch_id', '1', 'table##s##org_branch', 0),
(11, 'customer_code_in_app', '1', 'bool', 0),
(12, 'print_pos_order', '0', 'bool', 0),
(13, 'stop_user_prefix', '1', 'bool', 1),
(14, 'stop_branch_prefix', '0', 'bool', 1),
(15, 'transfer_from_current_branch_only', '0', 'bool', 0),
(16, 'allow_purchase_vat_edit', '1', 'bool', 0),
(17, 'view_cost_in_pos', '1', 'bool', 0),
(18, 'view_stock_qty_in_pos', '1', 'bool', 0),
(19, 'view_barcode_in_pos', '0', 'bool', 0),
(20, 'view_current_cost_in_pos', '0', 'bool', 0),
(21, 'pos_confirm_delete_row', '0', 'bool', 0),
(22, 'add_pos_customer', '2', 'option##s##{\"0\":\"Account Customers\",\"1\":\"Road Customers\",\"2\":\"Both\"}', 0),
(23, 'merge_sales_pur_accounts', '1', 'bool', 0),
(24, 'merge_cust_supp_accounts', '1', 'bool', 0),
(25, 'item_desc_in_transaction', '1', 'bool', 0),
(26, 'cust_supp_required_parent', '0', 'bool', 0),
(27, 'search_product_by_cat', '0', 'bool', 0),
(28, 'barcode_sumatra_print', '0', 'bool', 0),
(31, 'app_print_is_hide_header', '1', 'bool', 0),
(32, 'app_print_is_hide_vat', '1', 'bool', 0),
(33, 'ignore_zero_item_disc', '1', 'bool', 0),
(34, 'default_barcode_class_id', '1', 'table##s##price', 0),
(36, 'display_shelf_locations', '0', 'bool', 0),
(37, 'cost_dist_method', '1', 'option##s##{\"0\":\"Quantity\",\"1\":\"Price\",\"2\":\"maunual_percent\"}', 0),
(38, 'activate_accounting_job', '1', 'bool', 0),
(39, 'all_jobs_for_notlinked_accs', '0', 'bool', 0),
(40, 'activate_trans_subtype', '0', 'bool', 0),
(41, 'local_currency', '120', 'table##s##currency', 1),
(42, 'second_currency', '144', 'table##s##currency', 1),
(43, 'pos_service', '0', 'percent', 0),
(44, 'activate_smart_diner', '0', 'bool', 1),
(45, 'activate_second_currency', '0', 'bool', 0),
(46, 'is_tag_active', '0', 'bool', 0),
(47, 'is_sync_active', '0', 'bool', 1),
(48, 'smart_diner_app_class_id', '1', 'table##s##price', 0),
(49, 'activate_card_tax', '0', 'bool', 1),
(50, 'is_add_ons_active', '0', 'bool', 0),
(51, 'default_overtime', '30', 'pos_number', 0),
(53, 'default_school_max_no_childreen', '3', 'pos_number', 0),
(54, 'default_school_max_value_grant', '1500000', 'pos_number', 0),
(55, 'activate_uom_in_pos', '0', 'bool', 0),
(56, 'activate_skip', '1', 'bool', 0),
(57, 'default_pos_row', '5', 'pos_number', 0),
(58, 'default_pos_column', '5', 'pos_number', 0),
(59, 'restrict_trans_code_length', '0', 'pos_number', 1),
(60, 'is_production', '1', 'bool', 1),
(61, 'default_cat_table', '', 'table##s##prod_cat', 0),
(62, 'default_cat_delivery', '', 'table##s##prod_cat', 0),
(63, 'activate_pos_select_cat', '0', 'bool', 0),
(64, 'activate_cash_drawer', '0', 'bool', 1),
(65, 'activate_allergy_intolerance', '0', 'bool', 0),
(66, 'activate_void_items_pos', '1', 'bool', 0),
(67, 'default_barcode_length', '5', 'pos_number', 0),
(68, 'open_table_cash', '0', 'bool', 0),
(69, 'activate_ttc', '1', 'bool', 1),
(70, 'default_start_time', '08:00:00', 'time', 0),
(71, 'activate_discount_pos', '0', 'bool', 0),
(72, 'app_allow_all_customers', '0', 'bool', 1),
(73, 'attendace_import_required_location', '0', 'bool', 0),
(74, 'pos_cache_time_min', '5', 'pos_number', 0),
(75, 'pos_reason_open_drawer', '1', 'bool', 0),
(76, 'activate_expiry_date', '0', 'bool', 1),
(77, 'goverment_salary_entities', '0,2', 'option##m##{\"0\":\"overtime\",\"1\":\"bonus\",\"2\":\"transportation\",\"3\":\"advance_payment\",\"4\":\"phone\",\"5\":\"lunch\",\"6\":\"others\",\"7\":\"Charge 1\",\"8\":\"Charge 2\",\"9\":\"Charge 3\",\"10\":\"Charge 4\"}', 0),
(78, 'max_transportation_amount', '216000', 'pos_number', 0),
(79, 'activate_payment_commession', '1', 'bool', 0),
(80, 'app_auto_product_on_scan_barcode', '1', 'bool', 0),
(81, 'app_att_max_enroll_count', '2', 'pos_number', 0),
(82, 'app_att_success_verification_score', '60', 'pos_number', 0),
(83, 'sync_type', '0', 'option##s##{\"0\":\"sync disabled\",\"1\":\"Server\",\"2\":\"Branch\"}', 1),
(84, 'activate_edit_after_sync', '1', 'bool', 1),
(85, 'view_total_qty_in_invoices', '0', 'bool', 1),
(86, 'number_format_precision', '3', 'pos_number', 0),
(87, 'activate_pos_all_accs', '0', 'bool', 0),
(88, 'show_product_image_list', '0', 'bool', 0),
(89, 'activate_vehicle_job', '0', 'bool', 0),
(90, 'notification_days_before_expiry', '10', 'pos_number', 1),
(91, 'pos_menu_width', '50', 'percent', 0),
(92, 'activate_void_item_reason_pop_up', '1', 'bool', 0),
(94, 'backup_db_export_path', '', 'text', 1),
(95, 'backup_mysqldump_path', '', 'text', 1),
(96, 'report_format_date', 'd-m-Y', 'text', 0),
(97, 'activate_end_of_day_reminder', '0', 'bool', 0),
(98, 'allow_change_inv_old_counter', '0', 'bool', 0),
(99, 'activate_price_log', '0', 'bool', 0),
(100, 'app_att_required_location', '1', 'bool', 0),
(101, 'default_nb_holiday', '15', 'pos_number', 0),
(102, 'activate_kitchen_note', '0', 'bool', 0),
(103, 'default_nb_leave', '15', 'pos_number', 0),
(104, 'activate_product_duration_reservation', '0', 'bool', 0),
(105, 'merge_cust_coupon_prod_details', '0', 'bool', 0),
(106, 'minutes_before_delivery_notification', '10', 'pos_number', 0),
(107, 'activate_pos_product_description', '0', 'bool', 0),
(108, 'default_advance_payment_percent', '0', 'pos_number', 0),
(109, 'dashboard_daily_cards_type', '0', 'option##s##{\"0\":\"By Date\",\"1\":\"By Start/End time\",\"2\":\"By End of Day\"}', 0),
(110, 'sales_invoice_fields_to_hide', '0,7,8,9,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,26,27,29,30,31,32,33,34,35,36,37,38,39,42,43,44,45,46,47,48,49,50', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Commission\",\"8\":\"Vehicle\",\"9\":\"Employee\",\"10\":\"Depot\",\"11\":\"Item Note\",\"12\":\"Profit Margin\",\"13\":\"Lot Number\",\"14\":\"Serial Number\",\"15\":\"Contra\",\"16\":\"Customer Code\",\"17\":\"Order\",\"18\":\"Second VAT %\",\"19\":\"Second VAT Amount\",\"20\":\"Custome Name Alias\",\"21\":\"Customer Address Alias\",\"22\":\"pos customer\",\"23\":\"Local Rate\",\"24\":\"Second Currency Rate\",\"25\":\"Shipping Note\",\"26\":\"Shipping Account\",\"27\":\"Shipping Company\",\"28\":\"Shipping Amount\",\"29\":\"Job\",\"30\":\"Project\",\"31\":\"Due Date\",\"32\":\"Truck\",\"33\":\"brand_name\",\"34\":\"po\",\"35\":\"project_name_inv\",\"36\":\"project_code\",\"37\":\"job_inv\",\"38\":\"our_ref\",\"39\":\"supply_date\",\"40\":\"additional cost\",\"41\":\"total\",\"42\":\"optical table\",\"43\":\"signature\",\"44\":\"from place\",\"45\":\"to place\",\"46\":\"driver name\",\"47\":\" item driver name\",\"48\":\"item from time\",\"49\":\"item to time\",\"50\":\"modify date\"}', 1),
(111, 'purchase_invoice_fields_to_hide', '0,4,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,25,26,27', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Item Note\",\"8\":\"Lot Number\",\"9\":\"Serial Number\",\"10\":\"Pricing Class\",\"11\":\"Depot\",\"12\":\"Supplier Code\",\"13\":\"Order\",\"14\":\"Second VAT\",\"15\":\"Second VAT Amount\",\"16\":\"Delivery Date\",\"17\":\"Job\",\"18\":\"Local Rate\",\"19\":\"Second Currency Rate\",\"20\":\"Due Date\",\"21\":\"Item Extra Cost\",\"22\":\"brand_name\",\"23\":\"additional cost\",\"24\":\"total\",\"25\":\"from place\",\"26\":\"to place\",\"27\":\"driver name\"}', 1),
(112, 'activate_scroll_input_number', '0', 'bool', 0),
(113, 'activate_sales_profit_margin', '0', 'bool', 0),
(114, 'sales_profit_margin_percent', '10', 'percent', 0),
(115, 'emp_accrued_day_start_work', '1', 'bool', 1),
(116, 'activate_dynamic_accrued_days', '1', 'bool', 1),
(117, 'show_products_from_all_branches', '1', 'bool', 0),
(118, 'show_product_brand_invoice', '0', 'bool', 0),
(119, 'search_pos_customer', '0', 'option##s##{\"0\":\"Account Customers\",\"1\":\"Road Customers\",\"2\":\"Both\"}', 0),
(120, 'auto_fill_cost', '0,1,2,3', 'option##m##{\"0\":\"Purchase\",\"1\":\"Purchase Order\",\"2\":\"Adjust\",\"3\":\"Assign\"}', 0),
(121, 'sales_man_as_logged_user', '1', 'bool', 0),
(122, 'show_product_image_pos', '0', 'bool', 0),
(123, 'stock_request_fields_to_hide', '', 'option##m##{\"0\":\"Category\",\"1\":\"Lot Number\",\"2\":\"Serial Number\"}', 0),
(124, 'show_category_image_pos', '0', 'bool', 0),
(125, 'pos_fields_to_hide', '0,1,6,7,8,9', 'option##m##{\"0\":\"Lot Number\",\"1\":\"Serial Number\",\"3\":\"Details date created\",\"4\":\"Depot\",\"5\":\"Driver\",\"6\":\"menu\",\"7\":\"Right Box\",\"8\":\"table list\",\"9\":\"category row\"}', 0),
(126, 'activate_product_lot_nb', '1', 'bool', 1),
(127, 'activate_product_serial_nb', '1', 'bool', 1),
(128, 'seperate_overtime_deduction_in_att_report', '1', 'bool', 0),
(129, 'days_before_mecq_insur_notification', '1', 'pos_number', 0),
(130, 'bon_number_generation', '1', 'option##s##{\"0\":\"Daily\",\"1\":\"Yearly\",\"2\":\"End of Day\"}', 0),
(131, 'activate_project', '0', 'bool', 1),
(132, 'sales_quotation_fields_to_hide', '7,8,9,11,13,14,18,19,20,27,28,29,30,31,32,33', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Commission\",\"8\":\"Vehicle\",\"9\":\"Employee\",\"10\":\"Depot\",\"11\":\"Item Note\",\"12\":\"Profit Margin\",\"13\":\"Lot Number\",\"14\":\"Serial Number\",\"15\":\"Supplier Class\",\"16\":\"Cost\",\"17\":\"Other Cost\",\"18\":\"Customer Code\",\"19\":\"po\",\"20\":\"Project Name\",\"21\":\"Project Code\",\"22\":\"job\",\"23\":\"Our Ref\",\"24\":\"Supply Date\",\"25\":\"customer name alias\",\"26\":\"customer address alias\",\"27\":\"from place\",\"28\":\"to place\",\"29\":\"driver name\",\"30\":\"item driver name\" ,\"31\":\"from time item\",\"32\":\"to time item\",\"33\":\"modify date item\"}', 1),
(133, 'purchase_quotation_fields_to_hide', '7,8,9,11,17,18,19', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Item Note\",\"8\":\"Lot Number\",\"9\":\"Serial Number\",\"10\":\"Pricing Class\",\"11\":\"Supplier Code\",\"12\":\"Delivery Date\",\"13\":\"Due Date\",\"14\":\"Job\",\"15\":\"Project\",\"16\":\"Local Rate\",\"17\":\"from place\",\"18\":\"to place\",\"19\":\"driver name\"}', 1),
(134, 'activate_costing_in_sales_quotation', '0', 'bool', 1),
(136, 'show_related_acc', '1', 'bool', 0),
(137, 'generate_pay_rec_from_inv_pur', '0', 'bool', 1),
(138, 'activate_table_alias', '0', 'bool', 0),
(139, 'activate_end_of_day_sumatra', '0', 'bool', 0),
(140, 'default_purchase_class_id', '', 'table##s##price', 0),
(141, 'schedule_bill_generate_trans', '0', 'bool', 1),
(142, 'print_open_table_cash_order', '0', 'bool', 0),
(143, 'pos_order_link_product_printer', '0', 'bool', 0),
(144, 'activate_pin_code_login', '0', 'bool', 0),
(145, 'default_product_iata_charges', '0', 'pos_number', 0),
(146, 'activate_product_ticket', '0', 'bool', 0),
(147, 'sales_purchase_fields_to_hide', '15,16,17', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Item Note\",\"8\":\"supplier\",\"9\":\"supplier pricing class\",\"10\":\"cost\",\"11\":\"farebasis\",\"12\":\"farebasis discount\" ,\"13\":\"iata charges\",\"14\":\"taxes\",\"15\":\"purchase account\",\"16\":\"TTC Unit Price\",\"17\":\"Purchase vat amount\",\"18\":\"Purchase vat percent\",\"19\":\"ttc cost\"}', 1),
(148, 'print_template_settings', '0', 'option##s##{\"0\":\"Disabled\",\"1\":\"Choose from modal\",\"2\":\"View all buttons\"}', 0),
(149, 'pay_rec_fields_to_hide', '11', 'option##m##{\"0\":\"Due Date\",\"1\":\"Value Date\",\"2\":\"Check Number\",\"3\":\"User Ref\",\"4\":\"Note\",\"5\":\"Commission Amount\",\"6\":\"Commission Account\",\"7\":\"Currency\",\"8\":\"Exchange Rate\",\"9\":\"Salesman\",\"10\":\"Amount in Local\",\"11\":\"Local Rate\"}', 1),
(150, 'activate_customer_list_balances', '0', 'bool', 1),
(151, 'activate_search_product_second_code', '0', 'bool', 0),
(152, 'pay_rec_account_currency', '0', 'bool', 0),
(153, 'return_from_customer_fields_to_hide', '7,8,9,10,11,12,13,14,15', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Commission\",\"8\":\"Vehicle\",\"9\":\"Employee\",\"10\":\"Depot\",\"11\":\"Item Note\",\"12\":\"Profit Margin\",\"13\":\"Lot Number\",\"14\":\"Serial Number\",\"15\":\"Is Damaged\",\"16\":\"Second VAT %\",\"17\":\"Second VAT Amount\",\"18\":\"Payment Box\"}', 1),
(154, 'activate_schedule_bill_multi_currency', '0', 'bool', 1),
(155, 'purchase_show_all_accounts', '0', 'bool', 0),
(156, 'sales_show_all_accounts', '0', 'bool', 0),
(157, 'default_country_id', '184', 'table##s##country', 0),
(158, 'default_city_id', '3174', 'table##s##city', 0),
(159, 'show_ret_cancel_alert_sales', '0', 'bool', 1),
(160, 'customer_balance_in_second_currency', '0', 'bool', 0),
(161, 'autoprint_past_delivery', '1', 'bool', 0),
(162, 'product_param1_desc', '', 'text', 1),
(163, 'product_param2_desc', '', 'text', 1),
(164, 'product_param3_desc', '', 'text', 1),
(165, 'product_param4_desc', '', 'text', 1),
(166, 'require_relate_cust_salesman', '0', 'bool', 0),
(167, 'autoprint_past_delivery_with_invoice', '1', 'bool', 0),
(168, 'pos_nb_person_is_required', '0', 'bool', 1),
(169, 'pos_print_invoice_group_identical', '0', 'bool', 0),
(170, 'pos_print_order_group_identical', '0', 'bool', 0),
(171, 'print_order_invoice_in_delivery_notification', '1', 'bool', 0),
(172, 'expense_view_all_accounts', '1', 'bool', 1),
(173, 'view_only_cust_accts_receipt', '0', 'bool', 0),
(174, 'view_only_supp_accts_payment', '0', 'bool', 0),
(175, 'delete_product_if_assign_adjust_only', '0', 'bool', 0),
(176, 'disable_end_of_day_table_opened', '0', 'bool', 0),
(177, 'activate_second_vat', '0', 'bool', 0),
(178, 'activate_second_vat_purchase', '0', 'bool', 0),
(179, 'second_vat_percent', '0', 'percent', 0),
(180, 'pos_print_deleted_items_default_printer', '0', 'bool', 0),
(181, 'round_type', '0', 'option##s##{\"0\":\"Round\",\"1\":\"Round Up\",\"2\":\"Round Down\"}', 0),
(182, 'pos_open_cash_drawer_without_print', '0', 'bool', 0),
(183, 'extra_cost_type', '0', 'option##s##{\"0\":\"Simple\",\"1\":\"Complex\"}', 1),
(184, 'activate_delete_records_after_sync', '0', 'bool', 1),
(185, 'auto_create_acct_cust_from_crm', '0', 'bool', 1),
(186, 'app_cash_pay_accounts', '0', 'table##m##cash_pay_acc', 1),
(187, 'app_cheque_pay_accounts', '0', 'table##m##check_pay_acc', 1),
(188, 'next_call_days', '', 'pos_number', 1),
(189, 'hotel_database', '', 'text', 1),
(190, 'default_hotel_customer', '', 'table##s##customers', 0),
(191, 'server_hotel_url', '', 'text', 1),
(192, 'activate_pos_hold_fire', '0', 'bool', 1),
(193, 'show_main_shipping_address', '0', 'bool', 1),
(194, 'activate_summernote_in_product', '0', 'bool', 1),
(195, 'edit_sales_order_from_app', '0', 'bool', 0),
(196, 'edit_receipt_from_app', '0', 'bool', 0),
(197, 'edit_sales_invoice_from_app', '0', 'bool', 0),
(198, 'inv_disc_items_arr_seperately', '0', 'bool', 1),
(199, 'activate_pos_shortcust_keys', '0', 'bool', 1),
(200, 'number_format_remove_zeros', '1', 'bool', 1),
(201, 'default_time_zone', '', 'text', 1),
(202, 'end_of_day_auto_checked_fields', '', 'option##m##{\"0\":\"With Category\",\"1\":\"Total Sold Items\",\"2\":\"Void Items\",\"3\":\"Discounted Items\",\"4\":\"With Invoices\",\"5\":\"By User\",\"6\":\"Per Day Print\",\"7\":\"With Unpaid Invoices\",\"8\":\"Total Credit Card\",\"9\":\"Empty category\",\"10\":\"Date\"}', 1),
(203, 'end_of_day_hide_checkbox_fields', '', 'option##m##{\"0\":\"With Category\",\"1\":\"Total Sold Items\",\"2\":\"Void Items\",\"3\":\"Discounted Items\",\"4\":\"With Invoices\",\"5\":\"By User\",\"6\":\"Per Day Print\",\"7\":\"With Unpaid Invoices\",\"8\":\"Total Credit Card\",\"9\":\"Empty category\",\"10\":\"Date\",\"11\":\"Branch\"}', 1),
(205, 'disable_end_of_day_delivery_opened', '0', 'bool', 0),
(206, 'disable_end_of_day_park_opened', '0', 'bool', 0),
(207, 'website_panel', '', 'text', 1),
(208, 'customer_map_lng', '', 'number', 1),
(209, 'customer_map_lat', '', 'number', 1),
(210, 'default_crm_category', '', 'table##s##prod_cat', 0),
(211, 'employee_default_absence_setting', '1', 'option##s##{\"1\":\"Absence Setting\",\"2\":\"Manual\",\"3\":\"Job\"}', 1),
(212, 'default_stage_change_deal_state', '3', 'table##s##deals_stage', 0),
(213, 'activate_postponed_sales_order', '0', 'bool', 0),
(214, 'datatable_default_align', 'center', 'option##s##{\"center\":\"Center\",\"left\":\"Left\",\"right\":\"Right\",\"language\":\"Language\"}', 1),
(215, 'order_negative_sales', '1', 'bool', 0),
(216, 'activate_pos_orders_notification', '0', 'bool', 0),
(217, 'activate_sync_end_of_shift_day', '0', 'bool', 1),
(218, 'scale_barcode_format', 'IIBBBBBPPPPPI', 'text', 1),
(219, 'consumption_fields_to_hide', '', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Depot\",\"4\":\"Item Note\",\"5\":\"Lot Number\",\"6\":\"Serial Number\",\"7\":\"Customer Code\"}', 1),
(220, 'job_transaction_type', '0', 'option##s##{\"0\":\"All\",\"1\":\"Customer & Supplier\",\"2\":\"Opposite Customer & Supplier\"}', 1),
(221, 'sales_invoice_required_fields', '', 'option##m##{\"0\":\"Customer Branch\"}', 1),
(222, 'product_required_fields', '', 'option##m##{\"0\":\"Purchase Category\",\"1\":\"Printer\",\"2\":\"Family\",\"3\":\"Second Code\",\"4\":\"Main Supplier\",\"5\":\"Brand\",\"6\":\"Group Account\",\"7\":\"UOM Conversion\",\"8\":\"Barcode\"}', 1),
(223, 'customer_subscription_fields_to_hide', '', 'option##m##{\"0\":\"Job\",\"1\":\"Project\",\"2\":\"Note\"}', 0),
(224, 'subscription_fees_group_by', '0', 'option##s##{\"0\":\"Subscription\",\"1\":\"Customer\"}', 0),
(225, 'act_cust_total_sub_fees', '0', 'bool', 1),
(226, 'default_bill_depend_cust_sub', '', 'option##s##{\"1\":\"Customer start date\",\"2\":\"Subscription period bill\"}', 0),
(227, 'production_process_touch_fields_hide', '', 'option##m##{\"0\":\"Code\",\"1\":\"UOM\"}', 0),
(228, 'fill_purchase_duedate_from_bill', '0', 'bool', 1),
(229, 'purchase_restrict_product_supplier', '0', 'bool', 1),
(230, 'purchase_noqty_fields_to_hide', '7,8,9,11,12,14,15', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Item Note\",\"8\":\"Lot Number\",\"9\":\"Serial Number\",\"10\":\"Pricing Class\",\"11\":\"Depot\",\"12\":\"Supplier Code\",\"13\":\"Order\",\"14\":\"Second VAT\",\"15\":\"Second VAT Amount\",\"16\":\"Delivery Date\",\"17\":\"Job\",\"18\":\"Local Rate\",\"19\":\"Second Currency Rate\",\"20\":\"Due Date\",\"21\":\"Item Extra Cost\"}', 1),
(231, 'activate_project_expense_full_paid', '1', 'bool', 1),
(232, 'activate_activity_alias', '0', 'bool', 0),
(233, 'supplier_required_expense', '1', 'bool', 1),
(234, 'show_price_product_list', '0', 'bool', 1),
(235, 'max_lunch_amount_per_day', '5000', 'pos_number', 0),
(236, 'activate_pos_negative_sales', '1', 'bool', 1),
(237, 'multi_product_separator_code', '', 'text', 1),
(238, 'activate_oldest_expiry_selected', '1', 'bool', 0),
(239, 'multi_product_separator_name', '', 'text', 1),
(240, 'activate_expiry_qty_exist', '1', 'bool', 1),
(241, 'activate_serial_qty_exist', '1', 'bool', 1),
(242, 'activate_lot_qty_exist', '1', 'bool', 1),
(243, 'smtp_email_credentials', '', 'text', 1),
(244, 'ticketing_fields_to_hide', '', 'option##m##{\"0\":\"Customer Additional Phone\",\"1\":\"Ticketing Station\",\"2\":\"Depot\",\"3\":\"Currency\",\"4\":\"Paid Amount\",\"5\":\"Payment Account\",\"6\":\"Is Free\",\"7\":\"Is Consignment\"}', 1),
(245, 'default_consignment_depot', '', 'table##s##depot', 0),
(246, 'default_ticketing_class', '', 'table##s##price', 0),
(247, 'manual_jv_fields_to_hide', '6', 'option##m##{\"0\":\"Description\",\"1\":\"Reference\",\"2\":\"User Reference\",\"3\":\"Due Date\",\"4\":\"Job\",\"5\":\"Project\",\"6\":\"Close Invoices\"}', 1),
(248, 'activate_customer_request_transfer', '', 'bool', 1),
(249, 'expense_fields_to_hide', '', 'option##m##{\"0\":\"Payment Account in Normal Expense\",\"1\":\"Due Date\",\"2\":\"Supplier Invoice Nb\",\"3\":\"Job\",\"4\":\"Project\",\"5\":\"Local Rate\",\"6\":\"Second Rate\",\"7\":\"Qty\",\"8\":\"VAT %\",\"9\":\"VAT Amount\",\"10\":\"Paid Amount\",\"11\":\"Supplier in Cash Expense\",\"12\":\"Supplier in Normal Expense\",\"13\":\"Payment Account in Cash Expense\"}', 0),
(250, 'activate_shipment_fields', '0', 'bool', 1),
(251, 'show_account_description', '1', 'bool', 1),
(252, 'hide_account_types', '', 'option##m##{\"cust#main\":\"Cust Main\",\"cust#vat\":\"Cust VAT\",\"supp#pur\":\"Supp Pur\",\"supp#fa\":\"Supp Fixed Asset\",\"supp#exp\":\"Supp Exp\",\"supp#pur_vat\":\"Supp Pur VAT\",\"supp#fa_vat\":\"Supp Fixed Asset VAT\",\"supp#exp_vat\":\"Supp Exp VAT\"}', 1),
(253, 'return_purchase_invoice_fields_to_hide', '7,8,9,11,12,14,15', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Discount percent\",\"5\":\"VAT amount\",\"6\":\"VAT percent\",\"7\":\"Item Note\",\"8\":\"Lot Number\",\"9\":\"Serial Number\",\"14\":\"Second VAT\",\"15\":\"Second VAT Amount\",\"16\":\"Payment Box\",\"17\":\"Depot\"}', 1),
(254, 'default_hours_pending_late_ticketing', '24', 'number', 1),
(257, 'auto_fill_zero_cost', '0,1,2,3', 'option##m##{\"0\":\"Purchase\",\"1\":\"Purchase Order\",\"2\":\"Adjust\",\"3\":\"Assign\"}', 0),
(258, 'pos_receipt_fill_amount_from_inv', '0', 'bool', 1),
(259, 'activate_autoclose_rec_pay', '0', 'bool', 1),
(260, 'view_net_overall_balance_multipayroll', '0', 'bool', 1),
(261, 'activate_autofill_other_amount', '0', 'bool', 1),
(262, 'pos_postponed_return_autofill_paid', '1', 'bool', 1),
(263, 'delivery_customer_fields_to_hide', '15,16', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Item Note\",\"5\":\"Lot Number\",\"6\":\"Serial Number\",\"7\":\"Local Rate\",\"8\":\"Second Currency Rate\",\"9\":\"Shipping Amount\",\"10\":\"Job\",\"11\":\"Project\",\"12\":\"Ref\",\"13\":\"expiry date\",\"14\":\"Note\",\"15\":\"Credit account\",\"16\":\"Debit Account\"}', 1),
(264, 'delivery_supplier_fields_to_hide', '15,16', 'option##m##{\"0\":\"Barcode\",\"1\":\"Product name\",\"2\":\"Uom\",\"3\":\"Unit price\",\"4\":\"Item Note\",\"5\":\"Lot Number\",\"6\":\"Serial Number\",\"7\":\"Local Rate\",\"8\":\"Second Currency Rate\",\"9\":\"Shipping Amount\",\"10\":\"Job\",\"11\":\"Project\",\"12\":\"Ref\",\"13\":\"expiry date\",\"14\":\"Note\",\"15\":\"Credit account\",\"16\":\"Debit Account\",\"17\":\"Cost Method\",\"18\":\"extra cost\",\"19\":\"Item Extra Cost\"}', 1),
(265, 'delivery_customer_required_fields', '', 'option##m##{\"0\":\"Credit account\",\"1\":\"Debit Account\"}', 1),
(266, 'delivery_supplier_required_fields', '', 'option##m##{\"0\":\"Credit account\",\"1\":\"Debit Account\"}', 1),
(267, 'activate_zero_cost_return_noqty', '1', 'bool', 1),
(268, 'expense_account_type', '0', 'option##s##{\"0\":\"Supplier\",\"1\":\"Accounts\",\"2\":\"Both\"}', 0),
(269, 'max_qty_number', '99999', 'pos_number', 0),
(270, 'max_price_number', '9999999', 'pos_number', 0),
(271, 'app_allow_minimum_class', '', 'table##s##price', 0),
(272, 'table_vat', '0', 'pos_number', 0),
(273, 'maintenance_fields_to_hide', '', 'option##m##{\r\n\"0\":\"ime\",\r\n\"1\":\"phone name\",\r\n\"2\":\"phone brand\",\r\n\"3\":\"maintenance supporter\",\r\n\"4\":\"serial number\",\r\n\"5\":\"Invoice Number\"\r\n}', 1),
(274, 'enable_sales_invoice_qr_code', '1', 'bool', 0),
(275, 'edit_org_fields_to_hide', '0,1,4,6,7,8,9,10,12', 'option##m##{\"0\":\"Fax\",\"1\":\"Street Address\",\"2\":\"Phone\",\"3\":\"Country\",\"4\":\"Line of Business\",\"5\":\"City\",\"6\":\"Building Number\",\"7\":\"Postal Code\",\"8\":\"Street Number\",\"9\":\"Additional Number\",\"10\":\"District\",\"11\":\"VAT Number\",\"12\":\"Other Seller ID\",\"13\":\"Org Phone En\",\"14\":\"Org Address Ar\",\"15\":\"Org Vat En\",\"16\":\"Org Address En\",\"17\":\"Org Cr En\"}', 1),
(276, 'products_without_vat', '1', 'bool', 1),
(277, 'pos_total_price_edit', '0', 'bool', 1),
(278, 'disable_merge_same_prod_return', '0', 'bool', 1),
(279, 'disable_animation', '0', 'bool', 1),
(280, 'product_expiry_alert_days', '10', 'pos_number', 0),
(281, 'enable_expiry_alert', '0', 'bool', 1),
(282, 'count_expiry_product_alert', '1', 'pos_number', 0),
(283, 'enable_user_floors', '0', 'bool', 1),
(284, 'merge_same_item_in_1_row', '1', 'bool', 1),
(285, 'barcode_decimal_point_number', '1', 'pos_number', 0),
(286, 'unique_customer_phone_number', '0', 'bool', 1),
(287, 'unique_supplier_phone_number', '0', 'bool', 1),
(288, 'does_not_allow_to_decrease_pos_item_price', '0', 'bool', 1),
(289, 'enable_category_barcode', '0', 'bool', 1),
(290, 'round_digits', '2', 'pos_number', 0),
(291, 'enable_auto_increment_invoice_sync', '0', 'bool', 1),
(292, 'enable_autofill_product_in_invoice', '0', 'bool', 1),
(293, 'product_barcode_for_autofill_in_invoice', '1', 'pos_number', 0),
(294, 'enable_product_barcode_page', '0', 'bool', 1),
(295, 'enable_when_disable_item_qty_zero', '1', 'bool', 1),
(296, 'product_rate', '0', 'pos_number', 0),
(297, 'lebanon_vat_amount', '15000', 'pos_number', 0),
(298, 'enable_second_cash', '0', 'bool', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_delivery_fees`
--

CREATE TABLE `tbl_delivery_fees` (
  `delivery_fees_id` int(11) NOT NULL,
  `delivery_fees_amount` double NOT NULL DEFAULT '0',
  `delivery_fees_view` varchar(255) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_department`
--

CREATE TABLE `tbl_department` (
  `department_id` int(11) NOT NULL,
  `department_name` varchar(255) NOT NULL,
  `status_id` tinyint(1) NOT NULL DEFAULT '1',
  `parent_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `department_prefix` varchar(255) NOT NULL,
  `department_phone` varchar(255) NOT NULL,
  `department_location` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_department`
--

INSERT INTO `tbl_department` (`department_id`, `department_name`, `status_id`, `parent_id`, `Logged_ID`, `department_prefix`, `department_phone`, `department_location`) VALUES
(1, 'sales', 1, 0, 1, '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_department_accounts`
--

CREATE TABLE `tbl_department_accounts` (
  `Department_Account_ID` int(11) NOT NULL,
  `Department_ID` int(11) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Account_Code` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_devices`
--

CREATE TABLE `tbl_devices` (
  `device_id` int(11) NOT NULL,
  `device_name` varchar(250) NOT NULL,
  `device_ip` varchar(250) NOT NULL,
  `type_id` tinyint(4) NOT NULL,
  `is_active` tinyint(4) NOT NULL,
  `note` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_devices_type`
--

CREATE TABLE `tbl_devices_type` (
  `type_id` int(11) NOT NULL,
  `type_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_devices_type`
--

INSERT INTO `tbl_devices_type` (`type_id`, `type_name`) VALUES
(1, 'attendance');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_display`
--

CREATE TABLE `tbl_display` (
  `display_id` int(11) NOT NULL,
  `display_name` varchar(250) NOT NULL,
  `display_blocks` int(11) NOT NULL DEFAULT '0',
  `printer_ids` varchar(250) DEFAULT NULL,
  `hide_done_order` tinyint(4) NOT NULL DEFAULT '0',
  `hide_done_details` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_drivers`
--

CREATE TABLE `tbl_drivers` (
  `driver_id` int(11) NOT NULL,
  `driver_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_dynamic_report_template`
--

CREATE TABLE `tbl_dynamic_report_template` (
  `report_id` int(11) NOT NULL,
  `report_name` varchar(255) NOT NULL,
  `role_ids` varchar(255) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `show_menu` tinyint(4) NOT NULL DEFAULT '0',
  `is_hide_unmoved` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_dynamic_report_template_details`
--

CREATE TABLE `tbl_dynamic_report_template_details` (
  `detail_id` int(11) NOT NULL,
  `account_id` int(11) NOT NULL,
  `operation` varchar(10) NOT NULL,
  `sub_id` int(11) NOT NULL,
  `with_child` tinyint(4) NOT NULL DEFAULT '0',
  `detail_sub_id` int(11) NOT NULL,
  `detail_sub_title` varchar(255) NOT NULL,
  `trans_types` varchar(255) NOT NULL,
  `sub_type` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_dynamic_report_template_sub`
--

CREATE TABLE `tbl_dynamic_report_template_sub` (
  `sub_id` int(11) NOT NULL,
  `sub_title` varchar(255) NOT NULL,
  `report_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_alert`
--

CREATE TABLE `tbl_employee_alert` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `employee_name` varchar(255) NOT NULL,
  `employee_alert_date` date NOT NULL,
  `employee_alert_type` int(11) NOT NULL,
  `employee_alert_note` varchar(255) NOT NULL,
  `employee_alert_document` varchar(255) DEFAULT NULL,
  `doc_id` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_attendance_sheet`
--

CREATE TABLE `tbl_employee_attendance_sheet` (
  `attendance_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `date_time_in` datetime DEFAULT NULL,
  `date_time_out` datetime DEFAULT NULL,
  `location_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_attendance_template`
--

CREATE TABLE `tbl_employee_attendance_template` (
  `template_id` int(11) NOT NULL,
  `template_name` varchar(255) NOT NULL,
  `template_columns` text NOT NULL,
  `max_hrs_shift` double DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_banks`
--

CREATE TABLE `tbl_employee_banks` (
  `bank_id` int(11) NOT NULL,
  `bank_name` varchar(255) NOT NULL,
  `bank_branch` varchar(255) NOT NULL,
  `bank_code` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_child`
--

CREATE TABLE `tbl_employee_child` (
  `Entry_id` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Employee_Amount` double NOT NULL,
  `currency_id` int(11) NOT NULL,
  `note` text NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Amount_Date` date NOT NULL,
  `old_data_child` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_dedcution_note`
--

CREATE TABLE `tbl_employee_dedcution_note` (
  `Entry_id` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Employee_Name` varchar(255) NOT NULL,
  `TimeDuration` varchar(255) NOT NULL,
  `Employee_IS_Deduction` tinyint(4) NOT NULL,
  `Employee_Note` text NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `status_id` tinyint(4) NOT NULL DEFAULT '0',
  `is_actual` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_location`
--

CREATE TABLE `tbl_employee_location` (
  `Location_ID` int(11) NOT NULL,
  `location_code` varchar(255) NOT NULL,
  `Location_Name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_performance`
--

CREATE TABLE `tbl_employee_performance` (
  `Evaluation_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Evaluation_Date` date NOT NULL,
  `Evaluation_Title` varchar(50) NOT NULL,
  `Evaluation_Remarks` text NOT NULL,
  `CheckValue_Evaluation_ID` varchar(100) NOT NULL,
  `Evaluation_Question_ID` varchar(100) NOT NULL,
  `Extra_Training` tinyint(1) NOT NULL DEFAULT '0',
  `ProposedAction` varchar(100) NOT NULL,
  `Average_Performance` double NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee_transfer_day`
--

CREATE TABLE `tbl_employee_transfer_day` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `transfer_day_number` int(11) NOT NULL,
  `transfer_date` date NOT NULL,
  `transfer_day_note` text,
  `employee_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_emp_tasks`
--

CREATE TABLE `tbl_emp_tasks` (
  `task_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `task_desc` text,
  `due_date` date NOT NULL,
  `main_type` varchar(15) NOT NULL,
  `main_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `logged_id` int(11) NOT NULL,
  `task_type` varchar(255) NOT NULL,
  `task_status` int(11) NOT NULL DEFAULT '0' COMMENT '0=>pending,1=>read,2=>done',
  `date_done` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_emp_tasks`
--

INSERT INTO `tbl_emp_tasks` (`task_id`, `employee_id`, `task_desc`, `due_date`, `main_type`, `main_id`, `date_time`, `logged_id`, `task_type`, `task_status`, `date_done`) VALUES
(1, 1, 'Loan for moustafa mohammad ali', '2021-07-02', 'loan', 1, '2021-06-30 10:23:21', 1, 'loan', 1, NULL),
(2, 4, 'Loan for moustafa mohammad ali', '2021-07-02', 'loan', 1, '2021-06-30 10:23:21', 1, 'loan', 0, NULL),
(3, 1, 'Advance Payment for moustafa mohammad ali', '2021-06-30', 'advance', 1, '2021-06-30 10:26:59', 1, 'advance', 1, NULL),
(4, 4, 'Advance Payment for moustafa mohammad ali', '2021-06-30', 'advance', 1, '2021-06-30 10:26:59', 1, 'advance', 0, NULL),
(5, 1, 'Overtime for moustafa mohammad ali', '2021-06-30', 'overtime', 1, '2021-06-30 10:31:41', 1, 'overtime', 1, NULL),
(6, 4, 'Overtime for moustafa mohammad ali', '2021-06-30', 'overtime', 1, '2021-06-30 10:31:41', 1, 'overtime', 0, NULL),
(7, 1, 'Absence for Samir ahamd samir', '2021-06-30', 'absence', 1, '2021-06-30 10:41:07', 1, 'absence', 1, NULL),
(8, 4, 'Absence for Samir ahamd samir', '2021-06-30', 'absence', 1, '2021-06-30 10:41:07', 1, 'absence', 0, NULL),
(9, 1, 'Advance Payment for moustafa mohammad ali', '2021-08-10', 'advance', 2, '2021-08-10 02:53:49', 1, 'advance', 1, NULL),
(10, 4, 'Advance Payment for moustafa mohammad ali', '2021-08-10', 'advance', 2, '2021-08-10 02:53:49', 1, 'advance', 0, NULL),
(11, 1, 'Advance Payment for Samir ahamd samir', '2021-08-10', 'advance', 3, '2021-08-10 02:54:20', 1, 'advance', 1, NULL),
(12, 4, 'Advance Payment for Samir ahamd samir', '2021-08-10', 'advance', 3, '2021-08-10 02:54:20', 1, 'advance', 0, NULL),
(13, 1, 'Overtime for Samir ahamd samir', '2021-08-10', 'overtime', 2, '2021-08-10 02:57:02', 1, 'overtime', 1, NULL),
(14, 4, 'Overtime for Samir ahamd samir', '2021-08-10', 'overtime', 2, '2021-08-10 02:57:02', 1, 'overtime', 0, NULL),
(15, 1, 'Absence for ahmad ali ahmad', '2021-09-06', 'absence', 2, '2021-08-10 03:04:02', 1, 'absence', 1, NULL),
(16, 4, 'Absence for ahmad ali ahmad', '2021-09-06', 'absence', 2, '2021-08-10 03:04:02', 1, 'absence', 0, NULL),
(17, 1, 'Advance Payment for ALAA  JBARA', '2021-09-28', 'advance', 2, '2021-09-28 03:31:17', 2, 'advance', 1, NULL),
(18, 2, 'Advance Payment for ALAA  JBARA', '2021-09-28', 'advance', 2, '2021-09-28 03:31:18', 2, 'advance', 0, NULL),
(19, 9, 'Advance Payment for ALAA  JBARA', '2021-09-28', 'advance', 2, '2021-09-28 03:31:18', 2, 'advance', 0, NULL),
(20, 1, 'Advance Payment for HANIF $ BANGLADISH', '2021-10-05', 'advance', 3, '2021-10-05 01:50:37', 2, 'advance', 1, NULL),
(21, 2, 'Advance Payment for HANIF $ BANGLADISH', '2021-10-05', 'advance', 3, '2021-10-05 01:50:37', 2, 'advance', 0, NULL),
(22, 9, 'Advance Payment for HANIF $ BANGLADISH', '2021-10-05', 'advance', 3, '2021-10-05 01:50:37', 2, 'advance', 0, NULL),
(23, 1, 'Advance Payment for MHAMAD  $ ALI JBARA', '2021-10-06', 'advance', 4, '2021-10-06 06:13:30', 2, 'advance', 1, NULL),
(24, 2, 'Advance Payment for MHAMAD  $ ALI JBARA', '2021-10-06', 'advance', 4, '2021-10-06 06:13:30', 2, 'advance', 0, NULL),
(25, 9, 'Advance Payment for MHAMAD  $ ALI JBARA', '2021-10-06', 'advance', 4, '2021-10-06 06:13:30', 2, 'advance', 0, NULL),
(26, 1, 'Advance Payment for COBBER $ BANGLADISH', '2021-10-08', 'advance', 5, '2021-10-08 10:09:31', 9, 'advance', 1, NULL),
(27, 2, 'Advance Payment for COBBER $ BANGLADISH', '2021-10-08', 'advance', 5, '2021-10-08 10:09:31', 9, 'advance', 1, NULL),
(28, 9, 'Advance Payment for COBBER $ BANGLADISH', '2021-10-08', 'advance', 5, '2021-10-08 10:09:31', 9, 'advance', 1, NULL),
(29, 1, 'Advance Payment for COBBER $ BANGLADISH', '2021-10-08', 'advance', 6, '2021-10-08 10:09:38', 9, 'advance', 1, NULL),
(30, 2, 'Advance Payment for COBBER $ BANGLADISH', '2021-10-08', 'advance', 6, '2021-10-08 10:09:38', 9, 'advance', 1, NULL),
(31, 9, 'Advance Payment for COBBER $ BANGLADISH', '2021-10-08', 'advance', 6, '2021-10-08 10:09:38', 9, 'advance', 1, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_end_of_shift`
--

CREATE TABLE `tbl_end_of_shift` (
  `shift_id` bigint(20) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `open_time` datetime NOT NULL,
  `close_time` datetime NOT NULL,
  `account_id` int(11) DEFAULT NULL,
  `total_net_invoices` double NOT NULL DEFAULT '0',
  `total_net_returns` double NOT NULL DEFAULT '0',
  `total_balance` double NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '0=>shift,1=>day',
  `is_actual` int(11) NOT NULL DEFAULT '0',
  `branch_id` int(11) DEFAULT NULL,
  `app_user_id` int(11) DEFAULT NULL,
  `app_branch_id` int(11) DEFAULT NULL,
  `app_shift_id` int(11) DEFAULT NULL,
  `is_main_transfer` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL,
  `logged_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_end_of_shift`
--

INSERT INTO `tbl_end_of_shift` (`shift_id`, `user_id`, `open_time`, `close_time`, `account_id`, `total_net_invoices`, `total_net_returns`, `total_balance`, `Currency_ID`, `current_rate`, `type`, `is_actual`, `branch_id`, `app_user_id`, `app_branch_id`, `app_shift_id`, `is_main_transfer`, `date_time`, `logged_id`) VALUES
(1, NULL, '2022-08-24 02:00:00', '2022-08-24 15:58:30', NULL, 1200000, 0, 1200200, 120, 1, 1, 0, NULL, NULL, NULL, NULL, 0, '2022-08-24 15:58:30', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_event`
--

CREATE TABLE `tbl_event` (
  `id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `event_name` text,
  `event_book_type_id` int(11) DEFAULT NULL,
  `book_time` int(11) DEFAULT NULL,
  `from_date` date DEFAULT NULL,
  `to_date` date DEFAULT NULL,
  `from_time` time DEFAULT NULL,
  `to_time` time DEFAULT NULL,
  `event_break_type_id` int(11) DEFAULT NULL,
  `event_break_time` int(11) DEFAULT NULL,
  `off_day` varchar(30) DEFAULT NULL,
  `event_date` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_event`
--

INSERT INTO `tbl_event` (`id`, `event_id`, `event_name`, `event_book_type_id`, `book_time`, `from_date`, `to_date`, `from_time`, `to_time`, `event_break_type_id`, `event_break_time`, `off_day`, `event_date`) VALUES
(1, 9812, 'block Z', 4, 10, '2021-08-27', '2021-08-19', '08:00:00', '20:00:00', 1, 1, '', '2021-08-20'),
(2, 12211212, 'block C', 3, 2, '2021-08-27', '2021-08-19', '12:21:00', '12:21:00', 1, 2, '4,5,7', '2021-08-20'),
(3, 12211212, 'block B', 3, 2, '2021-08-27', '2021-08-19', '12:21:00', '12:21:00', 1, 2, '1,2,3', '2021-08-20'),
(4, 134895, 'block E', 2, 2, '2021-08-01', '2021-08-31', '08:00:00', '16:00:00', 1, 1, '1,4,6,3', '2021-08-20'),
(5, 1398139594, 'block A', 2, 2, '2021-08-16', '2021-08-19', '09:30:00', '18:30:00', 2, 20, '1,4,5,3', '2021-08-20');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_event_book_type`
--

CREATE TABLE `tbl_event_book_type` (
  `ID` int(11) NOT NULL,
  `book_name` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_event_book_type`
--

INSERT INTO `tbl_event_book_type` (`ID`, `book_name`) VALUES
(1, 'Year'),
(2, 'Month'),
(3, 'Week'),
(4, 'day');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_event_break_type`
--

CREATE TABLE `tbl_event_break_type` (
  `ID` int(11) NOT NULL,
  `break_type` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_event_break_type`
--

INSERT INTO `tbl_event_break_type` (`ID`, `break_type`) VALUES
(1, 'Hour'),
(2, 'Min');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_exchange`
--

CREATE TABLE `tbl_exchange` (
  `exchange_id` int(11) NOT NULL,
  `exchange_nb` int(11) NOT NULL,
  `exchange_prefix` varchar(50) NOT NULL,
  `exchange_date` date NOT NULL,
  `invoice_auto_id` int(11) NOT NULL,
  `return_auto_id` int(11) NOT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_family_accounts`
--

CREATE TABLE `tbl_family_accounts` (
  `family_id` int(11) NOT NULL,
  `family_name` varchar(255) NOT NULL,
  `family_accounts` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fastpax_cities`
--

CREATE TABLE `tbl_fastpax_cities` (
  `city_id` int(11) NOT NULL,
  `city_name` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `district_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `tbl_fastpax_cities`
--

INSERT INTO `tbl_fastpax_cities` (`city_id`, `city_name`, `district_id`) VALUES
(620, 'Aaba', 19),
(289, 'Aabadiyeh', 9),
(976, 'Aabba', 14),
(1016, 'Aabbassiyeh', 26),
(749, 'Aabboudiyeh', 1),
(770, 'Aabdeh', 1),
(1350, 'Aabdelali', 18),
(664, 'Aabdine', 21),
(1317, 'Aabeidat', 13),
(290, 'Aabey', 10),
(888, 'Aabra', 24),
(588, 'Aabrine', 18),
(676, 'Aachach', 22),
(302, 'Aachqout', 12),
(1079, 'Aadaysit Marjaayoun', 15),
(750, 'Aadbel', 1),
(1080, 'Aadchit (Qoussair)', 15),
(977, 'Aadchit El Chqif', 14),
(889, 'Aaddousiyyeh', 24),
(890, 'Aadloun', 24),
(621, 'Aafsdiq', 19),
(751, 'Aaidamoun', 1),
(1341, 'Aaimar', 23),
(677, 'Aaintourine', 22),
(1127, 'Aaita El Jabal (El Zot)', 17),
(753, 'Aaiyat', 1),
(303, 'Aajaltoun', 12),
(754, 'Aakkar El Aatiqa', 1),
(291, 'Aaley', 10),
(34, 'Aali en Nahri', 5),
(131, 'Aallaq Et Tell', 2),
(678, 'Aalma', 22),
(1017, 'Aalma ech Chaab', 26),
(292, 'Aalman El Chouf', 11),
(462, 'Aalmat', 13),
(463, 'Aalmat El Janoubiat', 13),
(755, 'Aamair', 1),
(207, 'Aamaret Chalhoub', 8),
(757, 'Aamaret El Baykat', 1),
(465, 'Aamchit', 13),
(293, 'Aammatour', 11),
(64, 'Aammiq', 6),
(294, 'Aammiq (Chouf)', 11),
(65, 'Aana', 6),
(758, 'Aandqet', 1),
(466, 'Aannaya', 13),
(295, 'Aanout', 11),
(891, 'Aanqoun', 24),
(759, 'Aaouainat', 1),
(304, 'Aaqaybeh', 12),
(95, 'Aaqbeh', 7),
(1325, 'Aaqbeh', 22),
(1207, 'Aaqbiyeh', 24),
(129, 'Aaqidiyeh', 2),
(468, 'Aaqoura (Jbayl)', 13),
(892, 'Aaqtanit', 24),
(893, 'Aarab Tabbaya', 24),
(296, 'Aaraiya', 9),
(297, 'Aaramoun', 10),
(305, 'Aaramoun (Kesrwan)', 12),
(935, 'Aaramta', 25),
(500, 'Aarasta', 13),
(298, 'Aarbaniyeh', 9),
(679, 'Aarbet Qouzhaiya', 22),
(936, 'Aariya', 25),
(680, 'Aarjes', 22),
(760, 'Aarqa', 1),
(121, 'Aarsal', 2),
(895, 'Aarzal', 24),
(712, 'Aassoun', 23),
(209, 'Aatchaneh', 8),
(299, 'Aatrine', 11),
(208, 'Aawkar', 8),
(937, 'Aaychiyeh', 25),
(96, 'Aayha', 7),
(122, 'Aaynata', 2),
(1125, 'Aaynata (Bent Jbeil)', 17),
(761, 'Aayoun (Aakkar)', 1),
(762, 'Aayoun El Ghizlane', 1),
(210, 'Aayoun El Matn', 8),
(211, 'Aayroun', 8),
(1126, 'Aayta Ech Chaab', 17),
(97, 'Aayta El Foukhar', 7),
(1128, 'Aaytaroun', 17),
(300, 'Aaytat', 10),
(1018, 'Aaytit', 26),
(938, 'Aazour', 25),
(713, 'Aazqai', 23),
(306, 'Aazra Wil Aazr', 12),
(979, 'Aazze', 14),
(1251, 'Aazzouniyeh', 10),
(35, 'Ablah', 5),
(1354, 'Abou Mizan', 8),
(1, 'Adliyeh', 4),
(307, 'Adma', 12),
(1212, 'Adonis', 12),
(19, 'Afif Al Tibeh', 4),
(469, 'Afqa', 13),
(630, 'Afqa', 19),
(2, 'Aicha Bakkar', 4),
(123, 'Ain', 2),
(806, 'Ain Aachma', 1),
(622, 'Ain Aakrine', 19),
(1261, 'Ain Aalaq', 8),
(301, 'Ain Aanoub', 10),
(212, 'Ain Aar', 8),
(98, 'Ain Aarab (Rachaiya)', 7),
(99, 'Ain Aata', 7),
(1029, 'Ain Abou Abdallah', 26),
(3, 'Ain Al Mraysseh', 4),
(1019, 'Ain Baal (Sour)', 26),
(1284, 'Ain Baanqoudain', 25),
(994, 'Ain Bou Souar', 14),
(1296, 'Ain Bourday', 2),
(361, 'Ain Dara', 10),
(362, 'Ain Drafil', 10),
(1129, 'Ain Ebel', 17),
(894, 'Ain Ed Delb', 24),
(363, 'Ain Ej Jdideh', 10),
(470, 'Ain El Ghouaybeh', 13),
(364, 'Ain El Haour', 11),
(365, 'Ain El Marj', 10),
(939, 'Ain El Mir', 25),
(366, 'Ain El Remmaneh', 10),
(367, 'Ain El Remmeneh', 9),
(213, 'Ain El Sindiane', 8),
(4, 'Ain El Tineh', 4),
(763, 'Ain El Zehab', 1),
(764, 'Ain El Zeit', 1),
(308, 'Ain Er Rihaneh', 12),
(368, 'Ain Es Saydeh', 10),
(214, 'Ain Es Sofsaf - Mar Mikhayel Bnabil', 8),
(714, 'Ain Et Tineh', 23),
(67, 'Ain Et Tineh (West-Bekaa)', 6),
(100, 'Ain Horcheh', 7),
(36, 'Ain Kfar Zabad', 5),
(369, 'Ain Ksour', 10),
(950, 'Ain Majdalain', 25),
(1331, 'Ain Najm', 8),
(370, 'Ain Ouzain', 11),
(980, 'Ain Qana', 14),
(371, 'Ain Qeni', 11),
(1107, 'Ain Qenya', 16),
(215, 'Ain Saadeh', 8),
(464, 'Ain Souaneh', 13),
(807, 'Ain Tinta', 1),
(765, 'Ain Yaaqoub', 1),
(1030, 'Ain Zarka', 26),
(68, 'Ain Zebdeh', 6),
(372, 'Ain Zhalta', 11),
(373, 'Ainab', 10),
(374, 'Ainbal', 11),
(216, 'Aintoura', 8),
(309, 'Aintoura (Kesrouane)', 12),
(375, 'Airport Road', 9),
(66, 'Aitanite', 6),
(766, 'Akroum', 1),
(5, 'Al Kantari', 4),
(623, 'Amioun', 19),
(1246, 'Amlieh', 9),
(940, 'Anane', 25),
(1248, 'Anjar', 5),
(909, 'Ansariyeh', 24),
(217, 'Antelias', 8),
(767, 'Aouadeh', 1),
(978, 'Arab Salim', 14),
(681, 'Ardeh - Harf Arden - Beit Okar - Beit Abid', 22),
(903, 'Arkey', 24),
(981, 'Arnoun', 14),
(376, 'Arsoun', 9),
(1352, 'Arz', 21),
(1020, 'Arzoun', 26),
(6, 'Ashrafieh', 4),
(589, 'Assia', 18),
(682, 'Aytou', 22),
(377, 'Baabda', 9),
(218, 'Baabdat', 8),
(378, 'Baadarane', 11),
(124, 'Baalbek', 2),
(379, 'Baalchmay', 9),
(69, 'Baaloul', 6),
(380, 'Baaqline', 11),
(381, 'Baassir', 11),
(70, 'Bab Mareaa', 6),
(896, 'Babliyeh', 24),
(7, 'Badaro', 4),
(1021, 'Baflay', 26),
(797, 'Baghdadi', 1),
(1283, 'Bahbouch', 19),
(898, 'Baisariyeh', 24),
(715, 'Bakhaoun', 23),
(101, 'Bakka', 7),
(102, 'Bakkifa', 7),
(741, 'Bakoura', 23),
(1247, 'Balamand', 19),
(310, 'Ballouneh', 12),
(665, 'Bane', 21),
(1081, 'Bani Haiyane', 15),
(768, 'Bani Sakhr', 1),
(219, 'Baouchriyeh', 8),
(382, 'Baouerta', 10),
(1130, 'Baraachit', 17),
(8, 'Barbir', 4),
(9, 'Barbour', 4),
(1241, 'Barghoun', 19),
(383, 'Barghoutiyeh', 11),
(1022, 'Barich', 26),
(384, 'Barja', 11),
(385, 'Barouk', 11),
(125, 'Barqa', 2),
(37, 'Barr Elias', 5),
(624, 'Barsa', 19),
(897, 'Barti', 24),
(220, 'Baskinta', 8),
(683, 'Baslouqit', 22),
(10, 'Basta', 4),
(386, 'Bater', 11),
(311, 'Batha', 12),
(387, 'Batloun', 11),
(1023, 'Batoulay', 26),
(11, 'Batrakieh', 4),
(625, 'Batroumine', 19),
(590, 'Batroun', 18),
(388, 'Bayssour', 10),
(1280, 'Bayyada', 8),
(666, 'Bazaaoun', 21),
(1024, 'Bazouriyeh', 26),
(389, 'Bchamoun', 10),
(687, 'Bchannine', 22),
(667, 'Bcharreh', 21),
(591, 'Bcheaali', 18),
(631, 'Bchennata', 19),
(390, 'Bchetfine', 11),
(391, 'Bdadoun', 10),
(626, 'Bdebba', 19),
(769, 'Bebnine', 1),
(12, 'Bechara Khoury', 4),
(627, 'Bechmizzine', 19),
(126, 'Bechouat', 2),
(473, 'Bechtelida', 13),
(716, 'Beddaoui', 23),
(392, 'Bedghane', 10),
(1025, 'Bedias', 26),
(127, 'Bednayel', 2),
(628, 'Bednayel', 19),
(629, 'Behouaita', 19),
(771, 'Beino', 1),
(13, 'Beirut Central District', 4),
(773, 'Beit Ayoub', 1),
(221, 'Beit Chaar', 8),
(222, 'Beit Chabeb', 8),
(128, 'Beit Chama', 2),
(592, 'Beit Chlala', 18),
(393, 'Beit Ed Dine', 11),
(717, 'Beit El Faqs', 23),
(774, 'Beit El Hajj', 1),
(223, 'Beit El Kikko', 8),
(824, 'Beit Ghattas', 1),
(602, 'Beit Kessab', 18),
(103, 'Beit Lahia', 7),
(1131, 'Beit Lif', 17),
(775, 'Beit Mellat', 1),
(224, 'Beit Meri', 8),
(1132, 'Beit Yahoun', 17),
(776, 'Beit Younes', 1),
(471, 'Bejjeh', 13),
(941, 'Benouati', 25),
(1133, 'Bent Jbeil', 17),
(312, 'Beqaatet Aachqout', 12),
(313, 'Beqaatet Kanaan', 12),
(472, 'Berbara', 13),
(777, 'Berbara (Aakkar)', 1),
(668, 'Berhalioun', 21),
(778, 'Berqayel', 1),
(1265, 'Besbeel', 22),
(1344, 'Besri', 11),
(779, 'Bezbina (Aakkar)', 1),
(1330, 'Bezhel', 12),
(1258, 'Bfaroueh', 14),
(394, 'Bhamdoun El Baldat', 10),
(395, 'Bhamdoun El Mhatta', 10),
(718, 'Bhanine', 23),
(1229, 'Bhannes', 8),
(225, 'Bhersaf', 8),
(684, 'Bhirat (Zgharta)', 22),
(232, 'Biaqout', 8),
(226, 'Bikfaya', 8),
(396, 'Binnay', 10),
(1315, 'Bir El Abed', 9),
(1302, 'Bir El Sanasel', 17),
(397, 'Bir Hassan', 9),
(780, 'Bireh (Aakkar)', 1),
(398, 'Bireh (Chouf)', 11),
(104, 'Bireh (Rachaiya)', 7),
(1026, 'Biyad', 26),
(942, 'Bkassine', 25),
(632, 'Bkeftine', 19),
(399, 'Bkhichtay', 10),
(1082, 'Blat', 15),
(474, 'Blat (Jbayl)', 13),
(400, 'Blaybel', 10),
(1083, 'Blida', 15),
(401, 'Bmahray', 10),
(402, 'Bmakine', 10),
(403, 'Bmariam', 9),
(899, 'Bnaafoul', 24),
(685, 'Bnachii', 22),
(404, 'Boqaata', 11),
(593, 'Boqsmaiya', 18),
(781, 'Borj', 1),
(14, 'Borj Abi Haidar', 4),
(782, 'Borj El Aarab', 1),
(405, 'Borj El Brajneh', 9),
(1027, 'Borj El Chmali', 26),
(1084, 'Borj El Mlouk', 15),
(721, 'Borj El Yahoudiyeh', 23),
(227, 'Borj Hammoud', 8),
(1134, 'Borj Qalaouiyeh', 17),
(1028, 'Borj Rahhal', 26),
(406, 'Botmeh', 11),
(314, 'Bouar', 12),
(38, 'Bouarej', 5),
(130, 'Boudai', 2),
(1031, 'Bourgheliyeh', 26),
(407, 'Bourjein', 11),
(1032, 'Boustane', 26),
(853, 'Boustane El Herch', 1),
(408, 'Boutchay', 9),
(669, 'Bqaa Kafra', 21),
(722, 'Bqaa Safrine', 23),
(315, 'Bqaatouta', 12),
(1333, 'Bqaq Ed Dine', 12),
(723, 'Bqarsouna', 23),
(228, 'Bqennaya', 8),
(670, 'Bqerqacha', 21),
(783, 'Bqerzla', 1),
(900, 'Bqosta', 24),
(982, 'Braiqah', 14),
(1257, 'Braiqah', 24),
(901, 'Bramiyeh', 24),
(409, 'Brih', 11),
(132, 'Brital', 2),
(229, 'Broummana', 8),
(410, 'Bsaba (Baabda)', 9),
(411, 'Bsaba (Chouf)', 11),
(230, 'Bsalim', 8),
(633, 'Bsarma', 19),
(412, 'Bsatine', 10),
(1288, 'Bsefrine', 8),
(413, 'Bsous', 10),
(634, 'Btaaboura', 19),
(414, 'Btalloun', 10),
(415, 'Btater', 10),
(133, 'Btedaai', 2),
(943, 'Bteddine El Liqch', 25),
(231, 'Bteghrine', 8),
(416, 'Btekhnay', 9),
(724, 'Btermaz', 23),
(635, 'Btorram', 19),
(636, 'Btouratij', 19),
(784, 'Bzal', 1),
(417, 'Bzebdine (Baabda)', 9),
(316, 'Bzemmar', 12),
(418, 'Bzina', 11),
(637, 'Bziza', 19),
(419, 'Camille Chamoun Blvd.', 9),
(15, 'Caracas', 4),
(134, 'Chaat', 2),
(1208, 'Chabriha', 26),
(596, 'Chabtine', 18),
(785, 'Chadra', 1),
(317, 'Chahtoul', 12),
(1033, 'Chaitiyeh', 26),
(786, 'Chakdouf', 1),
(1035, 'Chamaa', 26),
(1316, 'Chamat', 13),
(420, 'Chanay', 10),
(787, 'Chane', 1),
(1295, 'Channoura', 8),
(233, 'Chaouiyeh El Qnaytra', 8),
(1135, 'Chaqra', 17),
(788, 'Charbila', 1),
(197, 'Charbine El Hermel', 3),
(421, 'Charoun', 10),
(983, 'Charqiyeh', 14),
(422, 'Chartoun', 10),
(594, 'Chatine', 18),
(880, 'Chattaha', 1),
(423, 'Chbaniyeh', 9),
(1108, 'Chebaa (Hasbaiya)', 16),
(1036, 'Chehabiyeh', 26),
(424, 'Chehime', 11),
(1037, 'Chehour', 26),
(789, 'Cheikh Aayach', 1),
(790, 'Cheikh Mohammad', 1),
(791, 'Cheikh Taba', 1),
(595, 'Chekka', 18),
(1038, 'Chihine', 26),
(1347, 'Chikhane', 13),
(752, 'Chikhlar', 1),
(425, 'Chimlane', 10),
(426, 'Chiyah', 9),
(135, 'Chlifa', 2),
(136, 'Chmistar', 2),
(319, 'Chnanair', 12),
(199, 'Chouaghir El Faouqa', 3),
(198, 'Chouaghir Et Tahta', 3),
(1292, 'Chouaiyya', 8),
(427, 'Choueifat', 10),
(234, 'Choueir', 8),
(428, 'Chouit', 9),
(984, 'Choukine', 14),
(1109, 'Chouya (Hasbaiya)', 16),
(968, 'Chqedif', 25),
(1343, 'Chrine', 8),
(39, 'Chtaura', 5),
(16, 'Cleamenceau', 4),
(17, 'Cola', 4),
(1263, 'Corniche Al Nahr', 4),
(18, 'Corniche Mazraa', 4),
(792, 'Daghleh', 1),
(105, 'Dahr El Ahmar', 7),
(1242, 'Dahr El Ain', 19),
(1293, 'Dahr El Bacheq', 8),
(235, 'Dahr El Hossein', 8),
(429, 'Dahr El Mghara', 11),
(793, 'Dahr El Qanbar', 1),
(1264, 'Dahr El Qotlob', 18),
(236, 'Dahr Es Souane (Matn)', 8),
(794, 'Dahr Laissineh', 1),
(1337, 'Dalhamiyeh', 5),
(430, 'Dalhoun', 11),
(431, 'Damour', 11),
(748, 'Danniyeh', 23),
(795, 'Daoura (Aakkar)', 1),
(796, 'Daoussa', 1),
(432, 'Daqqoun', 10),
(638, 'Dar Baachtar', 19),
(639, 'Dar Chmizzine', 19),
(321, 'Daraaoun', 12),
(686, 'Daraiya', 22),
(433, 'Daraiya (Chouf)', 11),
(320, 'Daraiya Kesrouane', 12),
(902, 'Darb es Sim', 24),
(434, 'Dawha', 11),
(435, 'Dawhet Al Hoss', 11),
(441, 'Dawhet Aramoun', 10),
(237, 'Daychouniyeh', 8),
(238, 'Dbayeh', 8),
(1039, 'Debaal', 26),
(801, 'Debbabiyeh', 1),
(436, 'Debbieh', 11),
(1137, 'Debl', 17),
(640, 'Deddeh', 19),
(1040, 'Deir Aames', 26),
(725, 'Deir Aammar', 23),
(1328, 'Deir Baba', 11),
(597, 'Deir Billa', 18),
(1287, 'Deir Chamra', 8),
(798, 'Deir Dalloum', 1),
(437, 'Deir Dourite', 11),
(106, 'Deir El Aachayer', 7),
(138, 'Deir El Ahmar', 2),
(40, 'Deir El Ghazal', 5),
(438, 'Deir El Harf', 9),
(439, 'Deir El Qamar', 11),
(985, 'Deir El Zahrani', 14),
(800, 'Deir Jannine', 1),
(1041, 'Deir Kifa (Sour)', 26),
(440, 'Deir Koucheh', 11),
(239, 'Deir Mar Youssef', 8),
(1086, 'Deir Mimas', 15),
(726, 'Deir Nbouh', 23),
(1138, 'Deir Ntar', 17),
(1042, 'Deir Qanoun El Ain', 26),
(1043, 'Deir Qanoun En Nahr', 26),
(442, 'Deir Qoubel', 10),
(1087, 'Deir Siriane', 15),
(240, 'Deir Tamish', 8),
(1259, 'Deir Zenoun', 5),
(241, 'Dekwaneh', 8),
(1110, 'Dellafi', 16),
(1303, 'Dennawi', 4),
(1044, 'Derdghaya', 26),
(451, 'Dfoun', 10),
(1045, 'Dhayra', 26),
(1271, 'Dhour Al Hawa', 19),
(1267, 'Dhour El Aabadiyeh', 9),
(1088, 'Dibbine', 15),
(242, 'Dik El Mehdi', 8),
(1312, 'Dimane', 21),
(443, 'Dlaybeh', 9),
(323, 'Dlebta', 12),
(444, 'Dmit', 11),
(1221, 'Dora', 8),
(802, 'Douair Aadouiyeh', 1),
(243, 'Douar', 8),
(1136, 'Doubay', 17),
(986, 'Doueir', 14),
(139, 'Douris', 2),
(22, 'Downtown', 4),
(598, 'Duma', 18),
(1319, 'Ebba', 14),
(475, 'Eddeh', 13),
(599, 'Eddeh (Batroun)', 18),
(1162, 'Ehden', 22),
(476, 'Ehmej', 13),
(1238, 'El Haouch', 26),
(822, 'El Ram', 1),
(1224, 'Elissar', 8),
(641, 'Enfeh', 19),
(1334, 'Faiyadiyeh', 9),
(140, 'Fakeha', 2),
(445, 'Falougha', 9),
(244, 'Fanar', 8),
(446, 'Faouarat Jaafar', 11),
(1318, 'Faour', 5),
(324, 'Far Tay Kesrouane', 12),
(325, 'Faraya', 12),
(803, 'Fardh', 1),
(326, 'Fatqa', 12),
(477, 'Fatreh', 13),
(327, 'Faytroun', 12),
(447, 'Fern el Chebek', 9),
(41, 'Ferzol', 5),
(642, 'Fiaa', 19),
(478, 'Fidar', 13),
(200, 'Fissane', 3),
(141, 'Flaoueh', 2),
(804, 'Fnaydeq', 1),
(1111, 'Fradis', 16),
(1335, 'Fraikeh', 8),
(448, 'Fraydis (Chouf)', 11),
(1311, 'Freij', 2),
(1139, 'Froun', 17),
(805, 'Fsaqine', 1),
(449, 'Furn Ech Chebbak', 9),
(450, 'Galerie Semaan', 9),
(20, 'Gemmayzeh', 4),
(245, 'Ghabeh', 8),
(246, 'Ghabet Bolonia', 8),
(512, 'Ghaboun', 10),
(1233, 'Ghadir', 12),
(479, 'Ghalboun', 13),
(1140, 'Ghandouriyeh', 17),
(137, 'Gharbeh Baalbek', 2),
(1203, 'Gharfine', 13),
(452, 'Gharifeh', 11),
(904, 'Ghassaniyeh', 24),
(808, 'Ghazaleh', 1),
(328, 'Ghazir', 12),
(905, 'Ghaziyeh', 24),
(71, 'Ghazzeh', 6),
(329, 'Ghbaleh', 12),
(330, 'Ghidras', 12),
(331, 'Ghineh', 12),
(453, 'Ghobeiry', 9),
(332, 'Ghosta', 12),
(987, 'Habbouch', 14),
(454, 'Hadath', 9),
(142, 'Hadath Baalbek', 2),
(671, 'Hadath Ej Joubbeh', 21),
(672, 'Hadchit', 21),
(1141, 'Haddatha', 17),
(1348, 'Hadtoun', 13),
(337, 'Haiyatah', 12),
(906, 'Hajjeh', 24),
(480, 'Halate', 13),
(809, 'Halba', 1),
(1046, 'Halloussiyeh', 26),
(1332, 'Halta', 16),
(600, 'Hamat', 18),
(455, 'Hammana', 9),
(23, 'Hamra', 4),
(1142, 'Hanine', 17),
(1228, 'Hankach', 8),
(1230, 'Hanouiyeh', 26),
(1298, 'Haouch Al Oumaraa', 5),
(143, 'Haouch Barada', 2),
(107, 'Haouch El Qinnaabeh', 7),
(144, 'Haouch En Nabi', 2),
(59, 'Haouch Hala', 5),
(42, 'Haouch Moussa (Aanjar)', 5),
(146, 'Haouch Snaid', 2),
(147, 'Haouch Tall Safiyeh', 2),
(148, 'Haour Taala', 2),
(727, 'Haql El Aazimeh', 23),
(149, 'Harbata (Baalbek)', 2),
(601, 'Hardine', 18),
(1266, 'Haret Al Khalsah', 19),
(456, 'Haret Baassir', 11),
(457, 'Haret el Botm, Hadath Beyrouth', 9),
(43, 'Haret El Fikani', 5),
(688, 'Haret el Fouar', 22),
(458, 'Haret El Naameh', 11),
(459, 'Haret es Sitt', 9),
(460, 'Haret Hreik', 9),
(461, 'Haret Jandal', 11),
(907, 'Haret Saida', 24),
(1210, 'Haret Sakhr', 12),
(703, 'Harf', 22),
(728, 'Harf Es Siad', 23),
(1143, 'Haris', 17),
(322, 'Harissa', 12),
(988, 'Harouf (Nabatiyeh)', 14),
(1112, 'Hasbaiya', 16),
(506, 'Hasbaiya El Matn', 9),
(673, 'Hasroun', 21),
(507, 'Hasrout', 11),
(944, 'Hassaniyeh', 25),
(508, 'Hay El Amerken', 9),
(509, 'Hay El Selllom', 9),
(810, 'Haycheh', 1),
(811, 'Hayssa', 1),
(812, 'Haytla', 1),
(945, 'Haytoura', 25),
(813, 'Hayzouq', 1),
(44, 'Hazerta', 5),
(510, 'Hazmiyeh (Baabda)', 9),
(729, 'Hazmiyeh (Mineh-Danniyeh)', 23),
(1204, 'Hbaline', 13),
(1307, 'Hboub', 13),
(247, 'Hbous', 8),
(1163, 'Hdayneh', 13),
(1113, 'Hebbariyeh', 16),
(1272, 'Hekr El Dahri', 1),
(1274, 'Hellaniya', 2),
(108, 'Heloueh', 7),
(1047, 'Henniyeh', 26),
(603, 'Heri', 18),
(201, 'Hermel', 3),
(964, 'Hidab', 25),
(248, 'Himlaya', 8),
(1324, 'Hisah', 1),
(150, 'Hizzine', 2),
(481, 'Hjoula', 13),
(151, 'Hlabta (Baalbek)', 2),
(511, 'Hlaliyeh (Baadba)', 9),
(908, 'Hlaliyeh (Saida)', 24),
(1048, 'Hmairi', 26),
(704, 'Hmaiss', 22),
(814, 'Hmayra', 1),
(946, 'Homsiyeh', 25),
(1226, 'Horsh Tabet', 8),
(482, 'Hosrayel', 13),
(334, 'Hossain', 12),
(815, 'Houaich', 1),
(72, 'Houch El Harimeh', 6),
(145, 'Houch El Rafqah', 2),
(1089, 'Houla', 15),
(513, 'Houmal', 10),
(989, 'Houmine El Faouqa', 14),
(990, 'Houmine Et Tahta', 14),
(333, 'Hrajel', 12),
(816, 'Hrar', 1),
(483, 'Hsarat', 13),
(484, 'Hsoun', 13),
(152, 'Iaat', 2),
(1090, 'Ibl Es Saqi', 15),
(525, 'Ighmid', 10),
(643, 'Ijdaabrine', 19),
(604, 'Ijdabra', 18),
(817, 'Ilat', 1),
(730, 'Imar', 23),
(991, 'Insar', 14),
(1235, 'Iqlim Al Kharroub', 11),
(689, 'Izal', 22),
(731, 'Izal', 23),
(153, 'Jabbouleh', 2),
(514, 'Jadr', 11),
(1236, 'Jadra', 11),
(515, 'Jahliyeh', 11),
(485, 'Jaj', 13),
(249, 'Jal Ed Dib', 8),
(1269, 'Jamhour', 9),
(516, 'Jamous', 9),
(1050, 'Jannata', 26),
(992, 'Jarjouaa', 14),
(947, 'Jarmaq', 25),
(517, 'Jbaa (Chouf)', 11),
(993, 'Jbaa (Nabatiyeh)', 14),
(1049, 'Jbal El Botm', 26),
(486, 'Jbeil (Byblos)', 13),
(1290, 'Jdaideh', 2),
(518, 'Jdaideh (Chouf)', 11),
(1091, 'Jdaideh (Marjaayoun)', 15),
(818, 'Jdaidet (Aakkar)', 1),
(819, 'Jdaidet El Qayteaa', 1),
(336, 'Jdaidet Ghazir', 12),
(250, 'Jdeidet El Matn', 8),
(45, 'Jdita', 5),
(154, 'Jebaa (Baalbek)', 2),
(820, 'Jebrayel', 1),
(487, 'Jeddayel', 13),
(335, 'Jeita', 12),
(155, 'Jenta', 2),
(821, 'Jermnaiya', 1),
(948, 'Jernaya', 25),
(949, 'Jezzine', 25),
(1051, 'Jibbain', 26),
(995, 'Jibchit', 14),
(1222, 'Jisr El Basha', 9),
(519, 'Jiyeh', 11),
(1254, 'Jlala', 5),
(1144, 'Jmaijmeh', 17),
(520, 'Jnah', 9),
(1206, 'Jouaiyya', 26),
(251, 'Jouar', 8),
(202, 'Jouar el Hachich', 3),
(521, 'Jouar El Haouz', 9),
(73, 'Joub Jannine', 6),
(522, 'Joun', 11),
(339, 'Jounieh', 12),
(523, 'Jouret Arsoun', 9),
(340, 'Jouret Bedrane', 12),
(1234, 'Jouret El Ballout', 8),
(341, 'Jouret Et Termos', 12),
(318, 'Jouret Mghad', 12),
(605, 'Jrane', 18),
(524, 'Kafaat', 9),
(1310, 'Kafr', 13),
(1240, 'Kafra', 14),
(1145, 'Kafra', 17),
(1260, 'Kafroue', 14),
(644, 'Kaftoun', 19),
(528, 'Kahaleh', 10),
(526, 'Kahlouniyeh', 11),
(74, 'Kamed El Laouz', 6),
(1114, 'Kaoukaba', 16),
(109, 'Kaoukaba Bou Aarab', 7),
(910, 'Kaouthariyet El Saiyad', 24),
(1297, 'Karak Nouh', 5),
(24, 'Karakol Druze', 4),
(25, 'Karantina', 4),
(951, 'Karkha', 25),
(823, 'Karm Aasfour', 1),
(732, 'Karm El Mohr', 23),
(690, 'Karm Saddeh', 22),
(26, 'Kaskas', 4),
(1211, 'Kaslik', 12),
(645, 'Kefraiya', 19),
(75, 'Kefraiya (West-Bekaa)', 6),
(527, 'Ketermaya', 11),
(529, 'Keyfoun', 10),
(606, 'Kfar Aabida', 18),
(532, 'Kfar Aammay', 10),
(252, 'Kfar Aaqab', 8),
(646, 'Kfar Aaqqa', 19),
(467, 'Kfar Baal', 13),
(733, 'Kfar Bebnine', 23),
(911, 'Kfar Beit', 24),
(912, 'Kfar Chellal', 24),
(734, 'Kfar Chlane', 23),
(1115, 'Kfar Chouba (Nkhayleh)', 16),
(1255, 'Kfar Dabach', 2),
(156, 'Kfar Dan', 2),
(110, 'Kfar Denis', 7),
(342, 'Kfar Dibiane', 12),
(691, 'Kfar Dlaqous', 22),
(1146, 'Kfar Dounine', 17),
(952, 'Kfar Falous', 25),
(530, 'Kfar Faqoud', 11),
(996, 'Kfar Fila', 14),
(692, 'Kfar Fou', 22),
(735, 'Kfar Habou', 23),
(1116, 'Kfar Hamam', 16),
(647, 'Kfar Hata', 19),
(693, 'Kfar Hata (Zgharta)', 22),
(611, 'Kfar Hatna', 18),
(913, 'Kfar Hatta', 24),
(607, 'Kfar Hay', 18),
(648, 'Kfar Hazir', 19),
(1214, 'Kfar Hbeb', 12),
(608, 'Kfar Hilda', 18),
(531, 'Kfar Him', 11),
(953, 'Kfar Houneh', 25),
(954, 'Kfar Jarra', 25),
(347, 'Kfar Jrif', 12),
(1092, 'Kfar Kila', 15),
(548, 'Kfar Matta', 10),
(533, 'Kfar Matta', 11),
(849, 'Kfar Melki', 1),
(914, 'Kfar Melki', 24),
(111, 'Kfar Michki', 7),
(534, 'Kfar Nabrakh', 11),
(535, 'Kfar Niss', 11),
(649, 'Kfar Qahel', 19),
(536, 'Kfar Qatra', 11),
(112, 'Kfar Qouq', 7),
(997, 'Kfar Roummane', 14),
(1306, 'Kfar Sal', 13),
(650, 'Kfar Saroun', 19),
(537, 'Kfar Selouane', 9),
(694, 'Kfar Sghab', 22),
(998, 'Kfar Sir', 14),
(999, 'Kfar Tibnit', 14),
(695, 'Kfar Yachit - Besebaal', 22),
(355, 'Kfar Yassine', 12),
(46, 'Kfar Zabad', 5),
(696, 'Kfar Zeina', 22),
(538, 'Kfarchima', 9),
(253, 'Kfartay', 8),
(825, 'Kfartoun', 1),
(1117, 'Kfayr Ez Zait', 16),
(1323, 'Kfeir', 16),
(343, 'Kfour (Kesrouane)', 12),
(1000, 'Kfour (Nabatiyeh)', 14),
(609, 'Kfour El Aarbi', 18),
(550, 'Khalde', 10),
(1253, 'Khaldieh', 22),
(1118, 'Khalouat', 16),
(539, 'Khalwat', 9),
(1345, 'Khandaq Al Ghamiq', 4),
(203, 'Kharayeb', 3),
(915, 'Kharayeb (Saida)', 24),
(916, 'Khartoum', 24),
(826, 'Khat El Batrol', 1),
(254, 'Khenchara ', 8),
(1093, 'Khiam', 15),
(76, 'Khiara', 6),
(1085, 'Khirbeh', 15),
(827, 'Khirbet Char', 1),
(828, 'Khirbet Daoud', 1),
(77, 'Khirbet Qanafar', 6),
(113, 'Khirbet Rouha', 7),
(1147, 'Khirbet Selm', 17),
(157, 'Khodor', 2),
(541, 'Khraibeh (Chouf)', 11),
(540, 'Khraybeh (Baabda)', 9),
(158, 'Khreibeh', 2),
(829, 'Khreibet Ej Jindi', 1),
(159, 'Knaiseh (Baalbek)', 2),
(542, 'Kneisseh', 9),
(543, 'Kneisseh (Chouf)', 11),
(1052, 'Kneisseh (Tyr)', 26),
(697, 'Korah Bach', 22),
(830, 'Kouachra', 1),
(204, 'Kouakh', 3),
(610, 'Koubba', 18),
(831, 'Koucha', 1),
(832, 'Koueikhat', 1),
(1148, 'Kounine', 17),
(1304, 'Kour', 18),
(651, 'Kousba', 19),
(27, 'Kraytem', 4),
(833, 'Kroum Aarab', 1),
(1185, 'Ksara', 5),
(160, 'Laboueh', 2),
(78, 'Lala', 6),
(488, 'Laqlouq', 13),
(489, 'Lassa', 13),
(544, 'Laylaki', 9),
(955, 'Lebaa', 25),
(490, 'Lehfed', 13),
(79, 'Libbaya', 6),
(545, 'Louayzeh', 9),
(956, 'Louayzeh (Jezzine)', 25),
(917, 'Loubieh', 24),
(1308, 'Maad', 13),
(1164, 'Maalaqa', 5),
(1276, 'Maalqa', 2),
(1213, 'Maamaltein', 12),
(918, 'Maamariyeh', 24),
(1277, 'Maamoura', 9),
(161, 'Maaraboun', 2),
(1053, 'Maarakeh', 26),
(1054, 'Maaroub', 26),
(546, 'Maasser Beit Ed Dine', 11),
(547, 'Maasser El Chouf', 11),
(344, 'Maaysra', 12),
(80, 'Machghara', 6),
(834, 'Machha', 1),
(957, 'Machmoucheh', 25),
(835, 'Machta Hammoud', 1),
(836, 'Machta Hassan', 1),
(1326, 'Madfoun', 18),
(919, 'Maghdoucheh', 24),
(1055, 'Mahrouna', 26),
(557, 'Majdal Baana', 10),
(837, 'Majdala', 1),
(699, 'Majdalaiya (Zgharta)', 22),
(162, 'Majdaloun', 2),
(652, 'Majdel', 19),
(47, 'Majdel Aanjar', 5),
(114, 'Majdel Balhis', 7),
(491, 'Majdel El Aaqoura', 13),
(549, 'Majdel El Meouch', 11),
(1094, 'Majdel Selm', 15),
(255, 'Majdel Tarchich', 8),
(1056, 'Majdel Zoun', 26),
(920, 'Majdelyoun', 24),
(578, 'Majdlaya', 10),
(1119, 'Majidiyeh', 16),
(256, 'Majzoub', 8),
(28, 'Makassed', 4),
(163, 'Makneh', 2),
(958, 'Maknouniyeh', 25),
(48, 'Makseh', 5),
(29, 'Malaab Al Baladi', 4),
(1034, 'Malkiyet Es Sahel', 26),
(30, 'Malla', 4),
(31, 'Manara', 4),
(81, 'Manara', 6),
(82, 'Mansoura', 6),
(1057, 'Mansouri', 26),
(257, 'Mansouriyeh', 8),
(568, 'Mansouriyet', 10),
(258, 'Mar Chaaya', 8),
(32, 'Mar Elias', 4),
(33, 'Mar Mkhayel', 4),
(259, 'Mar Moussa', 8),
(260, 'Mar Roukoz', 8),
(838, 'Mar Touma', 1),
(1120, 'Mari', 16),
(83, 'Marj (West-Bekaa)', 6),
(1121, 'Marj Ez Zouhour (Dnaibeh)', 16),
(1095, 'Marjaayoun', 15),
(261, 'Marjaba', 8),
(551, 'Marjiyat (Chouf)', 11),
(1096, 'Markaba', 15),
(736, 'Markabta', 23),
(1149, 'Maroun Er Ras', 17),
(1249, 'Masnaa', 5),
(164, 'Masnaa El Dahr', 2),
(49, 'Massa', 5),
(839, 'Massaaoudiyeh', 1),
(1202, 'Mastita', 13),
(1166, 'Mathaf', 4),
(1262, 'Mayasse (Himlaya)', 8),
(84, 'Maydoun - Loussia', 6),
(1001, 'Mayfadoun', 14),
(492, 'Mayfouq', 13),
(345, 'Mayrouba', 12),
(552, 'Mazboud', 11),
(165, 'Mazraat Al Souaydane', 2),
(719, 'Mazraat Artoussi', 23),
(840, 'Mazraat Baldeh', 1),
(166, 'Mazraat Beit Mchaikh', 2),
(553, 'Mazraat ed Dahr', 11),
(554, 'Mazraat El Chouf', 11),
(1300, 'Mazraat El Daoudiyeh', 24),
(262, 'Mazraat El Hadira', 8),
(1058, 'Mazraat El Mechref', 26),
(1355, 'Mazraat El Saiyad', 13),
(167, 'Mazraat Er Remassa', 2),
(494, 'Mazraat Es Siyad', 13),
(698, 'Mazraat Et Teffah', 22),
(168, 'Mazraat Et Tout', 2),
(1252, 'Mazraat Kfar Jouz', 14),
(169, 'Mazraat Qold Es Sabaah', 2),
(205, 'Mazraat Sejoud (Hermel)', 3),
(263, 'Mazraat Yachouaa', 8),
(555, 'Mcharafieh', 9),
(264, 'Mchikha', 8),
(574, 'Mdeyrej', 10),
(115, 'Mdoukha', 7),
(495, 'Mechane', 13),
(575, 'Mecherfeh', 10),
(841, 'Mechilhat Hakour', 1),
(842, 'Mechmech (Aakkar)', 1),
(496, 'Mechmech (Jbeil)', 13),
(556, 'Mechref', 11),
(612, 'Mehmarch', 18),
(1097, 'Meiss Ej Jabal', 15),
(843, 'Memneaa', 1),
(844, 'Menjez', 1),
(558, 'Merdacheh', 9),
(1122, 'Meri', 16),
(1059, 'Merouahine', 26),
(921, 'Merouaniyeh', 24),
(655, 'Metrit', 19),
(265, 'Mezher', 8),
(559, 'Mghairiyeh (Chouf)', 11),
(497, 'Mghayreh', 13),
(266, 'Mhaiydseh', 8),
(845, 'Mhamra', 1),
(116, 'Mhaydthe', 7),
(959, 'Midane (Jezzine)', 25),
(1123, 'Mimess', 16),
(661, 'Mina', 20),
(737, 'Minieh', 23),
(846, 'Minyara', 1),
(700, 'Miriata', 22),
(922, 'Miyeh ou Miyeh', 24),
(702, 'Mizyara', 22),
(1060, 'Mjadel (Tyr)', 26),
(960, 'Mjeydil (Jezzine)', 25),
(267, 'Mkalles', 8),
(961, 'Mlikh', 25),
(1289, 'Moghr El Ahwal', 19),
(1225, 'Monteverdi', 8),
(170, 'Moqraq', 2),
(1244, 'Mouawad', 9),
(560, 'Moukhtara', 11),
(498, 'Mounsef', 13),
(847, 'Mqaitaa', 1),
(851, 'Mqaybleh', 1),
(739, 'Mrah Es Srayj', 23),
(50, 'Mrayjat (Zahleh)', 5),
(561, 'Mreijeh (Baabda)', 9),
(562, 'Mristi', 11),
(268, 'Mrouj', 8),
(1321, 'Msayleh', 24),
(1320, 'Msayleh', 26),
(1167, 'Msaytbeh', 4),
(269, 'Mtayleb', 8),
(270, 'Mtein', 8),
(563, 'Mtolleh', 11),
(271, 'Mzakkeh', 8),
(499, 'Mzarib', 13),
(564, 'Naameh', 11),
(1270, 'Nabaa', 8),
(1291, 'Nabaa Al Safa', 11),
(1002, 'Nabatiyeh El Faouqa', 14),
(1003, 'Nabatiyeh Et Tahta', 14),
(272, 'Nabay', 8),
(171, 'Nabha Ed Damdoum', 2),
(172, 'Nabha El Mehfara', 2),
(173, 'Nabha El Qeddam', 2),
(174, 'Nabha Qlayleh - Nabha Harfouch', 2),
(51, 'Nabi Ayla', 5),
(175, 'Nabi Chit', 2),
(176, 'Nabi Osmane', 2),
(1294, 'Nabi Rachad', 2),
(738, 'Nabi Youcheaa', 23),
(273, 'Naccache', 8),
(1061, 'Naffakhiyeh', 26),
(177, 'Nahleh', 2),
(1329, 'Nahr El Kalb', 12),
(1227, 'Nahr El Mot', 8),
(501, 'Nahr Ibrahim', 13),
(852, 'Nahriyeh', 1),
(923, 'Najjariyeh', 24),
(656, 'Nakhleh', 19),
(854, 'Naoura', 1),
(1062, 'Naqoura', 26),
(52, 'Nasriyet Riziq', 5),
(1223, 'New Rawda', 8),
(855, 'Nfisseh', 1),
(565, 'Niha (Chouf)', 11),
(53, 'Niha (Zahleh)', 5),
(740, 'Nimrine', 23),
(1004, 'Nmairiyeh', 14),
(346, 'Nmoura', 12),
(1256, 'Nouwairi', 4),
(1346, 'Ouadi Ed Delm', 5),
(856, 'Ouadi Ej Jamous', 1),
(742, 'Ouadi En Nahleh', 23),
(178, 'Ouadi Faara', 2),
(962, 'Ouadi Jezzine', 25),
(348, 'Ouata Ej Jaouz', 12),
(274, 'Ouata El Mrouj', 8),
(654, 'Ouata Fares', 19),
(617, 'Ouata Houb', 18),
(1098, 'Ouazzani', 15),
(566, 'Ouzai', 9),
(21, 'Patriarcat', 4),
(1168, 'Port Beirut', 4),
(179, 'Qaa Baalbek', 2),
(54, 'Qaa Er Rim', 5),
(848, 'Qaabrine', 1),
(1005, 'Qaaqaaiyet El Jisr', 14),
(924, 'Qaaqaaiyet El Snoubar', 24),
(275, 'Qaaqour', 8),
(1279, 'Qabaait', 1),
(55, 'Qabb Elias', 5),
(579, 'Qabr Chamoun', 10),
(1099, 'Qabrikha', 15),
(701, 'Qadriyeh', 22),
(567, 'Qalaa', 9),
(662, 'Qalamoun', 20),
(1150, 'Qalaouiyeh', 17),
(657, 'Qalhat', 19),
(1063, 'Qana', 26),
(858, 'Qantara', 1),
(1100, 'Qantara (Marjaayoun)', 15),
(1151, 'Qaouzah', 17),
(85, 'Qaraaoun', 6),
(180, 'Qarha (Baalbek)', 2),
(859, 'Qarqaf', 1),
(743, 'Qarsaita', 23),
(502, 'Qartaba', 13),
(1309, 'Qartaboun', 13),
(206, 'Qasr', 3),
(963, 'Qatine', 25),
(338, 'Qattine', 12),
(744, 'Qattine (Minieh-Danniyeh)', 23),
(965, 'Qaytouli', 25),
(772, 'Qboula', 1),
(860, 'Qechlq', 1),
(1340, 'Qeddam', 2),
(86, 'Qellaya', 6),
(276, 'Qennabet Broummana', 8),
(925, 'Qennarit', 24),
(1285, 'Qiyaa', 24),
(1064, 'Qlaileh', 26),
(1101, 'Qlayaa', 15),
(349, 'Qlayaat', 12),
(861, 'Qleiaat', 1),
(580, 'Qmatiyeh', 10),
(674, 'Qnat', 21),
(862, 'Qnit', 1),
(570, 'Qornayel', 9),
(863, 'Qorneh', 1),
(277, 'Qornet Chahouane', 8),
(278, 'Qornet El Hamra', 8),
(571, 'Qortadah', 9),
(493, 'Qottara', 13),
(857, 'Qoubaiyat', 1),
(569, 'Qoubbei (Baabda)', 9),
(864, 'Qoubbet Chamra', 1),
(56, 'Qoussaya', 5),
(865, 'Qraiyat', 1),
(926, 'Qraiyeh', 24),
(572, 'Qrayeh (Baabda)', 9),
(573, 'Qsaibeh (Baabda)', 9),
(1006, 'Qsaibeh (Nabatiyeh)', 14),
(181, 'Qsarnaba', 2),
(350, 'Raachine', 12),
(1102, 'Rabb Et Talatine', 15),
(279, 'Rabiyeh', 8),
(280, 'Rabweh', 8),
(1152, 'Rachaf', 17),
(706, 'Rachaine', 22),
(117, 'Rachaiya', 7),
(1124, 'Rachaiya El Foukhar', 16),
(1327, 'Rachana', 18),
(118, 'Rafid', 7),
(866, 'Rahbeh', 1),
(57, 'Raiit', 5),
(756, 'Rajm Aissi', 1),
(182, 'Ram - Jabaniyeh', 2),
(1153, 'Ramiyeh (Bent Jbayl)', 17),
(1169, 'Ramlet Al Bayda', 4),
(583, 'Ramliyeh', 10),
(1170, 'Raoucheh', 4),
(183, 'Ras Baalbek', 2),
(1281, 'Ras Beirut', 4),
(1286, 'Ras El Ain', 26),
(576, 'Ras El Harf', 9),
(577, 'Ras El Matn', 9),
(1171, 'Ras el Nabeh', 4),
(707, 'Ras Kifa', 22),
(658, 'Ras Masqa', 19),
(613, 'Ras Nahhach', 18),
(503, 'Ras Osta', 13),
(87, 'Rawda (Istabel)', 6),
(351, 'Rayfoun', 12),
(659, 'Rechdibbine', 19),
(1065, 'Recheknanay', 26),
(587, 'Rechmaya', 10),
(1186, 'Rejmeh', 10),
(966, 'Rihan (Jezzine)', 25),
(867, 'Rihaniyeh', 1),
(720, 'Rihaniyeh', 23),
(967, 'Rimat', 25),
(1190, 'Rimhala', 10),
(58, 'Riyaq', 5),
(1066, 'Rmadiyeh', 26),
(868, 'Rmah', 1),
(1154, 'Rmaych', 17),
(581, 'Rmeileh (Chouf)', 11),
(850, 'Rmoul', 1),
(582, 'Rouaisset El Ballout', 9),
(1192, 'Rouaysset En Naamane', 10),
(969, 'Roum', 25),
(281, 'Roumieh', 8),
(1007, 'Roumine', 14),
(1237, 'Rouweis', 9),
(1239, 'Rouweisset', 8),
(1353, 'Rwaysat Saoufar', 10),
(1243, 'Saadiyat', 11),
(60, 'Saadnayel', 5),
(184, 'Saaideh', 2),
(970, 'Sabbah', 25),
(1172, 'Sabra', 4),
(1220, 'Sabtiyeh', 8),
(1155, 'Safad El Battikh', 17),
(352, 'Safra', 12),
(88, 'Saghbine', 6),
(1209, 'Sahel Alma', 12),
(869, 'Sahleh', 1),
(927, 'Saida (Sidon)', 24),
(1314, 'Saifi', 4),
(705, 'Sakhra', 22),
(1173, 'Sakiet el Janzir', 4),
(928, 'Saksakiyeh', 24),
(1068, 'Salaa', 26),
(929, 'Salhiyeh (Saida)', 24),
(1174, 'Salim Slam', 4),
(584, 'Salima (Baabda)', 9),
(585, 'Samqaniyeh', 11),
(586, 'San Terez', 9),
(1175, 'Sanayeh', 4),
(1339, 'Sannine', 8),
(283, 'Saqiet El Misk', 8),
(185, 'Saraain El Faouqa', 2),
(186, 'Saraain Et Tahta', 2),
(930, 'Sarafand', 24),
(1232, 'Sarba (Keserwen)', 12),
(1008, 'Sarba (Nabatiyeh)', 14),
(1216, 'Sarhmoul', 10),
(1193, 'Sawfar', 10),
(971, 'Saydoun', 25),
(870, 'Sayssouq', 1),
(708, 'Sebaal', 22),
(1188, 'Sebline', 11),
(1067, 'Seddiqine', 26),
(353, 'Sehayleh', 12),
(972, 'Sejoud', 25),
(614, 'Selaata', 18),
(1299, 'Semmaqiyeh', 1),
(709, 'Seraal', 22),
(973, 'Sfaray', 25),
(1187, 'Sfeir', 9),
(871, 'Sfinet Ed Drayb', 1),
(872, 'Sfinet El Qayteaa', 1),
(745, 'Sfireh', 23),
(1189, 'Sibnay, Hadath Beyrouth', 9),
(282, 'Sidd Al Baouchriyeh', 8),
(1217, 'Silfaya', 10),
(284, 'Sin El Fil', 8),
(873, 'Sindianet Zeidane', 1),
(1009, 'Sineh', 14),
(746, 'Sir', 23),
(1010, 'Sir el Gharbiyeh', 14),
(1191, 'Sirjbal', 11),
(1351, 'Smar Jbeil', 18),
(974, 'Snaiya', 25),
(1176, 'Snoubra', 4),
(1177, 'Sodeco', 4),
(90, 'Sohmor', 6),
(89, 'Souairi', 6),
(874, 'Souaisset', 1),
(1103, 'Souaneh (Marjaayoun)', 15),
(91, 'Soultan Yaaqoub', 6),
(1218, 'Souq El Gharb', 10),
(1069, 'Srifa', 26),
(1157, 'Srobbine', 17),
(1156, 'Sultaniyeh', 17),
(1178, 'Syoufi', 4),
(61, 'Taalabaya', 5),
(1165, 'Taanayel', 5),
(1219, 'Taazaniyeh', 10),
(354, 'Tabarja', 12),
(875, 'Tachaa', 1),
(1194, 'Tahouitat El Ghadir', 9),
(1195, 'Tahouitat el Nahr', 9),
(1322, 'Tal Hmayra', 1),
(876, 'Tall Aabbas El Gharbi', 1),
(877, 'Tall Bireh', 1),
(878, 'Tall Meaayane', 1),
(92, 'Tall Znoub', 6),
(879, 'Talleh', 1),
(1179, 'Tallet el Khayat', 4),
(1104, 'Talloussa', 15),
(187, 'Talya', 2),
(931, 'Tanbourit', 24),
(119, 'Tannoura', 7),
(616, 'Tannourine El Faouqa', 18),
(615, 'Tannourine El Tahta', 18),
(188, 'Taoufiqiyeh', 2),
(747, 'Tarane', 23),
(189, 'Taraya', 2),
(1196, 'Tarchich', 9),
(1180, 'Tarik Jdideh', 4),
(504, 'Tartij', 13),
(190, 'Taybeh', 2),
(1105, 'Taybeh (Marjaayoun)', 15),
(1197, 'Tayouneh', 9),
(1070, 'Tayr Debba', 26),
(1071, 'Tayr Falsay', 26),
(1072, 'Tayr Harfa', 26),
(1158, 'Tebnine', 17),
(932, 'Tefahta', 24),
(618, 'Tehoum', 18),
(191, 'Temnine El Faouqa', 2),
(192, 'Temnine Et Tahta', 2),
(62, 'Terbol', 5),
(1231, 'Tfalsay', 26),
(881, 'Tikrit', 1),
(1159, 'Tiri', 17),
(882, 'Tleil', 1),
(1275, 'Toul', 14),
(710, 'Toula - Aslout', 22),
(1106, 'Touline', 15),
(1073, 'Toura', 26),
(675, 'Tourza', 21),
(663, 'Tripoli', 20),
(1074, 'Tyre (Sour)', 26),
(1181, 'Unesco', 4),
(1182, 'Verdun', 4),
(1198, 'Wadi Chahrour El Oulya', 9),
(1245, 'Wadi Chahrour El Soufla', 9),
(883, 'Wadi El Haour', 1),
(1278, 'Wadi El Jamous', 1),
(1199, 'Wadi El Sitt', 11),
(1200, 'Wadi El Zayni', 11),
(1268, 'Wadi Jezzine', 25),
(884, 'Wadi Khaled', 1),
(1338, 'Wady El Delb', 8),
(1201, 'Wardaniyeh', 11),
(1205, 'Warhaniyeh', 11),
(1273, 'Wata Fares', 19),
(356, 'Yahchouch', 12),
(193, 'Yammouneh', 2),
(505, 'Yanouh', 13),
(1075, 'Yanouh (Sour)', 26),
(120, 'Yanta', 7),
(1076, 'Yarine', 26),
(1160, 'Yaroun', 17),
(1305, 'Yarze', 9),
(1161, 'Yater', 17),
(1011, 'Yohmor (Nabatiyeh)', 14),
(93, 'Yohmor (West-Bekaa)', 6),
(194, 'Younine', 2),
(1336, 'Zaarour', 8),
(1215, 'Zaarouriyeh', 11),
(195, 'Zabboud', 2),
(1250, 'Zabbougha', 8),
(63, 'Zahleh', 5),
(933, 'Zaita', 24),
(357, 'Zaitoun', 12),
(358, 'Zaitreh', 12),
(285, 'Zakrit', 8),
(660, 'Zakroun', 19),
(653, 'Zakzouk', 19),
(286, 'Zalka', 8),
(1077, 'Zalloutieh', 26),
(619, 'Zane', 18),
(1012, 'Zaoutar Ech Charqiyeh', 14),
(1013, 'Zaoutar El Gharbiyeh', 14),
(287, 'Zaraaoun', 8),
(1183, 'Zarif', 4),
(1282, 'Zeaitriyeh', 8),
(1349, 'Zebdine', 13),
(1078, 'Zebqine', 26),
(1014, 'Zefta', 14),
(1301, 'Zeghrine', 8),
(1342, 'Zelhmaya', 13),
(711, 'Zgharta', 22),
(1313, 'Zghartighrine', 23),
(975, 'Zhalta', 25),
(1015, 'Zibdine (Nabatiyeh)', 14),
(94, 'Zilaya', 6),
(1184, 'Zkak Blat', 4),
(885, 'Zouarib', 1),
(288, 'Zouk El Kharab', 8),
(359, 'Zouk Mkayel', 12),
(360, 'Zouk Mosbeh', 12),
(886, 'Zouq El Hosniyeh', 1),
(799, 'Zouq El Moqachrine', 1),
(887, 'Zouq Haddara', 1),
(934, 'Zrariyeh', 24),
(196, 'Zrazir', 2);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fees_subscription_details`
--

CREATE TABLE `tbl_fees_subscription_details` (
  `entry_id` int(11) NOT NULL,
  `main_id` int(11) NOT NULL,
  `subscription_detail_id` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fees_subscription_main`
--

CREATE TABLE `tbl_fees_subscription_main` (
  `main_id` int(11) NOT NULL,
  `customer_subscription_id` int(11) NOT NULL,
  `main_date` date NOT NULL,
  `next_date` date NOT NULL,
  `paid_status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1:not paid,2:partially paid,3:paid',
  `total_amount` double NOT NULL DEFAULT '0',
  `paid_amount` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `subscription_id` int(11) NOT NULL,
  `is_open_balance` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:normal subscription,1:open balance,2:close balance',
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `logged_id` int(11) NOT NULL,
  `currency_round` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_floor`
--

CREATE TABLE `tbl_floor` (
  `floor_id` tinyint(4) NOT NULL,
  `floor_name` varchar(200) NOT NULL,
  `status_id` tinyint(4) NOT NULL DEFAULT '1',
  `employee_id` text,
  `order_by` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fuel_type`
--

CREATE TABLE `tbl_fuel_type` (
  `Fuel_Type_ID` int(11) NOT NULL,
  `Fuel_Type_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_fuel_type`
--

INSERT INTO `tbl_fuel_type` (`Fuel_Type_ID`, `Fuel_Type_Name`) VALUES
(1, 'Diesel'),
(2, 'Benzine');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_loading_order`
--

CREATE TABLE `tbl_garage_loading_order` (
  `Loading_Order_ID` int(11) NOT NULL,
  `Vehicle_ID` int(11) NOT NULL,
  `Shift_ID` int(11) NOT NULL,
  `Driver_ID` int(11) NOT NULL,
  `Sales_Man_ID` int(11) NOT NULL,
  `Loading_Order_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Is_Load` tinyint(1) NOT NULL DEFAULT '1',
  `Class_ID` int(11) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_loading_order_details`
--

CREATE TABLE `tbl_garage_loading_order_details` (
  `Loading_Details_ID` int(11) NOT NULL,
  `Loading_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Initial_Quantity` int(11) NOT NULL,
  `Product_Load_Quantity` int(11) NOT NULL,
  `Product_Added_Quantity` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_load_added_quantity`
--

CREATE TABLE `tbl_garage_load_added_quantity` (
  `Load_Added_ID` int(11) NOT NULL,
  `Loading_Order_ID` int(11) NOT NULL,
  `Load_Added_Product` int(11) NOT NULL,
  `Load_Added_Product_Quantity` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_load_returns`
--

CREATE TABLE `tbl_garage_load_returns` (
  `Load_Return_ID` int(11) NOT NULL,
  `Loading_Order_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Product_Qty` int(11) NOT NULL,
  `Return_Quantity` int(11) NOT NULL,
  `Damaged_Quantity` int(11) NOT NULL,
  `Total_Remaining_Qty` int(11) NOT NULL,
  `Logging_ID` int(11) NOT NULL,
  `Parent_ID` tinyint(4) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_rent_type`
--

CREATE TABLE `tbl_garage_rent_type` (
  `rent_type_id` int(11) NOT NULL,
  `rent_type_name` varchar(250) NOT NULL,
  `rent_type_price` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_sales_order`
--

CREATE TABLE `tbl_garage_sales_order` (
  `Sales_Order_ID` int(11) NOT NULL,
  `Customer_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Sales_Order_Date` date NOT NULL,
  `Zone_ID` int(11) NOT NULL,
  `Assign_To` int(11) NOT NULL,
  `Load_Order_ID` int(11) NOT NULL,
  `Sales_Status` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_sales_order_details`
--

CREATE TABLE `tbl_garage_sales_order_details` (
  `Item_ID` int(11) NOT NULL,
  `Sales_Order_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Quantity` double NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `Unit_Price` double NOT NULL DEFAULT '0',
  `Currency_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_truck_expenses`
--

CREATE TABLE `tbl_garage_truck_expenses` (
  `Truck_Expense_ID` int(11) NOT NULL,
  `Truck_ID` int(50) NOT NULL,
  `Truck_Expense_Description` varchar(250) NOT NULL,
  `Truck_Expense_Amount` float NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Truck_Expense_Date` date NOT NULL,
  `Truck_Expense_Account` varchar(100) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `expense_nb` int(11) NOT NULL,
  `Expense_DueDate` date NOT NULL,
  `Supplier_ID` int(11) NOT NULL,
  `Expense_VAT` double NOT NULL DEFAULT '0',
  `Is_Hidden` tinyint(1) NOT NULL,
  `supplier_inv_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `paid_amount` double NOT NULL DEFAULT '0',
  `job_id` int(11) NOT NULL,
  `pay_method_acc_id` int(11) NOT NULL,
  `current_rate` double NOT NULL,
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `project_id` int(11) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_truck_expenses_details`
--

CREATE TABLE `tbl_garage_truck_expenses_details` (
  `exp_detail_id` int(11) NOT NULL,
  `Expense_ID` int(11) NOT NULL,
  `Account_ID` int(11) NOT NULL,
  `quantity` double NOT NULL DEFAULT '0',
  `unit_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `description` varchar(255) NOT NULL,
  `paid_amount` double NOT NULL DEFAULT '0',
  `truck_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle`
--

CREATE TABLE `tbl_garage_vehicle` (
  `Vehicle_ID` int(11) NOT NULL,
  `Vehicle_Code` varchar(50) NOT NULL,
  `Vehicle_Name` varchar(255) NOT NULL,
  `Vehicle_Make_Name_ID` int(11) NOT NULL,
  `Vehicle_Model_ID` int(11) NOT NULL,
  `Vehicle_Color_ID` int(11) NOT NULL,
  `Vehicle_Registration_Number` varchar(50) NOT NULL,
  `Vehicle_Fuel_Tank_Volume` varchar(50) NOT NULL,
  `Vehicle_Fuel_Type_ID` int(11) NOT NULL,
  `Vehicle_Usage_Type_ID` int(11) NOT NULL,
  `Vehicle_Maintenance_Period` varchar(50) DEFAULT NULL,
  `Vehicle_Start_Usage_Date` date NOT NULL,
  `Vehicle_Tracking_Number` int(11) DEFAULT NULL,
  `Vehicle_Fuel_Consumption` float NOT NULL,
  `Vehicle_Oil_Change` float DEFAULT NULL,
  `Vehicle_Milage` float NOT NULL,
  `Vehicle_Maintenance_Counter` float NOT NULL,
  `Vehicle_Maintenance_Status` tinyint(4) NOT NULL DEFAULT '1',
  `Vehicle_Status` int(2) NOT NULL DEFAULT '2',
  `zone_id` int(11) DEFAULT NULL,
  `driver_emp_id` int(11) DEFAULT NULL,
  `mecanique_month` varchar(255) DEFAULT NULL,
  `last_maintainence` double DEFAULT NULL,
  `last_oil_change` double DEFAULT NULL,
  `last_mecanique_year` year(4) DEFAULT NULL,
  `last_syndicate_date` year(4) DEFAULT NULL,
  `last_check` double DEFAULT NULL,
  `date_time` datetime DEFAULT NULL,
  `logged_id` int(11) DEFAULT NULL,
  `rent_type_id` int(11) DEFAULT NULL,
  `vehicle_year` char(4) DEFAULT NULL,
  `driver_name` varchar(250) DEFAULT NULL,
  `driver_phone` varchar(250) DEFAULT NULL,
  `owner_name` varchar(250) DEFAULT NULL,
  `insurance_date` date DEFAULT NULL,
  `insurance_company` varchar(250) DEFAULT NULL,
  `note` text,
  `is_disabled` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_garage_vehicle`
--

INSERT INTO `tbl_garage_vehicle` (`Vehicle_ID`, `Vehicle_Code`, `Vehicle_Name`, `Vehicle_Make_Name_ID`, `Vehicle_Model_ID`, `Vehicle_Color_ID`, `Vehicle_Registration_Number`, `Vehicle_Fuel_Tank_Volume`, `Vehicle_Fuel_Type_ID`, `Vehicle_Usage_Type_ID`, `Vehicle_Maintenance_Period`, `Vehicle_Start_Usage_Date`, `Vehicle_Tracking_Number`, `Vehicle_Fuel_Consumption`, `Vehicle_Oil_Change`, `Vehicle_Milage`, `Vehicle_Maintenance_Counter`, `Vehicle_Maintenance_Status`, `Vehicle_Status`, `zone_id`, `driver_emp_id`, `mecanique_month`, `last_maintainence`, `last_oil_change`, `last_mecanique_year`, `last_syndicate_date`, `last_check`, `date_time`, `logged_id`, `rent_type_id`, `vehicle_year`, `driver_name`, `driver_phone`, `owner_name`, `insurance_date`, `insurance_company`, `note`, `is_disabled`) VALUES
(1, '1', 'sssss', 3, 2, 1, '123', '12', 1, 1, '232', '2021-07-01', 111, 232, 12, 0, 0, 1, 2, 0, 3, '03', NULL, NULL, NULL, NULL, NULL, '2021-07-05 08:10:34', 1, 0, '2011', 'ddddddd', '1111', 'dddddd', '2021-07-30', 'dddddddddddd', 'ddd', 1),
(2, '2', 'ddddddd', 0, 0, 0, '155', '', 0, 0, 'cccccc', '2021-07-18', 0, 0, 0, 0, 0, 1, 2, 0, 0, '11', NULL, NULL, NULL, NULL, NULL, '2021-07-05 08:12:44', 1, 0, '', '', '', '', '0000-00-00', 'dddddddd', '', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_checkup`
--

CREATE TABLE `tbl_garage_vehicle_checkup` (
  `Entry_ID` int(11) NOT NULL,
  `Vehicle_ID` tinyint(4) NOT NULL,
  `check_out_date` datetime NOT NULL,
  `vehicle_mileage_out` double NOT NULL,
  `check_out` tinyint(4) NOT NULL,
  `is_driver_side_out` tinyint(4) NOT NULL,
  `is_passenger_side_out` tinyint(4) NOT NULL,
  `is_front_side_out` tinyint(4) NOT NULL,
  `is_back_side_out` tinyint(4) NOT NULL,
  `check_out_comment` mediumtext NOT NULL,
  `check_in_date` datetime NOT NULL,
  `vehicle_mileage_in` double NOT NULL DEFAULT '0',
  `check_in` tinyint(4) NOT NULL DEFAULT '0',
  `is_driver_side_in` tinyint(4) NOT NULL DEFAULT '0',
  `is_passenger_side_in` tinyint(4) NOT NULL DEFAULT '0',
  `is_front_side_in` tinyint(4) NOT NULL DEFAULT '0',
  `is_back_side_in` tinyint(4) NOT NULL DEFAULT '0',
  `check_in_comment` mediumtext NOT NULL,
  `Vehicle_Status_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_checkup_details`
--

CREATE TABLE `tbl_garage_vehicle_checkup_details` (
  `checkup_details_id` int(11) NOT NULL,
  `checkup_setting_id` int(11) NOT NULL,
  `checkup_setting_status` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_checkup_setting`
--

CREATE TABLE `tbl_garage_vehicle_checkup_setting` (
  `checkup_setting_id` int(11) NOT NULL,
  `checkup_setting_title` varchar(250) NOT NULL,
  `checkup_setting_type` tinyint(4) NOT NULL DEFAULT '2'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_garage_vehicle_checkup_setting`
--

INSERT INTO `tbl_garage_vehicle_checkup_setting` (`checkup_setting_id`, `checkup_setting_title`, `checkup_setting_type`) VALUES
(1, 'Jack', 2),
(2, 'Wheel Spanner', 1),
(3, 'Spare Wheel', 0),
(4, 'Fire Extinguisher', 1),
(5, 'Triangles', 1),
(6, 'Oil', 1),
(7, 'Water', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_driver`
--

CREATE TABLE `tbl_garage_vehicle_driver` (
  `Vehicle_Driver_ID` int(11) NOT NULL,
  `Vehicle_ID` int(11) NOT NULL,
  `Driver_ID` int(11) NOT NULL,
  `Sales_Man_ID` int(11) DEFAULT NULL,
  `Vehicle_Zone_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_rents`
--

CREATE TABLE `tbl_garage_vehicle_rents` (
  `rent_id` int(11) NOT NULL,
  `vehicle_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `rent_type_id` int(11) NOT NULL,
  `rent_date` date NOT NULL,
  `rent_amount` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `account_id` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_weighbridge`
--

CREATE TABLE `tbl_garage_vehicle_weighbridge` (
  `Weighbridge_ID` int(11) NOT NULL,
  `Weighbridge_Vehicle_ID` int(11) NOT NULL,
  `Weighbridge_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `WeighBridge_Date` date NOT NULL,
  `Is_Paid` tinyint(1) NOT NULL DEFAULT '2',
  `current_year_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_garage_vehicle_zone`
--

CREATE TABLE `tbl_garage_vehicle_zone` (
  `Zone_ID` int(11) NOT NULL,
  `Zone_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_general_classes`
--

CREATE TABLE `tbl_general_classes` (
  `class_id` int(11) NOT NULL,
  `class_name` varchar(250) NOT NULL,
  `class_type` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_general_contact`
--

CREATE TABLE `tbl_general_contact` (
  `contact_id` int(11) NOT NULL,
  `contact_name` varchar(255) NOT NULL,
  `contact_job` varchar(255) NOT NULL,
  `contact_phone` varchar(255) NOT NULL,
  `contact_mobile` varchar(255) NOT NULL,
  `contact_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_general_groups`
--

CREATE TABLE `tbl_general_groups` (
  `group_id` int(11) NOT NULL,
  `group_name` varchar(250) NOT NULL,
  `group_type` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_general_settings`
--

CREATE TABLE `tbl_general_settings` (
  `setting_id` int(11) NOT NULL,
  `setting_key` varchar(255) NOT NULL,
  `setting_text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_general_settings`
--

INSERT INTO `tbl_general_settings` (`setting_id`, `setting_key`, `setting_text`) VALUES
(1, 'custom_style', '  body{\r\n                font-size:13px !important;\r\n                font-weight: normal !important;\r\n            }\r\nbody.main-div-main_pos #MainContainer .LeftTableContainer > .table-responsive{\r\nheight:340px !important;\r\n}');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_group_accounts`
--

CREATE TABLE `tbl_group_accounts` (
  `group_account_id` int(11) NOT NULL,
  `pur_acc_id` int(11) DEFAULT NULL,
  `pur_tax_acc_id` int(11) DEFAULT NULL,
  `pur_return_acc_id` int(11) DEFAULT NULL,
  `pur_return_tax_acc_id` int(11) DEFAULT NULL,
  `sales_acc_id` int(11) DEFAULT NULL,
  `sales_tax_acc_id` int(11) DEFAULT NULL,
  `sales_return_acc_id` int(11) DEFAULT NULL,
  `sales_return_tax_id` int(11) DEFAULT NULL,
  `group_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_group_user`
--

CREATE TABLE `tbl_group_user` (
  `group_id` int(11) NOT NULL,
  `group_name` varchar(255) NOT NULL,
  `user_ids` varchar(255) NOT NULL,
  `logging_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_absence`
--

CREATE TABLE `tbl_hrm_absence` (
  `Absence_ID` int(11) NOT NULL,
  `Absence_From_Date` date DEFAULT NULL,
  `Absence_To_Date` date NOT NULL,
  `Absence_Reason` tinyint(4) NOT NULL,
  `Employee_ID` int(11) DEFAULT NULL,
  `Logged_ID` int(11) NOT NULL,
  `is_approved` tinyint(1) NOT NULL DEFAULT '0',
  `doc_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_absence_reasons`
--

CREATE TABLE `tbl_hrm_absence_reasons` (
  `Absence_Reason_ID` int(11) NOT NULL,
  `Absence_Reason_Name` varchar(225) NOT NULL,
  `Absence_Reason_Days` int(11) NOT NULL,
  `exceed_days` tinyint(4) NOT NULL DEFAULT '0',
  `is_holiday` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_absence_reasons`
--

INSERT INTO `tbl_hrm_absence_reasons` (`Absence_Reason_ID`, `Absence_Reason_Name`, `Absence_Reason_Days`, `exceed_days`, `is_holiday`) VALUES
(1, 'sick', 11, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_accrued_days`
--

CREATE TABLE `tbl_hrm_accrued_days` (
  `Entry_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Accrued_Days` int(11) NOT NULL,
  `Max_Day_Added` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_advance_payments`
--

CREATE TABLE `tbl_hrm_advance_payments` (
  `Advance_Payment_ID` int(11) NOT NULL,
  `Advance_Payment_Date` varchar(200) NOT NULL,
  `Advance_Payment_Amount` double NOT NULL,
  `Advance_Payment_Description` varchar(200) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Payment_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `is_paid` tinyint(1) NOT NULL DEFAULT '0',
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `is_approved` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_advance_payments`
--

INSERT INTO `tbl_hrm_advance_payments` (`Advance_Payment_ID`, `Advance_Payment_Date`, `Advance_Payment_Amount`, `Advance_Payment_Description`, `Employee_ID`, `Currency_ID`, `Payment_ID`, `Logged_ID`, `is_paid`, `is_actual`, `current_rate`, `second_currency_rate`, `is_approved`) VALUES
(5, '2021-10-08', 345, 'باقي لنا', 25, 84, 2098, 9, 0, 0, 0.000054054054054054, 1, 1),
(6, '2021-10-08', 345, 'باقي لنا', 25, 144, 2098, 9, 0, 0, 1, 18500, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_announcements`
--

CREATE TABLE `tbl_hrm_announcements` (
  `Announcement_ID` int(11) NOT NULL,
  `Announcement_Title` varchar(50) DEFAULT NULL,
  `Announcement_Content` text,
  `Announcement_DateCreated` date DEFAULT NULL,
  `Announcement_Status` tinyint(1) DEFAULT '0',
  `Announcement_Subtitle` text NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Post_Time` varchar(50) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Announcement_Type` varchar(100) NOT NULL,
  `Branch_ID` varchar(255) DEFAULT NULL,
  `Employee_ID` int(11) DEFAULT NULL,
  `Announcement_Value` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_basic_salary_periods`
--

CREATE TABLE `tbl_hrm_basic_salary_periods` (
  `period_id` int(11) NOT NULL,
  `period_name` varchar(255) NOT NULL,
  `basic_salary` double NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `pay_period` int(11) NOT NULL,
  `unit_time` int(11) NOT NULL,
  `formula_id` int(11) NOT NULL,
  `bs_worked_hrs` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_bonuses`
--

CREATE TABLE `tbl_hrm_bonuses` (
  `Bonus_ID` int(11) NOT NULL,
  `Bonus_Date` date NOT NULL,
  `Bonus_Description` varchar(100) NOT NULL,
  `Bonus_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `is_paid` tinyint(4) NOT NULL DEFAULT '0',
  `is_actual` tinyint(1) DEFAULT '0',
  `current_rate` double NOT NULL DEFAULT '1',
  `is_approved` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_bonuses`
--

INSERT INTO `tbl_hrm_bonuses` (`Bonus_ID`, `Bonus_Date`, `Bonus_Description`, `Bonus_Amount`, `Currency_ID`, `Employee_ID`, `is_paid`, `is_actual`, `current_rate`, `is_approved`) VALUES
(1, '2021-06-30', 'desc.', 30000, 84, 3, 0, 0, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_bonus_description`
--

CREATE TABLE `tbl_hrm_bonus_description` (
  `Reason_ID` int(11) NOT NULL,
  `Reason_Description` text NOT NULL,
  `Reason_Type_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_boundaries_amount_taxable`
--

CREATE TABLE `tbl_hrm_boundaries_amount_taxable` (
  `Boundary_ID` int(11) NOT NULL,
  `Boundary_Amount` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_branch`
--

CREATE TABLE `tbl_hrm_branch` (
  `Branch_ID` int(11) NOT NULL,
  `Branch_Name` varchar(100) DEFAULT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `cat_type_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_branch`
--

INSERT INTO `tbl_hrm_branch` (`Branch_ID`, `Branch_Name`, `Logged_ID`, `Status_ID`, `Parent_ID`, `cat_type_id`) VALUES
(1, 'Financial Control', 1, 1, 0, 0),
(2, 'Inventory mangement', 1, 1, 0, 0),
(3, 'Accounting', 1, 1, 0, 0),
(4, 'Human Resources', 1, 1, 0, 0),
(5, 'IT updated', 1, 1, 0, 0),
(6, 'Sales and Purchasing', 1, 1, 0, 0),
(7, 'production', 1, 1, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_deductions`
--

CREATE TABLE `tbl_hrm_deductions` (
  `Deduction_ID` int(11) NOT NULL,
  `Deduction_Date` date NOT NULL,
  `Deduction_Description` varchar(100) NOT NULL,
  `Deduction_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `is_paid` tinyint(4) NOT NULL DEFAULT '0',
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `current_rate` double NOT NULL DEFAULT '1',
  `is_approved` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_deductions`
--

INSERT INTO `tbl_hrm_deductions` (`Deduction_ID`, `Deduction_Date`, `Deduction_Description`, `Deduction_Amount`, `Currency_ID`, `Employee_ID`, `is_paid`, `is_actual`, `current_rate`, `is_approved`) VALUES
(1, '2021-06-30', 'desc.', 20000, 84, 3, 0, 0, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_dependants`
--

CREATE TABLE `tbl_hrm_dependants` (
  `Dependant_ID` int(11) NOT NULL,
  `Wife_Works` tinyint(1) DEFAULT NULL,
  `Employee_ID` int(11) DEFAULT NULL,
  `Number_Of_Children` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_document_questions`
--

CREATE TABLE `tbl_hrm_document_questions` (
  `Question_ID` int(11) NOT NULL,
  `Question_Name` text NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_document_types`
--

CREATE TABLE `tbl_hrm_document_types` (
  `Document_ID` int(11) NOT NULL,
  `Document_Type_Name` varchar(50) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_emergency_contact`
--

CREATE TABLE `tbl_hrm_emergency_contact` (
  `EmergencyContact_ID` int(11) NOT NULL,
  `EmergencyContact_FirstName` varchar(45) DEFAULT NULL,
  `EmergencyContact_MiddleName` varchar(45) DEFAULT NULL,
  `EmergencyContact_LastName` varchar(45) DEFAULT NULL,
  `Employee_Relationship_ID` int(11) DEFAULT NULL,
  `EmergencyContact_HomePhone` varchar(45) DEFAULT NULL,
  `EmergencyContact_MobilePhone` varchar(45) DEFAULT NULL,
  `EmergencyContact_WorkPhone` varchar(45) DEFAULT NULL,
  `Employee_ID` int(11) DEFAULT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employee`
--

CREATE TABLE `tbl_hrm_employee` (
  `Employee_ID` int(11) NOT NULL,
  `Employee_FirstName` varchar(100) DEFAULT NULL,
  `Employee_MiddleName` varchar(100) DEFAULT NULL,
  `Employee_LastName` varchar(100) DEFAULT NULL,
  `second_lang_name` varchar(255) NOT NULL,
  `Employee_SocialSecurity` varchar(50) DEFAULT NULL,
  `Employee_Lunch` float NOT NULL,
  `Employee_IsSmoker` tinyint(1) DEFAULT NULL,
  `Employee_Gender` tinyint(3) DEFAULT NULL,
  `Employee_DOB` varchar(45) DEFAULT NULL,
  `IS_Employee` tinyint(1) DEFAULT NULL,
  `Employee_MilitaryService` tinyint(1) DEFAULT NULL,
  `Employee_BloodGroup` int(11) DEFAULT NULL,
  `Employee_HomePhone` varchar(45) DEFAULT NULL,
  `Employee_MobilePhone` varchar(45) DEFAULT NULL,
  `Employee_Work_ID` varchar(45) DEFAULT NULL,
  `Employee_Email` varchar(100) DEFAULT NULL,
  `Employee_OtherEmail` varchar(45) DEFAULT NULL,
  `Merital_Status_ID` tinyint(1) DEFAULT NULL,
  `Employee_StartDate` date DEFAULT NULL,
  `leave_date` date DEFAULT NULL,
  `Employee_StreetAddress1` varchar(100) DEFAULT NULL,
  `Employee_StreetAddress2` varchar(100) DEFAULT NULL,
  `Employee_City` varchar(45) DEFAULT NULL,
  `Employee_State` varchar(100) DEFAULT NULL,
  `Employee_Zip` varchar(100) DEFAULT NULL,
  `Employee_Country` int(11) DEFAULT NULL,
  `Branch_ID` int(11) DEFAULT NULL,
  `Paygrade_ID` int(11) DEFAULT NULL,
  `Employee_Transportation` float NOT NULL,
  `trans_unit_time` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=>month,1=>day',
  `Employee_Allownace` float NOT NULL,
  `Employee_Phone_Recharge` float NOT NULL,
  `Shift_ID` tinyint(4) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Is_Hidden` tinyint(1) NOT NULL,
  `Department_ID` int(11) NOT NULL,
  `is_doctor` tinyint(1) NOT NULL,
  `Employee_SocialSecurity_Date` date NOT NULL,
  `Employee_RecordNumber` varchar(255) NOT NULL,
  `Employee_Nationality` int(11) DEFAULT NULL,
  `Employee_Location` int(11) DEFAULT NULL,
  `Employee_Wife_Name` varchar(255) NOT NULL,
  `Employee_Wife_DOB` date DEFAULT NULL,
  `Employee_Wife_Address` varchar(255) NOT NULL,
  `Employee_Wife_Phone` varchar(255) NOT NULL,
  `Employee_Wife_Problem` text NOT NULL,
  `Employee_Wife_Work` varchar(255) NOT NULL,
  `Employee_Problem` text,
  `Employee_Education` varchar(255) DEFAULT NULL,
  `Employee_Major` varchar(255) DEFAULT NULL,
  `Wife_Works` int(11) NOT NULL DEFAULT '0',
  `Employee_Wife_SSNF` int(11) NOT NULL DEFAULT '0',
  `Employee_Wife_Nationality` int(11) DEFAULT NULL,
  `is_nssf` tinyint(4) NOT NULL DEFAULT '0',
  `nssf_salary` double NOT NULL DEFAULT '0',
  `other_charges` double NOT NULL DEFAULT '0',
  `basic_salary` double NOT NULL DEFAULT '0',
  `basic_salary_currency` int(11) NOT NULL,
  `job_id` int(11) NOT NULL,
  `period_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `bank_id` int(11) DEFAULT NULL,
  `bank_account` varchar(255) NOT NULL,
  `finger_print_nb` varchar(45) DEFAULT NULL,
  `holiday_nb` int(11) NOT NULL DEFAULT '0',
  `leave_days_nb` int(11) NOT NULL DEFAULT '0',
  `previous_days_nb` int(11) NOT NULL DEFAULT '0',
  `remaining_days` int(11) NOT NULL DEFAULT '0',
  `holiday_is_fixed` tinyint(4) NOT NULL DEFAULT '0',
  `fingerprint_code` varchar(255) NOT NULL DEFAULT '',
  `shift_note` varchar(255) NOT NULL,
  `location_address` varchar(255) NOT NULL,
  `employee_level` int(11) NOT NULL,
  `absence_type` int(11) NOT NULL COMMENT '1=>absence setting,2=>manual,3=>job',
  `emp_charge1` double NOT NULL DEFAULT '0',
  `emp_charge2` double NOT NULL DEFAULT '0',
  `emp_charge3` double NOT NULL DEFAULT '0',
  `emp_charge4` double NOT NULL DEFAULT '0',
  `stop_housing_payroll` tinyint(4) NOT NULL DEFAULT '0',
  `early_payroll` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Triggers `tbl_hrm_employee`
--
DELIMITER $$
CREATE TRIGGER `after_add_employee` AFTER INSERT ON `tbl_hrm_employee` FOR EACH ROW BEGIN
        IF NEW.Status_ID = 1 THEN
    SET
        @create_account =(
        SELECT
            Set_Employee_Account
        FROM
            tbl_organization
        WHERE
            Organization_ID = 1
    ) ; IF @create_account = 1 THEN
SET
    @employee_name = CONCAT(
        NEW.Employee_FirstName,
        IF(
            NEW.Employee_MiddleName = "",
            "",
            CONCAT(" ", NEW.Employee_MiddleName)
        ),
        " ",
        NEW.Employee_LastName
    ) ;
SET
    @exp_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'emp_exp_parent_acc_id'
) ;
CALL
    `sp_get_auto_account_by_parent`(@exp_parent, 1, @main_exp_code) ;
SET
    @exp_code =(
SELECT
    @main_exp_code
) ;
SET
    @income_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'emp_income_parent_acc_id'
) ;
CALL
    `sp_get_auto_account_by_parent`(
        @income_parent,
        1,
        @main_income_code
    ) ;
SET
    @income_code =(
SELECT
    @main_income_code
) ;
INSERT INTO tbl_chart_of_accounts
SET
    Account_Name = @employee_name,
    Parent_ID = @exp_parent,
    Account_Code = @exp_code,
    main_id = NEW.Employee_ID,
    main_type = 'emp',
    sub_type = 'exp',
    IsAdded = 1 ;
INSERT INTO tbl_chart_of_accounts
SET
    Account_Name = @employee_name,
    Parent_ID = @income_parent,
    Account_Code = @income_code,
    main_id = NEW.Employee_ID,
    main_type = 'emp',
    sub_type = 'inc',
    IsAdded = 1 ;
    END IF ;
END IF ;
END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `after_update_employee` AFTER UPDATE ON `tbl_hrm_employee` FOR EACH ROW BEGIN
    SET
        @old_name = CONCAT(
            OLD.Employee_FirstName,
            IF(
                OLD.Employee_MiddleName = "",
                "",
                CONCAT(" ", OLD.Employee_MiddleName)
            ),
            " ",
            OLD.Employee_LastName
        ) ;
    SET
        @new_name = CONCAT(
            NEW.Employee_FirstName,
            IF(
                NEW.Employee_MiddleName = "",
                "",
                CONCAT(" ", NEW.Employee_MiddleName)
            ),
            " ",
            NEW.Employee_LastName
        ) ; IF @old_name <> @new_name THEN
    UPDATE
        tbl_chart_of_accounts
    SET
        Account_Name = @new_name
    WHERE
        main_id = OLD.Employee_ID AND main_type = 'emp' ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employees_accounts`
--

CREATE TABLE `tbl_hrm_employees_accounts` (
  `Entry_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Account_ID` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employees_expenses`
--

CREATE TABLE `tbl_hrm_employees_expenses` (
  `Expense_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Expense_Date` date NOT NULL,
  `Expense_Description` text NOT NULL,
  `Expense_Quantity` double NOT NULL,
  `Currency_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employee_document`
--

CREATE TABLE `tbl_hrm_employee_document` (
  `Entry_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Document_Type` int(11) NOT NULL,
  `Document_Name` varchar(50) NOT NULL,
  `Document_Date` date NOT NULL,
  `Document_Comments` text NOT NULL,
  `Document_File_Name` varchar(50) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `main_type` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employee_evaluation_degree`
--

CREATE TABLE `tbl_hrm_employee_evaluation_degree` (
  `EvaluationDegree_ID` int(11) NOT NULL,
  `Evaluation_Name` varchar(50) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_employee_evaluation_degree`
--

INSERT INTO `tbl_hrm_employee_evaluation_degree` (`EvaluationDegree_ID`, `Evaluation_Name`, `Logged_ID`) VALUES
(1, 'poor', 1),
(2, 'weak', 1),
(3, 'fair', 1),
(4, 'good', 1),
(5, 'excellent', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employee_opening`
--

CREATE TABLE `tbl_hrm_employee_opening` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `to_date` date NOT NULL,
  `total_salary` double NOT NULL DEFAULT '0',
  `total_allowance` double NOT NULL DEFAULT '0',
  `total_tax` double NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_employee_opening`
--

INSERT INTO `tbl_hrm_employee_opening` (`entry_id`, `employee_id`, `to_date`, `total_salary`, `total_allowance`, `total_tax`, `Currency_ID`, `current_rate`) VALUES
(3, 9, '2021-10-01', 500, 11, 13, 144, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employee_overtime_hours`
--

CREATE TABLE `tbl_hrm_employee_overtime_hours` (
  `Overtime_ID` int(11) NOT NULL,
  `Overtime_Start_Time` varchar(100) NOT NULL,
  `Overtime_End_Time` varchar(100) NOT NULL,
  `Overtime_Duration` double NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Overtime_Amount` double NOT NULL,
  `OverTime_Date` date NOT NULL,
  `Is_Holiday` tinyint(1) NOT NULL,
  `Is_Paid` tinyint(1) NOT NULL DEFAULT '0',
  `Logged_ID` int(11) NOT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `is_deduction` tinyint(1) NOT NULL DEFAULT '0',
  `note` text NOT NULL,
  `hr_unit_amount` double NOT NULL DEFAULT '0',
  `hr_rate` double NOT NULL DEFAULT '1',
  `is_approved` tinyint(4) NOT NULL DEFAULT '0',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:payroll,1:cumulative,2:pay&cum'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_employee_relationship`
--

CREATE TABLE `tbl_hrm_employee_relationship` (
  `Employee_Relationship_ID` int(11) NOT NULL,
  `Employee_Relationship_Name` varchar(14) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_employee_relationship`
--

INSERT INTO `tbl_hrm_employee_relationship` (`Employee_Relationship_ID`, `Employee_Relationship_Name`) VALUES
(1, 'Mother'),
(2, 'Father'),
(3, 'Brother'),
(4, 'Sister'),
(5, 'Son'),
(6, 'Daughter '),
(7, 'Cousin '),
(8, 'Friend');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_emp_absence_setting`
--

CREATE TABLE `tbl_hrm_emp_absence_setting` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `absence_reason_id` int(11) NOT NULL,
  `nb_days` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_fingerprint`
--

CREATE TABLE `tbl_hrm_fingerprint` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `fingerprint` blob NOT NULL,
  `fingerprint_type` varchar(100) NOT NULL DEFAULT '',
  `app_id` int(11) NOT NULL,
  `app_user_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_holidays`
--

CREATE TABLE `tbl_hrm_holidays` (
  `Holiday_ID` int(11) NOT NULL,
  `Holiday_Name` varchar(30) NOT NULL,
  `Holiday_Reason` varchar(200) NOT NULL,
  `Holiday_From_Date` date NOT NULL,
  `Holiday_To_Date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_holidays`
--

INSERT INTO `tbl_hrm_holidays` (`Holiday_ID`, `Holiday_Name`, `Holiday_Reason`, `Holiday_From_Date`, `Holiday_To_Date`) VALUES
(1, 'new year', 'new year', '2021-01-01', '2021-01-02');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_jobs`
--

CREATE TABLE `tbl_hrm_jobs` (
  `Job_ID` int(11) NOT NULL,
  `Job_Name` varchar(100) NOT NULL,
  `Job_Description` longtext,
  `Parent_ID` int(11) NOT NULL,
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1',
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_jobs`
--

INSERT INTO `tbl_hrm_jobs` (`Job_ID`, `Job_Name`, `Job_Description`, `Parent_ID`, `Status_ID`, `Logged_ID`) VALUES
(1, 'saleman', '', 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_job_absence_setting`
--

CREATE TABLE `tbl_hrm_job_absence_setting` (
  `entry_id` int(11) NOT NULL,
  `job_id` int(11) NOT NULL,
  `absence_reason_id` int(11) NOT NULL,
  `nb_days` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_job_absence_setting`
--

INSERT INTO `tbl_hrm_job_absence_setting` (`entry_id`, `job_id`, `absence_reason_id`, `nb_days`) VALUES
(1, 2, 1, 0),
(2, 2, 1, 0),
(3, 3, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_languages`
--

CREATE TABLE `tbl_hrm_languages` (
  `Language_ID` int(11) NOT NULL,
  `Language_Name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_leave`
--

CREATE TABLE `tbl_hrm_leave` (
  `Leave_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `AssignLeave_From_Date` date DEFAULT NULL,
  `AssignLeave_To_Date` date DEFAULT NULL,
  `AssignLeave_Start_Time` varchar(45) DEFAULT NULL,
  `AssignLeave_End_Time` varchar(50) NOT NULL,
  `AssignLeave_Reason` varchar(100) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `LeaveRequest_Status` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_loans`
--

CREATE TABLE `tbl_hrm_loans` (
  `Loan_ID` int(11) NOT NULL,
  `Loan_Description` varchar(200) NOT NULL,
  `Loan_Amount` double NOT NULL,
  `Loan_Repayment_Start` date NOT NULL,
  `Loan_Repayment_End` date NOT NULL,
  `Loan_Repayment_Amount` double NOT NULL,
  `Loan_Date` date NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Payment_ID` int(11) NOT NULL,
  `Payment_Amount` double NOT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `current_rate` double NOT NULL DEFAULT '1',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `is_approved` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_merital_status`
--

CREATE TABLE `tbl_hrm_merital_status` (
  `Merital_Status_ID` int(11) NOT NULL,
  `Merital_Status_Name` varchar(12) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_merital_status`
--

INSERT INTO `tbl_hrm_merital_status` (`Merital_Status_ID`, `Merital_Status_Name`) VALUES
(1, 'single'),
(2, 'married '),
(3, 'divorced'),
(4, 'widow');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_nationalities`
--

CREATE TABLE `tbl_hrm_nationalities` (
  `Nationality_ID` int(11) NOT NULL,
  `Nationality_Name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_nationalities`
--

INSERT INTO `tbl_hrm_nationalities` (`Nationality_ID`, `Nationality_Name`) VALUES
(31, 'BANGLADISH'),
(1, 'Lebanese'),
(29, 'Palestinian'),
(30, 'SYRIA');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_paid_accrued`
--

CREATE TABLE `tbl_hrm_paid_accrued` (
  `Paid_Accrued_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `Days_Number` int(11) NOT NULL,
  `Paid_Date` date NOT NULL,
  `Payment_Code` varchar(255) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Paid_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_paygrade`
--

CREATE TABLE `tbl_hrm_paygrade` (
  `Paygrade_ID` int(11) NOT NULL,
  `Paygrade_Name` varchar(45) DEFAULT NULL,
  `Paygrade_Value` double NOT NULL,
  `Paygrade_Currency` int(11) DEFAULT NULL,
  `Job_ID` int(11) DEFAULT NULL,
  `Parent_ID` int(11) NOT NULL,
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1',
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_paygrade`
--

INSERT INTO `tbl_hrm_paygrade` (`Paygrade_ID`, `Paygrade_Name`, `Paygrade_Value`, `Paygrade_Currency`, `Job_ID`, `Parent_ID`, `Status_ID`, `Logged_ID`) VALUES
(1, '1000', 0, 144, 1, 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_payroll`
--

CREATE TABLE `tbl_hrm_payroll` (
  `Payroll_ID` int(11) NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `from_date` date NOT NULL,
  `Payroll_Date` date NOT NULL,
  `Is_Paid` tinyint(1) NOT NULL,
  `Amount_Paid` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Payroll_Paid_Date` varchar(100) NOT NULL,
  `Advance_Payment` double NOT NULL DEFAULT '0',
  `Loan_Payment` double NOT NULL DEFAULT '0',
  `Deduction_Payment` double NOT NULL DEFAULT '0',
  `Bonus_Payment` double NOT NULL DEFAULT '0',
  `other_prices` text NOT NULL,
  `shift_work_day` text,
  `date_created` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `payment_account_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_reasons`
--

CREATE TABLE `tbl_hrm_reasons` (
  `Description_ID` int(11) NOT NULL,
  `Description_Text` text NOT NULL,
  `Reason_Type_ID` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_reasons_types`
--

CREATE TABLE `tbl_hrm_reasons_types` (
  `Reason_Type_ID` int(11) NOT NULL,
  `Reason_Type_Name` varchar(12) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_reasons_types`
--

INSERT INTO `tbl_hrm_reasons_types` (`Reason_Type_ID`, `Reason_Type_Name`) VALUES
(1, 'Deduction'),
(2, 'Bonus');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_salary_components`
--

CREATE TABLE `tbl_hrm_salary_components` (
  `Salary_Component_ID` int(11) NOT NULL,
  `Salary_Component_Name` varchar(45) DEFAULT NULL,
  `Salary_Component_Type` varchar(45) DEFAULT NULL,
  `Salary_Component_Percentage` varchar(45) DEFAULT NULL,
  `Salary_Component_Payable` tinyint(1) DEFAULT NULL,
  `Paygrade_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_salary_unit_formulas`
--

CREATE TABLE `tbl_hrm_salary_unit_formulas` (
  `formula_id` int(11) NOT NULL,
  `formula_name` varchar(255) NOT NULL,
  `hr_price_formula` varchar(255) NOT NULL,
  `deduction_rate` double NOT NULL DEFAULT '0',
  `overtime_rate` double NOT NULL DEFAULT '0',
  `is_default` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_salary_unit_formulas`
--

INSERT INTO `tbl_hrm_salary_unit_formulas` (`formula_id`, `formula_name`, `hr_price_formula`, `deduction_rate`, `overtime_rate`, `is_default`) VALUES
(1, 'formula name', '12', 12, 12, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_shifts`
--

CREATE TABLE `tbl_hrm_shifts` (
  `Shift_ID` int(11) NOT NULL,
  `Shift_Name` varchar(255) DEFAULT NULL,
  `Shift_From` varchar(100) DEFAULT NULL,
  `Shift_To` varchar(100) DEFAULT NULL,
  `Working_Day_ID` text NOT NULL,
  `Shift_Duration` varchar(100) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `shift_type` varchar(255) NOT NULL,
  `avg_hrs` double NOT NULL DEFAULT '0',
  `avg_days` double NOT NULL DEFAULT '0',
  `unit_time` int(11) NOT NULL COMMENT '0=>free,1=>month,2=>week',
  `max_hrs_per_day` double NOT NULL DEFAULT '0',
  `avg_hrs_per_day` double NOT NULL DEFAULT '0',
  `round_bfr_post` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_shifts`
--

INSERT INTO `tbl_hrm_shifts` (`Shift_ID`, `Shift_Name`, `Shift_From`, `Shift_To`, `Working_Day_ID`, `Shift_Duration`, `Status_ID`, `Parent_ID`, `Logged_ID`, `shift_type`, `avg_hrs`, `avg_days`, `unit_time`, `max_hrs_per_day`, `avg_hrs_per_day`, `round_bfr_post`) VALUES
(1, 'full name', NULL, NULL, '', '', 1, 0, 1, 'hrm', 50, 50, 2, 8, 50, 0),
(2, 'shift ', NULL, NULL, '[{\"day_id\":\"1\",\"Shift_From\":\"8:30 AM\",\"Shift_To\":\"4:30 PM\",\"Shift_Duration\":\"8:0\",\"round_in\":\"0\",\"round_out\":\"\"},{\"day_id\":\"2\",\"Shift_From\":\"8:30 AM\",\"Shift_To\":\"4:30 PM\",\"Shift_Duration\":\"8:0\",\"round_in\":\"\",\"round_out\":\"\"}]', '', 1, 0, 1, 'fx', 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_shift_hours`
--

CREATE TABLE `tbl_hrm_shift_hours` (
  `entry_id` int(11) NOT NULL,
  `shift_id` int(11) NOT NULL,
  `month` varchar(50) NOT NULL,
  `nb_of_hours` int(11) NOT NULL,
  `year` int(11) NOT NULL,
  `nb_days` double NOT NULL DEFAULT '0',
  `avg_hrs_day` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_shift_rounds`
--

CREATE TABLE `tbl_hrm_shift_rounds` (
  `entry_id` int(11) NOT NULL,
  `hr` time NOT NULL,
  `round_min` int(11) NOT NULL,
  `round_type` tinyint(4) NOT NULL COMMENT '0=>in,1=>out',
  `day_indx` int(11) DEFAULT NULL,
  `shift_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_shift_rounds`
--

INSERT INTO `tbl_hrm_shift_rounds` (`entry_id`, `hr`, `round_min`, `round_type`, `day_indx`, `shift_id`) VALUES
(1, '08:00:00', 60, 0, 0, 1),
(2, '16:00:00', 60, 1, 0, 1),
(3, '08:30:00', 0, 0, 1, 2),
(4, '16:30:00', 0, 1, 1, 2);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_skills`
--

CREATE TABLE `tbl_hrm_skills` (
  `skills_id` int(11) NOT NULL,
  `skills_name` varchar(255) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `logging_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_taken_accrued`
--

CREATE TABLE `tbl_hrm_taken_accrued` (
  `Entry_ID` int(11) NOT NULL,
  `Date_From` date NOT NULL,
  `Date_To` date NOT NULL,
  `Employee_ID` int(11) NOT NULL,
  `is_approved` tinyint(1) NOT NULL DEFAULT '0',
  `doc_id` int(11) NOT NULL,
  `Days_Number` double NOT NULL DEFAULT '0',
  `is_trs_type` int(11) NOT NULL DEFAULT '0',
  `is_holiday` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_tasks`
--

CREATE TABLE `tbl_hrm_tasks` (
  `Task_ID` int(11) NOT NULL,
  `Task_Name` varchar(45) DEFAULT NULL,
  `Task_Description` text,
  `Timesheet_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_temp_attendance`
--

CREATE TABLE `tbl_hrm_temp_attendance` (
  `temp_id` int(11) NOT NULL,
  `temp_title` varchar(255) NOT NULL,
  `temp_arr` longtext NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_timesheets`
--

CREATE TABLE `tbl_hrm_timesheets` (
  `Timesheet_ID` int(11) NOT NULL,
  `Timesheet_Name` varchar(45) DEFAULT NULL,
  `Timesheet_DateCreateed` varchar(45) DEFAULT NULL,
  `Employee_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_todolist`
--

CREATE TABLE `tbl_hrm_todolist` (
  `List_ID` int(11) NOT NULL,
  `ToDoList` varchar(100) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1',
  `Module_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_volunteer`
--

CREATE TABLE `tbl_hrm_volunteer` (
  `volunteer_id` int(11) NOT NULL,
  `Volunteer_FirstName` varchar(255) NOT NULL,
  `Volunteer_MiddleName` varchar(255) NOT NULL,
  `Volunteer_LastName` varchar(255) NOT NULL,
  `Volunteer_Gender` int(11) NOT NULL,
  `Volunteer_DOB` date NOT NULL,
  `Volunteer_RecordNumber` varchar(255) NOT NULL,
  `Volunteer_BloodGroup` int(11) NOT NULL,
  `Volunteer_HomePhone` varchar(255) NOT NULL,
  `Volunteer_MobilePhone` varchar(255) NOT NULL,
  `Volunteer_Work_ID` varchar(255) NOT NULL,
  `Volunteer_Email` varchar(255) DEFAULT NULL,
  `Merital_Status_ID` int(11) NOT NULL,
  `Volunteer_StartDate` date NOT NULL,
  `Volunteer_StreetAddress1` varchar(255) NOT NULL,
  `Volunteer_City` int(11) NOT NULL,
  `Volunteer_Country` int(11) NOT NULL,
  `Volunteer_Nationality` int(11) NOT NULL,
  `Volunteer_Major` varchar(255) NOT NULL,
  `Volunteer_Education` varchar(255) NOT NULL,
  `Volunteer_Problem` text NOT NULL,
  `skills_id` varchar(255) NOT NULL,
  `volunteer_notice_id` varchar(255) NOT NULL,
  `volunteer_team_id` varchar(255) NOT NULL,
  `working_hours` varchar(255) NOT NULL,
  `logged_id` int(11) NOT NULL,
  `vlounteer_day_left` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_hrm_working_days`
--

CREATE TABLE `tbl_hrm_working_days` (
  `Working_Day_ID` int(11) NOT NULL,
  `Working_Day_Name` varchar(12) NOT NULL,
  `Working_Day_Name_Arabic` varchar(255) NOT NULL,
  `Is_Checked` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_hrm_working_days`
--

INSERT INTO `tbl_hrm_working_days` (`Working_Day_ID`, `Working_Day_Name`, `Working_Day_Name_Arabic`, `Is_Checked`) VALUES
(1, 'Monday', 'الإثنين', 1),
(2, 'Tuesday', 'الثلاثاء', 1),
(3, 'Wednesday', 'الاربعاء', 1),
(4, 'Thursday', 'الخميس', 1),
(5, 'Friday', 'الجمعة', 1),
(6, 'Saturday', 'السبت', 1),
(7, 'Sunday', 'الاحد', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_interior_ministry_log`
--

CREATE TABLE `tbl_interior_ministry_log` (
  `entry_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_interior_ministry_log_details`
--

CREATE TABLE `tbl_interior_ministry_log_details` (
  `detail_id` int(11) NOT NULL,
  `entry_id` int(11) NOT NULL,
  `employee_name` varchar(255) NOT NULL,
  `location_address` varchar(255) NOT NULL,
  `start_date` date NOT NULL,
  `job` varchar(255) NOT NULL,
  `shift_note` varchar(255) NOT NULL,
  `employee_address` varchar(255) NOT NULL,
  `mobile_number` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_intolerance`
--

CREATE TABLE `tbl_intolerance` (
  `intolerance_id` int(11) NOT NULL,
  `intolerance_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_default_pricing_method`
--

CREATE TABLE `tbl_inventory_default_pricing_method` (
  `Default_Method_ID` int(11) NOT NULL,
  `Pricing_Method_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_inventory_default_pricing_method`
--

INSERT INTO `tbl_inventory_default_pricing_method` (`Default_Method_ID`, `Pricing_Method_ID`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_delivery_report`
--

CREATE TABLE `tbl_inventory_delivery_report` (
  `Delivery_Report_ID` int(11) NOT NULL,
  `Person_ID` int(11) NOT NULL,
  `Delivery_Report_Date` date NOT NULL,
  `Is_Customer_Invoice` tinyint(1) NOT NULL,
  `Order_ID` bigint(11) NOT NULL,
  `delivery_nb` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `delivery_note` text NOT NULL,
  `branch_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL,
  `is_actual` int(11) NOT NULL DEFAULT '0',
  `delivery_ref` varchar(255) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `extra_cost` double NOT NULL DEFAULT '0',
  `cost_dist_method` int(11) DEFAULT NULL COMMENT '0=>qty,1=>price,2=>manual(%)',
  `shipping` double NOT NULL DEFAULT '0',
  `purchase_id` int(11) NOT NULL DEFAULT '0',
  `invoice_type_id` int(11) DEFAULT NULL COMMENT 'from tbl_invoice_types',
  `stock_delivery_nb` varchar(255) NOT NULL,
  `stock_delivery_date` date DEFAULT NULL,
  `idf_nb` varchar(255) NOT NULL,
  `idf_date` date DEFAULT NULL,
  `clearing_agent_name` varchar(255) NOT NULL,
  `clearing_inv_date` date DEFAULT NULL,
  `clearing_inv_nb` varchar(255) NOT NULL,
  `container_deposit` varchar(255) NOT NULL,
  `ceps_nb` varchar(255) NOT NULL,
  `ceps_date` date DEFAULT NULL,
  `ccvr_nb` varchar(255) NOT NULL,
  `ccvr_date` date DEFAULT NULL,
  `debit_acc_id` int(11) DEFAULT NULL,
  `credit_acc_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_delivery_report_items`
--

CREATE TABLE `tbl_inventory_delivery_report_items` (
  `Entry_ID` int(11) NOT NULL,
  `Delivery_Report_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Product_Delivery_Quantity` int(11) NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `description` text NOT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `expiry_date` date DEFAULT NULL,
  `unit_cost` double NOT NULL DEFAULT '0' COMMENT 'unit cost in local currency',
  `order_detail_id` int(11) DEFAULT NULL,
  `current_cost` double NOT NULL DEFAULT '0' COMMENT 'cost in delivery note currency',
  `real_cost` double NOT NULL DEFAULT '0' COMMENT 'unit_cost+extra_cost in default uom',
  `cost_percent` double NOT NULL DEFAULT '0',
  `additional_cost` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_family`
--

CREATE TABLE `tbl_inventory_family` (
  `family_id` int(11) NOT NULL,
  `family_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_loading_order_payments`
--

CREATE TABLE `tbl_inventory_loading_order_payments` (
  `Load_Payment_ID` int(11) NOT NULL,
  `Loading_Order_ID` int(11) NOT NULL,
  `Type_ID` int(11) NOT NULL,
  `Payment_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Account_Code` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_loading_order_payment_type`
--

CREATE TABLE `tbl_inventory_loading_order_payment_type` (
  `Type_ID` int(11) NOT NULL,
  `Type_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_inventory_loading_order_payment_type`
--

INSERT INTO `tbl_inventory_loading_order_payment_type` (`Type_ID`, `Type_Name`) VALUES
(1, 'Cash'),
(2, 'Cheque'),
(3, 'Expenses'),
(4, 'Customer Credit');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_purchases`
--

CREATE TABLE `tbl_inventory_purchases` (
  `Purchase_ID_Auto` int(11) NOT NULL,
  `Purchase_ID` int(11) NOT NULL,
  `Purchase_Date` date NOT NULL,
  `Purchase_Due_Date` date NOT NULL,
  `loading_number` varchar(500) NOT NULL,
  `Currency_ID` int(4) NOT NULL,
  `Supplier_ID` int(11) NOT NULL,
  `Purchase_Sub_Total` double NOT NULL,
  `Purchase_Net_Total` double NOT NULL,
  `Purchase_Discount` double NOT NULL,
  `discount_amount` double NOT NULL DEFAULT '0',
  `Purchase_VAT` double NOT NULL,
  `vat1_total` double DEFAULT '0',
  `vat2_total` double NOT NULL DEFAULT '0',
  `Purchase_Shipping` double NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `truck` varchar(250) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Supplier_Invoice_ID` varchar(255) NOT NULL,
  `Purchase_Paid_Amount` double NOT NULL,
  `Return_Purchase_Total` double NOT NULL,
  `return_paid_amount` double NOT NULL DEFAULT '0',
  `return_ids` varchar(500) NOT NULL,
  `Invoice_Description` text NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `sales_purchase_id` int(11) NOT NULL DEFAULT '0',
  `Account_ID` int(11) DEFAULT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `extra_cost` double NOT NULL DEFAULT '0',
  `cost_dist_method` int(11) DEFAULT NULL COMMENT '0=>qty,1=>price,2=>manual(%)',
  `job_id` int(11) DEFAULT NULL,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `purchase_type_id` tinyint(4) NOT NULL DEFAULT '0',
  `service_amount` double NOT NULL DEFAULT '0',
  `service_vat` double NOT NULL DEFAULT '0',
  `bone_type_id` int(11) NOT NULL,
  `project_id` int(11) DEFAULT NULL,
  `Class_ID` int(11) DEFAULT NULL,
  `currency_round` double NOT NULL DEFAULT '0',
  `disable_qty` tinyint(4) NOT NULL DEFAULT '0',
  `invoice_type_id` int(11) DEFAULT NULL COMMENT 'from tbl_invoice_types ',
  `ship_bill_nb` varchar(255) NOT NULL,
  `ship_date` date NOT NULL,
  `Payment_Paid_Amount` double NOT NULL DEFAULT '0',
  `container_nb` double NOT NULL DEFAULT '0',
  `container_size` double NOT NULL DEFAULT '0',
  `ctn_nb` varchar(255) NOT NULL,
  `ctn_date` date NOT NULL,
  `delivery_date` date NOT NULL,
  `driver_id` int(11) DEFAULT '0',
  `from_place` text,
  `to_place` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_purchase_items`
--

CREATE TABLE `tbl_inventory_purchase_items` (
  `Item_ID` int(11) NOT NULL,
  `Purchase_ID_Auto` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Item_Quantity` double NOT NULL,
  `Item_Price` double NOT NULL,
  `Item_Discount` double NOT NULL,
  `Product_Total_Price` double NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `vat2_percent` double NOT NULL DEFAULT '0',
  `vat2_amount` double NOT NULL DEFAULT '0',
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `additional_cost` double NOT NULL DEFAULT '0',
  `cost_percent` double NOT NULL DEFAULT '0',
  `real_cost` double DEFAULT '0',
  `expiry_date` date DEFAULT NULL,
  `liter_abs` double NOT NULL DEFAULT '0',
  `coeff` double NOT NULL DEFAULT '0',
  `temp` double NOT NULL DEFAULT '0',
  `compts` varchar(255) NOT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `supp_class_id` int(11) DEFAULT NULL,
  `Delivery_Report_ID` int(11) DEFAULT NULL,
  `farebasis` double NOT NULL DEFAULT '0',
  `taxes` double NOT NULL DEFAULT '0',
  `iata_charges` double NOT NULL DEFAULT '0',
  `farebasis_disc` double NOT NULL DEFAULT '0',
  `depot_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_servecies_invoice_details`
--

CREATE TABLE `tbl_inventory_servecies_invoice_details` (
  `Service_ID` int(11) NOT NULL,
  `Invoice_ID` int(11) NOT NULL,
  `Service_Description` varchar(255) NOT NULL,
  `Account_Code` varchar(255) NOT NULL,
  `Service_Amount` double NOT NULL,
  `Account_ID` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_inventory_services_invoices`
--

CREATE TABLE `tbl_inventory_services_invoices` (
  `Invoice_ID_Auto` int(11) NOT NULL,
  `Invoice_ID` int(11) NOT NULL,
  `Customer_ID` int(11) NOT NULL,
  `Invoice_Date` date NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Invoice_Due_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Invoice_Paid_Amount` double NOT NULL,
  `Invoice_Net_Total` double NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `Is_Actual` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoices`
--

CREATE TABLE `tbl_invoices` (
  `Invoice_ID_Auto` int(11) NOT NULL,
  `Invoice_ID` int(11) NOT NULL,
  `invoice_prefix` varchar(20) NOT NULL,
  `Customer_ID` int(11) NOT NULL,
  `Invoice_Date` date NOT NULL,
  `Invoice_Currency` int(11) NOT NULL,
  `Invoice_VAT` double NOT NULL,
  `vat1_total` double NOT NULL DEFAULT '0',
  `vat2_total` double NOT NULL DEFAULT '0',
  `Invoice_Shipping` double NOT NULL,
  `Invoice_Sub_Total` double NOT NULL,
  `Invoice_Discount` double NOT NULL,
  `discount_amount` double NOT NULL DEFAULT '0',
  `Invoice_Net_Total` double NOT NULL,
  `date_created` datetime NOT NULL,
  `Invoice_Due_Date` date DEFAULT NULL,
  `Invoice_Paid_Amount` double NOT NULL,
  `Invoice_Status` tinyint(3) NOT NULL DEFAULT '0',
  `Return_Invoice_Total` double NOT NULL,
  `return_paid_amount` double NOT NULL DEFAULT '0',
  `return_ids` varchar(500) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Sales_ID` int(11) DEFAULT NULL,
  `Load_ID` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `Invoice_Description` longtext NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `truck` varchar(255) NOT NULL,
  `Bon_Number` bigint(20) NOT NULL,
  `Archive_Status` tinyint(1) NOT NULL,
  `Inv_Type` int(11) NOT NULL,
  `Delivery_Time` datetime NOT NULL,
  `Is_Delivery` tinyint(4) NOT NULL,
  `Invoice_Note` varchar(255) NOT NULL,
  `Close_ID` int(11) NOT NULL,
  `table_id` int(11) NOT NULL,
  `Persons_Count` int(11) NOT NULL,
  `Related_Tables` varchar(255) NOT NULL,
  `Is_Closed` tinyint(1) NOT NULL,
  `address_id` int(11) NOT NULL,
  `order_id_online` int(11) NOT NULL,
  `address_id_online` int(11) NOT NULL,
  `is_app` tinyint(4) NOT NULL,
  `app_status` tinyint(4) NOT NULL,
  `invoice_app_id` int(11) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_branch_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `Payment_Paid_Amount` double NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `Class_ID` int(11) NOT NULL,
  `pos_customer_id` int(11) DEFAULT NULL,
  `sales_purchase_id` int(11) NOT NULL DEFAULT '0',
  `Account_ID` int(11) DEFAULT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0',
  `job_id` int(11) DEFAULT NULL,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `reason_id` int(11) DEFAULT NULL,
  `void_time` datetime NOT NULL,
  `service_percant` double NOT NULL DEFAULT '0',
  `service_value` double NOT NULL DEFAULT '0',
  `tax_amount` double NOT NULL DEFAULT '0',
  `cash_amount` double NOT NULL DEFAULT '0',
  `is_printed` tinyint(4) NOT NULL DEFAULT '0',
  `posponted_type` int(11) NOT NULL DEFAULT '0',
  `postponed_date_time` datetime DEFAULT NULL,
  `exchange_id` int(11) DEFAULT NULL,
  `order_note` text NOT NULL,
  `is_delivery_notified` tinyint(4) NOT NULL DEFAULT '0',
  `online_invoice_id` int(11) DEFAULT NULL,
  `invoice_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1:invoice,2:delivery,3:park,4:table,5:order,6:take away,7:test',
  `is_committed` tinyint(4) NOT NULL DEFAULT '0',
  `is_branch_transfer` tinyint(4) DEFAULT '0',
  `is_pos` tinyint(4) NOT NULL DEFAULT '0',
  `postponed_note` varchar(250) NOT NULL,
  `is_postponed_change` int(11) NOT NULL DEFAULT '0',
  `is_printed_invoice` tinyint(4) NOT NULL DEFAULT '0',
  `project_id` int(11) DEFAULT NULL,
  `shipping_company_id` int(11) DEFAULT NULL,
  `shipping_note` varchar(250) DEFAULT NULL,
  `invoice_user_reference` varchar(250) DEFAULT NULL,
  `subscription_fees_id` int(11) DEFAULT NULL,
  `ship_comp_acc_id` int(11) DEFAULT NULL,
  `is_invoice_total_on_shipping` tinyint(4) NOT NULL DEFAULT '0',
  `trans_on_change_status` tinyint(4) NOT NULL DEFAULT '0',
  `web_api_inv_id` int(11) DEFAULT NULL,
  `web_api_user_id` int(11) DEFAULT NULL,
  `customer_name_alias` varchar(255) NOT NULL,
  `customer_address_alias` varchar(255) NOT NULL,
  `pick_up_date` date DEFAULT NULL,
  `drop_off_date` date DEFAULT NULL,
  `shipping_status_id` tinyint(4) DEFAULT NULL,
  `contra_id` int(11) DEFAULT NULL,
  `currency_round` double NOT NULL DEFAULT '0',
  `customer_branch_id` int(11) DEFAULT NULL,
  `reservation_id` int(11) DEFAULT NULL,
  `is_hotel_sync` tinyint(4) NOT NULL DEFAULT '0',
  `invoice_type_id` int(11) DEFAULT NULL COMMENT 'from tbl_invoice_types',
  `driver_id` int(11) DEFAULT NULL,
  `received_date` datetime DEFAULT NULL,
  `received_note` text NOT NULL,
  `order_kitchen_status` tinyint(4) NOT NULL DEFAULT '0',
  `ticketing_id` int(11) DEFAULT NULL,
  `po` text,
  `project_name_inv` text,
  `project_code` text,
  `job_inv` text,
  `our_ref` text,
  `supply_date` text,
  `r_d_sph` varchar(20) DEFAULT NULL,
  `c_d_cyl` varchar(20) DEFAULT NULL,
  `c_d_ax` varchar(20) DEFAULT NULL,
  `c_d_sph` varchar(20) DEFAULT NULL,
  `l_d_cyl` varchar(20) DEFAULT NULL,
  `l_d_ax` varchar(20) DEFAULT NULL,
  `r_r_sph` varchar(20) DEFAULT NULL,
  `c_r_cyl` varchar(20) DEFAULT NULL,
  `c_r_ax` varchar(20) DEFAULT NULL,
  `c_r_sph` varchar(20) DEFAULT NULL,
  `l_r_cyl` varchar(20) DEFAULT NULL,
  `l_r_ax` varchar(20) DEFAULT NULL,
  `cl_r_sph` varchar(20) DEFAULT NULL,
  `cl_r_cyl` varchar(20) DEFAULT NULL,
  `cl_r_axis` varchar(20) DEFAULT NULL,
  `cl_r_ipd` varchar(20) DEFAULT NULL,
  `cl_l_sph` varchar(20) DEFAULT NULL,
  `cl_l_cyl` varchar(20) DEFAULT NULL,
  `cl_l_axis` varchar(20) DEFAULT NULL,
  `cl_l_ipd` varchar(20) DEFAULT NULL,
  `signature_image` text,
  `is_done` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'For takeaway invoice type',
  `from_place` text,
  `to_place` text,
  `second_cash_Invoice_Currency` int(11) DEFAULT NULL,
  `second_cash_currency_rate` double DEFAULT NULL,
  `second_cash_Invoice_Paid_Amount` double DEFAULT NULL,
  `first_cash_Invoice_Paid_Amount` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Triggers `tbl_invoices`
--
DELIMITER $$
CREATE TRIGGER `after_add_invoice` AFTER INSERT ON `tbl_invoices` FOR EACH ROW BEGIN
    UPDATE
        tbl_table
    SET
        status_id = 2,
        user_id = NEW.Close_ID
    WHERE
        table_id = NEW.table_id ;
END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `after_update_invoice` AFTER UPDATE ON `tbl_invoices` FOR EACH ROW BEGIN
        IF NEW.Is_Closed = 1 AND OLD.Is_Closed <> 1 THEN
    UPDATE
        tbl_table
    SET
        status_id = 1,
        user_id = NULL,
        table_alias_name = NULL
    WHERE
        table_id = NEW.table_id OR CONCAT(",", NEW.Related_Tables, ",") LIKE CONCAT("%,", table_id, ",%") ;
    END IF ; IF NEW.Close_ID <> OLD.Close_ID THEN
UPDATE
    tbl_table
SET
    user_id = NEW.Close_ID
WHERE
    table_id = NEW.table_id OR CONCAT(",", NEW.Related_Tables, ",") LIKE CONCAT("%,", table_id, ",%") ;
END IF ; IF NEW.table_id <> OLD.table_id THEN
UPDATE
    tbl_table
SET
    status_id = 1,
    user_id = NULL,
    table_alias_name = NULL
WHERE
    table_id = OLD.table_id OR CONCAT(",", OLD.Related_Tables, ",") LIKE CONCAT("%,", table_id, ",%") ;
UPDATE
    tbl_table
SET
    status_id = 2,
    user_id = NEW.Close_ID
WHERE
    table_id = NEW.table_id ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_details_tags`
--

CREATE TABLE `tbl_invoice_details_tags` (
  `Invoice_Tag_ID` bigint(20) NOT NULL,
  `Entery_ID` int(11) NOT NULL,
  `Quantity` double NOT NULL,
  `Entry_ID` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_payments`
--

CREATE TABLE `tbl_invoice_payments` (
  `Payment_Invoice_ID` bigint(20) NOT NULL,
  `record_id` int(11) NOT NULL,
  `inv_pur_id` int(11) NOT NULL,
  `Payment_Amount` double NOT NULL DEFAULT '0',
  `type` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_invoice_payments`
--

INSERT INTO `tbl_invoice_payments` (`Payment_Invoice_ID`, `record_id`, `inv_pur_id`, `Payment_Amount`, `type`) VALUES
(14, 6, 1, 43000, 'pay'),
(15, 6, 3, 6600000, 'pay'),
(16, 6, 4, 1000000, 'pay');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_products_details`
--

CREATE TABLE `tbl_invoice_products_details` (
  `Entery_ID` int(11) NOT NULL,
  `Invoice_ID_Auto` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Product_Discount` double NOT NULL,
  `Product_Net_Price` double NOT NULL,
  `Product_Quantity` double NOT NULL,
  `Product_Total_Price` double NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `Discount_Amount` double NOT NULL,
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `vat2_percent` double NOT NULL DEFAULT '0',
  `vat2_amount` double NOT NULL DEFAULT '0',
  `Added_Amount` double NOT NULL,
  `order_meal_id_online` int(11) NOT NULL,
  `unit_cost` double NOT NULL DEFAULT '0',
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `purchase_detail_id` int(11) DEFAULT NULL,
  `expiry_date` date DEFAULT NULL,
  `reserve_from` datetime DEFAULT NULL,
  `reserve_to` datetime DEFAULT NULL,
  `depot_id` int(11) NOT NULL,
  `vehicle_id` int(11) DEFAULT NULL,
  `employee_id` int(11) DEFAULT NULL,
  `commission` double NOT NULL DEFAULT '0',
  `total_tax` double NOT NULL DEFAULT '0',
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `Delivery_Report_ID` int(11) DEFAULT NULL,
  `subscription_fees_detail_id` int(11) DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,
  `hold` int(11) NOT NULL DEFAULT '0',
  `is_fired` tinyint(4) NOT NULL DEFAULT '0',
  `details_kitchen_status` tinyint(4) NOT NULL DEFAULT '0',
  `done_qty` double NOT NULL DEFAULT '0',
  `from_time` text,
  `to_time` text,
  `modify_date` text,
  `driver_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_products_void`
--

CREATE TABLE `tbl_invoice_products_void` (
  `Entery_ID` int(11) NOT NULL,
  `Invoice_ID_Auto` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Product_Total_Price` double NOT NULL DEFAULT '0',
  `Item_Quantity_Current` double NOT NULL DEFAULT '0',
  `UOM_ID` int(11) NOT NULL,
  `product_description` varchar(255) NOT NULL,
  `date_time` datetime NOT NULL,
  `user_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_product_add_ons`
--

CREATE TABLE `tbl_invoice_product_add_ons` (
  `invoice_add_ons_id` int(11) NOT NULL,
  `Entery_ID` int(11) NOT NULL,
  `Quantity` int(11) NOT NULL,
  `add_ons_details_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_product_criteria`
--

CREATE TABLE `tbl_invoice_product_criteria` (
  `invoice_criteria_id` int(11) NOT NULL,
  `Entery_ID` int(11) NOT NULL,
  `Quantity` double NOT NULL DEFAULT '0',
  `criteria_detail_id` int(11) NOT NULL,
  `criteria_price` double NOT NULL DEFAULT '0',
  `criteria_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_product_options`
--

CREATE TABLE `tbl_invoice_product_options` (
  `op_detail_id` int(11) NOT NULL,
  `option_id` int(11) NOT NULL,
  `invoice_detail_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `option_quantity` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_shipping`
--

CREATE TABLE `tbl_invoice_shipping` (
  `invoice_shipping_id` int(11) NOT NULL,
  `Invoice_ID_Auto` int(11) NOT NULL,
  `pick_up_date` date DEFAULT NULL,
  `drop_off_date` date DEFAULT NULL,
  `shipping_status_id` tinyint(4) NOT NULL DEFAULT '0',
  `api_shipping_id` varchar(500) DEFAULT NULL,
  `api_other_response` mediumtext,
  `from_address_id` tinyint(4) DEFAULT NULL,
  `date_last_status` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_invoice_types`
--

CREATE TABLE `tbl_invoice_types` (
  `invoice_type_id` int(11) NOT NULL,
  `invoice_type_name` varchar(250) NOT NULL,
  `invoice_type_name_actual` varchar(250) NOT NULL,
  `account_id` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `show_on_menu` tinyint(4) NOT NULL DEFAULT '1',
  `depot_id` int(11) DEFAULT NULL,
  `cash_account_id` int(11) DEFAULT NULL,
  `is_full_paid` tinyint(4) NOT NULL DEFAULT '0',
  `depot_options_ids` varchar(255) NOT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `prevent_change_cust` int(11) NOT NULL DEFAULT '0',
  `class_id` int(11) NOT NULL,
  `class_options_ids` varchar(255) NOT NULL,
  `type` varchar(500) NOT NULL,
  `customer_group_id` int(11) NOT NULL,
  `supplier_group_id` int(11) NOT NULL,
  `show_fields` tinyint(4) NOT NULL DEFAULT '0',
  `prevent_change_cash` tinyint(4) NOT NULL DEFAULT '0',
  `prevent_change_sales` tinyint(4) NOT NULL DEFAULT '0',
  `prevent_change_class` tinyint(4) NOT NULL DEFAULT '0',
  `hide_payment` tinyint(4) NOT NULL DEFAULT '0',
  `salesman_ids` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_item_price_by_classes`
--

CREATE TABLE `tbl_item_price_by_classes` (
  `Entry_ID` int(11) NOT NULL,
  `Class_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `Product_Price` double NOT NULL,
  `product_disc` double NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `Pricing_Date` date NOT NULL,
  `Status_ID` int(11) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_item_price_by_classes_log`
--

CREATE TABLE `tbl_item_price_by_classes_log` (
  `entry_id` int(11) NOT NULL,
  `Class_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `Product_Price` int(11) NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order`
--

CREATE TABLE `tbl_job_order` (
  `job_order_id` int(11) NOT NULL,
  `job_order_nb` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `company` varchar(250) NOT NULL,
  `print_ref` varchar(250) NOT NULL,
  `job_order_date` date NOT NULL,
  `person_in_charge` varchar(250) NOT NULL,
  `note` text NOT NULL,
  `conform_date` date NOT NULL,
  `delivery_date` date NOT NULL,
  `price` double NOT NULL DEFAULT '0',
  `is_published` tinyint(4) NOT NULL DEFAULT '0',
  `stage_id` int(11) NOT NULL DEFAULT '0',
  `first_payment` double NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `logged_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_block`
--

CREATE TABLE `tbl_job_order_block` (
  `block_id` int(11) NOT NULL,
  `block_name` varchar(250) DEFAULT NULL,
  `sort_nb` int(11) NOT NULL,
  `option_ids` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_details`
--

CREATE TABLE `tbl_job_order_details` (
  `order_detail_id` int(11) NOT NULL,
  `block_id` int(11) NOT NULL,
  `detail_index` int(11) NOT NULL,
  `job_order_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_details_options`
--

CREATE TABLE `tbl_job_order_details_options` (
  `detail_option_id` int(11) NOT NULL,
  `order_detail_id` int(11) NOT NULL,
  `option_detail_id` int(11) NOT NULL,
  `option_detail_value` varchar(350) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_option`
--

CREATE TABLE `tbl_job_order_option` (
  `option_id` int(11) NOT NULL,
  `option_title` varchar(250) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `is_published` tinyint(4) NOT NULL DEFAULT '0',
  `is_title_hidden` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:shown,1:hidden',
  `is_content_hidden` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_option_details`
--

CREATE TABLE `tbl_job_order_option_details` (
  `option_detail_id` int(11) NOT NULL,
  `option_detail_name` varchar(250) NOT NULL,
  `option_detail_sort_order` int(11) NOT NULL,
  `is_required` tinyint(4) NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `option_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_option_details_value`
--

CREATE TABLE `tbl_job_order_option_details_value` (
  `detail_value_id` int(11) NOT NULL,
  `detail_value_title` varchar(250) NOT NULL,
  `option_detail_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_option_type`
--

CREATE TABLE `tbl_job_order_option_type` (
  `type_id` int(11) NOT NULL,
  `type_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_job_order_option_type`
--

INSERT INTO `tbl_job_order_option_type` (`type_id`, `type_name`) VALUES
(1, 'type 1'),
(2, 'type 2');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_order_stage`
--

CREATE TABLE `tbl_job_order_stage` (
  `stage_id` int(11) NOT NULL,
  `stage_title` varchar(250) NOT NULL,
  `sort_nb` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_kitchen_note`
--

CREATE TABLE `tbl_kitchen_note` (
  `note_id` int(11) NOT NULL,
  `note_title` varchar(250) NOT NULL,
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=>order;1=>kitchen'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_landings`
--

CREATE TABLE `tbl_landings` (
  `landing_id` int(11) NOT NULL,
  `landing_name` varchar(255) NOT NULL,
  `landing_url` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_landings`
--

INSERT INTO `tbl_landings` (`landing_id`, `landing_name`, `landing_url`) VALUES
(1, 'Inventory', 'Inventory'),
(2, 'Accounting', 'ACC'),
(3, 'POS', 'main_pos'),
(4, 'Tables', 'main_page'),
(5, 'HRM', 'HRM'),
(6, 'Stock', 'Stock'),
(7, 'Garage', 'Garage'),
(8, 'Settings', 'Settings'),
(9, 'Crm', 'crm'),
(10, 'POS Order', 'main_pos/order'),
(11, 'Actual POS', 'main_pos/act'),
(12, 'Maintenance', 'Maintenance'),
(13, 'POS Distribution', 'pos_distribution'),
(14, 'Subscription Fees List', 'Inventory/subscription_fees_list'),
(15, 'Kitchen', 'kitchen_order');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_line`
--

CREATE TABLE `tbl_line` (
  `line_id` int(11) NOT NULL,
  `line_name` varchar(250) NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_line`
--

INSERT INTO `tbl_line` (`line_id`, `line_name`, `created_by`, `date_created`, `modified_by`, `date_modified`) VALUES
(1, 'line one ', 1, '2021-06-29 12:17:36', 1, '2021-06-29 12:17:36');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_line_machine`
--

CREATE TABLE `tbl_line_machine` (
  `line_machine_id` int(11) NOT NULL,
  `line_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_line_machine`
--

INSERT INTO `tbl_line_machine` (`line_machine_id`, `line_id`, `Product_ID`) VALUES
(1, 1, 14);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_lock_data`
--

CREATE TABLE `tbl_lock_data` (
  `lock_id` int(11) NOT NULL,
  `lock_date` date NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_maintenance`
--

CREATE TABLE `tbl_maintenance` (
  `maintenance_id` int(11) NOT NULL,
  `maintenance_nb` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `serial_number` varchar(250) DEFAULT NULL,
  `invoice_number` int(11) DEFAULT NULL,
  `ime` int(11) DEFAULT NULL,
  `phone_brand` varchar(30) DEFAULT NULL,
  `phone_name` varchar(100) DEFAULT NULL,
  `maintenance_type_id` int(11) NOT NULL,
  `maintenance_supporter_id` int(11) DEFAULT NULL,
  `paid_amount` double DEFAULT '0',
  `payment_account_id` int(11) DEFAULT NULL,
  `maintenance_date` date NOT NULL,
  `maintenance_schedule_date` datetime DEFAULT NULL,
  `assigned_user_id` int(11) NOT NULL,
  `maintenance_status_id` tinyint(4) NOT NULL DEFAULT '1',
  `date_finished` datetime DEFAULT NULL,
  `finished_by` int(11) DEFAULT NULL,
  `finished_solution` text NOT NULL,
  `date_created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `maintenance_reply_id` int(11) NOT NULL,
  `depot_id` int(11) DEFAULT NULL,
  `currency_id` int(11) DEFAULT NULL,
  `color` varchar(30) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `exchange_rate` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_maintenance`
--

INSERT INTO `tbl_maintenance` (`maintenance_id`, `maintenance_nb`, `customer_id`, `serial_number`, `invoice_number`, `ime`, `phone_brand`, `phone_name`, `maintenance_type_id`, `maintenance_supporter_id`, `paid_amount`, `payment_account_id`, `maintenance_date`, `maintenance_schedule_date`, `assigned_user_id`, `maintenance_status_id`, `date_finished`, `finished_by`, `finished_solution`, `date_created`, `created_by`, `date_modified`, `modified_by`, `maintenance_reply_id`, `depot_id`, `currency_id`, `color`, `password`, `exchange_rate`) VALUES
(1, 1, 1, '12212121', 0, 0, '', '', 1, 2, NULL, 0, '2021-08-20', NULL, 2, 3, '2021-08-20 08:24:01', 1, '', '2021-08-20 08:23:45', 1, '2021-08-20 08:24:01', 1, 15, 0, NULL, NULL, NULL, 15000),
(2, 2, 1, '8941319898', 9834, 8273, 'Samsung', 'S10', 1, 2, NULL, 0, '2021-08-23', NULL, 1, 1, NULL, NULL, '', '2021-08-23 09:20:49', 1, '2021-08-23 09:20:49', 1, 16, 0, NULL, 'black', 'abc.123', 20000),
(3, 3, 1, '12211221', 122112, 211212, 'wwww', 'name', 1, 2, NULL, 0, '2021-09-06', NULL, 1, 1, NULL, NULL, '', '2021-09-06 14:46:50', 1, '2021-09-06 14:46:50', 1, 17, 0, NULL, 'ssss', '1212', NULL),
(4, 4, 2, '2121', 122112, 122112, 'sss', '1212', 1, 2, NULL, 0, '2021-09-06', NULL, 1, 1, NULL, NULL, '', '2021-09-06 14:56:09', 1, '2021-09-06 14:56:09', 1, 18, 0, NULL, 'ddd', '122112', 12211200),
(5, 5, 1, '554', 2112, 122112, 'bbb', 'nnn', 1, 4, NULL, 0, '2021-09-08', NULL, 2, 1, NULL, NULL, '', '2021-09-06 15:01:41', 1, '2021-09-06 15:01:41', 1, 19, 0, NULL, 'black', '123', 12211200),
(6, 6, 2, '1122121', 121221, 212121, 'شسشسشس ', 'سشسشس ', 1, 4, NULL, 0, '2021-09-06', NULL, 1, 1, NULL, NULL, '', '2021-09-06 15:04:11', 1, '2021-09-06 15:04:11', 1, 20, 0, NULL, 'wsss', '1212', 20000),
(7, 7, 1, '122121', 121221, 121212, 'assasa sa', 'nanan', 1, 2, NULL, 0, '2021-09-06', NULL, 1, 1, NULL, NULL, '', '2021-09-06 15:05:04', 1, '2021-09-06 15:05:04', 1, 21, 0, NULL, 'black', '1212', 20000);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_maintenance_replies`
--

CREATE TABLE `tbl_maintenance_replies` (
  `maintenance_reply_id` int(11) NOT NULL,
  `maintenance_reply_description` mediumtext NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `maintenance_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_maintenance_replies`
--

INSERT INTO `tbl_maintenance_replies` (`maintenance_reply_id`, `maintenance_reply_description`, `created_by`, `date_created`, `modified_by`, `date_modified`, `maintenance_id`) VALUES
(1, 'asasd asd asd', 1, '2021-08-10 14:09:32', 1, '2021-08-10 14:09:32', 1),
(2, 'xxxx', 1, '2021-08-10 14:18:53', 1, '2021-08-10 14:18:53', 0),
(5, 'xcxczxczxzc', 1, '2021-08-10 14:24:51', 1, '2021-08-10 14:24:51', 2),
(9, 'glass change', 1, '2021-08-11 13:11:28', 1, '2021-08-11 13:11:28', 6),
(10, 'asdasdccc&nbsp;', 1, '2021-08-11 14:05:48', 1, '2021-08-11 14:05:48', 0),
(11, 'xxxx', 1, '2021-08-11 14:08:11', 1, '2021-08-11 14:08:11', 0),
(12, 'sasasx asdasx', 1, '2021-08-11 14:10:12', 1, '2021-08-11 14:10:12', 7),
(13, 'zxzxzxzx', 2, '2021-08-13 10:01:47', 2, '2021-08-13 10:01:47', 8),
(14, 'SOME NOTES', 1, '2021-08-16 08:30:28', 1, '2021-08-16 08:30:28', 9),
(15, 'dxsdssd', 1, '2021-08-20 08:23:45', 1, '2021-08-20 08:23:45', 1),
(16, 'some fix', 1, '2021-08-23 09:20:49', 1, '2021-08-23 09:20:49', 2),
(17, 'asasas as', 1, '2021-09-06 14:46:50', 1, '2021-09-06 14:46:50', 3),
(18, 'asdad', 1, '2021-09-06 14:56:09', 1, '2021-09-06 14:56:09', 4),
(19, 'asassa as', 1, '2021-09-06 15:01:41', 1, '2021-09-06 15:01:41', 5),
(20, 'assasa', 1, '2021-09-06 15:04:11', 1, '2021-09-06 15:04:11', 6),
(21, 'asassa', 1, '2021-09-06 15:05:04', 1, '2021-09-06 15:05:04', 7);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_maintenance_supporter`
--

CREATE TABLE `tbl_maintenance_supporter` (
  `maintenance_supporter_id` int(11) NOT NULL,
  `maintenance_supporter_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_maintenance_supporter`
--

INSERT INTO `tbl_maintenance_supporter` (`maintenance_supporter_id`, `maintenance_supporter_name`) VALUES
(2, 'supporter name 1'),
(4, 'supporter name 2'),
(5, 'test support');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_maintenance_type`
--

CREATE TABLE `tbl_maintenance_type` (
  `maintenance_type_id` int(11) NOT NULL,
  `maintenance_type_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_maintenance_type`
--

INSERT INTO `tbl_maintenance_type` (`maintenance_type_id`, `maintenance_type_name`) VALUES
(1, 'type');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_main_log`
--

CREATE TABLE `tbl_main_log` (
  `log_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `main_id` int(11) NOT NULL,
  `action` int(11) NOT NULL COMMENT '0=>add,1=>edit,2=>delete',
  `date_time` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `ip` varchar(45) NOT NULL DEFAULT '',
  `is_main_transfer` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mdcl_employee`
--

CREATE TABLE `tbl_mdcl_employee` (
  `mdcl_employee_id` int(11) NOT NULL,
  `Employee_ID` int(11) DEFAULT NULL,
  `mdcl_employee_date` date DEFAULT NULL,
  `mdcl_employee_note` text,
  `mdcl_total_iswa` double NOT NULL DEFAULT '0',
  `mdcl_total_employee` double NOT NULL DEFAULT '0',
  `mdcl_total_final` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mdcl_employee_details`
--

CREATE TABLE `tbl_mdcl_employee_details` (
  `mdcl_emp_dtl_id` int(11) NOT NULL,
  `mdcl_employee_id` int(11) DEFAULT NULL,
  `mdcl_type_id` int(11) DEFAULT NULL,
  `mdcl_place_id` int(11) DEFAULT NULL,
  `mdcl_emp_dtl_total` double NOT NULL DEFAULT '0',
  `mdcl_emp_dtl_iswa_percent` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mdcl_place`
--

CREATE TABLE `tbl_mdcl_place` (
  `mdcl_place_id` int(11) NOT NULL,
  `mdcl_place_name` varchar(255) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_mdcl_place`
--

INSERT INTO `tbl_mdcl_place` (`mdcl_place_id`, `mdcl_place_name`) VALUES
(1, 'mo'),
(3, 'mostafa');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mdcl_place_details`
--

CREATE TABLE `tbl_mdcl_place_details` (
  `mdcl_place_details_id` int(11) NOT NULL,
  `mdcl_place_id` int(11) DEFAULT NULL,
  `mdcl_type_id` int(11) DEFAULT NULL,
  `mdcl_place_details_percent` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mdcl_type`
--

CREATE TABLE `tbl_mdcl_type` (
  `mdcl_type_id` int(11) NOT NULL,
  `mdcl_type_name` varchar(255) DEFAULT '',
  `mdcl_type_percent` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Triggers `tbl_mdcl_type`
--
DELIMITER $$
CREATE TRIGGER `after_insert_mdcl_type` AFTER INSERT ON `tbl_mdcl_type` FOR EACH ROW INSERT INTO `tbl_mdcl_place_details`(
    `mdcl_place_id`,
    `mdcl_type_id`,
    `mdcl_place_details_percent`
)
SELECT
    `mdcl_place_id`,
    NEW.mdcl_type_id,
    NEW.mdcl_type_percent
FROM
    `tbl_mdcl_place`
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_meal_criteria_detail`
--

CREATE TABLE `tbl_meal_criteria_detail` (
  `criteria_detail_id` int(11) NOT NULL,
  `criteria_detail_name` varchar(200) NOT NULL,
  `criteria_detail_price` float DEFAULT NULL,
  `criteria_id` int(11) NOT NULL,
  `criteria_detail_id_offline` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mgt_logs`
--

CREATE TABLE `tbl_mgt_logs` (
  `Transaction_ID` int(11) NOT NULL,
  `JV_ID` int(11) NOT NULL,
  `Transaction_Reference` varchar(32) CHARACTER SET utf8 NOT NULL,
  `Transaction_Account` varchar(255) CHARACTER SET utf8 NOT NULL,
  `Transaction_Type` varchar(12) CHARACTER SET utf8 NOT NULL,
  `Transaction_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Transaction_Date` date NOT NULL,
  `Transaction_Description` longtext CHARACTER SET utf8 NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Exchange_Rate_ID` int(11) NOT NULL,
  `Current_Ex_Rate` double NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `date_time` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Triggers `tbl_mgt_logs`
--
DELIMITER $$
CREATE TRIGGER `after_add_transaction_mgt` BEFORE INSERT ON `tbl_mgt_logs` FOR EACH ROW BEGIN
    SET
        @local_currency =(
        SELECT
            Local_Currency
        FROM
            tbl_organization
    ) ; IF @local_currency <> NEW.Currency_ID THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = NEW.Currency_ID AND to_currency = @local_currency
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ; IF @ex_rate_id IS NULL THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = @local_currency AND to_currency = NEW.Currency_ID
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ;
END IF ;
SET NEW
    .Exchange_Rate_ID = @ex_rate_id ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mgt_logs_backups`
--

CREATE TABLE `tbl_mgt_logs_backups` (
  `ID_Auto` int(11) NOT NULL,
  `Entry_ID` int(11) NOT NULL,
  `Purchase_Invoice_ID` int(11) NOT NULL,
  `Customer_Supplier_ID` int(11) NOT NULL,
  `Date` date NOT NULL,
  `Due_Date` date NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Shipping` double NOT NULL,
  `Sub_Total` double NOT NULL,
  `Discount` double NOT NULL,
  `Net_Total` double NOT NULL,
  `Paid_Amount` double NOT NULL,
  `Status` tinyint(3) NOT NULL,
  `Return_Total` double NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Is_Purchase` tinyint(1) NOT NULL,
  `Old_Total` double NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `date_time` varchar(255) NOT NULL,
  `Depot_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_mgt_logs_backups_details`
--

CREATE TABLE `tbl_mgt_logs_backups_details` (
  `Detail_ID` int(11) NOT NULL,
  `ID_Auto` int(11) NOT NULL,
  `Item_ID` int(11) NOT NULL,
  `Item_Discount` double NOT NULL,
  `Item_Quantity` double NOT NULL,
  `Item_Price` double NOT NULL,
  `Item_Total_Price` double NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_notification_type`
--

CREATE TABLE `tbl_notification_type` (
  `notification_type_id` int(11) NOT NULL,
  `notification_type_name` varchar(250) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `tbl_notification_type`
--

INSERT INTO `tbl_notification_type` (`notification_type_id`, `notification_type_name`) VALUES
(1, 'Pending Assigned Ticketing'),
(2, 'Pending Late Ticketing'),
(3, 'HRM notification'),
(4, 'Sales Order Official'),
(5, 'Product reorder total'),
(6, 'Late Vehicle Insurance Mecanique'),
(8, 'Messages');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_open_drawer`
--

CREATE TABLE `tbl_open_drawer` (
  `open_drawer_id` int(11) NOT NULL,
  `open_reason` text,
  `user_id` int(11) DEFAULT NULL,
  `date_time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_order_product_criteria`
--

CREATE TABLE `tbl_order_product_criteria` (
  `order_criteria_id` int(11) NOT NULL,
  `Entry_ID` int(11) NOT NULL,
  `Quantity` double NOT NULL DEFAULT '0',
  `criteria_detail_id` int(11) NOT NULL,
  `criteria_price` double NOT NULL DEFAULT '0',
  `criteria_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization`
--

CREATE TABLE `tbl_organization` (
  `Organization_ID` int(11) NOT NULL,
  `Organization_Name` varchar(200) NOT NULL,
  `Organization_Legal_Name` varchar(100) NOT NULL,
  `Organization_Legal_Entity_ID` tinyint(3) NOT NULL,
  `Organization_Commercial_Registry` varchar(100) NOT NULL,
  `Organization_Type_ID` tinyint(3) NOT NULL,
  `Organization_Business_Line` varchar(200) NOT NULL,
  `Organization_Phone` varchar(50) NOT NULL,
  `Organization_Email` varchar(50) NOT NULL,
  `Organization_Fax` varchar(100) NOT NULL,
  `VAT_Type_ID` tinyint(3) NOT NULL,
  `Local_Currency` int(11) NOT NULL,
  `Set_Employee_Account` tinyint(1) NOT NULL,
  `Is_Cash_Default` tinyint(4) NOT NULL,
  `Organization_Building_no` text,
  `Organization_Street_no` text,
  `Organization_District` text,
  `edit_Organization_Postal_Code` text,
  `Organization_Additional_no` text,
  `Organization_vat_num` text,
  `organization_Other_Seller_ID` text,
  `org_address_ar` text,
  `org_address_en` text,
  `org_cr_en` text,
  `org_vat_en` text,
  `org_phone_en` text,
  `organiaztion_name_en` text,
  `org_des_en` text,
  `org_des_ar` text,
  `org_logo` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization`
--

INSERT INTO `tbl_organization` (`Organization_ID`, `Organization_Name`, `Organization_Legal_Name`, `Organization_Legal_Entity_ID`, `Organization_Commercial_Registry`, `Organization_Type_ID`, `Organization_Business_Line`, `Organization_Phone`, `Organization_Email`, `Organization_Fax`, `VAT_Type_ID`, `Local_Currency`, `Set_Employee_Account`, `Is_Cash_Default`, `Organization_Building_no`, `Organization_Street_no`, `Organization_District`, `edit_Organization_Postal_Code`, `Organization_Additional_no`, `Organization_vat_num`, `organization_Other_Seller_ID`, `org_address_ar`, `org_address_en`, `org_cr_en`, `org_vat_en`, `org_phone_en`, `organiaztion_name_en`, `org_des_en`, `org_des_ar`, `org_logo`) VALUES
(1, 'شركة ترستو', 'شركة ترستو', 1, '', 1, '', '', '', '', 2, 84, 1, 1, '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_branches`
--

CREATE TABLE `tbl_organization_branches` (
  `branch_id` int(11) NOT NULL,
  `branch_name` varchar(255) NOT NULL,
  `branch_prefix` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_branches`
--

INSERT INTO `tbl_organization_branches` (`branch_id`, `branch_name`, `branch_prefix`) VALUES
(1, 'Server Branch', 'B');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_financial_settings`
--

CREATE TABLE `tbl_organization_financial_settings` (
  `Financial_ID` int(11) NOT NULL,
  `Organization_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Financial_Year_End` date NOT NULL,
  `Financial_Capital` float NOT NULL,
  `Bank_Account_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_financial_settings`
--

INSERT INTO `tbl_organization_financial_settings` (`Financial_ID`, `Organization_ID`, `Currency_ID`, `Financial_Year_End`, `Financial_Capital`, `Bank_Account_ID`, `Logged_ID`) VALUES
(1, 1, 84, '2017-12-13', 1000000, 8, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_hierarchy`
--

CREATE TABLE `tbl_organization_hierarchy` (
  `Position_ID` int(11) NOT NULL,
  `Position_Name` varchar(40) NOT NULL,
  `Person_Name` varchar(50) NOT NULL,
  `Organization_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_hierarchy`
--

INSERT INTO `tbl_organization_hierarchy` (`Position_ID`, `Position_Name`, `Person_Name`, `Organization_ID`) VALUES
(2, 'CEO', 'Thalis', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_legal_entity`
--

CREATE TABLE `tbl_organization_legal_entity` (
  `Organization_Legal_Entity_ID` int(11) NOT NULL,
  `Organization_Legal_Entity_Name` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_legal_entity`
--

INSERT INTO `tbl_organization_legal_entity` (`Organization_Legal_Entity_ID`, `Organization_Legal_Entity_Name`) VALUES
(1, 'SAL'),
(2, 'SARL'),
(3, 'Partnership'),
(4, 'SOLO');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_physical_address`
--

CREATE TABLE `tbl_organization_physical_address` (
  `Organization_ID` tinyint(3) NOT NULL,
  `Organization_Street` varchar(255) NOT NULL,
  `Organization_City` varchar(255) NOT NULL,
  `Organization_Province` varchar(255) NOT NULL,
  `Organization_Postal_Code` varchar(255) NOT NULL,
  `Organization_Country` varchar(255) NOT NULL,
  `Organization_Attention` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_postal_address`
--

CREATE TABLE `tbl_organization_postal_address` (
  `Postal_ID` int(11) NOT NULL,
  `Organization_ID` tinyint(3) NOT NULL,
  `Organization_Street` varchar(255) NOT NULL,
  `Organization_City` varchar(255) NOT NULL,
  `Organization_Province` varchar(255) NOT NULL,
  `Organization_Postal_Code` varchar(255) NOT NULL,
  `Organization_Country` varchar(255) NOT NULL,
  `Organization_Attention` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_postal_address`
--

INSERT INTO `tbl_organization_postal_address` (`Postal_ID`, `Organization_ID`, `Organization_Street`, `Organization_City`, `Organization_Province`, `Organization_Postal_Code`, `Organization_Country`, `Organization_Attention`) VALUES
(2, 1, '', '3174', '', '', '184', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_shareholders`
--

CREATE TABLE `tbl_organization_shareholders` (
  `Shareholder_ID` int(11) NOT NULL,
  `Shareholder_Name` varchar(100) NOT NULL,
  `Shareholder_Amount` float NOT NULL,
  `Organization_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_shareholders`
--

INSERT INTO `tbl_organization_shareholders` (`Shareholder_ID`, `Shareholder_Name`, `Shareholder_Amount`, `Organization_ID`) VALUES
(2, 'Thalis', 1000000, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_social_links`
--

CREATE TABLE `tbl_organization_social_links` (
  `Link_ID` int(11) NOT NULL,
  `Organization_ID` tinyint(3) NOT NULL,
  `Organization_Face_Book` varchar(200) NOT NULL,
  `Organization_Twitter` varchar(200) NOT NULL,
  `Organization_Linkedin` varchar(200) NOT NULL,
  `Organization_Plus_Google` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_social_links`
--

INSERT INTO `tbl_organization_social_links` (`Link_ID`, `Organization_ID`, `Organization_Face_Book`, `Organization_Twitter`, `Organization_Linkedin`, `Organization_Plus_Google`) VALUES
(2, 1, '', '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_organization_type`
--

CREATE TABLE `tbl_organization_type` (
  `Organization_Type_ID` int(11) NOT NULL,
  `Organization_Type_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_organization_type`
--

INSERT INTO `tbl_organization_type` (`Organization_Type_ID`, `Organization_Type_Name`) VALUES
(1, 'Charity'),
(2, 'Club or Society'),
(3, 'Company'),
(4, 'PartnerShip'),
(5, 'Person'),
(6, 'Sole Trader'),
(7, 'Trust');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payments_on_accounts`
--

CREATE TABLE `tbl_payments_on_accounts` (
  `Payment_Auto_ID` int(11) NOT NULL,
  `Payment_ID` int(11) NOT NULL,
  `payment_prefix` varchar(20) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `user_ref` varchar(250) NOT NULL DEFAULT '',
  `Account_Code` varchar(255) NOT NULL,
  `Payment_Amount` double NOT NULL,
  `Payment_Type_ID` int(11) NOT NULL,
  `Payment_Date` date NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Payment_Note` longtext NOT NULL,
  `Cheque_Number` varchar(100) DEFAULT NULL,
  `IsReceipt` tinyint(1) NOT NULL DEFAULT '0',
  `Logged_ID` int(11) NOT NULL,
  `Status_ID` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `Payment_Due_Date` date DEFAULT NULL,
  `value_date` date DEFAULT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `payment_app_id` int(11) DEFAULT NULL,
  `app_user_id` int(11) DEFAULT NULL,
  `app_branch_id` int(11) NOT NULL,
  `is_cheque` tinyint(1) NOT NULL DEFAULT '0',
  `branch_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `commession_acc_id` int(11) DEFAULT NULL,
  `commession_amount` double NOT NULL DEFAULT '0',
  `project_id` int(11) DEFAULT NULL,
  `pos_customer_id` int(11) NOT NULL DEFAULT '0',
  `subscription_fees_id` int(11) DEFAULT NULL,
  `unq_id` varchar(255) NOT NULL,
  `new_pay_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payment_receipt`
--

CREATE TABLE `tbl_payment_receipt` (
  `pay_rec_id` int(11) NOT NULL,
  `pay_rec_nb` int(11) NOT NULL,
  `prefix` varchar(20) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `total_amount` double NOT NULL,
  `payment_date` date NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Payment_Note` longtext NOT NULL,
  `is_receipt` tinyint(1) NOT NULL DEFAULT '0',
  `Logged_ID` int(11) NOT NULL,
  `is_actual` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `payment_app_id` int(11) DEFAULT NULL,
  `app_user_id` int(11) DEFAULT NULL,
  `app_branch_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `project_id` int(11) DEFAULT NULL,
  `pos_customer_id` int(11) NOT NULL DEFAULT '0',
  `subscription_fees_id` int(11) DEFAULT NULL,
  `old_id` varchar(255) NOT NULL,
  `is_pending` int(11) NOT NULL DEFAULT '0',
  `is_return` int(11) NOT NULL DEFAULT '0',
  `returned_detail_id` int(11) NOT NULL DEFAULT '0',
  `salesman_id` int(11) NOT NULL DEFAULT '0',
  `is_pos` tinyint(4) NOT NULL DEFAULT '0',
  `receipt_detail_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payment_receipt_details`
--

CREATE TABLE `tbl_payment_receipt_details` (
  `payment_detail_id` int(11) NOT NULL,
  `pay_rec_id` int(11) NOT NULL,
  `payment_account_id` int(11) NOT NULL,
  `payment_amount` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `payment_note` text NOT NULL,
  `cheque_nb` varchar(255) NOT NULL,
  `payment_due_date` date DEFAULT NULL,
  `value_date` date DEFAULT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `is_cheque` tinyint(4) NOT NULL DEFAULT '0',
  `commission_acc_id` int(11) DEFAULT NULL,
  `commission_amount` double NOT NULL DEFAULT '0',
  `ex_rate2` double NOT NULL DEFAULT '0',
  `user_ref` varchar(255) NOT NULL,
  `is_returned` int(11) NOT NULL DEFAULT '0',
  `is_collected` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payment_types`
--

CREATE TABLE `tbl_payment_types` (
  `Payment_Type_ID` int(11) NOT NULL,
  `Payment_Type_Name` varchar(50) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `Account_Code` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_payment_types`
--

INSERT INTO `tbl_payment_types` (`Payment_Type_ID`, `Payment_Type_Name`, `Account_ID`, `Account_Code`) VALUES
(84, 'financial accounts', 5, '5'),
(85, 'security placements', 36, '50'),
(86, 'financial institutions', 37, '51'),
(87, 'cash', 38, '53'),
(88, 'intercompany transfers', 39, '58'),
(89, 'provision for diminution in value of security plac', 40, '59'),
(90, 'banks', 209, '512'),
(91, 'purchases of the company own shares', 423, '501'),
(92, 'property rights related to notes', 424, '502'),
(93, 'debentures & bonds', 425, '505'),
(94, 'liabilities rights related to notes', 426, '506'),
(95, 'cheques& coupon for collection', 427, '511'),
(96, 'financial institutions(nb)', 428, '519'),
(97, 'Banks over draft', 2091, '51220'),
(98, 'L/C', 2092, '51230'),
(99, 'Garantees', 2093, '51240'),
(100, 'Deposits', 2094, '51250'),
(101, 'Banks Notes Payable', 2095, '51260'),
(102, 'cash(s)', 2096, '531'),
(103, 'cash L.L.', 2097, '53101'),
(104, 'cash $', 2098, '53102'),
(105, 'Petty cash L.L', 2099, '53111'),
(106, 'Petty cash $', 2100, '53112'),
(107, 'Checks Returned', 2101, '532'),
(108, 'checks in hand', 2102, '533'),
(109, 'bills returned', 2103, '534'),
(110, 'checks for collection', 2104, '535'),
(115, 'testt', 3571, '53101001'),
(116, 'نتيؤبنيست', 3572, '53101002');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pay_rec_collection`
--

CREATE TABLE `tbl_pay_rec_collection` (
  `collection_id` int(11) NOT NULL,
  `collection_nb` int(11) NOT NULL,
  `collection_date` date NOT NULL,
  `pay_detail_id` int(11) NOT NULL,
  `account_id` int(11) NOT NULL,
  `pay_amount` double NOT NULL DEFAULT '0',
  `commission_acc_id` int(11) NOT NULL,
  `commission_amount` double NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `note` text NOT NULL,
  `currency_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `is_actual` int(11) NOT NULL DEFAULT '0',
  `job_id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_performance_action`
--

CREATE TABLE `tbl_performance_action` (
  `Action_ID` int(11) NOT NULL,
  `Action_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_performance_action`
--

INSERT INTO `tbl_performance_action` (`Action_ID`, `Action_Name`) VALUES
(1, 'Bonus'),
(2, 'Upgrade Salary'),
(3, 'Suspended'),
(4, 'Penalties'),
(5, 'Keep As_IS'),
(6, 'Transfer');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_piece_payment`
--

CREATE TABLE `tbl_piece_payment` (
  `piece_payment_auto_id` int(11) NOT NULL,
  `piece_payment_auto_number` int(11) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `piece_payment_prefix` varchar(20) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_piece_payment_details`
--

CREATE TABLE `tbl_piece_payment_details` (
  `entery_id` int(11) NOT NULL,
  `piece_payment_auto_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `paid_amount` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_piece_price`
--

CREATE TABLE `tbl_piece_price` (
  `auto_id` int(11) NOT NULL,
  `auto_number` int(11) NOT NULL,
  `piece_price_date` date NOT NULL,
  `piece_price_prefix` varchar(20) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_piece_price_details`
--

CREATE TABLE `tbl_piece_price_details` (
  `entery_id` int(11) NOT NULL,
  `auto_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `piece_service_id` int(11) NOT NULL,
  `piece_quantity` double NOT NULL DEFAULT '0',
  `piece_price` double NOT NULL DEFAULT '0',
  `current_rate` double NOT NULL DEFAULT '1',
  `currency_id` int(11) NOT NULL,
  `total_price` double NOT NULL DEFAULT '0',
  `is_paid` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_piece_service`
--

CREATE TABLE `tbl_piece_service` (
  `piece_service_id` int(11) NOT NULL,
  `piece_service_name` varchar(250) NOT NULL,
  `piece_service_price` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_piece_service`
--

INSERT INTO `tbl_piece_service` (`piece_service_id`, `piece_service_name`, `piece_service_price`, `currency_id`) VALUES
(1, 'SET', 20, 144);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pos_caller_id`
--

CREATE TABLE `tbl_pos_caller_id` (
  `caller_id` int(11) NOT NULL,
  `caller_time` datetime NOT NULL,
  `caller_phone_number` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pos_customers`
--

CREATE TABLE `tbl_pos_customers` (
  `customer_id` bigint(20) NOT NULL,
  `customer_name` varchar(200) DEFAULT NULL,
  `customer_address` varchar(200) DEFAULT NULL,
  `customer_phone` varchar(50) DEFAULT NULL,
  `customer_dob` date NOT NULL,
  `customer_email` varchar(255) NOT NULL,
  `allergy_id` varchar(250) NOT NULL DEFAULT '',
  `intolerance_id` varchar(250) NOT NULL DEFAULT '',
  `account_id_online` int(11) NOT NULL DEFAULT '0',
  `Logged_ID` int(11) NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `online_customer_id` int(11) DEFAULT NULL,
  `region_id` int(11) NOT NULL DEFAULT '0',
  `branch_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_pos_customers`
--

INSERT INTO `tbl_pos_customers` (`customer_id`, `customer_name`, `customer_address`, `customer_phone`, `customer_dob`, `customer_email`, `allergy_id`, `intolerance_id`, `account_id_online`, `Logged_ID`, `is_main_transfer`, `online_customer_id`, `region_id`, `branch_id`) VALUES
(1217, 'customer a', 'Lebanon', '123456', '0000-00-00', '', '', '', 0, 0, 0, NULL, 1, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pos_customers_sync`
--

CREATE TABLE `tbl_pos_customers_sync` (
  `sync_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `online_customer_id` int(11) NOT NULL,
  `offline_customer_id` int(11) NOT NULL,
  `is_sync` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pricing_class`
--

CREATE TABLE `tbl_pricing_class` (
  `Class_ID` int(11) NOT NULL,
  `Class_Name` varchar(50) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `tax_amount` double NOT NULL DEFAULT '0',
  `is_ttc` tinyint(4) NOT NULL DEFAULT '0',
  `is_virtual` tinyint(4) NOT NULL DEFAULT '0',
  `supplier_id` int(11) DEFAULT NULL,
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '0=>customer,1=>supplier'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_pricing_class`
--

INSERT INTO `tbl_pricing_class` (`Class_ID`, `Class_Name`, `Currency_ID`, `tax_amount`, `is_ttc`, `is_virtual`, `supplier_id`, `type`) VALUES
(1, 'Retail', 120, 0, 1, 0, NULL, 0),
(2, 'wholesales', 120, 0, 0, 0, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pricing_class_alternatives`
--

CREATE TABLE `tbl_pricing_class_alternatives` (
  `entry_id` int(11) NOT NULL,
  `main_class_id` int(11) NOT NULL,
  `sub_class_id` int(11) NOT NULL,
  `percent` double NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '0=>class,1=>method,2=>last cost'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_printers`
--

CREATE TABLE `tbl_printers` (
  `printer_id` int(11) NOT NULL,
  `printer_name` varchar(200) NOT NULL,
  `printer_title` varchar(200) NOT NULL,
  `printer_key` varchar(255) NOT NULL DEFAULT '',
  `is_default` tinyint(4) NOT NULL DEFAULT '0',
  `remote_ip` varchar(255) NOT NULL DEFAULT '' COMMENT 'ip from which pc open program',
  `branch_id` varchar(250) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_printers`
--

INSERT INTO `tbl_printers` (`printer_id`, `printer_name`, `printer_title`, `printer_key`, `is_default`, `remote_ip`, `branch_id`) VALUES
(1, 'Samsung SCX-3200 Series [DESKTOP-8MR7DDG](Mobility)', 'Printer 1', '', 1, '', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_print_template`
--

CREATE TABLE `tbl_print_template` (
  `template_id` int(11) NOT NULL,
  `template_key` varchar(255) NOT NULL,
  `template_text` text NOT NULL,
  `status` int(11) NOT NULL,
  `copies` int(11) NOT NULL DEFAULT '1',
  `template_name` varchar(250) NOT NULL DEFAULT '',
  `branch_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_print_template`
--

INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(1, 'invoice', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\n<style type=\"text/css\">\n    * {\n        font-size: 19px;\n        /* border: 1px solid red; */\n    }\n    .text {\n                   direction: rtl;\n               }\n               .text:after {\n                   content: \'\\200e\';\n               }\n    .ValSpan {\n        opacity: 0;\n    }\n    \n    .inv-info {\n        font-size: 40px;\n    }\n    \n    .border-div {\n        /* border: 1px solid #000; */\n        padding: 8px;\n        border-right: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .tbodyTD:not(:first-child) {\n        border-right: 1px solid black;\n    }\n    \n    .border-tr {\n        /* border: 1px solid #000;   */\n        padding: 8px;\n        border-bottom: 0;\n        border-left: 0;\n        border-top: 0;\n        height: 50px;\n        letter-spacing: 2px;\n        border-right: 1px solid black;\n    }\n    \n    .border-td {\n        /* border: 1px solid #000; */\n        padding: 8px;\n        border-bottom: 0;\n        border-top: 0;\n    }\n    \n    .border-table {\n        /* border: 1px solid #000; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table thead tr th {\n        /* background: #ddd; */\n    }\n    \n    h5 {\n        font-size: 17px !important;\n    }\n    \n    .phone-l {\n        margin-left: 1px !important;\n    }\n    \n    h5 {\n        line-height: 15px !important;\n    }\n    \n    h4 {\n        line-height: 18px !important;\n    }\n    \n    @media print {}\n</style>\n<style>\n    @media print {\n        .no-print {\n            display: none;\n        }\n    }\n    \n    .text-center {\n        text-align: center;\n    }\n    \n    .text-left {\n        text-align: left;\n    }\n    \n    .text-right {\n        text-align: right;\n    }\n    \n    .row:after,\n    .row:before {\n        display: table;\n        content: \" \";\n        clear: both;\n    }\n    \n    .col-xs-3,\n    .col-xs-4,\n    .col-xs-6,\n    .col-xs-8,\n    .col-xs-12 {\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    \n    .col-xs-3 {\n        width: 25%;\n    }\n    \n    .col-xs-4 {\n        width: 33.33333333%;\n    }\n    \n    .col-xs-6 {\n        width: 50%;\n    }\n    \n    .col-xs-8 {\n        width: 66.66666666%;\n    }\n    \n    .col-xs-12 {\n        width: 100%;\n    }\n</style>\n\n<style>\n    .col-xs-5 {\n        width: 41.66666667%;\n    }\n    \n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight: 300!important;\n    }\n    \n    body {\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    .pull-right {\n        float: right;\n    }\n    \n    .pull-left {\n        float: left;\n    }\n    \n    .border-table {\n        /* border: 1px solid #000; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    \n    .btn-danger,\n    .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important;\n    }\n    \n    .btn {\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none!important;\n        color: #626262;\n        background-color: #ffffff;\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    \n    .btn-success-darker,\n    .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    \n    @media print {}\n    \n    .bottom {\n        position: absolute;\n        bottom: 0;\n        width: 99%;\n        padding: 15px 0;\n    }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n       <div class=\"panel-body\">\n          <div class=\"row\" style=\"box-shadow: inset 100px 150px #ddd; height: 130px;\" >\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n             <div>\n              <div>  <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 204px;height: 80px;margin-top: 5px;\">  </div> \n               <div style=\"margin-left: 5px; font-size: 20px;\">[[organiaztion_name_en]]</div>\n              <div style=\"margin-top: 5px; font-size: 15px;\">[[org_des_en]]</div>\n\n             </div>\n            \n            </div>\n            <!-- <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 30%;\">\n            <div style=\" margin-top: 40px;font-size: 20px !important;\">[[organiaztion_name_en]]</div>\n            </div> -->\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n                <div style=\" font-size: 30px !important;margin-left: 70px;margin-top: 50px; \">  <span [[hidden_org_vat_en]] style=\"font-size: 30px;\">Tax</span> Invoice /  فاتورة ضريبية</div>\n            \n            </div>\n\n          </div>\n         \n          <div class=\"row\" style=\"box-shadow: inset 100px 150px #ddd; height: 120px; margin-top: 5px;\" >\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n                <div hidden style=\" font-size: 20px; \" > [[organiaztion_name_en]] </div>\n                <div hidden style=\" font-size: 17px; \" > [[org_des_en]] </div>\n                <div style=\" font-size: 15px;margin-top: 10px; \">Address : [[org_address_ar]]</div>\n                <div [[hidden_org_cr_en]]   style=\" font-size: 15px; \">C.R No:  [[org_cr_en]]</div>\n                <div [[hidden_org_vat_en]]   style=\" font-size: 15px; \">  VAT No : [[org_vat_en]] </div>\n                <div [[hidden_org_phone_en]]   style=\" font-size: 15px; \"> Phone No: [[org_phone_en]] </div>\n                <div style=\" font-size: 15px; \">Email : [[Organization_Email]]</div>\n\n            \n            </div>\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n              \n                <div style=\" font-size: 15px;margin-left: 200px; margin-top: 10px; \">Invoice No :	[[invoice_prefix]] [[Invoice_ID]]   </div>\n                <div style=\" font-size: 15px;margin-left: 200px; \">Pay Type:	<span  [[pay_cash_class]] style=\"font-size: 15px !important;\">CASH</span> <span  [[pay_check_class]] style=\"font-size: 15px !important;\">CHEK</span> <span  [[pay_credit_class]] style=\"font-size: 15px !important;\">Credit card </span> <span  id=\"nonedis\" style=\"font-size: 15px !important;\"> Not Paid</span>  </div>\n                <div style=\" font-size: 15px;margin-left: 200px;\">Date & Time :	[[Invoice_Date]]   </div>\n            </div>\n\n        </div>\n        <br>\n\n        <div>\n            <table style=\"width: 100%;border-collapse: collapse; border-top: #ffffff; border-left: #ffffff; border-right: #ffffff; \" border=\"1\">\n                <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                <tr>\n                 <td>\n                     Bill To :\n                 </td>\n                </tr>\n                </thead>\n                <tbody>\n                    <tr>\n                        <td>[[Customer_Name]]</td>\n                    </tr>\n                    <tr>\n                        <td>Mobile : [[Mobile]] - [[Phone]]</td>\n                    </tr>\n                    <tr>\n                        <td>  C.R. No. :	[[CR]] </td>\n                    </tr>\n                    <tr>\n                        <td>  VAT No.:	[[customer_vat]]</td>\n                    </tr>\n                    <tr>\n                        <td> Address : 	[[customer_address]]</td>\n                </tr>\n\n                </tbody>\n\n            </table>\n        </div>\n        <br>\n        <div style=\"width: 100%; min-height:345px;border-top:0px; margin: 0;\" id=\"table_border\">\n\n            <table class=\"table  border-table \" style=\"width: 100%; margin: 0;border-color: white;\" id=\"RemoveOuterTableBorder\" border=\"1\">\n                <thead id=\"secDelElement\" style=\" box-shadow: inset 100px 100px #ddd;border-color: white; border-bottom: black !important;\">\n                    <tr class=\"border-div\" id=\"RemoveInnerTableBorder\">\n                        <th style=\"font-size: 15px; width: 5%; \" class=\" text-center \"> No <br> الرقم </th>\n                        <th hidden style=\"font-size: 15px; width: 12.5%;\" class=\" text-center\">Item Code <br> رقم الوصف  </th>\n                        <th style=\"font-size: 15px; width: 20%;\" class=\" text-center\">  Product Name <br> الوصف  </th>\n                        <th style=\"font-size: 15px; width: 5%;\" class=\" print_delv text-center\"> Qty <br> الكمية  </th>\n                        <th style=\"font-size: 15px; width: 15%;\" class=\" print_delv text-center\"> Unit Price <br> سعر الوحدة</th>\n                        <th style=\"font-size: 15px; width: 12.5%;\" class=\" text-center\"> VAT %<br> نسبة الضريبة  </th>\n                        <th style=\"font-size: 15px; width: 12.5%;\" class=\" text-center\">VAT <br> قيمة الضريبة </th>\n                        <th style=\"font-size: 15px; width: 25%;\" class=\" text-center\"> Total with vat <br> المجموع الاجمالي مع الضريبة</th>\n\n\n                       \n                    \n                    </tr>\n                </thead>\n                <tbody style=\" border-color: white;border-bottom: black !important;\">\n                    <span style=\"margin-right: 20px;\">\n                        [[smc__start_inv_detail]]\n                    </span>\n                    <tr id=\"\">\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \">[[Count]]</td>\n                        <td hidden class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \">[[Code]]</td>\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 15px;\">[[Product_Name]]</td>\n                        <td class=\" print_delv text-center  \" id=\"tableColumn\" style=\"font-size: 18px;\">[[Item_Quantity_Current]] </td>\n                        <td class=\" print_delv text-center  \" id=\"tableColumn\" style=\"font-size: 18px;\"> [[Product_Net_Price]]</td>\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \">[[vat_percent]]</td>\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px;\"> [[vat_amount]]</td>\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \"> [[total_with_vat]]</td>\n                       \n                    </tr>\n                    [[smc__end_inv_detail]]\n\n\n                </tbody>\n\n            </table>\n        </div>\n        <br>\n        <div class=\"table2\" style=\"width: 100%; \">\n            <table border=\"0\"> \n            <tr>\n                <td style=\"width: 30%;\" rowspan=\"3\"><img src=\"[[qrcode]]\" style=\"width: 160px;height: 160px;\"></td>\n                <td style=\"width: 70%;\">[[grand_total_word_en]] </td>   \n            </tr>\n            <tr>\n                <td>[[grand_total_word_ar]]</td>\n            </tr>\n            \n            </table>\n            \n            <table border=\"1\" style=\"border-collapse: collapse;margin-top: 12px;\"> \n                <tr>\n                    <td style=\"width: 70%; font-size: 16px;\"> Total Amount <span style=\"float: right;font-size: 16px;\">المبلغ الاجمالي</span> </td>\n                    <td style=\"width: 30%;text-align: center;\">[[all_product_total_price_before_disc]] [[Currency_Symbol]] </td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">Discount SR <span style=\"float: right;font-size: 16px;\">الخصم</span> </td>\n                    <td style=\"text-align: center;\">[[invoice_total_full_discount]] [[Currency_Symbol]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">Net Amount <span style=\"float: right;font-size: 16px;\">صافي المجموع</span>  </td>\n                    <td style=\"text-align: center;\">[[invoice_net_total_before_vat]] [[Currency_Symbol]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">VAT(15%) <span style=\"float: right;font-size: 16px;\">قيمة الضريبة المضافة</span> </td>\n                    <td style=\"text-align: center;\">[[local_vat_amount]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">Grand Total <span style=\"float: right;font-size: 16px;\">المبلغ الاجمالي</span>  </td>\n                    <td style=\"box-shadow: inset 5px 30px #ddd ; text-align: center;\">	[[grand_total]] [[Currency_Symbol]]</td>\n                </tr>\n            </table>\n            <div>\n                <table hidden border=\"0\" style=\"width: 167%;\">\n                <tr style=\"width: 100%;\">\n                <td style=\"width: 100%; text-align: right;\">OutStanding Balance : 12,666.58  &nbsp; &nbsp; :رصيد عملاء متميز</td>\n                </tr>\n                </table>\n                <br>\n            \n               \n             \n        \n                \n            </div>\n            </div>\n            \n            \n            <div class=\"last\" style=\"width: 100%; display: flex;justify-content: space-between;box-shadow: inset 100px 100px #ddd; border: 1px solid black;\">\n                <span>Receiver Sign-----------------------توقيع المستلم </span>\n                <span>Salesman Sign-----------------------توقيع البائع </span>\n            </div>     \n\n\n               \n               \n                <style>\n                  .table2{\n                      display: grid;\n                      grid-template-columns: 60% 40%;\n                  }\n                </style>\n\n\n\n\n   \n \n\n\n    \n</div>\n</div>\n\n\n        \n              \n                <style>\n                    span.line {\n                        position: relative;\n                    }\n                    \n                    span.line::before {\n                        position: absolute;\n                        content: \"\";\n                        background: #2c2c2c;\n                        height: 3px;\n                        width: 100%;\n                        left: 50%;\n                        margin-top: -10px;\n                        transform: translate(-50%);\n                    }\n                </style>\n\n                \n                <!-- <div style=\"text-align:center\" id=\"removEleventhElement\">\n                    <p>Payment Terms <input type=\"checkbox\"> Cash<input type=\"checkbox\"> Credit</p>\n                </div> -->\n                <style>\n                    div span.check {\n                        border: 1px solid black;\n                        height: 10px;\n                        width: 100px;\n                    }\n                </style>\n                <style>\n                    #FooterText {\n                        position: relative;\n                    }\n                    /* #FooterText::before {\n                        position: absolute;\n                        content: \"\";\n                        width: 90%;\n                        height: 2px;\n                        background: black;\n                        top: -10px;\n                        left: 50%;\n                        transform: translate(-50%);\n                    } */\n                </style>\n             \n\n                <style>\n                    div.contact p:nth-child(3),\n                    .contact p:nth-child(1) {\n                        text-align: center;\n                    }\n                    \n                    .contact p:nth-child(2) {\n                        max-width: 100%;\n                        text-align: center;\n                    }\n                </style>\n                <!-- <table >\n                <tr style=\"width: 100%;\">\n                    <td style=\"width: 90%;\">Receiver sign</td>\n                    <td style=\" width: 100%;\">salesman sign</td>\n                </tr>\n              \n            </table>\n            <br>\n            <br>\n    </div>\n    \n\n    <table  style=\"width: 100%;\">\n<tr style=\"width: 100%;\"> \n<td>\n   \n      <div> JEDDAH - SAUDI ARABIA </div> \n       <div> K.S.A . P.O.Box 34788 Jeddah 21478 </div>\n    <div> Mobile : 0555883558 / 0544090499 </div>\n    \n    \n</td>\n<td style=\"text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"height: 100px; width: 200px; margin-left: 179px;\"> \n</td>\n<td>\n <div>    المملكة العربية السعودية - جدة</div> \n <div>   ص.ب. :٣٤٧٨٨/ جدة  ٢١٧٤٨</div>\n <div>   جوال : ٠٥٥٥٨٨٣٥٥٨ / ٠٥٤٤٠٩٠٤٩٩</div>\n  \n    \n</td>\n</tr>\n    </table> -->\n                <div class=\"row no-print\">\n                    <div class=\"col-md-12\">\n                        <div class=\"pull-right\">\n                            <a style=\"background-color: rgb(248, 61, 61); color: white;\" id=\"invoice_print_btn\" class=\"btn btn-primary\" onclick=\"javascript:window.print();javascript:$(\'.print_delv\').removeClass(\'no-print\');\"><i class=\"fa fa-print\" ></i>Print</a>\n                            <!-- <button onclick=\"deleteElements();window.print();\" class=\"btn btn-danger\" id=\"deleteElements\">Print</button> -->\n                        </div>\n\n                    </div>\n                </div>\n            </div>\n            <script>\n                 \n\n                if (\"[[pay_cash_class]]\"== \"hidden\" && \"[[pay_check_class]]\" == \"hidden\" && \"[[pay_credit_class]]\" == \"hidden\"){\n                    \n                    document.getElementById(\"nonedis\").style.visibility = \"visible\";\n\n               \n                }\n                else{\n                    document.getElementById(\"nonedis\").style.visibility = \"hidden\";\n \n                }\n        \n            </script>\n         ', 1, 1, 'Server invoice', 1),
(2, 'pos_invoice', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\n<style>\n    body {\n        margin: 0;\n        \n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    @page {\n        margin: 0px 5px 0px 12px;\n        /*sumatra*/\n        /*margin: 0px 30px 0px 15px;*/\n        /*dialog*/\n    }\n    \n    .secondTbl td {\n        white-space: nowrap;\n    }\n    \n    .hidden {\n        display: none;\n    }\n    \n    #headerDiv span {\n        font-size: 13px;\n    }\n    \n    #headerDiv h3 {\n        margin-bottom: 0px;\n    }\n    \n    h3 {\n        display: block;\n        margin: 0 0 5px;\n        padding: 0;\n        font-size: 1em !important;\n        /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    \n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\n        margin: 0px 0px;\n        padding: 0;\n    }\n    \n    table.first,\n    table.secondTbl {\n        color: #000;\n        font-size: 13px;\n        /*float:right;    margin-right: 8%;*/\n    }\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\n    \n    th,\n    td {\n        font-size: 13px;\n        text-align: left;\n    }\n    \n    .second {\n        display: none;\n    }\n    \n    body {\n      \n        margin: 0;\n        padding: 0;\n        width: 100%;\n    }\n    \n    @media print {\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n   .hr1 {\n    border:none;\n    border-top:1px dashed rgb(10, 10, 10);\n    color:#fff;\n    background-color:#fff;\n    height:1px;\n    width:100%;\n    }\n</style>\n\n<body onload=\"[[type_preview]]\">\n\n    <div style=\"text-align: center;width: 98%;margin-left: 5px;\" id=\"headerDiv\">\n     <br>\n\n<div class=\"col-xs-4 text-center\">\n    <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;\">\n</div>\n<br>\n<div class=\"col-xs-4 text-center\">[[org__Organization_Name]] </div>\n<div class=\"col-xs-4 text-center\">CR#[[org_cr_en]] </div>\n<div class=\"col-xs-4 text-center\">VAT No.#[[org_vat_en]] </div>\n<div class=\"col-xs-4 text-center\">[[org_address_en]] </div>\n<div class=\"col-xs-4 text-center\">Phone No: [[org_phone_en]]</div>\n<div class=\"col-xs-4 text-center\">Simplified Tax Invoice</div>\n<div class=\"col-xs-4 text-center\">فاتورة ضريبية مبسطة</div>\n\n<!-- <div class=\"col-xs-4 text-center\">VAT Reg. [[org_vat_en]] </div> -->\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n<table border=\"0\" style=\"width: 100%;\">\n    <tr style=\"width: 100%;\">\n        <td style=\"width: 70%;text-align: right;\">  [[Invoice_ID]]  :</td>\n        <td style=\"text-align: right;width: 30%;\">رقم الفاتورة </td>\n      \n    </tr>\n    <!-- <tr>\n        <td style=\"width: 50%;\">Staff : [[Employee_Name]]</td>\n        \n    </tr> -->\n    <tr style=\"width: 100%;\">\n        \n        <td style=\"width: 70%;text-align: right;\"> [[date_created]]  :</td>\n        <td style=\"text-align: right;width: 30%;\">التاريخ  </td>\n    </tr>\n    <tr style=\"width: 100%;\">\n\n        <td style=\"width: 70%;text-align: right;\"> <span  [[pay_cash_class]] style=\"font-size: 15px !important;\">نقدي</span> <span  [[pay_check_class]] style=\"font-size: 15px !important;\">شيك</span> <span  [[pay_credit_class]] style=\"font-size: 15px !important;\">مدى  </span> <span  id=\"nonedis\" style=\"font-size: 15px !important;\">  أجل</span>  :</td>\n        <td style=\"text-align: right;width: 30%;\">نوع الدفع   </td>\n\n        \n    </tr>\n</table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;text-align: right;font-size: 14px;\">\n    <table style=\"width: 100%;\">\n        <tr style=\"width: 100%;\">\n        \n            <td style=\"width: 50%;text-align: right;font-size: 14px;\"> [[Customer_Name]] :</td>\n            <td style=\"text-align: right;width: 50%;font-size: 14px;\">اسم الزبون  </td>\n        </tr>\n        <tr style=\"width: 100%;\">\n        \n            <td style=\"width: 50%;text-align: right;font-size: 14px;\"> [[customer_vat]] :</td>\n            <td style=\"text-align: right;width: 50%;font-size: 14px;\">   الرقم الضريبي للزبون  </td>\n        </tr>\n\n    </table>\n    \n</div>\n<!-- <br>\n<div style=\"width: 100%;text-align: right;font-size: 14px;\">\n    الرقم الضريبي للزبون : [[customer_vat]]\n    </div> -->\n    <br>\n    <div class=\"hr1\"></div>\n<br>\n<div class=\"row\">\n    <table class=\"first \" cellspacing=\'\' style=\"width:99%;\" border=\"0\">\n        <thead>\n            <tr style=\"width: 100%;\">\n                <th style=\"width: 30%;\">إسم المنتج  </th>\n                <th style=\"width: 10%;\"> الكمية</th>\n                <th style=\"text-align: center;width: 20%;\">سعر الوحدة </th>\n                <th style=\"width: 20%;text-align: center\">نسبة الضريبة</th>\n                <th style=\"text-align: right;width: 20%;\"> الاجمالي  </th>\n              \n            </tr>\n        </thead>\n        <tbody>\n\n            [[smc__start_inv_detail]]\n            <tr>\n                <td style=\"font-size:13px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Product_Name]][[product_description]] </td>\n                <td>[[Item_Quantity_Current]]</td>\n                <td style=\"text-align: center;\"> [[Product_Net_Price_TTC]] [[Currency_Symbol]]</td>\n                <td style=\"text-align: center\">[[vat_percent]] %</td>\n                <td style=\"text-align: right;\">  [[Product_Total_Price_After_Disc_TTC]] [[Currency_Symbol]]</td>\n            </tr>\n            [[smc__end_inv_detail]]\n\n        </tbody>\n    </table>\n</div>\n\n\n\n\n\n<div style=\"clear:both;\"></div>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n\n               <table style=\"width: 100%;\">\n                <tr style=\"width: 100%;\">\n        \n                    <td style=\"width: 70%;text-align: right;font-size: 14px;\"> [[invoice_net_total_before_vat]]  :</td>\n                    <td style=\"text-align: right;width: 30%;font-size: 14px;\">صافي المجموع   </td>\n                </tr>\n                <tr style=\"width: 100%;\">\n        \n                    <td style=\"width: 70%;text-align: right;font-size: 14px;\"> [[smc__system_vat_percent]] %   :</td>\n                    <td style=\"text-align: right;width: 30%;font-size: 14px;\"> نسية الضريبة    </td>\n                </tr>\n                <tr style=\"width: 100%;\">\n        \n                    <td style=\"width: 70%;text-align: right;font-size: 14px;\"> [[local_vat_amount]]  :</td>\n                    <td style=\"text-align: right;width: 30%;font-size: 14px;\">  الضريبة    </td>\n                </tr>\n                <tr style=\"width: 100%;\">\n        \n                    <td style=\"width: 70%;text-align: right;font-size: 14px;\"> [[grand_total]] :</td>\n                    <td style=\"text-align: right;width: 30%;font-size: 14px;\">  المجموع الكلي     </td>\n                  \n                </tr>\n                <tr style=\"width: 100%;\">\n        \n                    <td style=\"width: 70%;text-align: right;font-size: 14px;\"> [[returned_cash]] :</td>\n                    <td style=\"text-align: right;width: 30%;font-size: 14px;\">  المبلغ المرتجع      </td>\n                  \n                </tr>\n               </table>\n\n\n\n    <!-- <div style=\"text-align: right;\"> [[invoice_net_total_before_vat]] : صافي المجموع </div>\n    <br> -->\n    <!-- <div style=\"text-align: right;\">[[smc__system_vat_percent]] % :  نسية الضريبة  </div>\n    <br> -->\n    <!-- <div style=\"text-align: right;\">[[local_vat_amount]] : الضريبة  </div>\n    <br> -->\n    <!-- <div style=\"text-align: right;\">[[grand_total]] : المجموع الكلي </div> -->\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"width: 170px;height: 170px;\">\n</div>\n</div>\n<!-- <div style=\"width: 100%;\">\n    <table style=\"width: 100%;\">\n        <tr>\n            <td style=\"width: 40%;text-align: right;\">[[grand_total]] [[Currency_Symbol]] </td>\n            <td style=\"width: 60%;text-align: right;\"> المجموع   </td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Cash  [[Currency_Symbol]]</td>\n            <td style=\"font-weight: bold;\">[[cash_amount]]</td>\n        </tr>\n      \n        <tr>\n            <td style=\"font-weight: bold;\">Change</td>\n            <td style=\"font-weight: bold;\">[[returned_cash]]</td>\n        </tr>\n\n    </table>\n\n</div>\n<br> -->\n<!-- <div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\" border=\"0\">\n    <tr style=\"width: 100%;\">\n        <td style=\"width: 25%;\"> نسبة الضريبة </td>\n        <td style=\"width: 25%;\">صافي المجموع</td>\n        <td style=\"width: 25%;\">الضريبة</td>\n        <td style=\"width: 25%;\">المجموع</td>\n\n    </tr>\n    <tr style=\"width: 100%;\">\n        <td>[[smc__system_vat_percent]] %</td>\n        <td>[[invoice_net_total_before_vat]]</td>\n        <td>[[local_vat_amount]]</td>\n        <td>[[grand_total]]</td>\n\n    </tr>\n\n</table>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"width: 170px;height: 170px;\">\n</div>\n\n</div> -->\n   \n    </div>\n  \n\n\n</body>\n<script>\n                 \n\n    if (\"[[pay_cash_class]]\"== \"hidden\" && \"[[pay_check_class]]\" == \"hidden\" && \"[[pay_credit_class]]\" == \"hidden\"){\n        \n        document.getElementById(\"nonedis\").style.visibility = \"visible\";\n\n   \n    }\n    else{\n        document.getElementById(\"nonedis\").style.visibility = \"hidden\";\n\n    }\n\n</script>', 1, 1, 'Server pos_invoice', 1),
(3, 'pos_bibo', '\r\n\r\n<style>\r\n\r\n    #headerDiv span {font-size:12px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;\r\n        font-size: 1.17em !important;\r\n        -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;\r\n        border-style: inset;\r\n        border-width: 1px;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000;\r\n               font-family: aealarabiya; \r\n               font-size: 15px;\r\n               font-weight:bold;\r\n               width:50%;\r\n                   float:right;  \r\n                   margin-right: 8%;}\r\n    th,td{\r\n        font-size:12px;text-align:center;}\r\n    .second{display:none;}\r\n    body{\r\n        margin:0;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n    table.secondTbl td {\r\n               font-size: 21px;\r\n               }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n    <div id=\"myDivToPrint\">\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <h3>[[org__Organization_Name]]</h3>\r\n            <span>[[org__Organization_Phone]]</span>\r\n            <br><span>Date: [[smc__print_time]]</span>\r\n            <br><span>Invoice # [[Invoice_ID]]</span>\r\n            <hr>\r\n            <div class=\"row\">\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                            <th>Price</th>\r\n                            <th>Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;letter-spacing:0.06em;\">[[Bar_Code]] - [[Product_Name]]</td>\r\n                            <td >[[Item_Quantity_Current]]</td>\r\n                            <td >[[Product_Net_Price]]</td>\r\n                            <td >[[Product_Total_Price]]</td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            <hr>\r\n\r\n\r\n            <div class=\"row\" style=\"display:flex\">\r\n                <div class=\" pull-right\" style=\"width:100%\">\r\n                    <table class=\"secondTbl\">\r\n                        <thead>\r\n                            <tr class=\"second\">\r\n                                <th ></th>\r\n                                <th ></th>\r\n                            </tr>\r\n                        </thead>\r\n                        <tbody>\r\n\r\n\r\n\r\n                            <tr>\r\n                                <td>Total</td>\r\n                                <td>[[Invoice_Net_Total]] [[Currency_Symbol]] </td>\r\n\r\n                            </tr>\r\n                            <tr>\r\n                                <td></td>\r\n                                <td>[[net_total_in_usd]] $  </td>\r\n                            </tr>\r\n\r\n\r\n                        </tbody>\r\n\r\n                    </table>\r\n                </div>\r\n            </div>\r\n\r\n            <hr>\r\n\r\n            <div class=\"col-md-12\">\r\n                <p class=\"third \" style=\"width:100%;text-align: center;\">This Receipt Must Be Shown For Sold Goods Exchange for a duration 15 days.</p><br>\r\n            </div>\r\n        </div>\r\n\r\n</body>\r\n\r\n', 1, 1, 'Server pos_bibo', 1),
(4, 'barcode', '<html>\r\n\r\n<body onload=\"window.print()\">\r\n\r\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n    <style>\r\n        body {\r\n            margin: 0;\r\n            padding: 0;\r\n            font-size: 9px;\r\n        }\r\n        p{\r\n            margin: 0;\r\n        }\r\n    </style>\r\n\r\n    <div style=\'width:100%\'>\r\n\r\n\r\n        <div style=\'clear:both;\'></div>\r\n    </div>\r\n    <!--<div style=\'display:block;text-align:center;margin-top:2px;\'>[[barcode]]</div>-->\r\n    <div style=\'display:block;text-align:center;margin-top:20px;\'><img src=\"[[barcode_image]]\" style=\"width:80px;\" /></div>\r\n    <P style=\'text-align:center;font-size:10px; \'>[[Code]]</P>\r\n    <P style=\'text-align:center;font-size:10px; \'>[[Name]]</P>\r\n    <P style=\'text-align:center;font-size:10px; \'>[[price]]</P>\r\n\r\n    <div style=\'text-align:center;margin-top:2px;width:100%;overflow:hidden;text-overflow: ellipsis;white-space:nowrap;\'>[[Desc]]</div>\r\n</body>\r\n\r\n</html>', 1, 1, 'Server barcode', 1),
(5, 'naser_print', '\r\n<!doctype html>\r\n<html>\r\n    <style>\r\n\r\n        /*  \r\n         @page:first {\r\n           margin-top:3cm;\r\n         }\r\n         @page:last {\r\n           margin-bottom: 0cm;\r\n         }\r\n         @page{\r\n             size: A5 landscape;\r\n             margin: 6.8cm 0 4cm;\r\n                 } \r\n        */\r\n        @page{\r\n            size:21cm 17cm;\r\n            margin:3cm 0 0.5cm;\r\n            /*counter-increment: page;\r\n            @bottom-right{\r\n                content: \"Page \" counter(page) \" of \" counter(pages);\r\n            }*/\r\n        }\r\n        .real_header, .faked_header{\r\n            display:block;\r\n            width:100%;\r\n            height:3.6cm;\r\n            margin-bottom: 0.5cm;\r\n            line-height:35px;\r\n            /*border:1px solid black;*/\r\n        }\r\n        .real_footer, .faked_footer{\r\n            width:100%;\r\n            margin-top:0.2cm;\r\n            height:4cm;\r\n           /* border:1px solid blue;*/\r\n\r\n        }\r\n        /*.faked_header,.faked_footer{border-style: dashed; border-color:green;}*/\r\n        thead{\r\n            display:table-header-group;/*repeat table headers on each page*/\r\n        }\r\n        tfoot{\r\n            display:table-footer-group;/*repeat table footers on each page*/\r\n        }\r\n        html,body{height:100%;margin:0;padding:0;position:relative;width:100%;}\r\n        body, .table tbody tr td{\r\n            font-size: 18px;\r\n            font-family: arial !important;\r\n        }\r\n        .table tbody tr td{\r\n            padding:3px 8px;\r\n            line-height: 0.9;\r\n            page-break-inside:avoid;\r\n            page-break-after:auto ;\r\n        }\r\n\r\n    </style>\r\n\r\n\r\n    <style>\r\n        @media print{\r\n            .no-print{display:none;}\r\n        }\r\n        .text-center{text-align:center;}\r\n        .text-left{text-align:left;}\r\n        .row:after, .row:before {\r\n            display: table;\r\n            content: \" \";\r\n            clear:both;\r\n        }\r\n      /*  tbody tr:first-child td{border:2px solid black;}*/\r\n        .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n            float: left;\r\n            position: relative;\r\n            min-height: 1px;\r\n            padding-right: 15px;\r\n            padding-left: 15px;\r\n            -moz-box-sizing: border-box;\r\n            box-sizing: border-box;\r\n        }\r\n        .col-xs-3{width:25%;}\r\n        .col-xs-4{width:33.33333333%;}\r\n        .col-xs-6{width:50%;}\r\n        .col-xs-8{width:66.66666666%;}\r\n        .col-xs-12{width:100%;}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-family: Arial,sans-serif;\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n.pull-right{float:right;}\r\n@media screen{\r\nbody{margin-top:20px;}\r\n.real_header,.real_footer{position:relative!important;}\r\n}\r\n    </style>\r\n    <body>\r\n        <div class=\"real_header\" style=\"position:absolute;top:0px;overflow:hidden;\">\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-6 font-type \">\r\n\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Name]]</span></div>\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Country_Name]] -  [[Address]]</span></div>\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Mobile]] - [[Phone]] </span></div>\r\n\r\n                </div>\r\n                <div class=\"col-xs-6 font-type\" style=\"text-align:left;margin-top: -8px;padding-left:340px;\">\r\n                    <div class=\"col-xs-12\"><span>[[invoice_prefix]] [[Invoice_ID]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Invoice_Date]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Invoice_Due_Date]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Currency_Name]]</span></div>\r\n\r\n                </div>\r\n                <br>\r\n            </div>\r\n        </div>\r\n\r\n        <div style=\'width:943px/*19.1cm*/;padding:5px 53px 0 57px;/*border:1px solid red;*/\'>\r\n\r\n            <table  class=\"table \" style=\"table-layout:fixed;width:100%/*19.1cm*/;margin:12px auto 0;height:auto;\" border=\"0\">\r\n                <colgroup>\r\n                 \r\n                    <col width=\"98px\" />\r\n                    <col width=\"98px\" />\r\n                    <col width=\"170px\" />\r\n                    <col width=\"275px\" />\r\n                    <col width=\"102px\" />\r\n                    <col width=\"90px\" />\r\n                    <col width=\"110px\" />\r\n                </colgroup>\r\n                <thead>\r\n                    <tr>\r\n                        <td colspan=\"7\">\r\n                            <div class=\"faked_header\"></div>\r\n                        </td>\r\n                    </tr>\r\n                    <tr class=\"border-div no-print\">\r\n                        <th class=\" text-center\">No.</th>\r\n                        <th   class=\"text-center\">Code</th>\r\n                        <th  class=\" text-center\">Quantity</th>\r\n                        <th  class=\" text-center\">Item</th>\r\n                        <th  class=\" print_delv text-center\">price</th>\r\n                        <th  class=\" print_delv text-center\">disc.</th>\r\n                        <th  class=\" print_delv text-center\">total</th>\r\n                    </tr>\r\n                </thead>\r\n                <tbody>\r\n    [[smc__start_inv_detail]]\r\n                <tr>\r\n                    <td class=\"text-center\">[[Count]]</td>\r\n                    <td  class=\"text-left\">[[Code]]</td>\r\n                    <td  class=\"text-left\">[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                    <td  class=\"text-left\">[[Product_Name]]</td>\r\n                    <td class=\"text-left\">[[Product_Net_Price]]</td>\r\n                    <td class=\"text-left\">[[Product_Discount]] %</td>\r\n                    <td class=\"text-left\">[[total_with_vat]]</td>\r\n                </tr>\r\n                [[smc__end_inv_detail]]\r\n                    \r\n\r\n\r\n\r\n                </tbody>\r\n                <tfoot>\r\n                    <tr>\r\n                        <td colspan=\"7\">\r\n                            <div class=\"faked_footer\"></div>\r\n                        </td>\r\n                    </tr>\r\n                </tfoot>\r\n            </table>\r\n        </div>\r\n        <!--<br>\r\n               <div class=\"col-xs-12\">\r\n                   <div class=\"row\">\r\n                       <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                       </div>\r\n                   </div>\r\n               </div>-->\r\n        <div class=\"row no-print\">\r\n            <div class=\"col-md-12\">\r\n                <div class=\"pull-right\">\r\n                    <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                    <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n\r\n\r\n        <div class=\"real_footer\" style=\"position:absolute;bottom:0;overflow:hidden;\">\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-4\"  style=\"padding-left:70px !important;margin-top: 7px;line-height: 15px;\">\r\n\r\n                    <div class=\"col-xs-6 \"><span></span></div>&nbsp;[[previous_balance]]<br/><br/>\r\n                    <div class=\"col-xs-6 \"><span></span></div>[[current_balance]]<br/>\r\n                    <div class=\"col-xs-6 \"><span><strong></strong></span></div><br/>\r\n                    <div class=\"col-xs-6 \"><span><strong></strong></span></div>\r\n\r\n                </div>\r\n                <div class=\"col-xs-4 \">\r\n                </div>\r\n                <div class=\"col-xs-4\" style=\"padding-left:20px !important;line-height: 28px;\">\r\n                    <div class=\"col-xs-6\"><span></span>&nbsp;</div>[[Invoice_Sub_Total]]<br/>\r\n                    <div class=\"col-xs-6\"><span></span>&nbsp;</div>[[Invoice_VAT]]<br/>\r\n                    <div class=\"col-xs-6 \"><span></span>&nbsp;</div>[[Invoice_Discount]]<br/>\r\n                    <div class=\"col-xs-6 \"><span></span>&nbsp;</div><strong>[[Invoice_Net_Total]]</strong>\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n    </body>\r\n</html>', 1, 1, 'Server naser_print', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(6, 'pos_payment', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\n<style>\n    body {\n        margin: 0;\n        \n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    @page {\n        margin: 0px 5px 0px 12px;\n        /*sumatra*/\n        /*margin: 0px 30px 0px 15px;*/\n        /*dialog*/\n    }\n    \n    .secondTbl td {\n        white-space: nowrap;\n    }\n    \n    .hidden {\n        display: none;\n    }\n    \n    #headerDiv span {\n        font-size: 13px;\n    }\n    \n    #headerDiv h3 {\n        margin-bottom: 0px;\n    }\n    \n    h3 {\n        display: block;\n        margin: 0 0 5px;\n        padding: 0;\n        font-size: 1em !important;\n        /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    \n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\n        margin: 0px 0px;\n        padding: 0;\n    }\n    \n    table.first,\n    table.secondTbl {\n        color: #000;\n        font-size: 13px;\n        /*float:right;    margin-right: 8%;*/\n    }\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\n    \n    th,\n    td {\n        font-size: 13px;\n        text-align: left;\n    }\n    \n    .second {\n        display: none;\n    }\n    \n    body {\n      \n        margin: 0;\n        padding: 0;\n        width: 100%;\n    }\n    \n    @media print {\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n   .hr1 {\n    border:none;\n    border-top:1px dashed rgb(10, 10, 10);\n    color:#fff;\n    background-color:#fff;\n    height:1px;\n    width:100%;\n    }\n</style>\n\n<body onload=\"window.print()\">\n\n    <div style=\"text-align: center;width: 98%;\" id=\"headerDiv\">\n     <br>\n\n<div class=\"col-xs-4 text-center\">\n    <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;\">\n</div>\n<br>\n<div class=\"col-xs-4 text-center\">[[organiaztion_name_en]] </div>\n<div class=\"col-xs-4 text-center\">CR#[[org_cr_en]] </div>\n<div class=\"col-xs-4 text-center\">VAT No.#[[org_vat_en]] </div>\n<!-- <div class=\"col-xs-4 text-center\">[[org_address_en]] </div> -->\n<div class=\"col-xs-4 text-center\">Phone No: [[org_phone_en]]</div>\n<div class=\"col-xs-4 text-center\">  Payment Voucher </div>\n<div class=\"col-xs-4 text-center\"> إيصال دفع </div>\n\n<!-- <div class=\"col-xs-4 text-center\">VAT Reg. [[org_vat_en]] </div> -->\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n<table>\n    <tr>\n        <td >Invoice : [[payment_prefix]]  [[Payment_Auto_ID]] </td>\n      \n    </tr>\n    <tr>\n        <td style=\"width: 50%;\">Staff : [[User_Full_Name]]</td>\n        \n    </tr>\n    <tr>\n        <td > Date : [[date_created]] </td>\n    </tr>\n</table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n\n\n<div>\n    <table style=\"width: 100%;\" border=\"0\">\n       <tr>\n        <td style=\"width: 50%;\">We Received From : [[Account_Name]] </td>\n        \n       </tr>\n       <tr>\n        <td>Amount :  [[Payment_Amount]] [[Currency_Symbol]]</td>\n       </tr>\n       <tr>\n        <td>The sum of : [[Payment_Note]] </td>\n       </tr>\n       <tr>\n        <td style=\"text-align: center;\"> Receiver Sign</td>\n       </tr>\n       <tr>\n        <td>&nbsp;</td>\n       </tr>\n    </table>\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"text-align: center;\">[[print_date]]</div>\n<div style=\"text-align: center;\">[[org_address_ar]]</div>\n<div style=\"text-align: center;\">[[org_address_en]]</div>\n<br>\n<!-- <br>\n<div class=\"row\">\n    <table class=\"first \" cellspacing=\'\' style=\"width:99%;\" border=\"0\">\n        <thead>\n            <tr style=\"width: 100%;\">\n                <th>إسم المنتج  </th>\n                <th> الكمية</th>\n                <th style=\"text-align: center;\">سعر الوحدة </th>\n                <th>Disc.</th>\n                <th style=\"text-align: right;\"> كمية الشبكة </th>\n              \n            </tr>\n        </thead>\n        <tbody>\n\n            [[smc__start_inv_detail]]\n            <tr>\n                <td style=\"font-size:13px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Product_Name]][[product_description]] </td>\n                <td>[[Item_Quantity_Current]]</td>\n                <td style=\"text-align: center;\"> [[Product_Net_Price_TTC]] [[Currency_Symbol]]</td>\n                <td >[[Product_Discount]] %</td>\n                <td style=\"text-align: right;\">  [[Product_Total_Price_After_Disc_TTC]] [[Currency_Symbol]]</td>\n            </tr>\n            [[smc__end_inv_detail]]\n\n        </tbody>\n    </table>\n</div> -->\n\n\n\n\n\n<!-- <div style=\"clear:both;\"></div>\n<div class=\"hr1\"></div> -->\n<!-- <br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\">\n        <tr>\n            <td style=\"width: 60%;\">Total   [[Currency_Symbol]]</td>\n            <td style=\"width: 40%;\">[[grand_total]]</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Cash  [[Currency_Symbol]]</td>\n            <td style=\"font-weight: bold;\">[[cash_amount]]</td>\n        </tr>\n        <tr>\n            <td>&nbsp;</td>\n            <td>&nbsp;</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Change</td>\n            <td style=\"font-weight: bold;\">[[returned_cash]]</td>\n        </tr>\n\n    </table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\" border=\"0\">\n    <tr style=\"width: 100%;\">\n        <td style=\"width: 25%;\">VAT %</td>\n        <td style=\"width: 25%;\">Net.Amt</td>\n        <td style=\"width: 25%;\">VAT</td>\n        <td style=\"width: 25%;\">Amount</td>\n\n    </tr>\n    <tr style=\"width: 100%;\">\n        <td>[[smc__system_vat_percent]]</td>\n        <td>[[invoice_net_total_before_vat]]</td>\n        <td>[[local_vat_amount]]</td>\n        <td>[[grand_total]]</td>\n\n    </tr>\n\n</table>\n<br>\n<div class=\"hr1\"></div>\n<br> -->\n<!-- <div style=\"width: 100%;text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"width: 170px;height: 170px;\">\n</div> -->\n\n</div>\n   \n    </div>\n  \n\n\n</body>\n', 1, 1, 'Server pos_payment', 1),
(7, 'pos_deposite', '<style>\r\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n@page  \r\n{ \r\n    margin: 0px 5px 0px 12px;  /*sumatra*/\r\n\r\n    /*margin: 0px 30px 0px 15px;*/  /*dialog*/\r\n} \r\n  table.first {\r\n  width:100%;\r\n        color: #000;\r\n        font-size: 15pt;\r\n       text-align:center\r\n    }\r\n   th{\r\n        border-bottom: 1px solid #000;  \r\n        text-align:center;\r\n        font-size:14pt;\r\n   }\r\n\r\n</style>\r\n<body onload=\"window.print()\">\r\n\r\n\r\n\r\n    <table class=\"first\">\r\n        <thead><tr><td colspan=\"4\">[[title]]</td></tr>\r\n        <tr><td colspan=\"4\">Print Time</td></tr>\r\n        <tr><td colspan=\"4\">[[smc__print_time]]</td></tr>\r\n        <tr>\r\n            <th style=\"width:50%\">Name</th>\r\n            <th style=\"width:50%\">Total</th>\r\n\r\n        </tr>\r\n        </thead>\r\n        <tbody>\r\n        <tr>\r\n        <td style=\"width:50%\">[[smc__print_username]]</td><td style=\"width:50%\">[[deposite_amount]] [[Currency_Symbol]]</td>\r\n\r\n       </tr>\r\n<tr><td colspan=\'2\'>[[deposite_account]]</td></tr></tbody> </table><hr></body>', 1, 1, 'Server pos_deposite', 1),
(8, 'pos_withdrawal', '\r\n<style>\r\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n@page  \r\n{ \r\n    margin: 0px 5px 0px 12px;  /*sumatra*/\r\n\r\n    /*margin: 0px 30px 0px 15px;*/  /*dialog*/\r\n} \r\n  table.first {\r\n  width:100%;\r\n        color: #000;\r\n        font-size: 15pt;\r\n       text-align:center\r\n    }\r\n   th{\r\n        border-bottom: 1px solid #000;  \r\n        text-align:center;\r\n        font-size:14pt;\r\n   }\r\n\r\n</style>\r\n<body onload=\"window.print()\">\r\n\r\n\r\n\r\n    <table class=\"first\">\r\n        <thead><tr><td colspan=\"4\">[[title]]</td></tr>\r\n        <tr><td colspan=\"4\">Print Time</td></tr>\r\n        <tr><td colspan=\"4\">[[smc__print_time]]</td></tr>\r\n        <tr>\r\n            <th style=\"width:50%\">Name</th>\r\n            <th style=\"width:50%\">Total</th>\r\n\r\n        </tr>\r\n        </thead>\r\n        <tbody>\r\n        <tr>\r\n        <td style=\"width:50%\">[[smc__print_username]]</td><td style=\"width:50%\">[[withdrawal_amount]] [[Currency_Symbol]]</td>\r\n\r\n       </tr><tr><td colspan=\'2\'>[[withdrawal_account]]</td></tr></tbody> </table><hr></body>', 1, 1, 'Server pos_withdrawal', 1),
(9, 'pos_order', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\n<style>\n    body {\n        margin: 0;\n        \n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    @page {\n        margin: 0px 5px 0px 12px;\n        /*sumatra*/\n        /*margin: 0px 30px 0px 15px;*/\n        /*dialog*/\n    }\n    \n    .secondTbl td {\n        white-space: nowrap;\n    }\n    \n    .hidden {\n        display: none;\n    }\n    \n    #headerDiv span {\n        font-size: 13px;\n    }\n    \n    #headerDiv h3 {\n        margin-bottom: 0px;\n    }\n    \n    h3 {\n        display: block;\n        margin: 0 0 5px;\n        padding: 0;\n        font-size: 1em !important;\n        /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    \n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\n        margin: 0px 0px;\n        padding: 0;\n    }\n    \n    table.first,\n    table.secondTbl {\n        color: #000;\n        font-size: 13px;\n        /*float:right;    margin-right: 8%;*/\n    }\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\n    \n    th,\n    td {\n        font-size: 13px;\n        text-align: left;\n    }\n    \n    .second {\n        display: none;\n    }\n    \n    body {\n      \n        margin: 0;\n        padding: 0;\n        width: 100%;\n    }\n    \n    @media print {\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n   .hr1 {\n    border:none;\n    border-top:1px dashed rgb(10, 10, 10);\n    color:#fff;\n    background-color:#fff;\n    height:1px;\n    width:100%;\n    }\n</style>\n\n<body  onload=\"window.print()\">\n\n    <div style=\"text-align: center;width: 98%;margin-left: 5px;\" id=\"headerDiv\">\n     <br>\n\n<div class=\"col-xs-4 text-center\">\n    <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;\">\n</div>\n<br>\n<div class=\"col-xs-4 text-center\">[[organiaztion_name_en]] </div>\n<!-- <div class=\"col-xs-4 text-center\">CR#[[org_cr_en]] </div>\n<div class=\"col-xs-4 text-center\">VAT No.#[[org_vat_en]] </div>\n<div class=\"col-xs-4 text-center\">[[org_address_en]] </div>\n<div class=\"col-xs-4 text-center\">Phone No: [[org_phone_en]]</div> -->\n<div class=\"col-xs-4 text-center\"> Order Invoice</div>\n<div class=\"col-xs-4 text-center\"> فاتورة طلب </div>\n\n<!-- <div class=\"col-xs-4 text-center\">VAT Reg. [[org_vat_en]] </div> -->\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n<table>\n    <tr>\n        <td >Invoice :  [[Order_ID_Auto]] </td>\n      \n    </tr>\n    <tr>\n        <td>Table : [[table_name]]</td>\n    </tr>\n    <tr>\n        <td style=\"width: 50%;\">Staff : [[Employee_Name]]</td>\n        \n    </tr>\n    <tr>\n        <td > Date : [[date_time]] </td>\n    </tr>\n</table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n\n<br>\n<div class=\"row\">\n    <table class=\"first \" cellspacing=\'\' style=\"width:99%;\" border=\"0\">\n        <thead>\n            <tr style=\"width: 100%;\">\n                <th style=\"width: 50%;\">إسم المنتج  </th>\n                <th style=\"width: 50%;\"> الكمية</th>\n                <!-- <th style=\"text-align: center;\">سعر الوحدة </th>\n                <th>Disc.</th>\n                <th style=\"text-align: right;\"> كمية الشبكة </th> -->\n              \n            </tr>\n        </thead>\n        <tbody>\n\n            [[smc__start_inv_detail]]\n            <tr>\n                <td style=\"font-size:13px;\"><span class=\"special-char [[link_product_class]]\"></span>[[Product_Name]]</td>\n                <td>[[Item_Quantity_Current]]</td>\n                <!-- <td style=\"text-align: center;\">  [[Product_Net_Price]] [[Currency_Symbol]]</td>\n                <td >[[Product_Discount]] %</td>\n                <td style=\"text-align: right;\">   [[total_with_vat]] [[Currency_Symbol]]</td> -->\n            </tr>\n            [[smc__end_inv_detail]]\n\n        </tbody>\n    </table>\n</div>\n\n\n\n\n\n<div style=\"clear:both;\"></div>\n<div class=\"hr1\"></div>\n<!-- <br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\">\n        <tr>\n            <td style=\"width: 60%;\">Total   [[Currency_Symbol]]</td>\n            <td style=\"width: 40%;\">[[net_total]]</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Cash  [[Currency_Symbol]]</td>\n            <td style=\"font-weight: bold;\">[[cash_amount]]</td>\n        </tr>\n        <tr>\n            <td>&nbsp;</td>\n            <td>&nbsp;</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Change</td>\n            <td style=\"font-weight: bold;\">[[returned_cash]]</td>\n        </tr>\n\n    </table>\n\n</div> -->\n<!-- <br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\" border=\"0\">\n    <tr style=\"width: 100%;\">\n        <td style=\"width: 25%;\">VAT %</td>\n        <td style=\"width: 25%;\">Net.Amt</td>\n        <td style=\"width: 25%;\">VAT</td>\n        <td style=\"width: 25%;\">Amount</td>\n\n    </tr>\n    <tr style=\"width: 100%;\">\n        <td>[[smc__system_vat_percent]]</td>\n        <td>[[invoice_net_total_before_vat]]</td>\n        <td>[[local_vat_amount]]</td>\n        <td>[[grand_total]]</td>\n\n    </tr>\n\n</table>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"width: 170px;height: 170px;\">\n</div>\n\n</div> -->\n   \n    </div>\n  \n\n\n</body>\n', 1, 1, 'Server pos_order', 1),
(10, 'pos_deleted_added', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style>\r\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n   .hidden{display:none;}\r\n    #headerDiv span {font-size:10px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n     /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\nmargin:0px 0px;padding:0;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000; font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n/*.special-char{font-family: \"DejaVu Sans\", monospace;}*/\r\n    th,td{\r\n        font-size:10px;text-align:center;}\r\n    .second{display:none;}\r\n	th{\r\n	 border-bottom: 1px solid #000;  }\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <br><span>Time: [[order_time]]</span>\r\n            <span class=[[persons_count_class]]><br>Persons : [[Persons_Count]]</span>\r\n			<span><br>Order # [[Bon_Number]]</span>\r\n			<span class=[[table_class]]><br>Table # [[table_name]]</span>\r\n            <br>\r\n			\r\n            <div class=\"row [[added_class]]\">\r\n			<div class=\"\"><p style=\"font-size:12pt;border:1px solid #000;\" >Added</p></div>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_added_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Name]]</td>\r\n                            <td >[[Item_Quantity_Current]]</td>\r\n                        </tr>\r\n						<tr><td colspan=\"2\" style=\"font-size:8px;\">[[TAG]]</tr>\r\n                        [[smc__end_added_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n			<div class=\"row [[deleted_class]]\">\r\n			<div ><p style=\"font-size:12pt;border:0.5px solid #000;\" >Deleted</p></div>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_deleted_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Name]]</td>\r\n                            <td >[[Item_Quantity_Current]]</td>\r\n                        </tr>\r\n                        [[smc__end_deleted_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n\r\n\r\n<br><div ><p style=\"font-size:12pt;border:1px solid #000;\" class=\"[[note_class]]\">[[Invoice_Description]]</p></div>\r\n            </div>\r\n</body>', 1, 1, 'Server pos_deleted_added', 1),
(11, 'pos_deleted_added_linked', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style>\r\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n   .hidden{display:none;}\r\n    #headerDiv span {font-size:10px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n     /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\nmargin:0px 0px;padding:0;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000;font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n/*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\r\n    th,td{\r\n        font-size:10px;text-align:center;}\r\n    .second{display:none;}\r\n	th{\r\n	 border-bottom: 1px solid #000;  }\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <br><span>Time: [[order_time]]</span>\r\n            <span class=[[persons_count_class]]><br>Persons : [[Persons_Count]]</span>\r\n			<span><br>Order # [[Bon_Number]]</span>\r\n			<span class=[[table_class]]><br>Table # [[table_name]]</span>\r\n            <br>\r\n			\r\n            <div class=\"row [[added_class_linked]]\">\r\n			<div class=\"\"><p style=\"font-size:12pt;border:1px solid #000;\" >Added</p></div>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_added_detail_linked]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Name]]</td>\r\n                            <td >[[Item_Quantity_Current]]</td>\r\n                        </tr>\r\n						<tr><td colspan=\"2\" style=\"font-size:8px;\">[[TAG]]</tr>\r\n                        [[smc__end_added_detail_linked]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n			<div class=\"row [[deleted_class_linked]]\">\r\n			<div ><p style=\"font-size:12pt;border:0.5px solid #000;\" >Deleted</p></div>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_deleted_detail_linked]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Name]]</td>\r\n                            <td >[[Item_Quantity_Current]]</td>\r\n                        </tr>\r\n                        [[smc__end_deleted_detail_linked]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n\r\n\r\n<br><div ><p style=\"font-size:12pt;border:1px solid #000;\" class=\"[[note_class]]\">[[Invoice_Description]]</p></div>\r\n            </div>\r\n</body>', 1, 1, 'Server pos_deleted_added_linked', 1),
(12, 'view_invoice_pos', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style>\r\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n.hidden{display:none;}\r\n    #headerDiv span {font-size:20px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n     /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\nmargin:0px 0px;padding:0;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000;font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n/*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\r\n    th,td{\r\n        font-size:20px;text-align:left;}\r\n    .second{display:none;}\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body>\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <br><span>Time: [[smc__print_time]]</span>\r\n            <br><span>Invoice # [[Invoice_ID]]</span>\r\n            <br><hr>\r\n            <div class=\"row\">\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                            <th>Price</th>\r\n                            <th>Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Product_Name]]</td>\r\n                            <td >[[Item_Quantity_Current]]</td>\r\n                            <td >[[Product_Net_Price]]</td>\r\n                            <td >[[Product_Total_Price]]</td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            <hr>\r\n\r\n\r\n            <div class=\"row\" style=\"float:right;margin-right: 40px;\">\r\n                    <table class=\"secondTbl\">\r\n                        <thead>\r\n                            <tr class=\"second\">\r\n                                <th ></th>\r\n                                <th ></th>\r\n                            </tr>\r\n                        </thead>\r\n                        <tbody>\r\n\r\n\r\n\r\n                            <tr>\r\n                                <td>Subtotal</td>\r\n                                <td>[[Invoice_Sub_Total]] [[Currency_Symbol]] </td>\r\n\r\n                            </tr>\r\n                            <tr>\r\n                                <td>Discount</td>\r\n                                <td>[[discount_amount]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n<tr>\r\n<td>Delivery fees</td>\r\n<td>[[Invoice_Shipping]] [[Currency_Symbol]]</td>\r\n</tr>\r\n\r\n                            <tr>\r\n                                <td style=\"font-weight: bold;\">Total </td>\r\n                                <td style=\"font-weight: bold;\">[[grand_total]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n\r\n                        </tbody>\r\n\r\n                    </table>\r\n            </div>\r\n<div style=\"clear:both;\"></div>\r\n            <hr style=\"padding:0;margin:0;\">\r\n            </div>\r\n</body>', 1, 1, 'Server view_invoice_pos', 1),
(13, 'datatable_print_header', '\n    <div class=\"row \" style=\" width: 98%;margin-left: 10px; min-height: 100px;\">\n        <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 40%;\">\n           \n            <div style=\" font-size: 15px; \" > [[organiaztion_name_en]] </div>\n            <div style=\"font-size: 14px;\"> [[org_des_en]]</div>\n            <div style=\"font-size: 14px;\"> [[org_address_en]]</div>\n            <div [[hidden_org_cr_en]]   style=\" font-size: 15px; \">C.R No:  [[org_cr_en]]</div>\n\n           <div hidden [[hidden_org_vat_en]]   style=\" font-size: 15px; \">  VAT No : [[org_vat_en]] </div>\n           <div [[hidden_org_phone_en]]   style=\" font-size: 15px; \"> Phone No: [[org_phone_en]] </div>\n\n        </div>\n        <div class=\"col-xs-4 text-center\" style=\"width: 22%;\">\n            <img  src=\"[[smc__upload_url]]org_logo/invoice_logo.jpg\" onerror=\"this.style.display=\'none\'\" style=\"width: 204px;height: 80px;margin-top: 10px;\">\n        </div>\n        <div class=\"col-xs-4  m-b-10 header-div\" style=\"direction: rtl;width: 38%;\">\n            <div style=\" font-size: 18px; \">[[org__Organization_Name]] </div>\n            <div style=\"font-size: 15px;\">   [[org_des_ar]]  </div>\n            <div style=\"font-size: 15px;\">[[org_address_ar]]</div>\n            <div [[hidden_org__Organization_Commercial_Registry]]  style=\" font-size: 17px; \">   س.ت : [[org__Organization_Commercial_Registry]]</div>\n            <div hidden [[hidden_Organization_vat_num]]   style=\" font-size: 15px; \">    الرقم الضريبي  : [[Organization_vat_num]]</div>\n            <div [[hidden_org__Organization_Phone]]  style=\" font-size: 15px; \">    الجوال  : [[org__Organization_Phone]]</div>\n\n\n\n            \n        </div>\n    </div>\n\n\n<div class=\"col-xs-12\">\n[[msg]]\n</div>\n\n<div class=\"col-xs-4 pull-right\">\n', 1, 1, 'Server datatable_print_header', 1),
(14, 'receipt', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\n<style type=\"text/css\">\n    * {\n        font-size: 19px;\n    }\n    .text {\n                   direction: rtl;\n               }\n               .text:after {\n                   content: \'\\200e\';\n               }\n    .ValSpan {\n        opacity: 0;\n    }\n    \n    .inv-info {\n        font-size: 40px;\n    }\n    \n    .border-div {\n        border: 1px solid #000;\n        border-style: dotted;\n        padding: 8px;\n        border-right: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-tr {\n        border: 1px solid #000;\n        border-style: dotted;\n        padding: 8px;\n        border-bottom: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-td {\n        border: 1px solid #000;\n        border-style: dotted;\n        padding: 8px;\n        border-bottom: 0;\n        border-top: 0;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        border-style: dotted;\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table thead tr th {\n        background: #ddd;\n    }\n    \n    h5 {\n        font-size: 15px !important;\n    }\n    \n    .phone-l {\n        margin-left: 1px !important;\n    }\n    \n    h5 {\n        line-height: 15px !important;\n    }\n    \n    h4 {\n        line-height: 18px !important;\n    }\n    \n    @media print {}\n</style>\n<style>\n    @media print {\n        .no-print {\n            display: none;\n        }\n    }\n    \n    .text-center {\n        text-align: center;\n    }\n    \n    .text-left {\n        text-align: left;\n    }\n    \n    .text-right {\n        text-align: right;\n    }\n    \n    .row:after,\n    .row:before {\n        display: table;\n        content: \" \";\n        clear: both;\n    }\n    \n    .col-xs-3,\n    .col-xs-4,\n    .col-xs-6,\n    .col-xs-8,\n    .col-xs-12 {\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    \n    .col-xs-3 {\n        width: 25%;\n    }\n    \n    .col-xs-4 {\n        width: 33.33333333%;\n    }\n    \n    .col-xs-6 {\n        width: 50%;\n    }\n    \n    .col-xs-8 {\n        width: 66.66666666%;\n    }\n    \n    .col-xs-12 {\n        width: 100%;\n    }\n</style>\n\n<style>\n    .col-xs-5 {\n        width: 41.66666667%;\n    }\n    \n    h4 {\n        font-size: 18px;\n    }\n    \n    h5 {\n        font-size: 15px !important;\n    }\n    \n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight: 300 !important;\n    }\n    \n    body {\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    .pull-right2 {\n        text-align: right;\n    }\n    \n    .pull-right {\n        float: right;\n    }\n    \n    .pull-left {\n        float: left;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        border-style: dotted;\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    \n    .table thead tr th {\n        text-transform: uppercase;\n        font-size: 15px;\n        padding-top: 8px;\n        padding-bottom: 8px;\n        vertical-align: middle;\n    }\n    \n    .table thead tr th {\n        font-weight: 800;\n        font-size: 13px;\n        color: rgba(44, 44, 44, 0.35);\n    }\n    \n    .btn-danger,\n    .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important;\n    }\n    \n    .btn {\n        font-size: 14px;\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none !important;\n        color: #626262;\n        background-color: #ffffff;\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    \n    .btn-success-darker,\n    .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    .height{\n        height: 40px;\n    }\n    \n    @media print {}\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n            <div class=\"row \">\n              \n                <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 41%;\">\n                   \n                    <h4  style=\" font-size: 20px;\">[[organiaztion_name_en]]</h4>\n                        <h4 style=\" font-size: 17px; \" > [[org_des_en]] </h4>\n\n                        <h4 style=\" font-size: 15px;\"[[hidden_org_cr_en]]>C.R No: [[org_cr_en]]</h4>\n                        <h5  style=\" font-size: 15px;\"[[hidden_org_vat_en]]>VAT No : [[org_vat_en]]</h5>\n                        <h5  style=\" font-size: 15px;\"[[hidden_org_phone_en]]> Phone No: [[org_phone_en]]</h5>\n\n                </div>\n                <div class=\"col-xs-4 text-center\" style=\"width: 15%;\">\n                    <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 204px;height: 100px;margin-top: 10px;\">\n                </div>\n                <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 44%;\">\n                   \n                  <div style=\"font-size:25px ; margin-left: 150px;margin-top: 50px;\">\n                    Cash Receipt\n                \n                </div>\n               <div style=\"margin-left: 150px;margin-top: 50px; font-size: 25px;\">[[Payment_ID]]: رقم الايصال</div>\n                \n                    \n                </div>\n\n\n            \n            </div>\n            <br>\n            <br>\n             <div>\n                <input hidden type=\"text\" id=\"chnum\" name=\"ChekNo\" value=\"[[Cheque_Number]]\">\n                <table style=\"border-collapse: collapse;width: 100%;\" border=\"1\">\n                    <tr>[[smc__start_details]]\n                        <td class=\"height\" style=\"width: 50%;\">Amount : [[Payment_Amount]] [[Currency_Symbol]]</td>\n                        <td class=\"height\"  style=\"width: 50%;\">Date : [[Payment_Date]] </td>\n                        \n                    </tr>\n                    <tr>\n                        <td class=\"height\" colspan=\"2\" style=\"text-align: center; box-shadow: inset 100px 100px #ddd ;\"> Method of Payment</td>\n                    </tr>\n                    <tr>\n                        <td class=\"height\">Cash : <span id=\"pay\"> [[Payment_Amount]] [[Currency_Symbol]]</span></td>\n                        <td class=\"height\" >Check Number : [[Cheque_Number]] </td>\n                    </tr>\n                    <script>\n                        var myInput = document.getElementById(\"chnum\");\n                        if (myInput && myInput.value) {\n                            document.getElementById(\"pay\").style.visibility = \"hidden\";\n                            \n                        } \n                    </script>\n                    <tr>\n                        <td class=\"height\" colspan=\"2\"> I Received From : [[Account_Name]] </td>\n                       \n                    </tr>\n                    <tr>\n                        <td class=\"height\" colspan=\"2\"> The sum of : [[Payment_Note]] </td>\n                       \n                    </tr>\n                    <tr>\n                        <td class=\"height\" >Receiver Sign</td>\n                        <td class=\"height\">[[User_Full_Name]]</td>\n                        \n                    </tr>\n                    [[smc__end_details]]\n                </table>\n\n             </div>\n             <br>\n             <p style=\"font-size: 18px; text-align: center;\">    [[print_date]]</p> \n\n\n             <p style=\"font-size: 18px;text-align:center;\">[[org_address_ar]] </p>\n \n \n \n             <p style=\"font-size: 18px;text-align:center;\"> [[org_address_en]]</p>\n \n\n            <!-- <br><br><br><br><br>\n            <div class=\"row \" >\n                \n            </div>\n            <div class=\"col-xs-8 col-md-8 pull-right\">\n                <div class=\"row\" style=\"position: relative;\">\n\n\n                    <div class=\"col-xs-5\">\n                        <h1 class=\"text-center \" style=\"font-size: 18px !important;\">payment voucher / سند دفع  </h1>\n\n                    </div>\n\n\n                </div>\n            </div>\n            <div class=\"col-xs-4  m-b-10 header-div\">\n                <div>\n                    <h1 style=\"margin-left: 40px;\">[[Payment_ID]]: رقم الايصال </h1>\n                </div>\n                <div style=\"direction: rtl;text-align: left;\">التاريخ : [[Payment_Date]]</div>\n\n            </div>\n           \n            <br>\n            <br>\n            <input hidden type=\"text\" id=\"chnum\" name=\"ChekNo\" value=\"[[Cheque_Number]]\">\n            <table border=\"0\" style=\"width: 100%;\">\n                <tr style=\"width: 100%;\">\n                    <td colspan=\"4\" style=\"text-align: center;\"> <span style=\"\">[[Name]]</span>\n                        <hr>\n                    </td>\n\n                    <td style=\"width: 20%;\">/ إستلمت من السيد </td>\n                </tr>\n                <tr>[[smc__start_details]]\n                    <td colspan=\"4\" style=\"text-align: center;\"> <span style=\"text-align: center;\">\n                            [[Payment_Amount]]</span>\n                        <hr>\n                    </td>\n\n                    <td>/ المبلغ و قدره </td>\n\n                </tr>\n                <tr>\n\n\n\n                    <td colspan=\"4\" style=\"text-align: center;\">\n                        <span style=\"text-align: center;\">\n                            [[Cheque_Number]]</span> <span id=\"cash2\">نقدا</span>\n                        <hr>\n                    </td>\n                    <td><span id=\"cash\"> نقدا /</span> <span id=\"check\"> شيك رقمي </span></td>\n                    <script>\n                        var myInput = document.getElementById(\"chnum\");\n                        if (myInput && myInput.value) {\n                            document.getElementById(\"cash\").style.visibility = \"hidden\";\n                            document.getElementById(\"cash2\").remove();\n                        } else {\n                            document.getElementById(\"check\").style.visibility = \"hidden\";\n                            document.getElementById(\"cash\").style.visibility = \"hidden\";\n                        }\n                    </script>\n\n                </tr>\n                <tr>\n                    <td colspan=\"4\" style=\"text-align: center;\"><span style=\"text-align: center;\">[[Payment_Note]]</span>\n                        <hr>\n                    </td>\n\n                    <td>وذلك عن </td>\n                </tr>[[smc__end_details]]\n            </table>\n\n            <table border=\"0\" style=\"width: 100%;\">\n                <tr style=\"width: 100%;\">\n                    <td style=\"width: 50%; text-align: center;\">المستلم </td>\n                    <td style=\"width: 50%; text-align: center;\">أمين الصندوق</td>\n                </tr>\n                <tr style=\"width: 100%;\">\n                </tr>\n                <tr style=\"width: 100%;\">\n                    <td style=\"width: 50%; text-align: center;\">-------------------- </td>\n                    <td style=\"width: 50%; text-align: center;\">--------------------</td>\n                </tr>\n            </table> -->\n\n            <br>\n            <div class=\"col-xs-12\">\n                <div class=\"row\">\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\n                    </div>\n                </div>\n            </div>\n\n           \n            <!-- <p style=\"font-size: 18px; text-align: center;\">    [[print_date]]</p> \n\n\n            <p style=\"font-size: 18px;text-align:center;\">[[org_address_ar]] </p>\n\n\n\n            <p style=\"font-size: 18px;text-align:center;\"> [[org_address_en]]</p> -->\n\n\n\n\n\n\n        </div>\n    </div>\n    <div class=\"row no-print\">\n        <div class=\"col-md-12\">\n            <div class=\"pull-right\">\n                <a style=\"background-color: #f55753; color: white;\" id=\"invoice_print_btn\" class=\"btn btn-primary\" onclick=\"javascript:window.print();javascript:$(\'.print_delv\').removeClass(\'no-print\');\"><i class=\"fa fa-print\" ></i>Print </a>\n\n\n\n                <script>\n                    function show() {\n                        document.getElementById(\"moh\").style.display = \"block\";\n                        document.getElementById(\"rak\").style.display = \"block\";\n                        window.print();\n                    }\n\n                    function hide() {\n\n                        document.getElementById(\"moh\").style.display = \"none\";\n                        document.getElementById(\"rak\").style.display = \"none\";\n                        window.print();\n\n                    }\n                </script>\n\n            </div>\n        </div>\n    </div>\n    <p hidden class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\"> <img src=\"[[qrcode]]\" alt=\"qrcode\" style=\"width: 160px; height: 160px;\"></p>\n\n</div>', 1, 1, 'Server receipt', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(15, 'payment', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\n<style type=\"text/css\">\n    * {\n        font-size: 19px;\n    }\n    .text {\n                   direction: rtl;\n               }\n               .text:after {\n                   content: \'\\200e\';\n               }\n    .ValSpan {\n        opacity: 0;\n    }\n    \n    .inv-info {\n        font-size: 40px;\n    }\n    \n    .border-div {\n        border: 1px solid #000;\n        border-style: dotted;\n        padding: 8px;\n        border-right: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-tr {\n        border: 1px solid #000;\n        border-style: dotted;\n        padding: 8px;\n        border-bottom: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-td {\n        border: 1px solid #000;\n        border-style: dotted;\n        padding: 8px;\n        border-bottom: 0;\n        border-top: 0;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        border-style: dotted;\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table thead tr th {\n        background: #ddd;\n    }\n    \n    h5 {\n        font-size: 15px !important;\n    }\n    \n    .phone-l {\n        margin-left: 1px !important;\n    }\n    \n    h5 {\n        line-height: 15px !important;\n    }\n    \n    h4 {\n        line-height: 18px !important;\n    }\n    \n    @media print {}\n</style>\n<style>\n    @media print {\n        .no-print {\n            display: none;\n        }\n    }\n    \n    .text-center {\n        text-align: center;\n    }\n    \n    .text-left {\n        text-align: left;\n    }\n    \n    .text-right {\n        text-align: right;\n    }\n    \n    .row:after,\n    .row:before {\n        display: table;\n        content: \" \";\n        clear: both;\n    }\n    \n    .col-xs-3,\n    .col-xs-4,\n    .col-xs-6,\n    .col-xs-8,\n    .col-xs-12 {\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    \n    .col-xs-3 {\n        width: 25%;\n    }\n    \n    .col-xs-4 {\n        width: 33.33333333%;\n    }\n    \n    .col-xs-6 {\n        width: 50%;\n    }\n    \n    .col-xs-8 {\n        width: 66.66666666%;\n    }\n    \n    .col-xs-12 {\n        width: 100%;\n    }\n</style>\n\n<style>\n    .col-xs-5 {\n        width: 41.66666667%;\n    }\n    \n    h4 {\n        font-size: 18px;\n    }\n    \n    h5 {\n        font-size: 15px !important;\n    }\n    \n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight: 300 !important;\n    }\n    \n    body {\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    .pull-right2 {\n        text-align: right;\n    }\n    \n    .pull-right {\n        float: right;\n    }\n    \n    .pull-left {\n        float: left;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        border-style: dotted;\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    \n    .table thead tr th {\n        text-transform: uppercase;\n        font-size: 15px;\n        padding-top: 8px;\n        padding-bottom: 8px;\n        vertical-align: middle;\n    }\n    \n    .table thead tr th {\n        font-weight: 800;\n        font-size: 13px;\n        color: rgba(44, 44, 44, 0.35);\n    }\n    \n    .btn-danger,\n    .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important;\n    }\n    \n    .btn {\n        font-size: 14px;\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none !important;\n        color: #626262;\n        background-color: #ffffff;\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    \n    .btn-success-darker,\n    .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    .height{\n        height: 40px;\n    }\n    \n    @media print {}\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n            <div class=\"row \">\n              \n                <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 41%;\">\n                   \n                    <h4  style=\" font-size: 20px;\">[[organiaztion_name_en]]</h4>\n                        <h4 style=\" font-size: 17px; \" > [[org_des_en]] </h4>\n\n                        <h4 style=\" font-size: 15px;\"[[hidden_org_cr_en]]>C.R No: [[org_cr_en]]</h4>\n                        <h5  style=\" font-size: 15px;\"[[hidden_org_vat_en]]>VAT No : [[org_vat_en]]</h5>\n                        <h5  style=\" font-size: 15px;\"[[hidden_org_phone_en]]> Phone No: [[org_phone_en]]</h5>\n\n                </div>\n                <div class=\"col-xs-4 text-center\" style=\"width: 15%;\">\n                    <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 204px;height: 100px;margin-top: 10px;\">\n                </div>\n                <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 44%;\">\n                   \n                  <div style=\"font-size:25px ; margin-left: 150px;margin-top: 50px;\">\n                    payment voucher\n                \n                </div>\n               <div style=\"margin-left: 150px;margin-top: 50px; font-size: 25px;\">[[Payment_ID]]: رقم الايصال</div>\n                \n                    \n                </div>\n\n\n            \n            </div>\n            <br>\n            <br>\n             <div>\n                <input hidden type=\"text\" id=\"chnum\" name=\"ChekNo\" value=\"[[Cheque_Number]]\">\n                <table style=\"border-collapse: collapse;width: 100%;\" border=\"1\">\n                    <tr>[[smc__start_details]]\n                        <td class=\"height\" style=\"width: 50%;\">Amount : [[Payment_Amount]][[Currency_Symbol]]</td>\n                        <td class=\"height\"  style=\"width: 50%;\">Date : [[Payment_Date]] </td>\n                        \n                    </tr>\n                    <tr>\n                        <td class=\"height\" colspan=\"2\" style=\"text-align: center; box-shadow: inset 100px 100px #ddd ;\"> Method of Payment</td>\n                    </tr>\n                    <tr>\n                        <td class=\"height\">Cash : <span id=\"pay\"> [[Payment_Amount]] [[Currency_Symbol]]</span></td>\n                        <td class=\"height\" >Check Number : [[Cheque_Number]] </td>\n                    </tr>\n                    <script>\n                        var myInput = document.getElementById(\"chnum\");\n                        if (myInput && myInput.value) {\n                            document.getElementById(\"pay\").style.visibility = \"hidden\";\n                            \n                        } \n                    </script>\n                    <tr>\n                        <td class=\"height\" colspan=\"2\"> I Received From : [[Account_Name]] </td>\n                       \n                    </tr>\n                    <tr>\n                        <td class=\"height\" colspan=\"2\"> The sum of : [[Payment_Note]] </td>\n                       \n                    </tr>\n                    <tr>\n                        <td class=\"height\" >Receiver Sign</td>\n                        <td class=\"height\">[[User_Full_Name]]</td>\n                        \n                    </tr>\n                    [[smc__end_details]]\n                </table>\n\n             </div>\n             <br>\n             <p style=\"font-size: 18px; text-align: center;\">    [[print_date]]</p> \n\n\n             <p style=\"font-size: 18px;text-align:center;\">[[org_address_ar]] </p>\n \n \n \n             <p style=\"font-size: 18px;text-align:center;\"> [[org_address_en]]</p>\n \n\n            <!-- <br><br><br><br><br>\n            <div class=\"row \" >\n                \n            </div>\n            <div class=\"col-xs-8 col-md-8 pull-right\">\n                <div class=\"row\" style=\"position: relative;\">\n\n\n                    <div class=\"col-xs-5\">\n                        <h1 class=\"text-center \" style=\"font-size: 18px !important;\">payment voucher / سند دفع  </h1>\n\n                    </div>\n\n\n                </div>\n            </div>\n            <div class=\"col-xs-4  m-b-10 header-div\">\n                <div>\n                    <h1 style=\"margin-left: 40px;\">[[Payment_ID]]: رقم الايصال </h1>\n                </div>\n                <div style=\"direction: rtl;text-align: left;\">التاريخ : [[Payment_Date]]</div>\n\n            </div>\n           \n            <br>\n            <br>\n            <input hidden type=\"text\" id=\"chnum\" name=\"ChekNo\" value=\"[[Cheque_Number]]\">\n            <table border=\"0\" style=\"width: 100%;\">\n                <tr style=\"width: 100%;\">\n                    <td colspan=\"4\" style=\"text-align: center;\"> <span style=\"\">[[Name]]</span>\n                        <hr>\n                    </td>\n\n                    <td style=\"width: 20%;\">/ إستلمت من السيد </td>\n                </tr>\n                <tr>[[smc__start_details]]\n                    <td colspan=\"4\" style=\"text-align: center;\"> <span style=\"text-align: center;\">\n                            [[Payment_Amount]]</span>\n                        <hr>\n                    </td>\n\n                    <td>/ المبلغ و قدره </td>\n\n                </tr>\n                <tr>\n\n\n\n                    <td colspan=\"4\" style=\"text-align: center;\">\n                        <span style=\"text-align: center;\">\n                            [[Cheque_Number]]</span> <span id=\"cash2\">نقدا</span>\n                        <hr>\n                    </td>\n                    <td><span id=\"cash\"> نقدا /</span> <span id=\"check\"> شيك رقمي </span></td>\n                    <script>\n                        var myInput = document.getElementById(\"chnum\");\n                        if (myInput && myInput.value) {\n                            document.getElementById(\"cash\").style.visibility = \"hidden\";\n                            document.getElementById(\"cash2\").remove();\n                        } else {\n                            document.getElementById(\"check\").style.visibility = \"hidden\";\n                            document.getElementById(\"cash\").style.visibility = \"hidden\";\n                        }\n                    </script>\n\n                </tr>\n                <tr>\n                    <td colspan=\"4\" style=\"text-align: center;\"><span style=\"text-align: center;\">[[Payment_Note]]</span>\n                        <hr>\n                    </td>\n\n                    <td>وذلك عن </td>\n                </tr>[[smc__end_details]]\n            </table>\n\n            <table border=\"0\" style=\"width: 100%;\">\n                <tr style=\"width: 100%;\">\n                    <td style=\"width: 50%; text-align: center;\">المستلم </td>\n                    <td style=\"width: 50%; text-align: center;\">أمين الصندوق</td>\n                </tr>\n                <tr style=\"width: 100%;\">\n                </tr>\n                <tr style=\"width: 100%;\">\n                    <td style=\"width: 50%; text-align: center;\">-------------------- </td>\n                    <td style=\"width: 50%; text-align: center;\">--------------------</td>\n                </tr>\n            </table> -->\n\n            <br>\n            <div class=\"col-xs-12\">\n                <div class=\"row\">\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\n                    </div>\n                </div>\n            </div>\n\n           \n            <!-- <p style=\"font-size: 18px; text-align: center;\">    [[print_date]]</p> \n\n\n            <p style=\"font-size: 18px;text-align:center;\">[[org_address_ar]] </p>\n\n\n\n            <p style=\"font-size: 18px;text-align:center;\"> [[org_address_en]]</p> -->\n\n\n\n\n\n\n        </div>\n    </div>\n    <div class=\"row no-print\">\n        <div class=\"col-md-12\">\n            <div class=\"pull-right\">\n                <a style=\"background-color: #f55753; color: white;\" id=\"invoice_print_btn\" class=\"btn btn-primary\" onclick=\"javascript:window.print();javascript:$(\'.print_delv\').removeClass(\'no-print\');\"><i class=\"fa fa-print\" ></i>Print </a>\n\n\n\n                <script>\n                    function show() {\n                        document.getElementById(\"moh\").style.display = \"block\";\n                        document.getElementById(\"rak\").style.display = \"block\";\n                        window.print();\n                    }\n\n                    function hide() {\n\n                        document.getElementById(\"moh\").style.display = \"none\";\n                        document.getElementById(\"rak\").style.display = \"none\";\n                        window.print();\n\n                    }\n                </script>\n\n            </div>\n        </div>\n    </div>\n    <p hidden class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\"> <img src=\"[[qrcode]]\" alt=\"qrcode\" style=\"width: 160px; height: 160px;\"></p>\n\n</div>', 1, 1, 'Server payment', 1),
(16, 'purchase', '<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\" />\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\">\n<style type=\"text/css\">\n    .ValSpan {\n        opacity: 0;\n    }\n    \n    .inv-info {\n        font-size: 15px;\n        font-weight: bold;\n    }\n    \n    .border-div {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 10px;\n        border-right: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-tr {\n        border:1px solid #000;\n        /* border-style: dotted; */\n        padding: 12px;\n        border-bottom: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-td {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 10px;\n        border-bottom: 0;\n        border-top: 0;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table tbody tr td {\n        /*line-height:12px;*/\n    }\n    \n    .table thead tr th {\n        /* background: #ddd; */\n    }\n    \n    h5 {\n        font-size: 17px !important;\n    }\n    \n    .phone-l {\n        margin-left: 1px !important;\n    }\n    \n    .font-type-1 {\n        font-size: medium !important;\n    }\n    \n    .font-type {\n        font-size: large !important;\n    }\n    \n    h5 {\n        line-height: 15px !important;\n    }\n    \n    h4 {\n        line-height: 18px !important;\n    }\n    \n    @media print {\n        .table thead tr th {\n            /* background: #ddd; */\n        }\n        h5 {\n            font-size: 14px !important;\n        }\n        /* img {\n            max-width: 50% !important;\n        } */\n        .table tbody tr td {\n            /*line-height:20px;*/\n            font-size: 1em !important;\n        }\n        .phone-l {\n            margin-left: 1px !important;\n        }\n        .font-type-1 {\n            font-size: medium !important;\n        }\n        .font-type {\n            font-size: large !important;\n        }\n        .mytitle {\n            font-size: 2.5em !important;\n        }\n        .footer {\n            bottom: -90px;\n            position: fixed;\n        }\n    }\n</style>\n<style>\n    @media print {\n        .no-print {\n            display: none;\n        }\n    }\n    \n    .text-center {\n        text-align: center;\n    }\n    \n    .text-left {\n        text-align: left;\n    }\n    \n    .text-right {\n        text-align: right;\n    }\n    \n    .row:after,\n    .row:before {\n        display: table;\n        content: \" \";\n        clear: both;\n    }\n    \n    .col-xs-3,\n    .col-xs-4,\n    .col-xs-6,\n    .col-xs-8,\n    .col-xs-12 {\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    \n    .col-xs-3 {\n        width: 25%;\n    }\n    \n    .col-xs-4 {\n        width: 33.33333333%;\n    }\n    \n    .col-xs-6 {\n        width: 50%;\n    }\n    \n    .col-xs-8 {\n        width: 66.66666666%;\n    }\n    \n    .col-xs-12 {\n        width: 100%;\n    }\n</style>\n<style>\n    .col-xs-5 {\n        width: 41.66666667%;\n    }\n    \n    h4 {\n        font-size: 23px;\n    }\n    \n    h5 {\n        font-size: 17px !important;\n    }\n    \n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight: 300!important;\n    }\n    \n    body {\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    .pull-right {\n        float: right;\n    }\n    \n    .pull-left {\n        float: left;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    \n    .table thead tr th {\n        text-transform: uppercase;\n        font-size: 13px;\n        padding-top: 8px;\n        padding-bottom: 8px;\n        vertical-align: middle;\n    }\n    \n    .table thead tr th {\n        font-weight: 600;\n        /* color: rgba(44, 44, 44, 0.35); */\n    }\n    \n    .btn-danger,\n    .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important;\n    }\n    \n    .btn {\n        font-size: 14px;\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none!important;\n        color: #626262;\n        background-color: #ffffff;\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    \n    .btn-success-darker,\n    .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    \n    @media print {\n        .invoice h1 {\n            font-size: 22px!important;\n        }\n        .total-purchase,\n        .amount {\n            /*display:none !important;*/\n        }\n        .invoice,\n        .table tbody tr td,\n        .table thead tr th {\n            font-size: 10px !important;\n        }\n        .font-type {\n            font-size: 12px !important;\n        }\n        .table thead tr th {\n            /* background-color: white!important; */\n            color: black!important;\n        }\n        .header-div {\n            font-size: 13px;\n        }\n    }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n           <div class=\"row\">\n            <div class=\"col-xs-4  m-b-10\" style=\"width: 30%; height: 250px; \">\n                <img  src=\"[[smc__upload_url]][[org_logo]]\"  onerror=\"this.style.display=\'none\'\" style=\"width: 204px;height: 100px;\" />\n                <div style=\"margin-top: 20px;font-size: 17px;\">   [[organiaztion_name_en]]</div>\n                <div style=\"font-size: 15px;\">[[org_des_en]] </div>\n                \n\n            </div>\n            <div class=\"col-xs-4  m-b-10\" style=\"width: 25%;height: 250px;\">\n            \n                \n            </div>\n            <div class=\"col-xs-4  m-b-10\" style=\"width: 45%;height: 250px;\">\n                <div style=\"font-size: 30px;font-weight: bold; margin-left: 50px;\"> PURCHASE INVOICE</div>\n               <div style=\"margin-top: 20px; margin-left: 50px;\">\n                <div style=\"font-size: 20px;\"> Invoice # [[Purchase_ID_number]]</div>\n                        <div style=\"font-size: 20px;\">Date: [[Date]]</div>\n                        <div style=\"font-size: 20px;\">Due Date:[[Due_Date]]</div>\n                        <div style=\"font-size: 20px;\" class=\"print_delv\">Currency: [[Currency_Name]]</div>\n                    </div>\n\n            </div>\n\n           </div>\n          <br>\n\n          <div style=\"display: flex; justify-content: space-between;\">\n            <div style=\"width: 50%;\">\n                <table style=\"width: 80%;\">\n                    <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                       <tr>\n                           <td>&nbsp;&nbsp; ORGANIZATION</td>\n                       </tr>\n                    </thead>\n                    <tbody>\n                        <tr>\n                            <td>C.R No: [[org_cr_en]]</td>\n                        </tr>\n                        <tr>\n                            <td>VAT No : [[org_vat_en]]</td>\n                        </tr>\n                        <tr>\n                            <td> Phone No: [[org_phone_en]]</td>\n                        </tr>\n                        <tr>\n                            <td> Address : [[org_address_en]]</td>\n                        </tr>\n                    </tbody>\n\n                </table>\n\n            </div>\n            <div style=\"width: 50%;\">\n                <table style=\"width: 80%;margin-left: 100px;\">\n                    <thead style=\"box-shadow: inset 100px 100px #ddd; \">\n                      <tr>\n                          <td>&nbsp;&nbsp; SUPPLIER</td>\n                      </tr>\n                    </thead>\n                    <tbody>\n                        <tr>\n                            <td>Name: [[Name]]</td>\n                        </tr>\n                        <tr>\n                            <td>\n                                Address: [[Country_Name]] - [[Address]]\n                            </td>\n                        </tr>\n                        <tr>\n                            <td>\n                                Phone:[[Phone]]\n                            </td>\n                        </tr>\n                    </tbody>\n\n                </table>\n\n            </div>\n\n          </div>\n          <br>\n          <div>\n            <table class=\"table  border-table\">\n                <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                    <tr class=\"border-div\">\n                        <th class=\"border-td text-center\" style=\"width: 16.5%; \">No. <br> الرقم</th>\n                        <th class=\"border-tr text-center\" style=\"width: 23%;\">Item <br> المنتج </th>\n                        <th class=\"border-tr text-center\" style=\"width: 16.5%;\">Qty <br> الكمية</th>\n                        <th class=\"border-tr print_delv text-center\" style=\"width: 16.5%;\">Price <br> السعر </th>\n                        <th class=\"border-tr print_delv text-center\" style=\"width: 16.5%;\">Discount <br> الخصم</th>\n                        <th class=\"border-tr print_delv text-center\" style=\"width: 16.5%;\">Total <br> الاجمالي</th>\n                    </tr>\n                </thead>\n                <tbody>\n                    [[smc__start_inv_detail]]\n                    <tr>\n                        <td class=\" border-td text-center\">[[Count]]</td>\n                        <td class=\"border-tr text-center\">[[Product_Name]]</td>\n                        <td class=\"border-tr text-center\">[[Item_Quantity_Current]] </td>\n                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]] [[UOM_Name]]</span></td>\n                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Discount]] %</span></td>\n                        <td style=\"box-shadow: inset 100px 100px #ddd;\" class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\n                    </tr>\n                    [[smc__end_inv_detail]]\n                </tbody>\n            </table>\n          </div>\n          <br>\n          <div style=\"display: flex; justify-content: space-between;\">\n            <div style=\"width: 50%;\">\n                <img hidden src=\"[[qrcode]]\" alt=\"qrcode\" style=\"width: 160px; height: 160px;\">\n              <div style=\"font-size: 20px;margin-left: 70px;\">  [[grand_total_word_en]]</div>\n                <br>\n               <div style=\"font-size: 20px;margin-left: 70px;\"> [[grand_total_word_ar]] </div>\n\n            </div>\n      \n                  \n                \n           \n            <div style=\"width: 50%;\">\n                <table style=\"width: 80%; border-collapse: collapse; float: right;\" border=\"1\">\n                    <tr>\n                        <td style=\"width: 50%;\">\n                            Subtotal \n                        </td>\n                        <td style=\"width: 50%;\">\n                            [[Invoice_Sub_Total]]\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            VAT [[smc__system_vat_percent]] %\n                        </td>\n                        <td>\n                            [[Invoice_VAT]]\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            Discount\n                        </td>\n                        <td>\n                            [[Invoice_Discount]]\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            Total Paid \n                        </td>\n                        <td>\n                            [[Invoice_Paid_Amount]]\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            Grand Total\n                        </td>\n                        <td style=\"box-shadow: inset 100px 100px #ddd;\">\n                            [[Invoice_Net_Total]]\n                        </td>\n                    </tr>\n                </table>\n\n            </div>\n\n\n          </div>\n\n          </div>\n          \n        \n          \n          \n               \n            <div class=\"col-xs-12\">\n                <div class=\"row\">\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\n                    </div>\n                </div>\n            </div>\n            <div class=\"row no-print\">\n                <div class=\"col-md-12\">\n                    <div class=\"pull-right\">\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\n                    </div>\n\n                </div>\n            </div>\n        </div>\n    </div>\n   \n</div>', 1, 1, 'Server purchase', 1),
(17, 'expense', '<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> \r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n        font-weight: bold;\r\n    }\r\n    .border-div{\r\n        border: 2px solid #000;\r\n        border-style: dotted;\r\n        padding: 10px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 2px solid #000;\r\n        border-style: dotted;\r\n        padding: 12px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 2px solid #000;\r\n        border-style: dotted;\r\n        padding: 10px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 2px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n    .font-type-1{\r\n        font-size:medium !important;\r\n    }\r\n    .font-type{\r\n        font-size:large !important;\r\n    }\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }.font-type-1{\r\n            font-size:medium !important;\r\n        }\r\n        .font-type{\r\n            font-size:large !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n\r\n\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n\r\n            <div class=\"row \">\r\n                 <div class=\"col-xs-4  m-b-10\">\r\n                    <h4 >[[org__Organization_Name]]</h4>\r\n                    <h4 class=\"phone-l\">[[org__Organization_Phone]]</h4>\r\n\r\n                    <h5>[[org__Name]]-[[org__Organization_Province]]</h5>\r\n                    <h4 class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</h4>\r\n                    <h4 class=\"phone-l\">E-mail: [[org__Organization_Email]]</h4>\r\n                </div>\r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n                <div class=\"col-xs-4  m-b-10\">\r\n                    <h4 class=\"text-right\">[[org__Organization_Legal_Name]]</h4>\r\n                    <h4 class=\"text-right\">[[org__Organization_Phone]]</h4>\r\n                    <h5 class=\"text-right\"> [[org__Organization_Street]]</h5>\r\n                    <h4 class=\"text-right\">  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</h4>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Expenditure</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-6 font-type \">\r\n                        [[Name]]\r\n                        <br/>Address : [[Country_Name]] - [[Address]]\r\n                        <br/>Phone : [[Phone]]\r\n\r\n\r\n\r\n                    </div>\r\n\r\n                    <div class=\"col-xs-6 font-type\">\r\n                        <div> Expense #&nbsp;[[expense_nb]]</div>\r\n                        <div >Supplier Invoice # [[supplier_inv_id]]</div>\r\n                        <div>Date :&nbsp;[[Expense_Date]]</div>\r\n                        <div>Due Date :&nbsp;[[Expense_DueDate]]</div>\r\n                        <div class=\"print_delv\">Currency :&nbsp;[[Currency_Name]]</div>\r\n                    </div>\r\n\r\n                </div>\r\n\r\n\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-div\">\r\n                            <th class=\"border-td text-center\">No.</th>\r\n                            <th  class=\"border-tr text-center\">Name</th>\r\n                            <th class=\"border-tr text-center\">Qty</th>\r\n                            <th class=\"border-tr text-center\" >Desc</th>\r\n                            <th class=\"border-tr print_delv text-center\">Cost</th>\r\n                            <th class=\"border-tr print_delv text-center\" >VAT</th>\r\n                            <th class=\"border-tr print_delv text-center\">Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                       [[smc__start_details]]\r\n                            <tr>\r\n                                <td class=\" border-td text-center\">[[count]]</td>\r\n                                <td  class=\"border-tr text-center\">[[Account_Name]]</td>\r\n                                <td  class=\"border-tr text-center\">[[quantity]]</td>\r\n                                <td  class=\"border-tr text-center\">[[description]]</td>\r\n                                <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[unit_price]]</span></td>\r\n                                <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[vat_amount]]</span></td>\r\n                                <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\r\n                            </tr>\r\n                       [[smc__end_details]]\r\n                    </tbody>\r\n                </table>\r\n\r\n                <div class=\"row\">\r\n\r\n                    <div class=\"col-xs-3 \">\r\n\r\n\r\n                    </div>\r\n                    <div class=\"col-xs-4 font-type  pull-right print_delv\">\r\n                        <div class=\"col-xs-6\"><span>Subtotal</span>:&nbsp;</div>[[Expense_Total_Price]]<br/>\r\n                        <div class=\"col-xs-6\"><span>VAT ([[smc__system_vat_percent]] %)</span>:&nbsp;</div>[[Expense_VAT]]<br/>\r\n                        <div class=\"col-xs-6 \"><span><strong>GRAND TOTAL</span>:</strong>&nbsp;</div><strong>[[expense_total_with_vat]]</strong>\r\n                    </div>\r\n\r\n                </div>\r\n\r\n\r\n            </div>\r\n            <br>\r\n\r\n\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server expense', 1),
(18, 'barcode_multi', '<html> \r\n    <body  onload=\"window.print()\">\r\n\r\n        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n        <style >\r\n            body{margin:0;padding:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;font-size:9px;line-height:1;font-weight:bold;}\r\n            @page  \r\n            {\r\n                margin: 0.82cm 0.8cm;  \r\n            } \r\n            .barcode-container{\r\n                width:4.84cm;\r\n                height:2.54cm;\r\nbox-sizing: border-box;\r\n                float:left;\r\npadding:10px 5px 0px;\r\n            }\r\n        </style>\r\n         [[smc__start_barcode]]\r\n        <div class=\'barcode-container\'>\r\n            \r\n            <div style=\'width:100%\'>\r\n                <div style=\'text-align:left;float:left;width:50%;\' >\r\n                    [[Name]]\r\n                </div>\r\n                <div style=\'text-align:right;float:right;width:50%;\'>\r\n                    [[price]]\r\n                </div>\r\n                <div style=\'clear:both;\'></div>\r\n            </div>\r\n            <div style=\'display:block;text-align:center;margin-top:2px;\'>[[barcode]]</div>\r\n            <div style=\'text-align:center;letter-spacing: 6px;font-size:6px;font-weight:bold;\'>[[Code]]</div>\r\n            <div style=\'text-align:center;margin-top:2px;width:100%;overflow:hidden;text-overflow: ellipsis;white-space:nowrap;\'>[[Desc]]</div>\r\n        </div>\r\n          [[smc__end_barcode]]\r\n<div style=\"clear:both;\"></div>\r\n    </body>\r\n</html>', 1, 1, 'Server barcode_multi', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(19, 'naser_invoice', '\r\n<!doctype html>\r\n<html>\r\n    <style>\r\n\r\n        /*  \r\n         @page:first {\r\n           margin-top:3cm;\r\n         }\r\n         @page:last {\r\n           margin-bottom: 0cm;\r\n         }\r\n         @page{\r\n             size: A5 landscape;\r\n             margin: 6.8cm 0 4cm;\r\n                 } \r\n        */\r\n        @page{\r\n            size:21cm 17cm;\r\n            margin:3cm 0 0.5cm;\r\n            /*counter-increment: page;\r\n            @bottom-right{\r\n                content: \"Page \" counter(page) \" of \" counter(pages);\r\n            }*/\r\n        }\r\n        .real_header, .faked_header{\r\n            display:block;\r\n            width:100%;\r\n            height:3.6cm;\r\n            margin-bottom: 0.5cm;\r\n            line-height:35px;\r\n            /*border:1px solid black;*/\r\n        }\r\n        .real_footer, .faked_footer{\r\n            width:100%;\r\n            margin-top:0.2cm;\r\n            height:4cm;\r\n           /* border:1px solid blue;*/\r\n\r\n        }\r\n        /*.faked_header,.faked_footer{border-style: dashed; border-color:green;}*/\r\n        thead{\r\n            display:table-header-group;/*repeat table headers on each page*/\r\n        }\r\n        tfoot{\r\n            display:table-footer-group;/*repeat table footers on each page*/\r\n        }\r\n        html,body{height:100%;margin:0;padding:0;position:relative;width:100%;}\r\n        body, .table tbody tr td{\r\n            font-size: 18px;\r\n            font-family: arial !important;\r\n        }\r\n        .table tbody tr td{\r\n            padding:3px 8px;\r\n            line-height: 0.9;\r\n            page-break-inside:avoid;\r\n            page-break-after:auto ;\r\n        }\r\n\r\n    </style>\r\n\r\n\r\n    <style>\r\n        @media print{\r\n            .no-print{display:none;}\r\n        }\r\n        .text-center{text-align:center;}\r\n        .text-left{text-align:left;}\r\n        .row:after, .row:before {\r\n            display: table;\r\n            content: \" \";\r\n            clear:both;\r\n        }\r\n      /*  tbody tr:first-child td{border:2px solid black;}*/\r\n        .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n            float: left;\r\n            position: relative;\r\n            min-height: 1px;\r\n            padding-right: 15px;\r\n            padding-left: 15px;\r\n            -moz-box-sizing: border-box;\r\n            box-sizing: border-box;\r\n        }\r\n        .col-xs-3{width:25%;}\r\n        .col-xs-4{width:33.33333333%;}\r\n        .col-xs-6{width:50%;}\r\n        .col-xs-8{width:66.66666666%;}\r\n        .col-xs-12{width:100%;}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-family: Arial,sans-serif;\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n.pull-right{float:right;}\r\n@media screen{\r\nbody{margin-top:20px;}\r\n.real_header,.real_footer{position:relative!important;}\r\n}\r\n    </style>\r\n    <body>\r\n<!--        <div class=\"real_header\" style=\"position:absolute;top:0px;overflow:hidden;\">\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-6 font-type \">\r\n\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Name]]</span></div>\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Country_Name]] -  [[Address]]</span></div>\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Mobile]] - [[Phone]] </span></div>\r\n\r\n                </div>\r\n                <div class=\"col-xs-6 font-type\" style=\"text-align:left;margin-top: -8px;padding-left:340px;\">\r\n                    <div class=\"col-xs-12\"><span>[[invoice_prefix]] [[Invoice_ID]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Invoice_Date]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Invoice_Due_Date]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Currency_Name]]</span></div>\r\n\r\n                </div>\r\n                <br>\r\n            </div>\r\n        </div>-->\r\n\r\n        <div style=\'width:943px/*19.1cm*/;padding:5px 53px 0 57px;/*border:1px solid red;*/\'>\r\n\r\n            <table  class=\"table \" style=\"table-layout:fixed;width:100%/*19.1cm*/;margin:12px auto 0;height:auto;\" border=\"0\">\r\n                <colgroup>\r\n                 \r\n                    <col width=\"98px\" />\r\n                    <col width=\"98px\" />\r\n                    <col width=\"170px\" />\r\n                    <col width=\"275px\" />\r\n                    <col width=\"102px\" />\r\n                    <col width=\"90px\" />\r\n                    <col width=\"110px\" />\r\n                </colgroup>\r\n                <thead>\r\n                    <tr>\r\n                        <td colspan=\"7\">\r\n                            <div class=\"faked_header\">\r\n                                <div class=\"row\">\r\n                <div class=\"col-xs-6 font-type \">\r\n\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Name]]</span></div>\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Country_Name]] -  [[Address]]</span></div>\r\n                    <div  class=\"col-xs-3\"><span></span></div><div class=\"col-xs-8\"><span>&nbsp;[[Mobile]] - [[Phone]] </span></div>\r\n\r\n                </div>\r\n                <div class=\"col-xs-6 font-type\" style=\"text-align:left;margin-top: -8px;padding-left:340px;\">\r\n                    <div class=\"col-xs-12\"><span>[[invoice_prefix]] [[Invoice_ID]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Invoice_Date]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Invoice_Due_Date]]</span></div>\r\n                    <div class=\"col-xs-12\"><span>&nbsp;[[Currency_Name]]</span></div>\r\n\r\n                </div>\r\n                <br>\r\n            </div>\r\n                            </div>\r\n                        </td>\r\n                    </tr>\r\n                    <tr class=\"border-div no-print\">\r\n                        <th class=\" text-center\">No.</th>\r\n                        <th   class=\"text-center\">Code</th>\r\n                        <th  class=\" text-center\">Quantity</th>\r\n                        <th  class=\" text-center\">Item</th>\r\n                        <th  class=\" print_delv text-center\">price</th>\r\n                        <th  class=\" print_delv text-center\">disc.</th>\r\n                        <th  class=\" print_delv text-center\">total</th>\r\n                    </tr>\r\n                </thead>\r\n                <tbody>\r\n    [[smc__start_inv_detail]]\r\n                <tr>\r\n                    <td class=\"text-center\">[[Count]]</td>\r\n                    <td  class=\"text-left\">[[Code]]</td>\r\n                    <td  class=\"text-left\">[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                    <td  class=\"text-left\">[[Product_Name]]</td>\r\n                    <td class=\"text-left\">[[Product_Net_Price]]</td>\r\n                    <td class=\"text-left\">[[Product_Discount]] %</td>\r\n                    <td class=\"text-left\">[[total_with_vat]]</td>\r\n                </tr>\r\n                [[smc__end_inv_detail]]\r\n                    \r\n\r\n\r\n\r\n                </tbody>\r\n                <tfoot>\r\n                    <tr>\r\n                        <td colspan=\"7\">\r\n                            <div class=\"faked_footer\">\r\n                                <div class=\"row\">\r\n                <div class=\"col-xs-4\"  style=\"padding-left:70px !important;margin-top: 7px;line-height: 15px;\">\r\n\r\n                    <div class=\"col-xs-6 \"><span></span></div>&nbsp;[[previous_balance]]<br/><br/>\r\n                    <div class=\"col-xs-6 \"><span></span></div>[[current_balance]]<br/>\r\n                    <div class=\"col-xs-6 \"><span><strong></strong></span></div><br/>\r\n                    <div class=\"col-xs-6 \"><span><strong></strong></span></div>\r\n\r\n                </div>\r\n                <div class=\"col-xs-4 \">\r\n                </div>\r\n                <div class=\"col-xs-4\" style=\"padding-left:20px !important;line-height: 28px;\">\r\n                    <div class=\"col-xs-6\"><span></span>&nbsp;</div>[[Invoice_Sub_Total]]<br/>\r\n                    <div class=\"col-xs-6\"><span></span>&nbsp;</div>[[Invoice_VAT]]<br/>\r\n                    <div class=\"col-xs-6 \"><span></span>&nbsp;</div>[[Invoice_Discount]]<br/>\r\n                    <div class=\"col-xs-6 \"><span></span>&nbsp;</div><strong>[[Invoice_Net_Total]]</strong>\r\n                </div>\r\n\r\n            </div>\r\n                            </div>\r\n                        </td>\r\n                    </tr>\r\n                </tfoot>\r\n            </table>\r\n        </div>\r\n        <!--<br>\r\n               <div class=\"col-xs-12\">\r\n                   <div class=\"row\">\r\n                       <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                       </div>\r\n                   </div>\r\n               </div>-->\r\n        <div class=\"row no-print\">\r\n            <div class=\"col-md-12\">\r\n                <div class=\"pull-right\">\r\n                    <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                    <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n\r\n\r\n<!--        <div class=\"real_footer\" style=\"position:absolute;bottom:0;overflow:hidden;\">\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-4\"  style=\"padding-left:70px !important;margin-top: 7px;line-height: 15px;\">\r\n\r\n                    <div class=\"col-xs-6 \"><span></span></div>&nbsp;[[previous_balance]]<br/><br/>\r\n                    <div class=\"col-xs-6 \"><span></span></div>[[current_balance]]<br/>\r\n                    <div class=\"col-xs-6 \"><span><strong></strong></span></div><br/>\r\n                    <div class=\"col-xs-6 \"><span><strong></strong></span></div>\r\n\r\n                </div>\r\n                <div class=\"col-xs-4 \">\r\n                </div>\r\n                <div class=\"col-xs-4\" style=\"padding-left:20px !important;line-height: 28px;\">\r\n                    <div class=\"col-xs-6\"><span></span>&nbsp;</div>[[Invoice_Sub_Total]]<br/>\r\n                    <div class=\"col-xs-6\"><span></span>&nbsp;</div>[[Invoice_VAT]]<br/>\r\n                    <div class=\"col-xs-6 \"><span></span>&nbsp;</div>[[Invoice_Discount]]<br/>\r\n                    <div class=\"col-xs-6 \"><span></span>&nbsp;</div><strong>[[Invoice_Net_Total]]</strong>\r\n                </div>\r\n\r\n            </div>\r\n        </div>-->\r\n    </body>\r\n</html>', 1, 1, 'Server naser_invoice', 1),
(20, 'pos_customer_invoices', '\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style> \r\nbody{margin:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n@page  \r\n{ \r\n    margin: 0px 12px 0mm 0px;  \r\n} \r\n.secondTbl td{white-space:nowrap;}\r\n.hidden{display:none;}\r\n    #headerDiv span {font-size:10px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n     /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\nmargin:0px 0px;padding:0;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000;font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n/*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\r\n    th,td{\r\n        font-size:8px;text-align:left;}\r\n    .second{display:none;}\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <h3>[[org__Organization_Name]]</h3>\r\n            <span>[[org__Organization_Street]] </span>\r\n            <span>[[org__Organization_Phone]]</span>\r\n            <br><span>Time: [[smc__print_time]]</span>\r\n <br><span>[[Name]] / [[Mobile]]</span>\r\n <br><span> [[Address]]</span>\r\n            <br><hr>\r\n            <div class=\"row\">\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Invoice</th>\r\n                            <th>Date</th>\r\n                            <th>Total</th>\r\n                            <th>Paid</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\">[[invoice_nb]]</td>\r\n                            <td >[[Invoice_Date]]</td>\r\n                            <td >[[Invoice_Net_Total]]</td>\r\n                            <td >[[paid_amount]]</td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            <hr>\r\n\r\n\r\n            <div class=\"row\" style=\"float:right;\">\r\n                    <table class=\"secondTbl\">\r\n                        <thead>\r\n                            <tr class=\"second\">\r\n                                <th ></th>\r\n                                <th ></th>\r\n                            </tr>\r\n                        </thead>\r\n                        <tbody>\r\n\r\n\r\n\r\n                            <tr>\r\n                                <td style=\"font-weight: bold;\">Total</td>\r\n                                <td style=\"font-weight: bold;\">[[total]]  </td>\r\n\r\n                            </tr>\r\n                            <tr>\r\n                                <td style=\"font-weight: bold;\">Total Paid</td>\r\n                                <td style=\"font-weight: bold;\">[[total_paid]]  </td>\r\n                            </tr>\r\n<tr>\r\n                                <td style=\"font-weight: bold;\">Total Unpaid</td>\r\n                                <td style=\"font-weight: bold;\">[[total_unpaid]]  </td>\r\n                            </tr>\r\n          \r\n\r\n                        </tbody>\r\n\r\n                    </table>\r\n            </div>\r\n<div style=\"clear:both;\"></div>\r\n            <hr style=\"padding:0;margin:0;\">\r\n\r\n  \r\n              \r\n            </div>\r\n</body>', 1, 1, 'Server pos_customer_invoices', 1),
(21, 'pos_customer_ledger', '\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style>\r\nbody{margin:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n@page  \r\n{ \r\n    margin: 0px 12px 0mm 0px;  \r\n} \r\n.secondTbl td{white-space:nowrap;}\r\n.hidden{display:none;}\r\n    #headerDiv span {font-size:10px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n     /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\nmargin:0px 0px;padding:0;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000;font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n/*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\r\n    th,td{\r\n        font-size:10px;text-align:left;}\r\n    .second{display:none;}\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <h3>[[org__Organization_Name]]</h3>\r\n            <span>[[org__Organization_Street]] </span>\r\n            <span>[[org__Organization_Phone]]</span>\r\n            <br><span>Time: [[smc__print_time]]</span>\r\n <br><span>[[Name]] / [[Mobile]]</span>\r\n <br><span> [[Address]]</span>\r\n            <br><hr>\r\n            <div class=\"row\">\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Type</th>\r\n                            <th>invoice #</th>\r\n                            <th>Date</th>\r\n                            <th>Amount</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\">[[main_type]]</td>\r\n                            <td >[[main_nb]]</td>\r\n                            <td >[[Transaction_Date]]</td>\r\n                            <td >[[Transaction_Amount]]</td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            <hr>\r\n\r\n\r\n            <div class=\"row\" style=\"float:right;\">\r\n                    <table class=\"secondTbl\">\r\n                        <thead>\r\n                            <tr class=\"second\">\r\n                                <th ></th>\r\n                                <th ></th>\r\n                            </tr>\r\n                        </thead>\r\n                        <tbody>\r\n\r\n\r\n\r\n                            <tr>\r\n                                <td style=\"font-weight: bold;\">Balance</td>\r\n                                <td style=\"font-weight: bold;\">[[balance]]  </td>\r\n\r\n                            </tr>\r\n                       \r\n          \r\n\r\n                        </tbody>\r\n\r\n                    </table>\r\n            </div>\r\n<div style=\"clear:both;\"></div>\r\n            <hr style=\"padding:0;margin:0;\">\r\n\r\n  \r\n              \r\n            </div>\r\n</body>', 1, 1, 'Server pos_customer_ledger', 1),
(22, 'customer_qrcode', '<html>\r\n\r\n<body onload=\"window.print()\">\r\n\r\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n    <style>\r\n        body {\r\n            margin: 0;\r\n            padding: 0;\r\n            font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\r\n            font-size: 9px;\r\n            line-height: 1;\r\n            font-weight: bold;\r\n        }\r\n        \r\n        @page {\r\n            margin: 5px 5px 0px 12px;\r\n        }\r\n        \r\n        #over img {\r\n            margin-left: auto;\r\n            margin-right: auto;\r\n            display: block;\r\n        }\r\n    </style>\r\n    <div style=\'width:100%\'>\r\n        <img style=\"max-width:100%;width:400px;\" src=\"[[qrcode]]\" alt=\"\" />\r\n    </div>\r\n\r\n    <br>\r\n    <div id=\"over\">\r\n        <img style=\"max-width:100%;width:200px;\" src=\"[[barcode]]\" alt=\"\" />\r\n    </div>\r\n    <div id=\"over\">\r\n        <h1 style=\"text-align: center;\">[[full_name]]</h1>\r\n    </div>\r\n</body>\r\n\r\n</html>', 1, 1, 'Server customer_qrcode', 1),
(23, 'act_invoice', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\n<style type=\"text/css\">\n    * {\n        font-size: 19px;\n        /* border: 1px solid red; */\n    }\n    .text {\n                   direction: rtl;\n               }\n               .text:after {\n                   content: \'\\200e\';\n               }\n    .ValSpan {\n        opacity: 0;\n    }\n    \n    .inv-info {\n        font-size: 40px;\n    }\n    \n    .border-div {\n        /* border: 1px solid #000; */\n        padding: 8px;\n        border-right: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .tbodyTD:not(:first-child) {\n        border-right: 1px solid black;\n    }\n    \n    .border-tr {\n        /* border: 1px solid #000;   */\n        padding: 8px;\n        border-bottom: 0;\n        border-left: 0;\n        border-top: 0;\n        height: 50px;\n        letter-spacing: 2px;\n        border-right: 1px solid black;\n    }\n    \n    .border-td {\n        /* border: 1px solid #000; */\n        padding: 8px;\n        border-bottom: 0;\n        border-top: 0;\n    }\n    \n    .border-table {\n        /* border: 1px solid #000; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table thead tr th {\n        /* background: #ddd; */\n    }\n    \n    h5 {\n        font-size: 17px !important;\n    }\n    \n    .phone-l {\n        margin-left: 1px !important;\n    }\n    \n    h5 {\n        line-height: 15px !important;\n    }\n    \n    h4 {\n        line-height: 18px !important;\n    }\n    \n    @media print {}\n</style>\n<style>\n    @media print {\n        .no-print {\n            display: none;\n        }\n    }\n    \n    .text-center {\n        text-align: center;\n    }\n    \n    .text-left {\n        text-align: left;\n    }\n    \n    .text-right {\n        text-align: right;\n    }\n    \n    .row:after,\n    .row:before {\n        display: table;\n        content: \" \";\n        clear: both;\n    }\n    \n    .col-xs-3,\n    .col-xs-4,\n    .col-xs-6,\n    .col-xs-8,\n    .col-xs-12 {\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    \n    .col-xs-3 {\n        width: 25%;\n    }\n    \n    .col-xs-4 {\n        width: 33.33333333%;\n    }\n    \n    .col-xs-6 {\n        width: 50%;\n    }\n    \n    .col-xs-8 {\n        width: 66.66666666%;\n    }\n    \n    .col-xs-12 {\n        width: 100%;\n    }\n</style>\n\n<style>\n    .col-xs-5 {\n        width: 41.66666667%;\n    }\n    \n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight: 300!important;\n    }\n    \n    body {\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    .pull-right {\n        float: right;\n    }\n    \n    .pull-left {\n        float: left;\n    }\n    \n    .border-table {\n        /* border: 1px solid #000; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    \n    .btn-danger,\n    .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important;\n    }\n    \n    .btn {\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none!important;\n        color: #626262;\n        background-color: #ffffff;\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    \n    .btn-success-darker,\n    .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    \n    @media print {}\n    \n    .bottom {\n        position: absolute;\n        bottom: 0;\n        width: 99%;\n        padding: 15px 0;\n    }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n       <div class=\"panel-body\">\n          <div class=\"row\" style=\"box-shadow: inset 100px 150px #ddd; height: 130px;\" >\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n             <div>\n              <div>  <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 204px;height: 80px;margin-top: 5px;\">  </div> \n               <div style=\"margin-left: 5px; font-size: 20px;\">[[organiaztion_name_en]]</div>\n              <div style=\"margin-top: 5px; font-size: 15px;\">[[org_des_en]]</div>\n\n             </div>\n            \n            </div>\n            <!-- <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 30%;\">\n            <div style=\" margin-top: 40px;font-size: 20px !important;\">[[organiaztion_name_en]]</div>\n            </div> -->\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n                <div style=\" font-size: 30px !important;margin-left: 70px;margin-top: 50px; \">  <span [[hidden_org_vat_en]] style=\"font-size: 30px;\">Tax</span> Invoice /  فاتورة ضريبية</div>\n            \n            </div>\n\n          </div>\n         \n          <div class=\"row\" style=\"box-shadow: inset 100px 150px #ddd; height: 120px; margin-top: 5px;\" >\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n                <div hidden style=\" font-size: 20px; \" > [[organiaztion_name_en]] </div>\n                <div hidden style=\" font-size: 17px; \" > [[org_des_en]] </div>\n                <div   style=\" font-size: 15px;margin-top: 10px; \">Address : [[org_address_en]]</div>\n                <div [[hidden_org_cr_en]]   style=\" font-size: 15px; \">C.R No:  [[org_cr_en]]</div>\n\n               <div  [[hidden_org_vat_en]]   style=\" font-size: 15px; \">  VAT No : [[org_vat_en]] </div>\n               <div [[hidden_org_phone_en]]   style=\" font-size: 15px; \"> Phone No: [[org_phone_en]] </div>\n               <div   style=\" font-size: 15px; \">Email : [[Organization_Email]]</div>\n\n            \n            </div>\n            <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 50%;\">\n              \n                <div style=\" font-size: 15px;margin-left: 200px; margin-top: 10px; \">Invoice No :	[[invoice_prefix]] [[Invoice_ID]]   </div>\n                <div style=\" font-size: 15px;margin-left: 200px; \">Pay Type:	<span  [[pay_cash_class]] style=\"font-size: 15px !important;\">CASH</span> <span  [[pay_check_class]] style=\"font-size: 15px !important;\">CHEK</span> <span  [[pay_credit_class]] style=\"font-size: 15px !important;\">Cridet </span> <span  id=\"nonedis\" style=\"font-size: 15px !important;\"> None</span>  </div>\n                <div style=\" font-size: 15px;margin-left: 200px;\">Date & Time :	[[Invoice_Date]]   </div>\n            </div>\n\n        </div>\n        <br>\n\n        <div>\n            <table style=\"width: 100%;border-collapse: collapse; border-top: #ffffff; border-left: #ffffff; border-right: #ffffff; \" border=\"1\">\n                <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                <tr>\n                 <td>\n                     Bill To :\n                 </td>\n                </tr>\n                </thead>\n                <tbody >\n                    <tr>\n                        <td>[[Customer_Name]]</td>\n                    </tr>\n                    <tr>\n                        <td>Mobile : [[Mobile]] - [[Phone]]</td>\n                    </tr>\n                    <tr>\n                        <td>\n                            C.R. No. :	[[CR]]\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            VAT No.:	[[customer_vat]]\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                             Address : 	[[customer_address]]\n                    </td>\n                </tr>\n\n                </tbody>\n\n            </table>\n        </div>\n        <br>\n        <div style=\"width: 100%; min-height:345px;border-top:0px; margin: 0;\" id=\"table_border\">\n\n            <table class=\"table  border-table \" style=\"width: 100%; direction: rtl;margin: 0;border-color: white;\" id=\"RemoveOuterTableBorder\" border=\"1\">\n                <thead id=\"secDelElement\" style=\" box-shadow: inset 100px 100px #ddd;border-color: white; border-bottom: black !important;\">\n                    <tr class=\"border-div\" id=\"RemoveInnerTableBorder\">\n                        <th style=\"font-size: 15px; width: 25%;\" class=\" text-center\"> Total with vat <br> المجموع الاجمالي مع الضريبة</th>\n                        <th  style=\"font-size: 15px; width: 12.5%;\" class=\" text-center\">VAT <br> قيمة الضريبة </th>\n                        <th style=\"font-size: 15px; width: 15%;\" class=\" print_delv text-center\"> Unit Price <br> سعر الوحدة</th>\n                        <th hidden style=\"font-size: 15px; width: 12.5%;\" class=\" text-center\">UOM <br> الوحدة  </th>\n                        <th style=\"font-size: 15px; width: 5%;\" class=\" print_delv text-center\"> Qty <br> الكمية  </th>\n                        <th style=\"font-size: 15px; width: 20%;\" class=\" text-center\">  Product Name <br> الوصف  </th>\n                        <th hidden style=\"font-size: 15px; width: 12.5%;\" class=\" text-center\">Item Code <br> رقم الوصف  </th>\n                        <th style=\"font-size: 15px; width: 5%; \" class=\" text-center \"> No <br> الرقم </th>\n\n                    </tr>\n                </thead>\n                <tbody style=\" border-color: white;border-bottom: black !important;\">\n                    <span style=\"margin-right: 20px;\">\n                        [[smc__start_inv_detail]]\n                    </span>\n                    <tr id=\"\">\n\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \"> [[total_with_vat]]</td>\n                        <td  class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px;\"> [[vat_amount]]</td>\n                        <td class=\" print_delv text-center  \" id=\"tableColumn\" style=\"font-size: 18px;\"> [[Product_Net_Price]]</td>\n                        <td hidden class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \">[[UOM_Name]]</td>\n                        <td class=\" print_delv text-center  \" id=\"tableColumn\" style=\"font-size: 18px;\">[[Item_Quantity_Current]] </td>\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 15px;\">[[Product_Name]]</td>\n                        <td hidden class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \">[[Code]]</td>\n                        <td class=\" text-center  \" id=\"tableColumn\" style=\"font-size: 18px; \">[[Count]]</td>\n\n                    </tr>\n                    [[smc__end_inv_detail]]\n\n\n                </tbody>\n\n            </table>\n        </div>\n        <br>\n        <div class=\"table2\" style=\"width: 100%; \">\n            <table border=\"0\"> \n            <tr>\n                <td  style=\"width: 30%;\" rowspan=\"3\"><img src=\"[[qrcode]]\" style=\"width: 160px;height: 160px;\"></td>\n                <td style=\"width: 70%;\">[[grand_total_word_en]]\n               \n                </td>\n                \n            </tr>\n            <tr>\n                <td >[[grand_total_word_ar]]</td>\n               \n               \n                </td>\n                \n            </tr>\n            \n            </table>\n            \n            <table border=\"1\" style=\"border-collapse: collapse;margin-top: 12px;\"> \n                <tr>\n                    <td style=\"width: 70%; font-size: 16px;\"> Total Amount <span style=\"float: right;font-size: 16px;\">المبلغ الاجمالي</span> </td>\n                    <td style=\"width: 30%;text-align: center;\">[[Invoice_Sub_Total]] [[Currency_Symbol]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">Discount SR <span style=\"float: right;font-size: 16px;\">الخصم</span> </td>\n                    <td style=\"text-align: center;\">[[discount_amount]] [[Currency_Symbol]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">Net Amount <span style=\"float: right;font-size: 16px;\">صافي المجموع</span>  </td>\n                    <td style=\"text-align: center;\">[[invoice_net_total_before_vat]] [[Currency_Symbol]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">VAT(15%) <span style=\"float: right;font-size: 16px;\">قيمة الضريبة المضافة</span> </td>\n                    <td style=\"text-align: center;\">[[local_vat_amount]]</td>\n                </tr>\n                <tr>\n                    <td style=\"font-size: 16px;\">Grand Total <span style=\"float: right;font-size: 16px;\">المبلغ الاجمالي</span>  </td>\n                    <td style=\"box-shadow: inset 5px 30px #ddd ; text-align: center;\">[[Invoice_Net_Total]] [[Currency_Symbol]]\n                    </td>\n                </tr>\n            </table>\n            <div>\n                <table hidden border=\"0\" style=\"width: 167%;\">\n                <tr style=\"width: 100%;\">\n                <td style=\"width: 100%; text-align: right;\">OutStanding Balance : 12,666.58  &nbsp; &nbsp; :رصيد عملاء متميز</td>\n                </tr>\n                </table>\n                <br>\n            \n               \n             \n        \n                \n            </div>\n            </div>\n            \n            \n            <div class=\"last\" style=\"width: 100%; display: flex;justify-content: space-between;box-shadow: inset 100px 100px #ddd; border: 1px solid black;\">\n                <span>Receiver Sign-----------------------توقيع المستلم </span>\n                <span>Salesman Sign-----------------------توقيع البائع </span>\n            </div>     \n\n\n               \n               \n                <style>\n                  .table2{\n                      display: grid;\n                      grid-template-columns: 60% 40%;\n                  }\n                </style>\n\n\n\n\n   \n \n\n\n    \n</div>\n</div>\n\n\n        \n              \n                <style>\n                    span.line {\n                        position: relative;\n                    }\n                    \n                    span.line::before {\n                        position: absolute;\n                        content: \"\";\n                        background: #2c2c2c;\n                        height: 3px;\n                        width: 100%;\n                        left: 50%;\n                        margin-top: -10px;\n                        transform: translate(-50%);\n                    }\n                </style>\n\n                \n                <!-- <div style=\"text-align:center\" id=\"removEleventhElement\">\n                    <p>Payment Terms <input type=\"checkbox\"> Cash<input type=\"checkbox\"> Credit</p>\n                </div> -->\n                <style>\n                    div span.check {\n                        border: 1px solid black;\n                        height: 10px;\n                        width: 100px;\n                    }\n                </style>\n                <style>\n                    #FooterText {\n                        position: relative;\n                    }\n                    /* #FooterText::before {\n                        position: absolute;\n                        content: \"\";\n                        width: 90%;\n                        height: 2px;\n                        background: black;\n                        top: -10px;\n                        left: 50%;\n                        transform: translate(-50%);\n                    } */\n                </style>\n             \n\n                <style>\n                    div.contact p:nth-child(3),\n                    .contact p:nth-child(1) {\n                        text-align: center;\n                    }\n                    \n                    .contact p:nth-child(2) {\n                        max-width: 100%;\n                        text-align: center;\n                    }\n                </style>\n                <!-- <table >\n                <tr style=\"width: 100%;\">\n                    <td style=\"width: 90%;\">Receiver sign</td>\n                    <td style=\" width: 100%;\">salesman sign</td>\n                </tr>\n              \n            </table>\n            <br>\n            <br>\n    </div>\n    \n\n    <table  style=\"width: 100%;\">\n<tr style=\"width: 100%;\"> \n<td>\n   \n      <div> JEDDAH - SAUDI ARABIA </div> \n       <div> K.S.A . P.O.Box 34788 Jeddah 21478 </div>\n    <div> Mobile : 0555883558 / 0544090499 </div>\n    \n    \n</td>\n<td style=\"text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"height: 100px; width: 200px; margin-left: 179px;\"> \n</td>\n<td>\n <div>    المملكة العربية السعودية - جدة</div> \n <div>   ص.ب. :٣٤٧٨٨/ جدة  ٢١٧٤٨</div>\n <div>   جوال : ٠٥٥٥٨٨٣٥٥٨ / ٠٥٤٤٠٩٠٤٩٩</div>\n  \n    \n</td>\n</tr>\n    </table> -->\n                <div class=\"row no-print\">\n                    <div class=\"col-md-12\">\n                        <div class=\"pull-right\">\n                            <a style=\"background-color: rgb(248, 61, 61); color: white;\" id=\"invoice_print_btn\" class=\"btn btn-primary\" onclick=\"javascript:window.print();javascript:$(\'.print_delv\').removeClass(\'no-print\');\"><i class=\"fa fa-print\" ></i>Print</a>\n                            <!-- <button onclick=\"deleteElements();window.print();\" class=\"btn btn-danger\" id=\"deleteElements\">Print</button> -->\n                        </div>\n\n                    </div>\n                </div>\n            </div>\n            <script>\n                 \n\n                if (\"[[pay_cash_class]]\"== \"hidden\" && \"[[pay_check_class]]\" == \"hidden\" && \"[[pay_credit_class]]\" == \"hidden\"){\n                    \n                    document.getElementById(\"nonedis\").style.visibility = \"visible\";\n\n               \n                }\n                else{\n                    document.getElementById(\"nonedis\").style.visibility = \"hidden\";\n \n                }\n        \n            </script>\n         ', 1, 1, 'Server act_invoice', 1),
(24, 'pos_return', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\n<style>\n    body {\n        margin: 0;\n        \n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    @page {\n        margin: 0px 5px 0px 12px;\n        /*sumatra*/\n        /*margin: 0px 30px 0px 15px;*/\n        /*dialog*/\n    }\n    \n    .secondTbl td {\n        white-space: nowrap;\n    }\n    \n    .hidden {\n        display: none;\n    }\n    \n    #headerDiv span {\n        font-size: 13px;\n    }\n    \n    #headerDiv h3 {\n        margin-bottom: 0px;\n    }\n    \n    h3 {\n        display: block;\n        margin: 0 0 5px;\n        padding: 0;\n        font-size: 1em !important;\n        /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    \n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\n        margin: 0px 0px;\n        padding: 0;\n    }\n    \n    table.first,\n    table.secondTbl {\n        color: #000;\n        font-size: 13px;\n        /*float:right;    margin-right: 8%;*/\n    }\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\n    \n    th,\n    td {\n        font-size: 13px;\n        text-align: left;\n    }\n    \n    .second {\n        display: none;\n    }\n    \n    body {\n      \n        margin: 0;\n        padding: 0;\n        width: 100%;\n    }\n    \n    @media print {\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n   .hr1 {\n    border:none;\n    border-top:1px dashed rgb(10, 10, 10);\n    color:#fff;\n    background-color:#fff;\n    height:1px;\n    width:100%;\n    }\n</style>\n\n<body onload=\"window.print()\">\n\n    <div style=\"text-align: center;width: 98%;\" id=\"headerDiv\">\n     <br>\n\n<div class=\"col-xs-4 text-center\">\n    <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;\">\n</div>\n<br>\n<div class=\"col-xs-4 text-center\">[[org__Organization_Name]] </div>\n<div class=\"col-xs-4 text-center\">CR# [[org_cr_en]] </div>\n<div class=\"col-xs-4 text-center\">VAT No.# [[org_vat_en]] </div>\n<div class=\"col-xs-4 text-center\">[[org_address_en]] </div>\n<div class=\"col-xs-4 text-center\">Phone No: [[org_phone_en]]</div>\n<div class=\"col-xs-4 text-center\">Return Invoice</div>\n<div class=\"col-xs-4 text-center\">فاتورة  مرتجعة</div>\n\n<!-- <div class=\"col-xs-4 text-center\">VAT Reg. [[org_vat_en]] </div> -->\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n<table>\n    <tr>\n        <td >Slip : [[invoice_prefix]][[Return_ID]] </td>\n      \n    </tr>\n    <tr>\n        <td style=\"width: 50%;\">Staff : [[Employee_Name]]</td>\n        \n    </tr>\n    <!-- <tr>\n        <td>Return Invoice : [[Invoice_Purchase_ID]] </td>\n    </tr> -->\n    <tr>\n        <td > Date : [[date_created]] </td>\n    </tr>\n    \n</table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n\n<br>\n<div class=\"row\">\n    <table class=\"first \" cellspacing=\'\' style=\"width:99%;\" border=\"0\">\n        <thead>\n            <tr style=\"width: 100%;\">\n                <th>إسم المنتج  </th>\n                <th> الكمية</th>\n                <th style=\"text-align: center;\">سعر الوحدة </th>\n                <!--<th>Disc.</th>-->\n                <th style=\"text-align: right;\"> كمية الشبكة </th>\n              \n            </tr>\n        </thead>\n        <tbody>\n\n            [[smc__start_return_detail]]\n            <tr>\n                <td style=\"font-size:13px;\"><span class=\"special-char [[link_product_class]]\"></span>[[Name]] </td>\n                <td>[[Item_Quantity_Current]]</td>\n                <td style=\"text-align: center;\"> [[current_product_net_price]] [[Currency_Symbol]]</td>\n                <!--<td >[[Product_Discount]] %</td>-->\n                <td style=\"text-align: right;\">  [[formatted_vat_total_price]] [[Currency_Symbol]]</td>\n            </tr>\n            [[smc__end_return_detail]]\n\n        </tbody>\n    </table>\n</div>\n\n\n\n\n\n<div style=\"clear:both;\"></div>\n<div class=\"hr1\"></div>\n<br>\n<!-- <div style=\"width: 100%;\">\n    <table style=\"width: 100%;\">\n        <tr>\n            <td style=\"width: 60%;\">Total   [[Currency_Symbol]]</td>\n            <td style=\"width: 40%;\">[[Total]]</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Cash  [[Currency_Symbol]]</td>\n            <td style=\"font-weight: bold;\">[[cash_amount]]</td>\n        </tr>\n        <tr>\n            <td>&nbsp;</td>\n            <td>&nbsp;</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Change</td>\n            <td style=\"font-weight: bold;\">[[returned_cash]]</td>\n        </tr>\n\n    </table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br> -->\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\" border=\"0\">\n    <tr style=\"width: 100%;\">\n        <td style=\"width: 25%;\">VAT %</td>\n        <td style=\"width: 25%;\">Net.Amt</td>\n        <td style=\"width: 25%;\">VAT</td>\n        <td style=\"width: 25%;\">Amount</td>\n\n    </tr>\n    <tr style=\"width: 100%;\">\n        <td>[[vat_percent]] %</td>\n        <td>[[formatted_net_total]] [[Currency_Symbol]]</td>\n        <td>[[formatted_invoice_vat]] [[Currency_Symbol]]</td>\n        <td>[[formatted_net]] [[Currency_Symbol]]</td>\n\n    </tr>\n\n</table>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"width: 170px;height: 170px;\">\n</div>\n\n</div>\n   \n    </div>\n  \n\n\n</body>\n', 1, 1, 'Server pos_return', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(25, 'barcode_items', '<html>\r\n    <body  onload=\"window.print()\">\r\n\r\n        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n        <style >\r\n            body{margin:0;padding:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;font-size:9px;line-height:1;font-weight:bold;}\r\n            @page  \r\n            {\r\n                margin: 0.82cm 0.8cm;  \r\n            } \r\n            .barcode-container{\r\n                width:4.84cm;\r\n                height:2.54cm;\r\nbox-sizing: border-box;\r\n                float:left;\r\npadding:10px 5px 0px;\r\n            }\r\n        </style>\r\n         [[smc__start_barcode]]\r\n        <div class=\'barcode-container\'>\r\n            \r\n            <div style=\'width:100%\'>\r\n                <div style=\'text-align:left;float:left;width:50%;\' >\r\n                    [[Name]]\r\n                </div>\r\n                <div style=\'text-align:right;float:right;width:50%;\'>\r\n                    [[price]]\r\n                </div>\r\n                <div style=\'clear:both;\'></div>\r\n            </div>\r\n            <div style=\'display:block;text-align:center;margin-top:2px;\'>[[barcode]]</div>\r\n            <div style=\'text-align:center;letter-spacing: 6px;font-size:6px;font-weight:bold;\'>[[Code]]</div>\r\n            <div style=\'text-align:center;margin-top:2px;width:100%;overflow:hidden;text-overflow: ellipsis;white-space:nowrap;\'>[[Desc]]</div>\r\n        </div>\r\n          [[smc__end_barcode]]\r\n<div style=\"clear:both;\"></div>\r\n    </body>\r\n</html>', 1, 1, 'Server barcode_items', 1),
(26, 'skaff_invoice', '<style type=\"text/css\">\r\n\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .wrapper{\r\n        min-height:100%;\r\n        position:relative;\r\n\r\n    }\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .details_info{\r\n        page-break-inside:avoid;\r\n        position:fixed; bottom: 0;\r\n        left: 0;\r\n        width: 100%;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    /* .border-div{\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    padding: 8px;\r\n    border-right:0;\r\n    border-left:0;\r\n    border-top:0;\r\n    }*/\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        /* border-bottom:0;\r\n        border-left:0;*/\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-2,.col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-9,.col-xs-10,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-2 {\r\n        width: 16.66666667%\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-9{width:75%;}\r\n    .col-xs-10{width:83.33333333%;}\r\n    .col-xs-12{width:100%;}\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n    }\r\n    .table thead tr th{\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    .border_total{\r\n        border:1px solid;\r\n        padding:5px;\r\n    }\r\n    .text-right{\r\n        text-align:right;\r\n    }\r\n \r\n    @media print\r\n    {\r\n         \r\n\r\n\r\n\r\n        .h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}.\r\n        .border_total{\r\n            font-size:12px;}\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 30% !important;\r\n        }\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n        .no-print{display:none;}\r\n\r\n    }\r\n\r\n</style>\r\n<body>\r\n    <div class=\"container\">\r\n        <div class=\"wrapper\">\r\n            <div class=\"panel invoice\">\r\n                <div class=\"panel-body\">\r\n                    <div class=\"row \">\r\n                        <div class=\"col-xs-8\">\r\n                            <img src=\"[[smc__upload_url]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                        </div>\r\n                        <div class=\"col-xs-4  m-b-10 header-div\">\r\n                            <div>[[org__Name]]-[[org__Organization_Province]]</div>\r\n                            <div class=\"phone-l\">[[org__Organization_Phone]]</div>\r\n                            <div class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</div>\r\n                            <div class=\"phone-l\">E-mail: [[org__Organization_Email]]</div>\r\n                            <div class=\"phone-l\">www.skaffgroup.com</div>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"col-xs-8 col-md-8 pull-right\" style=\"margin-top:10px;\">\r\n                        <div class=\"row\">\r\n                            <div class=\"col-xs-5\">\r\n                                <h1 class=\"text-center mytitle\">Sales Invoice</h1>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"col-xs-12 col-md-12 border-div\">\r\n                        <div class=\"row\">\r\n                            <div class=\"col-xs-6 font-type \">\r\n                                Name: [[Name]]\r\n                                <br/>Address: [[Country_Name]] -  [[Address]]\r\n                                <br/>Phone: [[Mobile]] - [[Phone]]\r\n                            </div>\r\n                            <div class=\"col-xs-4 pull-right font-type\">\r\n                                <div> Invoice # [[invoice_prefix]] [[Invoice_ID]]</div>\r\n                                <div>Date: [[Invoice_Date]]</div>\r\n                                <div>Due Date:[[Invoice_Due_Date]]</div>\r\n                                <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\r\n                                <div>Sales Man: [[smc__print_username]]</div>\r\n                            </div>\r\n                        </div>\r\n                        <div class=\"row\">\r\n                            <table class=\"table  border-table\">\r\n                                <thead>\r\n                                    <tr class=\"border-div\">\r\n                                        <th class=\"border-tr text-center\">Code</th>\r\n                                        <th class=\"border-tr text-center\">Item</th>\r\n                                        <th class=\"border-tr text-center\">Qty</th>\r\n                                        <th class=\"border-tr print_delv text-center\">Price</th>\r\n                                        <th class=\"border-tr print_delv text-center\" >Discount</th>\r\n                                        <th class=\"border-tr print_delv text-center\">Total</th>\r\n                                    </tr>\r\n                                </thead>\r\n                                <tbody>\r\n                                    [[smc__start_inv_detail]]\r\n                                    <tr>\r\n                                        <td class=\" border-tr text-center\">[[Code]]</td>\r\n                                        <td class=\"border-tr\">[[Product_Name]]</td>\r\n                                        <td class=\"border-tr text-center\">[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]]</span></td>\r\n                                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Discount]] %</span></td>\r\n                                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\r\n                                    </tr>\r\n                                    [[smc__end_inv_detail]]\r\n                                </tbody>\r\n                            </table>\r\n                        </div>\r\n                        <div class=\"row\" style=\"page-break-inside:avoid;\">\r\n                            <div class=\"col-xs-12 font-type  pull-right print_delv\">\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Subtotal</strong></span>:&nbsp;</div>  <div class=\"col-xs-2 \"><span>[[Invoice_Sub_Total]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Discount</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[Invoice_Discount]]&nbsp; %</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Net Total</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[invoice_net_total_before_vat]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>VAT ([[local_vat_amount]]&nbsp;LBP)</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[Invoice_VAT]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Grand Total</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[Invoice_Net_Total]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Prev. Balance</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[previous_balance]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Payment</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[Invoice_Paid_Amount]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Balance</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[current_balance]]</span></div>\r\n                            </div> \r\n                        </div> \r\n\r\n                        <div class=\"row details_info\"  > \r\n                            <div class=\"col-xs-12 font-type print_delv\">\r\n                                <!-- <div class=\"col-xs-12  border_total\"><span><strong>Payment Mode</strong></span>:&nbsp;[[Invoice_Sub_Total]]</div>-->\r\n                                <div class=\"col-xs-12  border_total\"> <div class=\"col-xs-3 \"><span><strong>Payment Terms</strong></span>:&nbsp;</div> <div class=\"col-xs-6\" >50% upon confirmation <br/><span>50% upon delivery</span></div></div>\r\n                                <div class=\"col-xs-12  border_total\"><strong style=\"margin-left:15px;\">[[grand_total_word_en]]</strong></div>\r\n                                <div class=\"col-xs-12  \"><div class=\"col-xs-3 \"><span><strong>Delivery To</strong></span>:&nbsp;</div> <div class=\"col-xs-9\">[[Invoice_Description]]</div></div>\r\n                            </div>\r\n                            <div class=\"col-xs-12 \">\r\n                                <p class=\"border_total\" style=\"font-size:10px;\">\r\n                                    The buyer shall on delivery check whether the correct products have been delivered in the correct amount, quantity, design & color way.<br/>\r\n                                    Ultimate responsibility for final inspections and approval resides with the buyer. The seller does not accept returns for credit once goods have been cut or made up.<br/>\r\n                                    Shades may vary between stock and samples and from batch to batch. Any possible delay in the dates of delivery less than 15 days, of execution, etc., shall\r\n                                    not entitle the purchaser to cancel the sale, nor to refuse the goods or claim for compensation<br/>\r\n                                    Our company reserves the right to modify its prices at any time. The customer automatically accepts our terms of sale by signing this order.\r\n                                </p>\r\n                            </div>\r\n                            <div class=\"col-xs-12 \">\r\n                                <div class=\"col-xs-6 border_total\"> \r\n                                    <br/>\r\n                                    <span style=\"font-size:12px;\"><strong>Management Signature</strong></span>\r\n                                    <br/><br/><br/>\r\n                                </div>\r\n                                <div class=\"col-xs-6 border_total\"> \r\n                                    <br/>\r\n                                    <span  style=\"font-size:12px;\"><strong>Client Signature</strong></span>\r\n                                    <br/><br/><br/>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n\r\n                    </div>\r\n                </div>\r\n\r\n                <br>\r\n                <div class=\"col-xs-12\">\r\n                    <div class=\"row\">\r\n                        <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row no-print\">\r\n                    <div class=\"col-md-12\">\r\n                        <div class=\"pull-right\">\r\n                            <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                            <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n\r\n\r\n\r\n\r\n</body>\r\n', 1, 1, 'Server skaff_invoice', 1),
(27, 'quotation', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\n<style type=\"text/css\">\n    *{\n        font-size: 19px;\n    }\n    .ValSpan{\n        opacity:0;\n    }\n    .inv-info{\n        font-size: 15px;\n    }\n    .border-div{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-right:0;\n        border-left:0;\n        border-top:0;\n    }\n\n    .border-tr{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-bottom:0;\n        border-left:0;\n        border-top:0;\n    }\n    .border-td{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-bottom:0;\n        border-top:0;\n    }\n    .border-table{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right:0;\n        border-left:0;\n        margin-top:15px;\n    }\n    \n    .table thead tr th{\n        /* background: #ddd; */\n    }\n\n    h5{\n        font-size:17px !important;\n    }\n    .phone-l{\n        margin-left:1px !important;\n    }\n \n    h5{\n        line-height: 15px !important;\n    }\n    h4{\n        line-height: 18px !important;\n    }\n    @media print {\n        .table thead tr th{\n            /* background: #ddd; */\n        }\n\n        h5{\n            /* font-size:14px !important; */\n        }\n        \n\n        .table tbody tr td{\n            /*line-height:20px;*/\n            /* font-size:1em !important; */\n        }\n        .phone-l{\n            margin-left:1px !important;\n        }\n        h3.mytitle{\n            /* font-size:1.8em !important; */\n        }\n\n\n        .footer{\n            bottom:-90px;\n            position:fixed;\n        }	\n    }\n\n</style>\n<style>\n    @media print{\n        .no-print{display:none;}\n    }\n    .text-center{text-align:center;}\n    .text-left{text-align:left;}\n.text-right{text-align:right;}\n    .row:after, .row:before {\n        display: table;\n        content: \" \";\n        clear:both;\n    }\n    .col-xs-2,.col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-10,.col-xs-12{\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n.col-xs-2{width: 16.66666667%;}\n    .col-xs-3{width:25%;}\n    .col-xs-4{width:33.33333333%;}\n    .col-xs-6{width:50%;}\n    .col-xs-8{width:66.66666666%;}\n.col-xs-10{width: 83.33333333%}\n    .col-xs-12{width:100%;}\n</style>\n\n<style>\n    .col-xs-5{width:41.66666667%;}\n    h4{\n        font-size: 23px;\n        \n    }\n    h5{\n        font-size: 17px !important;\n    }\n    h1, h2, h3, h4, h5, h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight:300!important;\n    }\n    body{\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\n    }\n    .pull-right{float:right;}\n    .pull-left{float:left;}\n.border-table {\n    border: 1px solid #000;\n    /* border-style: dotted; */\n    border-right: 0;\n    border-left: 0;\n    margin-top: 15px;\n}\n.table {\n    width: 100%;\n    max-width: 100%;\n    margin-bottom: 20px;\n    background-color: transparent;\nborder-collapse: collapse;\n}\n.table thead tr th {\n    text-transform: uppercase;\n   \n    font-size: 13px;\n    padding-top: 8px;\n    padding-bottom: 8px;\n    vertical-align: middle;\n    \n}\n.table thead tr th{\n\n font-weight: 600;\n    /* color: rgba(44,44,44,0.35); */\n}\n.btn-danger, .btn-danger:focus {\n    color: #ffffff !important;\n    background-color: #f55753 !important;\n     border-color: #f55753 !important; \n}\n.btn {\n    font-size: 14px;\n    font-weight: normal;\n    letter-spacing: 0.01em;\n    margin-bottom: 0;\n    border: 1px solid #f0f0f0;\n    text-align: center;\n    vertical-align: middle;\n    cursor: pointer;\n    border-radius: 3px;\n    -webkit-border-radius: 3px;\n    -moz-border-radius: 3px;\n    background-image: none!important;\n    color: #626262;\n    background-color: #ffffff;\n    line-height: 21px;\n    padding-left: 17px;\n    padding-right: 17px;\n    position: relative;\n    display: inline-block;\n    padding: 6px 12px;\n}\n.btn-success-darker, .btn-success-darker:focus {\n    color: #ffffff;\n    background-color: #0a7c71;\n    border-color: #0a7c71;\n}\n#delivery_head{\ndisplay:none;\n}\n@media print\n   {\n       #sales_head.no-print + #delivery_head{\ndisplay:block;\n}\n       .invoice h1{\n           /* font-size:22px!important; */\n       }\n      \n      .invoice,.table tbody tr td,.table thead tr th {\n          /* font-size:10px !important; */\n        }\n      .font-type{\n          /* font-size:12px !important; */\n        }\n\n   .table thead tr th{\n       /* background-color:white!important; */\n    \n    color:black!important;}\n      .header-div{\n          /* font-size:16px; */\n        }\n   }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n            <div class=\"row \" style=\"box-shadow: inset 100px 100px #ddd; height: 50px;\">\n\n               <div style=\"text-align: center; margin-top: 12px;font-weight: bold; font-size: 20px;\">[[title]]</div> \n            </div>\n            <br>\n            <div style=\"display: flex; justify-content: space-between;\">\n                <div style=\"width: 50%;\">\n                    <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\"  style=\"width:200px; height: 120px; margin-left: 50px;\" />\n                    <div style=\"margin-top: 20px;font-size: 17px;margin-left: 50px;\">   [[organiaztion_name_en]]</div>\n                    <div style=\"font-size: 15px;margin-left: 50px;\">[[org_des_en]] </div>\n                </div>\n                <div style=\"width: 50%;\">\n                    <div style=\"margin-left: 100px;\">\n                    <div> Order# [[sale_prefix]] [[Order_ID_Auto]]</div>\n                    <div>Date: [[Order_Date_format]]</div>\n                    <div>Due Date:[[sale_due_date_format]]</div>\n                    <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\n                </div>\n                </div>\n            </div>\n            <br>\n\n            <div style=\"display: flex; justify-content: space-between;\">\n\n                <div style=\"width: 50%;\">\n                    <table style=\"width: 80%; border-collapse: collapse;margin-left: 50px;\" border=\"1\">\n                        <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                            <tr>\n                                <td>\n                                    &nbsp;&nbsp; ORGANIZATION\n                                </td>\n                            </tr>\n                        </thead>\n                        <tbody>\n                            <tr>\n                                <td>C.R No: [[org_cr_en]]</td>\n                            </tr>\n                            <tr>\n                                <td>VAT No : [[org_vat_en]]</td>\n                            </tr>\n                            <tr>\n                                <td>Phone No: [[org_phone_en]]</td>\n                            </tr>\n\n                        </tbody>\n\n                    </table>\n\n                </div>\n                <div style=\"width: 50%;\" >\n                    <table style=\"width: 80%;border-collapse: collapse;margin-left: 70px;\" border=\"1\">\n                        <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                            <tr>\n                                <td>\n                                    &nbsp;&nbsp; CUSTOMER\n                                </td>\n                            </tr>\n                        </thead>\n                        <tbody>\n                            <tr>\n                                <td>Name: [[Name]]</td>\n                            </tr>\n                            <tr>\n                                <td>Address: [[Country_Name]] - [[Address]]</td>\n                            </tr>\n                            <tr>\n                                <td>Phone: [[Mobile]] - [[Phone]]</td>\n                            </tr>\n                        </tbody>\n                    </table>\n\n                </div>\n\n            </div>\n            <br>\n            <div style=\"border: 1px solid black; min-height: 120px;\">\n               <div style=\"margin-top: 10px;margin-left: 10px;\"> Note: [[order_description]] </div>\n\n            </div>\n            <br>\n            <div>\n                <table class=\"table  border-table\">\n                    <thead style=\"box-shadow: inset 100px 100px #ddd; \">\n                        <tr class=\"border-div\">\n                            <th class=\"border-td text-center\" style=\"width: 7%;\">No. <br> الرقم</th>\n                            <th class=\"border-td text-center\" style=\"width: 8%;\">Barcode <br> الرمز</th>\n                            <th class=\"border-tr text-center\" style=\"width: 35%;\">Item <br> المنتج</th>\n<!--<th class=\"border-tr text-center\">brand</th>-->\n                            <th class=\"border-tr text-center\" style=\"width: 7%;\">Qty <br> الكمية</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 8%;\">Price <br> السعر</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 11%;\"> VAT % <br> نسبة الضريبة</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 10%;\" >Discount <br> الخصم</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 18%;\">Total <br> الاجمالي</th>\n                        </tr>\n                    </thead>\n                    <tbody>\n                        [[smc__start_inv_detail]]\n                        <tr>\n                            <td class=\" border-td text-center\">[[Count]]</td>\n                            <td class=\" border-tr text-center\">[[Bar_Code]]</td>\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\n\n                           <!-- <td class=\"border-tr text-center\">[[brand_name]]</td>-->\n                            <td class=\"border-tr text-center\">[[Item_Quantity_Current]] </td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]] </span></td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[vat_percent]]</span></td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[product_discount_percent]] %</span></td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\n                        </tr>\n                        [[smc__end_inv_detail]]\n                    </tbody>\n                </table>\n            </div>\n            <br>\n            <div style=\"display: flex;justify-content: space-between;\">\n                <div style=\"width: 50%;\">\n               <table style=\"width: 100%; border-collapse: collapse;   \" border=\"1\">\n                <tr>\n                    <td>Quantity </td>\n                    <td>[[invoice_total_quantity]]</td>\n                    \n                </tr>\n                <tr>\n                    <td>Subtotal </td>\n                    <td>[[all_product_total_price_before_disc]]</td>\n                </tr>\n                <tr>\n                    <td>Discount [[discount_percent]] % </td>\n                    <td>[[discount_amount]]</td>\n                </tr>\n                <tr>\n                    <td>Net Total </td>\n                    <td>[[invoice_total_full_discount]]</td>\n                </tr>\n                <tr>\n                    <td>VAT [[smc__system_vat_percent]] % </td>\n                    <td>[[total_vat]]</td>\n                </tr>\n                <tr>\n               <td>Grand Total: </td>\n                 <td style=\"box-shadow: inset 100px 100px #ddd;\">[[net_total]]</td>\n                   </tr>\n               </table>\n            </div>\n               <div style=\"width: 50%;\">  \n                <div style=\"margin-left: 10px;\">\n                    [[grand_total_word_en]] <br> [[grand_total_word_ar]]\n                </div>\n                \n             </div>\n             \n            </div>\n\n\n\n                   \n            \n            <div class=\"row no-print\">\n                <div class=\"col-md-12\">\n                    <div class=\"pull-right\">\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\n                     \n                    </div>\n\n                </div>\n            </div>\n        </div>\n    </div>\n    <p hidden class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\"> <img src=\"[[qrcode]]\" alt=\"qrcode\" style=\"width: 160px; height: 160px;\"></p>\n    <p style=\" text-align: center;\">    [[print_date]]</p> \n\n    <!-- <p style=\"text-align: center;\">[[org_address_ar]] </p> -->\n    <p style=\"text-align: center;\">[[org_address_en]] </p>\n    <p  style=\" text-align: center; \"> [[Organization_Email]]</p>  \n\n</div>\n', 1, 1, 'Server quotation', 1),
(28, 'barcode_skaff', '<html>\r\n<body  onload=\"window.print()\">\r\n\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style >\r\nbody{margin:0;padding:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;font-size:9px;line-height:1;font-weight:bold;}\r\n@page  \r\n{\r\n    margin: 5px 5px 0px 12px;  \r\n} \r\n</style>\r\n\r\n     <div style=\'width:100%\'>\r\n           <!-- <div style=\'text-align:right;\'>\r\n            [[price]]\r\n            </div>-->\r\n            <div style=\'text-align:left;\' >\r\n            <!-- [[Name]]-->\r\n<p style=\"font-size:11px;\">Price:[[price]]</p>\r\n			<p>Reference:[[Code]]</p>\r\n			<p>Description:[[Desc]]</p>\r\n            </div>\r\n<div style=\'clear:both;\'></div>\r\n        </div>\r\n<div style=\'display:block;text-align:center;margin-top:2px;\'><img src=\"[[barcode_image]]\" style=\"width:95px;\" /></div>\r\n<!--<div style=\'display:block;text-align:center;margin-top:2px;\'><img src=\"[[barcode_image]]\" style=\"width:35px;\" /></div> \r\n<div style=\'text-align:center;letter-spacing: 6px;font-size:6px;font-weight:bold;\'>[[Code]]</div>\r\n<div style=\'text-align:center;margin-top:2px;width:100%;overflow:hidden;text-overflow: ellipsis;white-space:nowrap;\'>[[Desc]]</div>-->\r\n    </body>\r\n</html>', 1, 1, 'Server barcode_skaff', 1),
(29, 'pos_exchange', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\n<style>\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\n   .hidden{display:none;}\n    #headerDiv span {font-size:10px;}\n    #headerDiv h3{\n        margin-bottom: 0px;\n    }\n\n    h3 {\n        display: block;margin:0 0 5px;padding:0;\n        font-size: 1em !important;\n     /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\nmargin:0px 0px;padding:0;\n    }\n\n    table.first,table.secondTbl {color: #000; font-size: 10px;/*float:right;    margin-right: 8%;*/}\n/*.special-char{font-family: \"DejaVu Sans\", monospace;}*/\n    th,td{\n        font-size:10px;text-align:center;}\n    .second{display:none;}\n	th{\n	 border-bottom: 1px solid #000;  }\n    body{\n        margin:0;padding:0;width:100%;\n    }    @media print{\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n</style>\n<body  onload=\"window.print()\">\n\n        <div style=\"text-align: center;\" id=\"headerDiv\">\n            <div class=\"col-xs-4 text-center\">\n                <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;\">\n            </div>\n            <h3>[[organiaztion_name_en]]</h3>\n            <span style=\"font-size: 15px;\">[[org_phone_en]]</span> <br>\n            <span style=\"font-size: 15px;\">CR#[[org_cr_en]] </span>\n            <br><span style=\"font-size: 15px;\">VAT #: [[org_vat_en]]</span>\n            <br><span style=\"font-size: 15px;\">Customer: [[Name]] </span>\n            <br><span style=\"font-size: 15px;\">Time: [[smc__print_time]]</span>\n            <br><span style=\"font-size: 15px;\">Exchange Invoice</span>\n            <br><span style=\"font-size: 15px;\">فاتورة تبديل</span>\n            <br><span style=\"font-size: 15px;\"> # [[exchange_nb]]</span>\n            <br>\n			\n            <div class=\"row [[added_class]]\">\n			<div class=\"\"><p style=\"font-size:12pt;border:1px solid #000;\" >Invoice</p></div>\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\n                    <thead>\n                        <tr>\n                            <th>Name</th>\n                            <th>Qty</th>\n                            <th>Price</th>\n<th>Disc.</th>\n                            <th>Total</th>\n                        </tr>\n                    </thead>\n                    <tbody>\n\n                        [[smc__start_inv_detail]]\n                        <tr>\n                            <td style=\"font-size:10px;\">[[Name]]</td>\n                            <td >[[Item_Quantity_Current]]</td>\n							<td >[[Product_Net_Price_TTC]]</td>\n<td>[[Product_Discount]] %</td>\n                            <td >[[Product_Total_Price_After_Disc_TTC]]</td>\n                        </tr>\n\n                        [[smc__end_inv_detail]]\n\n                    </tbody>\n                </table>\n            </div>\n			<div class=\"row [[deleted_class]]\">\n			<div ><p style=\"font-size:12pt;border:0.5px solid #000;\" >Return</p></div>\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\n                    <thead>\n                        <tr>\n                            <th>Name</th>\n                            <th>Qty</th>\n                            <th>Price</th>\n <th>Disc.</th>\n                            <th>Total</th>\n                        </tr>\n                    </thead>\n                    <tbody>\n\n                        [[smc__start_ret_detail]]\n                        <tr>\n                            <td style=\"font-size:10px;\">[[Name]]</td>\n                            <td >[[Item_Quantity_Current]]</td>\n							<td >[[Product_Net_Price_TTC]]</td>\n<td>[[Product_Discount]] %</td>\n                            <td >[[Product_Total_Price_After_Disc_TTC]]</td>\n                        </tr>\n                        [[smc__end_ret_detail]]\n\n                    </tbody>\n                </table>\n            </div>\n<br><div ><p style=\"font-size:12pt;border:1px solid #000;\" >Exchange </p></div>\n            </div>\n            <div>Invoice Total  : [[total_invoice]]</div>\n            <div>Retuern Total  : [[total_return]]</div>\n            <div>Exchange Total : [[total_cash]]</div>\n\n<br><div ><p style=\"font-size:12pt;border:1px solid #000;\" class=\"[[note_class]]\">[[Invoice_Description]]</p></div>\n            </div>\n</body>', 1, 1, 'Server pos_exchange', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(30, 'skaff_quotation', '<style type=\"text/css\">\r\n\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .wrapper{\r\n        min-height:100%;\r\n        position:relative;\r\n\r\n    }\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    /*.details_info{\r\n        page-break-inside:avoid;\r\n        position:fixed; bottom: 0;\r\n        left: 0;\r\n        width: 100%;\r\n    }*/\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    /* .border-div{\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    padding: 8px;\r\n    border-right:0;\r\n    border-left:0;\r\n    border-top:0;\r\n    }*/\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        /* border-bottom:0;\r\n        border-left:0;*/\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-2,.col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-9,.col-xs-10,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-2 {\r\n        width: 16.66666667%\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-9{width:75%;}\r\n    .col-xs-10{width:83.33333333%;}\r\n    .col-xs-12{width:100%;}\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n    }\r\n    .table thead tr th{\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    .border_total{\r\n        border:1px solid;\r\n        padding:5px;\r\n    }\r\n    .text-right{\r\n        text-align:right;\r\n    }\r\n \r\n    @media print\r\n    {\r\n         \r\n\r\n\r\n\r\n        .h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}.\r\n        .border_total{\r\n            font-size:12px;}\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 30% !important;\r\n        }\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n        .no-print{display:none;}\r\n\r\n    }\r\n\r\n</style>\r\n<body>\r\n    <div class=\"container\">\r\n        <div class=\"wrapper\">\r\n            <div class=\"panel invoice\">\r\n                <div class=\"panel-body\">\r\n                    <div class=\"row \">\r\n                        <div class=\"col-xs-8\">\r\n                            <img src=\"[[smc__upload_url]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                        </div>\r\n                        <div class=\"col-xs-4  m-b-10 header-div\">\r\n                            <div>[[org__Name]]-[[org__Organization_Province]]</div>\r\n                            <div class=\"phone-l\">[[org__Organization_Phone]]</div>\r\n                            <div class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</div>\r\n                            <div class=\"phone-l\">E-mail: [[org__Organization_Email]]</div>\r\n                            <div class=\"phone-l\">www.skaffgroup.com</div>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"col-xs-8 col-md-8 pull-right\" style=\"margin-top:10px;\">\r\n                        <div class=\"row\">\r\n                            <div class=\"col-xs-5\">\r\n                                <h1 class=\"text-center mytitle\">[[title]]</h1>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"col-xs-12 col-md-12 border-div\">\r\n                        <div class=\"row\">\r\n                            <div class=\"col-xs-6 font-type \">\r\n                                Name: [[Name]]\r\n                                <br/>Address: [[Country_Name]] -  [[Address]]\r\n                                <br/>Phone: [[Mobile]] - [[Phone]]\r\n                            </div>\r\n                            <div class=\"col-xs-4 pull-right font-type\">\r\n                                <div> Order # [[sale_prefix]] [[Order_ID_Auto]]</div>\r\n                                <div>Date: [[Order_Date]]</div>\r\n                                <div>Due Date:[[sale_due_date]]</div>\r\n                                <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\r\n                                <div>Sales Man: [[smc__print_username]]</div>\r\n                            </div>\r\n                        </div>\r\n                        <div class=\"row\">\r\n                            <table class=\"table  border-table\">\r\n                                <thead>\r\n                                    <tr class=\"border-div\">\r\n                                        <th class=\"border-tr text-center\">Code</th>\r\n                                        <th class=\"border-tr text-center\">Item</th>\r\n                                        <th class=\"border-tr text-center\">Qty</th>\r\n                                        <th class=\"border-tr print_delv text-center\">Price</th>\r\n                                        <th class=\"border-tr print_delv text-center\" >Discount</th>\r\n                                        <th class=\"border-tr print_delv text-center\">Total</th>\r\n                                    </tr>\r\n                                </thead>\r\n                                <tbody>\r\n                                    [[smc__start_inv_detail]]\r\n                                    <tr>\r\n                                        <td class=\" border-tr text-center\">[[Code]]</td>\r\n                                        <td class=\"border-tr\">[[Product_Name]]</td>\r\n                                        <td class=\"border-tr text-center\">[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]]</span></td>\r\n                                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[product_discount_percent]] %</span></td>\r\n                                        <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\r\n                                    </tr>\r\n                                    [[smc__end_inv_detail]]\r\n                                </tbody>\r\n                            </table>\r\n                        </div>\r\n                        <div class=\"row\">\r\n                            <div class=\"col-xs-12 font-type  pull-right print_delv\">\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Subtotal</strong></span>:&nbsp;</div>  <div class=\"col-xs-2 \"><span>[[sub_total]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Discount</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[discount_percent]]&nbsp; %</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Net Total</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[net_total_before_disc]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>VAT ([[local_vat_amount]]&nbsp;LBP)</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[total_vat]]</span></div>\r\n                                <div class=\"col-xs-10 text-right\"><span><strong>Grand Total</strong></span>:&nbsp;</div>  <div class=\"col-xs-2\"><span>[[net_total]]</span></div>\r\n                                \r\n                            </div> \r\n                        </div> \r\n<br/>\r\n                        <div class=\"row details_info\"  > \r\n                            <div class=\"col-xs-12 font-type print_delv\">\r\n                                <!-- <div class=\"col-xs-12  border_total\"><span><strong>Payment Mode</strong></span>:&nbsp;[[Invoice_Sub_Total]]</div>-->\r\n                                <div class=\"col-xs-12  border_total\"> <div class=\"col-xs-3 \"><span><strong>Payment Terms</strong></span>:&nbsp;</div> <div class=\"col-xs-6\" >50% upon confirmation <br/><span>50% upon delivery</span></div></div>\r\n                                <div class=\"col-xs-12  border_total\"><strong style=\"margin-left:15px;\">[[grand_total_word_en]]</strong></div>\r\n                           \r\n                            </div>\r\n                           \r\n                          \r\n                        </div>\r\n\r\n                    </div>\r\n                </div>\r\n\r\n                <br>\r\n                <div class=\"col-xs-12\">\r\n                    <div class=\"row\">\r\n                        <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row no-print\">\r\n                    <div class=\"col-md-12\">\r\n                        <div class=\"pull-right\">\r\n                            <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                        \r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n\r\n\r\n\r\n\r\n</body>\r\n', 1, 1, 'Server skaff_quotation', 1),
(31, 'customer_coupon', '\r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    margin-bottom: 20px;\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n.hidden{\r\ndisplay:none;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div>[[org__Organization_Name]]</div>\r\n                    <div class=\"phone-l\">[[org__Organization_Phone]]</div>\r\n\r\n                    <div>[[org__Name]]-[[org__Organization_Province]]</div>\r\n                    <div class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</div>\r\n                    <div class=\"phone-l\">E-mail: [[org__Organization_Email]]</div>\r\n                </div>\r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div class=\"text-right\">[[org__Organization_Legal_Name]]</div>\r\n                    <div class=\"text-right\">[[org__Organization_Phone]]</div>\r\n                    <div class=\"text-right\"> [[org__Organization_Street]]</div>\r\n                    <div class=\"text-right\">  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</div>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Sales Coupon Invoice</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-6 font-type \">\r\n                        Name: [[Customer_Name]]\r\n                        <br/>Address: [[Customer_Address]]\r\n                        <br/>Phone: [[Customer_Mobile]]\r\n                    </div>\r\n                    <div class=\"col-xs-4 pull-right font-type\">\r\n                        <div> Invoice # [[customer_coupon_prefix]] [[customer_coupon_id]]</div>\r\n                        <div>Date: [[invoice_date]]</div>\r\n                        <div> Coupon Type: [[bone_type_name]]</div>\r\n                        <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\r\n                    </div>\r\n                </div>\r\n<div class=\"[[coupon_class]]\">\r\n                <h3 class=\"bold mytitle\">Coupon</h3>\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-div\">\r\n                            <th class=\"border-td text-center\">No.</th>\r\n                            <th class=\"border-tr text-center\">Item</th>\r\n<th class=\"border-tr text-center\">Coupon Number</th>\r\n                            <th class=\"border-tr text-center\">Note</th>\r\n                            <th class=\"border-tr text-center\">Date</th>\r\n                            <th class=\"border-tr text-center\">litre</th>\r\n                            <th class=\"border-tr print_delv text-center\">Price</th>\r\n                            <th class=\"border-tr print_delv text-center\">Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_coupons]]\r\n                        <tr>\r\n                            <td class=\" border-td text-center\">[[count_c]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\r\n<td class=\"border-tr text-center\">[[coupon_number]]</td>\r\n                             <td class=\"border-tr text-center\">[[note]]</td>\r\n                            <td class=\"border-tr text-center\">[[coupon_date]]</td>\r\n                            <td class=\"border-tr text-center\">[[temp_current_quantity]]</td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[temp_unit_price]]</span></td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[temp_total_price]]</span> </td>\r\n                        </tr>\r\n                        [[smc__end_coupons]]\r\n                    </tbody>\r\n                </table>\r\n</div>\r\n                <div class=\"[[product_class]]\">\r\n                <h3 class=\"bold mytitle\">Product</h3>\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-div\">\r\n                            <th class=\"border-td text-center\">No.</th>\r\n                            <th class=\"border-tr text-center\">Item</th>\r\n                            <th class=\"border-tr text-center\">Note</th>\r\n                            <th class=\"border-tr text-center\">Qty</th>\r\n                            <th class=\"border-tr print_delv text-center\">Price</th>\r\n                            <th class=\"border-tr print_delv text-center\">Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_products]]\r\n                        <tr>\r\n                            <td class=\" border-td text-center\">[[count_p]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\r\n                             <td class=\"border-tr text-center\">[[note]]</td>\r\n                            <td class=\"border-tr text-center\">[[temp_current_quantity]]</td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[temp_unit_price]]</span></td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[temp_total_price]]</span> </td>\r\n                        </tr>\r\n                        [[smc__end_products]]\r\n                    </tbody>\r\n                </table>\r\n                </div>\r\n                <div class=\"row\">\r\n                <div class=\"col-xs-8\" style=\"padding-left:0px;\"> \r\n                 <div class=\"col-xs-12\"><span>Note</span>:&nbsp;[[temp_description]]</div>\r\n                </div>\r\n                    <div class=\"col-xs-4 font-type  pull-right print_delv\">\r\n                        <div class=\"col-xs-6\"><span>Subtotal</span>:&nbsp;</div>[[temp_SubTotal]][[Currency_Symbol]]<br/>\r\n                        <div class=\"col-xs-6\"><span>VAT [[smc__system_vat_percent]] %</span>:&nbsp;</div>[[temp_TotalVat]][[Currency_Symbol]]<br/>\r\n<div class=\"col-xs-6\"><span>Discount amount</span>:&nbsp;</div>[[temp_total_discount]][[Currency_Symbol]]<br/>\r\n                        <div class=\"col-xs-6 \"><span>Total Paid </span>:&nbsp;</div>[[temp_paid_amount]][[Currency_Symbol]]<br/>\r\n                        <div class=\"col-xs-6 \"><span><strong>Grand Total</span>:</strong>&nbsp;</div><strong>[[temp_NetTotal]][[Currency_Symbol]]<br>[[temp_net_total_word_ar]]<br>[[temp_net_total_word_en]]</strong>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <br>\r\n            <div class=\"col-xs-12\">\r\n                <div class=\"row\">\r\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                        <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>', 1, 1, 'Server customer_coupon', 1),
(32, 'station_purchase', '<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> \n<style type=\"text/css\">\n    .ValSpan{\n        opacity:0;\n    }\n    .inv-info{\n        font-size: 15px;\n        font-weight: bold;\n    }\n    .border-div{\n        border: 2px solid #000;\n        /* border-style: dotted; */\n        padding: 10px;\n        border-right:0;\n        border-left:0;\n        border-top:0;\n    }\n\n    .border-tr{\n        border: 2px solid #000;\n        /* border-style: dotted; */\n        padding: 12px;\n        border-bottom:0;\n        border-left:0;\n        border-top:0;\n    }\n    .border-td{\n        border: 2px solid #000;\n        /* border-style: dotted; */\n        padding: 10px;\n        border-bottom:0;\n        border-top:0;\n    }\n    .border-table{\n        border: 2px solid #000;\n        /* border-style: dotted; */\n        border-right:0;\n        border-left:0;\n        margin-top:15px;\n    }\n    .table tbody tr td{\n        /*line-height:12px;*/\n    }\n    .table thead tr th{\n        /* background: #ddd; */\n    }\n\n    h5{\n        font-size:17px !important;\n    }\n    .phone-l{\n        margin-left:1px !important;\n    }\n    .font-type-1{\n        font-size:medium !important;\n    }\n    .font-type{\n        font-size:large !important;\n    }\n    h5{\n        line-height: 15px !important;\n    }\n    h4{\n        line-height: 18px !important;\n    }\n    @media print {\n        .table thead tr th{\n            /* background: #ddd; */\n        }\n\n        h5{\n            font-size:14px !important;\n        }\n        img{\n            max-width: 50% !important;\n        }\n\n        .table tbody tr td{\n            /*line-height:20px;*/\n            font-size:1em !important;\n        }\n        .phone-l{\n            margin-left:1px !important;\n        }.font-type-1{\n            font-size:medium !important;\n        }\n        .font-type{\n            font-size:large !important;\n        }\n        .mytitle{\n            font-size:2.5em !important;\n        }\n\n\n        .footer{\n            bottom:-90px;\n            position:fixed;\n        }	\n    }\n\n</style>\n<style>\n    @media print{\n        .no-print{display:none;}\n    }\n    .text-center{text-align:center;}\n    .text-left{text-align:left;}\n    .text-right{text-align:right;}\n    .row:after, .row:before {\n        display: table;\n        content: \" \";\n        clear:both;\n    }\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    .col-xs-3{width:25%;}\n    .col-xs-4{width:33.33333333%;}\n    .col-xs-6{width:50%;}\n    .col-xs-8{width:66.66666666%;}\n    .col-xs-12{width:100%;}\n</style>\n<style>\n    .col-xs-5{width:41.66666667%;}\n    h4{\n        font-size: 23px;\n\n    }\n    h5{\n        font-size: 17px !important;\n    }\n    h1, h2, h3, h4, h5, h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight:300!important;\n    }\n    body{\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\n    }\n    .pull-right{float:right;}\n    .pull-left{float:left;}\n    .border-table {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    .table thead tr th {\n        text-transform: uppercase;\n\n        font-size: 13px;\n        padding-top: 8px;\n        padding-bottom: 8px;\n        vertical-align: middle;\n\n    }\n    .table thead tr th{\n\n        font-weight: 600;\n        color: rgba(44,44,44,0.35);}\n    .btn-danger, .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important; \n    }\n    .btn {\n        font-size: 14px;\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none!important;\n        color: #626262;\n        /* background-color: #ffffff; */\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    .btn-success-darker, .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    @media print\n    {\n\n        .invoice h1{\n            font-size:22px!important;\n        }\n        .total-purchase,.amount{\n            /*display:none !important;*/\n        }\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\n        .font-type{font-size:12px !important;}\n\n        .table thead tr th{\n            /* background-color:white!important; */\n            color:black!important;}\n        .header-div{font-size:13px;}\n    }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n\n                <div style=\"width: 100%;display: flex;justify-content: space-between;\">\n                   <div style=\"width: 35%;\">\n                    <div>[[organiaztion_name_en]]</div>\n                    <div>C.R: [[org_cr_en]]</div>\n                    <div>VAT No.: [[org_vat_en]]</div>\n                    <div>Phone No: [[org_phone_en]]</div>\n                    <div>Address : [[org_address_en]]</div>\n                \n                \n                   </div>\n                   <div style=\"width: 30%;\">  <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/> </div>\n                   <div style=\"width: 35%;direction: rtl;\">\n\n                    <div>[[org__Organization_Name]]</div>\n                    <div>السجل التجاري : [[org__Organization_Commercial_Registry]]</div>\n                    <div>الرقم الضريبي : [[Organization_vat_num]]</div>\n                    <div>رقم الهاتف : [[org__Organization_Phone]]</div>\n                    <div>العنوان : [[org_address_ar]]</div>\n                   \n                \n                \n                \n                  </div>\n\n                </div>\n\n\n\n\n\n            <!-- <div class=\"row \">\n                <div class=\"col-xs-4  m-b-10\">\n                    <h4 >[[org__Organization_Name]]</h4>\n                    <h4 class=\"phone-l\">[[org__Organization_Phone]]</h4>\n\n                    <h5>[[org__Name]]-[[org__Organization_Province]]</h5>\n                    <h4 class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</h4>\n                    <h4 class=\"phone-l\">E-mail: [[org__Organization_Email]]</h4>\n                </div>\n                <div class=\"col-xs-4 text-center\">\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\n                </div>\n                <div class=\"col-xs-4  m-b-10\">\n                    <h4 class=\"text-right\">[[org__Organization_Legal_Name]]</h4>\n                    <h4 class=\"text-right\">[[org__Organization_Phone]]</h4>\n                    <h5 class=\"text-right\"> [[org__Organization_Street]]</h5>\n                    <h4 class=\"text-right\">  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</h4>\n                </div>\n            </div> -->\n            <div class=\"col-xs-8 col-md-8 pull-right\">\n                <div class=\"row\">\n                    <div class=\"col-xs-5\">\n                        <h1 class=\"text-center mytitle\">Station Purchase</h1>\n                    </div>\n\n                </div>\n            </div>\n            <div class=\"col-xs-12 col-md-12 border-div\">\n                <div class=\"row\">\n                    <div class=\"col-xs-6 font-type \">\n                        Name: [[Name]]\n                        <br/>Address: [[Country_Name]] -  [[Address]]\n                        <br/>Phone:[[Phone]]\n                    </div>\n                    <div class=\"col-xs-3 pull-right font-type\">\n                        <div> Invoice # [[ID]]</div>\n                        <div>Date: [[Date]]</div>\n                        <div>Due Date:[[Due_Date]]</div>\n                        <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\n                    </div>\n                </div>\n                <table class=\"table  border-table\">\n                    <thead>\n                        <tr class=\"border-div\" style=\"box-shadow: inset 500px 500px #ddd;\">\n                            <th class=\"border-td text-center\">No.</th>\n                            <th class=\"border-tr text-center\">Compts</th>\n                            <th class=\"border-tr text-center\">Item</th>\n                            <th class=\"border-tr text-center\">Lits Obs</th>\n                            <th class=\"border-tr text-center\">Temp</th>\n                            <th class=\"border-tr text-center\">Coeff</th>\n                            <th class=\"border-tr text-center\">Lit. 15</th>\n                            <th class=\"border-tr print_delv text-center\">Price</th>\n                            <th class=\"border-tr print_delv text-center\">Total</th>\n                        </tr>\n                    </thead>\n                    <tbody>\n                        [[smc__start_inv_detail]]\n                        <tr>\n                            <td class=\" border-td text-center\">[[Count]]</td>\n                            <td class=\"border-tr text-center\">[[compts]]</td>                \n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\n                            <td class=\"border-tr text-center\">[[liter_abs]]</td>\n                            <td class=\"border-tr text-center\">[[temp]]</td>\n                            <td class=\"border-tr text-center\">[[coeff]]</td>\n                            <td class=\"border-tr text-center\">[[Item_Quantity_Current]]</td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]]</span></td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\n                        </tr>\n                        [[smc__end_inv_detail]]\n                    </tbody>\n                </table>\n                <div class=\"row\">\n                    <div class=\"col-xs-3 \">\n                    </div>\n                    <div class=\"col-xs-4 font-type  pull-right print_delv\">\n                        <div class=\"col-xs-6\"><span>Subtotal</span>:&nbsp;</div>[[Invoice_Sub_Total]]<br/>\n                        <div class=\"col-xs-6\"><span>VAT [[smc__system_vat_percent]] %</span>:&nbsp;</div>[[Invoice_VAT]]<br/>\n                        <div class=\"col-xs-6 \"><span>Discount </span>:&nbsp;</div>[[Invoice_Discount]]<br/>\n                        <div class=\"col-xs-6 \"><span>Total Paid </span>:&nbsp;</div>[[Invoice_Paid_Amount]]<br/>\n                        <div class=\"col-xs-6 \"><span><strong>Grand Total</span>:</strong>&nbsp;</div><strong>[[Invoice_Net_Total]]</strong>\n                    </div>\n                </div>\n            </div>\n            <br>\n            <div class=\"col-xs-12\">\n                <div class=\"row\">\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\n                    </div>\n                </div>\n            </div>\n            <div class=\"row no-print\">\n                <div class=\"col-md-12\">\n                    <div class=\"pull-right\">\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\n                        <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\n                    </div>\n\n                </div>\n            </div>\n        </div>\n    </div>\n</div>', 1, 1, 'Server station_purchase', 1),
(33, 'manual_jv', '\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n\r\n    }\r\n    .table thead tr th{\r\n\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    @media print\r\n    {\r\n\r\n        .invoice h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}\r\n    }\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n                <div class=\"row \">\r\n                    <div class=\"col-xs-12 \">\r\n                        <h2 class=\"text-center mytitle\" >Manual JV</h2>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-12\">\r\n                        <div>JV # [[jv_number]]</div>\r\n                        <div>Date: [[jv_date]]</div>\r\n                        <!--                    <div>Branch: [[branch_name]]</div>-->\r\n                    </div>\r\n                </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-div\">\r\n                            <th class=\"border-td text-center\">Account Code.</th>\r\n                            <th class=\"border-tr text-center\">Account Name</th>\r\n                            <th class=\"border-tr text-center\">Transaction type</th>\r\n                            <th class=\"border-tr text-center\">Transaction Amount</th>\r\n                            <th class=\"border-tr print_delv text-center\">Description</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_details]]\r\n                        <tr>\r\n                            <td class=\" border-td text-center\">[[Transaction_Account]]</td>\r\n                            <td class=\"border-tr text-center\">[[Account_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[Transaction_Type]]</td>\r\n                            <td class=\"border-tr text-center\">[[Transaction_Amount_Formatted]] [[Currency_Symbol]]</td>\r\n                            <td class=\"border-tr text-center\">[[Transaction_Description]]</td>\r\n                        </tr>\r\n                        [[smc__end_details]]\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            <br>\r\n            <div class=\"col-xs-12\">\r\n                <div class=\"row\">\r\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server manual_jv', 1),
(34, 'barcode_abbas_optic', '<html>\r\n<body  onload=\"window.print()\">\r\n\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style >\r\nbody{margin:0;padding:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;font-size:9px;line-height:1;font-weight:bold;}\r\n@page  \r\n{\r\n    margin: 5px 5px 0px 12px;  \r\n} \r\n</style>\r\n\r\n    <div style=\'margin-left:36mm;\'>\r\n            <div style=\'text-align:center;font-size:13px;\' >\r\n            [[Code]]\r\n            </div>\r\n            <div style=\'text-align:center;font-size:13px;margin-top:1mm\'>\r\n            [[price]]\r\n            </div>\r\n\r\n        </div>\r\n<div style=\'width:90%;margin-left:25mm;text-align:center;margin-top:5.5mm;\'><img src=\"[[barcode_image]]\" style=\"height:33px;\"</div>\r\n\r\n    </body>\r\n</html>', 1, 1, 'Server barcode_abbas_optic', 1),
(35, 'pos_expense', ' <style>\r\nbody{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n@page  \r\n{ \r\n    margin: 0px 30px 0px 12px;  /*sumatra*/\r\n\r\n    /*margin: 0px 30px 0px 15px;*/  /*dialog*/\r\n} \r\n      table.first {\r\n	  width:100%;\r\n            color: #000;\r\n            font-size: 15pt;\r\n           text-align:center\r\n        }\r\n       th{\r\n            border-bottom: 1px solid #000;  \r\n            text-align:center;\r\n            font-size:14pt;\r\n       }\r\n	   .hidden{\r\n	   display:none;\r\n	   }\r\n\r\n    </style>\r\n    <body onload=\"window.print()\">\r\n\r\n\r\n\r\n        <table class=\"first\">\r\n            <thead>\r\n <tr><td colspan=\"2\">Payment</td></tr>\r\n            <tr><td colspan=\"2\">Print Time</td></tr>\r\n            <tr><td colspan=\"2\">[[date_time]]</td></tr>\r\n   <tr><td colspan=\"2\">Supplier:[[Name]]</td></tr>\r\n<tr><td colspan=\"2\">Phone:[[Phone]]</td></tr>\r\n<tr><td colspan=\"2\">Address:[[Address]]</td></tr>\r\n            <tr>\r\n                <th style=\"width:50%\">Name</th>\r\n                <th style=\"width:50%\">Total</th>\r\n\r\n            </tr>\r\n            </thead>\r\n            <tbody>\r\n            <tr>\r\n            <td style=\"width:50%\">[[Account_Name]]</td><td style=\"width:50%\">[[expense_total_with_vat]] [[Currency_Symbol]]</td>\r\n\r\n           </tr>  </tbody> \r\n		   </table>\r\n <table style=\"float:right;\">\r\n            <tbody>\r\n<tr>\r\n<td>Paid Amount: </td><td>[[paid_amount]][[Currency_Symbol]]</td>\r\n</tr>\r\n		   </tbody> \r\n		   </table>\r\n		   <br><div class=\"[[class_note]]\"><p style=\"font-size:12pt;border:1px solid #000;\" >[[Expense_Note]]</p></div>\r\n		   </body>', 1, 1, 'Server pos_expense', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(36, 'postponed_invoice', '\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n<style>\r\nbody{margin:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n@page  \r\n{ \r\n    margin: 0px 5px 0px 12px;  /*sumatra*/\r\n\r\n    /*margin: 0px 30px 0px 15px;*/  /*dialog*/\r\n} \r\n.secondTbl td{white-space:nowrap;}\r\n.hidden{display:none;}\r\n    #headerDiv span {font-size:10px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n     /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\nmargin:0px 0px;padding:0;\r\n    }\r\n\r\n    table.first,table.secondTbl {color: #000;font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n/*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\r\n    th,td{\r\n        font-size:10px;text-align:left;}\r\n    .second{display:none;}\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <h3>[[org__Organization_Name]]</h3>\r\n            <span>[[org__Organization_Street]] </span>\r\n            <span>[[org__Organization_Phone]]</span>\r\n            <br><span>VAT #: [[org__Organization_Commercial_Registry]]</span><br>\r\n<span class=\"[[customer_data_hide]]\" >Customer: [[Customer_Name]]<br></span>\r\n<span class=\"[[customer_data_hide]]\" >Address: [[Address]]<br></span>\r\n<span class=\"[[customer_data_hide]]\" >Phone: [[Phone]]<br></span>\r\n            <span>Time: [[smc__print_time]]</span>\r\n            <br><span>PostPoned# [[Invoice_ID]]</span>\r\n<br><span>Postponed Date:[[postponed_date_time]]</span>\r\n<br><span>Branch:[[Depot_Name]]</span>\r\n\r\n            <br><hr>\r\n            <div class=\"row\">\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Qty</th>\r\n                            <th>Price</th>\r\n<th>Disc.</th>\r\n                            <th>Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Product_Name]][[product_description]]<br/>[[TAG]]</td>\r\n  <td >[[Item_Quantity_Current]]</td>\r\n                            <td >[[Product_Net_Price_TTC]]</td>\r\n<td >[[Product_Discount]] %</td>\r\n                            <td >[[Product_Total_Price_After_Disc_TTC]]</td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            <hr>\r\n\r\n\r\n            <div class=\"row\" style=\"float:right;\">\r\n                    <table class=\"secondTbl\">\r\n                        <thead>\r\n                            <tr class=\"second\">\r\n                                <th ></th>\r\n                                <th ></th>\r\n                            </tr>\r\n                        </thead>\r\n                        <tbody>\r\n<tr>\r\n                             <!--   <td>[[shipp]]</td>-->\r\n                                <td colspan=\'2\'>[[payment_type]]</td>\r\n\r\n                            </tr>\r\n<tr>\r\n                                <td>Delivery</td>\r\n                                <td>[[Invoice_Shipping]] [[Currency_Symbol]]</td>\r\n\r\n                            </tr>\r\n\r\n                            <tr>\r\n                                <td>Subtotal</td>\r\n                                <td>[[Invoice_Sub_Total]] [[Currency_Symbol]] </td>\r\n\r\n                            </tr>\r\n                            <tr>\r\n                                <td>Discount</td>\r\n                                <td>[[discount_amount]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n  <tr>\r\n                                <td>VAT</td>\r\n                                <td>[[Invoice_VAT]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n                            <tr>\r\n                                <td style=\"font-weight: bold;\">Total </td>\r\n                                <td style=\"font-weight: bold;\">[[grand_total]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n<tr>\r\n                                <td style=\"font-weight: bold;\">Paid Amount</td>\r\n                                <td style=\"font-weight: bold;\">[[Invoice_Paid_Amount]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n <tr>\r\n                                <td style=\"font-weight: bold;\">Unpaid Amount</td>\r\n                                <td style=\"font-weight: bold;\">[[unpaid_amount]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n <tr class=\"[[cash_class]]\">\r\n                                <td style=\"font-weight: bold;\">Cash Amount</td>\r\n                                <td style=\"font-weight: bold;\">[[cash_amount]] [[Currency_Symbol]]  </td>\r\n                            </tr>\r\n <tr class=\"[[cash_class]]\">\r\n                                <td style=\"font-weight: bold;\">Returned Cash</td>\r\n                                <td style=\"font-weight: bold;\">[[returned_cash]] [[Currency_Symbol]]  </td>\r\n                            </tr> \r\n\r\n                        </tbody>\r\n\r\n                    </table>\r\n            </div>\r\n<div style=\"clear:both;\"></div>\r\n            <hr style=\"padding:0;margin:0;\">\r\n\r\n  \r\n                <p class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\">Thank you for your visit.</p>\r\n<span class=\"third\" >Served by: [[smc__print_username]]</span>\r\n            </div>\r\n</body>', 1, 1, 'Server postponed_invoice', 1),
(37, 'pos_receipt', ' <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\n<style>\n    body {\n        margin: 0;\n        \n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    @page {\n        margin: 0px 5px 0px 12px;\n        /*sumatra*/\n        /*margin: 0px 30px 0px 15px;*/\n        /*dialog*/\n    }\n    \n    .secondTbl td {\n        white-space: nowrap;\n    }\n    \n    .hidden {\n        display: none;\n    }\n    \n    #headerDiv span {\n        font-size: 13px;\n    }\n    \n    #headerDiv h3 {\n        margin-bottom: 0px;\n    }\n    \n    h3 {\n        display: block;\n        margin: 0 0 5px;\n        padding: 0;\n        font-size: 1em !important;\n        /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    \n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\n        margin: 0px 0px;\n        padding: 0;\n    }\n    \n    table.first,\n    table.secondTbl {\n        color: #000;\n        font-size: 13px;\n        /*float:right;    margin-right: 8%;*/\n    }\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\n    \n    th,\n    td {\n        font-size: 13px;\n        text-align: left;\n    }\n    \n    .second {\n        display: none;\n    }\n    \n    body {\n      \n        margin: 0;\n        padding: 0;\n        width: 100%;\n    }\n    \n    @media print {\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n   .hr1 {\n    border:none;\n    border-top:1px dashed rgb(10, 10, 10);\n    color:#fff;\n    background-color:#fff;\n    height:1px;\n    width:100%;\n    }\n</style>\n\n<body onload=\"window.print()\">\n\n    <div style=\"text-align: center;width: 98%;\" id=\"headerDiv\">\n     <br>\n\n<div class=\"col-xs-4 text-center\">\n    <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;\">\n</div>\n<br>\n<div class=\"col-xs-4 text-center\">[[organiaztion_name_en]] </div>\n<div class=\"col-xs-4 text-center\">CR#[[org_cr_en]] </div>\n<div class=\"col-xs-4 text-center\">VAT No.#[[org_vat_en]] </div>\n<!-- <div class=\"col-xs-4 text-center\">[[org_address_en]] </div> -->\n<div class=\"col-xs-4 text-center\">Phone No: [[org_phone_en]]</div>\n<div class=\"col-xs-4 text-center\"> Cash Receipt </div>\n<div class=\"col-xs-4 text-center\"> فاتورة نقدية </div>\n\n<!-- <div class=\"col-xs-4 text-center\">VAT Reg. [[org_vat_en]] </div> -->\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n<table>\n    <tr>\n        <td >Slip : [[payment_prefix]]  [[Payment_ID]] </td>\n      \n    </tr>\n    <tr>\n        <td style=\"width: 50%;\">Staff : [[User_Full_Name]]</td>\n        \n    </tr>\n    <tr>\n        <td > Date : [[date_created]] </td>\n    </tr>\n</table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n\n\n<div>\n    <table style=\"width: 100%;\" border=\"0\">\n       <tr>\n        <td style=\"width: 50%;\">We Received From : [[Account_Name]] </td>\n        \n       </tr>\n       <tr>\n        <td>Amount :  [[Payment_Amount]] [[Currency_Symbol]]</td>\n       </tr>\n       <tr>\n        <td>The sum of : [[Payment_Note]] </td>\n       </tr>\n       <tr>\n        <td style=\"text-align: center;\"> Receiver Sign</td>\n       </tr>\n       <tr>\n        <td>&nbsp;</td>\n       </tr>\n    </table>\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"text-align: center;\">[[print_date]]</div>\n<div style=\"text-align: center;\">[[org_address_ar]]</div>\n<div style=\"text-align: center;\">[[org_address_en]]</div>\n<br>\n<!-- <br>\n<div class=\"row\">\n    <table class=\"first \" cellspacing=\'\' style=\"width:99%;\" border=\"0\">\n        <thead>\n            <tr style=\"width: 100%;\">\n                <th>إسم المنتج  </th>\n                <th> الكمية</th>\n                <th style=\"text-align: center;\">سعر الوحدة </th>\n                <th>Disc.</th>\n                <th style=\"text-align: right;\"> كمية الشبكة </th>\n              \n            </tr>\n        </thead>\n        <tbody>\n\n            [[smc__start_inv_detail]]\n            <tr>\n                <td style=\"font-size:13px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Product_Name]][[product_description]] </td>\n                <td>[[Item_Quantity_Current]]</td>\n                <td style=\"text-align: center;\"> [[Product_Net_Price_TTC]] [[Currency_Symbol]]</td>\n                <td >[[Product_Discount]] %</td>\n                <td style=\"text-align: right;\">  [[Product_Total_Price_After_Disc_TTC]] [[Currency_Symbol]]</td>\n            </tr>\n            [[smc__end_inv_detail]]\n\n        </tbody>\n    </table>\n</div> -->\n\n\n\n\n\n<!-- <div style=\"clear:both;\"></div>\n<div class=\"hr1\"></div> -->\n<!-- <br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\">\n        <tr>\n            <td style=\"width: 60%;\">Total   [[Currency_Symbol]]</td>\n            <td style=\"width: 40%;\">[[grand_total]]</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Cash  [[Currency_Symbol]]</td>\n            <td style=\"font-weight: bold;\">[[cash_amount]]</td>\n        </tr>\n        <tr>\n            <td>&nbsp;</td>\n            <td>&nbsp;</td>\n        </tr>\n        <tr>\n            <td style=\"font-weight: bold;\">Change</td>\n            <td style=\"font-weight: bold;\">[[returned_cash]]</td>\n        </tr>\n\n    </table>\n\n</div>\n<br>\n<div class=\"hr1\"></div>\n<br>\n<div style=\"width: 100%;\">\n    <table style=\"width: 100%;\" border=\"0\">\n    <tr style=\"width: 100%;\">\n        <td style=\"width: 25%;\">VAT %</td>\n        <td style=\"width: 25%;\">Net.Amt</td>\n        <td style=\"width: 25%;\">VAT</td>\n        <td style=\"width: 25%;\">Amount</td>\n\n    </tr>\n    <tr style=\"width: 100%;\">\n        <td>[[smc__system_vat_percent]]</td>\n        <td>[[invoice_net_total_before_vat]]</td>\n        <td>[[local_vat_amount]]</td>\n        <td>[[grand_total]]</td>\n\n    </tr>\n\n</table>\n<br>\n<div class=\"hr1\"></div>\n<br> -->\n<!-- <div style=\"width: 100%;text-align: center;\">\n    <img src=\"[[qrcode]]\" style=\"width: 170px;height: 170px;\">\n</div> -->\n\n</div>\n   \n    </div>\n  \n\n\n</body>\n', 1, 1, 'Server pos_receipt', 1),
(39, 'tfaily_invoice', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n  .border_total{\r\n        border:1px solid;\r\n        padding:5px;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    margin-bottom: 20px;\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div>[[org__Organization_Name]]</div>\r\n                    <div class=\"phone-l\">[[org__Organization_Phone]]</div>\r\n\r\n                    <div>[[org__Name]]-[[org__Organization_Province]]</div>\r\n                    <div class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</div>\r\n                    <div class=\"phone-l\">E-mail: [[org__Organization_Email]]</div>\r\n                </div>\r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div class=\"text-right\">[[org__Organization_Legal_Name]]</div>\r\n                    <div class=\"text-right\">[[org__Organization_Phone]]</div>\r\n                    <div class=\"text-right\"> [[org__Organization_Street]]</div>\r\n                    <div class=\"text-right\">  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</div>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Sales Invoice</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-6 font-type \">\r\n                        Name: [[Name]]\r\n                        <br/>Address: [[Country_Name]] -  [[Address]]\r\n                        <br/>Phone: [[Mobile]] - [[Phone]]\r\n<br/>Reg#: [[CR]] \r\n                    </div>\r\n                    <div class=\"col-xs-4 pull-right font-type\">\r\n                        <div> Invoice # [[invoice_prefix]] [[Invoice_ID]]</div>\r\n                        <div>Date: [[Invoice_Date_format]]</div>\r\n                        <div>Due Date:[[Invoice_Due_Date]]</div>\r\n                        <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\r\n                    </div>\r\n                </div>\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-div\">\r\n                            <th class=\"border-td text-center\">No.</th>\r\n                            <th class=\"border-tr text-center\">Item</th>\r\n<th class=\"border-tr text-center\">brand</th>\r\n                            <th class=\"border-tr text-center\">Qty</th>\r\n                            <th class=\"border-tr print_delv text-center\">Price</th>\r\n                            <th class=\"border-tr print_delv text-center\" >Discount</th>\r\n                            <th class=\"border-tr print_delv text-center\">Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td class=\" border-td text-center\">[[Count]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\r\n\r\n                            <td class=\"border-tr text-center\">[[brand_name]]</td>\r\n                            <td class=\"border-tr text-center\">[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]]</span></td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Discount]] %</span></td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n                    </tbody>\r\n                </table>\r\n                <div class=\"row\">\r\n<div class=\"col-xs-12\">\r\n                    <div class=\"col-xs-6 border_total \">\r\n   <div class=\"col-xs-6\"><span>previous_balance</span>:&nbsp;</div><div class=\"col-xs-6\">[[previous_balance]]</div><br/>\r\n                        <div class=\"col-xs-6\"><span>current_balance</span>:&nbsp;</div><div class=\"col-xs-6\">[[current_balance]]</div>\r\n\r\n                    </div>\r\n                    <div class=\"col-xs-6 font-type border_total print_delv\">\r\n\r\n                        <!--<div class=\"col-xs-6\"><span>Quantity</span>:&nbsp;</div>[[invoice_total_quantity]]<br/>-->\r\n                        <div class=\"col-xs-6\"><span>Subtotal</span>:&nbsp;</div><div class=\"col-xs-6\">[[Invoice_Sub_Total]]</div><br/>\r\n                        <div class=\"col-xs-6\"><span>VAT [[smc__system_vat_percent]] % </span>:&nbsp;</div><div class=\"col-xs-6\">[[Invoice_VAT]]</div><br/>\r\n                        <!--<div class=\"col-xs-6 \"><span>Discount </span>:&nbsp;</div>[[Invoice_Discount]]<br/>-->\r\n                      <!--  <div class=\"col-xs-6 \"><span>Total Paid </span>:&nbsp;</div>[[Invoice_Paid_Amount]]<br/>-->\r\n                        <div class=\"col-xs-6 \"><span><strong>Grand Total</span>:</strong>&nbsp;</div><div class=\"col-xs-6\"><strong>[[Invoice_Net_Total]]</div>\r\n\r\n</strong>\r\n                    </div>\r\n                </div>\r\n            </div></div>\r\n            <br>\r\n            <div class=\"col-xs-12\">\r\n                <div class=\"row\">\r\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                        <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server tfaily_invoice', 1),
(40, 'end_of_day', '<style>\r\n    #headerDiv span {font-size:12px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n    table.first{\r\n        border-spacing: 0px;\r\n    }\r\n    table.first thead tr th{\r\n        border-bottom: 1px solid black;\r\n    }\r\n    table.first,table.secondTbl {color: #000;font-family: aealarabiya; font-size: 12px;}\r\n    th,td{\r\n        font-size:12px;text-align: center;}\r\n    tr th:first-child,tr td:first-child{\r\n        font-size:12px;text-align: left;}\r\n    .second{display:none;}\r\n    .pay-title{\r\n        text-align: center !important;\r\n        border-bottom: 1px solid black;\r\n        border-top: 1px solid black;\r\n    }\r\n\r\n    .total_cash td{\r\n        border-top: 1px solid black;\r\n        font-weight: bold;\r\n        font-size:14px !important;\r\n    }\r\n    body{\r\n        margin:0;\r\n    }\r\n\r\n    tr.hidden,th.hidden,td.hidden,div.hidden{\r\n        display:none;\r\n    }\r\n</style>\r\n<body  onload=\"[[type_preview]]\">\r\n[[smc__start_data_per_days]]\r\n    <div id=\"myDivToPrint\" style=\"page-break-after:always;\">\r\n        <div style=\"text-align: center;\" id=\"headerDiv\">\r\n            <h3>[[template_title]]</h3>\r\n            <br><span>From : [[current_date_from]]</span>\r\n            <br><span>To : [[current_date_to]]</span>\r\n            [[smc__start_users_data]]\r\n            <div class=\"[[user_name_class]]\">\r\n                <hr>\r\n                <div class=\'row\'>\r\n                    <span style=\"font-weight: bold;font-size:16px;\">[[user_name]]</span>\r\n                </div>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th  style=\"width:30%\">Title</th>\r\n                            <th  style=\"width:30%\">Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <!-- start of Total counts -->\r\n                        <tr class=\"[[count__total_nb_persons_class]]\">\r\n                            <td>Total number of persons</td>\r\n                            <td>[[count__total_nb_persons]]</td>\r\n                        </tr> \r\n                        <tr class=\"[[count__total_tables_class]]\">\r\n                            <td>Total number of tables</td>\r\n                            <td>[[count__total_tables]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[count__total_void_invoices_class]]\">\r\n                            <td>Total number of void invoices</td>\r\n                            <td>[[count__total_void_invoices]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[count__total_void_items_class]]\">\r\n                            <td>Total number of void items</td>\r\n                            <td>[[count__total_void_items]]</td>\r\n                        </tr>\r\n                        <!-- end of Total counts -->\r\n                        <!-- start of Total amounts -->\r\n                        <tr class=\"[[amounts__total_amount_tables_class]]\">\r\n                            <td>Total amount of tables</td>\r\n                            <td>[[amounts__total_amount_tables]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[amounts__total_amount_delivery_class]]\">\r\n                            <td>Total amount of delivery</td>\r\n                            <td>[[amounts__total_amount_delivery]]</td>\r\n                        </tr> \r\n                        <tr class=\"[[amounts__total_amount_takeaway_class]]\">\r\n                            <td>Total amount of takeaway</td>\r\n                            <td>[[amounts__total_amount_takeaway]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[amounts__total_amount_void_invoices_class]]\">\r\n                            <td>Total amount of void invoices</td>\r\n                            <td>[[amounts__total_amount_void_invoices]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[amounts__total_amount_void_items_class]]\">\r\n                            <td>Total amount of void items</td>\r\n                            <td>[[amounts__total_amount_void_items]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[amounts__average_amount_on_person_class]]\">\r\n                            <td>Average amount on person</td>\r\n                            <td>[[amounts__average_amount_on_person]]</td>\r\n                        </tr>\r\n                        <!-- end of Total amounts -->\r\n                    </tbody>\r\n                </table>\r\n                <hr>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th  style=\"width:30%\">Title</th>\r\n                            <th  style=\"width:30%\">Total In [[currency_symbol]]</th>\r\n                            <th  class=\"[[local_amount_col_class]]\" style=\"width:30%\" >Total In [[smc__local_currency_symbol]]</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr class=\"[[totals__net_returns_amount_class]]\">\r\n                            <td>Net Returns</td>\r\n                            <td>[[totals__net_returns_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__net_returns_local_amount]]</td>\r\n                        </tr>\r\n\r\n\r\n\r\n                        <tr class=\"[[totals__vat_returns_amount_class]]\">\r\n                            <td>Vat Returns</td>\r\n                            <td>[[totals__vat_returns_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__vat_returns_local_amount]]</td>\r\n                        </tr>\r\n\r\n\r\n\r\n\r\n                        <tr class=\"[[totals__net_invoices_amount_class]]\">\r\n                            <td>Net Invoices</td>\r\n                            <td>[[totals__net_invoices_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__net_invoices_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__vat_invoices_amount_class]]\">\r\n                            <td>Vat Invoices</td>\r\n                            <td>[[totals__vat_invoices_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__vat_invoices_local_amount]]</td>\r\n                        </tr>\r\n\r\n<tr class=\"[[totals__shipping_amount_class]]\">\r\n                            <td>Delivery Fees</td>\r\n                            <td>[[totals__shipping_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__shipping_local_amount]]</td>\r\n                        </tr>\r\n\r\n                        <tr class=\"[[totals__vat_inv_ret_amount_class]]\">\r\n                            <td>Total Vat</td>\r\n                            <td>[[totals__vat_inv_ret_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__vat_inv_ret_local_amount]]</td>\r\n                        </tr>\r\n\r\n\r\n                        <tr>\r\n                            <td class=\"pay-title\" colspan=\"[[deposite_col_span]]\" style=\"font-weight: bold\">Payments</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__deposit_amount_class]]\">\r\n                            <td>Deposite</td>\r\n                            <td>[[totals__deposit_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__deposit_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__withdrawal_amount_class]]\">\r\n                            <td>Withdrawal</td>\r\n                            <td>[[totals__withdrawal_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__withdrawal_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__payments_amount_class]]\">\r\n                            <td>Payments</td>\r\n                            <td>[[totals__payments_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__payments_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__receipts_amount_class]]\">\r\n                            <td>Receipts</td>\r\n                            <td>[[totals__receipts_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__receipts_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__invoices_amount_class]]\">\r\n                            <td>Invoices</td>\r\n                            <td>[[totals__invoices_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__invoices_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__expenses_amount_class]]\">\r\n                            <td>Expenses</td>\r\n                            <td>[[totals__expenses_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__expenses_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__returns_amount_class]]\">\r\n                            <td>Returns</td>\r\n                            <td>[[totals__returns_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__returns_local_amount]]</td>\r\n                        </tr>\r\n                        <tr class=\"[[totals__total_cash_amount_class]]\">\r\n                            <td>Cash</td>\r\n                            <td>[[totals__total_cash_amount]]</td>\r\n                            <td class=\"[[local_amount_col_class]]\">[[totals__total_cash_local_amount]]</td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n            [[smc__end_users_data]]\r\n            <hr>\r\n\r\n            <div class=\"[[with_invoice_view]]\">\r\n                <h5>Invoices</h5>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>#</th>\r\n                            <th>Customer Name</th>\r\n                            <th>Date</th>\r\n                            <th>Total</th>\r\n                            <th>type</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_data_inv]]\r\n                        <tr>\r\n                            <td>[[id]]</td>\r\n                            <td>[[customer_name]]</td>\r\n                            <td>[[date_created]]</td>\r\n                            <td>[[current_total]] [[smc__local_currency_symbol]]</td>\r\n                            <td>[[current_type]]</td>\r\n                        </tr>\r\n                        [[smc__end_data_inv]]\r\n                    </tbody>\r\n                </table>\r\n                <hr>\r\n            </div>\r\n\r\n            <div class=\"[[category_view]]\">\r\n                <h5>Total Per Category</h5>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Category</th>\r\n                            <th>Total</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_category_data]]\r\n                        <tr>\r\n                            <td>[[Cat_Name]]</td>\r\n                            <td>[[current_total_category_amount]] [[smc__local_currency_symbol]]</td>\r\n                        </tr>\r\n                        [[smc__end_category_data]]\r\n                    </tbody>\r\n                </table>\r\n                <hr>\r\n            </div>\r\n\r\n            <div class=\"[[with_sold_items_view]]\">\r\n                <h5>Total Sold Items</h5>\r\n                <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Quantity</th>\r\n                            <th>Price</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_sold_items_data]]\r\n                        <tr>\r\n                            <td >[[Item_Name]]</td>\r\n                            <td >[[total_qty]] [[UOM_Name]]</td>\r\n                            <td >[[current_total_price]][[smc__local_currency_symbol]]</td>\r\n                        </tr>\r\n                        [[smc__end_sold_items_data]]\r\n                    </tbody>\r\n                </table>\r\n                <table class=\"secondTbl\">\r\n                    <thead>\r\n                        <tr class=\"second\">\r\n                            <th ></th>\r\n                            <th ></th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr>\r\n                            <td><strong>Quantity</strong> </td>\r\n                            <td><strong>[[sold_item_total_quantity]]</strong></td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td><strong>SubTotal</strong> </td>\r\n                            <td><strong>[[sold_item_sub_total]] [[smc__local_currency_symbol]]</strong></td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td><strong>VAT</strong> </td>\r\n                            <td><strong>[[sold_item_vat_total]] [[smc__local_currency_symbol]]</strong></td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td><strong>Total </strong></td>\r\n                            <td><strong>[[sold_item_total]] [[smc__local_currency_symbol]]</strong></td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n                <hr>\r\n            </div>\r\n\r\n            <div class=\"[[with_inv_or_with_users_view]]\">\r\n                <table class=\"secondTbl\">\r\n                    <thead>\r\n                        <tr class=\"second\">\r\n                            <th ></th>\r\n                            <th ></th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr>\r\n                            <td>Total </td>\r\n                            <td>[[totals_total]] [[smc__local_currency_symbol]]</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>Cash</td>\r\n                            <td>[[totals_total_cash]] [[smc__local_currency_symbol]]</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>Debit</td>\r\n                            <td> [[totals_total_debit]] [[smc__local_currency_symbol]]</td>\r\n                        </tr> \r\n                        <tr>\r\n                            <td>Discount</td>\r\n                            <td>[[totals_discount]] [[smc__local_currency_symbol]]</td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n\r\n            <div class=\"[[with_total_credits_view]]\">\r\n                <table class=\"secondTbl\">\r\n                    <thead>\r\n                        <tr class=\"second\">\r\n                            <th ></th>\r\n                            <th ></th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr>\r\n                            <td>Credit Card </td>\r\n                            <td> [[credit_total_credit]] [[smc__local_currency_symbol]]</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>Cash </td>\r\n                            <td> [[credit_total_cash]] [[smc__local_currency_symbol]] </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n                <hr>\r\n            </div>\r\n            <span>Print Time : [[smc__print_time]]</span>\r\n        </div>\r\n    </div>\r\n[[smc__end_data_per_days]]\r\n</body>', 1, 1, 'Server end_of_day', 1),
(41, 'pos_quotation', '<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n<style>\r\n    body{margin:0;font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;}\r\n    @page  \r\n    { \r\n        margin: 0px 5px 0px 12px;  /*sumatra*/\r\n        /*margin: 0px 30px 0px 15px;*/  /*dialog*/\r\n    } \r\n    .secondTbl td{white-space:nowrap;}\r\n    .hidden{display:none;}\r\n    #headerDiv span {font-size:10px;}\r\n    #headerDiv h3{\r\n        margin-bottom: 0px;\r\n    }\r\n    h3 {\r\n        display: block;margin:0 0 5px;padding:0;\r\n        font-size: 1em !important;\r\n        /*   -webkit-margin-before: 1em;\r\n        -webkit-margin-after: 1em;\r\n        -webkit-margin-start: 0px;\r\n        -webkit-margin-end: 0px;*/\r\n        font-weight: bold !important;\r\n    }\r\n    hr {\r\n        display: block;\r\n        /*unicode-bidi: isolate;\r\n        -webkit-margin-before: 0.5em;\r\n        -webkit-margin-after: 0.5em;\r\n        -webkit-margin-start: auto;\r\n        -webkit-margin-end: auto;\r\n        overflow: hidden;*/\r\n        border-style: inset;\r\n        border-width: 1px;\r\n        margin:0px 0px;padding:0;\r\n    }\r\n    table.first,table.secondTbl {color: #000;font-size: 10px;/*float:right;    margin-right: 8%;*/}\r\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\r\n    th,td{\r\n        font-size:10px;text-align:left;}\r\n    .second{display:none;}\r\n    body{\r\n        margin:0;padding:0;width:100%;\r\n    }    @media print{\r\n        hr {\r\n            display: block !important;\r\n            /*unicode-bidi: isolate !important;\r\n            -webkit-margin-before: 0.5em !important;\r\n            -webkit-margin-after: 0.5em !important;\r\n            -webkit-margin-start: auto !important;\r\n            -webkit-margin-end: auto !important;\r\n            overflow: hidden !important;*/\r\n            border-style: inset !important;\r\n            border-width: 1px !important;\r\n        }\r\n    }\r\n</style>\r\n<body  onload=\"window.print()\">\r\n    <div style=\"text-align: center;\" id=\"headerDiv\">\r\n        <h3>[[org__Organization_Name]]</h3>\r\n        <span>[[org__Organization_Street]] </span>\r\n        <span>[[org__Organization_Phone]]</span>\r\n        <br><span>VAT #: [[org__Organization_Commercial_Registry]]</span><br>\r\n        <span>Time: [[smc__print_time]]</span>\r\n        <br><hr>\r\n        <div class=\"row\">\r\n            <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                <thead>\r\n                    <tr>\r\n                        <th>Name</th>\r\n                        <th>Qty</th>\r\n                        <th>Tag</th>\r\n                        <th>Price</th>\r\n                        <th>Disc.</th>\r\n                        <th>Total</th>\r\n                    </tr>\r\n                </thead>\r\n                <tbody>\r\n                    [[smc__start_inv_detail]]\r\n                    <tr>\r\n                        <td style=\"font-size:10px;\"><span class=\"special-char [[link_product_class]]\">&nbsp;↳</span>[[Product_Name]][[product_description]]</td>\r\n                        <td >[[Item_Quantity_Current]]</td>\r\n                        <td >[[tags]]</td>\r\n                        <td >[[Product_Net_Price_TTC]]</td>\r\n                        <td >[[Product_Discount]] %</td>\r\n                        <td >[[Product_Total_Price_After_Disc_TTC]]</td>\r\n                    </tr>\r\n                    [[smc__end_inv_detail]]\r\n                </tbody>\r\n            </table>\r\n        </div>\r\n        <hr>\r\n        <div class=\"row\" style=\"float:right;\">\r\n            <table class=\"secondTbl\">\r\n                <thead>\r\n                    <tr class=\"second\">\r\n                        <th ></th>\r\n                        <th ></th>\r\n                    </tr>\r\n                </thead>\r\n                <tbody>\r\n                    <tr>\r\n                        <td>Subtotal</td>\r\n                        <td>[[Invoice_Sub_Total_ttc]] [[Currency_Symbol]] </td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td>Discount</td>\r\n                        <td>[[discount_amount_ttc]] [[Currency_Symbol]]  </td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td>VAT</td>\r\n                        <td>[[Invoice_VAT]] [[Currency_Symbol]]  </td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td style=\"font-weight: bold;\">Total </td>\r\n                        <td style=\"font-weight: bold;\">[[grand_total]] [[Currency_Symbol]]  </td>\r\n                    </tr>\r\n                </tbody>\r\n            </table>\r\n        </div>\r\n        <div style=\"clear:both;\"></div>\r\n        <hr style=\"padding:0;margin:0;\">\r\n        <p class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\">Thank you for your visit.</p>\r\n        <span class=\"third\" >Served by: [[smc__print_username]]</span>\r\n    </div>\r\n</body>', 1, 1, 'Server pos_quotation', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(42, 'schedule_bills', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;font-size:20px;\r\n        direction:rtl;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n\r\n    }\r\n    .table thead tr th{\r\n\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    @media print\r\n    {\r\n\r\n        .invoice h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}\r\n       .all_data div.main_div:nth-child(3n) {\r\n            page-break-after: always;\r\n        }\r\n    }\r\n    .m-t-5{\r\n        margin-top:5px;\r\n    }\r\n    .pull-left{\r\n        float:left;\r\n    }\r\n.main_div{\r\nfont-size:16px !important}\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"all_data\">\r\n            [[smc__start_bill_detail]]\r\n            <div class=\"main_div\" style=\'min-height:320px;\'>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-12 text-center bold\">سند لأمر</div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-12 bold\">موقع السند [[Customer_Name]]</div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-4\"><span class=\"bold\">الهاتف [[Customer_Mobile]]</span></div>\r\n                    <div class=\"col-xs-8\"><span class=\"bold\">العنوان [[Customer_Address]]</span></div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-4 bold\">استحقاق: [[bill_detail_due_date]]</div>\r\n                    <div class=\"col-xs-4 bold\"> القيمة: [[bill_detail_amount_formatted]] [[Currency_Code]]</div>\r\n                    <div class=\"col-xs-4 bold\">رقم [[bill_detail_nb]]/[[real_nb_of_bills]]</div>\r\n\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-6 bold\">وبموجب هذا السند ندفع لأمر [[pay_for]]</div>\r\n                    <div class=\"col-xs-6 bold\">بتاريخ  [[bill_date]]</div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-12 bold\">المبلغ المرقوم أعلاه | [[bill_amount_word_ar]]</div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-12 bold\">والقيمة وصلتنا [[bill_description]]</div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-12 bold\">ان عدم تسديد هذا السند في تاريخ استحقاقه يجعل جميع السندات أو المظهرة منا لأمر السادة [[pay_for]]</div>\r\n                </div>\r\n                <div class=\"row m-t-5\">\r\n                    <div class=\"col-xs-12 bold\">مستحقة الأداء حكما وفورا دون الحاجة لأي اجراء او انذار أو معاملة أو مراجعة قضائية وتسري عليها الفائدة القانونية حكما من تاريخ الاستحقاق. \r\n                        كما أننا نتنازل عن حقتا في تبليغ أي اجراء أو عمل يجيز القانون التنازل عنه في المعاملة التنفيذية التي تضطرون  لسياقها بحقنا.</div>\r\n                </div>\r\n                <div class=\"row m-t-5 pull-left\">\r\n                    <div class=\"col-xs-12 \"> التوقيع:ــــــــــــــــــ</div>\r\n                </div>\r\n            </div>\r\n            [[smc__end_bill_detail]]\r\n</div>\r\n<div class=\"row m-t-5 no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-left\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server schedule_bills', 1),
(44, 'transfer_request', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n    .hidden{\r\n        display:none;\r\n    }\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n    .m-l-20{\r\n        margin-left:20px;\r\n    }\r\n    .m-l-40{\r\n        margin-left:40px;\r\n    }\r\n    .m-t-10{\r\n        margin-top:10px;\r\n    }\r\n</style>\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n    }\r\n    .table thead tr th{\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    @media print\r\n    {\r\n        .invoice h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}\r\n    }\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                    <div class=\"row\">\r\n                        <div class=\"col-xs-5\">\r\n                            <h1 class=\"text-center mytitle\">[[status_title]] Order</h1>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-3 header-div\">\r\n                    <strong>From</strong>\r\n                    <br>[[Req_From]]\r\n                </div>\r\n                <div class=\"col-xs-3 header-div\">\r\n                    <strong>To</strong>\r\n                    <br>[[Req_To]]\r\n                </div>\r\n                <div class=\"col-xs-3 header-div\">\r\n                    <strong> # </strong>\r\n                    <br>[[serial_prefix]][[Request_Number]]\r\n                </div>\r\n                <div class=\"col-xs-3 header-div\">\r\n                    <strong>Date</strong>\r\n                    <br>[[Request_Date]]\r\n                </div>\r\n            </div>\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-12 col-md-12\">\r\n                    <table class=\"table  border-table\">\r\n                        <thead>\r\n                            <tr class=\"border-div\">\r\n                                <th class=\"text-center\">#</th>\r\n                                <th class=\"text-center\">Code</th>\r\n                                <th class=\"text-center\">Item</th>\r\n                                <th class=\"text-center\">Quantity</th>\r\n                                <th class=\"text-center\">UOM</th>\r\n                            </tr>\r\n                        </thead>\r\n                        <tbody>\r\n                            [[smc__start_transfer_details]]\r\n                            <tr class =\"[[red_box_class]]\">\r\n                                <td class=\"text-center Counter\">[[counter]]</td>\r\n                                <td class=\"text-center\">[[Product_Code]]</td>\r\n                                <td class=\"text-center\">[[Product_Name]]</td>\r\n                                <td class=\"text-center UpdatedQuantityVal\">[[Current_Quantity]]</td>\r\n                                <td class=\"text-center \">[[UOM_Name]]</td>\r\n                            </tr>\r\n                            [[smc__end_transfer_details]]\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n                <div class=\"col-xs-12 col-md-12 [[reason_of_rejection_class]]\">\r\n                    <strong>Reason of rejection: </strong>[[Rejection_Comment]]\r\n                </div>\r\n            </div>\r\n            \r\n            <div class=\"row m-t-10 no-print\">\r\n                <div class=\"col-xs-12 pull-right\">\r\n                    <a class=\"btn btn-danger pull-right\" onclick=\";javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>', 1, 1, 'Server transfer_request', 1),
(45, 'invoice_zalka', '<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        padding: 4px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        padding: 4px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;\r\n            font-size:1em !important;*/\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    /*margin-bottom: 20px;*/\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:13px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n.custom_border{\r\n    border: 1px solid;\r\n    padding: 6px;\r\n    line-height: 1.5;}\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div style=\'font-size:20px;font-weight:bold;\'>[[org__Organization_Name]]</div>\r\n                    <div class=\"phone-l\">[[org__Organization_Phone]]</div>\r\n\r\n                    <div>[[org__Name]]-[[org__Organization_Province]]</div>\r\n                    <div class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</div>\r\n                    <div class=\"phone-l\">E-mail: [[org__Organization_Email]]</div>\r\n                </div>\r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n               \r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Sales Invoice</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 \">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-6 font-type custom_border \">\r\nCode: [[Account_Code]]                        \r\n<br/>Name: [[Name]]\r\n                        <br/>Address: [[Country_Name]] -  [[Address]]\r\n                        <br/>Phone: [[Mobile]] - [[Phone]]\r\n <br/>MoF No: [[CR]]\r\n                    </div>\r\n                    <div class=\"col-xs-4 pull-right custom_border font-type\">\r\n                        <div> Invoice # [[invoice_prefix]] [[Invoice_ID]]</div>\r\n                        <div>Date: [[Invoice_Date_format]]</div>\r\n                        <div>Due Date:[[Invoice_Due_Date]]</div>\r\n <!--<div>Warehouse:[[Depot_Name]]</div>-->\r\n                        <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\r\n                    </div>\r\n                </div>\r\n<div style=\"min-height:530px;border:1px solid;border-top:0px;\">\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-div\">\r\n                            <th class=\"border-td text-center\">Item Code</th>\r\n                            <th class=\"border-tr text-center\">Description</th>\r\n                            <th class=\"border-tr text-center\">Qty</th>\r\n                            <th class=\"border-tr print_delv text-center\">Unit Price</th>\r\n                            <th class=\"border-tr print_delv text-center\" >Discount</th>\r\n                            <th class=\"border-tr print_delv text-center\">Total ([[Currency_Symbol]])</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody >\r\n                        [[smc__start_inv_detail]]\r\n                        <tr>\r\n                            <td class=\" border-td text-center\">[[Code]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]] [[product_description]]</td>\r\n\r\n                            <td class=\"border-tr text-center\">[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]]</span></td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Discount]] %</span></td>\r\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Total_Price]]</span> </td>\r\n                        </tr>\r\n                        [[smc__end_inv_detail]]\r\n                    </tbody>  </table>\r\n</div>\r\n<table class=\'table\' style=\'margin-top:10px;\'>\r\n<tr>\r\n<td class=\'custom_border\'  >Old Balance</td>\r\n<td class=\'custom_border\' >[[previous_balance]]</td>\r\n<td style=\'width:200px;\'>&nbsp;</td>\r\n<td  class=\'custom_border\'>Subtotal</td>\r\n<td class=\'custom_border\'  style=\"text-align:center;\">[[Invoice_Sub_Total]]</td>\r\n</tr>\r\n<tr>\r\n<td class=\'custom_border\' >New Balance</td>\r\n<td class=\'custom_border\' >[[current_balance]]</td>\r\n<td >&nbsp;</td>\r\n<td class=\'custom_border\'>Discount [[Invoice_Discount]] (%)</td>\r\n<td class=\'custom_border\' style=\"text-align:center;\">[[discount_amount]]</td>\r\n</tr><tr>\r\n<td class=\'custom_border\' colspan=\'3\' ><strong>Only:</strong> [[grand_total_word_en]]</td>\r\n<td class=\'custom_border\'  >Total</td>\r\n<td class=\'custom_border\' style=\"text-align:center;\">[[Invoice_Net_Total]]</td>\r\n</tr>\r\n\r\n</table>\r\n              \r\n\r\n               <!-- <div class=\"row\">\r\n                    <div class=\"col-xs-3 \">\r\n   <div class=\"col-xs-6\"><span>previous_balance</span>:&nbsp;</div>[[previous_balance]]<br/>\r\n                        <div class=\"col-xs-6\"><span>current_balance</span>:&nbsp;</div>[[current_balance]]<br/>\r\n\r\n                    </div>\r\n                    <div class=\"col-xs-4 font-type  pull-right print_delv\">\r\n\r\n                        \r\n                        <div class=\"col-xs-6\"><span>Subtotal</span>:&nbsp;</div>[[Invoice_Sub_Total]]<br/>\r\n                      <div class=\"col-xs-6\"><span>VAT [[smc__system_vat_percent]] %</span>:&nbsp;</div>[[Invoice_VAT]]<br/>\r\n                        <div class=\"col-xs-6 \"><span>Discount [[Invoice_Discount]] (%) </span>:&nbsp;</div>[[discount_amount]]<br/>\r\n                      \r\n                        <div class=\"col-xs-6 \"><span><strong>Grand Total</span>:</strong>&nbsp;</div><strong>[[Invoice_Net_Total]]</strong>\r\n                    </div>\r\n                </div>\r\n            </div>-->\r\n<div class=\'col-xs-12\'>\r\n<div class=\'row\'>\r\n <div class=\'col-xs-6\'>\r\n<p style=\'text-align:center;font-size:18px;\'>Acc.Dept.Signature</p></div><div class=\'col-xs-6\'><p style=\'text-align:center;font-size:18px;\'>Customer Signature</p>\r\n\r\n</div>\r\n</div>\r\n</div>  <div class=\"col-xs-12\">\r\n                <div class=\"row\">\r\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n          \r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                        <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');window.print();\"><i class=\"fa fa-print\"></i> Print Delivery Note</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server invoice_zalka', 1),
(47, 'paid_amount', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n    .hidden{\r\n        display:none;\r\n    }\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n    .m-l-20{\r\n        margin-left:20px;\r\n    }\r\n    .m-l-40{\r\n        margin-left:40px;\r\n    }\r\n    .m-t-10{\r\n        margin-top:10px;\r\n    }\r\n</style>\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        /*        border-style: dotted;*/\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n    }\r\n    .table thead tr th{\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    @media print\r\n    {\r\n        .invoice h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}\r\n    }\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                    <div class=\"row\">\r\n                        <div class=\"col-xs-5\">\r\n                            <h1 class=\"text-center mytitle\">Receipt</h1>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"row \">\r\n                <strong>Customer Name: </strong>[[Customer_Name]]\r\n            </div>\r\n            <div class=\"row \">\r\n                <strong>Invoice #: </strong>[[invoice_prefix]][[Invoice_ID]]\r\n            </div>\r\n            <div class=\"row \">\r\n                <strong> Date: </strong>[[Invoice_Date]]\r\n            </div>\r\n            <div class=\"row \">\r\n                <strong>Paid Amount: </strong>[[Invoice_Paid_Amount]] [[Currency_Symbol]]\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>', 1, 1, 'Server paid_amount', 1),
(48, 'quotation_afran_lebanon', '<head>\r\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n    <style>\r\n        @page  \r\n        { \r\n            margin: 0px; \r\n        } \r\n        body{font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;direction:rtl;}\r\n        .hidden{display:none;}\r\n        .headerDiv span {font-size:11px;}\r\n.details_order{font-size:12px !important;font-weight:bold;}\r\n        .headerDiv h3{\r\n            margin-bottom: 0px;\r\n        }\r\n        .text-center{text-align:center;}\r\n        .text-left{text-align:left;}\r\n        .text-right{text-align:right;}\r\n        .row:after, .row:before {\r\n            display: table;\r\n            content: \" \";\r\n            clear:both;\r\n        }\r\n        .col-xs-2,.col-xs-3,.col-xs-4,.col-xs-6,.col-xs-7,.col-xs-8,.col-xs-9,.col-xs-10,.col-xs-12{\r\n            float: right;\r\n            position: relative;\r\n            min-height: 1px;\r\n            padding-right: 15px;\r\n            padding-left: 15px;\r\n            -moz-box-sizing: border-box;\r\n            box-sizing: border-box;\r\nmargin-bottom:5px;\r\n        }\r\n        .col-xs-2{width: 16.66666667%;}\r\n        .col-xs-3{width:25%;}\r\n        .col-xs-4{width:33.33333333%;}\r\n        .col-xs-6{width:50%;}\r\n.col-xs-7 {\r\n    width: 58.33333333%\r\n}\r\n        .col-xs-8{width:66.66666666%;}\r\n.col-xs-9{width:75%;}\r\n        .col-xs-10{width: 83.33333333%}\r\n        .col-xs-12{width:100%;}\r\n        h3 {\r\n            display: block;margin:0 0 5px;padding:0;\r\n            font-size: 1.2em !important;\r\n            font-weight: bold !important;\r\n        }\r\n        hr {\r\n            display: block;\r\n            border-style: inset;\r\n            border-width: 1px;\r\n            margin:0px 0px;padding:0;\r\n        }\r\n        table.first,table.secondTbl {color: #000;font-size: 13px;}\r\n        th,td{\r\n            font-size:13px;text-align:right;}\r\n        .second{display:none;}\r\n        body{\r\n            margin:0;padding:0;width:100%;\r\n        }   \r\n        .btn-danger, .btn-danger:focus {\r\n            color: #ffffff !important;\r\n            background-color: #f55753 !important;\r\n            border-color: #f55753 !important; \r\n        }\r\n        .btn {\r\n            font-size: 14px;\r\n            font-weight: normal;\r\n            letter-spacing: 0.01em;\r\n            margin-bottom: 0;\r\n            border: 1px solid #f0f0f0;\r\n            text-align: center;\r\n            vertical-align: middle;\r\n            cursor: pointer;\r\n            border-radius: 3px;\r\n            -webkit-border-radius: 3px;\r\n            -moz-border-radius: 3px;\r\n            background-image: none!important;\r\n            color: #626262;\r\n            background-color: #ffffff;\r\n            line-height: 21px;\r\n            padding-left: 17px;\r\n            padding-right: 17px;\r\n            position: relative;\r\n            display: inline-block;\r\n            padding: 6px 12px;\r\n        }\r\n        @media print{\r\n            hr {\r\n                display: block !important;\r\n                border-style: inset !important;\r\n                border-width: 1px !important;\r\n            }\r\n            .no-print{\r\n                display: none;\r\n            }\r\n        }\r\n    </style>\r\n</head>\r\n<body>\r\n    <div style=\"text-align: center;\"  class=\"headerDiv\">\r\n        <div class=\"col-xs-12\">\r\n            <h3>[[org__Organization_Name]]</h3>\r\n            <span>[[org__Organization_Phone]]</span><br/>\r\n            <span>[[org__Name]]-[[org__Organization_Province]]</span>\r\n  \r\n        </div>\r\n        <div class=\"col-xs-12\">\r\n           <span>[[title]]</span>  <br>\r\n  <span>طلب # [[sale_prefix]] [[Order_ID_Auto]]</span> \r\n        </div>\r\n\r\n        <div class=\"col-xs-12 text-right\">\r\n            <span class=\"details_order\">الزبون : </span><span>[[Name]]</span><br>\r\n            <span class=\"details_order\">العنوان:</span><span> [[Country_Name]] -  [[Address]]</span><br>\r\n            <span class=\"details_order\">هاتف: </span><span>[[Mobile]] - [[Phone]]</span>\r\n   <span class=\"details_order\" style=\"margin-right:40px;\"> التاريخ: </span><span> [[Order_Date_format]]</span>\r\n        </div>\r\n      <!-- <div class=\"col-xs-5 text-right\">\r\n<br/><br/>\r\n      <span class=\"details_order\"> التاريخ: </span><span> [[Order_Date_format]]</span>\r\n            <br><span> Currency: [[Currency_Name]]</span>\r\n        </div> -->\r\n\r\n        <hr>\r\n        <div class=\"row col-xs-12\">\r\n            <table class=\"first \"  cellspacing=\'\' style=\"width:100%;\">\r\n                <thead>\r\n                    <tr>\r\n                        <th>الصنف</th>\r\n                        <th>الكمية</th>\r\n                        <th>السعر</th>\r\n                    </tr>\r\n                </thead>\r\n                <tbody>\r\n                    [[smc__start_inv_detail]]\r\n                    <tr>\r\n                        <td style=\"font-size:13px;\">[[Product_Name]]</td>\r\n                        <td >[[Item_Quantity_Current]] [[UOM_Name]]</td>\r\n                        <td >[[total_with_vat]]</td>\r\n                    </tr>\r\n\r\n                    [[smc__end_inv_detail]]\r\n                </tbody>\r\n            </table>\r\n        </div>\r\n        <hr>\r\n        <div class=\"row\">\r\n            <div class=\"col-xs-12\"  >\r\n                <div class=\"col-xs-12\"><span>الكمية</span>:&nbsp;[[invoice_total_quantity]]</div><br/>\r\n                <div class=\"col-xs-12\"><span>السعر الإجمالي</span>:&nbsp;[[net_total]]</div><br/>\r\n            </div>\r\n        </div>\r\n        <!--<br><div ><p style=\"font-size:12pt;border:1px solid #000;\" >[[order_description]] &nbsp;</p></div>-->\r\n    </div>\r\n    <br>\r\n    <div class=\"row no-print\">\r\n        <div class=\"col-md-12\">\r\n            <div class=\"pull-right\">\r\n                <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n            </div>\r\n\r\n        </div>\r\n    </div>\r\n\r\n</body>', 1, 1, 'Server quotation_afran_lebanon', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(50, 'return_invoice', '<!--<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\">-->\n<style type=\"text/css\">\n    *{\n        font-size: 19px;\n    }\n    .ValSpan {\n        opacity: 0;\n    }\n    \n    .inv-info {\n        font-size: 15px;\n    }\n    \n    .border-div {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-right: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-tr {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-bottom: 0;\n        border-left: 0;\n        border-top: 0;\n    }\n    \n    .border-td {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-bottom: 0;\n        border-top: 0;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table tbody tr td {\n        /*line-height:12px;*/\n    }\n    \n    .table thead tr th {\n        /* background: #ddd; */\n    }\n    \n    h5 {\n        font-size: 17px !important;\n    }\n    \n    .phone-l {\n        margin-left: 1px !important;\n    }\n    \n    h5 {\n        line-height: 15px !important;\n    }\n    \n    h4 {\n        line-height: 18px !important;\n    }\n    \n    @media print {\n        .table thead tr th {\n            /* background: #ddd; */\n        }\n        h5 {\n            /* font-size: 14px !important; */\n        }\n        /* img {\n            max-width: 50% !important;\n        } */\n        .table tbody tr td {\n            /*line-height:20px;*/\n            /* font-size: 1em !important; */\n        }\n        .phone-l {\n            margin-left: 1px !important;\n        }\n        .mytitle {\n            /* font-size: 2.5em !important; */\n        }\n        .footer {\n            bottom: -90px;\n            position: fixed;\n        }\n    }\n</style>\n<style>\n    @media print {\n        .no-print {\n            display: none;\n        }\n    }\n    \n    .text-center {\n        text-align: center;\n    }\n    \n    .text-left {\n        text-align: left;\n    }\n    \n    .text-right {\n        text-align: right;\n    }\n    \n    .row:after,\n    .row:before {\n        display: table;\n        content: \" \";\n        clear: both;\n    }\n    \n    .col-xs-3,\n    .col-xs-4,\n    .col-xs-6,\n    .col-xs-8,\n    .col-xs-12 {\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    \n    .col-xs-3 {\n        width: 25%;\n    }\n    \n    .col-xs-4 {\n        width: 33.33333333%;\n    }\n    \n    .col-xs-6 {\n        width: 50%;\n    }\n    \n    .col-xs-8 {\n        width: 66.66666666%;\n    }\n    \n    .col-xs-12 {\n        width: 100%;\n    }\n</style>\n\n<style>\n    .col-xs-5 {\n        width: 41.66666667%;\n    }\n    \n    h4 {\n        font-size: 23px;\n    }\n    \n    h5 {\n        font-size: 17px !important;\n    }\n    \n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight: 300!important;\n    }\n    \n    body {\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    .pull-right {\n        float: right;\n    }\n    \n    .pull-left {\n        float: left;\n    }\n    \n    .border-table {\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right: 0;\n        border-left: 0;\n        margin-top: 15px;\n    }\n    \n    .table {\n        width: 100%;\n        max-width: 100%;\n        margin-bottom: 20px;\n        background-color: transparent;\n        border-collapse: collapse;\n    }\n    \n    .table thead tr th {\n        text-transform: uppercase;\n        font-size: 13px;\n        padding-top: 8px;\n        padding-bottom: 8px;\n        vertical-align: middle;\n    }\n    \n    .table thead tr th {\n        font-weight: 600;\n        /* color: rgba(44, 44, 44, 0.35); */\n    }\n    \n    .btn-danger,\n    .btn-danger:focus {\n        color: #ffffff !important;\n        background-color: #f55753 !important;\n        border-color: #f55753 !important;\n    }\n    \n    .btn {\n        font-size: 14px;\n        font-weight: normal;\n        letter-spacing: 0.01em;\n        margin-bottom: 0;\n        border: 1px solid #f0f0f0;\n        text-align: center;\n        vertical-align: middle;\n        cursor: pointer;\n        border-radius: 3px;\n        -webkit-border-radius: 3px;\n        -moz-border-radius: 3px;\n        background-image: none!important;\n        color: #626262;\n        background-color: #ffffff;\n        line-height: 21px;\n        padding-left: 17px;\n        padding-right: 17px;\n        position: relative;\n        display: inline-block;\n        padding: 6px 12px;\n    }\n    \n    .btn-success-darker,\n    .btn-success-darker:focus {\n        color: #ffffff;\n        background-color: #0a7c71;\n        border-color: #0a7c71;\n    }\n    \n    @media print {\n        .invoice h1 {\n            /* font-size: 22px!important; */\n        }\n        .total-purchase,\n        .amount {\n            /*display:none !important;*/\n        }\n        .invoice,\n        .table tbody tr td,\n        .table thead tr th {\n            /* font-size: 10px !important; */\n        }\n        .font-type {\n            /* font-size: 12px !important; */\n        }\n        .table thead tr th {\n            /* background-color: white!important; */\n            color: black!important;\n        }\n        .header-div {\n            /* font-size: 13px; */\n        }\n    }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n            <div class=\"row \">\n                <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                    <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"height: 120px;width: 200px;\" />\n\n                </div>\n                <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                   <div style=\"margin-left: 100px;margin-top: 50px; font-size: 30px; font-weight: bold;\"> [[return_title]] </div>\n                </div>\n                \n               \n               \n            </div>\n        <br>\n        <div class=\"row \">\n            <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                <h4  style=\" font-size: 20px !important;\">[[organiaztion_name_en]]</h4>\n                <h4 style=\" font-size: 19px !important; \" > [[org_des_en]] </h4>\n\n                <h4 style=\" font-size: 19px !important;\"[[hidden_org_cr_en]]>C.R No: [[org_cr_en]]</h4>\n                <h5  style=\" font-size: 19px !important;\"[[hidden_org_vat_en]]>VAT No : [[org_vat_en]]</h5>\n                <h5  style=\" font-size: 19px !important;\"[[hidden_org_phone_en]]> Phone No: [[org_phone_en]]</h5>\n            </div>\n            <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                <div style=\"margin-left: 100px;\"> Return # [[invoice_prefix]][[Return_ID]]</div>\n                <div style=\"margin-left: 100px;\"> <span [[is_purchase]]>Invoice Purchsae #</span> <span [[is_sales]]>Invoice Sales #</span> [[Invoice_Purchase_ID]]</div>\n                <div style=\"margin-left: 100px;\">Date: [[Date]]</div>\n                <div style=\"margin-left: 100px;\" class=\"print_delv\">Currency: [[Currency_Name]]</div>\n            </div>\n         \n            </div>\n            <br>\n            <div>\n                <table style=\"width: 100%;border-collapse: collapse;\" border=\"1\">\n                    <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                        <tr>\n                            <td >\n                                Customer\n                            </td>\n                        </tr>\n                    </thead>\n                    <tbody>\n                        <tr>\n                            <td>Name: [[cust_supp_name]]</td>\n                        </tr>\n                        <tr>\n                            <td>C.R. NO.: [[CR]]</td>\n                        </tr>\n                        <tr>\n                            <td>VAT NO.: [[customer_vat]]</td>\n                        </tr>\n                        <tr>\n                         <td>Address: [[cust_supp_address]] - [[Name]]</td>\n                     </tr>\n                     <tr>\n                         <td>Phone: [[cust_supp_mobile]]</td>\n                     </tr>\n                    </tbody>\n                </table>\n\n              </div>\n            <br>\n            <div>\n                <table class=\"table  border-table\">\n                    <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                        <tr class=\"border-div\">\n                            <th class=\"border-td text-center\" style=\"width: 10%;\">No. <br> الرقم</th>\n                            <th class=\"border-tr text-center\" style=\"width: 10%;\">Code <br> الرمز</th>\n                            <th class=\"border-tr text-center\" style=\"width: 50%;\">Item <br> المنتج</th>\n                            <th class=\"border-tr text-center\" style=\"width: 15%;\">Qty <br> الكمية</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 15%;\">Price <br> السعر</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 15%;\">Discount <br> الخصم</th>\n                            <th class=\"border-tr print_delv text-center\" style=\"width: 15%;\">Total <br> الاجمالي</th>\n                        </tr>\n                    </thead>\n                    <tbody>\n                        [[smc__start_return_detail]]\n                        <tr>\n                            <td class=\" border-td text-center\">[[count_nb]]</td>\n                            <td class=\"border-tr text-center\">[[Code]]</td>\n                            <td class=\"border-tr text-center\">[[Name]]</td>\n                            <td class=\"border-tr text-center\">[[Item_Quantity_Current]]</td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[current_product_net_price]]</span></td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Discount]]</span></td>\n                            <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[formatted_vat_total_price]]</span> </td>\n                        </tr>\n                        [[smc__end_return_detail]]\n                    </tbody>\n                </table>\n            </div>\n<br>\n<div style=\"display: flex; justify-content: space-between;\">\n\n    <div style=\"width: 50%;\">\n      <div style=\"margin-left: 50px;text-transform: capitalize;\">[[grand_total_word_en]]  </div>  \n\n    </div>\n    <div style=\"width: 50%;\">\n        <table style=\"width: 100%; border-collapse: collapse;\" border=\"1\">\n            <tr>\n                <td>\n                    Total</td>\n                <td>[[formatted_net_total]] [[Currency_Symbol]]</td>\n            </tr>\n            <tr>\n                <td>VAT ([[vat_percent]] %)</td>\n                <td>[[formatted_invoice_vat]] [[Currency_Symbol]]</td>\n            </tr>\n            <tr>\n                <td>Discount  </td>\n                <td>	[[Discount]] [[Currency_Symbol]]</td>\n            </tr>\n           \n            <tr>\n                <td>Net Total</td>\n                <td style=\"box-shadow: inset 100px 100px #ddd;\">	[[formatted_net]] [[Currency_Symbol]]</td>\n            </tr>\n           \n\n\n        </table>\n\n    </div>\n\n </div>\n\n \n            </div>\n            <br>\n            <div class=\"col-xs-12\">\n                <div class=\"row\">\n                    <div class=\"col-xs-4\">\n                        <h4><strong>Receiver Name :</strong></h4> &nbsp;\n                    </div>\n                    <div class=\"col-xs-4 pull-right\">\n                        <h4><strong>Signature :</strong></h4> &nbsp;\n                    </div>\n                </div>\n            </div>\n           <br><br>\n          \n            <p  class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\"> <img src=\"[[qrcode]]\" alt=\"qrcode\" style=\"width: 160px; height: 160px;\"></p>\n            <p style=\"font-size: 18px; text-align: center;\">    [[print_date]]</p> \n\n            <!-- <p style=\"text-align: center;font-size: 18px;\">[[org_address_ar]] </p> -->\n            <p style=\"text-align: center;font-size: 18px;\">[[org_address_en]] </p>\n\n            <div class=\"row no-print\">\n                <div class=\"col-md-12\">\n                    <div class=\"pull-right\">\n                        <a class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>', 1, 1, 'Server return_invoice', 1),
(52, 'subscription_fees', '<style>\n    body {\n        margin: 0;\n        \n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\n    }\n    \n    @page {\n        margin: 0px 5px 0px 12px;\n        /*sumatra*/\n        /*margin: 0px 30px 0px 15px;*/\n        /*dialog*/\n    }\n    \n    .secondTbl td {\n        white-space: nowrap;\n    }\n    \n    .hidden {\n        display: none;\n    }\n    \n    #headerDiv span {\n        font-size: 13px;\n    }\n    \n    #headerDiv h3 {\n        margin-bottom: 0px;\n    }\n    \n    h3 {\n        display: block;\n        margin: 0 0 5px;\n        padding: 0;\n        font-size: 1em !important;\n        /*   -webkit-margin-before: 1em;\n        -webkit-margin-after: 1em;\n        -webkit-margin-start: 0px;\n        -webkit-margin-end: 0px;*/\n        font-weight: bold !important;\n    }\n    \n    hr {\n        display: block;\n        /*unicode-bidi: isolate;\n        -webkit-margin-before: 0.5em;\n        -webkit-margin-after: 0.5em;\n        -webkit-margin-start: auto;\n        -webkit-margin-end: auto;\n        overflow: hidden;*/\n        border-style: inset;\n        border-width: 1px;\n        margin: 0px 0px;\n        padding: 0;\n    }\n    \n    table.first,\n    table.secondTbl {\n        color: #000;\n        font-size: 13px;\n        /*float:right;    margin-right: 8%;*/\n    }\n    /*.special-char{font-family: \"DejaVu Sans Mono\", monospace;}*/\n    \n    th,\n    td {\n        font-size: 13px;\n        text-align: left;\n    }\n    \n    .second {\n        display: none;\n    }\n    \n    body {\n      \n        margin: 0;\n        padding: 0;\n        width: 100%;\n    }\n    \n    @media print {\n        hr {\n            display: block !important;\n            /*unicode-bidi: isolate !important;\n            -webkit-margin-before: 0.5em !important;\n            -webkit-margin-after: 0.5em !important;\n            -webkit-margin-start: auto !important;\n            -webkit-margin-end: auto !important;\n            overflow: hidden !important;*/\n            border-style: inset !important;\n            border-width: 1px !important;\n        }\n    }\n   .hr1 {\n    border:none;\n    border-top:1px dashed rgb(10, 10, 10);\n    color:#fff;\n    background-color:#fff;\n    height:1px;\n    width:100%;\n    }\n</style>\n\n\n<!-- <style type=\"text/css\">\n	table{\n	    border-collapse: collapse;\n    border-spacing: 0;\n	}\n    .table-bordered{\n        border-bottom: 1px solid #000;\n        border-left: 1px solid #000;\n        border-right: 1px solid #000;\n        margin:0px !important;\n        padding-left:0px;\n		\n    }\n    .border-table{\n        border-right:0;\n        border-left: 1px solid #000;\n        border-bottom: 1px solid #000;\n    }\n\n    .table-bordered tbody >  tr > td{\n        border: 1px solid #000;\n        padding: 5px;\n        border-bottom:0;\n        border-right:0;\n    }\n     .details_table >  tr > td{\n        border: 1px solid #000;\n        padding: 5px;\n        border-bottom:0;\n        border-left:0;\n        border-right:0;\n    }\n    .border-table tbody >  tr > td{\n        border: 1px solid #000;\n        padding: 5px;\n        border-bottom:0;\n/*        border-left:0;*/\n        border-right:0;\n    }\n    .hidden{\n        display:none !important;\n    }\n\n    .details_table{\n        width:100%;\n        margin:0px !important;\n        padding:0px !important;\n    }\n    .details_table tbody >  tr > td:first-child{\n        border-right:0;\n    }\n    .details_table tbody tr:first-child > td{\n        border-top:0; \n    }\n    .details_table tbody tr > td:last-child,.table-bordered tbody tr > td:last-child,.border-table tbody tr > td:last-child{\n        border-left:0; \n    }\n    .border-table tbody tr > td:last-child{\n        border-left:0; \n    } \n    .period_from_to{\n       font-size:12px; \n    }\n	  .header-div{font-size:20px;font-weight:bold;}\n    .header-div{\n        margin-bottom: 15px;\n    }\n	.pagebreak { page-break-before: always; }\n\n</style> -->\n<body style=\"\">\n    <div class=\"wrapper\">\n        <div class=\"panel invoice\">\n            <div class=\"panel-body\">\n                <div class=\"row \">\n                    [[smc__start_inv_detail]]\n					\n                <div class=\"header-div\">\n                    <div class=\"col-xs-4 text-center\" style=\"text-align: center;\">\n                        <img   src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 180px;height: 118px;text-align: center;\">\n                    </div>\n                    <div class=\"col-xs-4 text-center\" style=\"text-align: center;\">[[organiaztion_name_en]]</div>\n                    <div class=\"col-xs-4 text-center\" style=\"text-align: center;\">[[org_phone_en]]</div>\n					 <!-- <div>  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</div> -->\n					 					  <!-- <div> [[org__Organization_Street]]</div> -->\n\n                   \n\n                </div>\n           \n\n            <div style=\"width: 100%;\">\n                <table class=\"table\" style=\"width: 100%; border-collapse: collapse;\" border=\"1\">\n                    <tr>\n                        <td style=\"width: 30%;\">Customer Name</td>\n                        <td style=\"width: 40%;text-align: center;\">[[Customer_Name]]</td>\n                        <td style=\"width: 30%;text-align: right;\" colspan=\"2\">اسم المشترك</td>\n                    </tr>\n                    <!-- <tr>\n                        <td>Address</td>\n                        <td style=\"text-align: center;\">[[Customer_Address]]</td>\n                        <td style=\"text-align: right;\" colspan=\"2\">العنوان</td>\n                    </tr> -->\n                    <tr>\n                        <td>Subscription Type</td>\n                        <td style=\"text-align: center;\">[[subscription_name]]</td>\n                        <td style=\"text-align: right;\" colspan=\"2\">نوع الاشتراك</td>\n                    </tr>\n                    <tr>\n                        <td>Invoice No.</td>\n                        <td style=\"text-align: center;\">[[invoice_id]]</td>\n                        <td style=\"text-align: right;\">رقم الايصال</td>\n                       \n                    </tr>\n                  \n                    <tr>\n                        <td>Due Date</td>\n                        <td style=\"text-align: center;\">[[next_date]]</td>\n                        <td style=\"text-align: right;\"> تاريخ الاستحقاق</td>\n                    </tr>\n                    <tr>\n                        <td>Payment Date</td>\n                        <td style=\"text-align: center;\">[[date_time]]</td>\n                        <td style=\"text-align: right;\">تاريخ الدفع</td>\n                    </tr>\n                    \n                    <tr>\n                        <td>Total Amount</td>\n                        <td style=\"text-align: center;\">[[total_amount_formatted]] </td>\n                        <td style=\"text-align: right;\">قيمة الدفعة</td>\n                    </tr>\n                    <tr>\n                        <td> Amount Paid</td>\n                        <td style=\"text-align: center;\">[[paid_amount]] </td>\n                        <td style=\"text-align: right;\">المبلغ المدفوع</td>\n                    </tr>\n                    <tr>\n                        <td>  Reciver Name</td>\n                        <td style=\"text-align: center;\">[[smc__print_username]]</td>\n                        <td style=\"text-align: right;\">اسم الجابي </td>\n                    </tr>\n                   \n\n                </table>\n\n            </div>\n\n\n\n            [[smc__end_inv_detail]]\n                   \n                 \n                </div>\n            </div>\n        </div>\n    </div>\n</body>', 1, 1, 'Server subscription_fees', 1),
(53, 'view_shipment', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    margin-bottom: 20px;\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div>[[org__Organization_Name]]</div>\r\n                    <div class=\"phone-l\">[[org__Organization_Phone]]</div>\r\n\r\n                    <div>[[org__Name]]-[[org__Organization_Province]]</div>\r\n                    <div class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</div>\r\n                    <div class=\"phone-l\">E-mail: [[org__Organization_Email]]</div>\r\n                </div>\r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n                <div class=\"col-xs-4  m-b-10 header-div\">\r\n                    <div class=\"text-right\">[[org__Organization_Legal_Name]]</div>\r\n                    <div class=\"text-right\">[[org__Organization_Phone]]</div>\r\n                    <div class=\"text-right\"> [[org__Organization_Street]]</div>\r\n                    <div class=\"text-right\">  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</div>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Sales Invoice</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-6 font-type \">\r\n                        Name: [[Name]]\r\n                        <br/>Address: [[Country_Name]] -  [[Address]]\r\n                        <br/>Phone: [[Mobile]] - [[Phone]]\r\n                    </div>\r\n                    <div class=\"col-xs-4 pull-right font-type\">\r\n                        <div> Invoice # [[invoice_prefix]] [[Invoice_ID]]</div>\r\n                        <div>Date: [[Invoice_Date_format]]</div>\r\n                        <div>Due Date:[[Invoice_Due_Date]]</div>\r\n                        <div class=\"print_delv\">Currency: [[Currency_Name]]</div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-4 font-type  pull-right print_delv\">\r\n                        <div class=\"col-xs-6\"><span>Quantity</span>:&nbsp;</div>[[invoice_total_quantity]]<br/>\r\n                        <div class=\"col-xs-6\"><span>Subtotal</span>:&nbsp;</div>[[Invoice_Sub_Total]]<br/>\r\n                        <div class=\"col-xs-6\"><span>VAT [[smc__system_vat_percent]] %</span>:&nbsp;</div>[[Invoice_VAT]]<br/>\r\n                        <div class=\"col-xs-6 \"><span><strong>Grand Total</span>:</strong>&nbsp;</div><strong>[[Invoice_Net_Total]]<br>[[grand_total_word_ar]]<br>[[local_vat_word_en]]</strong>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <br>\r\n            <div class=\"col-xs-12\">\r\n                <div class=\"row\">\r\n                    <div class=\"footer\" style=\"direction:rtl;bottom:90px;position:fixed;font-size:large; text-align: center;\">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server view_shipment', 1),
(54, 'employee_alert', '\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n\r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n\r\n    }\r\n    .table thead tr th{\r\n\r\n        font-weight: 600;\r\n        color: rgba(44,44,44,0.35);}\r\n    .btn-danger, .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important; \r\n    }\r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    .btn-success-darker, .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    @media print\r\n    {\r\n\r\n        .invoice h1{\r\n            font-size:22px!important;\r\n        }\r\n        .total-purchase,.amount{\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n        .font-type{font-size:12px !important;}\r\n\r\n        .table thead tr th{background-color:white!important;color:black!important;}\r\n        .header-div{font-size:13px;}\r\n    }\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n    .text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n                <div class=\"row \">\r\n                    <div class=\"col-xs-12 \">\r\n                        <h2 class=\"text-center mytitle\" >Employee Alert</h2>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-12\">\r\n                        <div>Employee Name [[employee_name]]</div>\r\n                        <div>Date: [[employee_alert_date]]</div>\r\n             \r\n                    </div>\r\n                </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n            [[employee_alert_note]]\r\n            </div>\r\n          \r\n      \r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:window.print();\"><i class=\"fa fa-print\"></i>Print</a>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server employee_alert', 1),
(55, 'project_expense', '<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> \r\n<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n        font-weight: bold;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n        padding: 10px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n        border-bottom:0;\r\n    }\r\n    .border-thead-tr{\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n        padding: 10px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n        padding: 12px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n        padding: 10px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n    }\r\n    .table thead tr th{\r\n        border: 1px solid #000;\r\n        border-style: solid;\r\n    }\r\n    /*\r\n    .table thead tr th{\r\n    background: #ddd;\r\n    }\r\n    */\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n    .font-type-1{\r\n        font-size:medium !important;\r\n    }\r\n    .font-type{\r\n        font-size:large !important;\r\n    }\r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }.font-type-1{\r\n            font-size:medium !important;\r\n        }\r\n        .font-type{\r\n            font-size:large !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n                <div class=\"col-xs-4  m-b-10\">\r\n                    <h4 >[[org__Organization_Name]]</h4>\r\n                    <h4 class=\"phone-l\">[[org__Organization_Phone]]</h4>\r\n                    <h5>[[org__Name]]-[[org__Organization_Province]]</h5>\r\n                    <h4 class=\"phone-l\">M.O.F Reg # [[org__Organization_Commercial_Registry]]</h4>\r\n                    <h4 class=\"phone-l\">E-mail: [[org__Organization_Email]]</h4>\r\n                </div>\r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n                <div class=\"col-xs-4  m-b-10\">\r\n                    <h4 class=\"text-right\">[[org__Organization_Legal_Name]]</h4>\r\n                    <h4 class=\"text-right\">[[org__Organization_Phone]]</h4>\r\n                    <h5 class=\"text-right\"> [[org__Organization_Street]]</h5>\r\n                    <h4 class=\"text-right\">  رقم التسجيل المالي : [[org__Organization_Commercial_Registry]]</h4>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 text-center\">\r\n                <h1 class=\"text-center mytitle\">Project Expense</h1>\r\n            </div>\r\n            <div class=\"col-xs-12 col-md-12 border-div\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-6 font-type \">\r\n                        From: [[project_name]]\r\n     <br>                   To: [[Supplier_Name]]\r\n                    </div>\r\n                    <div class=\"col-xs-6 font-type\">\r\n                        <div> Expense #&nbsp;[[project_expense_nb]]</div>\r\n                        <div>Date :&nbsp;[[project_expense_date]]</div>\r\n                        <div class=\"print_delv\">Currency :&nbsp;[[Currency_Name]]</div>\r\n                    </div>\r\n                </div>\r\n                <table class=\"table  border-table\">\r\n                    <thead>\r\n                        <tr class=\"border-thead-tr\">\r\n                            <th  class=\"border-tr text-center\">Activity</th>\r\n                            <th class=\"border-tr text-center\">Amount</th>\r\n                            <th class=\"border-tr text-center\" >Note</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        [[smc__start_details]]\r\n                        <tr>\r\n                            <td  class=\"border-tr text-center\">[[activity_title]]</td>\r\n                            <td  class=\"border-tr text-center\">[[template_activity_total]] [[Currency_Symbol]]</td>\r\n                            <td  class=\"border-tr text-center\">[[project_expense_note]]</td>\r\n                        </tr>\r\n                        [[smc__end_details]]\r\n                    </tbody>\r\n                </table>\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-3 \">\r\n                    </div>\r\n                    <div class=\"col-xs-4 font-type  pull-right print_delv\">\r\n                        <div class=\"col-xs-6 \"><span><strong>GRAND TOTAL:</strong></span>&nbsp;</div><strong>[[template_project_expense_total]] [[Currency_Symbol]]</strong>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <br>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a id=\"invoice_print_btn\" class=\"btn btn-danger\" onclick=\"javascript:$(\'.print_delv\').removeClass(\'no-print\');javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n', 1, 1, 'Server project_expense', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(56, 'payroll', '<style>\r\n    .pull-left{\r\n        float:left;\r\n    }\r\n    h1{\r\n        font-weight: 300;\r\n        letter-spacing: normal;\r\n        font-size: 33px;\r\n        line-height: 49px;\r\n        margin: 10px 0;\r\n        font-family: \"Segoe UI\",\"Helvetica Neue\",Helvetica,Arial,sans-serif;\r\n        -webkit-font-smoothing: antialiased;\r\n    }\r\n\r\n    element.style {\r\n    }\r\n    .windows h1, .windows h2, .windows h3, .windows h4, .windows h5 {\r\n        font-weight: 300;\r\n        letter-spacing: normal;\r\n    }\r\n    .windows h1 {\r\n        font-size: 33px;\r\n        line-height: 49px;\r\n    }\r\n    @media (max-width: 1400px)\r\n    h1 {\r\n        font-size: 33px;\r\n        line-height: 44px;\r\n        letter-spacing: -0.08px;\r\n    }\r\n    h1 {\r\n        font-size: 44px;\r\n        line-height: 55px;\r\n        letter-spacing: -0.08px;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        font-family: \"Segoe UI\",\"Helvetica Neue\",Helvetica,Arial,sans-serif;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        -ms-text-size-adjust: 100%;\r\n        font-weight: 300;\r\n        color: #2c2c2c;\r\n    }\r\n    .h1, h1 {\r\n        font-size: 36px;\r\n    }\r\n    .h1, .h2, .h3, h1, h2, h3 {\r\n        margin-top: 20px;\r\n        margin-bottom: 10px;\r\n    }\r\n    .h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {\r\n        font-family: inherit;\r\n        font-weight: 500;\r\n        line-height: 1.1;\r\n        color: inherit;\r\n    }\r\n    h1 {\r\n        margin: .67em 0;\r\n        font-size: 2em;\r\n    }\r\n    * {\r\n        -webkit-box-sizing: border-box;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    user agent stylesheet\r\n    h1 {\r\n        display: block;\r\n        font-size: 2em;\r\n        margin-block-start: 0.67em;\r\n        margin-block-end: 0.67em;\r\n        margin-inline-start: 0px;\r\n        margin-inline-end: 0px;\r\n        font-weight: bold;\r\n    }\r\n    .panel .panel-heading .panel-title {\r\n        text-transform: uppercase;\r\n        -webkit-text-stroke: 0px;\r\n    }\r\n    body {\r\n        font-size: 13px !important;\r\n        font-weight: normal !important;\r\n        color: #626262;\r\n        font-family: \"Segoe UI\",Arial,sans-serif;\r\n        letter-spacing: 0.01em;\r\n        -webkit-font-smoothing: antialiased;\r\n    }\r\n    .panel {\r\n        box-shadow: none;\r\n        -webkit-border-radius: 1px;\r\n        transition: all 0.2s ease;\r\n        position: relative;\r\n        margin-bottom: 20px;\r\n        background-color: #fff;\r\n        border: 1px solid transparent;\r\n        box-sizing: border-box;\r\n        font-size: 13px !important;\r\n        font-weight: normal !important;\r\n        line-height: 20px;\r\n    }\r\n    .panel .panel-heading {\r\n        background: transparent;\r\n        border-radius: 0px;\r\n        border-bottom: 0px;\r\n        padding: 20px 20px 7px 20px;\r\n        position: relative;\r\n        z-index: 3;\r\n        min-height: 48px;\r\n        margin-bottom: 9px;\r\n        color: #000;\r\n        padding-top: 15px;\r\n    }\r\n    .panel .panel-heading .panel-title {\r\n        font-family: \"Segoe UI\",Arial,sans-serif;\r\n        text-transform: uppercase;\r\n        display: inline-block;\r\n        font-size: 14px;\r\n        font-weight: 600;\r\n        margin: 0;\r\n        padding: 0;\r\n        line-height: normal;\r\n        overflow: hidden;\r\n        text-overflow: ellipsis;\r\n        -webkit-text-stroke: 0px;\r\n        transition: opacity 0.3s ease;\r\n    }\r\n\r\n    .panel-title {\r\n        color: inherit;\r\n    }\r\n  \r\n    .panel .panel-body {\r\n        padding: 20px;\r\n        width: 100%;\r\n    }\r\n    .row {\r\n        margin-left: -5px;\r\n        margin-right: -5px;\r\n    }\r\n    .col-xs-3 {\r\n        width: 25%;\r\n    }\r\n    label, input, button, select, textarea {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        line-height: 20px;\r\n    }\r\n    label{\r\n        display: inline-block;\r\n        max-width: 100%;\r\n        margin-bottom: 5px;\r\n    }\r\n    .table-responsive {\r\n        min-height: .01%;\r\n        overflow-x: inherit !important;\r\n    }\r\n    .m-t-10 {\r\n        margin-top: 10px;\r\n    }\r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-spacing: 0;\r\n        border-collapse: collapse;\r\n        display: table;\r\n        border-color: grey;\r\n    }\r\n    tbody {\r\n    display: table-row-group;\r\n    vertical-align: middle;\r\n    border-color: inherit;\r\n}\r\ntr {\r\n    display: table-row;\r\n    vertical-align: inherit;\r\n    border-color: inherit;\r\n}\r\n.table tbody tr td {\r\n    background: #fff;\r\n    border-bottom: 1px solid rgba(230,230,230,0.7);\r\n    border-top: 0px;\r\n    font-size: 13.5px;\r\n        padding: 8px;\r\n    line-height: 1.42857143;\r\n    vertical-align: top;\r\n}\r\n.bold {\r\n    font-weight: bold!important;\r\n}\r\n.text-center {\r\n    text-align: center!important;\r\n}\r\n\r\n.hidden{\r\ndisplay:none;\r\n}\r\n</style>\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-heading\">\r\n            <div class=\"panel-title pull-left\">\r\n                <h1><strong>Payroll:</strong> [[detail_Name_value]]\r\n                    <br>\r\n                    <strong>Date:</strong> [[from_date]] - [[to_date]]\r\n                    <br> \r\n                    <strong>Balance:</strong> [[emp_balance]] [[local_currency_symbol]]\r\n\r\n                </h1></div>\r\n        </div>\r\n        <div class=\"panel-body\">\r\n\r\n            <div class=\"row\">\r\n                <div class=\"col-xs-3\">\r\n                    <div class=\"invoice-logo\">\r\n                        <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:250px\"/>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n\r\n            <div class=\"table-responsive\">\r\n                <table class=\"table  table-hover m-t-10\" id=\"payroll_table\">\r\n                    <tbody>\r\n                        [[smc__start_details]]\r\n                        <tr class=\"[[class]]\">\r\n                            <td class=\"bold\">[[title]]</td>\r\n                            <td class=\"text-center\" >[[value]]</td>\r\n                        </tr>\r\n                        [[smc__end_details]]\r\n                        <tr>\r\n                            <td class=\"bold f-18\">Net Payment</td>\r\n                            <td class=\"bold text-center f-18\">[[Net_Pay]]&nbsp;[[local_currency_symbol]]</td>\r\n                        </tr>\r\n                    </tbody>\r\n\r\n                </table>\r\n            </div>\r\n        </div>\r\n        <br/>\r\n        <br/>\r\n        <div class=\"row\">\r\n\r\n            <div class=\"col-xs-4\">\r\n                <table class=\"table table-hover\" id=\"TotalTable\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"v-align-middle text-center\" style=\"display:none\"></td>\r\n                            <td class=\'v-align-middle text-center\'>\r\n                                Signature :\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n        </div>\r\n   \r\n\r\n    </div>\r\n</div>', 1, 1, 'Server payroll', 1),
(57, 'datatable_message_top', '', 1, 1, 'Server datatable_message_top', 1),
(58, 'datatable_message_bottom', '', 1, 1, 'Server datatable_message_bottom', 1),
(59, 'datatable_header_msg', '###multi_payroll#%#\r\n<h4><strong>Date:&nbsp[[date]]</strong></h4>\r\n###item_profit#%#\r\n<h4 class=\'[[date_class]]\'><strong>Date:&nbsp[[from_date]]-[[to_date]]</strong></h4>\r\n<h4 class=\'[[category_class]]\'><strong>Category:&nbsp[[category]]</strong></h4>\r\n<h4 class=\'[[product_class]]\'><strong>Product:&nbsp[[product]]</strong></h4>\r\n<h4 class=\'[[brand_class]]\'><strong>Brand:&nbsp[[brand]]</strong></h4>\r\n<h4 class=\'[[customer_class]]\'><strong>Customer:&nbsp[[customer]]</strong></h4>\r\n###total_sold_items#%#\r\n<h4 class=\'[[date_class]]\'><strong>Date:&nbsp[[from_date]]-[[to_date]]</strong></h4>\r\n<h4 class=\'[[date_created_class]]\'><strong>Date Created:&nbsp[[from_date_created]]-[[to_date_created]]</strong></h4>\r\n<h4 class=\'[[category_class]]\'><strong>Category:&nbsp[[category]]</strong></h4>\r\n<h4 class=\'[[branch_class]]\'><strong>Branch:&nbsp[[branch]]</strong></h4>\r\n<h4 class=\'[[salesman_class]]\'><strong>Salesman:&nbsp[[salesman]]</strong></h4>\r\n<h4 class=\'[[users_class]]\'><strong>Users:&nbsp[[users]]</strong></h4>\r\n<h4 class=\'[[customer_class]]\'><strong>Customer:&nbsp[[customer]]</strong></h4>\r\n<h4 class=\'[[customer_branch_class]]\'><strong>Customer Branch:&nbsp[[customer_branch]]</strong></h4>\r\n<h4 class=\'[[customer_group_class]]\'><strong>Customer Group:&nbsp[[customer_group]]</strong></h4>\r\n###sales_per_category#%#\r\n<h4 class=\'[[date_class]]\'><strong>Date:&nbsp[[from_date]]-[[to_date]]</strong></h4>\r\n<h4 class=\'[[branch_class]]\'><strong>Branch:&nbsp[[branch]]</strong></h4>\r\n<h4 class=\'[[salesman_class]]\'><strong>Salesman:&nbsp[[salesman]]</strong></h4>\r\n<h4 class=\'[[users_class]]\'><strong>Users:&nbsp[[users]]</strong></h4>\r\n<h4 class=\'[[customer_class]]\'><strong>Customer:&nbsp[[customer]]</strong></h4>\r\n<h4 class=\'[[customer_group_class]]\'><strong>Customer Group:&nbsp[[customer_group]]</strong></h4>\r\n###stock_value_report#%#\r\n<h4 class=\'[[date_class]]\'><strong>Date:&nbsp[[to_date]]</strong></h4>\r\n<h4 class=\'[[brand_class]]\'><strong>Brand:&nbsp[[brand]]</strong></h4>\r\n<h4 class=\'[[category_class]]\'><strong>Category:&nbsp[[category]]</strong></h4>\r\n<h4 class=\'[[supplier_class]]\'><strong>Supplier:&nbsp[[supplier]]</strong></h4>\r\n<h4 class=\'[[depot_class]]\'><strong>Depot:&nbsp[[depot]]</strong></h4>\r\n###depot_content#%#\r\n<h4 class=\'[[date_class]]\'><strong>Date:&nbsp[[date]]</strong></h4>\r\n<h4 class=\'[[brand_class]]\'><strong>Brand:&nbsp[[brand]]</strong></h4>\r\n<h4 class=\'[[category_class]]\'><strong>Category:&nbsp[[category]]</strong></h4>\r\n<h4 class=\'[[supplier_class]]\'><strong>Supplier:&nbsp[[supplier]]</strong></h4>\r\n<h4 class=\'[[depot_class]]\'><strong>Depot:&nbsp[[depot]]</strong></h4>\r\n', 1, 1, 'Server datatable_header_msg', 1),
(60, 'order', '<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\n<style type=\"text/css\">\n    *{\n        font-size: 19px;\n    }\n    .ValSpan{\n        opacity:0;\n    }\n    .inv-info{\n        font-size: 15px;\n    }\n    .border-div{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-right:0;\n        border-left:0;\n        border-top:0;\n    }\n\n    .border-tr{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-bottom:0;\n        border-left:0;\n        border-top:0;\n    }\n    .border-td{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        padding: 8px;\n        border-bottom:0;\n        border-top:0;\n    }\n    .border-table{\n        border: 1px solid #000;\n        /* border-style: dotted; */\n        border-right:0;\n        border-left:0;\n        margin-top:15px;\n    }\n    .table tbody tr td{\n        /*line-height:12px;*/\n    }\n    .table thead tr th{\n        /* background: #ddd; */\n    }\n\n    h5{\n        font-size:17px !important;\n    }\n    .phone-l{\n        margin-left:1px !important;\n    }\n \n    h5{\n        line-height: 15px !important;\n    }\n    h4{\n        line-height: 18px !important;\n    }\n    @media print {\n        .table thead tr th{\n            /* background: #ddd; */\n        }\n\n        h5{\n            /* font-size:14px !important; */\n        }\n        /* img{\n            max-width: 50% !important;\n        } */\n\n        .table tbody tr td{\n            /*line-height:20px;*/\n            /* font-size:1em !important; */\n        }\n        .phone-l{\n            margin-left:1px !important;\n        }\n        h3.mytitle{\n            /* font-size:1.8em !important; */\n        }\n\n\n        .footer{\n            bottom:-90px;\n            position:fixed;\n        }	\n    }\n\n</style>\n<style>\n    @media print{\n        .no-print{display:none;}\n    }\n    .text-center{text-align:center;}\n    .text-left{text-align:left;}\n.text-right{text-align:right;}\n    .row:after, .row:before {\n        display: table;\n        content: \" \";\n        clear:both;\n    }\n    .col-xs-2,.col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-10,.col-xs-12{\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n.col-xs-2{width: 16.66666667%;}\n    .col-xs-3{width:25%;}\n    .col-xs-4{width:33.33333333%;}\n    .col-xs-6{width:50%;}\n    .col-xs-8{width:66.66666666%;}\n.col-xs-10{width: 83.33333333%}\n    .col-xs-12{width:100%;}\n</style>\n\n<style>\n    .col-xs-5{width:41.66666667%;}\n    h4{\n        font-size: 23px;\n        \n    }\n    h5{\n        font-size: 17px !important;\n    }\n    h1, h2, h3, h4, h5, h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight:300!important;\n    }\n    body{\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\n    }\n    .pull-right{float:right;}\n    .pull-left{float:left;}\n.border-table {\n    border: 1px solid #000;\n    /* border-style: dotted; */\n    border-right: 0;\n    border-left: 0;\n    margin-top: 15px;\n}\n.table {\n    width: 100%;\n    max-width: 100%;\n    margin-bottom: 20px;\n    background-color: transparent;\nborder-collapse: collapse;\n}\n.table thead tr th {\n    text-transform: uppercase;\n   \n    font-size: 13px;\n    padding-top: 8px;\n    padding-bottom: 8px;\n    vertical-align: middle;\n    \n}\n.table thead tr th{\n\n font-weight: 600;\n    /* color: rgba(44,44,44,0.35); */\n}\n.btn-danger, .btn-danger:focus {\n    color: #ffffff !important;\n    background-color: #f55753 !important;\n     border-color: #f55753 !important; \n}\n.btn {\n    font-size: 14px;\n    font-weight: normal;\n    letter-spacing: 0.01em;\n    margin-bottom: 0;\n    border: 1px solid #f0f0f0;\n    text-align: center;\n    vertical-align: middle;\n    cursor: pointer;\n    border-radius: 3px;\n    -webkit-border-radius: 3px;\n    -moz-border-radius: 3px;\n    background-image: none!important;\n    color: #626262;\n    background-color: #ffffff;\n    line-height: 21px;\n    padding-left: 17px;\n    padding-right: 17px;\n    position: relative;\n    display: inline-block;\n    padding: 6px 12px;\n}\n.btn-success-darker, .btn-success-darker:focus {\n    color: #ffffff;\n    background-color: #0a7c71;\n    border-color: #0a7c71;\n}\n#delivery_head{\ndisplay:none;\n}\n@media print\n   {\n       #sales_head.no-print + #delivery_head{\ndisplay:block;\n}\n       .invoice h1{\n           /* font-size:22px!important; */\n       }\n        .total-purchase,.amount{\n          /*display:none !important;*/\n      }\n      .invoice,.table tbody tr td,.table thead tr th {\n          /* font-size:10px !important; */\n        }\n      .font-type{\n          /* font-size:12px !important; */\n        }\n\n   .table thead tr th{\n       /* background-color:white!important; */\n    color:black!important;}\n      .header-div{\n          /* font-size:16px; */\n        }\n        .hidenote{\n    display: none;\n}\n   }\n   .hide_view{\n    display: none;\n\n   }\n</style>\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n            \n                <div class=\"row \">\n                    <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                        <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"height: 120px;width: 200px;\" />\n    \n                    </div>\n                    <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                     \n                       <span class=\"print_delv\" style=\"margin-left: 100px;margin-top: 50px; font-size: 30px; font-weight: bold;\"> [[title]] </span> <span class=\"print_delv2 hide_view\" style=\"font-size: 30px;\"> Delivery Note</span>\n                    </div>\n                    \n                   \n                   \n                </div>\n            <br>\n            <div class=\"row \">\n                <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                    <h4  style=\" font-size: 20px !important;\">[[organiaztion_name_en]]</h4>\n                    <h4 style=\" font-size: 19px !important; \" > [[org_des_en]] </h4>\n    \n                    <h4 style=\" font-size: 19px !important;\"[[hidden_org_cr_en]]>C.R No: [[org_cr_en]]</h4>\n                    <h5  style=\" font-size: 19px !important;\"[[hidden_org_vat_en]]>VAT No : [[org_vat_en]]</h5>\n                    <h5  style=\" font-size: 19px !important;\"[[hidden_org_phone_en]]> Phone No: [[org_phone_en]]</h5>\n                </div>\n                <div class=\"col-xs-4 \" style=\"width: 50%;\">\n                    <div style=\"margin-left: 100px;\"> Order# [[sale_prefix]] [[Order_ID_Auto]]</div>\n                    <div style=\"margin-left: 100px;\">Date: [[Order_Date_format]]</div>\n                    <div style=\"margin-left: 100px;\">Due Date:[[sale_due_date_format]]</div>\n                    <div style=\"margin-left: 100px;\" class=\"print_delv\">Currency: [[Currency_Name]]</div>\n                </div>\n             \n                </div>\n                <br>\n                 <div>\n                   <table style=\"width: 100%;border-collapse: collapse;\" border=\"1\">\n                       <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                           <tr>\n                               <td >\n                                   Customer\n                               </td>\n                           </tr>\n                       </thead>\n                       <tbody>\n                           <tr>\n                               <td>Name: [[Name]]</td>\n                           </tr>\n                           <tr>\n                            <td>Address: [[Country_Name]] -  [[Address]]</td>\n                        </tr>\n                        <tr>\n                            <td>Phone: [[Mobile]] - [[Phone]]</td>\n                        </tr>\n                       </tbody>\n                   </table>\n\n                 </div>\n                 <br>\n                 <div>\n                    <table class=\"table  border-table\">\n                        <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                            <tr class=\"border-div\">\n                                <th class=\"border-td text-center\" style=\"width: 7%;\">No. <br> الرقم</th>\n                                <th class=\"border-td text-center\" style=\"width: 8%;\">Barcode <br> الرمز</th>\n                                <th class=\"border-tr text-center\" style=\"width: 35%;\">Item <br> المنتج</th>\n    <!--<th class=\"border-tr text-center\">brand</th>-->\n                                <th class=\"border-tr text-center\" style=\"width: 7%;\">Qty <br> الكمية</th>\n                                <th class=\"border-tr print_delv text-center\" style=\"width: 10%;\">Price <br> السعر</th>\n                                <th class=\"border-tr print_delv text-center\" style=\"width: 10%;\" >Discount <br> الخصم</th>\n                                <th class=\"border-tr print_delv text-center\" style=\"width: 7%;\">Total <br> المجموع </th>\n                            </tr>\n                        </thead>\n                        <tbody>\n                            [[smc__start_inv_detail]]\n                            <tr>\n                                <td class=\" border-td text-center\" >[[Count]]</td>\n                                <td class=\" border-tr text-center\">[[Bar_Code]]</td>\n                                <td class=\"border-tr text-center\">[[Product_Name]]</td>\n    \n                               <!-- <td class=\"border-tr text-center\">[[brand_name]]</td>-->\n                                <td class=\"border-tr text-center\">[[Item_Quantity_Current]] </td>\n                                <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[Product_Net_Price]] </span></td>\n                                <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[product_discount_percent]] %</span></td>\n                                <td class=\"border-tr print_delv text-center\"><span class=\'CurrencyIndicator\'></span>&nbsp;<span class=\"\">[[total_with_vat]]</span> </td>\n                            </tr>\n                            [[smc__end_inv_detail]]\n                        </tbody>\n                    </table>\n                 </div>\n                 <br>\n\n                 <div  style=\"display: flex; justify-content: space-between;\">\n\n                    <div class=\"print_delv\" style=\"width: 50%;\">\n                      <div style=\"margin-left: 50px;\">[[grand_total_word_en]] <br> [[grand_total_word_ar]] </div>  \n\n                    </div>\n                    <div class=\"print_delv\"  style=\"width: 50%;\">\n                        <table  style=\"width: 100%; border-collapse: collapse;\" border=\"1\">\n                            <tr>\n                                <td>Quantity</td>\n                                <td>[[invoice_total_quantity]]</td>\n                            </tr>\n                            <tr>\n                                <td>Subtotal</td>\n                                <td>[[sub_total]]</td>\n                            </tr>\n                            <tr>\n                                <td>Discount [[discount_percent]] % </td>\n                                <td>[[discount_amount]]</td>\n                            </tr>\n                            <tr>\n                                <td>Net Total VAT [[smc__system_vat_percent]]%</td>\n                                <td>[[total_vat]]</td>\n                            </tr>\n                            <tr>\n                                <td>Grand Total</td>\n                                <td style=\"box-shadow: inset 100px 100px #ddd;\">[[net_total]]</td>\n                            </tr>\n                           \n\n\n                        </table>\n\n                    </div>\n\n                 </div>\n\n                 <br>\n                 <div>\n                    <table style=\"width: 100%;border-collapse: collapse;\" border=\"1\">\n                        <thead style=\"box-shadow: inset 100px 100px #ddd;\">\n                            <tr>\n                                <td >\n                                   Note\n                                </td>\n                            </tr>\n                        </thead>\n                        <tbody >\n                            <tr>\n                                <td style=\"height: 60px;\">\n                                    [[order_description]]\n                                </td>\n                            </tr>\n                           \n                        </tbody>\n                    </table>\n                 </div>\n\n\n\n\n\n            </div>\n           \n            \n            <div class=\"row no-print\">\n                <div class=\"col-md-12\">\n                    <div class=\"pull-right\">\n                        <a style=\"background-color: rgb(248, 61, 61); color: white;\" id=\"invoice_print_btn\" class=\"btn btn-primary\" onclick=\"javascript:$(\'.print_delv2\').addClass(\'hidenote\');javascript:window.print();javascript:$(\'.print_delv\').removeClass(\'no-print\');\"><i class=\"fa fa-print\" ></i>Print</a>\n                        <a id=\"delivery_print_btn\" class=\"btn btn-success-darker\" onclick=\"javascript:$(\'.print_delv\').addClass(\'no-print\');javascript:$(\'.print_delv2\').removeClass(\'hide_view\');javascript:$(\'.hide_note\').show();window.print();\"><i class=\"fa fa-print \"></i> Print Delivery Note</a> </div>\n            \n                    </div>\n            \n                </div>\n        </div>\n        <br>\n        <br>\n    </div>\n    <p style=\" text-align: center;\">    [[print_date]]</p> \n\n    <!-- <p style=\"text-align: center;\">[[org_address_ar]] </p> -->\n    <p style=\"text-align: center;\">[[org_address_en]] </p>\n    <p  style=\" text-align: center; \"> [[Organization_Email]]</p>  \n</div>\n<p   class=\"third \" style=\"width:100%;text-align: center;padding:0;margin:0;\"> <img id=\"qrcode\" src=\"[[qrcode]]\" onerror=\"this.style.display=\'none\'\" alt=\"qrcode\" style=\"width: 160px; height: 160px;\"></p>\n<script>\n    var myInput = document.getElementById(\"title\");\n    if (myInput.value ==\"Purchase Order\") {\n       \n       \n        document.getElementById(\"qrcode\").style.visibility = \"hidden\";\n\n        \n    } \n    else {\n      \n        document.getElementById(\"qrcode\").style.visibility = \"visible\";\n       \n    }\n</script>', 1, 1, 'Server order', 1),
(62, 'damage', '<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    margin-bottom: 20px;\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n</style>\r\n\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n              \r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n            \r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Damage</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <br/>\r\n            <br/>\r\n            <div class=\"row\">\r\n              \r\n                <div class=\"col-xs-4 inv-info font-type\">\r\n                    <br/><span>Depot:	</span><span>&nbsp;[[Depot_Name]]</span>\r\n					<div><span>Date :   </span><span>&nbsp;[[damage_date]]</span></div>\r\n\r\n                </div>\r\n            </div>\r\n            <br/>\r\n            <br/>\r\n            <br/>\r\n            <table class=\"table  border-table\">\r\n                <thead>\r\n<tr class=\"border-div\">\r\n                <th class=\"text-center border-td\">Code</th>\r\n                <th class=\"text-center border-tr\">Name</th>\r\n                <th class=\"text-center border-tr\">Quantity</th>\r\n                <th class=\"text-center border-tr\">Note</th>\r\n</tr>\r\n                </thead>\r\n                <tbody>\r\n				 [[smc__start_details]]\r\n                        <tr>\r\n                              <td class=\"border-td text-center\">[[Product_Code]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[current_quantity]] [[UOM_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[detail_note]]</td>\r\n\r\n                        </tr>\r\n						 [[smc__end_details]]\r\n                </tbody>\r\n            </table>\r\n            <br/>\r\n            <br/>\r\n          \r\n            <br/>\r\n            <br/>\r\n            <br/>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a class=\"btn btn-danger\" onclick=\"javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n', 1, 1, 'Server damage', 1),
(63, 'adjust', '<style type=\"text/css\">\n    .ValSpan{\n        opacity:0;\n    }\n    .inv-info{\n        font-size: 15px;\n    }\n    .border-div{\n        border: 1px solid #000;\n       \n        padding: 8px;\n        border-right:0;\n        border-left:0;\n        border-top:0;\n    }\n\n    .border-tr{\n        border: 1px solid #000;\n       \n        padding: 8px;\n        border-bottom:0;\n        border-left:0;\n        border-top:0;\n    }\n    .border-td{\n        border: 1px solid #000;\n       \n        padding: 8px;\n        border-bottom:0;\n        border-top:0;\n    }\n    .border-table{\n        border: 1px solid #000;\n        \n        border-right:0;\n        border-left:0;\n        margin-top:15px;\n    }\n    .table tbody tr td{\n        /*line-height:12px;*/\n    }\n    .table thead tr th{\n        background: #ddd;\n    }\n\n    h5{\n        font-size:17px !important;\n    }\n    .phone-l{\n        margin-left:1px !important;\n    }\n \n    h5{\n        line-height: 15px !important;\n    }\n    h4{\n        line-height: 18px !important;\n    }\n    @media print {\n        .table thead tr th{\n            background: #ddd;\n        }\n\n        h5{\n            font-size:14px !important;\n        }\n        img{\n            max-width: 50% !important;\n        }\n\n        .table tbody tr td{\n            /*line-height:20px;*/\n            font-size:1em !important;\n        }\n        .phone-l{\n            margin-left:1px !important;\n        }\n        .mytitle{\n            font-size:2.5em !important;\n        }\n\n\n        .footer{\n            bottom:-90px;\n            position:fixed;\n        }	\n    }\n\n</style>\n<style>\n    @media print{\n        .no-print{display:none;}\n    }\n    .text-center{text-align:center;}\n    .text-left{text-align:left;}\n.text-right{text-align:right;}\n    .row:after, .row:before {\n        display: table;\n        content: \" \";\n        clear:both;\n    }\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\n        float: left;\n        position: relative;\n        min-height: 1px;\n        padding-right: 15px;\n        padding-left: 15px;\n        -moz-box-sizing: border-box;\n        box-sizing: border-box;\n    }\n    .col-xs-3{width:25%;}\n    .col-xs-4{width:33.33333333%;}\n    .col-xs-6{width:50%;}\n    .col-xs-8{width:66.66666666%;}\n    .col-xs-12{width:100%;}\n</style>\n\n<style>\n    .col-xs-5{width:41.66666667%;}\n    h4{\n        font-size: 23px;\n        \n    }\n    h5{\n        font-size: 17px !important;\n    }\n    h1, h2, h3, h4, h5, h6 {\n        margin: 10px 0;\n        -webkit-font-smoothing: antialiased;\n        -webkit-text-size-adjust: 100%;\n        color: #2c2c2c;\n        font-weight:300!important;\n    }\n    body{\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\n    }\n    .pull-right{float:right;}\n    .pull-left{float:left;}\n.border-table {\n    border: 1px solid #000;\n   \n    border-right: 0;\n    border-left: 0;\n    margin-top: 15px;\n}\n.table {\n    width: 100%;\n    max-width: 100%;\n    margin-bottom: 20px;\n    background-color: transparent;\nborder-collapse: collapse;\n}\n.table thead tr th {\n    text-transform: uppercase;\n   \n    font-size: 13px;\n    padding-top: 8px;\n    padding-bottom: 8px;\n    vertical-align: middle;\n    \n}\n.table thead tr th{\n\n font-weight: 600;\n    color: rgba(44,44,44,0.35);}\n.btn-danger, .btn-danger:focus {\n    color: #ffffff !important;\n    background-color: #f55753 !important;\n     border-color: #f55753 !important; \n}\n.btn {\n    font-size: 14px;\n    font-weight: normal;\n    letter-spacing: 0.01em;\n    margin-bottom: 0;\n    border: 1px solid #f0f0f0;\n    text-align: center;\n    vertical-align: middle;\n    cursor: pointer;\n    border-radius: 3px;\n    -webkit-border-radius: 3px;\n    -moz-border-radius: 3px;\n    background-image: none!important;\n    color: #626262;\n    background-color: #ffffff;\n    line-height: 21px;\n    padding-left: 17px;\n    padding-right: 17px;\n    position: relative;\n    display: inline-block;\n    padding: 6px 12px;\n}\n.btn-success-darker, .btn-success-darker:focus {\n    color: #ffffff;\n    background-color: #0a7c71;\n    border-color: #0a7c71;\n}\n@media print\n   {\n       \n       .invoice h1{\n           font-size:22px!important;\n       }\n        .total-purchase,.amount{\n          /*display:none !important;*/\n      }\n      .invoice,.table tbody tr td,.table thead tr th {\n        \n        font-size:10px !important;\n    }\n      .font-type{\n        font-size:12px !important;\n    }\n\n   .table thead tr th{\n    background-color:white!important;color:black!important;\n}\n      .header-div{\n        font-size:13px;\n    }\n   }\n</style>\n\n<div class=\"wrapper\">\n    <div class=\"panel invoice\">\n        <div class=\"panel-body\">\n            \n            <div class=\"row \" style=\" width: 100%;\">\n                <div class=\"col-xs-4  m-b-10 header-div\" style=\"width: 33%;\">\n                   \n                    <div style=\" font-size: 20px; margin-top:15px;\" > [[organiaztion_name_en]] </div>\n                    <div style=\" font-size: 17px; \" > [[org_des_en]] </div>\n                   \n                    <div [[hidden_org_cr_en]]   style=\" font-size: 15px; \">C.R No:  [[org_cr_en]]</div>\n\n                   <div  [[hidden_org_vat_en]]   style=\" font-size: 15px; \">  VAT No : [[org_vat_en]] </div>\n                   <!-- <div style=\" font-size: 15px; \"> Branch (1)</div> -->\n \n                </div>\n                <div class=\"col-xs-4 text-center\" style=\"width: 33%;\">\n                    <img  src=\"[[smc__upload_url]][[org_logo]]\" onerror=\"this.style.display=\'none\'\" style=\"width: 250px;height: 120px;\">\n                </div>\n                <div class=\"col-xs-4  m-b-10 header-div\" style=\"direction: rtl;width: 33%;\">\n                    <div style=\" font-size: 20px;margin-top: 15px; \">[[org__Organization_Name]] </div>\n                    <div style=\" font-size: 17px; \" > [[org_des_ar]] </div>\n\n                    <div [[hidden_org__Organization_Commercial_Registry]]  style=\" font-size: 17px; \">   س.ت : [[org__Organization_Commercial_Registry]]</div>\n                    <div  [[hidden_Organization_vat_num]]   style=\" font-size: 15px; \">    الرقم الضريبي  : [[Organization_vat_num]]</div>\n \n                    <!-- <div    style=\" font-size: 15px; \">    فرع (1) </div> -->\n\n                    \n                </div>\n            </div> \n\n\n\n\n\n\n\n\n\n\n\n            <div class=\"col-xs-8 col-md-8 pull-right\">\n                <div class=\"row\">\n                    <div class=\"col-xs-5\">\n                        <h1 class=\"text-center mytitle\">Stock Adjustment</h1>\n                    </div>\n\n                </div>\n            </div>\n            <br/>\n            <br/>\n            <div class=\"row\">\n              \n                <div class=\"col-xs-4 inv-info font-type\">\n                    <br/><span>Depot:	</span><span>&nbsp;[[Depot_Name]]</span>\n					<div><span>Date :   </span><span>&nbsp;[[assign_date]]</span></div>\n<div><span>Adjustment #:   </span><span>&nbsp;[[assign_nb]]</span></div>\n\n                </div>\n            </div>\n            <br/>\n            <br/>\n            <br/>\n            \n            <table style=\"width: 100%;border-collapse: collapse;\" border=\"1\" >\n                <thead style=\"box-shadow: inset 100px 100px #ddd;height: 30px;\">\n                \n                <th class=\"text-center \">Code</th>\n                <th class=\"text-center \">Name</th>\n                <th class=\"text-center \">Quantity</th>\n                <th class=\"text-center \">Note</th>\n                </tr>\n                </thead>\n                <tbody>\n				 [[smc__start_details]]\n                        <tr style=\"height: 25px;\">\n                              <td class=\" text-center\">[[Product_Code]]</td>\n                            <td class=\" text-center\">[[Product_Name]]</td>\n                            <td class=\" text-center\">[[current_diff_qty]] [[UOM_Name]]</td>\n                            <td class=\" text-center\">[[detail_note]]</td>\n\n                        </tr>\n						 [[smc__end_details]]\n                </tbody>\n            </table>\n            <br/>\n            <br/>\n          \n            <br/>\n            <br/>\n            <br/>\n            <div class=\"row no-print\">\n                <div class=\"col-md-12\">\n                    <div class=\"pull-right\">\n                        <a class=\"btn btn-danger\" onclick=\"javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n\n', 1, 1, 'Server adjust', 1);
INSERT INTO `tbl_print_template` (`template_id`, `template_key`, `template_text`, `status`, `copies`, `template_name`, `branch_id`) VALUES
(64, 'assign', '<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    margin-bottom: 20px;\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n</style>\r\n\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n              \r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n            \r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Stock Assign</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <br/>\r\n            <br/>\r\n            <div class=\"row\">\r\n              \r\n                <div class=\"col-xs-4 inv-info font-type\">\r\n                    <br/><span>Depot:	</span><span>&nbsp;[[Depot_Name]]</span>\r\n					<div><span>Date :   </span><span>&nbsp;[[assign_date]]</span></div>\r\n<div><span>Assign #:   </span><span>&nbsp;[[assign_nb]]</span></div>\r\n\r\n                </div>\r\n            </div>\r\n            <br/>\r\n            <br/>\r\n            <br/>\r\n            <table class=\"table  border-table\">\r\n                <thead>\r\n<tr class=\"border-div\">\r\n                <th class=\"text-center border-td\">Code</th>\r\n                <th class=\"text-center border-tr\">Name</th>\r\n                <th class=\"text-center border-tr\">Quantity</th>\r\n                <th class=\"text-center border-tr\">Note</th>\r\n</tr>\r\n                </thead>\r\n                <tbody>\r\n				 [[smc__start_details]]\r\n                        <tr>\r\n                              <td class=\"border-td text-center\">[[Product_Code]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[current_diff_qty]] [[UOM_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[detail_note]]</td>\r\n\r\n                        </tr>\r\n						 [[smc__end_details]]\r\n                </tbody>\r\n            </table>\r\n            <br/>\r\n            <br/>\r\n          \r\n            <br/>\r\n            <br/>\r\n            <br/>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a class=\"btn btn-danger\" onclick=\"javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n', 1, 1, 'Server assign', 1),
(65, 'stock_acc_adjust', '<style type=\"text/css\">\r\n    .ValSpan{\r\n        opacity:0;\r\n    }\r\n    .inv-info{\r\n        font-size: 15px;\r\n    }\r\n    .border-div{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n\r\n    .border-tr{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-left:0;\r\n        border-top:0;\r\n    }\r\n    .border-td{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom:0;\r\n        border-top:0;\r\n    }\r\n    .border-table{\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right:0;\r\n        border-left:0;\r\n        margin-top:15px;\r\n    }\r\n    .table tbody tr td{\r\n        /*line-height:12px;*/\r\n    }\r\n    .table thead tr th{\r\n        background: #ddd;\r\n    }\r\n\r\n    h5{\r\n        font-size:17px !important;\r\n    }\r\n    .phone-l{\r\n        margin-left:1px !important;\r\n    }\r\n \r\n    h5{\r\n        line-height: 15px !important;\r\n    }\r\n    h4{\r\n        line-height: 18px !important;\r\n    }\r\n    @media print {\r\n        .table thead tr th{\r\n            background: #ddd;\r\n        }\r\n\r\n        h5{\r\n            font-size:14px !important;\r\n        }\r\n        img{\r\n            max-width: 50% !important;\r\n        }\r\n\r\n        .table tbody tr td{\r\n            /*line-height:20px;*/\r\n            font-size:1em !important;\r\n        }\r\n        .phone-l{\r\n            margin-left:1px !important;\r\n        }\r\n        .mytitle{\r\n            font-size:2.5em !important;\r\n        }\r\n\r\n\r\n        .footer{\r\n            bottom:-90px;\r\n            position:fixed;\r\n        }	\r\n    }\r\n\r\n</style>\r\n<style>\r\n    @media print{\r\n        .no-print{display:none;}\r\n    }\r\n    .text-center{text-align:center;}\r\n    .text-left{text-align:left;}\r\n.text-right{text-align:right;}\r\n    .row:after, .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear:both;\r\n    }\r\n    .col-xs-3,.col-xs-4,.col-xs-6,.col-xs-8,.col-xs-12{\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    .col-xs-3{width:25%;}\r\n    .col-xs-4{width:33.33333333%;}\r\n    .col-xs-6{width:50%;}\r\n    .col-xs-8{width:66.66666666%;}\r\n    .col-xs-12{width:100%;}\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5{width:41.66666667%;}\r\n    h4{\r\n        font-size: 23px;\r\n        \r\n    }\r\n    h5{\r\n        font-size: 17px !important;\r\n    }\r\n    h1, h2, h3, h4, h5, h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight:300!important;\r\n    }\r\n    body{\r\n        font-family:\"Arial\",\"Tahoma\",\"DejaVu Sans Mono\", monospace;\r\n    }\r\n    .pull-right{float:right;}\r\n    .pull-left{float:left;}\r\n.border-table {\r\n    border: 1px solid #000;\r\n    border-style: dotted;\r\n    border-right: 0;\r\n    border-left: 0;\r\n    margin-top: 15px;\r\n}\r\n.table {\r\n    width: 100%;\r\n    max-width: 100%;\r\n    margin-bottom: 20px;\r\n    background-color: transparent;\r\nborder-collapse: collapse;\r\n}\r\n.table thead tr th {\r\n    text-transform: uppercase;\r\n   \r\n    font-size: 13px;\r\n    padding-top: 8px;\r\n    padding-bottom: 8px;\r\n    vertical-align: middle;\r\n    \r\n}\r\n.table thead tr th{\r\n\r\n font-weight: 600;\r\n    color: rgba(44,44,44,0.35);}\r\n.btn-danger, .btn-danger:focus {\r\n    color: #ffffff !important;\r\n    background-color: #f55753 !important;\r\n     border-color: #f55753 !important; \r\n}\r\n.btn {\r\n    font-size: 14px;\r\n    font-weight: normal;\r\n    letter-spacing: 0.01em;\r\n    margin-bottom: 0;\r\n    border: 1px solid #f0f0f0;\r\n    text-align: center;\r\n    vertical-align: middle;\r\n    cursor: pointer;\r\n    border-radius: 3px;\r\n    -webkit-border-radius: 3px;\r\n    -moz-border-radius: 3px;\r\n    background-image: none!important;\r\n    color: #626262;\r\n    background-color: #ffffff;\r\n    line-height: 21px;\r\n    padding-left: 17px;\r\n    padding-right: 17px;\r\n    position: relative;\r\n    display: inline-block;\r\n    padding: 6px 12px;\r\n}\r\n.btn-success-darker, .btn-success-darker:focus {\r\n    color: #ffffff;\r\n    background-color: #0a7c71;\r\n    border-color: #0a7c71;\r\n}\r\n@media print\r\n   {\r\n       \r\n       .invoice h1{\r\n           font-size:22px!important;\r\n       }\r\n        .total-purchase,.amount{\r\n          /*display:none !important;*/\r\n      }\r\n      .invoice,.table tbody tr td,.table thead tr th {font-size:10px !important;}\r\n      .font-type{font-size:12px !important;}\r\n\r\n   .table thead tr th{background-color:white!important;color:black!important;}\r\n      .header-div{font-size:13px;}\r\n   }\r\n</style>\r\n\r\n<div class=\"wrapper\">\r\n    <div class=\"panel invoice\">\r\n        <div class=\"panel-body\">\r\n            <div class=\"row \">\r\n              \r\n                <div class=\"col-xs-4 text-center\">\r\n                    <img src=\"[[smc__upload_path]]org_logo/invoice_logo.jpg\" alt=\"\" style=\"max-width:150px\"/>\r\n                </div>\r\n            \r\n            </div>\r\n            <div class=\"col-xs-8 col-md-8 pull-right\">\r\n                <div class=\"row\">\r\n                    <div class=\"col-xs-5\">\r\n                        <h1 class=\"text-center mytitle\">Stock Adjustment with Accounting</h1>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <br/>\r\n            <br/>\r\n            <div class=\"row\">\r\n              \r\n                <div class=\"col-xs-4 inv-info font-type\">\r\n                    <br/><span>Depot:	</span><span>&nbsp;[[Depot_Name]]</span>\r\n					<div><span>Date :   </span><span>&nbsp;[[adjust_date]]</span></div>\r\n<div><span>Ajust #:   </span><span>&nbsp;[[adjust_nb]]</span></div>\r\n\r\n                </div>\r\n            </div>\r\n            <br/>\r\n            <br/>\r\n            <br/>\r\n            <table class=\"table  border-table\">\r\n                <thead>\r\n<tr class=\"border-div\">\r\n                <th class=\"text-center border-td\">Code</th>\r\n                <th class=\"text-center border-tr\">Name</th>\r\n                <th class=\"text-center border-tr\">Quantity</th>\r\n                <th class=\"text-center border-tr\">Note</th>\r\n</tr>\r\n                </thead>\r\n                <tbody>\r\n				 [[smc__start_details]]\r\n                        <tr>\r\n                              <td class=\"border-td text-center\">[[Product_Code]]</td>\r\n                            <td class=\"border-tr text-center\">[[Product_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[current_quantity]] [[UOM_Name]]</td>\r\n                            <td class=\"border-tr text-center\">[[note]]</td>\r\n\r\n                        </tr>\r\n						 [[smc__end_details]]\r\n                </tbody>\r\n            </table>\r\n            <br/>\r\n            <br/>\r\n          \r\n            <br/>\r\n            <br/>\r\n            <br/>\r\n            <div class=\"row no-print\">\r\n                <div class=\"col-md-12\">\r\n                    <div class=\"pull-right\">\r\n                        <a class=\"btn btn-danger\" onclick=\"javascript:window.print();\"><i class=\"fa fa-print\"></i> Print</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n', 1, 1, 'Server stock_acc_adjust', 1),
(66, 'maintenance_view', '<link href=\"fontawesome/css/all.css\" rel=\"stylesheet\">\r\n<link rel=\"stylesheet\" href=\"https://pro.fontawesome.com/releases/v5.10.0/css/all.css\" integrity=\"sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p\" crossorigin=\"anonymous\" />\r\n<link href=\"/your-path-to-fontawesome/css/fontawesome.css\" rel=\"stylesheet\">\r\n<link href=\"/your-path-to-fontawesome/css/brands.css\" rel=\"stylesheet\">\r\n<link href=\"/your-path-to-fontawesome/css/solid.css\" rel=\"stylesheet\">\r\n\r\n<script src=\"https://code.iconify.design/2/2.0.3/iconify.min.js\"></script>\r\n\r\n\r\n<body style=\"direction:rtl;\" onload=\"window.print()\">\r\n\r\n    <table style=\"width: 100%; \">\r\n\r\n        <tr>\r\n            <td>\r\n                <table style=\"width: 100%; direction: ltr;\">\r\n                    <th colspan=\"2\">\r\n                        <span style=\"text-align: right; font-size: 30px; \">[[org__Organization_Name]]</span>\r\n\r\n                    </th>\r\n                    <tr>\r\n                        <td colspan=\"2\" bgcolor=\"black\" style=\"color: white; border-radius: 20px; height: 40px;\">\r\n                            <span>&nbsp;<i class=\"iconify\" data-icon=\"simple-icons:tiktok\" style=\"color: black;\"></i>&nbsp;&nbsp; apple_clinic &nbsp;&nbsp; </span>\r\n                            <span> <i class=\"fab fa-instagram\"> &nbsp; apple_clinic_94 &nbsp; &nbsp; </i></span>\r\n                            <span><i class=\"fab fa-youtube-square\"></i> &nbsp;  The teacher moudi</span>\r\n                        </td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td> <i class=\"fas fa-map-marker-alt\">[[org__Organization_Street]]</i></td>\r\n                        <td> <i class=\"fab fa-whatsapp-square\">[[org__Organization_Phone]]</i> <br> <i class=\"fas fa-envelope-square\">[[org__Organization_Email]]</i></td>\r\n                    </tr>\r\n\r\n                </table>\r\n            </td>\r\n\r\n            <td style=\"width: 65%;\"> <span style=\"font-size: 40px; margin-right: 20%;\">:No</span> <img src=\"[[smc__upload_url]]org_logo/invoice_logo.jpg\" style=\"height: 80px; width: 80px; margin-right: 25%;\"></td>\r\n\r\n        </tr>\r\n\r\n    </table>\r\n\r\n\r\n\r\n\r\n    <table border=\"1px\" style=\"width:75%;   border: 1px; font-size: 20px; \">\r\n\r\n        <tbody>\r\n\r\n            <tr>\r\n                <td colspan=\"1\" style=\" background-color: #D1D0CE; border-radius: 5px; text-align: center;\">اسم العميل</td>\r\n                <td colspan=\"3\" style=\"border-radius: 5px; text-align: center;\">[[Customer_Name]]</td>\r\n            </tr>\r\n            <tr>\r\n                <td colspan=\"1\" style=\" background-color: #D1D0CE;border-radius: 5px;text-align: center;\"> رقم هاتف العميل</td>\r\n                <td style=\"border-radius: 5px;text-align: center;\">[[Customer_Phone]]</td>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\"> نوع الهاتف</td>\r\n                <td style=\"border-radius: 5px;text-align: center;\"> [[phone_brand]]</td>\r\n            </tr>\r\n\r\n            <tr>\r\n                <td colspan=\"1\" style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\"> نوع العطل</td>\r\n                <td colspan=\"3\" style=\"border-radius: 5px;text-align: center;\">[[maintenance_type_name]]</td>\r\n            </tr>\r\n            <tr>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\"> لون الهاتف</td>\r\n                <td style=\"border-radius: 5px;text-align: center;\">[[color]]</td>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\">رمز الدخول للهاتف</td>\r\n                <td style=\"border-radius: 5px;text-align: center;\">[[password]]</td>\r\n            </tr>\r\n\r\n            <tr>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\"> المستلم</td>\r\n                <td style=\"border-radius: 5px;text-align: center;\">[[User_Name]]</td>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\"> تاريخ الاستلام</td>\r\n                <td style=\"border-radius: 5px;text-align: center;\">[[date_created]]</td>\r\n            </tr>\r\n\r\n            <tr>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\"> Serial number</td>\r\n                <td colspan=\"3\" style=\"border-radius: 5px;text-align: center;\">[[serial_number]]</td>\r\n\r\n\r\n            </tr>\r\n            <tr>\r\n                <td style=\" background-color: #D1D0CE; border-radius: 5px;text-align: center;\">Exchange Rate</td>\r\n                <td colspan=\"3\" style=\"border-radius: 5px;text-align: center;\">[[ExchangeRate]]</td>\r\n\r\n\r\n            </tr>\r\n        </tbody>\r\n    </table>\r\n\r\n\r\n</body>', 1, 1, 'Server maintenance_view', 1),
(67, 'production_barcode', '<html>\r\n\r\n<body onload=\"window.print()\">\r\n\r\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\r\n\r\n    <style>\r\n        body {\r\n            margin: 0;\r\n            padding: 0;\r\n            font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\r\n            font-size: 12.5px;\r\n            line-height: 1;\r\n            font-weight: bold;\r\n        }\r\n        \r\n        @page {\r\n            margin: 5px 5px 0px 12px;\r\n        }\r\n    </style>\r\n\r\n    <div style=\'width:100%\'>\r\n        <div style=\'text-align:left;float:left;width:50%;font-size: 10px;\'>\r\n            [[org__Organization_Name]]\r\n        </div>\r\n        <div style=\'text-align:right;float:right;width:50%;font-size: 10px;\'>\r\n            [[org__Organization_Phone]]\r\n        </div>\r\n        <div style=\'clear:both;\'></div>\r\n    </div>\r\n    <!--<div style=\'display:block;text-align:center;margin-top:2px;\'>[[barcode]]</div>-->\r\n    <div style=\'display:block;text-align:center;margin-top:2px;\'>[[item_name]]</div>\r\n    <div style=\'display:block;text-align:center;margin-top:2px;\'><img src=\"[[barcode_image]]\" style=\"width: 90%;height: 40px;\" /></div>\r\n    <div style=\'display:block;text-align:center;margin-top:2px;font-size: 15px;\'>[[Code]]</div>\r\n     <div style=\'width:100%;margin-bottom: 4%;\'>\r\n        <div style=\'text-align:left;float:left;width:50%;\'>\r\n            [[text_right]]\r\n        </div>\r\n        <div style=\'text-align:right;float:right;width:50%;\'>\r\n            [[text_left]]\r\n        </div>\r\n        <div style=\'clear:both;\'></div>\r\n    </div>\r\n    <div style=\'width:100%\'>\r\n        <div style=\'text-align:left;float:left;width:50%;\'>\r\n            [[text_right_bo]]\r\n        </div>\r\n        <div style=\'text-align:right;float:right;width:50%;\'>\r\n            [[text_left_bo]]\r\n        </div>\r\n        <div style=\'clear:both;\'></div>\r\n    </div>\r\n\r\n </body>\r\n\r\n</html>', 1, 1, 'Server production_barcode', 1),
(68, 'production_process_print', '<link href=\"fontawesome/css/all.css\" rel=\"stylesheet\">\r\n<link rel=\"stylesheet\" href=\"https://pro.fontawesome.com/releases/v5.10.0/css/all.css\" integrity=\"sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p\" crossorigin=\"anonymous\" />\r\n<link href=\"/your-path-to-fontawesome/css/fontawesome.css\" rel=\"stylesheet\">\r\n<link href=\"/your-path-to-fontawesome/css/brands.css\" rel=\"stylesheet\">\r\n<link href=\"/your-path-to-fontawesome/css/solid.css\" rel=\"stylesheet\">\r\n<!--<link href=\"[[smc__theme_path]]css/style.css\" rel=\"stylesheet\" type=\"text/css\"/>\r\n<link href=\"[[smc__theme_path]]css/style-responsive.css\" rel=\"stylesheet\"> -->\r\n<style type=\"text/css\">\r\n    .ValSpan {\r\n        opacity: 0;\r\n    }\r\n    \r\n    .inv-info {\r\n        font-size: 15px;\r\n    }\r\n    \r\n    .border-div {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        border-top: 0;\r\n    }\r\n    \r\n    .border-tr {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom: 0;\r\n        border-left: 0;\r\n        border-top: 0;\r\n    }\r\n    \r\n    .border-td {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        padding: 8px;\r\n        border-bottom: 0;\r\n        border-top: 0;\r\n    }\r\n    \r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    \r\n    .table tbody tr td {\r\n        /*line-height:12px;*/\r\n    }\r\n    \r\n    .table thead tr th {\r\n        background: #ddd;\r\n    }\r\n    \r\n    h5 {\r\n        font-size: 17px !important;\r\n    }\r\n    \r\n    .phone-l {\r\n        margin-left: 1px !important;\r\n    }\r\n    \r\n    h5 {\r\n        line-height: 15px !important;\r\n    }\r\n    \r\n    h4 {\r\n        line-height: 18px !important;\r\n    }\r\n    \r\n    @media print {\r\n        .table thead tr th {\r\n            background: #ddd;\r\n        }\r\n        h5 {\r\n            font-size: 14px !important;\r\n        }\r\n        img {\r\n            max-width: 50% !important;\r\n        }\r\n        .table tbody tr td {\r\n            /*line-height:20px;*/\r\n            font-size: 1em !important;\r\n        }\r\n        .phone-l {\r\n            margin-left: 1px !important;\r\n        }\r\n        .mytitle {\r\n            font-size: 2.5em !important;\r\n        }\r\n        .footer {\r\n            bottom: -90px;\r\n            position: fixed;\r\n        }\r\n    }\r\n</style>\r\n<style>\r\n    @media print {\r\n        .no-print {\r\n            display: none;\r\n        }\r\n    }\r\n    \r\n    .text-center {\r\n        text-align: center;\r\n    }\r\n    \r\n    .text-left {\r\n        text-align: left;\r\n    }\r\n    \r\n    .text-right {\r\n        text-align: right;\r\n    }\r\n    \r\n    .row:after,\r\n    .row:before {\r\n        display: table;\r\n        content: \" \";\r\n        clear: both;\r\n    }\r\n    \r\n    .col-xs-3,\r\n    .col-xs-4,\r\n    .col-xs-6,\r\n    .col-xs-8,\r\n    .col-xs-12 {\r\n        float: left;\r\n        position: relative;\r\n        min-height: 1px;\r\n        padding-right: 15px;\r\n        padding-left: 15px;\r\n        -moz-box-sizing: border-box;\r\n        box-sizing: border-box;\r\n    }\r\n    \r\n    .col-xs-3 {\r\n        width: 25%;\r\n    }\r\n    \r\n    .col-xs-4 {\r\n        width: 33.33333333%;\r\n    }\r\n    \r\n    .col-xs-6 {\r\n        width: 50%;\r\n    }\r\n    \r\n    .col-xs-8 {\r\n        width: 66.66666666%;\r\n    }\r\n    \r\n    .col-xs-12 {\r\n        width: 100%;\r\n    }\r\n</style>\r\n\r\n<style>\r\n    .col-xs-5 {\r\n        width: 41.66666667%;\r\n    }\r\n    \r\n    h4 {\r\n        font-size: 23px;\r\n    }\r\n    \r\n    h5 {\r\n        font-size: 17px !important;\r\n    }\r\n    \r\n    h1,\r\n    h2,\r\n    h3,\r\n    h4,\r\n    h5,\r\n    h6 {\r\n        margin: 10px 0;\r\n        -webkit-font-smoothing: antialiased;\r\n        -webkit-text-size-adjust: 100%;\r\n        color: #2c2c2c;\r\n        font-weight: 300!important;\r\n    }\r\n    \r\n    body {\r\n        font-family: \"Arial\", \"Tahoma\", \"DejaVu Sans Mono\", monospace;\r\n    }\r\n    \r\n    .pull-right {\r\n        float: right;\r\n    }\r\n    \r\n    .pull-left {\r\n        float: left;\r\n    }\r\n    \r\n    .border-table {\r\n        border: 1px solid #000;\r\n        border-style: dotted;\r\n        border-right: 0;\r\n        border-left: 0;\r\n        margin-top: 15px;\r\n    }\r\n    \r\n    .table {\r\n        width: 100%;\r\n        max-width: 100%;\r\n        margin-bottom: 20px;\r\n        background-color: transparent;\r\n        border-collapse: collapse;\r\n    }\r\n    \r\n    .table thead tr th {\r\n        text-transform: uppercase;\r\n        font-size: 13px;\r\n        padding-top: 8px;\r\n        padding-bottom: 8px;\r\n        vertical-align: middle;\r\n    }\r\n    \r\n    .table thead tr th {\r\n        font-weight: 600;\r\n        color: rgba(44, 44, 44, 0.35);\r\n    }\r\n    \r\n    .btn-danger,\r\n    .btn-danger:focus {\r\n        color: #ffffff !important;\r\n        background-color: #f55753 !important;\r\n        border-color: #f55753 !important;\r\n    }\r\n    \r\n    .btn {\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        letter-spacing: 0.01em;\r\n        margin-bottom: 0;\r\n        border: 1px solid #f0f0f0;\r\n        text-align: center;\r\n        vertical-align: middle;\r\n        cursor: pointer;\r\n        border-radius: 3px;\r\n        -webkit-border-radius: 3px;\r\n        -moz-border-radius: 3px;\r\n        background-image: none!important;\r\n        color: #626262;\r\n        background-color: #ffffff;\r\n        line-height: 21px;\r\n        padding-left: 17px;\r\n        padding-right: 17px;\r\n        position: relative;\r\n        display: inline-block;\r\n        padding: 6px 12px;\r\n    }\r\n    \r\n    .btn-success-darker,\r\n    .btn-success-darker:focus {\r\n        color: #ffffff;\r\n        background-color: #0a7c71;\r\n        border-color: #0a7c71;\r\n    }\r\n    \r\n    @media print {\r\n        .invoice h1 {\r\n            font-size: 22px!important;\r\n        }\r\n        .total-purchase,\r\n        .amount {\r\n            /*display:none !important;*/\r\n        }\r\n        .invoice,\r\n        .table tbody tr td,\r\n        .table thead tr th {\r\n            font-size: 10px !important;\r\n        }\r\n        .font-type {\r\n            font-size: 12px !important;\r\n        }\r\n        .table thead tr th {\r\n            background-color: white!important;\r\n            color: black!important;\r\n        }\r\n        .header-div {\r\n            font-size: 13px;\r\n        }\r\n    }\r\n</style>\r\n\r\n<body onload=\"window.print()\">\r\n\r\n\r\n\r\n    <table style=\"width: 100%; background-color: #93C8EA; border-radius: 10px; \">\r\n        <tr>\r\n\r\n            <td style=\"text-align: center;background-color: #93C8EA;\">\r\n                <span style=\" color: #274382; font-size: 15px; \"> [[template_name]]. </span>\r\n                <BR>\r\n                <span style=\" color: #274382;\"> [[barcode]] </span>\r\n            </td>\r\n        </tr>\r\n\r\n\r\n    </table>\r\n\r\n\r\n\r\n    <br>\r\n\r\n    <table border=\"1px\" style=\"width: 100%;  \">\r\n        <tr>\r\n\r\n            <td style=\"background-color: #93C8EA; text-align: center;\">Process Note:</td>\r\n            <td style=\"text-align: center; \">[[process_note]]</td>\r\n        </tr>\r\n        <tr>\r\n            <td style=\"background-color: #93C8EA; text-align: center;\"> Date</td>\r\n            <td style=\"text-align: center;\">\r\n                [[date]]\r\n            </td>\r\n        </tr>\r\n\r\n\r\n    </table>\r\n\r\n\r\n\r\n    <br>\r\n    <P style=\"text-align: center;\"> Production of:</P>\r\n\r\n    <table border=\"1px\" style=\"width: 100%;  \">\r\n        <tr>\r\n            <td style=\"background-color: #93C8EA; text-align: center;\"> Product Name </td>\r\n            <td style=\"text-align: center;background-color: #93C8EA;\">Initial Current quantity </td>\r\n        </tr>\r\n        [[production_of]]\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n    </table>\r\n\r\n\r\n\r\n    <br>\r\n    <P style=\"text-align: center;\"> Production employee type</P>\r\n\r\n    <table border=\"1px\" style=\"width: 100%;  \">\r\n        <tr>\r\n            <td style=\"background-color: #93C8EA; text-align: center;\">Employee Type </td>\r\n            <td style=\"text-align: center;background-color: #93C8EA;\">Employee Name </td>\r\n        </tr>\r\n        [[production_employee]]\r\n    </table>\r\n    <br>\r\n    <P style=\"text-align: center;\">Signature</P>\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n</body>', 1, 1, 'Server production_process_print', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_barcode`
--

CREATE TABLE `tbl_production_barcode` (
  `id` int(11) NOT NULL,
  `barcode` text,
  `item` varchar(100) DEFAULT NULL,
  `text_right` varchar(30) DEFAULT NULL,
  `text_left` varchar(30) DEFAULT NULL,
  `text_left_bo` varchar(100) DEFAULT NULL,
  `text_right_bo` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_category`
--

CREATE TABLE `tbl_production_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_color`
--

CREATE TABLE `tbl_production_color` (
  `id` int(11) NOT NULL,
  `color_name` varchar(30) DEFAULT NULL,
  `position_name` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_emp_types`
--

CREATE TABLE `tbl_production_emp_types` (
  `type_id` int(11) NOT NULL,
  `type_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_process`
--

CREATE TABLE `tbl_production_process` (
  `process_id` bigint(20) NOT NULL,
  `template_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `date_time` datetime NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `total_cost` double NOT NULL DEFAULT '0',
  `create_trans` tinyint(1) NOT NULL DEFAULT '0',
  `process_note` text NOT NULL,
  `process_quantity` double DEFAULT '0',
  `line_id` int(11) DEFAULT NULL,
  `current_year_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `states_name` varchar(30) DEFAULT NULL,
  `barcode` varchar(10) DEFAULT NULL,
  `order_nb` varchar(10) DEFAULT NULL,
  `barcode_nb` varchar(30) DEFAULT NULL,
  `production_color_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_process_details`
--

CREATE TABLE `tbl_production_process_details` (
  `process_detail_id` bigint(20) NOT NULL,
  `process_id` bigint(20) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0',
  `default_quantity` double NOT NULL DEFAULT '0',
  `operation` varchar(10) NOT NULL,
  `cost` double NOT NULL DEFAULT '0',
  `Depot_ID` int(11) NOT NULL,
  `initial_current_quantity` double NOT NULL DEFAULT '0' COMMENT 'same as current qty in template',
  `expiry_date` date DEFAULT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `formula` varchar(500) NOT NULL,
  `identifier` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_process_employee_type`
--

CREATE TABLE `tbl_production_process_employee_type` (
  `process_employee_type_id` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `process_id` int(11) NOT NULL,
  `cost` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_process_expenses`
--

CREATE TABLE `tbl_production_process_expenses` (
  `process_expense_id` bigint(20) NOT NULL,
  `process_id` bigint(20) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `cost` double NOT NULL DEFAULT '0',
  `total_cost` double NOT NULL DEFAULT '0',
  `is_total` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_process_states`
--

CREATE TABLE `tbl_production_process_states` (
  `ID` int(11) NOT NULL,
  `state_name` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_production_process_states`
--

INSERT INTO `tbl_production_process_states` (`ID`, `state_name`) VALUES
(1, 'Pending'),
(3, 'Finished');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_template`
--

CREATE TABLE `tbl_production_template` (
  `template_id` int(11) NOT NULL,
  `template_name` varchar(255) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `create_trans` tinyint(1) NOT NULL DEFAULT '0',
  `product_ids` varchar(255) NOT NULL,
  `produced_product_ids` text NOT NULL,
  `is_line_required` tinyint(4) NOT NULL DEFAULT '0',
  `production_emp_type_ids` text,
  `category_id` int(11) NOT NULL DEFAULT '0',
  `template_type` int(11) NOT NULL DEFAULT '0' COMMENT '0=>simple;1=>advanced;'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_template_details`
--

CREATE TABLE `tbl_production_template_details` (
  `template_detail_id` int(11) NOT NULL,
  `template_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0',
  `default_quantity` double NOT NULL DEFAULT '0',
  `operation` varchar(10) NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `value_type` int(11) NOT NULL DEFAULT '1' COMMENT '1=>value; 2=>formula;',
  `identifier` varchar(255) NOT NULL,
  `temp_identifier` varchar(255) NOT NULL,
  `formula` varchar(500) NOT NULL,
  `optional` tinyint(4) NOT NULL DEFAULT '0',
  `group_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_production_template_expenses`
--

CREATE TABLE `tbl_production_template_expenses` (
  `template_expense_id` int(11) NOT NULL,
  `template_id` int(11) NOT NULL,
  `Account_ID` bigint(20) NOT NULL,
  `cost` double NOT NULL DEFAULT '0',
  `is_total` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_products_link`
--

CREATE TABLE `tbl_products_link` (
  `link_id` int(11) NOT NULL,
  `main_product_id` int(11) NOT NULL,
  `sub_product_id` int(11) NOT NULL,
  `quantity` double NOT NULL DEFAULT '0',
  `UOM_ID` int(11) NOT NULL,
  `current_quantity` double NOT NULL,
  `operation` varchar(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_add_ons`
--

CREATE TABLE `tbl_product_add_ons` (
  `product_add_ons_id` int(11) NOT NULL,
  `product_add_ons_quantity` int(11) NOT NULL,
  `add_ons_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_cat`
--

CREATE TABLE `tbl_product_cat` (
  `Cat_ID` int(11) NOT NULL,
  `Cat_Name` varchar(255) NOT NULL,
  `Parent_ID` int(11) NOT NULL,
  `category_color` varchar(100) NOT NULL DEFAULT '',
  `hide_pos` tinyint(4) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `category_description` text,
  `category_prefix_barcode` varchar(15) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_criteria`
--

CREATE TABLE `tbl_product_criteria` (
  `criteria_id` int(11) NOT NULL,
  `criteria_name` varchar(200) NOT NULL,
  `criteria_type` tinyint(4) NOT NULL COMMENT '1:checkbox,2:radio',
  `criteria_max_count` tinyint(4) NOT NULL,
  `is_required` tinyint(4) NOT NULL COMMENT '0:not required ,1:required',
  `Product_ID` int(11) NOT NULL,
  `category_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_criteria_detail`
--

CREATE TABLE `tbl_product_criteria_detail` (
  `criteria_detail_id` int(11) NOT NULL,
  `criteria_detail_name` varchar(200) NOT NULL,
  `criteria_detail_price` double DEFAULT '0',
  `criteria_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_expenses`
--

CREATE TABLE `tbl_product_expenses` (
  `expense_id` int(11) NOT NULL,
  `expense_nb` int(11) NOT NULL,
  `line_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `expense_date_time` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `note` text NOT NULL,
  `prefix` varchar(10) NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_expense_accounts`
--

CREATE TABLE `tbl_product_expense_accounts` (
  `detail_account_id` int(11) NOT NULL,
  `expense_id` int(11) NOT NULL,
  `Account_ID` int(11) NOT NULL,
  `Supplier_ID` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_expense_details`
--

CREATE TABLE `tbl_product_expense_details` (
  `detail_id` int(11) NOT NULL,
  `expense_id` int(11) NOT NULL,
  `part_product_id` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0',
  `UOM_ID` int(11) NOT NULL,
  `default_quantity` double NOT NULL DEFAULT '0',
  `cost` double DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_keys`
--

CREATE TABLE `tbl_product_keys` (
  `product_key_id` int(11) NOT NULL,
  `key_id` int(11) NOT NULL,
  `product_id` int(11) DEFAULT NULL,
  `scale_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_note`
--

CREATE TABLE `tbl_product_note` (
  `note_id` int(11) NOT NULL,
  `note_title` varchar(250) NOT NULL,
  `is_linked` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_options`
--

CREATE TABLE `tbl_product_options` (
  `option_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `quantity` double NOT NULL DEFAULT '0',
  `is_required` tinyint(4) NOT NULL DEFAULT '0',
  `operation` varchar(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_product_options`
--

INSERT INTO `tbl_product_options` (`option_id`, `product_id`, `quantity`, `is_required`, `operation`) VALUES
(1, 167, 2, 1, '-'),
(2, 168, 2, 1, '-');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_option_details`
--

CREATE TABLE `tbl_product_option_details` (
  `detail_id` int(11) NOT NULL,
  `option_id` int(11) NOT NULL,
  `sub_product_id` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_product_option_details`
--

INSERT INTO `tbl_product_option_details` (`detail_id`, `option_id`, `sub_product_id`, `UOM_ID`) VALUES
(8, 1, 167, 51),
(9, 2, 168, 51);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_property_values`
--

CREATE TABLE `tbl_product_property_values` (
  `value_id` int(11) NOT NULL,
  `line_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `value_date_time` datetime NOT NULL,
  `note` text NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_property_values_details`
--

CREATE TABLE `tbl_product_property_values_details` (
  `detail_id` int(11) NOT NULL,
  `value_id` int(11) NOT NULL,
  `property_id` int(11) NOT NULL,
  `property_value` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_sections`
--

CREATE TABLE `tbl_product_sections` (
  `section_id` int(11) NOT NULL,
  `section_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_shelf`
--

CREATE TABLE `tbl_product_shelf` (
  `product_shelf_id` int(11) NOT NULL,
  `product_id` int(11) DEFAULT NULL,
  `shelf_depot_id` int(11) DEFAULT NULL,
  `depot_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_specification`
--

CREATE TABLE `tbl_product_specification` (
  `product_specification_id` int(11) NOT NULL,
  `product_specification_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_product_specification_option`
--

CREATE TABLE `tbl_product_specification_option` (
  `option_id` int(11) NOT NULL,
  `option_name` varchar(250) NOT NULL,
  `option_code` varchar(250) NOT NULL,
  `product_specification_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_projects`
--

CREATE TABLE `tbl_projects` (
  `project_id` int(11) NOT NULL,
  `project_code` varchar(255) NOT NULL,
  `project_name` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_projects`
--

INSERT INTO `tbl_projects` (`project_id`, `project_code`, `project_name`, `parent_id`) VALUES
(1, '001', 'project a', 0),
(2, '001001', 'subb', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_project_expense`
--

CREATE TABLE `tbl_project_expense` (
  `project_expense_id` int(11) NOT NULL,
  `project_expense_nb` int(11) NOT NULL,
  `project_expense_date` date NOT NULL,
  `period_id` int(11) NOT NULL,
  `project_expense_total` double NOT NULL DEFAULT '0',
  `current_rate` double NOT NULL,
  `second_rate` double NOT NULL,
  `currency_id` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  `supplier_id` int(11) NOT NULL,
  `paid_amount` double NOT NULL DEFAULT '0',
  `payment_acc_id` int(11) NOT NULL,
  `check_nb` varchar(255) NOT NULL,
  `date_created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_project_expense_detail`
--

CREATE TABLE `tbl_project_expense_detail` (
  `project_expense_detail_id` int(11) NOT NULL,
  `project_expense_id` int(11) NOT NULL,
  `activity_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `activity_total` double NOT NULL DEFAULT '0',
  `project_expense_note` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_project_funding`
--

CREATE TABLE `tbl_project_funding` (
  `project_funding_id` int(11) NOT NULL,
  `project_funding_nb` int(11) NOT NULL,
  `detail_id` int(11) NOT NULL,
  `project_funding_date` date NOT NULL,
  `date_created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `payment_acc_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_project_period`
--

CREATE TABLE `tbl_project_period` (
  `period_id` int(11) NOT NULL,
  `period_title` varchar(250) NOT NULL,
  `activity_ids` varchar(250) NOT NULL,
  `period_nb` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `nb_period` int(11) NOT NULL,
  `period_unit` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `account_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_project_period`
--

INSERT INTO `tbl_project_period` (`period_id`, `period_title`, `activity_ids`, `period_nb`, `project_id`, `start_date`, `end_date`, `nb_period`, `period_unit`, `currency_id`, `account_id`, `date_created`, `created_logged_id`, `date_modified`, `modified_by`) VALUES
(1, 'mmm', '1', 1, 1, '2021-08-17', '2021-11-16', 1, 3, 84, 25, '2021-08-10 14:21:34', 1, '2021-08-10 14:21:34', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_project_period_details`
--

CREATE TABLE `tbl_project_period_details` (
  `detail_id` int(11) NOT NULL,
  `period_id` int(11) NOT NULL,
  `detail_period_title` varchar(250) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_project_period_details`
--

INSERT INTO `tbl_project_period_details` (`detail_id`, `period_id`, `detail_period_title`, `start_date`, `end_date`) VALUES
(1, 1, '1', '2021-08-17', '2021-11-16');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pro_vlnt`
--

CREATE TABLE `tbl_pro_vlnt` (
  `pro_id` int(11) NOT NULL,
  `pro_name` varchar(255) NOT NULL,
  `pro_date` date DEFAULT NULL,
  `pro_desc` varchar(255) DEFAULT NULL,
  `pro_loc` varchar(255) DEFAULT NULL,
  `pro_link` text,
  `date_time` datetime NOT NULL,
  `logged_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pro_vlnt_dtls`
--

CREATE TABLE `tbl_pro_vlnt_dtls` (
  `dtls_id` int(11) NOT NULL,
  `pro_id` int(11) NOT NULL,
  `vlnt_id` int(11) NOT NULL,
  `vlnt_hours` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pump`
--

CREATE TABLE `tbl_pump` (
  `pump_id` int(11) NOT NULL,
  `pump_name` varchar(250) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_purchase_cat`
--

CREATE TABLE `tbl_purchase_cat` (
  `pur_cat_id` int(11) NOT NULL,
  `pur_cat_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_purchase_delivery_extra_cost`
--

CREATE TABLE `tbl_purchase_delivery_extra_cost` (
  `extra_cost_id` int(11) NOT NULL,
  `delivery_id` int(11) NOT NULL,
  `delivery_detail_id` int(11) DEFAULT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL COMMENT '0=>normal,1=>CTN,2=>FOB ',
  `debit_acc_id` int(11) DEFAULT NULL,
  `credit_acc_id` int(11) DEFAULT NULL,
  `note` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_purchase_extra_cost`
--

CREATE TABLE `tbl_purchase_extra_cost` (
  `extra_cost_id` int(11) NOT NULL,
  `purchase_id` int(11) NOT NULL,
  `purchase_detail_id` int(11) DEFAULT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL COMMENT '0=>normal,1=>CTN,2=>FOB',
  `debit_acc_id` int(11) DEFAULT NULL,
  `credit_acc_id` int(11) DEFAULT NULL,
  `note` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_purchase_order`
--

CREATE TABLE `tbl_purchase_order` (
  `Order_ID` bigint(20) NOT NULL,
  `Order_ID_Auto` int(11) NOT NULL,
  `Supplier_ID` int(11) NOT NULL,
  `Order_Date` date NOT NULL,
  `Status_ID` int(11) NOT NULL DEFAULT '19',
  `Logged_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `Depot_ID` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `is_sales` tinyint(1) NOT NULL DEFAULT '0',
  `is_quotation` tinyint(4) NOT NULL DEFAULT '0',
  `sale_app_id` int(11) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `sale_due_date` date NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `date_created` datetime NOT NULL,
  `sale_prefix` varchar(255) NOT NULL,
  `total_vat` double NOT NULL DEFAULT '0',
  `discount_percent` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `sub_total` double NOT NULL DEFAULT '0',
  `order_description` text NOT NULL,
  `is_actual` double NOT NULL DEFAULT '1',
  `is_converted` tinyint(4) NOT NULL DEFAULT '0',
  `current_year_id` int(11) NOT NULL,
  `Class_ID` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `project_id` int(11) DEFAULT NULL,
  `supp_class_id` int(11) DEFAULT NULL,
  `total_cost` double NOT NULL DEFAULT '0',
  `version_nb` int(11) NOT NULL DEFAULT '1',
  `quotation_id` int(11) DEFAULT NULL,
  `sales_pur_order_id` int(11) DEFAULT NULL,
  `delivery_date` datetime DEFAULT NULL,
  `extra_cost` double NOT NULL DEFAULT '0',
  `web_api_ord_id` int(11) DEFAULT NULL,
  `web_api_user_id` int(11) DEFAULT NULL,
  `postponed_status_id` int(11) DEFAULT NULL,
  `postponed_date_time` datetime DEFAULT NULL,
  `postponed_note` text,
  `customer_name_alias` varchar(255) NOT NULL,
  `customer_address_alias` varchar(255) NOT NULL,
  `shipping` double NOT NULL DEFAULT '0',
  `invoice_type_id` int(11) DEFAULT NULL COMMENT 'from tbl_invoice_types',
  `po` text,
  `project_name_inv` text,
  `project_code` text,
  `job_inv` text,
  `our_ref` text,
  `supply_date` text,
  `driver_id` int(11) DEFAULT '0',
  `from_place` text,
  `to_place` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_purchase_order_details`
--

CREATE TABLE `tbl_purchase_order_details` (
  `Entry_ID` bigint(20) NOT NULL,
  `Order_ID` bigint(20) NOT NULL,
  `Item_ID` int(11) NOT NULL,
  `Quantity` int(11) NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `Unit_Price` double NOT NULL DEFAULT '0',
  `discount_percent` double DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `total_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `note` text NOT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `supp_class_id` int(11) DEFAULT NULL,
  `item_cost` double NOT NULL DEFAULT '0',
  `other_cost` double NOT NULL DEFAULT '0',
  `from_time` text,
  `to_time` text,
  `modify_date` text,
  `driver_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_purchase_order_terms`
--

CREATE TABLE `tbl_purchase_order_terms` (
  `Term_ID` bigint(20) NOT NULL,
  `Order_ID` bigint(20) NOT NULL,
  `Term_Text` varchar(255) NOT NULL,
  `Status_ID` tinyint(4) NOT NULL,
  `Is_Invoice` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_question_types`
--

CREATE TABLE `tbl_question_types` (
  `type_id` tinyint(4) NOT NULL,
  `type_name` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_question_types`
--

INSERT INTO `tbl_question_types` (`type_id`, `type_name`) VALUES
(1, 'Yes No'),
(2, 'Number'),
(3, 'Range'),
(4, 'Text'),
(5, 'Single Choice'),
(6, 'Multiple Option');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_record_unique`
--

CREATE TABLE `tbl_record_unique` (
  `record_unique_id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `record_type` varchar(255) NOT NULL DEFAULT '',
  `record_action` varchar(255) NOT NULL DEFAULT '',
  `record_time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_regions`
--

CREATE TABLE `tbl_regions` (
  `region_id` int(11) NOT NULL,
  `region_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_regions`
--

INSERT INTO `tbl_regions` (`region_id`, `region_name`) VALUES
(1, 'test region');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_request_product_criteria`
--

CREATE TABLE `tbl_request_product_criteria` (
  `request_criteria_id` int(11) NOT NULL,
  `Entry_ID` int(11) NOT NULL,
  `Quantity` double NOT NULL DEFAULT '0',
  `criteria_detail_id` int(11) NOT NULL,
  `criteria_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_route`
--

CREATE TABLE `tbl_route` (
  `route_id` int(11) NOT NULL,
  `route_name` varchar(250) NOT NULL,
  `route_color` varchar(250) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_route`
--

INSERT INTO `tbl_route` (`route_id`, `route_name`, `route_color`) VALUES
(4, 'vwv', '#ed9421');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_route_schedule`
--

CREATE TABLE `tbl_route_schedule` (
  `schedule_id` int(11) NOT NULL,
  `employee_id` int(11) DEFAULT NULL,
  `route_ids` varchar(250) NOT NULL,
  `schedule_date` date NOT NULL,
  `is_one_time` tinyint(4) NOT NULL DEFAULT '0',
  `user_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_route_schedule`
--

INSERT INTO `tbl_route_schedule` (`schedule_id`, `employee_id`, `route_ids`, `schedule_date`, `is_one_time`, `user_id`) VALUES
(2, 1, '4', '2021-08-12', 1, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_salesman`
--

CREATE TABLE `tbl_salesman` (
  `entry_id` int(11) NOT NULL,
  `salesman_id` int(11) NOT NULL,
  `depot_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_salesman_customers`
--

CREATE TABLE `tbl_salesman_customers` (
  `entry_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_salesman_route_schedule`
--

CREATE TABLE `tbl_salesman_route_schedule` (
  `schedule_id` int(11) NOT NULL,
  `employee_id` int(11) DEFAULT NULL,
  `route_ids` varchar(250) NOT NULL,
  `schedule_date` date NOT NULL,
  `is_one_time` tinyint(4) NOT NULL DEFAULT '0',
  `user_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_sales_purchase`
--

CREATE TABLE `tbl_sales_purchase` (
  `sales_purchase_id_auto` int(11) NOT NULL,
  `sales_purchase_number` int(11) NOT NULL,
  `Invoice_ID_Auto` int(11) NOT NULL,
  `Purchase_IDs_Auto` varchar(255) DEFAULT NULL,
  `is_return` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_scale`
--

CREATE TABLE `tbl_scale` (
  `scale_id` int(11) NOT NULL,
  `scale_name` varchar(255) NOT NULL,
  `scale_ip` varchar(255) NOT NULL,
  `class_id` int(11) NOT NULL,
  `scale_type` int(11) NOT NULL,
  `scale_properties` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_school_child`
--

CREATE TABLE `tbl_school_child` (
  `school_id` int(11) NOT NULL,
  `school_type` varchar(255) NOT NULL,
  `school_value` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_school_child`
--

INSERT INTO `tbl_school_child` (`school_id`, `school_type`, `school_value`) VALUES
(1, 'مدرسة خاصة', 750000),
(2, 'مدرسة رسمية', 300000),
(3, 'جامعة خاصة', 750000),
(4, 'مدرسة مجانية', 300000),
(5, 'انروا', 200000),
(6, 'الجامعة اللبنانية', 450000),
(7, 'لا يوجد', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_settings`
--

CREATE TABLE `tbl_settings` (
  `ID` int(11) NOT NULL,
  `Name` varchar(50) NOT NULL,
  `Table_Name` varchar(50) NOT NULL,
  `Column_ID` varchar(50) NOT NULL,
  `Column_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_settings`
--

INSERT INTO `tbl_settings` (`ID`, `Name`, `Table_Name`, `Column_ID`, `Column_Name`) VALUES
(1, 'color', 'tbl_color', 'Color_ID', 'Color_Name'),
(2, 'UOM', 'tbl_stock_uom', 'UOM_ID', 'UOM_Name'),
(5, 'fuel_type', 'tbl_fuel_type', 'Fuel_Type_ID', 'Fuel_Type_Name'),
(6, 'vehicle_usage_type', 'tbl_vehicle_usage_type', 'Usage_Type_ID', 'Usage_Type_Name'),
(7, 'vehicle_model', 'tbl_vehicle_model', 'Model_ID', 'Model_Name'),
(8, 'depot_category', 'tbl_stock_categories', 'Category_ID', 'Category_Name'),
(9, 'vehicle_make_name', 'tbl_vehicle_type', 'Vehicle_Type_ID', 'Vehicle_Type_Name'),
(11, 'paper_size', 'paper_size', 'paper_size_id', 'paper_size'),
(12, 'allergy', 'tbl_allergy', 'allergy_id', 'allergy_name'),
(13, 'Intolerance', 'tbl_intolerance', 'intolerance_id', 'intolerance_name'),
(14, 'zone', 'tbl_garage_vehicle_zone', 'Zone_ID', 'Zone_Name'),
(15, 'Production Category', 'tbl_production_category', 'category_id', 'category_name');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_shelfs_depot`
--

CREATE TABLE `tbl_shelfs_depot` (
  `shelf_depot_id` int(11) NOT NULL,
  `depot_id` int(11) DEFAULT NULL,
  `shelf_name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_shipping_company`
--

CREATE TABLE `tbl_shipping_company` (
  `shipping_company_id` int(11) NOT NULL,
  `shipping_company_name` varchar(250) NOT NULL,
  `shipping_company_fees` double DEFAULT NULL,
  `user_name` varchar(250) DEFAULT NULL,
  `password` varchar(250) DEFAULT NULL,
  `token` mediumtext,
  `shipping_account_id` int(11) DEFAULT NULL,
  `sales_account_id` int(11) DEFAULT NULL,
  `main_account_id` int(11) DEFAULT NULL,
  `api_folder` varchar(250) DEFAULT NULL,
  `api_version` varchar(250) NOT NULL,
  `note` text,
  `is_invoice_total_on_shipping` tinyint(4) NOT NULL DEFAULT '0',
  `trans_on_change_status` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_shipping_district`
--

CREATE TABLE `tbl_shipping_district` (
  `district_id` int(11) NOT NULL,
  `district_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_shipping_district`
--

INSERT INTO `tbl_shipping_district` (`district_id`, `district_name`) VALUES
(1, 'Aakkar'),
(2, 'Baalbek'),
(3, 'Hermel'),
(4, 'Beirut'),
(5, 'Zahleh'),
(6, 'West Beqaa'),
(7, 'Rachaiya'),
(8, 'Matn'),
(9, 'Baabda'),
(10, 'Aaley'),
(11, 'Chouf'),
(12, 'Keserwen'),
(13, 'Jbeil (Byblos)'),
(14, 'Nabatiyeh'),
(15, 'Marjaayoun'),
(16, 'Hasbaiya'),
(17, 'Bent Jbeil'),
(18, 'Batroun'),
(19, 'Koura'),
(20, 'Tripoli'),
(21, 'Bcharreh'),
(22, 'Zgharta'),
(23, 'Minieh-Danniyeh'),
(24, 'Saida (Sidon)'),
(25, 'Jezzine'),
(26, 'Tyre (Sour)'),
(27, 'Abu Dhabi'),
(28, 'Kuwait'),
(29, 'Annaba'),
(30, 'Riyadh'),
(31, 'Birmingham'),
(32, 'California'),
(33, 'Venlo'),
(34, 'Hasselby'),
(35, 'Nottinghamshire'),
(36, 'Horbourg'),
(37, 'Copenhagen'),
(38, 'Michigan'),
(39, 'Dubai');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_shipping_status`
--

CREATE TABLE `tbl_shipping_status` (
  `shipping_status_id` tinyint(4) NOT NULL,
  `shipping_status_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_shipping_status`
--

INSERT INTO `tbl_shipping_status` (`shipping_status_id`, `shipping_status_name`) VALUES
(1, 'Pending'),
(2, 'Scheduled'),
(3, 'Picked'),
(4, 'Cancelled'),
(6, 'Delivered');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_station_invoice`
--

CREATE TABLE `tbl_station_invoice` (
  `invoice_id` int(11) NOT NULL,
  `invoice_nb` int(11) NOT NULL,
  `invoice_prefix` varchar(20) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `invoice_date` date NOT NULL,
  `subtotal` double NOT NULL DEFAULT '0',
  `invoice_vat` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `cash_difference_amount` double NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL,
  `depot_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '1',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `job_id` int(11) NOT NULL,
  `description` text NOT NULL,
  `logged_id` int(11) NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `date_created` datetime NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0',
  `current_year_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `Account_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_station_invoice`
--

INSERT INTO `tbl_station_invoice` (`invoice_id`, `invoice_nb`, `invoice_prefix`, `customer_id`, `invoice_date`, `subtotal`, `invoice_vat`, `net_total`, `cash_difference_amount`, `currency_id`, `depot_id`, `branch_id`, `current_rate`, `second_currency_rate`, `job_id`, `description`, `logged_id`, `created_logged_id`, `date_time`, `date_created`, `is_actual`, `current_year_id`, `class_id`, `employee_id`, `Account_ID`) VALUES
(1, 1, 'B', 0, '2023-01-31', 0, 300, 2300, 0, 120, 1, 1, 1, 0.26595744680851, 0, '', 1, 1, '2023-01-31 12:31:07', '2023-01-31 12:31:07', 0, 2, 1, 0, 2209);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_station_invoice_bone`
--

CREATE TABLE `tbl_station_invoice_bone` (
  `entry_id` int(11) NOT NULL,
  `invoice_id` int(11) NOT NULL,
  `bon_type_id` int(11) NOT NULL,
  `account_id` int(11) NOT NULL,
  `vat_account_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `current_quantity` double NOT NULL DEFAULT '0',
  `uom_id` int(11) NOT NULL,
  `default_quantity` double NOT NULL DEFAULT '0',
  `unit_price` double NOT NULL DEFAULT '0',
  `total_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `service_price` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_station_invoice_bone`
--

INSERT INTO `tbl_station_invoice_bone` (`entry_id`, `invoice_id`, `bon_type_id`, `account_id`, `vat_account_id`, `product_id`, `current_quantity`, `uom_id`, `default_quantity`, `unit_price`, `total_price`, `vat_percent`, `vat_amount`, `service_price`) VALUES
(1, 1, 1, 1, 1, 4, 10, 2, 10, 100, 1150, 15, 150, 10);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_station_invoice_products`
--

CREATE TABLE `tbl_station_invoice_products` (
  `entry_id` int(11) NOT NULL,
  `invoice_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `unit_price` double NOT NULL DEFAULT '0',
  `current_quantity` double NOT NULL DEFAULT '0',
  `uom_id` int(11) NOT NULL,
  `default_quantity` double NOT NULL DEFAULT '0',
  `discount_percent` double NOT NULL DEFAULT '0',
  `discount_amount` double NOT NULL DEFAULT '0',
  `total_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `unit_cost` double NOT NULL DEFAULT '0',
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_station_invoice_products`
--

INSERT INTO `tbl_station_invoice_products` (`entry_id`, `invoice_id`, `product_id`, `unit_price`, `current_quantity`, `uom_id`, `default_quantity`, `discount_percent`, `discount_amount`, `total_price`, `vat_percent`, `vat_amount`, `unit_cost`, `description`) VALUES
(1, 1, 4, 100, 10, 2, 10, 0, 0, 1150, 15, 150, 10, 'vlul');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_station_invoice_pump`
--

CREATE TABLE `tbl_station_invoice_pump` (
  `entry_id` int(11) NOT NULL,
  `invoice_id` int(11) NOT NULL,
  `pump_id` int(11) NOT NULL,
  `old_counter` double NOT NULL DEFAULT '0',
  `new_counter` double NOT NULL DEFAULT '0',
  `counter_diff` double NOT NULL DEFAULT '0',
  `product_id` int(11) NOT NULL,
  `uom_id` int(11) NOT NULL,
  `unit_price` double NOT NULL DEFAULT '0',
  `total_price` double NOT NULL DEFAULT '0',
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat_amount` double NOT NULL DEFAULT '0',
  `default_quantity` double NOT NULL DEFAULT '0',
  `unit_cost` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_acc_adjustment`
--

CREATE TABLE `tbl_stock_acc_adjustment` (
  `adjust_id` int(11) NOT NULL,
  `adjust_nb` varchar(255) NOT NULL,
  `adjust_date` date NOT NULL,
  `credit_acc_id` int(11) NOT NULL,
  `debit_acc_id` int(11) NOT NULL,
  `depot_id` int(11) NOT NULL,
  `note` text NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `date_time` datetime NOT NULL,
  `current_year_id` int(11) NOT NULL,
  `is_actual` tinyint(4) NOT NULL DEFAULT '0',
  `Currency_ID` int(11) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_acc_adjust_details`
--

CREATE TABLE `tbl_stock_acc_adjust_details` (
  `detail_id` int(11) NOT NULL,
  `adjust_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `quantity` double NOT NULL DEFAULT '0',
  `current_quantity` double NOT NULL DEFAULT '0',
  `note` varchar(500) NOT NULL,
  `expiry_date` date DEFAULT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `cost` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_categories`
--

CREATE TABLE `tbl_stock_categories` (
  `Category_ID` int(11) NOT NULL,
  `Category_Name` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_closing`
--

CREATE TABLE `tbl_stock_closing` (
  `Closing_Stock_ID` int(11) NOT NULL,
  `Closing_Stock_Amount` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Closing_Stock_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_stock_closing`
--

INSERT INTO `tbl_stock_closing` (`Closing_Stock_ID`, `Closing_Stock_Amount`, `Currency_ID`, `Closing_Stock_Date`, `Logged_ID`) VALUES
(1, 1161000, 84, '2021-06-18', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_cost_average`
--

CREATE TABLE `tbl_stock_cost_average` (
  `Product_Cost_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Unit_Cost` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Exchange_Rate_ID` int(11) NOT NULL,
  `Purchase_Date` date NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Product_Quantity` double NOT NULL,
  `date_time` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Triggers `tbl_stock_cost_average`
--
DELIMITER $$
CREATE TRIGGER `after_insert_cost_average` BEFORE INSERT ON `tbl_stock_cost_average` FOR EACH ROW BEGIN
    SET
        @local_currency =(
        SELECT
            Local_Currency
        FROM
            tbl_organization
        WHERE
            Organization_ID = 1
    ) ; IF @local_currency <> NEW.Currency_ID THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = NEW.Currency_ID AND to_currency = @local_currency
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ; IF @ex_rate_id IS NULL THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = @local_currency AND to_currency = NEW.Currency_ID
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ;
END IF ;
SET NEW
    .Exchange_Rate_ID = @ex_rate_id ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_damaged_reasons`
--

CREATE TABLE `tbl_stock_damaged_reasons` (
  `Damaged_ID` int(11) NOT NULL,
  `Product_ID` bigint(20) NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `Damaged_Quantity` double NOT NULL,
  `Damaged_Reason` text NOT NULL,
  `Adjust_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `app_damage_id` int(11) NOT NULL,
  `damage_nb` int(11) NOT NULL,
  `damage_prefix` varchar(255) NOT NULL,
  `expiry_date` date DEFAULT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `return_detail_id` int(11) DEFAULT NULL,
  `unit_cost` double NOT NULL DEFAULT '0' COMMENT 'local cost'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_default_pricing_method`
--

CREATE TABLE `tbl_stock_default_pricing_method` (
  `Default_Method_ID` int(11) NOT NULL,
  `Method_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_stock_default_pricing_method`
--

INSERT INTO `tbl_stock_default_pricing_method` (`Default_Method_ID`, `Method_ID`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_depot_warehouse`
--

CREATE TABLE `tbl_stock_depot_warehouse` (
  `Depot_ID` int(11) NOT NULL,
  `Depot_Name` varchar(50) DEFAULT NULL,
  `Depot_Location` varchar(50) DEFAULT NULL,
  `Depot_Area` varchar(50) DEFAULT NULL,
  `Depot_Code` varchar(50) DEFAULT NULL,
  `Depot_Max_Num_Goods` double DEFAULT NULL,
  `Depot_Min_Num_Goods` double DEFAULT NULL,
  `Depot_UOM` varchar(50) NOT NULL,
  `Depot_PIC_ID` int(4) DEFAULT NULL,
  `Depot_Category_ID` int(11) DEFAULT NULL,
  `Depot_Type_Of_Storage` varchar(50) DEFAULT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `branch_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_stock_depot_warehouse`
--

INSERT INTO `tbl_stock_depot_warehouse` (`Depot_ID`, `Depot_Name`, `Depot_Location`, `Depot_Area`, `Depot_Code`, `Depot_Max_Num_Goods`, `Depot_Min_Num_Goods`, `Depot_UOM`, `Depot_PIC_ID`, `Depot_Category_ID`, `Depot_Type_Of_Storage`, `Status_ID`, `Parent_ID`, `Logged_ID`, `branch_id`) VALUES
(1, 'Main Depot', '', '545', 'SD555', 0, 54000, '', 0, 0, 'MAIN FACTORY', 1, 0, 2, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_pricing_methods`
--

CREATE TABLE `tbl_stock_pricing_methods` (
  `Pricing_Method_ID` int(11) NOT NULL,
  `Pricing_Method_Name` varchar(8) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_stock_pricing_methods`
--

INSERT INTO `tbl_stock_pricing_methods` (`Pricing_Method_ID`, `Pricing_Method_Name`) VALUES
(1, 'FIFO'),
(2, 'LIFO'),
(3, 'Average');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_products`
--

CREATE TABLE `tbl_stock_products` (
  `Product_ID` int(11) NOT NULL,
  `Product_Code` varchar(64) NOT NULL,
  `product_second_code` varchar(250) DEFAULT NULL,
  `Product_Name` varchar(100) NOT NULL,
  `Category_ID` int(11) NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Product_Quantity` double NOT NULL,
  `Product_Cost` double NOT NULL,
  `Product_Price` double NOT NULL,
  `Product_Reorder_Point` double DEFAULT NULL,
  `UOM_ID` int(11) NOT NULL,
  `Product_VAT` int(11) NOT NULL,
  `vat_percent` double NOT NULL DEFAULT '0',
  `vat2_percent` double NOT NULL DEFAULT '0',
  `Status_ID` tinyint(1) DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Product_Note` varchar(500) NOT NULL,
  `product_description` text NOT NULL,
  `printer_id` varchar(50) DEFAULT NULL,
  `Product_PLU` varchar(100) DEFAULT NULL,
  `PLU_Type` varchar(50) NOT NULL,
  `Product_Arabic_Name` varchar(255) NOT NULL,
  `on_scale` tinyint(1) NOT NULL DEFAULT '0',
  `product_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=>both,1=>sales,2=>purchase',
  `group_account_id` int(11) DEFAULT NULL,
  `Product_Limit_Discount` double NOT NULL DEFAULT '0',
  `is_tax` tinyint(1) NOT NULL DEFAULT '0',
  `product_color` varchar(250) DEFAULT NULL,
  `product_order` int(11) NOT NULL DEFAULT '0',
  `row_number` int(11) NOT NULL DEFAULT '0',
  `column_number` int(11) NOT NULL DEFAULT '0',
  `page_number` int(11) NOT NULL DEFAULT '0',
  `brand_id` int(11) DEFAULT NULL,
  `section_id` int(11) DEFAULT NULL,
  `family_id` int(11) DEFAULT NULL,
  `machine_type_id` int(11) NOT NULL,
  `is_expiry` tinyint(1) NOT NULL DEFAULT '0',
  `link_note` text,
  `force_change_price` int(11) NOT NULL DEFAULT '0',
  `duration_reservation` tinyint(4) NOT NULL DEFAULT '0',
  `default_view_uom_id` int(11) NOT NULL,
  `default_view_rate` double NOT NULL DEFAULT '0',
  `branch_id` varchar(250) DEFAULT NULL,
  `is_lot` tinyint(4) NOT NULL DEFAULT '0',
  `is_serial` tinyint(4) NOT NULL DEFAULT '0',
  `main_supplier_id` int(11) DEFAULT NULL,
  `default_sales_uom` int(11) NOT NULL,
  `default_purchase_uom` int(11) NOT NULL,
  `is_ticket` tinyint(4) NOT NULL DEFAULT '0',
  `is_service` tinyint(4) NOT NULL DEFAULT '0',
  `recipe_qty` double NOT NULL DEFAULT '1',
  `product_param1` varchar(255) NOT NULL DEFAULT '',
  `product_param2` varchar(255) NOT NULL DEFAULT '',
  `product_param3` varchar(255) NOT NULL DEFAULT '',
  `product_param4` varchar(255) NOT NULL DEFAULT '',
  `pur_cat_id` int(11) DEFAULT NULL,
  `print_uom_id` tinyint(4) NOT NULL DEFAULT '0',
  `is_rate` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_products_costs`
--

CREATE TABLE `tbl_stock_products_costs` (
  `Product_Cost_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Product_Quantity` double NOT NULL,
  `Unit_Cost` double NOT NULL,
  `Product_Released_Quantity` double NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Exchange_Rate_ID` int(11) DEFAULT NULL,
  `Purchase_Date` date NOT NULL,
  `date_time` datetime NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `remaining_quantity` double NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Triggers `tbl_stock_products_costs`
--
DELIMITER $$
CREATE TRIGGER `tbl_cost_trigger` BEFORE INSERT ON `tbl_stock_products_costs` FOR EACH ROW BEGIN
    SET
        @local_currency =(
        SELECT
            Local_Currency
        FROM
            tbl_organization
    ) ; IF @local_currency <> NEW.Currency_ID THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = NEW.Currency_ID AND to_currency = @local_currency
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ; IF @ex_rate_id IS NULL THEN
SET
    @ex_rate_id =(
    SELECT
        Exchange_Rate_ID
    FROM
        tbl_currencies_rate
    WHERE
        from_currency = @local_currency AND to_currency = NEW.Currency_ID
    ORDER BY
        Exchange_Rate_ID
    DESC
LIMIT 1
) ;
END IF ;
SET NEW
    .Exchange_Rate_ID = @ex_rate_id ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_products_parts`
--

CREATE TABLE `tbl_stock_products_parts` (
  `part_id` int(11) NOT NULL,
  `part_product_id` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `part_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_product_cost_price`
--

CREATE TABLE `tbl_stock_product_cost_price` (
  `Entry_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Material_Category_ID` int(11) NOT NULL,
  `Product_Cost` float NOT NULL,
  `Product_Price` float NOT NULL,
  `Currency_ID` int(11) NOT NULL,
  `Pricing_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Product_Quantity` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_product_location`
--

CREATE TABLE `tbl_stock_product_location` (
  `Product_Location_ID` int(11) NOT NULL,
  `Location_Product_ID` int(11) NOT NULL,
  `Product_Depot_ID` int(11) NOT NULL,
  `Product_Stand_ID` int(11) NOT NULL,
  `Product_Shelf_ID` int(11) NOT NULL,
  `Product_Depot_Quantity` double NOT NULL,
  `Status_ID` tinyint(1) DEFAULT '1',
  `Parent_ID` int(11) NOT NULL,
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_product_properties`
--

CREATE TABLE `tbl_stock_product_properties` (
  `property_id` int(11) NOT NULL,
  `property_name` varchar(255) NOT NULL,
  `Product_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_product_transactions`
--

CREATE TABLE `tbl_stock_product_transactions` (
  `Transaction_ID` bigint(20) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Depot_ID` int(11) NOT NULL,
  `Product_Quantity` double NOT NULL,
  `Transaction_Type_ID` int(11) NOT NULL,
  `Transaction_Date` date NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Operation_Type` varchar(11) NOT NULL,
  `Unit_Cost` double NOT NULL COMMENT 'in local currency',
  `unit_price` double NOT NULL DEFAULT '0' COMMENT 'in local currency',
  `Currency_ID` int(11) NOT NULL,
  `Exchange_Rate_ID` int(11) DEFAULT NULL,
  `Item_Quantity_Current` double NOT NULL,
  `UOM_ID` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `is_actual` int(11) NOT NULL DEFAULT '0',
  `main_id` int(11) NOT NULL,
  `expiry_date` date DEFAULT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `current_rate` double NOT NULL DEFAULT '0',
  `second_currency_rate` double NOT NULL DEFAULT '0',
  `current_cost` double NOT NULL DEFAULT '0',
  `current_price` double NOT NULL DEFAULT '0',
  `is_current` int(11) NOT NULL DEFAULT '1',
  `customer_id` int(11) DEFAULT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `main_nb` varchar(255) NOT NULL,
  `trans_note` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_request`
--

CREATE TABLE `tbl_stock_request` (
  `Request_ID` int(11) NOT NULL,
  `Request_Date` varchar(50) NOT NULL,
  `Request_From` int(11) NOT NULL,
  `Request_To` int(11) NOT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `Logged_ID` varchar(50) NOT NULL,
  `Status_ID` tinyint(4) NOT NULL DEFAULT '1',
  `Rejection_Comment` varchar(1000) DEFAULT NULL,
  `Delivery_Date` date NOT NULL,
  `Request_Number` int(11) DEFAULT NULL,
  `serial_prefix` varchar(20) NOT NULL,
  `app_request_id` int(11) DEFAULT NULL,
  `app_user_id` int(11) DEFAULT NULL,
  `app_branch_id` int(11) NOT NULL,
  `is_main_transfer` tinyint(4) NOT NULL DEFAULT '0',
  `to_branch_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `date_created` datetime NOT NULL,
  `created_logged_id` int(11) NOT NULL,
  `ticketing_id` int(11) DEFAULT NULL,
  `invoice_auto_id` int(11) DEFAULT NULL,
  `online_request_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_request_details`
--

CREATE TABLE `tbl_stock_request_details` (
  `Entry_ID` int(11) NOT NULL,
  `Request_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Request_Qty` float NOT NULL,
  `Request_UOM` int(11) NOT NULL,
  `Current_Quantity` double NOT NULL,
  `expiry_date` date DEFAULT NULL,
  `lot_nb` varchar(255) NOT NULL,
  `serial_nb` varchar(255) NOT NULL,
  `detail_note` text NOT NULL,
  `delivered_def_qty` double NOT NULL DEFAULT '0',
  `delivered_current_qty` double NOT NULL DEFAULT '0',
  `delivered_note` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_suppliers`
--

CREATE TABLE `tbl_stock_suppliers` (
  `Supplier_ID` int(11) NOT NULL,
  `Supplier_Name` varchar(100) NOT NULL,
  `Supplier_Email` varchar(50) NOT NULL,
  `Supplier_Phone` varchar(20) NOT NULL,
  `Supplier_Mobile` varchar(50) NOT NULL,
  `Supplier_Work_Phone` varchar(50) NOT NULL,
  `Supplier_Company` varchar(100) NOT NULL,
  `Supplier_CR` varchar(50) NOT NULL,
  `Supplier_Address` varchar(255) NOT NULL,
  `City_ID` int(11) NOT NULL,
  `Supplier_PostalCode` varchar(20) NOT NULL,
  `supplier_due_date_period` double DEFAULT NULL,
  `Supplier_Country` int(30) NOT NULL,
  `Logged_ID` int(11) NOT NULL,
  `Parent_ID` int(11) NOT NULL,
  `Status_ID` tinyint(1) NOT NULL DEFAULT '1',
  `Currency_ID` int(11) NOT NULL,
  `account_parent_id` int(11) DEFAULT NULL,
  `supplier_class_id` int(11) DEFAULT NULL,
  `supplier_group_id` int(11) DEFAULT NULL,
  `user_name` varchar(200) NOT NULL,
  `password` varchar(250) NOT NULL,
  `other_pay_acc_id` int(11) DEFAULT NULL,
  `supplier_vat` text,
  `supplier_additional_number` text,
  `supplier_other_id` text,
  `branch_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_stock_suppliers`
--

INSERT INTO `tbl_stock_suppliers` (`Supplier_ID`, `Supplier_Name`, `Supplier_Email`, `Supplier_Phone`, `Supplier_Mobile`, `Supplier_Work_Phone`, `Supplier_Company`, `Supplier_CR`, `Supplier_Address`, `City_ID`, `Supplier_PostalCode`, `supplier_due_date_period`, `Supplier_Country`, `Logged_ID`, `Parent_ID`, `Status_ID`, `Currency_ID`, `account_parent_id`, `supplier_class_id`, `supplier_group_id`, `user_name`, `password`, `other_pay_acc_id`, `supplier_vat`, `supplier_additional_number`, `supplier_other_id`, `branch_id`) VALUES
(0, 'Cash Supplier', '', '', '342347777', '', '', '', 'Jeddah', 3174, '', 0, 184, 1, 0, 1, 120, NULL, NULL, NULL, '', '', NULL, '', '', '', 1);

--
-- Triggers `tbl_stock_suppliers`
--
DELIMITER $$
CREATE TRIGGER `add_supplier_account` AFTER INSERT ON `tbl_stock_suppliers` FOR EACH ROW BEGIN
        IF @disable_supplier_trigger IS NULL THEN
    SET
        @vat_type =(
        SELECT
            VAT_Type_ID
        FROM
            tbl_organization
        WHERE
            Organization_ID = 1
    ) ;
SET
    @vat_pur =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = IF(
            @vat_type = 1,
            'supplier_pur_vat_acc_id',
            'supplier_pur_vat_partial_acc_id'
        )
) ;
CALL
    `sp_get_auto_account_by_parent`(@vat_pur, 1, @vat_pur_code) ;
SET
    @vat_fa =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = IF(
            @vat_type = 1,
            'supplier_fa_vat_acc_id',
            'supplier_fa_vat_partial_acc_id'
        )
) ;
CALL
    `sp_get_auto_account_by_parent`(@vat_fa, 1, @vat_fa_code) ;
SET
    @vat_exp =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = IF(
            @vat_type = 1,
            'supplier_exp_vat_acc_id',
            'supplier_exp_vat_partial_acc_id'
        )
) ;
CALL
    `sp_get_auto_account_by_parent`(@vat_exp, 1, @vat_exp_code) ; IF NEW.account_parent_id IS NULL THEN
SET
    @main_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'supplier_main_acc_id'
) ; ELSE
SET
    @main_parent = NEW.account_parent_id ;
    END IF ;
CALL
    `sp_get_auto_account_by_parent`(@main_parent, 1, @main_code) ;
SET
    @exp_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'supplier_exp_acc_id'
) ;
CALL
    `sp_get_auto_account_by_parent`(@exp_parent, 1, @exp_code) ;
SET
    @fa_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'supplier_fa_acc_id'
) ;
CALL
    `sp_get_auto_account_by_parent`(@fa_parent, 1, @fa_code) ;
INSERT INTO tbl_chart_of_accounts(
    Account_Code,
    Account_Name,
    Parent_ID,
    main_id,
    main_type,
    sub_type,
    Currency_ID,
    IsAdded
)
VALUES(
    @vat_pur_code,
    NEW.Supplier_Name,
    @vat_pur,
    NEW.Supplier_ID,
    'supp',
    'pur_vat',
    NEW.Currency_ID,
    1
),(
    @vat_fa_code,
    NEW.Supplier_Name,
    @vat_fa,
    NEW.Supplier_ID,
    'supp',
    'fa_vat',
    NEW.Currency_ID,
    1
),(
    @vat_exp_code,
    NEW.Supplier_Name,
    @vat_exp,
    NEW.Supplier_ID,
    'supp',
    'exp_vat',
    NEW.Currency_ID,
    1
),(
    @main_code,
    NEW.Supplier_Name,
    @main_parent,
    NEW.Supplier_ID,
    'supp',
    'main',
    NEW.Currency_ID,
    1
),(
    @exp_code,
    NEW.Supplier_Name,
    @exp_parent,
    NEW.Supplier_ID,
    'supp',
    'exp',
    NEW.Currency_ID,
    1
),(
    @fa_code,
    NEW.Supplier_Name,
    @fa_parent,
    NEW.Supplier_ID,
    'supp',
    'fa',
    NEW.Currency_ID,
    1
) ;
END IF ;
END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `after_update_supplier` AFTER UPDATE ON `tbl_stock_suppliers` FOR EACH ROW BEGIN
        IF OLD.Supplier_Name <> NEW.Supplier_Name THEN
    UPDATE
        tbl_chart_of_accounts
    SET
        Account_Name = NEW.Supplier_Name
    WHERE
        main_id = OLD.Supplier_ID AND main_type = 'supp' ;
    END IF ; IF OLD.Currency_ID <> NEW.Currency_ID THEN
UPDATE
    tbl_chart_of_accounts
SET
    Currency_ID = NEW.Currency_ID
WHERE
    main_id = OLD.Supplier_ID AND main_type = 'supp' ;
END IF ; IF(
    IFNULL(OLD.account_parent_id, 0) <> IFNULL(NEW.account_parent_id, 0)
) THEN IF NEW.account_parent_id IS NULL THEN
SET
    @main_parent =(
    SELECT
        acc_setting_value
    FROM
        tbl_account_setting
    WHERE
        acc_setting_name = 'supplier_main_acc_id'
) ; ELSE
SET
    @main_parent = NEW.account_parent_id ;
END IF ;
CALL
    `sp_get_auto_account_by_parent`(@main_parent, 1, @main_code) ;
UPDATE
    tbl_chart_of_accounts
SET
    Account_Code = @main_code,
    Parent_ID = @main_parent
WHERE
    main_id = OLD.Supplier_ID AND main_type = 'supp' AND sub_type = 'main' ;
END IF ;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_supplier_products`
--

CREATE TABLE `tbl_stock_supplier_products` (
  `Entry_ID` int(11) NOT NULL,
  `Supplier_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Supplier_Product_Cost` float NOT NULL,
  `Supplier_Product_Code` varchar(13) NOT NULL,
  `Purchase_Date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_transactions_types`
--

CREATE TABLE `tbl_stock_transactions_types` (
  `Transaction_Type_ID` int(11) NOT NULL,
  `Transaction_Type` varchar(255) NOT NULL,
  `main_type` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_stock_transactions_types`
--

INSERT INTO `tbl_stock_transactions_types` (`Transaction_Type_ID`, `Transaction_Type`, `main_type`) VALUES
(1, 'Purchase', 'pur'),
(2, 'Sales', 'inv'),
(4, 'Transfer', 'trf'),
(6, 'Adjust', 'adj'),
(7, 'Damaged', 'dmg'),
(8, 'Return Purchase', 'rpr'),
(9, 'Return Invoice', 'rin'),
(10, 'AssignTo', 'asg'),
(11, 'Edit Sales Invoice', 'inv'),
(12, 'Edit Purchase', 'pur'),
(13, 'Edit Return Purchase', 'rpr'),
(14, 'Edit Return Invoice', 'rin'),
(15, 'Add Produced Items', 'prd'),
(16, 'Edit Produced Items', 'prd'),
(17, 'Add Raw Items', 'raw'),
(18, 'Edit Raw Items', 'raw'),
(19, 'Add Machine Maintenance', 'mch'),
(20, 'Edit Machine Maintenance', 'mch'),
(21, 'add_customer_delivery', 'dlc'),
(22, 'add_supplier_delivery', 'dls'),
(23, 'edit_customer_delivery', 'dlc'),
(24, 'edit_supplier_delivery', 'dls'),
(25, 'edit_damage_old', 'dmg'),
(26, 'delete_machine_maintenance', 'mch'),
(27, 'delete_return_invoice', 'rin'),
(28, 'delete_return_purchase', 'rpr'),
(29, 'delete_invoice', 'inv'),
(30, 'delete_purchase', 'pur'),
(31, 'delete_damage', 'dmg'),
(32, 'delete_transfer', 'trf'),
(33, 'delete_produced_items', 'prd'),
(34, 'delete_raw_items', 'raw'),
(35, 'Edit Purchase New', 'pur'),
(36, 'Edit Return Purchase New', 'rpr'),
(37, 'Edit Return Invoice New', 'rin'),
(38, 'Edit Produced Items New', 'prd'),
(39, 'Edit Raw Items New', 'raw'),
(40, 'Edit Machine Maintenance New', 'mch'),
(41, 'Edit Customer Delivery New', 'dlc'),
(42, 'Edit Supplier Delivery New', 'dls'),
(43, 'Edit Sales Invoice New', 'inv'),
(44, 'Station Invoice', 'sin'),
(45, 'Edit Station Invoice', 'sin'),
(46, 'delete_station_invoice', 'sin'),
(47, 'Edit Station Invoice New', 'sin'),
(48, 'Add Consumption', 'con'),
(49, 'Edit Consumption', 'con'),
(50, 'Delete Consumption', 'con'),
(51, 'Edit Consumption New', 'con'),
(52, 'Delete Customer Delivery', 'dlc'),
(53, 'Delete Supplier Delivery', 'dls'),
(54, 'edit_damage_new', 'dmg'),
(55, 'edit_assign_old', 'asg'),
(56, 'edit_assign_new', 'asg'),
(57, 'delete_assign', 'asg'),
(58, 'edit_adjust_old', 'adj'),
(59, 'edit_adjust_new', 'adj'),
(60, 'delete_adjust', 'adj'),
(61, 'Edit Transfer Old', 'trf'),
(62, 'Edit Transfer New', 'trf'),
(63, 'Add Stock Accounting Adjustment', 'sad'),
(64, 'Edit Stock Accounting Adjustment New', 'sad'),
(65, 'Edit Stock Accounting Adjustment Old', 'sad'),
(66, 'Delete Stock Accounting Adjustment', 'sad');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_transfer`
--

CREATE TABLE `tbl_stock_transfer` (
  `Transfer_ID` int(11) NOT NULL,
  `Request_ID` int(11) NOT NULL,
  `Transfer_Date` date NOT NULL,
  `Is_Transfer` tinyint(1) NOT NULL,
  `Parent_ID` int(11) NOT NULL,
  `Status_ID` int(11) NOT NULL DEFAULT '1',
  `Logged_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_transfer_details`
--

CREATE TABLE `tbl_stock_transfer_details` (
  `Entry_ID` int(11) NOT NULL,
  `Transfer_ID` int(11) NOT NULL,
  `Type_ID` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `Transfer_Quantity` double NOT NULL,
  `UoM_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_stock_uom`
--

CREATE TABLE `tbl_stock_uom` (
  `UOM_ID` int(11) NOT NULL,
  `UOM_Name` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_subscription`
--

CREATE TABLE `tbl_subscription` (
  `subscription_id` int(11) NOT NULL,
  `subscription_name` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `currency_id` int(11) NOT NULL,
  `currency_round` double NOT NULL DEFAULT '0',
  `round_type` tinyint(4) NOT NULL COMMENT '0:Round,1:Round Up,2:Round Down',
  `is_ttc` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:is not ttc,1:is ttc',
  `is_active` tinyint(4) NOT NULL DEFAULT '1' COMMENT '0:not active,1:active',
  `paid_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '0:paid before,1:paid after',
  `period` int(11) NOT NULL,
  `period_unit` tinyint(4) NOT NULL COMMENT '1:week,2:month,3:year',
  `bill_start` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `category_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_subscription_block`
--

CREATE TABLE `tbl_subscription_block` (
  `block_id` int(11) NOT NULL,
  `block_name` varchar(500) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_subscription_category`
--

CREATE TABLE `tbl_subscription_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(500) NOT NULL,
  `sort_order` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_subscription_details`
--

CREATE TABLE `tbl_subscription_details` (
  `detail_id` int(11) NOT NULL,
  `subscription_id` int(11) NOT NULL,
  `type_id` tinyint(4) NOT NULL COMMENT '1:recurring,2:usage,3:incremental',
  `product_id` int(11) NOT NULL,
  `uom_id` int(11) NOT NULL,
  `depend_previous` tinyint(4) NOT NULL DEFAULT '1' COMMENT '0: don''t depend on previous,1:depend on previous'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_subscription_details_fees`
--

CREATE TABLE `tbl_subscription_details_fees` (
  `detail_fees_id` int(11) NOT NULL,
  `detail_id` int(11) NOT NULL,
  `start` double NOT NULL DEFAULT '0',
  `end` double NOT NULL DEFAULT '0',
  `price` double NOT NULL DEFAULT '0',
  `fees_type_id` tinyint(4) NOT NULL COMMENT '1:fixed,2:per quantity'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_system_note`
--

CREATE TABLE `tbl_system_note` (
  `note_id` int(11) NOT NULL,
  `system_version` varchar(30) DEFAULT NULL,
  `system_note` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_system_note`
--

INSERT INTO `tbl_system_note` (`note_id`, `system_version`, `system_note`) VALUES
(1, '5.5.0', '- add kitchen order to view all takeaway order\n- Merge same items in 1 row on POS\n    - Setting name is merge_same_item_in_1_row\n    - modify file in script.js function AddItemToTable\n    - modify main_pos.php just add input for setting to set it in script.js file\n- POS: we hide count person it is not do anything\n- POS: Function -> order we solve it now can get customer by QR scanner, barcode scanner or customer search\n- Add QR code for return invoice\n- Add View return invoice in pos -> function -> return list\n- Add copy qr code for pos distribution \n- modify pos search item and the user can now search by barcode\n- delete PHP function strtotime from our function get_remain_expiry_date because any year after 2030 will have a problem (search for it)\n- modify message system style\n\n                                    '),
(2, '5.5.7', 'item modify rate for Lebanon to change all items prices');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_table`
--

CREATE TABLE `tbl_table` (
  `table_id` int(11) NOT NULL,
  `table_name` varchar(200) NOT NULL,
  `table_alias_name` varchar(250) DEFAULT NULL,
  `floor_id` tinyint(4) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `employee_id` text,
  `status_id` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_template_attribute`
--

CREATE TABLE `tbl_template_attribute` (
  `attribute_id` int(11) NOT NULL,
  `attribute_key` text,
  `attribute_value` text,
  `template_id` int(11) DEFAULT NULL,
  `attribute_type` int(11) DEFAULT NULL COMMENT '1 for text - 2 for image - 3 for formula',
  `branch_id` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_template_prodcuts`
--

CREATE TABLE `tbl_template_prodcuts` (
  `temp_id` bigint(20) NOT NULL,
  `Product_Code` varchar(100) NOT NULL,
  `Product_Name` varchar(100) NOT NULL,
  `Category_ID` int(11) NOT NULL,
  `vat_percent` int(11) NOT NULL DEFAULT '0',
  `default_uom` int(11) NOT NULL,
  `default_barcode` varchar(255) NOT NULL,
  `defaukt_add_barcode` varchar(255) NOT NULL,
  `default_price_one` double NOT NULL DEFAULT '0',
  `default_price_two` double NOT NULL DEFAULT '0',
  `default_price_three` double NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_ticketing`
--

CREATE TABLE `tbl_ticketing` (
  `ticketing_id` int(11) NOT NULL,
  `ticketing_nb` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `customer_additional_phone` varchar(250) DEFAULT NULL,
  `ticketing_type_id` int(11) NOT NULL,
  `ticketing_station_id` int(11) DEFAULT NULL,
  `paid_amount` double NOT NULL DEFAULT '0',
  `payment_account_id` int(11) DEFAULT NULL,
  `ticketing_date` date NOT NULL,
  `ticketing_schedule_date` datetime NOT NULL,
  `assigned_user_id` int(11) NOT NULL,
  `ticketing_status_id` tinyint(4) NOT NULL DEFAULT '1',
  `date_finished` datetime DEFAULT NULL,
  `finished_by` int(11) DEFAULT NULL,
  `finished_solution` text NOT NULL,
  `date_created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `ticketing_reply_id` int(11) NOT NULL,
  `depot_id` int(11) DEFAULT NULL,
  `currency_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_ticketing`
--

INSERT INTO `tbl_ticketing` (`ticketing_id`, `ticketing_nb`, `customer_id`, `customer_additional_phone`, `ticketing_type_id`, `ticketing_station_id`, `paid_amount`, `payment_account_id`, `ticketing_date`, `ticketing_schedule_date`, `assigned_user_id`, `ticketing_status_id`, `date_finished`, `finished_by`, `finished_solution`, `date_created`, `created_by`, `date_modified`, `modified_by`, `ticketing_reply_id`, `depot_id`, `currency_id`) VALUES
(1, 1, 1, '123123123', 2, 2, 0, 2097, '2021-08-10', '2021-08-10 14:27:00', 1, 1, NULL, NULL, '', '2021-08-10 14:28:17', 1, '2021-08-10 14:28:17', 1, 10, 1, 84),
(2, 2, 1, '123123', 2, 2, 0, 2097, '2021-08-17', '2021-08-18 14:36:00', 1, 1, NULL, NULL, '', '2021-08-17 14:37:12', 1, '2021-08-17 14:37:12', 1, 11, 1, 84);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_ticketing_details`
--

CREATE TABLE `tbl_ticketing_details` (
  `ticketing_detail_id` int(11) NOT NULL,
  `ticketing_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `uom_id` int(11) NOT NULL,
  `quantity` double NOT NULL,
  `price` int(11) NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `is_consignment` tinyint(4) NOT NULL DEFAULT '0',
  `is_free` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_ticketing_replies`
--

CREATE TABLE `tbl_ticketing_replies` (
  `ticketing_reply_id` int(11) NOT NULL,
  `ticketing_reply_description` mediumtext NOT NULL,
  `created_by` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `date_modified` datetime NOT NULL,
  `ticketing_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_ticketing_replies`
--

INSERT INTO `tbl_ticketing_replies` (`ticketing_reply_id`, `ticketing_reply_description`, `created_by`, `date_created`, `modified_by`, `date_modified`, `ticketing_id`) VALUES
(10, '2sdsddfcssdc', 1, '2021-08-10 14:28:17', 1, '2021-08-10 14:28:17', 1),
(11, 'asddddd dddd', 1, '2021-08-17 14:37:12', 1, '2021-08-17 14:37:12', 2);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_ticketing_station`
--

CREATE TABLE `tbl_ticketing_station` (
  `ticketing_station_id` int(11) NOT NULL,
  `ticketing_station_name` varchar(250) NOT NULL,
  `ticketing_station_location` varchar(250) NOT NULL,
  `depot_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_ticketing_station`
--

INSERT INTO `tbl_ticketing_station` (`ticketing_station_id`, `ticketing_station_name`, `ticketing_station_location`, `depot_id`) VALUES
(2, 'station', 'location', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_ticketing_status`
--

CREATE TABLE `tbl_ticketing_status` (
  `ticketing_status_id` int(11) NOT NULL,
  `ticketing_status_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_ticketing_status`
--

INSERT INTO `tbl_ticketing_status` (`ticketing_status_id`, `ticketing_status_name`) VALUES
(1, 'Pending'),
(2, 'Under Process'),
(3, 'Finished');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_ticketing_type`
--

CREATE TABLE `tbl_ticketing_type` (
  `ticketing_type_id` int(11) NOT NULL,
  `ticketing_type_name` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_ticketing_type`
--

INSERT INTO `tbl_ticketing_type` (`ticketing_type_id`, `ticketing_type_name`) VALUES
(2, 'ticketing type');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_uom_conversions`
--

CREATE TABLE `tbl_uom_conversions` (
  `uom_conversion_id` int(11) NOT NULL,
  `uom_from` int(11) NOT NULL,
  `conversion_amount` double NOT NULL,
  `uom_to` int(11) NOT NULL,
  `Product_ID` int(11) NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `Bar_Code` varchar(100) DEFAULT NULL,
  `additional_barcodes` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_users_accounting_accounts`
--

CREATE TABLE `tbl_users_accounting_accounts` (
  `User_Account_ID` int(11) NOT NULL,
  `User_ID` int(11) NOT NULL,
  `cash_account_id` bigint(20) NOT NULL,
  `Cash_Account` varchar(100) NOT NULL,
  `cheque_account_id` bigint(20) NOT NULL,
  `Cheque_Account` varchar(100) NOT NULL,
  `purchase_account_id` bigint(20) NOT NULL,
  `purchase_account` varchar(255) NOT NULL,
  `sales_account_id` bigint(20) NOT NULL,
  `sales_account` varchar(255) NOT NULL,
  `purchase_shipping` varchar(255) NOT NULL,
  `sales_shipping` varchar(255) NOT NULL,
  `deposit_account_id` bigint(20) NOT NULL,
  `Deposit_Account` varchar(100) NOT NULL,
  `withdrawal_account_id` bigint(20) NOT NULL,
  `Withdrawal_Account` varchar(100) NOT NULL,
  `other_account_id` bigint(20) NOT NULL,
  `Other_Account` varchar(100) NOT NULL,
  `serial_prefix` varchar(20) NOT NULL,
  `depot_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `pur_ship_account_id` bigint(20) NOT NULL,
  `sales_ship_account_id` bigint(20) NOT NULL,
  `branch_id` int(11) DEFAULT NULL,
  `cash_drawer_id` int(11) DEFAULT NULL,
  `max_discount` double NOT NULL DEFAULT '0',
  `edit_price` tinyint(1) NOT NULL DEFAULT '0',
  `discount_account` int(11) NOT NULL,
  `job_id` int(11) DEFAULT NULL,
  `pos_cat_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_users_accounting_accounts`
--

INSERT INTO `tbl_users_accounting_accounts` (`User_Account_ID`, `User_ID`, `cash_account_id`, `Cash_Account`, `cheque_account_id`, `Cheque_Account`, `purchase_account_id`, `purchase_account`, `sales_account_id`, `sales_account`, `purchase_shipping`, `sales_shipping`, `deposit_account_id`, `Deposit_Account`, `withdrawal_account_id`, `Withdrawal_Account`, `other_account_id`, `Other_Account`, `serial_prefix`, `depot_id`, `class_id`, `pur_ship_account_id`, `sales_ship_account_id`, `branch_id`, `cash_drawer_id`, `max_discount`, `edit_price`, `discount_account`, `job_id`, `pos_cat_id`) VALUES
(1, 1, 2097, '', 2097, '', 429, '', 2209, '', '', '', 31, '', 31, '', 37, '', '', 1, 1, 430, 2209, 1, NULL, 100, 0, 1364, NULL, NULL),
(2, 2, 2097, '', 2097, '', 429, '', 2209, '', '', '', 31, '', 31, '', 37, '', '', 1, 1, 430, 2209, 1, NULL, 100, 0, 1364, NULL, NULL),
(3, 3, 2097, '', 2097, '', 429, '', 2209, '', '', '', 31, '', 31, '', 37, '', '', 1, 1, 430, 2209, 1, NULL, 100, 0, 1364, NULL, NULL),
(5, 4, 39, '', 0, '', 0, '', 0, '', '', '', 0, '', 0, '', 0, '', '', 1, 1, 0, 0, 1, NULL, 0, 0, 0, NULL, NULL),
(9, 5, 39, '', 39, '', 39, '', 39, '', '', '', 39, '', 39, '', 25, '', '', 1, 0, 40, 39, 1, NULL, 0, 0, 61, NULL, NULL),
(10, 6, 2097, '', 2097, '', 429, '', 2209, '', '', '', 60, '', 31, '', 40, '', '', 1, 2, 430, 40, 1, NULL, 100, 0, 1364, NULL, NULL),
(11, 9, 2097, '', 2097, '', 429, '', 2209, '', '', '', 31, '', 31, '', 37, '', '', 1, 1, 430, 2209, 1, NULL, 100, 0, 1364, NULL, NULL),
(12, 10, 2097, '', 2097, '', 429, '', 2209, '', '', '', 31, '', 31, '', 37, '', '', 1, 1, 430, 2209, 1, NULL, 100, 0, 1364, NULL, NULL),
(13, 11, 2097, '', 2097, '', 429, '', 2209, '', '', '', 31, '', 31, '', 37, '', '', 1, 1, 430, 2209, 1, NULL, 100, 0, 1364, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_user_customers`
--

CREATE TABLE `tbl_user_customers` (
  `user_customer_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_user_shifts`
--

CREATE TABLE `tbl_user_shifts` (
  `user_shifts_id` int(11) NOT NULL,
  `Shift_Name` varchar(30) DEFAULT NULL,
  `Working_Day_ID` text,
  `Logged_ID` int(11) DEFAULT NULL,
  `shift_type` varchar(30) DEFAULT 'fx'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_vehicle_checkup`
--

CREATE TABLE `tbl_vehicle_checkup` (
  `vehicle_checkup_id` int(11) NOT NULL,
  `vehicle_id` int(11) DEFAULT NULL,
  `checkup_date` date DEFAULT NULL,
  `vehicle_milage` double DEFAULT NULL,
  `checkup_note` text,
  `date_time` datetime DEFAULT NULL,
  `logged_id` int(11) DEFAULT NULL,
  `vehicle_action` int(11) DEFAULT NULL COMMENT '0=>''checkup'',1=>''oil'',2=>''maintence'''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_vehicle_mecanique`
--

CREATE TABLE `tbl_vehicle_mecanique` (
  `vehicle_mecanique_id` int(11) NOT NULL,
  `vehicle_id` int(11) DEFAULT NULL,
  `mecanique_date` date DEFAULT NULL,
  `mecanique_year` varchar(100) DEFAULT NULL,
  `mecanique_note` text,
  `date_time` datetime DEFAULT NULL,
  `is_syndicate` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:mecanique,1:syndicate',
  `logged_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_vehicle_mecanique`
--

INSERT INTO `tbl_vehicle_mecanique` (`vehicle_mecanique_id`, `vehicle_id`, `mecanique_date`, `mecanique_year`, `mecanique_note`, `date_time`, `is_syndicate`, `logged_id`) VALUES
(7, 1, '2018-12-27', '2010', 'note', '2018-12-27 01:38:41', 0, 1),
(9, 1, '2018-12-26', '2011', 'noteee', '2018-12-27 01:39:08', 0, 1),
(10, 1, '2018-12-21', '2012', 'noteee', '2018-12-27 01:39:22', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_vehicle_model`
--

CREATE TABLE `tbl_vehicle_model` (
  `Model_ID` int(11) NOT NULL,
  `Model_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_vehicle_model`
--

INSERT INTO `tbl_vehicle_model` (`Model_ID`, `Model_Name`) VALUES
(1, 'Pickup Truck'),
(2, 'VAN'),
(3, 'Rapid'),
(4, 'URVAN'),
(5, 'VANAGON'),
(6, 'HIACE VAN'),
(7, 'LT'),
(8, 'Trafic');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_vehicle_type`
--

CREATE TABLE `tbl_vehicle_type` (
  `Vehicle_Type_ID` int(11) NOT NULL,
  `Vehicle_Type_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_vehicle_type`
--

INSERT INTO `tbl_vehicle_type` (`Vehicle_Type_ID`, `Vehicle_Type_Name`) VALUES
(1, 'ISUZU'),
(2, 'Mercedece'),
(3, 'Renault'),
(4, 'Hundai'),
(5, 'NISSAN'),
(6, 'OPEL'),
(7, 'VW'),
(8, 'TOYOTA');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_vehicle_usage_type`
--

CREATE TABLE `tbl_vehicle_usage_type` (
  `Usage_Type_ID` int(11) NOT NULL,
  `Usage_Type_Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_vehicle_usage_type`
--

INSERT INTO `tbl_vehicle_usage_type` (`Usage_Type_ID`, `Usage_Type_Name`) VALUES
(1, 'Distribution');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_versions`
--

CREATE TABLE `tbl_versions` (
  `version_id` int(11) NOT NULL,
  `version_nb` int(11) NOT NULL,
  `main_type` varchar(10) NOT NULL,
  `main_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `version_array` text NOT NULL,
  `ip` varchar(45) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_versions`
--

INSERT INTO `tbl_versions` (`version_id`, `version_nb`, `main_type`, `main_id`, `date_time`, `user_id`, `version_array`, `ip`) VALUES
(1, 1, 'sqo', 1, '2022-08-24 10:13:28', 1, '{\"Main\":{\"current_year_id\":\"2\",\"ID\":\"B1\",\"Auto_ID\":\"1\",\"Date\":\"2022-08-23\",\"po\":\"\",\"job_inv\":\"\",\"project_code\":\"\",\"project_name_inv\":\"\",\"our_ref\":\"\",\"supply_date\":\"\",\"Due_Date\":\"2022-08-23\",\"Discount\":\"0\",\"discount_amount\":\"0\",\"VAT\":\"0\",\"Sub_Total\":\"1200000\",\"Net_Total\":\"1200000\",\"Currency_ID\":\"120\",\"Currency_Symbol\":\"\\u0631\\u064a\\u0627\\u0644 \",\"Currency_Name\":\"Saudi Arabian Riyal\",\"currency_round\":\"0\",\"Depot_ID\":\"1\",\"Person_ID\":\"0\",\"Customer_ID\":\"0\",\"Person_Name\":\"Cash Customer\",\"Customer_Name\":\"Cash Customer\",\"Class_ID\":\"1\",\"Class_Name\":\"Retail\",\"Invoice_Description\":\"\",\"due_date_period\":\"0\",\"is_ttc\":\"1\",\"supp_class_id\":\"0\",\"supp_class_name\":null,\"current_rate\":\"1\",\"is_sales\":\"1\",\"created_logged_id\":\"1\",\"date_time\":\"2022-08-23 08:29:51\",\"Order_ID_Auto\":\"1\",\"job_id\":\"0\",\"project_id\":\"0\",\"job_name\":null,\"project_name\":null,\"version_nb\":\"1\",\"delivery_date\":null,\"is_actual\":\"0\",\"extra_cost\":\"0\",\"sale_app_id\":\"0\",\"postponed_note\":null,\"postponed_date_time\":null,\"postponed_status_id\":null,\"customer_address_alias\":\"\",\"customer_name_alias\":\"\",\"shipping\":\"0\",\"cost_dist_method\":\"1\",\"Sales_ID\":null,\"Employee_Name\":null,\"Address\":\"jedda\",\"Phone\":\"123456\",\"total_qty\":4},\"Details\":{\"1\":{\"Entery_ID\":\"1\",\"Invoice_ID_Auto\":\"1\",\"Item_Quantity_Current\":\"2\",\"Code\":\"1\",\"Name\":\"10mb \",\"Product_Name\":\"10mb \",\"Product_Limit_Discount\":\"0\",\"is_tax\":\"0\",\"is_lot\":\"0\",\"is_serial\":\"0\",\"is_service\":\"0\",\"Status_ID\":\"1\",\"VAT\":\"0\",\"Product_Quantity\":\"94\",\"Quantity\":\"94\",\"Product_ID\":\"196\",\"vat_percent\":\"0\",\"vat_amount\":\"0\",\"product_description\":\"\",\"Bar_Code\":\"1\",\"Product_Discount\":\"0\",\"Product_Net_Price\":\"200000\",\"Product_Total_Price\":\"400000\",\"uom_con\":\"1\",\"UOM_ID\":\"56\",\"expiry_date\":\"\",\"is_expiry\":\"0\",\"unit_tax\":\"0\",\"total_tax\":\"0\",\"lot_nb\":\"\",\"serial_nb\":\"\",\"Product_UOM\":\"56\",\"current_rate\":\"1\",\"TAG\":\"\",\"add_ons\":\"\",\"link_product_class\":\"hidden\",\"supp_class_name\":null,\"supp_class_id\":\"0\",\"item_cost\":\"100\",\"other_cost\":\"0\",\"ttc_price\":200000,\"unit_cost\":100,\"LAST_COST\":100,\"last_price\":\"66666.666666666\"},\"2\":{\"Entery_ID\":\"2\",\"Invoice_ID_Auto\":\"1\",\"Item_Quantity_Current\":\"2\",\"Code\":\"2\",\"Name\":\"20mb\",\"Product_Name\":\"20mb\",\"Product_Limit_Discount\":\"0\",\"is_tax\":\"0\",\"is_lot\":\"0\",\"is_serial\":\"0\",\"is_service\":\"0\",\"Status_ID\":\"1\",\"VAT\":\"0\",\"Product_Quantity\":\"97\",\"Quantity\":\"97\",\"Product_ID\":\"197\",\"vat_percent\":\"0\",\"vat_amount\":\"0\",\"product_description\":\"\",\"Bar_Code\":\"2\",\"Product_Discount\":\"0\",\"Product_Net_Price\":\"400000\",\"Product_Total_Price\":\"800000\",\"uom_con\":\"1\",\"UOM_ID\":\"56\",\"expiry_date\":\"\",\"is_expiry\":\"0\",\"unit_tax\":\"0\",\"total_tax\":\"0\",\"lot_nb\":\"\",\"serial_nb\":\"\",\"Product_UOM\":\"56\",\"current_rate\":\"1\",\"TAG\":\"\",\"add_ons\":\"\",\"link_product_class\":\"hidden\",\"supp_class_name\":null,\"supp_class_id\":\"0\",\"item_cost\":\"100\",\"other_cost\":\"0\",\"ttc_price\":400000,\"unit_cost\":100,\"LAST_COST\":100,\"last_price\":\"400000\"}},\"Person\":{\"Company\":\"\",\"ID\":\"0\",\"Name\":\"Cash Customer\",\"Customer_Name\":\"Cash Customer\",\"Email\":\"\",\"customer_vat\":null,\"customer_additional_number\":null,\"customer_postal_code\":null,\"customer_other_id\":null,\"Phone\":\"123123123\",\"Mobile\":\"123456\",\"Address\":\"jedda\",\"CR\":\"\",\"Country_Name\":\"Saudi Arabia\",\"Account_Code\":\"41110001\",\"Account_ID\":\"3567\",\"Class_ID\":\"1\",\"Class_Name\":\"Retail\",\"Class_Currency\":\"120\",\"tax_amount\":\"0\",\"customer_is_pos\":\"0\",\"customer_pos_id\":\"0\",\"customer_city_name\":\"Jedda\",\"other_pay_acc_id\":null,\"due_date_period\":\"0\",\"main_shipping_address\":\"\"}}', '78.40.177.35');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_void_reason`
--

CREATE TABLE `tbl_void_reason` (
  `reason_id` int(11) NOT NULL,
  `reason_title` varchar(250) NOT NULL,
  `reason_type` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_void_reason`
--

INSERT INTO `tbl_void_reason` (`reason_id`, `reason_title`, `reason_type`) VALUES
(1, 'late', 2),
(2, 'expiry date', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_volunteer`
--

CREATE TABLE `tbl_volunteer` (
  `volunteer_team_id` int(11) NOT NULL,
  `volunteer_team_name` varchar(255) NOT NULL,
  `date_time` datetime NOT NULL,
  `logging_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_volunteer_notice`
--

CREATE TABLE `tbl_volunteer_notice` (
  `notice_id` int(11) NOT NULL,
  `notice_name` varchar(255) NOT NULL,
  `date_time` datetime NOT NULL,
  `logging_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_web_acoount`
--

CREATE TABLE `tbl_web_acoount` (
  `ID` int(11) NOT NULL,
  `type` varchar(10) DEFAULT NULL,
  `first_name` varchar(30) DEFAULT NULL,
  `last_name` varchar(30) DEFAULT NULL,
  `email` varchar(30) DEFAULT NULL,
  `phone_number` varchar(30) DEFAULT NULL,
  `password` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_web_acoount`
--

INSERT INTO `tbl_web_acoount` (`ID`, `type`, `first_name`, `last_name`, `email`, `phone_number`, `password`) VALUES
(1, 'user', 'yousif', 'Dahabra', 'TEST@gmail.com', '767676', '$2y$10$t1Ynlfbi3DSe8p6yqmzbxejgi6gTRqxKw8OXrzFPpfNrs2CcYc242'),
(2, 'admin', 'Yousif', 'Dahabra', 'admin@gmail.com', '7676', '$2y$12$cBfTYNHJiNtVMDvKaZvmOOqvp04mWdaXwkmkBJ.HXmmXgxGefATla'),
(3, 'user', 'first', 'last ', 'em@12', 'ph', '10470c3b4b1fed12c3baac014be15fac67c6e815'),
(4, 'user', 'yousif', 'test', 'mail@email', '123123', '10470c3b4b1fed12c3baac014be15fac67c6e815'),
(5, 'user', 'ali', 'ali', 'ali@gmail.com', '123', '10470c3b4b1fed12c3baac014be15fac67c6e815'),
(6, 'user', 'admin', 'admin', 'admin@admin', 'admin', '10470c3b4b1fed12c3baac014be15fac67c6e815'),
(7, 'user', 'test', 'test', 'test@test', '5161', 'adcd7048512e64b48da55b027577886ee5a36350');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_web_api_users`
--

CREATE TABLE `tbl_web_api_users` (
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `app_user_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `depot_id` int(11) NOT NULL,
  `other_data` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_web_products`
--

CREATE TABLE `tbl_web_products` (
  `ID` int(11) NOT NULL,
  `title` varchar(5) DEFAULT NULL,
  `name` varchar(30) DEFAULT NULL,
  `email` varchar(20) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `address_1` varchar(50) DEFAULT NULL,
  `address_2` varchar(50) DEFAULT NULL,
  `city` varchar(20) DEFAULT NULL,
  `state` varchar(30) DEFAULT NULL,
  `zip` int(11) DEFAULT NULL,
  `country` varchar(20) DEFAULT NULL,
  `pymant_method` varchar(10) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tbl_web_products`
--

INSERT INTO `tbl_web_products` (`ID`, `title`, `name`, `email`, `phone`, `address_1`, `address_2`, `city`, `state`, `zip`, `country`, `pymant_method`, `user_id`) VALUES
(1, '', '', '', '', '', '', '', '', 0, 'Aruba', '', 1),
(2, 'dr', 'Name', 'email@email.com', 'phone', '', 'address 2', 'city', 'state', 123, 'France', '', 1),
(3, 'miss', 'Name', 'aaa@aaa', 'phone', 'Address 1', 'Address 2', 'city', 'state', 123, 'Australia', '', 1),
(4, 'mr', 'Name', 'aaa@aaa', 'phone', 'Address 1', 'Address 2', 'city', 'state', 123, 'Austria', 'cash', 1),
(5, 'dr', 'Name', 'aaa@aaa', '767676', 'Address 1', 'Address 2', 'city', 'state', 123, 'Burundi', 'cash', 1),
(6, 'miss', 'Name', 'Testservice@apply', '767676', 'Address 1', 'Address 2', 'city', 'state', 123, 'Aruba', 'cash', 1),
(7, 'miss', 'Name', 'yousif.dahabra.97@gm', 'x', 'Address 1', 'Address 2', 'city', 'state', 123, 'Aruba', 'cash', 1),
(8, 'ms', 'Name', 'Testservice@apply', 'wlkwks', 'Address 1', 'Address 2', 'city', 'state', 123, 'Aruba', 'cash', 1),
(9, 'dr', 'Name', '2298b0837b@firemailb', 'wlkwks', 'Address 1', 'Address 2', 'city', 'state', 123, 'Aruba', 'cash', 1),
(10, 'dr', 'Name', '0096171489242', '767676', 'Address 1', 'Address 2', 'city', 'state', 123, 'Aruba', 'cash', 1),
(11, 'mr', 'Name', '5c4c444930@firemailb', '767676', 'Address 1', 'Address 2', 'city', 'state', 123, 'Aruba', 'cash', 1);

-- --------------------------------------------------------

--
-- Table structure for table `test`
--

CREATE TABLE `test` (
  `no` int(2) DEFAULT NULL,
  `insurance` varchar(10) DEFAULT NULL,
  `mecanique` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `test`
--

INSERT INTO `test` (`no`, `insurance`, `mecanique`) VALUES
(1, '2019-05-02', '2019-04-02'),
(2, '2019-12-14', '2019-11-14'),
(3, '2019-12-14', '2019-11-14'),
(4, NULL, NULL),
(5, '2019-12-14', '2019-11-14'),
(6, NULL, NULL),
(7, '2019-08-06', '2019-07-01'),
(8, NULL, NULL),
(9, '2019-12-14', '2019-11-14'),
(10, NULL, NULL),
(11, NULL, NULL),
(12, '2019-05-19', '2019-04-19'),
(13, '2019-03-30', '2019-02-19'),
(14, '2019-05-11', '2019-04-19'),
(15, '2019-10-11', '2019-09-19'),
(16, '2019-12-14', '2019-11-14'),
(17, '2019-11-30', '2019-10-30'),
(18, NULL, NULL),
(19, NULL, NULL),
(20, '2019-12-14', '2019-11-14'),
(21, '2019-06-22', '2019-05-22'),
(22, '2019-12-01', '2019-11-01'),
(23, '2019-06-11', '2019-05-11'),
(24, NULL, NULL),
(25, NULL, NULL),
(26, NULL, NULL),
(27, NULL, NULL),
(28, '2019-07-02', '2019-06-02'),
(29, NULL, NULL),
(30, '2019-02-15', '2019-01-15'),
(31, '2019-04-25', '2019-03-25'),
(32, NULL, NULL),
(33, '2019-12-14', '2019-11-14'),
(34, '2019-05-09', '2019-04-25'),
(35, '2019-03-01', '2019-02-01'),
(36, NULL, NULL),
(37, '2019-05-09', '2019-04-09'),
(38, '2019-12-10', '2019-11-10'),
(39, '2019-03-17', '2019-02-17'),
(40, NULL, NULL),
(41, NULL, NULL),
(42, '2019-11-27', '2019-10-27');

-- --------------------------------------------------------

--
-- Stand-in structure for view `ticketing_list`
-- (See below for the actual view)
--
CREATE TABLE `ticketing_list` (
`ticketing_id` int(11)
,`ticketing_nb` int(11)
,`customer_id` int(11)
,`ticketing_type_id` int(11)
,`ticketing_station_id` int(11)
,`paid_amount` double
,`payment_account_id` int(11)
,`ticketing_date` date
,`ticketing_status_id` tinyint(4)
,`date_finished` datetime
,`finished_by` int(11)
,`finished_solution` text
,`date_created` datetime
,`created_by` int(11)
,`date_modified` datetime
,`modified_by` int(11)
,`ticketing_reply_id` int(11)
,`Customer_Name` varchar(100)
,`ticketing_type_name` varchar(250)
,`ticketing_status_name` varchar(250)
,`assigned_user_id` int(11)
,`ticketing_schedule_date` datetime
,`User_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `ticketing_station_list`
-- (See below for the actual view)
--
CREATE TABLE `ticketing_station_list` (
`ticketing_station_id` int(11)
,`ticketing_station_name` varchar(250)
,`ticketing_station_location` varchar(250)
,`depot_id` int(11)
,`Depot_Name` varchar(50)
);

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1534504596.87153150495571.6485`
--

CREATE TABLE `tmp_product_import_1534504596.87153150495571.6485` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_printer_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tmp_product_import_1534504596.87153150495571.6485`
--

INSERT INTO `tmp_product_import_1534504596.87153150495571.6485` (`tmp_excel_row_no`, `tmp_pro_code`, `tmp_pro_name`, `tmp_cat_id`, `tmp_printer_id`, `tmp_vat_per`, `tmp_def_uom_pro_qty`, `tmp_def_uom_pro_cost`, `tmp_uom_id_1`, `tmp_uom_rate_1`, `tmp_uom_barcode_1`, `tmp_uom_add_barcode_1`, `tmp_uom_price_1_1`, `tmp_uom_price_1_2`, `tmp_uom_price_1_3`, `tmp_uom_price_1_4`, `tmp_uom_id_2`, `tmp_uom_rate_2`, `tmp_uom_barcode_2`, `tmp_uom_add_barcode_2`, `tmp_uom_price_2_1`, `tmp_uom_price_2_2`, `tmp_uom_price_2_3`, `tmp_uom_price_2_4`, `tmp_uom_id_3`, `tmp_uom_rate_3`, `tmp_uom_barcode_3`, `tmp_uom_add_barcode_3`, `tmp_uom_price_3_1`, `tmp_uom_price_3_2`, `tmp_uom_price_3_3`, `tmp_uom_price_3_4`, `tmp_pro_exist_id`, `tmp_pro_insert_id`, `tmp_is_error`, `tmp_error_text`) VALUES
(1, '12342343432', 'data test import printeer', 1, 0, 0, 0, 0, 1, 1, '12342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, ''),
(2, '12dds342343432', 'data test impodsrt printeer', 1, 0, 0, 0, 0, 1, 1, '12dds342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1534504630.350403453510530.546`
--

CREATE TABLE `tmp_product_import_1534504630.350403453510530.546` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_printer_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tmp_product_import_1534504630.350403453510530.546`
--

INSERT INTO `tmp_product_import_1534504630.350403453510530.546` (`tmp_excel_row_no`, `tmp_pro_code`, `tmp_pro_name`, `tmp_cat_id`, `tmp_printer_id`, `tmp_vat_per`, `tmp_def_uom_pro_qty`, `tmp_def_uom_pro_cost`, `tmp_uom_id_1`, `tmp_uom_rate_1`, `tmp_uom_barcode_1`, `tmp_uom_add_barcode_1`, `tmp_uom_price_1_1`, `tmp_uom_price_1_2`, `tmp_uom_price_1_3`, `tmp_uom_price_1_4`, `tmp_uom_id_2`, `tmp_uom_rate_2`, `tmp_uom_barcode_2`, `tmp_uom_add_barcode_2`, `tmp_uom_price_2_1`, `tmp_uom_price_2_2`, `tmp_uom_price_2_3`, `tmp_uom_price_2_4`, `tmp_uom_id_3`, `tmp_uom_rate_3`, `tmp_uom_barcode_3`, `tmp_uom_add_barcode_3`, `tmp_uom_price_3_1`, `tmp_uom_price_3_2`, `tmp_uom_price_3_3`, `tmp_uom_price_3_4`, `tmp_pro_exist_id`, `tmp_pro_insert_id`, `tmp_is_error`, `tmp_error_text`) VALUES
(1, '12342343432', 'data test import printeer', 1, 0, 0, 0, 0, 1, 1, '12342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, ''),
(2, '12dds342343432', 'data test impodsrt printeer', 1, 0, 0, 0, 0, 1, 1, '12dds342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1534504685.2668.4355260154`
--

CREATE TABLE `tmp_product_import_1534504685.2668.4355260154` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_printer_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tmp_product_import_1534504685.2668.4355260154`
--

INSERT INTO `tmp_product_import_1534504685.2668.4355260154` (`tmp_excel_row_no`, `tmp_pro_code`, `tmp_pro_name`, `tmp_cat_id`, `tmp_printer_id`, `tmp_vat_per`, `tmp_def_uom_pro_qty`, `tmp_def_uom_pro_cost`, `tmp_uom_id_1`, `tmp_uom_rate_1`, `tmp_uom_barcode_1`, `tmp_uom_add_barcode_1`, `tmp_uom_price_1_1`, `tmp_uom_price_1_2`, `tmp_uom_price_1_3`, `tmp_uom_price_1_4`, `tmp_uom_id_2`, `tmp_uom_rate_2`, `tmp_uom_barcode_2`, `tmp_uom_add_barcode_2`, `tmp_uom_price_2_1`, `tmp_uom_price_2_2`, `tmp_uom_price_2_3`, `tmp_uom_price_2_4`, `tmp_uom_id_3`, `tmp_uom_rate_3`, `tmp_uom_barcode_3`, `tmp_uom_add_barcode_3`, `tmp_uom_price_3_1`, `tmp_uom_price_3_2`, `tmp_uom_price_3_3`, `tmp_uom_price_3_4`, `tmp_pro_exist_id`, `tmp_pro_insert_id`, `tmp_is_error`, `tmp_error_text`) VALUES
(1, '12342343432', 'data test import printeer', 1, 0, 0, 0, 0, 1, 1, '12342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, ''),
(2, '12dds342343432', 'data test impodsrt printeer', 1, 0, 0, 0, 0, 1, 1, '12dds342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1534504692.4352903.25526434154`
--

CREATE TABLE `tmp_product_import_1534504692.4352903.25526434154` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_printer_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tmp_product_import_1534504692.4352903.25526434154`
--

INSERT INTO `tmp_product_import_1534504692.4352903.25526434154` (`tmp_excel_row_no`, `tmp_pro_code`, `tmp_pro_name`, `tmp_cat_id`, `tmp_printer_id`, `tmp_vat_per`, `tmp_def_uom_pro_qty`, `tmp_def_uom_pro_cost`, `tmp_uom_id_1`, `tmp_uom_rate_1`, `tmp_uom_barcode_1`, `tmp_uom_add_barcode_1`, `tmp_uom_price_1_1`, `tmp_uom_price_1_2`, `tmp_uom_price_1_3`, `tmp_uom_price_1_4`, `tmp_uom_id_2`, `tmp_uom_rate_2`, `tmp_uom_barcode_2`, `tmp_uom_add_barcode_2`, `tmp_uom_price_2_1`, `tmp_uom_price_2_2`, `tmp_uom_price_2_3`, `tmp_uom_price_2_4`, `tmp_uom_id_3`, `tmp_uom_rate_3`, `tmp_uom_barcode_3`, `tmp_uom_add_barcode_3`, `tmp_uom_price_3_1`, `tmp_uom_price_3_2`, `tmp_uom_price_3_3`, `tmp_uom_price_3_4`, `tmp_pro_exist_id`, `tmp_pro_insert_id`, `tmp_is_error`, `tmp_error_text`) VALUES
(1, '12342343432', 'data test import printeer', 1, 0, 0, 0, 0, 1, 1, '12342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, ''),
(2, '12dds342343432', 'data test impodsrt printeer', 1, 0, 0, 0, 0, 1, 1, '12dds342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1534504828.150705.802487551143`
--

CREATE TABLE `tmp_product_import_1534504828.150705.802487551143` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_printer_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tmp_product_import_1534504828.150705.802487551143`
--

INSERT INTO `tmp_product_import_1534504828.150705.802487551143` (`tmp_excel_row_no`, `tmp_pro_code`, `tmp_pro_name`, `tmp_cat_id`, `tmp_printer_id`, `tmp_vat_per`, `tmp_def_uom_pro_qty`, `tmp_def_uom_pro_cost`, `tmp_uom_id_1`, `tmp_uom_rate_1`, `tmp_uom_barcode_1`, `tmp_uom_add_barcode_1`, `tmp_uom_price_1_1`, `tmp_uom_price_1_2`, `tmp_uom_price_1_3`, `tmp_uom_price_1_4`, `tmp_uom_id_2`, `tmp_uom_rate_2`, `tmp_uom_barcode_2`, `tmp_uom_add_barcode_2`, `tmp_uom_price_2_1`, `tmp_uom_price_2_2`, `tmp_uom_price_2_3`, `tmp_uom_price_2_4`, `tmp_uom_id_3`, `tmp_uom_rate_3`, `tmp_uom_barcode_3`, `tmp_uom_add_barcode_3`, `tmp_uom_price_3_1`, `tmp_uom_price_3_2`, `tmp_uom_price_3_3`, `tmp_uom_price_3_4`, `tmp_pro_exist_id`, `tmp_pro_insert_id`, `tmp_is_error`, `tmp_error_text`) VALUES
(1, '12342343432', 'data test import printeer', 1, 0, 0, 0, 0, 1, 1, '12342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, ''),
(2, '12dds342343432', 'data test impodsrt printeer', 1, 0, 3, 0, 0, 1, 1, '12dds342343432', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, NULL, NULL, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617020181.7169071.70691111826`
--

CREATE TABLE `tmp_product_import_1617020181.7169071.70691111826` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617020588.045101421107588.065`
--

CREATE TABLE `tmp_product_import_1617020588.045101421107588.065` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617020597.254701167272574.950`
--

CREATE TABLE `tmp_product_import_1617020597.254701167272574.950` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617024579.05032070340651.9715`
--

CREATE TABLE `tmp_product_import_1617024579.05032070340651.9715` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617184217.5232125.81273241176`
--

CREATE TABLE `tmp_product_import_1617184217.5232125.81273241176` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617184482.36331743338164.6281`
--

CREATE TABLE `tmp_product_import_1617184482.36331743338164.6281` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1617185563.88929871526318158.6`
--

CREATE TABLE `tmp_product_import_1617185563.88929871526318158.6` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1620026242.1607.12062602472610`
--

CREATE TABLE `tmp_product_import_1620026242.1607.12062602472610` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1620026536.03452502360.6653401`
--

CREATE TABLE `tmp_product_import_1620026536.03452502360.6653401` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_product_import_1620026541.53884.0180225536861`
--

CREATE TABLE `tmp_product_import_1620026541.53884.0180225536861` (
  `tmp_excel_row_no` int(11) NOT NULL,
  `tmp_pro_code` varchar(100) NOT NULL,
  `tmp_pro_name` varchar(255) NOT NULL,
  `tmp_cat_id` int(11) NOT NULL,
  `tmp_vat_per` double DEFAULT '0',
  `tmp_printer_id` varchar(100) NOT NULL,
  `tmp_branch_id` varchar(100) NOT NULL,
  `tmp_brand_id` varchar(100) NOT NULL,
  `tmp_def_uom_pro_qty` double DEFAULT '0',
  `tmp_def_uom_pro_cost` double DEFAULT '0',
  `tmp_uom_id_1` int(11) NOT NULL,
  `tmp_uom_rate_1` double DEFAULT '0',
  `tmp_uom_barcode_1` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_1` text NOT NULL,
  `tmp_uom_price_1_1` double DEFAULT '0',
  `tmp_uom_price_1_2` double DEFAULT '0',
  `tmp_uom_price_1_3` double DEFAULT '0',
  `tmp_uom_price_1_4` double DEFAULT '0',
  `tmp_uom_id_2` int(11) NOT NULL,
  `tmp_uom_rate_2` double DEFAULT '0',
  `tmp_uom_barcode_2` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_2` text NOT NULL,
  `tmp_uom_price_2_1` double DEFAULT '0',
  `tmp_uom_price_2_2` double DEFAULT '0',
  `tmp_uom_price_2_3` double DEFAULT '0',
  `tmp_uom_price_2_4` double DEFAULT '0',
  `tmp_uom_id_3` int(11) NOT NULL,
  `tmp_uom_rate_3` double DEFAULT '0',
  `tmp_uom_barcode_3` varchar(255) NOT NULL DEFAULT '',
  `tmp_uom_add_barcode_3` text NOT NULL,
  `tmp_uom_price_3_1` double DEFAULT '0',
  `tmp_uom_price_3_2` double DEFAULT '0',
  `tmp_uom_price_3_3` double DEFAULT '0',
  `tmp_uom_price_3_4` double DEFAULT '0',
  `tmp_pro_exist_id` int(11) DEFAULT NULL,
  `tmp_pro_insert_id` int(11) DEFAULT NULL,
  `tmp_is_error` tinyint(4) DEFAULT '0',
  `tmp_error_text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stand-in structure for view `transactions_info`
-- (See below for the actual view)
--
CREATE TABLE `transactions_info` (
`is_actual` tinyint(1)
,`main_id` bigint(20)
,`main_type` varchar(50)
,`User_Name` varchar(45)
,`Transaction_ID` int(11)
,`Account_ID` bigint(20)
,`Account_Name` varchar(255)
,`JV_ID` int(11)
,`jv_nb` varchar(16)
,`Transaction_Reference` varchar(32)
,`user_ref` varchar(255)
,`Transaction_Account` varchar(255)
,`Transaction_Type` varchar(12)
,`Transaction_Amount` double
,`Currency_ID` int(11)
,`Transaction_Date` date
,`Transaction_Description` longtext
,`Logged_ID` int(11)
,`Exchange_Rate_ID` int(11)
,`Current_Ex_Rate` double
,`current_year_id` int(11)
,`Currency_Symbol` varchar(50)
,`branch_id` int(11)
,`branch_name` varchar(255)
,`job_id` int(11)
,`job_name` varchar(255)
,`subtype` varchar(255)
,`due_date` date
,`job_ids` text
,`job_required` tinyint(4)
,`second_currency_rate` double
,`local_amount` double
,`second_amount` double
,`check_nb` int(11)
,`trans_nb` varchar(266)
,`value_date` date
,`project_name` varchar(255)
,`project_id` int(11)
,`prefix` varchar(255)
,`salesman_id` int(11)
,`activity_id` int(11)
,`activity_code` varchar(250)
,`activity_title` text
,`acc_main_type` varchar(100)
,`acc_sub_type` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `transfered_items`
-- (See below for the actual view)
--
CREATE TABLE `transfered_items` (
`Product_ID` int(11)
,`Quantity` float
,`Date` date
,`From_To` varchar(22)
,`DepotFrom` varchar(50)
,`DepotTo` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `transfer_details_list`
-- (See below for the actual view)
--
CREATE TABLE `transfer_details_list` (
`Entry_ID` int(11)
,`Request_ID` int(11)
,`Product_ID` int(11)
,`Request_Qty` float
,`Request_UOM` int(11)
,`Current_Quantity` double
,`expiry_date` date
,`lot_nb` varchar(255)
,`serial_nb` varchar(255)
,`Product_Name` varchar(100)
,`UOM_Name` varchar(50)
,`Request_Date` varchar(50)
,`req_nb` varchar(31)
,`Request_From` int(11)
,`Request_To` int(11)
,`ticketing_id` int(11)
,`customer_id` int(11)
,`Status_ID` tinyint(4)
,`depot_from` varchar(50)
,`depot_to` varchar(50)
,`Customer_Name` varchar(100)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `transfer_jvs_list`
-- (See below for the actual view)
--
CREATE TABLE `transfer_jvs_list` (
`Transfer_ID` int(11)
,`Old_JV_ID` bigint(20)
,`New_JV_ID` bigint(20)
,`Transfer_Date` date
,`Transfer_Description` text
,`Logged_ID` int(11)
,`Employee_Name` varchar(302)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `uom_conversions`
-- (See below for the actual view)
--
CREATE TABLE `uom_conversions` (
`Product_Name` varchar(100)
,`Bar_Code` varchar(100)
,`additional_barcodes` text
,`uom_conversion_id` int(11)
,`uom_from` int(11)
,`conversion_amount` double
,`uom_to` int(11)
,`Product_ID` int(11)
,`is_default` tinyint(1)
,`from_name` varchar(50)
,`to_name` varchar(50)
,`is_expiry` tinyint(1)
,`is_lot` tinyint(4)
,`is_serial` tinyint(4)
,`is_service` tinyint(4)
);

-- --------------------------------------------------------

--
-- Table structure for table `users_items`
--

CREATE TABLE `users_items` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `status` enum('Added to cart','Confirmed') NOT NULL,
  `product_quantity` int(11) DEFAULT NULL,
  `product_name` varchar(30) DEFAULT NULL,
  `price` int(11) DEFAULT NULL,
  `Currency_Symbol` varchar(10) DEFAULT NULL,
  `Currency_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users_items`
--

INSERT INTO `users_items` (`id`, `user_id`, `item_id`, `status`, `product_quantity`, `product_name`, `price`, `Currency_Symbol`, `Currency_ID`) VALUES
(26, 1, 2, 'Confirmed', 3, 'test 2022', 1000, NULL, NULL),
(27, 1, 1, 'Confirmed', 3, 'test', 0, NULL, NULL),
(28, 1, 2, 'Confirmed', 15, 'test 2022', 0, NULL, NULL),
(31, 1, 2, 'Confirmed', 10, 'test 2022', 10500, 'L.L.', NULL),
(32, 1, 1, 'Confirmed', 10, 'test', 15000, 'L.L.', NULL),
(33, 1, 1, 'Confirmed', 10, 'test', 15000, '', NULL),
(35, 1, 1, 'Confirmed', 6, 'test', 0, '', NULL),
(36, 1, 1, 'Confirmed', 5, 'test', 15000, '', NULL),
(37, 1, 2, 'Confirmed', 10, 'test 2022', 10500, 'L.L.', NULL),
(38, 1, 1, 'Confirmed', 0, 'test', 15000, '', 0),
(39, 1, 2, 'Confirmed', 0, 'test 2022', 10500, 'L.L.', 84),
(40, 1, 2, 'Confirmed', 0, 'test 2022', 10500, 'L.L.', 84),
(41, 1, 2, 'Confirmed', 1, 'test 2022', 10500, 'L.L.', 84),
(43, 1, 2, 'Confirmed', 3, 'test 2022', 10500, 'L.L.', 84),
(44, 1, 2, 'Added to cart', 1, 'test 2022', 10500, 'L.L.', 84);

-- --------------------------------------------------------

--
-- Stand-in structure for view `user_accounting_accounts_name`
-- (See below for the actual view)
--
CREATE TABLE `user_accounting_accounts_name` (
`User_Account_ID` int(11)
,`User_ID` int(11)
,`Cash_Account` varchar(100)
,`Cash_Name` varchar(255)
,`Cash_Arabic_Name` varchar(255)
,`User_Name` varchar(45)
,`Status_ID` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `user_activities`
-- (See below for the actual view)
--
CREATE TABLE `user_activities` (
`number` varchar(31)
,`invoice_total` double
,`paid_amount` double
,`Name` varchar(100)
,`type` varchar(7)
,`Date` date
,`Logged_ID` int(11)
,`User_Name` varchar(45)
,`is_actual` tinyint(1)
,`Sales_ID` int(11)
,`branch_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `user_customers`
-- (See below for the actual view)
--
CREATE TABLE `user_customers` (
`Customer_ID` int(11)
,`Customer_Name` varchar(100)
,`Customer_Email` varchar(100)
,`Customer_Phone` varchar(50)
,`Customer_Work_Phone` varchar(50)
,`Customer_Mobile` varchar(50)
,`Customer_Company` varchar(50)
,`Customer_Country_ID` int(11)
,`Customer_City_ID` int(11)
,`Customer_Address` varchar(255)
,`Customer_Discount` int(11)
,`Customer_Limit_Balance` double
,`Currency_ID` int(11)
,`Customer_CR` varchar(11)
,`Class_ID` int(11)
,`Logged_ID` int(11)
,`Parent_ID` int(11)
,`Status_ID` tinyint(1)
,`stop_invoice` tinyint(1)
,`account_id_online` int(11)
,`customer_app_id` int(11)
,`app_user_id` int(11)
,`Customer_Lat` double
,`Customer_Lng` double
,`customer_due_date_period` double
,`user_customer_id` int(11)
,`user_id` int(11)
,`Account_Code` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `user_invoices`
-- (See below for the actual view)
--
CREATE TABLE `user_invoices` (
`id` varchar(31)
,`date_time` datetime
,`customer_name` varchar(200)
,`total` double
,`total_no_shipping` double
,`shipping` double
,`discount` double
,`type` varchar(7)
,`user` int(11)
,`currency` int(11)
,`Sales_ID` int(11)
,`is_actual` tinyint(1)
,`total_cash` double
,`total_cash_receipt` double
,`date_created` datetime
,`current_rate` double
,`class_id` int(11)
,`is_committed` tinyint(4)
,`branch_id` int(11)
,`Invoice_Status` tinyint(3)
,`inv_date` date
,`current_id` int(11)
,`User_Name` varchar(45)
,`pick_up_date` date
,`drop_off_date` date
,`shipping_status_id` tinyint(4)
,`created_logged_id` int(11)
,`shipping_company_id` int(11)
,`current_customer_id` int(11)
,`customer_branch_id` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vehicle_driver_list`
-- (See below for the actual view)
--
CREATE TABLE `vehicle_driver_list` (
`Vehicle_ID` int(11)
,`ID` int(11)
,`Vehicle_Registration_Number` varchar(50)
,`Vehicle_Oil_Change` varchar(15)
,`Vehicle_Type_Name` varchar(50)
,`Driver_Name` varchar(302)
,`Sales_Man_Name` varchar(302)
,`Zone_Name` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vehicle_expense_list`
-- (See below for the actual view)
--
CREATE TABLE `vehicle_expense_list` (
`Truck_Expense_ID` int(11)
,`Truck_ID` int(50)
,`Truck_Expense_Description` varchar(250)
,`Truck_Expense_Amount` varchar(63)
,`Expense_Amount` float
,`Currency_ID` int(11)
,`Truck_Expense_Date` date
,`Truck_Expense_Account` varchar(100)
,`Logged_ID` int(11)
,`Is_Hidden` tinyint(1)
,`vehicle_data` text
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vehicle_list`
-- (See below for the actual view)
--
CREATE TABLE `vehicle_list` (
`Vehicle_ID` int(11)
,`Vehicle_Type_Name` varchar(50)
,`Vehicle_Name` varchar(255)
,`Vehicle_Registration_Number` varchar(50)
,`Model_Name` varchar(50)
,`Vehicle_Oil_Change` varchar(15)
,`Vehicle_Milage` varchar(15)
,`Vehicle_Maintenance_Counter` varchar(15)
,`Vehicle_Maintenance_Period` varchar(53)
,`Vehicle_Maintenance_Status` tinyint(4)
,`employee` varchar(306)
,`driver_name` varchar(250)
,`driver_phone` varchar(250)
,`owner_name` varchar(250)
,`last_syndicate_date` year(4)
,`last_mecanique_year` year(4)
,`is_disabled` int(11)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vehicle_rents`
-- (See below for the actual view)
--
CREATE TABLE `vehicle_rents` (
`rent_id` int(11)
,`vehicle_id` int(11)
,`employee_id` int(11)
,`rent_date` date
,`rent_amount` double
,`currency_id` int(11)
,`current_rate` double
,`account_id` int(11)
,`created_logged_id` int(11)
,`Logged_ID` int(11)
,`date_created` datetime
,`date_time` datetime
,`Vehicle_Code` varchar(50)
,`Vehicle_Name` varchar(255)
,`rent_type_id` int(11)
,`Employee_Name` varchar(302)
,`Account_Name` varchar(255)
,`Account_Code` varchar(255)
,`Currency_Name` varchar(64)
,`Currency_Code` char(3)
,`Currency_Symbol` varchar(50)
,`rent_type_name` varchar(250)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vehicle_weighbridge_list`
-- (See below for the actual view)
--
CREATE TABLE `vehicle_weighbridge_list` (
`Amount` varchar(73)
,`Vehicle_Code` varchar(50)
,`Vehicle_Registration_Number` varchar(50)
,`Weighbridge_Amount` double
,`WeighBridge_Date` date
,`Is_Paid` tinyint(1)
,`Weighbridge_ID` int(11)
,`Currency_ID` int(11)
,`Weighbridge_Vehicle_ID` int(11)
,`Currency_Symbol` varchar(50)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vendor_return_list`
-- (See below for the actual view)
--
CREATE TABLE `vendor_return_list` (
`Return_Invoice_ID` int(11)
,`return_nb` int(11)
,`Is_Actual` tinyint(4)
,`Invoice_Purchase_ID` int(11)
,`Date` date
,`Total` varchar(73)
,`Note` longtext
,`ID` int(11)
,`Person_ID` int(11)
,`Name` varchar(100)
,`Is_Customer_Invoice` tinyint(1)
,`current_year_id` int(11)
,`NetTotal` varchar(70)
,`SubTotal` varchar(70)
,`VAT` varchar(70)
,`Due_Date` date
,`Country_ID` int(30)
,`exchange_id` int(11)
,`sales_purchase_id` int(11)
,`Sales_ID` int(11)
,`branch_id` int(11)
,`invoice_app_id` int(1)
,`is_main_transfer` tinyint(4)
,`disable_qty` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `viewemployeechild`
-- (See below for the actual view)
--
CREATE TABLE `viewemployeechild` (
`Entry_id` int(11)
,`Employee_ID` int(11)
,`Employee_Amount` double
,`currency_id` int(11)
,`note` text
,`Logged_ID` int(11)
,`Amount_Date` date
,`Currency_Symbol` varchar(50)
,`Currency_Name` varchar(64)
,`Number_Of_Children` int(11)
,`Employee_Name` varchar(302)
,`Is_Hidden` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_bonus`
-- (See below for the actual view)
--
CREATE TABLE `view_bonus` (
`is_paid` tinyint(4)
,`Deduction_ID` int(11)
,`Deduction_Description` varchar(100)
,`Deduction_Amount` double
,`Deduction_Date` date
,`Employee_ID` int(11)
,`Currency_ID` int(11)
,`Currency_Name` varchar(64)
,`Currency_Code` char(3)
,`Currency_Symbol` varchar(50)
,`Employee_Name` varchar(302)
,`is_actual` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_cash_drawer_accounts`
-- (See below for the actual view)
--
CREATE TABLE `view_cash_drawer_accounts` (
`cash_drawer_id` int(11)
,`cash_drawer_title` varchar(250)
,`cash_account_id` int(11)
,`branch_id` int(11)
,`account_name` text
,`branch_name` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_daily_overtime`
-- (See below for the actual view)
--
CREATE TABLE `view_daily_overtime` (
`Overtime_ID` int(11)
,`Overtime_Start_Time` varchar(100)
,`Overtime_End_Time` varchar(100)
,`Overtime_Duration` double
,`Employee_ID` int(11)
,`Overtime_Amount` double
,`OverTime_Date` date
,`Is_Holiday` tinyint(1)
,`Is_Paid` tinyint(1)
,`Logged_ID` int(11)
,`Currency_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Employee_Name` varchar(302)
,`Is_Hidden` tinyint(1)
,`is_actual` tinyint(1)
,`is_deduction` tinyint(1)
,`note` text
,`is_approved` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_dedcutions`
-- (See below for the actual view)
--
CREATE TABLE `view_dedcutions` (
`is_paid` tinyint(4)
,`Deduction_ID` int(11)
,`Deduction_Date` date
,`Deduction_Description` varchar(100)
,`Deduction_Amount` double
,`Currency_ID` int(11)
,`Employee_ID` int(11)
,`Currency_Symbol` varchar(50)
,`Employee_Name` varchar(302)
,`is_actual` tinyint(1)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_employees`
-- (See below for the actual view)
--
CREATE TABLE `view_employees` (
`Wife_Nationality` varchar(45)
,`Employee_Wife_Nationality` int(11)
,`Employee_Wife_SSNF` int(11)
,`Wife_Works` int(11)
,`Employee_Education` varchar(255)
,`Employee_Major` varchar(255)
,`Employee_Problem` text
,`Employee_Wife_Name` varchar(255)
,`Employee_Wife_DOB` date
,`Employee_Wife_Address` varchar(255)
,`Employee_Wife_Phone` varchar(255)
,`Employee_Wife_Problem` text
,`Employee_Wife_Work` varchar(255)
,`Paygrade_Name` varchar(45)
,`Employee_Location` int(11)
,`Location_Name` varchar(255)
,`Employee_Nationality` int(11)
,`Nationality_Name` varchar(45)
,`Employee_SocialSecurity_Date` date
,`Employee_RecordNumber` varchar(255)
,`Employee_ID` int(11)
,`Employee_FirstName` varchar(100)
,`Employee_MiddleName` varchar(100)
,`Employee_LastName` varchar(100)
,`Employee_SocialSecurity` varchar(50)
,`Employee_Lunch` float
,`Employee_IsSmoker` tinyint(1)
,`Employee_Gender` tinyint(3)
,`Employee_DOB` varchar(45)
,`IS_Employee` tinyint(1)
,`Employee_BloodGroup` int(11)
,`Employee_HomePhone` varchar(45)
,`Employee_MobilePhone` varchar(45)
,`Employee_Work_ID` varchar(45)
,`Employee_Email` varchar(100)
,`Employee_OtherEmail` varchar(45)
,`Merital_Status_ID` tinyint(1)
,`Employee_StartDate` date
,`Employee_StreetAddress1` varchar(100)
,`Employee_StreetAddress2` varchar(100)
,`Employee_City` varchar(45)
,`Employee_State` varchar(100)
,`Employee_Zip` varchar(100)
,`Employee_Country` int(11)
,`Branch_ID` int(11)
,`Paygrade_ID` int(11)
,`Employee_Transportation` float
,`Employee_Allownace` float
,`Employee_Phone_Recharge` float
,`Shift_ID` tinyint(4)
,`Logged_ID` int(11)
,`Status_ID` tinyint(1)
,`Parent_ID` int(11)
,`Is_Hidden` tinyint(1)
,`Employee_Name` varchar(302)
,`Shift_Name` varchar(255)
,`Gender_Name` varchar(7)
,`BloodType_Name` varchar(5)
,`Merital_Status_Name` varchar(12)
,`Name` char(35)
,`Country_Name` char(52)
,`Branch_Name` varchar(255)
,`Currency_ID` int(11)
,`Currency_Name` varchar(64)
,`Currency_Code` char(3)
,`Currency_Symbol` varchar(50)
,`Pay_Grade` varchar(119)
,`Paygrade_Value` double
,`Job_ID` int(11)
,`Job_Name` varchar(100)
,`is_nssf` tinyint(4)
,`nssf_salary` double
,`other_charges` double
,`basic_salary` double
,`basic_salary_currency` int(11)
,`basic_currency_name` varchar(64)
,`basic_currency_symbol` varchar(50)
,`period_name` varchar(255)
,`period_id` int(11)
,`unit_time` int(11)
,`pay_period` int(11)
,`shift_type` varchar(255)
,`shift_unit_time` int(11)
,`bank_name` varchar(255)
,`bank_id` int(11)
,`bank_account` varchar(255)
,`trans_unit_time` tinyint(4)
,`second_lang_name` varchar(255)
,`leave_date` date
,`bank_name_code` varchar(508)
,`leave_days_nb` int(11)
,`holiday_nb` int(11)
,`previous_days_nb` int(11)
,`remaining_days` int(11)
,`holiday_is_fixed` tinyint(4)
,`fingerprint_code` varchar(255)
,`shift_note` varchar(255)
,`location_address` varchar(255)
,`employee_level` int(11)
,`absence_type` int(11)
,`emp_charge1` double
,`emp_charge2` double
,`emp_charge3` double
,`emp_charge4` double
,`stop_housing_payroll` tinyint(4)
,`early_payroll` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_loans`
-- (See below for the actual view)
--
CREATE TABLE `view_loans` (
`Loan_ID` int(11)
,`Loan_Description` varchar(200)
,`Loan_Amount` double
,`Loan_Repayment_Start` date
,`Loan_Repayment_End` date
,`Loan_Repayment_Amount` double
,`Loan_Date` date
,`Employee_ID` int(11)
,`Currency_ID` int(11)
,`Logged_ID` int(11)
,`Payment_ID` int(11)
,`Payment_Amount` double
,`Account_Code` varchar(255)
,`Currency_Code` char(3)
,`Currency_Name` varchar(64)
,`Currency_Symbol` varchar(50)
,`Employee_Name` varchar(302)
,`is_actual` tinyint(1)
,`is_approved` int(11)
,`current_rate` double
,`second_currency_rate` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_piece_payment`
-- (See below for the actual view)
--
CREATE TABLE `view_piece_payment` (
`from_to_date` varchar(21)
,`from_date` date
,`to_date` date
,`branch_id` int(11)
,`current_year_id` int(11)
,`is_actual` tinyint(4)
,`entery_id` int(11)
,`employee_id` int(11)
,`employee_full_name` varchar(201)
,`amount` double
,`paid_amount` double
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_piece_service`
-- (See below for the actual view)
--
CREATE TABLE `view_piece_service` (
`piece_service_id` int(11)
,`piece_service_name` varchar(250)
,`piece_service_price` double
,`currency_id` int(11)
,`currency` varchar(117)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_roles`
-- (See below for the actual view)
--
CREATE TABLE `view_roles` (
`Role_ID` int(11)
,`Role_Name` varchar(45)
,`Status_ID` tinyint(4)
,`Logged_ID` int(11)
,`Parent_ID` int(11)
,`parent_role_name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_roles_permissions`
-- (See below for the actual view)
--
CREATE TABLE `view_roles_permissions` (
`Role_ID` int(11)
,`Role_Name` varchar(45)
,`Status_ID` tinyint(4)
,`Permission_ID` int(11)
,`Permission_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_shifts`
-- (See below for the actual view)
--
CREATE TABLE `view_shifts` (
`Shift_ID` int(11)
,`Shift_Name` varchar(255)
,`Shift_From` varchar(100)
,`Shift_To` varchar(100)
,`Working_Day_ID` text
,`Shift_Duration` varchar(100)
,`Status_ID` tinyint(1)
,`Parent_ID` int(11)
,`Logged_ID` int(11)
,`Working_Day_Name` varchar(12)
,`shift_type` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_users`
-- (See below for the actual view)
--
CREATE TABLE `view_users` (
`is_admin` tinyint(1)
,`is_actual_user` int(11)
,`control_role_id` varchar(255)
,`Is_Logged` tinyint(4)
,`limit_customer_invoice` tinyint(1)
,`User_ID` int(11)
,`Role_ID` varchar(255)
,`User_Name` varchar(45)
,`User_Password` varchar(100)
,`Status_ID` tinyint(1)
,`user_email` varchar(200)
,`user_mobile_phone` varchar(200)
,`Role_Name` text
,`Employee_ID` int(11)
,`Is_Hidden` tinyint(1)
,`Employee_Name` varchar(302)
,`Branch_ID` int(11)
,`Employee_Email` varchar(100)
,`User_Full_Name` varchar(250)
,`landing_id` int(11)
,`landing_name` varchar(255)
,`landing_url` varchar(255)
,`limited_access` tinyint(4)
,`login_at` int(11)
,`login_device` tinyint(4)
,`is_app` tinyint(1)
,`json_data` text
,`stop_multi_login` tinyint(1)
,`u_user_shifts_id` int(11)
,`Shift_Name` varchar(30)
,`Working_Day_ID` text
,`shift_type` varchar(30)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_user_shifts`
-- (See below for the actual view)
--
CREATE TABLE `view_user_shifts` (
`Shift_ID` int(11)
,`Shift_Name` varchar(30)
,`Working_Day_ID` text
,`Logged_ID` int(11)
,`shift_type` varchar(30)
,`Working_Day_Name` varchar(12)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `view_volunteers`
-- (See below for the actual view)
--
CREATE TABLE `view_volunteers` (
`vlounteer_day_left` date
,`Volunteer_Name` text
,`volunteer_id` int(11)
,`Volunteer_FirstName` varchar(255)
,`Volunteer_MiddleName` varchar(255)
,`Volunteer_LastName` varchar(255)
,`Volunteer_Gender` int(11)
,`Volunteer_DOB` date
,`Volunteer_RecordNumber` varchar(255)
,`Volunteer_BloodGroup` int(11)
,`Volunteer_HomePhone` varchar(255)
,`Volunteer_MobilePhone` varchar(255)
,`Volunteer_Work_ID` varchar(255)
,`Volunteer_Email` varchar(255)
,`Merital_Status_ID` int(11)
,`Volunteer_StartDate` date
,`Volunteer_StreetAddress1` varchar(255)
,`Volunteer_City` int(11)
,`Volunteer_Country` int(11)
,`Volunteer_Nationality` int(11)
,`Volunteer_Major` varchar(255)
,`Volunteer_Education` varchar(255)
,`Volunteer_Problem` text
,`skills_id` varchar(255)
,`volunteer_notice_id` varchar(255)
,`volunteer_team_id` varchar(255)
,`working_hours` varchar(255)
,`logged_id` int(11)
,`Nationality_Name` varchar(45)
,`Country_Name` char(52)
,`Name` char(35)
,`Merital_Status_Name` varchar(12)
,`Blood_Group_Name` varchar(45)
,`Gender_Name` varchar(7)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `void_invoices`
-- (See below for the actual view)
--
CREATE TABLE `void_invoices` (
`Invoice_ID_Auto` int(11)
,`invoice_prefix_nb` varchar(34)
,`Customer_Name` varchar(100)
,`void_time` datetime
,`date_created` datetime
,`reason_title` varchar(250)
,`User_Name` varchar(45)
,`date_time` datetime
,`is_committed` tinyint(4)
,`invoice_type` tinyint(4)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `void_items`
-- (See below for the actual view)
--
CREATE TABLE `void_items` (
`Entery_ID` int(11)
,`Invoice_ID_Auto` int(11)
,`Product_ID` int(11)
,`Product_Total_Price` double
,`Item_Quantity_Current` double
,`UOM_ID` int(11)
,`product_description` varchar(255)
,`date_time` datetime
,`user_id` int(11)
,`invoice_prefix_nb` varchar(34)
,`UOM_Name` varchar(50)
,`Product_Name` varchar(100)
,`User_Name` varchar(45)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `web_api_users`
-- (See below for the actual view)
--
CREATE TABLE `web_api_users` (
`user_id` int(11)
,`title` varchar(255)
,`app_user_id` int(11)
,`class_id` int(11)
,`depot_id` int(11)
,`other_data` text
,`Depot_Name` varchar(50)
,`Depot_Code` varchar(50)
,`Class_Name` varchar(50)
,`username` varchar(45)
);

-- --------------------------------------------------------

--
-- Structure for view `accrued_list`
--
DROP TABLE IF EXISTS `accrued_list`;

CREATE  VIEW `accrued_list`  AS  select `p`.`Accrued_Expense_ID` AS `Accrued_Expense_ID`,concat(`c`.`Currency_Symbol`,' ',`p`.`Expected_Amount`) AS `Expected_Amount`,concat(`c`.`Currency_Symbol`,' ',`p`.`Real_Amount`) AS `Real_Amount`,`p`.`Description` AS `Description`,`p`.`Start_Date` AS `Start_Date`,`p`.`End_Date` AS `End_Date`,`a`.`Account_Name` AS `Expense_Code`,`pa`.`Account_Name` AS `Accrued_Code`,`s`.`Supplier_Name` AS `Supplier_Name`,`c`.`Currency_Symbol` AS `Currency_Symbol`,if((`p`.`Real_Amount` > 0),1,0) AS `Status_ID`,`p`.`Is_Actual` AS `Is_Actual`,`p`.`current_year_id` AS `current_year_id` from ((((`tbl_accounting_accrued_expenses` `p` left join `tbl_chart_of_accounts` `a` on((`a`.`Account_ID` = `p`.`Account_ID`))) left join `tbl_chart_of_accounts` `pa` on((`pa`.`Account_ID` = `p`.`Accrued_Account_ID`))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `p`.`Supplier_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `p`.`Currency_ID`))) where (`p`.`Status_ID` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `activity_tree_list`
--
DROP TABLE IF EXISTS `activity_tree_list`;

CREATE  VIEW `activity_tree_list`  AS  select `act_tree`.`activity_id` AS `activity_id`,`act_tree`.`activity_code` AS `activity_code`,`act_tree`.`activity_title` AS `activity_title`,`act_tree`.`activity_title_alias` AS `activity_title_alias`,`act_tree`.`parent_id` AS `parent_id`,`act_tree`.`account_id` AS `account_id`,`act_tree`.`is_final` AS `is_final`,`act_tree`.`date_created` AS `date_created`,`act_tree`.`created_logged_id` AS `created_logged_id`,`act_tree`.`date_modified` AS `date_modified`,`act_tree`.`modified_by` AS `modified_by`,`accounts`.`Account_Name` AS `Account_Name`,`parent`.`activity_title` AS `parent_name` from ((`tbl_activity_tree` `act_tree` left join `tbl_chart_of_accounts` `accounts` on((`accounts`.`Account_ID` = `act_tree`.`account_id`))) left join `tbl_activity_tree` `parent` on((`parent`.`activity_id` = `act_tree`.`parent_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `add_ons_details_list`
--
DROP TABLE IF EXISTS `add_ons_details_list`;

CREATE  VIEW `add_ons_details_list`  AS  select `add_ons`.`add_ons_title` AS `add_ons_title`,`details`.`add_ons_details_id` AS `add_ons_details_id`,`details`.`add_ons_details_title` AS `add_ons_details_title`,`details`.`add_ons_id` AS `add_ons_id` from (`tbl_add_ons_details` `details` join `tbl_add_ons` `add_ons` on((`details`.`add_ons_id` = `add_ons`.`add_ons_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `advance_payment_list`
--
DROP TABLE IF EXISTS `advance_payment_list`;

CREATE  VIEW `advance_payment_list`  AS  select `advance_payments`.`Advance_Payment_ID` AS `Advance_Payment_ID`,`advance_payments`.`Advance_Payment_Date` AS `Advance_Payment_Date`,`advance_payments`.`Advance_Payment_Amount` AS `Advance_Payment_Amount`,`advance_payments`.`Advance_Payment_Description` AS `Advance_Payment_Description`,`advance_payments`.`Employee_ID` AS `Employee_ID`,`advance_payments`.`Currency_ID` AS `Currency_ID`,`advance_payments`.`Payment_ID` AS `Payment_ID`,`advance_payments`.`Logged_ID` AS `Logged_ID`,`advance_payments`.`is_paid` AS `is_paid`,`advance_payments`.`is_actual` AS `is_actual`,`advance_payments`.`current_rate` AS `current_rate`,concat_ws(' ',`emp`.`Employee_FirstName`,`emp`.`Employee_LastName`) AS `employee_name`,`emp`.`bank_id` AS `bank_id`,`banks`.`bank_name` AS `bank_name`,`banks`.`bank_branch` AS `bank_branch`,`emp`.`bank_account` AS `bank_account`,`emp`.`is_nssf` AS `is_nssf`,`emp`.`Branch_ID` AS `Branch_ID`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,concat_ws(' - ',`banks`.`bank_name`,`banks`.`bank_code`) AS `bank_name_code`,`advance_payments`.`is_approved` AS `is_approved`,`advance_payments`.`second_currency_rate` AS `second_currency_rate` from (((`tbl_hrm_advance_payments` `advance_payments` join `tbl_hrm_employee` `emp` on((`advance_payments`.`Employee_ID` = `emp`.`Employee_ID`))) join `tbl_common_currency` `currency` on((`advance_payments`.`Currency_ID` = `currency`.`Currency_ID`))) left join `tbl_employee_banks` `banks` on((`emp`.`bank_id` = `banks`.`bank_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `all_activities`
--
DROP TABLE IF EXISTS `all_activities`;

CREATE  VIEW `all_activities`  AS  select `act`.`activity_id` AS `id`,`act`.`activity_title` AS `title`,`act`.`start_date` AS `start`,`act`.`end_date` AS `end`,`act`.`activity_notes` AS `activity_notes`,`act`.`activity_type_id` AS `activity_type_id`,`act`.`organization_id` AS `organization_id`,`act`.`contact_id` AS `contact_id`,`act`.`deal_id` AS `deal_id`,`act`.`activity_duration` AS `activity_duration`,`act`.`activity_checked` AS `activity_checked`,`act`.`activity_created_at` AS `activity_created_at`,`act`.`activity_checked_at` AS `activity_checked_at`,`deals`.`deal_title` AS `deal_title`,`cts`.`contact_name` AS `contact_name`,`org`.`organization_name` AS `organization_name`,`org`.`organization_customer_name` AS `organization_customer_name`,`type`.`activity_type_title` AS `activity_type_title`,`act`.`action_type_id` AS `action_type_id`,if(isnull(`act`.`action_type_id`),'',if((`act`.`action_type_id` = 1),'reorder',if((`act`.`action_type_id` = 2),'no_need','call_again'))) AS `action_type_name` from ((((`tbl_deals_activity` `act` join `tbl_activity_type` `type` on((`act`.`activity_type_id` = `type`.`activity_type_id`))) left join `tbl_customer_organization` `org` on((`act`.`organization_id` = `org`.`organization_id`))) left join `tbl_contacts` `cts` on((`act`.`contact_id` = `cts`.`contact_id`))) left join `tbl_deals` `deals` on((`act`.`deal_id` = `deals`.`deal_id`))) order by `act`.`activity_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `all_contacts`
--
DROP TABLE IF EXISTS `all_contacts`;

CREATE  VIEW `all_contacts`  AS  select `ct`.`contact_id` AS `contact_id`,`ct`.`contact_name` AS `contact_name`,`ct`.`contact_work_phone` AS `contact_work_phone`,`ct`.`contact_mobile_phone` AS `contact_mobile_phone`,`ct`.`contact_email` AS `contact_email`,`ct`.`organization_id` AS `organization_id`,`ct`.`is_primary` AS `is_primary`,`ct`.`created_by` AS `created_by`,`ct`.`date_created` AS `date_created`,`ct`.`modified_by` AS `modified_by`,`ct`.`last_modified` AS `last_modified`,`org`.`organization_name` AS `organization_name`,`org`.`organization_customer_name` AS `organization_customer_name`,`org`.`organization_address` AS `organization_address`,`org`.`orgaization_mobile_phone` AS `orgaization_mobile_phone`,`org`.`is_potiential` AS `is_potiential` from (`tbl_contacts` `ct` join `tbl_customer_organization` `org` on((`ct`.`organization_id` = `org`.`organization_id`))) order by `ct`.`last_modified` desc ;

-- --------------------------------------------------------

--
-- Structure for view `all_deals`
--
DROP TABLE IF EXISTS `all_deals`;

CREATE  VIEW `all_deals`  AS  select `deal`.`deal_id` AS `deal_id`,`deal`.`deal_title` AS `deal_title`,`deal`.`deal_date` AS `deal_date`,`deal`.`deal_state` AS `deal_state`,`deal`.`stage_id` AS `stage_id`,`deal`.`contact_id` AS `contact_id`,`deal`.`deal_value` AS `deal_value`,`deal`.`currency_id` AS `currency_id`,`deal`.`deal_open` AS `deal_open`,`deal`.`progress_id` AS `progress_id`,`deal`.`order_id` AS `order_id`,`deal`.`reason_for_loss` AS `reason_for_loss`,`deal`.`created_by` AS `created_by`,`deal`.`date_created` AS `date_created`,`deal`.`modified_by` AS `modified_by`,`deal`.`last_modified` AS `last_modified`,`stage`.`stage_title` AS `stage_title`,`contact`.`contact_name` AS `contact_name`,`contact`.`contact_mobile_phone` AS `contact_mobile_phone`,`contact`.`contact_work_phone` AS `contact_work_phone`,`contact`.`contact_email` AS `contact_email`,`org`.`organization_id` AS `organization_id`,`org`.`organization_name` AS `organization_name`,`org`.`organization_customer_name` AS `organization_customer_name`,`org`.`organization_address` AS `organization_address`,`org`.`is_moved` AS `is_moved`,`cur`.`Currency_Name` AS `Currency_Name`,`users`.`User_Name` AS `User_Name`,`deal`.`Cat_ID` AS `Cat_ID`,concat(`contact`.`contact_name`,' - ',`org`.`organization_customer_name`) AS `cont_org`,`deal`.`date_last_contacted` AS `date_last_contacted`,`org`.`orgaization_mobile_phone` AS `orgaization_mobile_phone`,`cur`.`Currency_Symbol` AS `Currency_Symbol`,`deal`.`deal_probability` AS `deal_probability`,`org`.`is_potiential` AS `is_potiential` from (((((`tbl_deals` `deal` join `tbl_deals_stage` `stage` on((`deal`.`stage_id` = `stage`.`stage_id`))) join `tbl_contacts` `contact` on((`deal`.`contact_id` = `contact`.`contact_id`))) join `tbl_customer_organization` `org` on((`contact`.`organization_id` = `org`.`organization_id`))) left join `tbl_common_currency` `cur` on((`deal`.`currency_id` = `cur`.`Currency_ID`))) left join `tbl_common_users` `users` on((`users`.`User_ID` = `deal`.`created_by`))) order by `deal`.`date_last_contacted` desc ;

-- --------------------------------------------------------

--
-- Structure for view `all_logs`
--
DROP TABLE IF EXISTS `all_logs`;

CREATE  VIEW `all_logs`  AS  select `log`.`log_id` AS `log_id`,`log`.`deal_id` AS `deal_id`,`log`.`old_stage_id` AS `old_stage_id`,`log`.`new_stage_id` AS `new_stage_id`,`log`.`log_date` AS `log_date`,`deals`.`deal_title` AS `deal_title`,`old`.`stage_title` AS `old_stage`,`new`.`stage_title` AS `new_stage`,`org`.`organization_id` AS `organization_id`,`cts`.`contact_id` AS `contact_id` from (((((`tbl_deals_log` `log` left join `tbl_deals` `deals` on((`log`.`deal_id` = `deals`.`deal_id`))) left join `tbl_contacts` `cts` on((`deals`.`contact_id` = `cts`.`contact_id`))) left join `tbl_customer_organization` `org` on((`cts`.`organization_id` = `org`.`organization_id`))) left join `tbl_deals_stage` `old` on((`log`.`old_stage_id` = `old`.`stage_id`))) left join `tbl_deals_stage` `new` on((`log`.`new_stage_id` = `new`.`stage_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `all_notes`
--
DROP TABLE IF EXISTS `all_notes`;

CREATE  VIEW `all_notes`  AS  select `notes`.`note_id` AS `note_id`,`notes`.`note_content` AS `note_content`,`notes`.`deal_id` AS `deal_id`,`notes`.`organization_id` AS `organization_id`,`notes`.`contact_id` AS `contact_id`,`notes`.`note_date` AS `note_date`,`deals`.`deal_title` AS `current_deal`,`deal_cts`.`contact_name` AS `deal_contact`,`cts`.`contact_name` AS `note_contact` from (((`tbl_deals_notes` `notes` left join `tbl_deals` `deals` on((`notes`.`deal_id` = `deals`.`deal_id`))) left join `tbl_contacts` `deal_cts` on((`deals`.`contact_id` = `deal_cts`.`contact_id`))) left join `tbl_contacts` `cts` on((`notes`.`contact_id` = `cts`.`contact_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `all_organizations`
--
DROP TABLE IF EXISTS `all_organizations`;

CREATE  VIEW `all_organizations`  AS  select `org`.`job_description` AS `job_description`,`org`.`organization_id` AS `organization_id`,`org`.`organization_name` AS `organization_name`,`org`.`organization_email` AS `organization_email`,`org`.`organization_customer_name` AS `organization_customer_name`,`org`.`orgaization_work_phone` AS `orgaization_work_phone`,`org`.`orgaization_mobile_phone` AS `orgaization_mobile_phone`,`org`.`city_id` AS `city_id`,`org`.`organization_address` AS `organization_address`,`org`.`start_date` AS `start_date`,`org`.`is_moved` AS `is_moved`,`org`.`created_by` AS `created_by`,`org`.`date_created` AS `date_created`,`org`.`modified_by` AS `modified_by`,`org`.`last_modified` AS `last_modified`,`ctry`.`Country_Name` AS `Country_Name`,`city`.`Name` AS `Name`,`ctry`.`Country_ID` AS `Country_ID`,`org`.`organization_longitude` AS `organization_longitude`,`org`.`organization_latitude` AS `organization_latitude`,`org`.`region_id` AS `region_id`,`regions`.`region_name` AS `region_name`,`org`.`organization_group_id` AS `organization_group_id`,`groups`.`group_name` AS `group_name`,`org`.`is_contacted` AS `is_contacted`,`contacts`.`contact_name` AS `contact_name`,`contacts`.`contact_mobile_phone` AS `contact_mobile_phone`,`org`.`is_potiential` AS `is_potiential` from (((((`tbl_customer_organization` `org` join `tbl_all_cities` `city` on((`org`.`city_id` = `city`.`ID`))) join `tbl_all_countries` `ctry` on((`city`.`CountryCode` = `ctry`.`Code`))) left join `tbl_regions` `regions` on((`org`.`region_id` = `regions`.`region_id`))) left join `tbl_general_groups` `groups` on((`groups`.`group_id` = `org`.`organization_group_id`))) left join `tbl_contacts` `contacts` on(((`contacts`.`organization_id` = `org`.`organization_id`) and (`contacts`.`is_primary` = 1)))) order by `org`.`last_modified`,`org`.`organization_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `all_state_logs`
--
DROP TABLE IF EXISTS `all_state_logs`;

CREATE  VIEW `all_state_logs`  AS  select `state_log`.`state_log_id` AS `state_log_id`,`state_log`.`deal_state` AS `deal_state`,`state_log`.`deal_id` AS `deal_id`,`state_log`.`state_log_date` AS `state_log_date`,`org`.`organization_id` AS `organization_id`,`deals`.`deal_title` AS `deal_title`,`cts`.`contact_id` AS `contact_id` from (((`tbl_deals_state_log` `state_log` left join `tbl_deals` `deals` on((`state_log`.`deal_id` = `deals`.`deal_id`))) left join `tbl_contacts` `cts` on((`deals`.`contact_id` = `cts`.`contact_id`))) left join `tbl_customer_organization` `org` on((`cts`.`organization_id` = `org`.`organization_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `answer_main_list`
--
DROP TABLE IF EXISTS `answer_main_list`;

CREATE  VIEW `answer_main_list`  AS  select `main`.`answer_main_id` AS `answer_main_id`,`main`.`schedule_id` AS `schedule_id`,`main`.`schedule_date` AS `schedule_date`,`main`.`date_created` AS `date_created`,`main`.`created_by` AS `created_by`,`main`.`modified_by` AS `modified_by`,`main`.`date_modified` AS `date_modified`,`checklist_schedule`.`schedule_title` AS `schedule_title`,`checklist`.`checklist_name` AS `checklist_name`,`checklist_schedule`.`Product_ID` AS `Product_ID`,`machines`.`Product_Name` AS `Product_Name`,`machines`.`section_id` AS `section_id`,`checklist_schedule`.`line_id` AS `line_id`,`line`.`line_name` AS `line_name`,concat_ws(' - ',`parts`.`Product_Name`,`product_parts`.`part_note`) AS `product_part_note`,concat_ws(' - ',`machines`.`Product_Name`,`machines_products`.`part_note`) AS `product_full_name`,`product_parts`.`part_id` AS `part_id` from (((((((`tbl_checklist_schedule_answer_main` `main` join `tbl_checklist_schedule` `checklist_schedule` on((`main`.`schedule_id` = `checklist_schedule`.`schedule_id`))) join `tbl_line` `line` on((`line`.`line_id` = `checklist_schedule`.`line_id`))) join `tbl_checklist` `checklist` on((`checklist_schedule`.`checklist_id` = `checklist`.`checklist_id`))) join `tbl_stock_products_parts` `machines_products` on((`checklist_schedule`.`Product_ID` = `machines_products`.`part_id`))) join `tbl_stock_products` `machines` on((`machines_products`.`part_product_id` = `machines`.`Product_ID`))) left join `tbl_stock_products_parts` `product_parts` on((`checklist_schedule`.`part_id` = `product_parts`.`part_id`))) left join `tbl_stock_products` `parts` on((`product_parts`.`part_product_id` = `parts`.`Product_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `app_files`
--
DROP TABLE IF EXISTS `app_files`;

CREATE  VIEW `app_files`  AS  select `f`.`file_id` AS `file_id`,`f`.`file_name` AS `file_name`,`f`.`date_time` AS `date_time`,`f`.`type_id` AS `type_id`,`t`.`type_name` AS `type_name`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `employee_name` from (((`tbl_app_file_main_data` `f` left join `tbl_app_file_types` `t` on((`t`.`type_id` = `f`.`type_id`))) left join `tbl_common_users` `u` on((`u`.`User_ID` = `f`.`Logged_ID`))) left join `tbl_hrm_employee` `e` on((`u`.`Employee_ID` = `e`.`Employee_ID`))) where (`f`.`status_id` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `app_temp_adjustments`
--
DROP TABLE IF EXISTS `app_temp_adjustments`;

CREATE  VIEW `app_temp_adjustments`  AS  select `m`.`file_id` AS `file_id`,`c`.`Bar_Code` AS `Bar_Code`,`p`.`Product_Name` AS `Product_Name`,`a`.`quantity` AS `quantity`,`u`.`UOM_Name` AS `UOM_Name`,`a`.`temp_id` AS `temp_id` from ((((`tbl_app_temp_adjustments` `a` left join `tbl_uom_conversions` `c` on(((`a`.`UOM_ID` = `c`.`uom_from`) and (`a`.`Product_ID` = `c`.`Product_ID`)))) left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `a`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `a`.`UOM_ID`))) left join `tbl_app_temp_main_adj` `m` on((`m`.`temp_main_id` = `a`.`temp_main_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `balance_accounts`
--
DROP TABLE IF EXISTS `balance_accounts`;

CREATE  VIEW `balance_accounts`  AS  select group_concat(concat(`balance_second`.`Currency_ID`,'#',`balance_second`.`result_t`) separator ';') AS `result`,`balance_second`.`Account_Code` AS `Account_Code`,`balance_second`.`Account_ID` AS `Account_ID`,`balance_second`.`main_id` AS `main_id`,`balance_second`.`main_type` AS `main_type`,`balance_second`.`sub_type` AS `sub_type` from `balance_second` group by `balance_second`.`Account_Code` ;

-- --------------------------------------------------------

--
-- Structure for view `balance_first`
--
DROP TABLE IF EXISTS `balance_first`;

CREATE  VIEW `balance_first`  AS  select sum(`t`.`Transaction_Amount`) AS `Credit`,(select 0) AS `Debit`,concat(`a`.`Account_Code`,`t`.`Currency_ID`) AS `unq`,`a`.`Account_Code` AS `Account_Code`,`t`.`Account_ID` AS `Account_ID`,`t`.`Currency_ID` AS `Currency_ID`,`a`.`main_id` AS `main_id`,`a`.`main_type` AS `main_type`,`a`.`sub_type` AS `sub_type` from (`tbl_accounting_transactions` `t` join `tbl_chart_of_accounts` `a` on((`a`.`Account_ID` = `t`.`Account_ID`))) where ((`t`.`Transaction_Type` = 'Credit') and (`t`.`current_year_id` = (select `tbl_common_current_year`.`current_year_id` from `tbl_common_current_year` where (`tbl_common_current_year`.`is_current` = 1)))) group by concat(`a`.`Account_Code`,`t`.`Currency_ID`) ;

-- --------------------------------------------------------

--
-- Structure for view `balance_second`
--
DROP TABLE IF EXISTS `balance_second`;

CREATE  VIEW `balance_second`  AS  select sum((`balance_first`.`Debit` - `balance_first`.`Credit`)) AS `result_t`,`balance_first`.`Account_Code` AS `Account_Code`,`balance_first`.`Account_ID` AS `Account_ID`,`balance_first`.`Currency_ID` AS `Currency_ID`,`balance_first`.`main_id` AS `main_id`,`balance_first`.`main_type` AS `main_type`,`balance_first`.`sub_type` AS `sub_type` from `balance_first` group by `balance_first`.`unq` ;

-- --------------------------------------------------------

--
-- Structure for view `bank_list`
--
DROP TABLE IF EXISTS `bank_list`;

CREATE  VIEW `bank_list`  AS  select `b`.`Bank_Account_ID` AS `Bank_Account_ID`,`b`.`Bank_Name` AS `Bank_Name`,`b`.`Bank_Account_Name` AS `Bank_Account_Name`,`b`.`Bank_Account_Number` AS `Bank_Account_Number`,`b`.`Credit_Card_Number` AS `Credit_Card_Number`,`c`.`Currency_Name` AS `Currency_Name` from (`tbl_accounting_bank_accounts` `b` left join `tbl_common_currency` `c` on((`b`.`Currency_ID` = `c`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `bone_type_list`
--
DROP TABLE IF EXISTS `bone_type_list`;

CREATE  VIEW `bone_type_list`  AS  select `bone`.`bone_type_id` AS `bone_type_id`,`bone`.`bone_type_name` AS `bone_type_name`,`bone`.`Account_ID` AS `Account_ID`,`bone`.`vat_account_id` AS `vat_account_id`,`accounts`.`Account_Name` AS `Account_Name`,`vat_accounts`.`Account_Name` AS `vat_account_name`,`bone`.`service_account_id` AS `service_account_id`,`service_accounts`.`Account_Name` AS `service_account_name` from (((`tbl_bone_type` `bone` join `tbl_chart_of_accounts` `accounts` on((`bone`.`Account_ID` = `accounts`.`Account_ID`))) join `tbl_chart_of_accounts` `vat_accounts` on((`bone`.`vat_account_id` = `vat_accounts`.`Account_ID`))) left join `tbl_chart_of_accounts` `service_accounts` on((`bone`.`service_account_id` = `service_accounts`.`Account_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `bone_type_service_list`
--
DROP TABLE IF EXISTS `bone_type_service_list`;

CREATE  VIEW `bone_type_service_list`  AS  select `bone_service`.`service_id` AS `service_id`,`bone_service`.`product_id` AS `product_id`,`bone_service`.`uom_id` AS `uom_id`,`bone_service`.`service_price` AS `service_price`,`bone_service`.`bone_type_id` AS `bone_type_id`,concat_ws(' - ',`products`.`Product_Name`,`products`.`Product_Code`,`uom`.`UOM_Name`) AS `current_product` from ((`tbl_bone_type_services` `bone_service` join `tbl_stock_products` `products` on((`products`.`Product_ID` = `bone_service`.`product_id`))) join `tbl_stock_uom` `uom` on((`uom`.`UOM_ID` = `bone_service`.`uom_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `cash_drawer_log`
--
DROP TABLE IF EXISTS `cash_drawer_log`;

CREATE  VIEW `cash_drawer_log`  AS  select `amounts`.`cash_drawer_amount_id` AS `cash_drawer_amount_id`,`amounts`.`login_system_amount` AS `login_system_amount`,`amounts`.`real_amount` AS `real_amount`,`amounts`.`cash_drawer_id` AS `cash_drawer_id`,`amounts`.`user_id` AS `user_id`,`amounts`.`login_date_time` AS `login_date_time`,`amounts`.`logout_system_amount` AS `logout_system_amount`,`amounts`.`withdrawal_amount` AS `withdrawal_amount`,`amounts`.`remaining_amount` AS `remaining_amount`,`amounts`.`logout_date_time` AS `logout_date_time`,`users`.`User_Name` AS `User_Name`,`cash_drawer`.`cash_drawer_title` AS `cash_drawer_title` from ((`tbl_cash_drawer_amount` `amounts` join `tbl_cash_drawer_accounts` `cash_drawer` on((`amounts`.`cash_drawer_id` = `cash_drawer`.`cash_drawer_id`))) join `tbl_common_users` `users` on((`amounts`.`user_id` = `users`.`User_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `checklist_schedule_list`
--
DROP TABLE IF EXISTS `checklist_schedule_list`;

CREATE  VIEW `checklist_schedule_list`  AS  select `schedule_c`.`schedule_id` AS `schedule_id`,`schedule_c`.`schedule_title` AS `schedule_title`,`schedule_c`.`schedule_start_date` AS `schedule_start_date`,`schedule_c`.`schedule_end_date` AS `schedule_end_date`,`schedule_c`.`checklist_id` AS `checklist_id`,`schedule_c`.`Product_ID` AS `Product_ID`,`schedule_c`.`part_id` AS `part_id`,`schedule_c`.`schedule_type_id` AS `schedule_type_id`,`schedule_c`.`schedule_repeat_id` AS `schedule_repeat_id`,`schedule_c`.`schedule_repeat_value` AS `schedule_repeat_value`,if((`schedule_c`.`schedule_type_id` = 1),'period','property') AS `schedule_type_name`,`property`.`property_name` AS `property_name`,`checklist`.`checklist_name` AS `checklist_name`,`machines`.`Product_Name` AS `product_name`,`parts`.`Product_Name` AS `part_name`,`schedule_c`.`last_run_date` AS `last_run_date`,`machines`.`section_id` AS `section_id`,`schedule_c`.`schedule_next_date` AS `schedule_next_date`,`schedule_c`.`property_value` AS `property_value`,`schedule_c`.`line_id` AS `line_id`,`line`.`line_name` AS `line_name`,concat_ws(' - ',`parts`.`Product_Name`,`product_parts`.`part_note`) AS `product_part_note`,concat_ws(' - ',`machines`.`Product_Name`,`machines_products`.`part_note`) AS `product_full_name` from (((((((`tbl_checklist_schedule` `schedule_c` join `tbl_checklist` `checklist` on((`schedule_c`.`checklist_id` = `checklist`.`checklist_id`))) join `tbl_line` `line` on((`line`.`line_id` = `schedule_c`.`line_id`))) join `tbl_stock_products_parts` `machines_products` on((`schedule_c`.`Product_ID` = `machines_products`.`part_id`))) join `tbl_stock_products` `machines` on((`machines_products`.`part_product_id` = `machines`.`Product_ID`))) left join `tbl_stock_products_parts` `product_parts` on((`schedule_c`.`part_id` = `product_parts`.`part_id`))) left join `tbl_stock_products` `parts` on((`product_parts`.`part_product_id` = `parts`.`Product_ID`))) left join `tbl_stock_product_properties` `property` on(((`property`.`property_id` = `schedule_c`.`schedule_repeat_id`) and (`schedule_c`.`schedule_type_id` = 2)))) ;

-- --------------------------------------------------------

--
-- Structure for view `check_up_list`
--
DROP TABLE IF EXISTS `check_up_list`;

CREATE  VIEW `check_up_list`  AS  select `c`.`Entry_ID` AS `Entry_ID`,`c`.`Vehicle_ID` AS `Vehicle_ID`,`c`.`check_out_date` AS `check_out_date`,`c`.`vehicle_mileage_out` AS `vehicle_mileage_out`,`c`.`check_out` AS `check_out`,`c`.`is_driver_side_out` AS `is_driver_side_out`,`c`.`is_passenger_side_out` AS `is_passenger_side_out`,`c`.`is_front_side_out` AS `is_front_side_out`,`c`.`is_back_side_out` AS `is_back_side_out`,`c`.`check_out_comment` AS `check_out_comment`,`c`.`check_in_date` AS `check_in_date`,`c`.`vehicle_mileage_in` AS `vehicle_mileage_in`,`c`.`check_in` AS `check_in`,`c`.`is_driver_side_in` AS `is_driver_side_in`,`c`.`is_passenger_side_in` AS `is_passenger_side_in`,`c`.`is_front_side_in` AS `is_front_side_in`,`c`.`is_back_side_in` AS `is_back_side_in`,`c`.`check_in_comment` AS `check_in_comment`,`c`.`Vehicle_Status_ID` AS `Vehicle_Status_ID`,concat_ws(' - ',`v`.`Vehicle_Code`,`v`.`Vehicle_Registration_Number`,`vtype`.`Vehicle_Type_Name`) AS `vehicle_name`,`v`.`Vehicle_Fuel_Consumption` AS `Vehicle_Fuel_Consumption`,`v`.`Vehicle_Name` AS `veh_name` from ((`tbl_garage_vehicle_checkup` `c` join `tbl_garage_vehicle` `v` on((`c`.`Vehicle_ID` = `v`.`Vehicle_ID`))) join `tbl_vehicle_type` `vtype` on((`vtype`.`Vehicle_Type_ID` = `v`.`Vehicle_Make_Name_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `consumption_list`
--
DROP TABLE IF EXISTS `consumption_list`;

CREATE  VIEW `consumption_list`  AS  select `consumption`.`consumption_auto_id` AS `consumption_auto_id`,`consumption`.`consumption_id` AS `consumption_id`,`consumption`.`consumption_prefix` AS `consumption_prefix`,`consumption`.`Customer_ID` AS `Customer_ID`,`consumption`.`consumption_date` AS `consumption_date`,`consumption`.`date_created` AS `date_created`,`consumption`.`Logged_ID` AS `Logged_ID`,`consumption`.`created_logged_id` AS `created_logged_id`,`consumption`.`Sales_ID` AS `Sales_ID`,`consumption`.`current_year_id` AS `current_year_id`,`consumption`.`date_time` AS `date_time`,`consumption`.`consumption_description` AS `consumption_description`,`consumption`.`depot_id` AS `depot_id`,`consumption`.`branch_id` AS `branch_id`,`consumption`.`is_actual` AS `is_actual`,`customers`.`Customer_Name` AS `Customer_Name` from (`tbl_consumption` `consumption` left join `tbl_customers` `customers` on((`customers`.`Customer_ID` = `consumption`.`Customer_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `contra_list`
--
DROP TABLE IF EXISTS `contra_list`;

CREATE  VIEW `contra_list`  AS  select `c`.`Contra_ID` AS `Contra_ID`,`f`.`Account_Name` AS `T_FROM`,`t`.`Account_Name` AS `T_TO`,concat(`cy`.`Currency_Symbol`,' ',`c`.`Transfer_Amount`) AS `Transfer_Amount`,concat(`ct`.`Currency_Symbol`,' ',`c`.`Transfered_Amount`) AS `Transfered_Amount`,`c`.`From_Currency` AS `From_Currency`,`c`.`To_Currency` AS `To_Currency`,`c`.`Contra_Date` AS `Contra_Date`,`c`.`Contra_Note` AS `Contra_Note`,`cy`.`Currency_Symbol` AS `Symbol_From`,`ct`.`Currency_Symbol` AS `Symbol_To`,`c`.`current_year_id` AS `current_year_id` from ((((`tbl_accounting_contra` `c` join `tbl_chart_of_accounts` `f` on((`c`.`From_Account_ID` = `f`.`Account_ID`))) join `tbl_chart_of_accounts` `t` on((`c`.`To_Account_ID` = `t`.`Account_ID`))) join `tbl_common_currency` `cy` on((`c`.`From_Currency` = `cy`.`Currency_ID`))) join `tbl_common_currency` `ct` on((`c`.`To_Currency` = `ct`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `credit_list`
--
DROP TABLE IF EXISTS `credit_list`;

CREATE  VIEW `credit_list`  AS  select `n`.`note_nb` AS `note_nb`,`n`.`Note_ID` AS `Note_ID`,`n`.`Supplier_Customer_ID` AS `Supplier_Customer_ID`,`n`.`Note_Date` AS `Note_Date`,`n`.`Currency_ID` AS `Currency_ID`,`n`.`branch_id` AS `branch_id`,`n`.`Note_Amount` AS `Note_Amount`,`n`.`Note_Description` AS `Note_Description`,`n`.`Is_Debit_Note` AS `Is_Debit_Note`,`n`.`Logged_ID` AS `Logged_ID`,concat(`c`.`Currency_Symbol`,' ',`n`.`Note_Amount`) AS `Note_Amount_Curr`,`ct`.`Customer_Name` AS `Name`,`n`.`is_actual` AS `is_actual`,`n`.`current_year_id` AS `current_year_id` from ((`tbl_accounting_debit_credit_note` `n` left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `n`.`Currency_ID`))) left join `tbl_customers` `ct` on((`ct`.`Customer_ID` = `n`.`Supplier_Customer_ID`))) where (`n`.`Is_Debit_Note` = 0) ;

-- --------------------------------------------------------

--
-- Structure for view `crm_contra_list`
--
DROP TABLE IF EXISTS `crm_contra_list`;

CREATE  VIEW `crm_contra_list`  AS  select `c`.`contra_id` AS `contra_id`,`c`.`customer_id` AS `customer_id`,`c`.`contra_nb` AS `contra_nb`,`c`.`contra_date` AS `contra_date`,`c`.`contra_amount` AS `contra_amount`,`c`.`currency_id` AS `currency_id`,`c`.`date_created` AS `date_created`,`c`.`date_time` AS `date_time`,`c`.`Logged_ID` AS `Logged_ID`,`c`.`created_logged_id` AS `created_logged_id`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`cust`.`Customer_Name` AS `Customer_Name` from ((`tbl_contra` `c` join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `c`.`customer_id`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `c`.`currency_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `customer_coupons_list`
--
DROP TABLE IF EXISTS `customer_coupons_list`;

CREATE  VIEW `customer_coupons_list`  AS  select `cust_coupon`.`auto_id` AS `auto_id`,`cust_coupon`.`customer_coupon_id` AS `customer_coupon_id`,`cust_coupon`.`customer_coupon_prefix` AS `customer_coupon_prefix`,`cust_coupon`.`Customer_ID` AS `Customer_ID`,`cust_coupon`.`invoice_date` AS `invoice_date`,`cust_coupon`.`Currency_ID` AS `Currency_ID`,`cust_coupon`.`total_vat` AS `total_vat`,`cust_coupon`.`sub_total` AS `sub_total`,`cust_coupon`.`net_total` AS `net_total`,`cust_coupon`.`paid_amount` AS `paid_amount`,`cust_coupon`.`date_created` AS `date_created`,`cust_coupon`.`date_time` AS `date_time`,`cust_coupon`.`created_logged_id` AS `created_logged_id`,`cust_coupon`.`logged_id` AS `logged_id`,`cust_coupon`.`current_year_id` AS `current_year_id`,`cust_coupon`.`description` AS `description`,`cust_coupon`.`depot_id` AS `depot_id`,`cust_coupon`.`branch_id` AS `branch_id`,`cust_coupon`.`current_rate` AS `current_rate`,`cust_coupon`.`class_id` AS `class_id`,`cust_coupon`.`bone_type_id` AS `bone_type_id`,`cust_coupon`.`is_actual` AS `is_actual`,`cust_coupon`.`job_id` AS `job_id`,concat_ws('',`cust_coupon`.`customer_coupon_prefix`,`cust_coupon`.`customer_coupon_id`) AS `ID`,concat_ws(' ',`cust_coupon`.`total_vat`,`currency`.`Currency_Symbol`) AS `TotalVat`,concat_ws(' ',`cust_coupon`.`sub_total`,`currency`.`Currency_Symbol`) AS `SubTotal`,concat_ws(' ',`cust_coupon`.`net_total`,`currency`.`Currency_Symbol`) AS `NetTotal`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,`customer`.`Customer_CR` AS `Customer_CR`,`customer`.`Customer_Name` AS `Customer_Name`,`customer`.`Customer_Mobile` AS `Customer_Mobile`,`customer`.`Customer_Phone` AS `Customer_Phone`,`customer`.`Customer_Address` AS `Customer_Address`,`bone_type`.`bone_type_name` AS `bone_type_name`,`cust_coupon`.`total_discount` AS `total_discount`,`cust_coupon`.`discount_percent` AS `discount_percent`,`cust_coupon`.`discount_amount` AS `discount_amount` from (((`tbl_customer_coupon` `cust_coupon` join `tbl_customers` `customer` on((`cust_coupon`.`Customer_ID` = `customer`.`Customer_ID`))) join `tbl_common_currency` `currency` on((`cust_coupon`.`Currency_ID` = `currency`.`Currency_ID`))) join `tbl_bone_type` `bone_type` on((`cust_coupon`.`bone_type_id` = `bone_type`.`bone_type_id`))) order by `cust_coupon`.`invoice_date` desc,`cust_coupon`.`customer_coupon_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `customer_invoice_distribution`
--
DROP TABLE IF EXISTS `customer_invoice_distribution`;

CREATE  VIEW `customer_invoice_distribution`  AS  select `c`.`Customer_Name` AS `Customer_Name`,(`i`.`Invoice_Net_Total` * `i`.`current_rate`) AS `invoice_total`,`i`.`Invoice_ID` AS `Invoice_ID`,`i`.`Customer_ID` AS `Customer_ID`,`i`.`current_year_id` AS `current_year_id`,`i`.`Invoice_Date` AS `Invoice_Date`,`i`.`is_actual` AS `is_actual`,`i`.`is_committed` AS `is_committed`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`branch_id` AS `branch_id`,`i`.`customer_branch_id` AS `customer_branch_id`,`c`.`customer_class_id` AS `customer_class_id`,`c`.`customer_group_id` AS `customer_group_id` from (`tbl_invoices` `i` join `tbl_customers` `c` on((`i`.`Customer_ID` = `c`.`Customer_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `customer_limit_balance`
--
DROP TABLE IF EXISTS `customer_limit_balance`;

CREATE  VIEW `customer_limit_balance`  AS  select `b`.`Account_Code` AS `Account_Code`,`b`.`result` AS `Balance`,`c`.`Customer_Name` AS `Customer_Name`,`c`.`Customer_Company` AS `Company`,`c`.`branch_id` AS `branch_id`,`c`.`Customer_Limit_Balance` AS `Limit_Balance`,`c`.`Currency_ID` AS `Limit_Currency_ID`,`s`.`Currency_Symbol` AS `Currency_Symbol`,`c`.`stop_invoice` AS `stop_invoice` from ((`balance_accounts` `b` join `tbl_customers` `c` on(((`c`.`Customer_ID` = `b`.`main_id`) and (`b`.`main_type` = 'cust') and (`b`.`sub_type` = 'main')))) left join `tbl_common_currency` `s` on((`c`.`Currency_ID` = `s`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `customer_list`
--
DROP TABLE IF EXISTS `customer_list`;

CREATE  VIEW `customer_list`  AS  select `c`.`Customer_ID` AS `ID`,`c`.`Customer_Code` AS `Customer_Code`,`c`.`Customer_Name` AS `Name`,`c`.`branch_id` AS `branch_id`,`c`.`Customer_Company` AS `Company`,`c`.`Customer_Mobile` AS `Customer_Mobile`,`c`.`Customer_Address` AS `Address`,`ca`.`Account_Code` AS `Account_Code`,`c`.`Status_ID` AS `Status_ID`,`sales`.`employee_id` AS `employee_id`,0 AS `balance` from (((`tbl_customers` `c` join `tbl_chart_of_accounts` `ca` on(((`ca`.`main_id` = `c`.`Customer_ID`) and (`ca`.`main_type` = 'cust') and (`ca`.`sub_type` = 'main')))) left join `tbl_common_currency` `cu` on((`c`.`Currency_ID` = `cu`.`Currency_ID`))) left join `tbl_salesman_customers` `sales` on((`c`.`Customer_ID` = `sales`.`customer_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `customer_list_with_balance`
--
DROP TABLE IF EXISTS `customer_list_with_balance`;

CREATE  VIEW `customer_list_with_balance`  AS  select `c`.`Customer_ID` AS `ID`,`c`.`Customer_Code` AS `Customer_Code`,`c`.`Customer_Name` AS `Name`,`c`.`Customer_Company` AS `Company`,`c`.`Customer_Mobile` AS `Customer_Mobile`,`c`.`Customer_Address` AS `Address`,`ca`.`Account_Code` AS `Account_Code`,`c`.`Status_ID` AS `Status_ID`,sum((`t`.`local_amount` * if((`t`.`Transaction_Type` = 'Debit'),1,-(1)))) AS `balance`,`t`.`current_year_id` AS `current_year_id` from (((`tbl_customers` `c` join `tbl_chart_of_accounts` `ca` on(((`ca`.`main_id` = `c`.`Customer_ID`) and (`ca`.`main_type` = 'cust') and (`ca`.`sub_type` = 'main')))) left join `tbl_common_currency` `cu` on((`c`.`Currency_ID` = `cu`.`Currency_ID`))) left join `tbl_accounting_transactions` `t` on((`t`.`Account_ID` = `ca`.`Account_ID`))) group by `t`.`Account_ID`,`t`.`current_year_id` ;

-- --------------------------------------------------------

--
-- Structure for view `customer_return_list`
--
DROP TABLE IF EXISTS `customer_return_list`;

CREATE  VIEW `customer_return_list`  AS  select `r`.`current_year_id` AS `current_year_id`,concat(`r`.`invoice_prefix`,`r`.`Return_ID`) AS `return_nb`,`r`.`Return_Invoice_ID` AS `Return_Invoice_ID`,`r`.`Is_Actual` AS `Is_Actual`,`r`.`Invoice_Purchase_ID` AS `Invoice_Purchase_ID`,`r`.`Return_Invoice_Date` AS `Date`,concat(`r`.`Return_Net_Total`,' ',`c`.`Currency_Symbol`) AS `Total`,`r`.`Return_Invoice_Note` AS `Note`,`i`.`Invoice_ID` AS `ID`,`cs`.`Customer_ID` AS `Person_ID`,`cs`.`Customer_Name` AS `Name`,`r`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,concat(round(`r`.`Return_Net_Total`,2),' ',`c`.`Currency_Symbol`) AS `NetTotal`,concat(round(`r`.`Return_Invoice_Total`,2),' ',`c`.`Currency_Symbol`) AS `SubTotal`,concat(round(`r`.`Invoice_VAT`,2),' ',`c`.`Currency_Symbol`) AS `VAT`,`r`.`Return_Invoice_Date` AS `Due_Date`,`cs`.`Customer_Country_ID` AS `Country_ID`,`i`.`is_committed` AS `is_committed`,`i`.`invoice_type` AS `invoice_type`,`r`.`date_created` AS `date_created`,concat(round(`r`.`Return_Paid_Total`,2),' ',`c`.`Currency_Symbol`) AS `Return_Paid_Total`,`r`.`Logged_ID` AS `Logged_ID`,`r`.`exchange_id` AS `exchange_id`,`r`.`sales_purchase_id` AS `sales_purchase_id`,`r`.`Sales_ID` AS `Sales_ID`,`r`.`branch_id` AS `branch_id`,`r`.`invoice_app_id` AS `invoice_app_id`,`r`.`is_main_transfer` AS `is_main_transfer`,round(`r`.`Return_Invoice_Total`,2) AS `current_net_total`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`r`.`disable_qty` AS `disable_qty` from (((`tbl_accounting_return_invoices` `r` left join `tbl_invoices` `i` on((`r`.`Invoice_Purchase_ID` = `i`.`Invoice_ID_Auto`))) join `tbl_common_currency` `c` on((`r`.`Currency_ID` = `c`.`Currency_ID`))) join `tbl_customers` `cs` on((`r`.`Person_ID` = `cs`.`Customer_ID`))) where (`r`.`Is_Customer_Invoice` = 1) order by `r`.`Return_Invoice_ID` desc ;

-- --------------------------------------------------------

--
-- Structure for view `customer_subscription_list`
--
DROP TABLE IF EXISTS `customer_subscription_list`;

CREATE  VIEW `customer_subscription_list`  AS  select `cust_sub`.`customer_subscription_id` AS `customer_subscription_id`,`cust_sub`.`subscription_id` AS `subscription_id`,`cust_sub`.`customer_id` AS `customer_id`,`cust_sub`.`start_date` AS `start_date`,`cust_sub`.`is_active` AS `is_active`,`cust_sub`.`note` AS `note`,`cust_sub`.`bill_depend` AS `bill_depend`,`subscription`.`subscription_name` AS `subscription_name`,`customers`.`Customer_Name` AS `Customer_Name`,`cust_sub`.`next_due_date` AS `next_due_date`,`cust_sub`.`customer_subscription_title` AS `customer_subscription_title`,`projects`.`project_code` AS `project_code`,`projects`.`project_name` AS `project_name`,`jobs`.`job_name` AS `job_name`,`jobs`.`job_code` AS `job_code`,`cust_sub`.`job_id` AS `job_id`,`cust_sub`.`project_id` AS `project_id`,`customers`.`Customer_Address` AS `Customer_Address`,`cust_sub`.`block_id` AS `block_id`,`blocks`.`block_name` AS `block_name` from (((((`tbl_customer_subscription` `cust_sub` join `tbl_subscription` `subscription` on((`cust_sub`.`subscription_id` = `subscription`.`subscription_id`))) join `tbl_customers` `customers` on((`customers`.`Customer_ID` = `cust_sub`.`customer_id`))) left join `tbl_accounting_jobs` `jobs` on((`jobs`.`job_id` = `cust_sub`.`job_id`))) left join `tbl_projects` `projects` on((`projects`.`project_id` = `cust_sub`.`project_id`))) left join `tbl_subscription_block` `blocks` on((`blocks`.`block_id` = `cust_sub`.`block_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `customer_subscription_setting_details`
--
DROP TABLE IF EXISTS `customer_subscription_setting_details`;

CREATE  VIEW `customer_subscription_setting_details`  AS  select `sub`.`subscription_name` AS `subscription_name`,`customers`.`Customer_Name` AS `Customer_Name`,`customers`.`Customer_ID` AS `Customer_ID`,`cust_sub`.`next_due_date` AS `next_due_date`,`cust_sub`.`customer_subscription_title` AS `customer_subscription_title`,`products`.`Product_Name` AS `Product_Name`,`uom`.`UOM_Name` AS `UOM_Name`,concat_ws(' - ',`products`.`Product_Name`,`uom`.`UOM_Name`) AS `product_uom`,`sub_details`.`detail_id` AS `detail_id`,`cust_sub`.`subscription_id` AS `subscription_id`,`cust_sub`.`customer_subscription_id` AS `customer_subscription_id`,`sub_details`.`depend_previous` AS `depend_previous`,`sub_details`.`type_id` AS `type_id`,`sub`.`period_unit` AS `period_unit`,`sub`.`is_active` AS `sub_active_flag`,`cust_sub`.`is_active` AS `cust_sub_active_flag`,`customers`.`Customer_Address` AS `Customer_Address`,concat_ws(' - ',`customers`.`Customer_Name`,`customers`.`Customer_Address`) AS `customer_name_address` from (((((`tbl_customer_subscription` `cust_sub` join `tbl_customers` `customers` on((`customers`.`Customer_ID` = `cust_sub`.`customer_id`))) join `tbl_subscription` `sub` on((`sub`.`subscription_id` = `cust_sub`.`subscription_id`))) join `tbl_subscription_details` `sub_details` on((`sub_details`.`subscription_id` = `sub`.`subscription_id`))) join `tbl_stock_products` `products` on((`products`.`Product_ID` = `sub_details`.`product_id`))) join `tbl_stock_uom` `uom` on((`uom`.`UOM_ID` = `sub_details`.`uom_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `customer_supplier_contacts`
--
DROP TABLE IF EXISTS `customer_supplier_contacts`;

CREATE  VIEW `customer_supplier_contacts`  AS  select concat(`tbl_customers`.`Customer_ID`,'',1) AS `mykey`,`tbl_customers`.`Customer_ID` AS `id`,0 AS `contact_id`,`tbl_customers`.`Customer_Name` AS `main_name`,'' AS `name`,`tbl_customers`.`Customer_Mobile` AS `phone`,'' AS `contact_note`,`tbl_customers`.`branch_id` AS `branch_id` from `tbl_customers` union all select concat(`tbl_stock_suppliers`.`Supplier_ID`,'',1) AS `mykey`,`tbl_stock_suppliers`.`Supplier_ID` AS `id`,0 AS `contact_id`,`tbl_stock_suppliers`.`Supplier_Name` AS `main_name`,'' AS `name`,`tbl_stock_suppliers`.`Supplier_Mobile` AS `phone`,'' AS `contact_note`,`tbl_stock_suppliers`.`branch_id` AS `branch_id` from `tbl_stock_suppliers` ;

-- --------------------------------------------------------

--
-- Structure for view `customer_visits`
--
DROP TABLE IF EXISTS `customer_visits`;

CREATE  VIEW `customer_visits`  AS  select `v`.`visit_id` AS `visit_id`,`v`.`customer_id` AS `customer_id`,`v`.`longitude` AS `longitude`,`v`.`latitude` AS `latitude`,`v`.`date` AS `date`,`v`.`time` AS `time`,`v`.`visit_prefix` AS `visit_prefix`,`v`.`app_user_id` AS `app_user_id`,`v`.`app_visit_id` AS `app_visit_id`,`v`.`visit_nb` AS `visit_nb`,`c`.`Customer_Name` AS `Customer_Name`,`u`.`User_Name` AS `User_Name` from ((`tbl_customer_visit` `v` join `tbl_customers` `c` on((`c`.`Customer_ID` = `v`.`customer_id`))) join `tbl_common_users` `u` on((`u`.`User_ID` = `v`.`app_user_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `damaged_products`
--
DROP TABLE IF EXISTS `damaged_products`;

CREATE  VIEW `damaged_products`  AS  select `d`.`damage_id` AS `Damaged_ID`,`p`.`Product_ID` AS `ID`,`p`.`Product_Name` AS `Name`,`dg`.`Depot_ID` AS `Depot_ID`,`d`.`quantity` AS `Damaged_Quantity`,`d`.`current_quantity` AS `Item_Quantity_Current`,if((`d`.`detail_note` = ''),`dg`.`damage_note`,`d`.`detail_note`) AS `Damaged_Reason`,`dg`.`damage_date` AS `Adjust_Date`,`l`.`Depot_Name` AS `Depot_Name`,`dg`.`customer_id` AS `customer_id`,`cust`.`Customer_Name` AS `Customer_Name`,`d`.`unit_cost` AS `unit_cost`,(`d`.`unit_cost` * `d`.`quantity`) AS `total_cost`,`p`.`Category_ID` AS `Category_ID`,`p`.`brand_id` AS `brand_id`,`dg`.`app_damage_id` AS `app_damage_id`,`d`.`return_detail_id` AS `return_detail_id`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`uom_id` AS `UOM_ID` from (((((`tbl_damage_details` `d` join `tbl_damage` `dg` on((`dg`.`damage_id` = `d`.`damage_id`))) join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`product_id`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`uom_id`))) join `tbl_stock_depot_warehouse` `l` on((`l`.`Depot_ID` = `dg`.`Depot_ID`))) left join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `dg`.`customer_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `datasource_productlist`
--
DROP TABLE IF EXISTS `datasource_productlist`;

CREATE  VIEW `datasource_productlist`  AS  select `p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,`p`.`branch_id` AS `branch_id`,if(isnull(concat(`p`.`Product_Quantity`,' ',`uc`.`UOM_Name`)),`p`.`Product_Quantity`,concat(`p`.`Product_Quantity`,' ',`uc`.`UOM_Name`)) AS `Product_Quantity`,if((`p`.`default_view_uom_id` = 0),`uc`.`UOM_Name`,`dfvu`.`UOM_Name`) AS `def_view_uom_name`,if((`p`.`default_view_uom_id` = 0),`p`.`Product_Quantity`,(`p`.`Product_Quantity` / `p`.`default_view_rate`)) AS `Product_View_Quantity`,`p`.`Product_ID` AS `Product_ID`,`c`.`Cat_Name` AS `Cat_Name`,`p`.`Product_PLU` AS `Product_PLU`,`br`.`brand_name` AS `brand_name`,`p`.`Status_ID` AS `Status_ID`,`u`.`Bar_Code` AS `Bar_Code`,`p`.`Category_ID` AS `Category_ID`,`p`.`Product_Quantity` AS `prod_quantity`,`p`.`product_second_code` AS `product_second_code` from ((((((`tbl_stock_products` `p` join `tbl_product_cat` `c` on((`c`.`Cat_ID` = `p`.`Category_ID`))) left join `tbl_common_currency` `y` on((`y`.`Currency_ID` = `p`.`Currency_ID`))) join `tbl_stock_uom` `uc` on((`uc`.`UOM_ID` = `p`.`UOM_ID`))) left join `tbl_brand_products` `br` on((`br`.`brand_id` = `p`.`brand_id`))) join `tbl_uom_conversions` `u` on(((`u`.`Product_ID` = `p`.`Product_ID`) and (`u`.`is_default` = 1)))) join `tbl_stock_uom` `dfvu` on((`dfvu`.`UOM_ID` = `p`.`default_view_uom_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `data_collecter_adjust`
--
DROP TABLE IF EXISTS `data_collecter_adjust`;

CREATE  VIEW `data_collecter_adjust`  AS  select `m`.`file_id` AS `file_id`,`c`.`Bar_Code` AS `Bar_Code`,`p`.`Product_Name` AS `Name`,sum((`a`.`quantity` * `c`.`conversion_amount`)) AS `Quantity`,`u`.`UOM_Name` AS `to_name`,`a`.`temp_id` AS `temp_id`,`p`.`Category_ID` AS `Category_ID`,`l`.`Product_Depot_ID` AS `Depot_ID`,`w`.`Depot_Name` AS `Depot`,`w`.`Depot_Code` AS `Code`,`a`.`Product_ID` AS `ID`,`a`.`UOM_ID` AS `UOM_ID`,if(isnull(`l`.`Product_Depot_Quantity`),0,`l`.`Product_Depot_Quantity`) AS `sys_qty`,`a`.`UOM_ID` AS `Product_UOM`,`p`.`is_expiry` AS `is_expiry`,`p`.`Status_ID` AS `Status_ID`,`p`.`default_view_uom_id` AS `default_view_uom_id`,`p`.`default_view_rate` AS `default_view_rate`,`dfvu`.`UOM_Name` AS `default_view_uom`,(sum((`a`.`quantity` * `c`.`conversion_amount`)) / `p`.`default_view_rate`) AS `Quantity_default`,(if(isnull(`l`.`Product_Depot_Quantity`),0,`l`.`Product_Depot_Quantity`) / `p`.`default_view_rate`) AS `sys_qty_default`,`p`.`is_lot` AS `is_lot`,`p`.`is_serial` AS `is_serial`,`p`.`main_supplier_id` AS `main_supplier_id`,`p`.`is_service` AS `is_service` from (((((((`tbl_app_temp_adjustments` `a` left join `tbl_uom_conversions` `c` on(((`a`.`UOM_ID` = `c`.`uom_from`) and (`a`.`Product_ID` = `c`.`Product_ID`)))) left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `a`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `p`.`UOM_ID`))) join `tbl_stock_uom` `dfvu` on((`dfvu`.`UOM_ID` = `p`.`default_view_uom_id`))) left join `tbl_app_temp_main_adj` `m` on((`m`.`temp_main_id` = `a`.`temp_main_id`))) left join `tbl_stock_product_location` `l` on(((`l`.`Location_Product_ID` = `a`.`Product_ID`) and (`m`.`stock_id` = `l`.`Product_Depot_ID`)))) left join `tbl_stock_depot_warehouse` `w` on((`w`.`Depot_ID` = `l`.`Product_Depot_ID`))) group by `m`.`file_id`,`m`.`stock_id`,`a`.`Product_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `debit_list`
--
DROP TABLE IF EXISTS `debit_list`;

CREATE  VIEW `debit_list`  AS  select `n`.`note_nb` AS `note_nb`,`n`.`Note_ID` AS `Note_ID`,`n`.`Supplier_Customer_ID` AS `Supplier_Customer_ID`,`n`.`Note_Date` AS `Note_Date`,`n`.`Currency_ID` AS `Currency_ID`,`n`.`Note_Amount` AS `Note_Amount`,`n`.`branch_id` AS `branch_id`,`n`.`Note_Description` AS `Note_Description`,`n`.`Is_Debit_Note` AS `Is_Debit_Note`,`n`.`Logged_ID` AS `Logged_ID`,concat(`c`.`Currency_Symbol`,' ',`n`.`Note_Amount`) AS `Note_Amount_Curr`,`s`.`Supplier_Name` AS `Name`,`n`.`is_actual` AS `is_actual`,`n`.`current_year_id` AS `current_year_id` from ((`tbl_accounting_debit_credit_note` `n` left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `n`.`Currency_ID`))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `n`.`Supplier_Customer_ID`))) where (`n`.`Is_Debit_Note` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `delivered_purchase_order`
--
DROP TABLE IF EXISTS `delivered_purchase_order`;

CREATE  VIEW `delivered_purchase_order`  AS  select `d`.`UOM_ID` AS `UOM_ID`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`Entry_ID` AS `Entry_ID`,`d`.`Order_ID` AS `Order_ID`,`s`.`Supplier_Name` AS `Supplier_Name`,`s`.`Supplier_ID` AS `Supplier_ID`,`o`.`Order_Date` AS `Order_Date`,`d`.`Item_ID` AS `Item_ID`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,if(isnull(concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)),concat(0,' ',`u`.`UOM_Name`),concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)) AS `Product_Delivery_Quantity`,concat(if(isnull((`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),`d`.`Item_Quantity_Current`,(`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),' ',`u`.`UOM_Name`) AS `Remaining_Quantity`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`ps`.`Product_VAT` AS `VAT` from (((((((`tbl_purchase_order_details` `d` left join `tbl_purchase_order` `o` on((`o`.`Order_ID` = `d`.`Order_ID`))) left join `tbl_stock_uom` `u` on((`d`.`UOM_ID` = `u`.`UOM_ID`))) left join `tbl_stock_products` `ps` on((`d`.`Item_ID` = `ps`.`Product_ID`))) left join `tbl_inventory_delivery_report` `r` on(((`r`.`Order_ID` = `o`.`Order_ID`) and (`r`.`Is_Customer_Invoice` = 0)))) left join `tbl_inventory_delivery_report_items` `rd` on(((`d`.`Item_ID` = `rd`.`Product_ID`) and (`rd`.`Delivery_Report_ID` = `r`.`Delivery_Report_ID`)))) left join `tbl_stock_uom` `ur` on((`rd`.`UOM_ID` = `ur`.`UOM_ID`))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `o`.`Supplier_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `delivered_sales_order`
--
DROP TABLE IF EXISTS `delivered_sales_order`;

CREATE  VIEW `delivered_sales_order`  AS  select `d`.`UOM_ID` AS `UOM_ID`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`Item_ID` AS `Entry_ID`,`d`.`Sales_Order_ID` AS `Order_ID`,`s`.`Customer_Name` AS `Supplier_Name`,`s`.`Customer_ID` AS `Supplier_ID`,`o`.`Sales_Order_Date` AS `Order_Date`,`d`.`Product_ID` AS `Item_ID`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,if(isnull(`ur`.`UOM_Name`),concat(0,' ',`u`.`UOM_Name`),concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)) AS `Product_Delivery_Quantity`,concat(if(isnull(`rd`.`Item_Quantity_Current`),`d`.`Item_Quantity_Current`,(`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),' ',`u`.`UOM_Name`) AS `Remaining_Quantity`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`ps`.`Product_VAT` AS `VAT` from (((((((`tbl_garage_sales_order_details` `d` left join `tbl_stock_uom` `u` on((`d`.`UOM_ID` = `u`.`UOM_ID`))) left join `tbl_garage_sales_order` `o` on((`o`.`Sales_Order_ID` = `d`.`Sales_Order_ID`))) left join `tbl_stock_products` `ps` on((`d`.`Product_ID` = `ps`.`Product_ID`))) left join `tbl_inventory_delivery_report` `r` on(((`r`.`Order_ID` = `o`.`Sales_Order_ID`) and (`r`.`Is_Customer_Invoice` = 1)))) left join `tbl_inventory_delivery_report_items` `rd` on((`rd`.`Delivery_Report_ID` = `r`.`Delivery_Report_ID`))) left join `tbl_stock_uom` `ur` on((`rd`.`UOM_ID` = `ur`.`UOM_ID`))) left join `tbl_customers` `s` on((`s`.`Customer_ID` = `o`.`Customer_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `delivery_list`
--
DROP TABLE IF EXISTS `delivery_list`;

CREATE  VIEW `delivery_list`  AS  select `invoice`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`invoice`.`Invoice_Net_Total` AS `Invoice_Net_Total`,`customer`.`customer_id` AS `customer_id`,`customer`.`customer_name` AS `customer_name`,`customer`.`customer_phone` AS `customer_phone`,`address`.`address_name` AS `address_name`,`invoice`.`Is_Closed` AS `Is_Closed`,`invoice`.`is_committed` AS `is_committed`,`invoice`.`invoice_type` AS `invoice_type` from ((`tbl_invoices` `invoice` left join `tbl_pos_customers` `customer` on((`invoice`.`pos_customer_id` = `customer`.`customer_id`))) left join `tbl_customer_address` `address` on((`invoice`.`address_id` = `address`.`address_id`))) where ((`invoice`.`is_app` = 1) and (`invoice`.`app_status` = 0)) ;

-- --------------------------------------------------------

--
-- Structure for view `delivery_notes`
--
DROP TABLE IF EXISTS `delivery_notes`;

CREATE  VIEW `delivery_notes`  AS  select `r`.`Delivery_Report_ID` AS `Delivery_Report_ID`,`r`.`Person_ID` AS `Person_ID`,`r`.`Delivery_Report_Date` AS `Delivery_Report_Date`,`r`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,`r`.`Order_ID` AS `Order_ID`,`r`.`delivery_nb` AS `delivery_nb`,`r`.`date_created` AS `date_created`,`r`.`date_time` AS `date_time`,`r`.`Logged_ID` AS `Logged_ID`,`r`.`created_logged_id` AS `created_logged_id`,`r`.`current_year_id` AS `current_year_id`,`r`.`Depot_ID` AS `Depot_ID`,`r`.`delivery_note` AS `delivery_note`,`r`.`branch_id` AS `branch_id`,`r`.`job_id` AS `job_id`,`r`.`project_id` AS `project_id`,`r`.`is_actual` AS `is_actual`,`j`.`job_name` AS `job_name`,`p`.`project_name` AS `project_name`,if((`r`.`Is_Customer_Invoice` = 1),`c`.`Customer_Name`,`s`.`Supplier_Name`) AS `Person_Name` from ((((`tbl_inventory_delivery_report` `r` left join `tbl_customers` `c` on(((`c`.`Customer_ID` = `r`.`Person_ID`) and (`r`.`Is_Customer_Invoice` = 1)))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `r`.`Person_ID`))) left join `tbl_accounting_jobs` `j` on((`j`.`job_id` = `r`.`job_id`))) left join `tbl_projects` `p` on((`p`.`project_id` = `r`.`project_id`))) order by `r`.`Delivery_Report_Date` desc,`r`.`delivery_nb` desc ;

-- --------------------------------------------------------

--
-- Structure for view `dependant_employee`
--
DROP TABLE IF EXISTS `dependant_employee`;

CREATE  VIEW `dependant_employee`  AS  select `e`.`Wife_Works` AS `Wife_Works`,`c`.`Entry_id` AS `Child_ID`,`c`.`child_class` AS `child_class`,`c`.`child_problem` AS `child_problem`,`s`.`school_type` AS `school_type_name`,`s`.`school_value` AS `school_value`,`c`.`school_type` AS `school_type`,`d`.`Dependant_ID` AS `Dependant_ID`,`d`.`Employee_ID` AS `Employee_ID`,`d`.`Number_Of_Children` AS `Number_Of_Children`,`d`.`Logged_ID` AS `Logged_ID`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`c`.`child_name` AS `child_name`,`c`.`child_dob` AS `child_dob`,`c`.`child_school` AS `child_school`,`c`.`gender_id` AS `gender_id`,`c`.`marital_status_id` AS `marital_status_id`,`c`.`has_special_problem` AS `has_special_problem`,`c`.`is_study` AS `is_study`,`c`.`is_self_nssf` AS `is_self_nssf` from (((`tbl_hrm_dependants` `d` left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `d`.`Employee_ID`))) left join `tbl_child_employee` `c` on((`c`.`Employee_ID` = `d`.`Employee_ID`))) left join `tbl_school_child` `s` on((`s`.`school_id` = `c`.`school_type`))) ;

-- --------------------------------------------------------

--
-- Structure for view `deposite_withdrawal`
--
DROP TABLE IF EXISTS `deposite_withdrawal`;

CREATE  VIEW `deposite_withdrawal`  AS  select `dw`.`Deposit_WithDrawal_ID` AS `Deposit_WithDrawal_ID`,`dw`.`Deposit_WithDrawal_Amount` AS `Deposit_WithDrawal_Amount`,`dw`.`Deposit_WithDrawal_Amount_To` AS `Deposit_WithDrawal_Amount_To`,`dw`.`Deposit_WithDrawal_Description` AS `Deposit_WithDrawal_Description`,`dw`.`Deposit_WithDrawal_Date` AS `Deposit_WithDrawal_Date`,`dw`.`Is_Hidden` AS `Is_Hidden`,`f`.`Account_Name` AS `T_FROM`,`t`.`Account_Name` AS `T_TO`,`c`.`Currency_Symbol` AS `Symbol_From`,`ct`.`Currency_Symbol` AS `Symbol_To`,`dw`.`current_year_id` AS `current_year_id`,`dw`.`app_dep_id` AS `app_dep_id`,`dw`.`is_main_transfer` AS `is_main_transfer`,concat_ws('',`dw`.`dw_prefix`,`dw`.`dw_number`) AS `dw_nb` from ((((`tbl_accounting_bank_deposit_withdrawal` `dw` left join `tbl_chart_of_accounts` `f` on((`dw`.`From_Account_ID` = `f`.`Account_ID`))) left join `tbl_chart_of_accounts` `t` on((`dw`.`To_Account_ID` = `t`.`Account_ID`))) left join `tbl_common_currency` `c` on((`dw`.`Currency_From` = `c`.`Currency_ID`))) left join `tbl_common_currency` `ct` on((`dw`.`Currency_To` = `ct`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `depot_content`
--
DROP TABLE IF EXISTS `depot_content`;

CREATE  VIEW `depot_content`  AS  select `p`.`Category_ID` AS `Category_ID`,`d`.`Depot_ID` AS `Depot_ID`,`d`.`Depot_Name` AS `Depot`,`p`.`Product_Code` AS `Code`,`p`.`Product_ID` AS `ID`,`p`.`UOM_ID` AS `UOM_ID`,`p`.`Product_Name` AS `Name`,`pl`.`Product_Depot_Quantity` AS `Quantity`,`pl`.`Product_Depot_Quantity` AS `sys_qty`,group_concat(`u`.`uom_from` separator '/') AS `Product_UOM`,concat(`u`.`Product_ID`,'_',`d`.`Depot_ID`) AS `cond`,`p`.`is_expiry` AS `is_expiry`,`p`.`Status_ID` AS `Status_ID`,`p`.`default_view_uom_id` AS `default_view_uom_id`,`p`.`default_view_rate` AS `default_view_rate`,`dfvu`.`UOM_Name` AS `default_view_uom`,(`pl`.`Product_Depot_Quantity` / `p`.`default_view_rate`) AS `Quantity_default`,(`pl`.`Product_Depot_Quantity` / `p`.`default_view_rate`) AS `sys_qty_default`,`p`.`is_lot` AS `is_lot`,`p`.`is_serial` AS `is_serial`,`p`.`main_supplier_id` AS `main_supplier_id`,`p`.`is_service` AS `is_service`,group_concat(if((`p`.`default_view_uom_id` = `u`.`uom_from`),`u`.`Bar_Code`,'') separator '') AS `default_view_Bar_Code`,`b`.`brand_name` AS `brand_name`,`b`.`brand_id` AS `brand_id`,`def_uom`.`UOM_Name` AS `default_uom_name` from ((((((`tbl_stock_product_location` `pl` join `tbl_stock_depot_warehouse` `d` on((`pl`.`Product_Depot_ID` = `d`.`Depot_ID`))) join `tbl_stock_products` `p` on((`pl`.`Location_Product_ID` = `p`.`Product_ID`))) join `uom_conversions` `u` on((`p`.`Product_ID` = `u`.`Product_ID`))) left join `tbl_brand_products` `b` on((`b`.`brand_id` = `p`.`brand_id`))) join `tbl_stock_uom` `def_uom` on((`def_uom`.`UOM_ID` = `p`.`UOM_ID`))) join `tbl_stock_uom` `dfvu` on((`dfvu`.`UOM_ID` = `p`.`default_view_uom_id`))) group by concat(`u`.`Product_ID`,'_',`d`.`Depot_ID`) ;

-- --------------------------------------------------------

--
-- Structure for view `depot_content_all`
--
DROP TABLE IF EXISTS `depot_content_all`;

CREATE  VIEW `depot_content_all`  AS  select `p`.`Category_ID` AS `Category_ID`,`p`.`Product_ID` AS `ID`,`p`.`Product_Quantity` AS `Quantity`,`p`.`Product_Code` AS `Code`,`p`.`Product_Name` AS `Name`,`p`.`UOM_ID` AS `UOM_ID`,`p`.`UOM_ID` AS `Product_UOM`,`p`.`Product_Quantity` AS `sys_qty`,`p`.`is_expiry` AS `is_expiry`,`p`.`Status_ID` AS `Status_ID`,`p`.`default_view_uom_id` AS `default_view_uom_id`,`p`.`default_view_rate` AS `default_view_rate`,`dfvu`.`UOM_Name` AS `default_view_uom`,(`p`.`Product_Quantity` / `p`.`default_view_rate`) AS `Quantity_default`,(`p`.`Product_Quantity` / `p`.`default_view_rate`) AS `sys_qty_default`,`p`.`is_lot` AS `is_lot`,`p`.`is_serial` AS `is_serial`,`p`.`main_supplier_id` AS `main_supplier_id`,`p`.`is_service` AS `is_service`,`uc`.`Bar_Code` AS `default_view_Bar_Code`,`b`.`brand_name` AS `brand_name`,`b`.`brand_id` AS `brand_id`,`def_uom`.`UOM_Name` AS `default_uom_name` from ((((`tbl_stock_products` `p` join `tbl_stock_uom` `dfvu` on((`dfvu`.`UOM_ID` = `p`.`default_view_uom_id`))) join `uom_conversions` `uc` on(((`p`.`Product_ID` = `uc`.`Product_ID`) and (`uc`.`uom_from` = `p`.`default_view_uom_id`)))) left join `tbl_brand_products` `b` on((`b`.`brand_id` = `p`.`brand_id`))) join `tbl_stock_uom` `def_uom` on((`def_uom`.`UOM_ID` = `p`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `depot_list`
--
DROP TABLE IF EXISTS `depot_list`;

CREATE  VIEW `depot_list`  AS  select `d`.`Depot_ID` AS `Depot_ID`,`d`.`Depot_Code` AS `Depot_Code`,`d`.`Depot_Name` AS `Depot_Name`,`c`.`Category_Name` AS `Category_Name`,`d`.`Depot_Type_Of_Storage` AS `Depot_Type_Of_Storage`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`,' ') AS `Employee_Name` from (((`tbl_stock_depot_warehouse` `d` left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `d`.`Depot_PIC_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`Depot_UOM`))) left join `tbl_stock_categories` `c` on((`c`.`Category_ID` = `d`.`Depot_Category_ID`))) where (`d`.`Status_ID` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `detailed_purchase_report`
--
DROP TABLE IF EXISTS `detailed_purchase_report`;

CREATE  VIEW `detailed_purchase_report`  AS  select `sp`.`Product_Name` AS `Product_Name`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`u`.`UOM_Name` AS `UOM_Name`,`p`.`Purchase_ID_Auto` AS `Purchase_ID_Auto`,`p`.`Purchase_ID` AS `Purchase_ID`,`p`.`Purchase_Date` AS `Purchase_Date`,`p`.`Purchase_Due_Date` AS `Purchase_Due_Date`,`p`.`Currency_ID` AS `Currency_ID`,`p`.`Supplier_ID` AS `Supplier_ID`,`p`.`Purchase_Sub_Total` AS `Purchase_Sub_Total`,`p`.`Purchase_Net_Total` AS `Purchase_Net_Total`,`p`.`Purchase_Discount` AS `Purchase_Discount`,`p`.`discount_amount` AS `discount_amount`,`p`.`Purchase_VAT` AS `Purchase_VAT`,`p`.`Purchase_Shipping` AS `Purchase_Shipping`,`p`.`Depot_ID` AS `Depot_ID`,`p`.`Logged_ID` AS `Logged_ID`,`p`.`Supplier_Invoice_ID` AS `Supplier_Invoice_ID`,`p`.`Purchase_Paid_Amount` AS `Purchase_Paid_Amount`,`p`.`Return_Purchase_Total` AS `Return_Purchase_Total`,`p`.`Invoice_Description` AS `Invoice_Description`,`p`.`current_year_id` AS `current_year_id`,`p`.`date_time` AS `date_time`,`p`.`current_rate` AS `current_rate`,`p`.`branch_id` AS `branch_id`,`p`.`sales_purchase_id` AS `sales_purchase_id`,`p`.`Account_ID` AS `Account_ID`,`p`.`is_actual` AS `is_actual`,`s`.`Supplier_Name` AS `Supplier_Name`,`d`.`Item_ID` AS `Item_ID`,`d`.`Product_ID` AS `Product_ID`,`d`.`Item_Quantity` AS `Item_Quantity`,`d`.`Item_Price` AS `Item_Price`,`d`.`Item_Discount` AS `Item_Discount`,`d`.`Product_Total_Price` AS `Product_Total_Price`,`d`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`d`.`UOM_ID` AS `UOM_ID`,`d`.`vat_percent` AS `vat_percent`,`d`.`vat_amount` AS `vat_amount`,`d`.`product_description` AS `product_description`,`d`.`depot_id` AS `detail_depot_id`,`sp`.`brand_id` AS `brand_id`,`sp`.`Category_ID` AS `Category_ID` from (((((`tbl_inventory_purchase_items` `d` join `tbl_inventory_purchases` `p` on((`d`.`Purchase_ID_Auto` = `p`.`Purchase_ID_Auto`))) join `tbl_stock_suppliers` `s` on((`p`.`Supplier_ID` = `s`.`Supplier_ID`))) join `tbl_stock_uom` `u` on((`d`.`UOM_ID` = `u`.`UOM_ID`))) join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `p`.`Currency_ID`))) join `tbl_stock_products` `sp` on((`sp`.`Product_ID` = `d`.`Product_ID`))) order by `p`.`Purchase_Date` desc,`p`.`Purchase_ID_Auto` ;

-- --------------------------------------------------------

--
-- Structure for view `detail_attendance_locations`
--
DROP TABLE IF EXISTS `detail_attendance_locations`;

CREATE  VIEW `detail_attendance_locations`  AS  select `s`.`attendance_id` AS `attendance_id`,`s`.`employee_id` AS `employee_id`,`s`.`location_id` AS `location_id`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`s`.`date_time_in` AS `date_time_in`,`s`.`date_time_out` AS `date_time_out`,timediff(`s`.`date_time_out`,`s`.`date_time_in`) AS `time_diff`,`l`.`Location_Name` AS `Location_Name`,`e`.`Employee_StartDate` AS `Employee_StartDate`,`e`.`leave_date` AS `leave_date`,`e`.`Employee_StreetAddress1` AS `Employee_StreetAddress1`,`j`.`Job_Name` AS `Job_Name`,`e`.`Employee_MobilePhone` AS `Employee_MobilePhone`,`e`.`second_lang_name` AS `second_lang_name`,`e`.`Branch_ID` AS `Branch_ID` from (((`tbl_employee_attendance_sheet` `s` join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `s`.`employee_id`))) left join `tbl_employee_location` `l` on((`l`.`Location_ID` = `s`.`location_id`))) join `tbl_hrm_jobs` `j` on((`j`.`Job_ID` = `e`.`job_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `devices`
--
DROP TABLE IF EXISTS `devices`;

CREATE  VIEW `devices`  AS  select `devices`.`device_id` AS `device_id`,`devices`.`device_name` AS `device_name`,`devices`.`device_ip` AS `device_ip`,`devices`.`type_id` AS `type_id`,`devices`.`is_active` AS `is_active`,`devices`.`note` AS `note`,`devices_type`.`type_name` AS `type_name` from (`tbl_devices` `devices` join `tbl_devices_type` `devices_type` on((`devices`.`type_id` = `devices_type`.`type_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `due_date_invoices`
--
DROP TABLE IF EXISTS `due_date_invoices`;

CREATE  VIEW `due_date_invoices`  AS  select `i`.`Customer_ID` AS `Person_ID`,`i`.`Invoice_ID_Auto` AS `Inv_Pur_ID_Auto`,concat(`i`.`invoice_prefix`,`i`.`Invoice_ID`) AS `Inv_Pur_ID`,`i`.`Invoice_Net_Total` AS `Total`,`i`.`Invoice_Due_Date` AS `Due_Date`,`c`.`Currency_Symbol` AS `Currency_Symbol`,(`i`.`Invoice_Paid_Amount` + `i`.`Payment_Paid_Amount`) AS `Paid_Amount`,`cu`.`Customer_Name` AS `Name`,`cu`.`Customer_Email` AS `Email`,`cu`.`Customer_Phone` AS `Phone`,`cu`.`Customer_Company` AS `Company`,`i`.`Invoice_Date` AS `Date`,`i`.`is_committed` AS `is_committed`,`i`.`invoice_type` AS `invoice_type`,((((`i`.`Invoice_Net_Total` - `i`.`Invoice_Paid_Amount`) - `i`.`Payment_Paid_Amount`) - `i`.`Return_Invoice_Total`) + `i`.`return_paid_amount`) AS `remaining_amount`,`cu`.`customer_group_id` AS `customer_group_id`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`current_rate` AS `current_rate`,`i`.`second_currency_rate` AS `second_currency_rate`,(`i`.`Return_Invoice_Total` - `i`.`return_paid_amount`) AS `net_return` from ((`tbl_invoices` `i` join `tbl_common_currency` `c` on((`i`.`Invoice_Currency` = `c`.`Currency_ID`))) join `tbl_customers` `cu` on((`i`.`Customer_ID` = `cu`.`Customer_ID`))) where ((`i`.`Invoice_Net_Total` - `i`.`Return_Invoice_Total`) > (`i`.`Invoice_Paid_Amount` + `i`.`Payment_Paid_Amount`)) order by `i`.`Invoice_Due_Date` ;

-- --------------------------------------------------------

--
-- Structure for view `due_date_purchase`
--
DROP TABLE IF EXISTS `due_date_purchase`;

CREATE  VIEW `due_date_purchase`  AS  select `i`.`Supplier_ID` AS `Person_ID`,`i`.`Purchase_ID_Auto` AS `Inv_Pur_ID_Auto`,`i`.`Purchase_ID` AS `Inv_Pur_ID`,`i`.`Purchase_Net_Total` AS `Total`,`i`.`Purchase_Due_Date` AS `Due_Date`,`c`.`Currency_Symbol` AS `Currency_Symbol`,(`i`.`Purchase_Paid_Amount` + `i`.`Payment_Paid_Amount`) AS `Paid_Amount`,`cu`.`Supplier_Name` AS `Name`,`cu`.`Supplier_Email` AS `Email`,`cu`.`Supplier_Phone` AS `Phone`,`cu`.`Supplier_Company` AS `Company`,`i`.`Purchase_Date` AS `Date`,((((`i`.`Purchase_Net_Total` - `i`.`Purchase_Paid_Amount`) - `i`.`Payment_Paid_Amount`) - `i`.`Return_Purchase_Total`) + `i`.`return_paid_amount`) AS `remaining_amount`,`i`.`current_rate` AS `current_rate`,`i`.`second_currency_rate` AS `second_currency_rate`,(`i`.`Return_Purchase_Total` - `i`.`return_paid_amount`) AS `net_return`,`i`.`Purchase_Shipping` AS `shipping`,`i`.`extra_cost` AS `extra_cost`,((`i`.`Purchase_Net_Total` + `i`.`Purchase_Shipping`) + `i`.`extra_cost`) AS `net_total`,`i`.`ship_bill_nb` AS `ship_bill_nb`,`i`.`ship_date` AS `ship_date` from ((`tbl_inventory_purchases` `i` join `tbl_common_currency` `c` on((`i`.`Currency_ID` = `c`.`Currency_ID`))) join `tbl_stock_suppliers` `cu` on((`i`.`Supplier_ID` = `cu`.`Supplier_ID`))) where ((`i`.`Purchase_Net_Total` - `i`.`Return_Purchase_Total`) > (`i`.`Purchase_Paid_Amount` + `i`.`Payment_Paid_Amount`)) order by `i`.`Purchase_Due_Date` ;

-- --------------------------------------------------------

--
-- Structure for view `employee_absence`
--
DROP TABLE IF EXISTS `employee_absence`;

CREATE  VIEW `employee_absence`  AS  select `a`.`Absence_ID` AS `Absence_ID`,`a`.`Absence_From_Date` AS `Absence_From_Date`,`a`.`Absence_To_Date` AS `Absence_To_Date`,`a`.`Absence_Reason` AS `Absence_Reason`,`a`.`Employee_ID` AS `Employee_ID`,`a`.`Logged_ID` AS `Logged_ID`,`a`.`is_approved` AS `is_approved`,`r`.`Absence_Reason_ID` AS `Absence_Reason_ID`,`r`.`Absence_Reason_Name` AS `Absence_Reason_Name`,`r`.`Absence_Reason_Days` AS `Absence_Reason_Days`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Name`,`d`.`Document_File_Name` AS `Document_File_Name`,`e`.`Is_Hidden` AS `Is_Hidden` from (((`tbl_hrm_absence` `a` join `tbl_hrm_absence_reasons` `r` on((`r`.`Absence_Reason_ID` = `a`.`Absence_Reason`))) join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `a`.`Employee_ID`))) left join `tbl_hrm_employee_document` `d` on((`d`.`Entry_ID` = `a`.`doc_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_accrued_leave`
--
DROP TABLE IF EXISTS `employee_accrued_leave`;

CREATE  VIEW `employee_accrued_leave`  AS  select `a`.`Days_Number` AS `Days_Number`,`a`.`Entry_ID` AS `Entry_ID`,`a`.`Date_From` AS `Date_From`,`a`.`Date_To` AS `Date_To`,`a`.`Employee_ID` AS `Employee_ID`,`a`.`is_approved` AS `is_approved`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Name`,`d`.`Document_File_Name` AS `Document_File_Name`,`e`.`Is_Hidden` AS `Is_Hidden`,`a`.`is_holiday` AS `is_holiday` from ((`tbl_hrm_taken_accrued` `a` join `tbl_hrm_employee` `e` on((`a`.`Employee_ID` = `e`.`Employee_ID`))) left join `tbl_hrm_employee_document` `d` on((`d`.`Entry_ID` = `a`.`doc_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_alerts`
--
DROP TABLE IF EXISTS `employee_alerts`;

CREATE  VIEW `employee_alerts`  AS  select `a`.`entry_id` AS `entry_id`,`a`.`employee_id` AS `employee_id`,`a`.`employee_alert_date` AS `employee_alert_date`,`a`.`employee_alert_type` AS `employee_alert_type`,`a`.`employee_alert_note` AS `employee_alert_note`,`a`.`employee_alert_document` AS `employee_alert_document`,`a`.`doc_id` AS `doc_id`,`a`.`is_actual` AS `Is_Hidden`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `employee_name` from (`tbl_employee_alert` `a` join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `a`.`employee_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_documents`
--
DROP TABLE IF EXISTS `employee_documents`;

CREATE  VIEW `employee_documents`  AS  select `d`.`main_type` AS `main_type`,`d`.`Entry_ID` AS `Entry_ID`,`d`.`Employee_ID` AS `Employee_ID`,`d`.`Document_Type` AS `Document_Type`,`d`.`Document_Name` AS `Document_Name`,`d`.`Document_Date` AS `Document_Date`,`d`.`Document_Comments` AS `Document_Comments`,`d`.`Document_File_Name` AS `Document_File_Name`,`d`.`Logged_ID` AS `Logged_ID`,`t`.`Document_Type_Name` AS `Document_Type_Name` from (`tbl_hrm_employee_document` `d` join `tbl_hrm_document_types` `t` on((`t`.`Document_ID` = `d`.`Document_Type`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_emergency_contact`
--
DROP TABLE IF EXISTS `employee_emergency_contact`;

CREATE  VIEW `employee_emergency_contact`  AS  select `r`.`Employee_Relationship_Name` AS `Relation_Name`,`em`.`EmergencyContact_ID` AS `EmergencyContact_ID`,`em`.`Employee_Relationship_ID` AS `Employee_Relationship_ID`,`em`.`EmergencyContact_HomePhone` AS `EmergencyContact_HomePhone`,`em`.`EmergencyContact_MobilePhone` AS `EmergencyContact_MobilePhone`,`em`.`EmergencyContact_WorkPhone` AS `EmergencyContact_WorkPhone`,`em`.`Employee_ID` AS `Employee_ID`,concat(`em`.`EmergencyContact_FirstName`,' ',`em`.`EmergencyContact_MiddleName`,' ',`em`.`EmergencyContact_LastName`) AS `Contact_Name`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name` from ((`tbl_hrm_emergency_contact` `em` left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `em`.`Employee_ID`))) left join `tbl_hrm_employee_relationship` `r` on((`r`.`Employee_Relationship_ID` = `em`.`Employee_Relationship_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_expenses`
--
DROP TABLE IF EXISTS `employee_expenses`;

CREATE  VIEW `employee_expenses`  AS  select `ex`.`Expense_ID` AS `Expense_ID`,`ex`.`Employee_ID` AS `Employee_ID`,`ex`.`Expense_Date` AS `Expense_Date`,`ex`.`Expense_Description` AS `Expense_Description`,`ex`.`Expense_Quantity` AS `Expense_Quantity`,`ex`.`Currency_ID` AS `Currency_ID`,concat(`ex`.`Expense_Quantity`,' ',`c`.`Currency_Symbol`) AS `Amount`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name` from ((`tbl_hrm_employees_expenses` `ex` left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `ex`.`Employee_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `ex`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_opening_list`
--
DROP TABLE IF EXISTS `employee_opening_list`;

CREATE  VIEW `employee_opening_list`  AS  select `opening`.`entry_id` AS `entry_id`,`opening`.`employee_id` AS `employee_id`,`opening`.`to_date` AS `to_date`,`opening`.`total_salary` AS `total_salary`,`opening`.`Currency_ID` AS `Currency_ID`,`opening`.`current_rate` AS `current_rate`,concat_ws(' ',`employee`.`Employee_FirstName`,`employee`.`Employee_MiddleName`,`employee`.`Employee_LastName`) AS `emp`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,concat_ws(' ',`opening`.`total_salary`,`currency`.`Currency_Symbol`) AS `total_value`,`opening`.`total_allowance` AS `total_allowance`,`opening`.`total_tax` AS `total_tax` from ((`tbl_hrm_employee_opening` `opening` join `tbl_hrm_employee` `employee` on((`employee`.`Employee_ID` = `opening`.`employee_id`))) join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `opening`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `employee_transfer_days`
--
DROP TABLE IF EXISTS `employee_transfer_days`;

CREATE  VIEW `employee_transfer_days`  AS  select `t`.`entry_id` AS `entry_id`,`t`.`employee_id` AS `employee_id`,`t`.`transfer_day_number` AS `transfer_day_number`,`t`.`transfer_date` AS `transfer_date`,`t`.`transfer_day_note` AS `transfer_day_note`,`t`.`employee_name` AS `employee_name`,`e`.`Is_Hidden` AS `Is_Hidden` from (`tbl_employee_transfer_day` `t` join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `t`.`employee_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `end_shift_view`
--
DROP TABLE IF EXISTS `end_shift_view`;

CREATE  VIEW `end_shift_view`  AS  select `s`.`shift_id` AS `shift_id`,`s`.`user_id` AS `user_id`,`s`.`open_time` AS `open_time`,`s`.`close_time` AS `close_time`,`s`.`account_id` AS `account_id`,`s`.`total_net_invoices` AS `total_net_invoices`,`s`.`total_net_returns` AS `total_net_returns`,`s`.`total_balance` AS `total_balance`,`s`.`Currency_ID` AS `Currency_ID`,`s`.`current_rate` AS `current_rate`,`u`.`User_Name` AS `User_Name`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`s`.`is_actual` AS `is_actual`,`s`.`type` AS `type` from ((`tbl_end_of_shift` `s` left join `tbl_common_users` `u` on((`u`.`User_ID` = `s`.`user_id`))) join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `s`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `exchangeratelist`
--
DROP TABLE IF EXISTS `exchangeratelist`;

CREATE  VIEW `exchangeratelist`  AS  select `tbl_currencies_rate`.`Exchange_Rate_ID` AS `Exchange_Rate_ID`,`tbl_currencies_rate`.`from_currency` AS `from_currency`,`tbl_currencies_rate`.`ExchRate` AS `ExchRate`,`tbl_currencies_rate`.`to_currency` AS `to_currency`,`tbl_currencies_rate`.`Exchange_Rate_Date` AS `Exchange_Rate_Date`,`tbl_currencies_rate`.`Logged_ID` AS `Logged_ID` from `tbl_currencies_rate` ;

-- --------------------------------------------------------

--
-- Structure for view `exchange_list`
--
DROP TABLE IF EXISTS `exchange_list`;

CREATE  VIEW `exchange_list`  AS  select `exchang`.`exchange_id` AS `exchange_id`,`exchang`.`exchange_nb` AS `exchange_nb`,`exchang`.`exchange_prefix` AS `exchange_prefix`,`exchang`.`exchange_date` AS `exchange_date`,`exchang`.`invoice_auto_id` AS `invoice_auto_id`,`exchang`.`return_auto_id` AS `return_auto_id`,`exchang`.`is_actual` AS `is_actual`,`exchang`.`date_created` AS `date_created`,`exchang`.`date_time` AS `date_time`,`exchang`.`Logged_ID` AS `Logged_ID`,`exchang`.`created_logged_id` AS `created_logged_id`,`exchang`.`current_year_id` AS `current_year_id`,concat_ws('',`ret`.`invoice_prefix`,`ret`.`Return_ID`) AS `ret_nb`,concat_ws('',`inv`.`invoice_prefix`,`inv`.`Invoice_ID`) AS `inv_nb`,concat_ws('',`exchang`.`exchange_prefix`,`exchang`.`exchange_nb`) AS `exch_nb`,`cust`.`Customer_Name` AS `Customer_Name`,`cust`.`Customer_ID` AS `Customer_ID` from (((`tbl_exchange` `exchang` join `tbl_invoices` `inv` on((`inv`.`Invoice_ID_Auto` = `exchang`.`invoice_auto_id`))) join `tbl_accounting_return_invoices` `ret` on((`ret`.`Return_Invoice_ID` = `exchang`.`return_auto_id`))) join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `inv`.`Customer_ID`))) order by `exchang`.`exchange_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `expenses_list`
--
DROP TABLE IF EXISTS `expenses_list`;

CREATE  VIEW `expenses_list`  AS  select `ex`.`Expense_ID` AS `Expense_ID`,`ex`.`expense_nb` AS `expense_nb`,`ex`.`Expense_Date` AS `Expense_Date`,`ex`.`Expense_DueDate` AS `Expense_DueDate`,`ex`.`Expense_Total_Price` AS `Expense_Total_Price`,`ex`.`Currency_ID` AS `Currency_ID`,`ex`.`current_rate` AS `current_rate`,`ex`.`Expense_Note` AS `Expense_Note`,`ex`.`Logged_ID` AS `Logged_ID`,`ex`.`Supplier_ID` AS `Supplier_ID`,`ex`.`Expense_VAT` AS `Expense_VAT`,`ex`.`Is_Hidden` AS `Is_Hidden`,`ex`.`current_year_id` AS `current_year_id`,`ex`.`supplier_inv_id` AS `supplier_inv_id`,`ex`.`branch_id` AS `branch_id`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`s`.`Supplier_Name` AS `Supplier_Name`,`ex`.`is_pending` AS `is_pending`,`ex`.`is_cash` AS `is_cash` from ((`tbl_accounting_expenses` `ex` join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `ex`.`Currency_ID`))) join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `ex`.`Supplier_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `fixed_assets_register`
--
DROP TABLE IF EXISTS `fixed_assets_register`;

CREATE  VIEW `fixed_assets_register`  AS  select `d`.`Depreciation_Date_ID` AS `Depreciation_Date_ID`,`d`.`Depreciation_Date` AS `Depreciation_Date`,`d`.`Depreciation_Amount` AS `Depreciation_Amount`,`c`.`Account_Code` AS `Account_Code`,`c`.`Account_Name` AS `Account_Name`,`ex`.`Is_Hidden` AS `Is_Hidden`,`ex`.`Currency_ID` AS `Currency_ID`,`ex`.`current_rate` AS `current_rate`,`r`.`Depreciation_Rate_Description` AS `Depreciation_Rate_Description`,`ex`.`branch_id` AS `branch_id`,`s`.`Supplier_Name` AS `Supplier_Name`,`ex`.`expense_nb` AS `expense_nb`,`ex`.`Expense_Date` AS `Expense_Date`,`ed`.`unit_price` AS `unit_price`,`r`.`Depreciation_Rate_Percent` AS `Depreciation_Rate_Percent`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`d`.`Is_Done` AS `Is_Done`,`r`.`Depreciation_Rate_ID` AS `Depreciation_Rate_ID`,`ed`.`quantity` AS `quantity`,`ed`.`net_total` AS `net_total` from ((((((`tbl_accounting_depreciation_dates` `d` join `tbl_accounting_depreciation_rate_data` `r` on((`d`.`Depreciation_Rate_ID` = `r`.`Depreciation_Rate_ID`))) join `tbl_accounting_expenses_details` `ed` on((`ed`.`exp_detail_id` = `r`.`exp_detail_id`))) join `tbl_accounting_expenses` `ex` on((`ex`.`Expense_ID` = `ed`.`Expense_ID`))) join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `ex`.`Supplier_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `ex`.`Currency_ID`))) join `tbl_chart_of_accounts` `c` on((`ed`.`Account_ID` = `c`.`Account_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_delivery_note_list`
--
DROP TABLE IF EXISTS `invoice_delivery_note_list`;

CREATE  VIEW `invoice_delivery_note_list`  AS  select distinct `r`.`Delivery_Report_ID` AS `ID`,`r`.`Delivery_Report_Date` AS `Date`,`s`.`Customer_ID` AS `Customer_Supplier_ID`,`c`.`Customer_Name` AS `Name`,`r`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Product_Delivery_Quantity`,`p`.`Product_Code` AS `Code`,`p`.`Product_Name` AS `Product_Name` from (((((`tbl_inventory_delivery_report` `r` left join `tbl_inventory_delivery_report_items` `d` on((`d`.`Delivery_Report_ID` = `r`.`Delivery_Report_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`UOM_ID`))) left join `tbl_stock_products` `p` on((`d`.`Product_ID` = `p`.`Product_ID`))) left join `tbl_garage_sales_order` `s` on((`s`.`Sales_Order_ID` = `r`.`Order_ID`))) left join `tbl_customers` `c` on((`c`.`Customer_ID` = `s`.`Customer_ID`))) where (`r`.`Is_Customer_Invoice` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_details`
--
DROP TABLE IF EXISTS `invoice_details`;

CREATE  VIEW `invoice_details`  AS  select `i`.`product_description` AS `product_description`,`i`.`vat_percent` AS `vat_percent`,`i`.`vat_amount` AS `vat_amount`,`du`.`UOM_Name` AS `default_uom`,`uc`.`conversion_amount` AS `conversion_amount`,`p`.`Is_Delivery` AS `Is_Delivery`,`p`.`current_year_id` AS `current_year_id`,`p`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`i`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`u`.`UOM_Name` AS `UOM_Name`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`ps`.`Product_VAT` AS `VAT`,`i`.`vat_amount` AS `Product_VAT`,`ps`.`printer_id` AS `Printer_ID`,concat(`i`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Product_Quantity`,`i`.`Entery_ID` AS `Entery_ID`,`p`.`Invoice_ID` AS `Invoice_ID`,`i`.`Product_ID` AS `Product_ID`,`i`.`Product_Discount` AS `Product_Discount`,`i`.`Product_Net_Price` AS `Product_Net_Price`,`i`.`Product_Quantity` AS `Default_Quantity`,`i`.`Product_Total_Price` AS `Product_Total_Price`,`c`.`Currency_ID` AS `Currency_ID`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Invoice_Discount` AS `Invoice_Discount`,`i`.`UOM_ID` AS `UOM_ID`,`uc`.`Bar_Code` AS `Bar_Code`,`p`.`is_committed` AS `is_committed`,`p`.`invoice_type` AS `invoice_type`,`ps`.`Product_Arabic_Name` AS `Product_Arabic_Name`,`i`.`hold` AS `hold` from ((((((`tbl_invoice_products_details` `i` left join `tbl_invoices` `p` on((`p`.`Invoice_ID_Auto` = `i`.`Invoice_ID_Auto`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `p`.`Invoice_Currency`))) left join `tbl_stock_products` `ps` on((`ps`.`Product_ID` = `i`.`Product_ID`))) left join `tbl_uom_conversions` `uc` on(((`i`.`Product_ID` = `uc`.`Product_ID`) and (`i`.`UOM_ID` = `uc`.`uom_from`)))) left join `tbl_stock_uom` `u` on((`i`.`UOM_ID` = `u`.`UOM_ID`))) left join `tbl_stock_uom` `du` on((`ps`.`UOM_ID` = `du`.`UOM_ID`))) order by `p`.`Invoice_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_discount_list`
--
DROP TABLE IF EXISTS `invoice_discount_list`;

CREATE  VIEW `invoice_discount_list`  AS  select `i`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`i`.`is_actual` AS `is_actual`,`i`.`sales_purchase_id` AS `sales_purchase_id`,`i`.`pos_customer_id` AS `pos_customer_id`,`i`.`invoice_prefix` AS `invoice_prefix`,`e`.`User_Full_Name` AS `User_Full_Name`,`i`.`truck` AS `truck`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`Invoice_ID` AS `Invoice_ID`,`c`.`Customer_Name` AS `Customer_Name`,`i`.`current_year_id` AS `current_year_id`,`i`.`Invoice_Date` AS `Invoice_Date`,`i`.`Invoice_Due_Date` AS `Invoice_Due_Date`,`i`.`Invoice_Discount` AS `Invoice_Discount`,`i`.`Invoice_VAT` AS `Invoice_VAT`,`i`.`Invoice_Sub_Total` AS `Invoice_Sub_Total`,`i`.`Invoice_Net_Total` AS `Invoice_Net_Total`,`i`.`Invoice_Currency` AS `Invoice_Currency`,`i`.`Return_Invoice_Total` AS `Return_Invoice_Total`,`i`.`Invoice_Paid_Amount` AS `Invoice_Paid_Amount`,`i`.`Customer_ID` AS `Customer_ID`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`cu`.`Currency_ID` AS `Currency_ID`,`cu`.`Currency_Name` AS `Currency_Name`,`cu`.`currency_round` AS `currency_round`,`i`.`date_time` AS `date_time`,`i`.`Class_ID` AS `Class_ID`,`i`.`Depot_ID` AS `Depot_ID`,`i`.`Invoice_Shipping` AS `Invoice_Shipping`,`i`.`discount_amount` AS `discount_amount`,`i`.`is_main_transfer` AS `is_main_transfer`,`i`.`Account_ID` AS `Account_ID`,`i`.`current_rate` AS `current_rate`,`i`.`Invoice_Description` AS `Invoice_Description`,`dp`.`Depot_Name` AS `Depot_Name`,`i`.`Is_Delivery` AS `Is_Delivery`,`i`.`job_id` AS `job_id`,`i`.`tax_amount` AS `tax_amount`,`i`.`Invoice_Status` AS `Invoice_Status`,`i`.`table_id` AS `table_id`,`i`.`branch_id` AS `branch_id`,`i`.`Logged_ID` AS `Logged_ID`,concat_ws('',`i`.`invoice_prefix`,`i`.`Invoice_ID`) AS `invoice_nb`,`i`.`discount_amount` AS `total_invoice_discount`,sum(`d`.`Discount_Amount`) AS `total_details_discount` from (((((`tbl_invoices` `i` join `tbl_invoice_products_details` `d` on((`d`.`Invoice_ID_Auto` = `i`.`Invoice_ID_Auto`))) left join `tbl_customers` `c` on((`i`.`Customer_ID` = `c`.`Customer_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `i`.`Invoice_Currency`))) left join `tbl_common_users` `e` on((`e`.`User_ID` = `i`.`Logged_ID`))) join `tbl_stock_depot_warehouse` `dp` on((`dp`.`Depot_ID` = `i`.`Depot_ID`))) group by `i`.`Invoice_ID_Auto` ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_list`
--
DROP TABLE IF EXISTS `invoice_list`;

CREATE  VIEW `invoice_list`  AS  select `e`.`is_actual` AS `is_actual`,`e`.`r_d_sph` AS `r_d_sph`,`e`.`c_d_cyl` AS `c_d_cyl`,`e`.`c_d_ax` AS `c_d_ax`,`e`.`c_d_sph` AS `c_d_sph`,`e`.`l_d_cyl` AS `l_d_cyl`,`e`.`l_d_ax` AS `l_d_ax`,`e`.`r_r_sph` AS `r_r_sph`,`e`.`c_r_cyl` AS `c_r_cyl`,`e`.`c_r_ax` AS `c_r_ax`,`e`.`c_r_sph` AS `c_r_sph`,`e`.`l_r_cyl` AS `l_r_cyl`,`e`.`l_r_ax` AS `l_r_ax`,`e`.`cl_r_sph` AS `cl_r_sph`,`e`.`cl_r_cyl` AS `cl_r_cyl`,`e`.`cl_r_axis` AS `cl_r_axis`,`e`.`cl_r_ipd` AS `cl_r_ipd`,`e`.`cl_l_sph` AS `cl_l_sph`,`e`.`cl_l_cyl` AS `cl_l_cyl`,`e`.`cl_l_axis` AS `cl_l_axis`,`e`.`cl_l_ipd` AS `cl_l_ipd`,`e`.`signature_image` AS `signature_image`,`e`.`sales_purchase_id` AS `sales_purchase_id`,if(isnull(`r`.`Return_Invoice_ID`),0,`r`.`Return_Invoice_ID`) AS `Return_ID`,`e`.`Invoice_Status` AS `Invoice_Status`,`e`.`Is_Delivery` AS `is_delivery`,`e`.`Delivery_Time` AS `Delivery_Time`,`e`.`date_time` AS `date_time`,`e`.`Invoice_ID_Auto` AS `ID_Auto`,concat(`e`.`invoice_prefix`,`e`.`Invoice_ID`) AS `ID`,if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`Customer_Name`,`pos_cust`.`customer_name`) AS `Name`,if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`Customer_Mobile`,`pos_cust`.`customer_phone`) AS `customer_mobile`,`e`.`Invoice_Date` AS `Date`,`e`.`Invoice_Due_Date` AS `Due_Date`,`e`.`Is_Closed` AS `Is_Closed`,concat(round(`e`.`Invoice_VAT`,2),' ',`cu`.`Currency_Symbol`) AS `VAT`,concat(round(`e`.`Invoice_Sub_Total`,2),' ',`cu`.`Currency_Symbol`) AS `SubTotal`,concat(round(`e`.`Invoice_Net_Total`,2),' ',`cu`.`Currency_Symbol`) AS `NetTotal`,`s`.`Customer_ID` AS `Person_ID`,`e`.`current_year_id` AS `current_year_id`,`e`.`Logged_ID` AS `Logged_ID`,`e`.`is_app` AS `is_app`,if((`e`.`is_app` = 0),if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`Customer_Address`,`pos_cust`.`customer_address`),`pos_address`.`address_name`) AS `pos_customer_address`,`s`.`Customer_Country_ID` AS `Country_ID`,`e`.`date_created` AS `date_created`,`e`.`branch_id` AS `branch_id`,`e`.`pos_customer_id` AS `pos_customer_id`,`e`.`table_id` AS `table_id`,(`e`.`Invoice_Net_Total` + `e`.`Invoice_Shipping`) AS `net_with_ship`,`e`.`Invoice_Paid_Amount` AS `Invoice_Paid_Amount`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`e`.`posponted_type` AS `posponted_type`,`e`.`Inv_Type` AS `Inv_Type`,`e`.`postponed_date_time` AS `postponed_date_time`,concat_ws(' ',if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`Customer_Name`,`pos_cust`.`customer_name`),if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`Customer_Mobile`,`pos_cust`.`customer_phone`)) AS `customer_name_mobile`,`e`.`is_delivery_notified` AS `is_delivery_notified`,`e`.`Invoice_Date` AS `Invoice_Date`,`e`.`is_committed` AS `is_committed`,`e`.`invoice_type` AS `invoice_type`,`e`.`postponed_note` AS `postponed_note`,`e`.`is_branch_transfer` AS `is_branch_transfer`,`e`.`invoice_app_id` AS `invoice_app_id`,`e`.`exchange_id` AS `exchange_id`,`e`.`Sales_ID` AS `Sales_ID`,`e`.`is_main_transfer` AS `is_main_transfer`,`e`.`Invoice_Description` AS `Invoice_Description`,`e`.`Invoice_Shipping` AS `Invoice_Shipping`,`tab`.`table_name` AS `table_name`,`e`.`reason_id` AS `reason_id`,`driver`.`driver_name` AS `driver_name`,`reg`.`region_name` AS `region_name`,`e`.`received_date` AS `received_date`,`e`.`received_note` AS `received_note`,`e`.`driver_id` AS `driver_id`,if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`region_id`,`pos_cust`.`region_id`) AS `region_id`,`e`.`Payment_Paid_Amount` AS `Payment_Paid_Amount`,(`e`.`Payment_Paid_Amount` + `e`.`Invoice_Paid_Amount`) AS `total_paid_amount` from ((((((((`tbl_invoices` `e` join `tbl_customers` `s` on((`s`.`Customer_ID` = `e`.`Customer_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`Invoice_Currency`))) left join `tbl_accounting_return_invoices` `r` on(((`r`.`Invoice_Purchase_ID` = `e`.`Invoice_ID_Auto`) and (`r`.`Is_Customer_Invoice` = 1)))) left join `tbl_pos_customers` `pos_cust` on((`e`.`pos_customer_id` = `pos_cust`.`customer_id`))) left join `tbl_customer_address` `pos_address` on(((`pos_cust`.`customer_id` = `pos_address`.`customer_id`) and (`e`.`address_id` = `pos_address`.`address_id`)))) left join `tbl_table` `tab` on((`tab`.`table_id` = `e`.`table_id`))) left join `tbl_regions` `reg` on((`reg`.`region_id` = if(((`e`.`pos_customer_id` = 0) or isnull(`e`.`pos_customer_id`)),`s`.`region_id`,`pos_cust`.`region_id`)))) left join `tbl_drivers` `driver` on((`driver`.`driver_id` = `e`.`driver_id`))) order by `e`.`Invoice_ID_Auto` desc ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_list_main`
--
DROP TABLE IF EXISTS `invoice_list_main`;

CREATE  VIEW `invoice_list_main`  AS  select `i`.`cash_amount` AS `cash_amount`,`i`.`r_d_sph` AS `r_d_sph`,`i`.`first_cash_Invoice_Paid_Amount` AS `first_cash_Invoice_Paid_Amount`,`i`.`second_cash_Invoice_Paid_Amount` AS `second_cash_Invoice_Paid_Amount`,`i`.`second_cash_currency_rate` AS `second_cash_currency_rate`,`i`.`second_cash_Invoice_Currency` AS `second_cash_Invoice_Currency`,`i`.`c_d_cyl` AS `c_d_cyl`,`i`.`c_d_ax` AS `c_d_ax`,`i`.`c_d_sph` AS `c_d_sph`,`i`.`l_d_cyl` AS `l_d_cyl`,`i`.`driver_id` AS `driver_id`,`i`.`from_place` AS `from_place`,`i`.`to_place` AS `to_place`,`i`.`l_d_ax` AS `l_d_ax`,`i`.`r_r_sph` AS `r_r_sph`,`i`.`c_r_cyl` AS `c_r_cyl`,`i`.`c_r_ax` AS `c_r_ax`,`i`.`c_r_sph` AS `c_r_sph`,`i`.`l_r_cyl` AS `l_r_cyl`,`i`.`l_r_ax` AS `l_r_ax`,`i`.`cl_r_sph` AS `cl_r_sph`,`i`.`cl_r_cyl` AS `cl_r_cyl`,`i`.`cl_r_axis` AS `cl_r_axis`,`i`.`cl_r_ipd` AS `cl_r_ipd`,`i`.`cl_l_sph` AS `cl_l_sph`,`i`.`cl_l_cyl` AS `cl_l_cyl`,`i`.`cl_l_axis` AS `cl_l_axis`,`i`.`cl_l_ipd` AS `cl_l_ipd`,`i`.`signature_image` AS `signature_image`,`i`.`po` AS `po`,`i`.`project_name_inv` AS `project_name_inv`,`i`.`project_code` AS `project_code`,`i`.`job_inv` AS `job_inv`,`i`.`our_ref` AS `our_ref`,`i`.`supply_date` AS `supply_date`,`i`.`created_logged_id` AS `created_logged_id`,`i`.`service_value` AS `service_value`,`i`.`second_currency_rate` AS `second_currency_rate`,`i`.`is_actual` AS `is_actual`,`i`.`sales_purchase_id` AS `sales_purchase_id`,`i`.`pos_customer_id` AS `pos_customer_id`,`i`.`invoice_prefix` AS `invoice_prefix`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`i`.`truck` AS `truck`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`Invoice_ID` AS `Invoice_ID`,`i`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`c`.`Customer_Name` AS `Customer_Name`,`i`.`current_year_id` AS `current_year_id`,`i`.`Invoice_Date` AS `Invoice_Date`,`i`.`Invoice_Due_Date` AS `Invoice_Due_Date`,`i`.`Invoice_Discount` AS `Invoice_Discount`,`i`.`Invoice_VAT` AS `Invoice_VAT`,`i`.`Invoice_Sub_Total` AS `Invoice_Sub_Total`,`i`.`Invoice_Net_Total` AS `Invoice_Net_Total`,`i`.`Invoice_Currency` AS `Invoice_Currency`,`i`.`Return_Invoice_Total` AS `Return_Invoice_Total`,`i`.`Invoice_Paid_Amount` AS `Invoice_Paid_Amount`,`i`.`Customer_ID` AS `Customer_ID`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`cu`.`Currency_ID` AS `Currency_ID`,`cu`.`Currency_Name` AS `Currency_Name`,`cu`.`currency_round` AS `currency_round`,`i`.`date_time` AS `date_time`,`i`.`date_created` AS `date_created`,`i`.`Class_ID` AS `Class_ID`,`i`.`Depot_ID` AS `Depot_ID`,`i`.`Invoice_Shipping` AS `Invoice_Shipping`,`i`.`discount_amount` AS `discount_amount`,`i`.`is_main_transfer` AS `is_main_transfer`,`pc`.`Class_Name` AS `Class_Name`,`pc`.`tax_amount` AS `class_tax`,`i`.`Account_ID` AS `Account_ID`,`co`.`Account_Code` AS `Account_Code`,`co`.`Account_Name` AS `Account_Name`,`i`.`current_rate` AS `current_rate`,`i`.`Invoice_Description` AS `Invoice_Description`,concat(`dp`.`Depot_Code`,' - ',`dp`.`Depot_Name`) AS `Depot_Name`,`i`.`Is_Delivery` AS `Is_Delivery`,`i`.`job_id` AS `job_id`,`j`.`job_name` AS `job_name`,`i`.`tax_amount` AS `tax_amount`,`tabl`.`table_name` AS `table_name`,`i`.`Bon_Number` AS `Bon_Number`,`i`.`Delivery_Time` AS `Delivery_Time`,`i`.`Persons_Count` AS `Persons_Count`,`c`.`customer_due_date_period` AS `due_date_period`,`i`.`address_id` AS `address_id`,`i`.`table_id` AS `table_id`,`i`.`Invoice_Status` AS `Invoice_Status`,`pc`.`is_ttc` AS `is_ttc`,`i`.`posponted_type` AS `posponted_type`,`i`.`postponed_date_time` AS `postponed_date_time`,`i`.`order_note` AS `order_note`,`i`.`is_committed` AS `is_committed`,`i`.`invoice_type` AS `invoice_type`,`i`.`postponed_note` AS `postponed_note`,`i`.`is_branch_transfer` AS `is_branch_transfer`,`i`.`invoice_app_id` AS `invoice_app_id`,`i`.`Close_ID` AS `Close_ID`,`cu`.`Currency_Code` AS `Currency_Code`,`i`.`discount_amount` AS `Discount_Value`,`i`.`Inv_Type` AS `Inv_Type`,`i`.`Invoice_Note` AS `Invoice_Note`,`i`.`Is_Closed` AS `Is_Closed`,`i`.`is_delivery_notified` AS `is_delivery_notified`,`i`.`is_printed` AS `is_printed`,`i`.`Logged_ID` AS `Logged_ID`,`i`.`reason_id` AS `reason_id`,`i`.`Related_Tables` AS `Related_Tables`,`i`.`void_time` AS `void_time`,`pr`.`project_name` AS `project_name`,`i`.`project_id` AS `project_id`,`i`.`shipping_company_id` AS `shipping_company_id`,`ship_comp`.`shipping_company_name` AS `shipping_company_name`,`tabl`.`table_alias_name` AS `table_alias_name`,`i`.`invoice_user_reference` AS `invoice_user_reference`,`i`.`shipping_note` AS `shipping_note`,`i`.`subscription_fees_id` AS `subscription_fees_id`,`i`.`ship_comp_acc_id` AS `ship_comp_acc_id`,`i`.`is_invoice_total_on_shipping` AS `is_invoice_total_on_shipping`,`i`.`customer_address_alias` AS `customer_address_alias`,`i`.`customer_name_alias` AS `customer_name_alias`,concat_ws(' - ',`c`.`Customer_Name`,`contra`.`contra_date`,`contra`.`contra_nb`) AS `contra_name`,`i`.`contra_id` AS `contra_id`,`i`.`currency_round` AS `inv_currency_round`,`i`.`customer_branch_id` AS `customer_branch_id`,`i`.`vat1_total` AS `vat1_total`,`i`.`vat2_total` AS `vat2_total`,`reg`.`region_name` AS `region_name` from (((((((((((((`tbl_invoices` `i` join `tbl_customers` `c` on((`i`.`Customer_ID` = `c`.`Customer_ID`))) left join `tbl_pos_customers` `pos_cust` on((`i`.`pos_customer_id` = `pos_cust`.`customer_id`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `i`.`Invoice_Currency`))) left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `i`.`Sales_ID`))) left join `tbl_pricing_class` `pc` on((`pc`.`Class_ID` = `i`.`Class_ID`))) join `tbl_chart_of_accounts` `co` on((`co`.`Account_ID` = `i`.`Account_ID`))) join `tbl_stock_depot_warehouse` `dp` on((`dp`.`Depot_ID` = `i`.`Depot_ID`))) left join `tbl_accounting_jobs` `j` on((`j`.`job_id` = `i`.`job_id`))) left join `tbl_table` `tabl` on((`tabl`.`table_id` = `i`.`table_id`))) left join `tbl_projects` `pr` on((`pr`.`project_id` = `i`.`project_id`))) left join `tbl_shipping_company` `ship_comp` on((`ship_comp`.`shipping_company_id` = `i`.`shipping_company_id`))) left join `tbl_contra` `contra` on((`contra`.`contra_id` = `i`.`contra_id`))) left join `tbl_regions` `reg` on((`reg`.`region_id` = if(((`i`.`pos_customer_id` = 0) or isnull(`i`.`pos_customer_id`)),`c`.`region_id`,`pos_cust`.`region_id`)))) ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_returned_products`
--
DROP TABLE IF EXISTS `invoice_returned_products`;

CREATE  VIEW `invoice_returned_products`  AS  select `r`.`Return_Invoice_ID` AS `Return_Invoice_ID`,`r`.`Return_Invoice_Date` AS `Return_Invoice_Date`,`d`.`UOM_ID` AS `UOM_ID`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`Product_ID` AS `Product_ID`,`o`.`Invoice_ID` AS `Inv_Pur_ID`,(`o`.`Invoice_Net_Total` - `o`.`Return_Invoice_Total`) AS `Net_Total`,`o`.`Invoice_Discount` AS `Main_Discount`,`s`.`Customer_Name` AS `Person_Name`,`s`.`Customer_ID` AS `Person_ID`,`o`.`Invoice_Date` AS `Inv_Pur_Date`,`o`.`Invoice_Currency` AS `Currency_ID`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,if(isnull(concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)),concat(0,' ',`u`.`UOM_Name`),concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)) AS `Product_Return_Quantity`,if(isnull((`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),`d`.`Item_Quantity_Current`,(`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)) AS `Remain_Main`,concat(if(isnull((`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),`d`.`Item_Quantity_Current`,(`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),' ',`u`.`UOM_Name`) AS `Remaining_Quantity`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`ps`.`Product_VAT` AS `Item_VAT`,`d`.`Product_Discount` AS `Item_Discount`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,(`d`.`Product_Net_Price` * (`d`.`Product_Quantity` / `d`.`Item_Quantity_Current`)) AS `Item_Price`,((`d`.`Product_Net_Price` * if(isnull((`d`.`Product_Quantity` - `rd`.`Return_Product_Quantity`)),`d`.`Product_Quantity`,(`d`.`Item_Quantity_Current` - `rd`.`Return_Product_Quantity`))) - ((`d`.`Product_Net_Price` * if(isnull((`d`.`Product_Quantity` - `rd`.`Return_Product_Quantity`)),`d`.`Product_Quantity`,(`d`.`Item_Quantity_Current` - `rd`.`Return_Product_Quantity`))) * (`d`.`Product_Discount` / 100))) AS `Total_Item_Price`,`o`.`is_committed` AS `is_committed`,`o`.`invoice_type` AS `invoice_type` from ((((((((`tbl_invoice_products_details` `d` left join `tbl_stock_uom` `u` on((`d`.`UOM_ID` = `u`.`UOM_ID`))) left join `tbl_invoices` `o` on((`o`.`Invoice_ID_Auto` = `d`.`Invoice_ID_Auto`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `o`.`Invoice_Currency`))) left join `tbl_stock_products` `ps` on((`d`.`Product_ID` = `ps`.`Product_ID`))) left join `tbl_accounting_return_invoices` `r` on(((`r`.`Invoice_Purchase_ID` = `o`.`Invoice_ID`) and (`r`.`Is_Customer_Invoice` = 1)))) left join `tbl_accounting_return_items` `rd` on(((`d`.`Product_ID` = `rd`.`Product_ID`) and (`rd`.`Return_Invoice_ID` = `r`.`Return_Invoice_ID`)))) left join `tbl_stock_uom` `ur` on((`rd`.`UOM_ID` = `ur`.`UOM_ID`))) left join `tbl_customers` `s` on((`s`.`Customer_ID` = `o`.`Customer_ID`))) where (`o`.`current_year_id` = (select `tbl_common_current_year_actual`.`current_year_id` from `tbl_common_current_year_actual` where (`tbl_common_current_year_actual`.`is_current` = 1))) ;

-- --------------------------------------------------------

--
-- Structure for view `invoice_type_list`
--
DROP TABLE IF EXISTS `invoice_type_list`;

CREATE  VIEW `invoice_type_list`  AS  select `inv_type`.`invoice_type_id` AS `invoice_type_id`,`inv_type`.`invoice_type_name` AS `invoice_type_name`,`inv_type`.`invoice_type_name_actual` AS `invoice_type_name_actual`,ifnull(`inv_type`.`account_id`,0) AS `account_id`,`inv_type`.`sort_order` AS `sort_order`,`inv_type`.`show_on_menu` AS `show_on_menu`,ifnull(`inv_type`.`cash_account_id`,0) AS `cash_account_id`,ifnull(`inv_type`.`depot_id`,0) AS `depot_id`,`inv_type`.`is_full_paid` AS `is_full_paid`,ifnull(`accounts`.`Account_Name`,'') AS `Account_Name`,ifnull(`accounts`.`Account_Code`,'') AS `Account_Code`,ifnull(`cash_acc`.`Account_Code`,'') AS `cash_account_code`,ifnull(`cash_acc`.`Account_Name`,'') AS `cash_account_name`,ifnull(`depot`.`Depot_Code`,'') AS `depot_code`,ifnull(`depot`.`Depot_Name`,'') AS `depot_name`,ifnull(`cu`.`Customer_Name`,'') AS `customer_name`,ifnull(`pc`.`Class_Name`,'') AS `class_name`,`inv_type`.`depot_options_ids` AS `depot_options_ids`,`inv_type`.`customer_id` AS `customer_id`,`inv_type`.`prevent_change_cust` AS `prevent_change_cust`,`inv_type`.`class_id` AS `class_id`,`inv_type`.`class_options_ids` AS `class_options_ids`,`inv_type`.`type` AS `type`,`inv_type`.`customer_group_id` AS `customer_group_id`,`inv_type`.`supplier_group_id` AS `supplier_group_id`,`inv_type`.`show_fields` AS `show_fields`,ifnull(`cust_group`.`group_name`,'') AS `customer_group_name`,ifnull(`supp_group`.`group_name`,'') AS `supplier_group_name`,`inv_type`.`prevent_change_cash` AS `prevent_change_cash`,`inv_type`.`prevent_change_sales` AS `prevent_change_sales`,`inv_type`.`prevent_change_class` AS `prevent_change_class`,`inv_type`.`hide_payment` AS `hide_payment`,`inv_type`.`salesman_ids` AS `salesman_ids` from (((((((`tbl_invoice_types` `inv_type` left join `tbl_chart_of_accounts` `accounts` on((`accounts`.`Account_ID` = `inv_type`.`account_id`))) left join `tbl_chart_of_accounts` `cash_acc` on((`cash_acc`.`Account_ID` = `inv_type`.`cash_account_id`))) left join `tbl_stock_depot_warehouse` `depot` on((`depot`.`Depot_ID` = `inv_type`.`depot_id`))) left join `tbl_pricing_class` `pc` on((`pc`.`Class_ID` = `inv_type`.`class_id`))) left join `tbl_customers` `cu` on((`cu`.`Customer_ID` = `inv_type`.`customer_id`))) left join `tbl_general_groups` `cust_group` on((`cust_group`.`group_id` = `inv_type`.`customer_group_id`))) left join `tbl_general_groups` `supp_group` on((`supp_group`.`group_id` = `inv_type`.`supplier_group_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `job_order_list`
--
DROP TABLE IF EXISTS `job_order_list`;

CREATE  VIEW `job_order_list`  AS  select `job_orders`.`job_order_id` AS `job_order_id`,`job_orders`.`job_order_nb` AS `job_order_nb`,`job_orders`.`customer_id` AS `customer_id`,`job_orders`.`company` AS `company`,`job_orders`.`print_ref` AS `print_ref`,`job_orders`.`job_order_date` AS `job_order_date`,`job_orders`.`person_in_charge` AS `person_in_charge`,`job_orders`.`note` AS `note`,`job_orders`.`conform_date` AS `conform_date`,`job_orders`.`delivery_date` AS `delivery_date`,`job_orders`.`price` AS `price`,`job_orders`.`first_payment` AS `first_payment`,`job_orders`.`date_created` AS `date_created`,`job_orders`.`date_time` AS `date_time`,`job_orders`.`created_logged_id` AS `created_logged_id`,`job_orders`.`logged_id` AS `logged_id`,`job_orders`.`current_year_id` AS `current_year_id`,`org`.`organization_customer_name` AS `customer_name`,`job_orders`.`stage_id` AS `stage_id`,`job_orders`.`is_published` AS `is_published` from (`tbl_job_order` `job_orders` join `tbl_customer_organization` `org` on((`org`.`organization_id` = `job_orders`.`customer_id`))) order by `job_orders`.`job_order_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `line_machines_list`
--
DROP TABLE IF EXISTS `line_machines_list`;

CREATE  VIEW `line_machines_list`  AS  select `line`.`line_id` AS `line_id`,`line`.`line_name` AS `line_name`,`line_machine`.`line_machine_id` AS `line_machine_id`,group_concat(`product`.`Product_Name` separator ',') AS `machines_name` from ((`tbl_line` `line` join `tbl_line_machine` `line_machine` on((`line`.`line_id` = `line_machine`.`line_id`))) join `tbl_stock_products` `product` on((`line_machine`.`Product_ID` = `product`.`Product_ID`))) group by `line`.`line_id` ;

-- --------------------------------------------------------

--
-- Structure for view `loading_order_list`
--
DROP TABLE IF EXISTS `loading_order_list`;

CREATE  VIEW `loading_order_list`  AS  select `v`.`Vehicle_Registration_Number` AS `Vehicle_Registration_Number`,`o`.`Vehicle_ID` AS `Vehicle_ID`,`o`.`Loading_Order_ID` AS `Loading_Order_ID`,`o`.`Loading_Order_Date` AS `Loading_Order_Date`,`o`.`Is_Load` AS `Is_Load`,concat(`d`.`Employee_FirstName`,' ',`d`.`Employee_MiddleName`,' ',`d`.`Employee_LastName`) AS `Driver_Name`,concat(`sm`.`Employee_FirstName`,' ',`sm`.`Employee_MiddleName`,' ',`sm`.`Employee_LastName`) AS `Sales_Man_Name`,concat(`l`.`Employee_FirstName`,' ',`l`.`Employee_MiddleName`,' ',`l`.`Employee_LastName`) AS `Logged_Name` from ((((`tbl_garage_loading_order` `o` left join `tbl_garage_vehicle` `v` on((`v`.`Vehicle_ID` = `o`.`Vehicle_ID`))) left join `tbl_hrm_employee` `d` on((`o`.`Driver_ID` = `d`.`Employee_ID`))) left join `tbl_hrm_employee` `sm` on((`o`.`Sales_Man_ID` = `sm`.`Employee_ID`))) left join `tbl_hrm_employee` `l` on((`o`.`Logged_ID` = `l`.`Employee_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `maintenance_list`
--
DROP TABLE IF EXISTS `maintenance_list`;

CREATE  VIEW `maintenance_list`  AS  select `maintenance`.`maintenance_id` AS `maintenance_id`,`maintenance`.`maintenance_nb` AS `maintenance_nb`,`maintenance`.`ime` AS `ime`,`maintenance`.`serial_number` AS `serial_number`,`maintenance`.`invoice_number` AS `invoice_number`,`maintenance`.`customer_id` AS `customer_id`,`maintenance`.`maintenance_type_id` AS `maintenance_type_id`,`maintenance`.`maintenance_supporter_id` AS `maintenance_supporter_id`,`maintenance`.`paid_amount` AS `paid_amount`,`maintenance`.`payment_account_id` AS `payment_account_id`,`maintenance`.`maintenance_date` AS `maintenance_date`,`maintenance`.`maintenance_status_id` AS `maintenance_status_id`,`maintenance`.`date_finished` AS `date_finished`,`maintenance`.`finished_by` AS `finished_by`,`maintenance`.`finished_solution` AS `finished_solution`,`maintenance`.`date_created` AS `date_created`,`maintenance`.`created_by` AS `created_by`,`maintenance`.`date_modified` AS `date_modified`,`maintenance`.`modified_by` AS `modified_by`,`maintenance`.`maintenance_reply_id` AS `maintenance_reply_id`,`cust`.`Customer_Name` AS `Customer_Name`,`maintenance_type`.`maintenance_type_name` AS `maintenance_type_name`,`stat`.`ticketing_status_name` AS `ticketing_status_name`,`maintenance`.`assigned_user_id` AS `assigned_user_id`,`maintenance`.`maintenance_schedule_date` AS `maintenance_schedule_date`,`supporter`.`maintenance_supporter_name` AS `supporter_name`,`users`.`User_Name` AS `User_Name` from (((((`tbl_maintenance` `maintenance` join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `maintenance`.`customer_id`))) join `tbl_maintenance_type` `maintenance_type` on((`maintenance_type`.`maintenance_type_id` = `maintenance`.`maintenance_type_id`))) join `tbl_maintenance_supporter` `supporter` on((`supporter`.`maintenance_supporter_id` = `maintenance`.`maintenance_supporter_id`))) join `tbl_ticketing_status` `stat` on((`stat`.`ticketing_status_id` = `maintenance`.`maintenance_status_id`))) left join `tbl_common_users` `users` on((`users`.`User_ID` = `maintenance`.`assigned_user_id`))) order by `maintenance`.`maintenance_nb` desc ;

-- --------------------------------------------------------

--
-- Structure for view `mdcl_employee`
--
DROP TABLE IF EXISTS `mdcl_employee`;

CREATE  VIEW `mdcl_employee`  AS  select `mdcl_place`.`mdcl_place_name` AS `mdcl_place_name`,`mdcl_type`.`mdcl_type_name` AS `mdcl_type_name`,`mdcl_emp`.`mdcl_employee_id` AS `mdcl_employee_id`,`mdcl_emp`.`Employee_ID` AS `Employee_ID`,`mdcl_emp`.`mdcl_employee_date` AS `mdcl_employee_date`,`mdcl_emp`.`mdcl_employee_note` AS `mdcl_employee_note`,`mdcl_emp`.`mdcl_total_iswa` AS `mdcl_total_iswa`,`mdcl_emp`.`mdcl_total_employee` AS `mdcl_total_employee`,`mdcl_emp`.`mdcl_total_final` AS `mdcl_total_final`,`mdcl_emp_dtl`.`mdcl_emp_dtl_id` AS `mdcl_emp_dtl_id`,`mdcl_emp_dtl`.`mdcl_type_id` AS `mdcl_type_id`,`mdcl_emp_dtl`.`mdcl_place_id` AS `mdcl_place_id`,`mdcl_emp_dtl`.`mdcl_emp_dtl_total` AS `mdcl_emp_dtl_total`,`mdcl_emp_dtl`.`mdcl_emp_dtl_iswa_percent` AS `mdcl_emp_dtl_iswa_percent`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`e`.`Is_Hidden` AS `Is_Hidden` from ((((`tbl_mdcl_employee` `mdcl_emp` join `tbl_hrm_employee` `e` on((`mdcl_emp`.`Employee_ID` = `e`.`Employee_ID`))) join `tbl_mdcl_employee_details` `mdcl_emp_dtl` on((`mdcl_emp`.`mdcl_employee_id` = `mdcl_emp_dtl`.`mdcl_employee_id`))) join `tbl_mdcl_type` `mdcl_type` on((`mdcl_emp_dtl`.`mdcl_type_id` = `mdcl_type`.`mdcl_type_id`))) join `tbl_mdcl_place` `mdcl_place` on((`mdcl_emp_dtl`.`mdcl_place_id` = `mdcl_place`.`mdcl_place_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `mov_sales_order`
--
DROP TABLE IF EXISTS `mov_sales_order`;

CREATE  VIEW `mov_sales_order`  AS  select `d`.`Unit_Price` AS `Unit_Price`,`d`.`vat_amount` AS `vat_amount`,`d`.`total_price` AS `total_price`,`i`.`is_actual` AS `is_actual`,`i`.`current_year_id` AS `current_year_id`,`d`.`Entry_ID` AS `Entry_ID`,`i`.`Supplier_ID` AS `Supplier_ID`,`d`.`Item_ID` AS `Item_ID`,`d`.`Quantity` AS `Quantity`,`i`.`Order_Date` AS `Date`,if((`i`.`is_sales` = 1),`c`.`Customer_Name`,`su`.`Supplier_Name`) AS `Name`,`p`.`Product_Name` AS `Product_Name`,`p`.`Product_Code` AS `Product_Code`,`u`.`UOM_Name` AS `UOM_Name`,`i`.`date_time` AS `date_time`,`i`.`Logged_ID` AS `Logged_ID`,`p`.`Category_ID` AS `Category_ID`,concat(`i`.`sale_prefix`,`i`.`Order_ID_Auto`) AS `order_nb`,`i`.`date_created` AS `date_created`,`i`.`created_logged_id` AS `created_logged_id`,`category`.`Cat_Name` AS `Cat_Name`,`i`.`Order_ID` AS `Order_ID`,`i`.`is_sales` AS `is_sales`,`i`.`is_quotation` AS `is_quotation`,`d`.`UOM_ID` AS `UOM_ID`,`i`.`delivery_date` AS `delivery_date`,`i`.`branch_id` AS `branch_id`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`i`.`Currency_ID` AS `Currency_ID`,`i`.`current_rate` AS `current_rate`,`d`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`d`.`discount_amount` AS `discount_amount`,`p`.`brand_id` AS `brand_id`,`i`.`is_converted` AS `is_converted` from (((((((`tbl_purchase_order_details` `d` join `tbl_purchase_order` `i` on((`i`.`Order_ID` = `d`.`Order_ID`))) left join `tbl_customers` `c` on(((`c`.`Customer_ID` = `i`.`Supplier_ID`) and (`i`.`is_sales` = 1)))) left join `tbl_stock_suppliers` `su` on(((`su`.`Supplier_ID` = `i`.`Supplier_ID`) and (`i`.`is_sales` = 0)))) join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Item_ID`))) join `tbl_product_cat` `category` on((`category`.`Cat_ID` = `p`.`Category_ID`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`UOM_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `i`.`Currency_ID`))) where (`i`.`is_quotation` = 0) ;

-- --------------------------------------------------------

--
-- Structure for view `overtime_paid_details`
--
DROP TABLE IF EXISTS `overtime_paid_details`;

CREATE  VIEW `overtime_paid_details`  AS  select concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`b`.`department_name` AS `Branch_Name`,`j`.`Job_Name` AS `Job_Name`,`o`.`Overtime_Amount` AS `Overtime_Amount`,`o`.`Overtime_ID` AS `Overtime_ID`,`o`.`OverTime_Date` AS `OverTime_Date`,`c`.`Currency_Symbol` AS `Currency_Symbol` from ((((`tbl_hrm_employee_overtime_hours` `o` left join `tbl_hrm_employee` `e` on((`o`.`Employee_ID` = `e`.`Employee_ID`))) left join `tbl_department` `b` on((`b`.`department_id` = `e`.`Branch_ID`))) left join `tbl_hrm_jobs` `j` on((`j`.`Job_ID` = `e`.`job_id`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `o`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `paid_accrued_leave`
--
DROP TABLE IF EXISTS `paid_accrued_leave`;

CREATE  VIEW `paid_accrued_leave`  AS  select `p`.`Paid_Accrued_ID` AS `Paid_Accrued_ID`,`p`.`Employee_ID` AS `Employee_ID`,`p`.`Days_Number` AS `Days_Number`,`p`.`Paid_Date` AS `Paid_Date`,`p`.`Payment_Code` AS `Payment_Code`,`p`.`Account_ID` AS `Account_ID`,`p`.`Paid_Amount` AS `Paid_Amount`,`p`.`Currency_ID` AS `Currency_ID`,`p`.`Logged_ID` AS `Logged_ID`,`p`.`is_actual` AS `is_actual`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`c`.`Account_Name` AS `Account_Name`,`c`.`Account_Code` AS `Account_Code` from (((`tbl_hrm_paid_accrued` `p` join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `p`.`Employee_ID`))) join `tbl_chart_of_accounts` `c` on((`c`.`Account_ID` = `p`.`Payment_Code`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `p`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `payment_list`
--
DROP TABLE IF EXISTS `payment_list`;

CREATE  VIEW `payment_list`  AS  select `d`.`pay_rec_id` AS `Payment_Auto_ID`,`p`.`prefix` AS `payment_prefix`,concat(`p`.`prefix`,`p`.`pay_rec_nb`) AS `ID`,`p`.`pay_rec_nb` AS `Payment_ID`,`p`.`Account_ID` AS `Account_ID`,`a`.`Account_Code` AS `Account_Code`,`d`.`payment_due_date` AS `Payment_Due_Date`,`d`.`payment_amount` AS `Payment_Amount`,`d`.`payment_account_id` AS `Payment_Type_ID`,`p`.`payment_date` AS `Payment_Date`,`d`.`currency_id` AS `Currency_ID`,`d`.`payment_note` AS `Payment_Note`,`d`.`cheque_nb` AS `Cheque_Number`,`p`.`is_receipt` AS `IsReceipt`,`p`.`Logged_ID` AS `Logged_ID`,`p`.`branch_id` AS `branch_id`,`p`.`created_logged_id` AS `created_logged_id`,`p`.`is_actual` AS `Status_ID`,`a`.`Account_Name` AS `Account_Name`,`t`.`Account_Name` AS `Payment_Type_Name`,`c`.`Currency_Name` AS `Currency_Name`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`current_year_id` AS `current_year_id`,`users`.`User_Full_Name` AS `User_Full_Name`,`p`.`date_created` AS `date_created`,`d`.`user_ref` AS `user_ref`,`p`.`pos_customer_id` AS `pos_customer_id`,ifnull(`pc`.`customer_name`,'') AS `pos_customer_name`,`p`.`payment_app_id` AS `payment_app_id`,`p`.`is_main_transfer` AS `is_main_transfer`,`p`.`subscription_fees_id` AS `subscription_fees_id`,`p`.`is_pending` AS `is_pending`,`p`.`is_return` AS `is_return`,`d`.`payment_detail_id` AS `payment_detail_id`,`d`.`is_returned` AS `is_returned`,`p`.`salesman_id` AS `salesman_id`,`p`.`total_amount` AS `total_amount`,`mc`.`Currency_Name` AS `main_Currency_Name`,`mc`.`Currency_Symbol` AS `main_Currency_Symbol`,`p`.`Currency_ID` AS `main_Currency_ID`,`p`.`is_pos` AS `is_pos` from (((((((`tbl_payment_receipt_details` `d` join `tbl_payment_receipt` `p` on((`p`.`pay_rec_id` = `d`.`pay_rec_id`))) left join `tbl_chart_of_accounts` `a` on((`p`.`Account_ID` = `a`.`Account_ID`))) join `tbl_common_currency` `c` on((`d`.`currency_id` = `c`.`Currency_ID`))) join `tbl_common_currency` `mc` on((`p`.`Currency_ID` = `mc`.`Currency_ID`))) join `tbl_chart_of_accounts` `t` on((`d`.`payment_account_id` = `t`.`Account_ID`))) join `tbl_common_users` `users` on((`users`.`User_ID` = `p`.`created_logged_id`))) left join `tbl_pos_customers` `pc` on((`p`.`pos_customer_id` = `pc`.`customer_id`))) order by `p`.`pay_rec_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `pipeline_data`
--
DROP TABLE IF EXISTS `pipeline_data`;

CREATE  VIEW `pipeline_data`  AS  select `deal`.`deal_id` AS `deal_id`,`deal`.`deal_title` AS `deal_title`,`deal`.`deal_date` AS `deal_date`,`deal`.`deal_state` AS `deal_state`,`deal`.`stage_id` AS `stage_id`,`deal`.`contact_id` AS `contact_id`,`deal`.`deal_value` AS `deal_value`,`deal`.`currency_id` AS `currency_id`,`deal`.`deal_open` AS `deal_open`,`deal`.`progress_id` AS `progress_id`,`deal`.`order_id` AS `order_id`,`deal`.`reason_for_loss` AS `reason_for_loss`,`contact`.`contact_name` AS `contact_name`,`org`.`organization_id` AS `organization_id`,`org`.`organization_name` AS `organization_name`,`org`.`organization_customer_name` AS `organization_customer_name`,`activity`.`activity_id` AS `activity_id`,`activity`.`activity_title` AS `activity_title`,`activity`.`activity_checked` AS `activity_checked`,`activity`.`activity_notes` AS `activity_notes`,`activity`.`end_date` AS `end_date`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol` from ((((`tbl_deals` `deal` left join `tbl_contacts` `contact` on((`deal`.`contact_id` = `contact`.`contact_id`))) left join `tbl_customer_organization` `org` on((`contact`.`organization_id` = `org`.`organization_id`))) left join `tbl_deals_activity` `activity` on(((`activity`.`deal_id` = `deal`.`deal_id`) and (`activity`.`activity_checked` = 0)))) left join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `deal`.`currency_id`))) where (`deal`.`deal_state` = 'Incomplete') ;

-- --------------------------------------------------------

--
-- Structure for view `pos_invoices`
--
DROP TABLE IF EXISTS `pos_invoices`;

CREATE  VIEW `pos_invoices`  AS  select `tabl`.`table_name` AS `table_name`,`i`.`Is_Closed` AS `Is_Closed`,`i`.`Close_ID` AS `Close_ID`,`i`.`Persons_Count` AS `Persons_Count`,`i`.`Related_Tables` AS `Related_Tables`,`i`.`table_id` AS `table_id`,`i`.`Is_Delivery` AS `Is_Delivery`,`i`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`i`.`Invoice_ID` AS `Invoice_ID`,`i`.`Customer_ID` AS `Customer_ID`,`i`.`Invoice_Date` AS `Invoice_Date`,`i`.`Invoice_Currency` AS `Invoice_Currency`,`i`.`Invoice_VAT` AS `Invoice_VAT`,`i`.`Invoice_Shipping` AS `Invoice_Shipping`,`i`.`Invoice_Sub_Total` AS `Invoice_Sub_Total`,`i`.`Invoice_Discount` AS `Invoice_Discount`,`i`.`Invoice_Net_Total` AS `Invoice_Net_Total`,`i`.`Invoice_Due_Date` AS `Invoice_Due_Date`,`i`.`Invoice_Paid_Amount` AS `Invoice_Paid_Amount`,`i`.`Invoice_Status` AS `Invoice_Status`,`i`.`Return_Invoice_Total` AS `Return_Invoice_Total`,`i`.`Logged_ID` AS `Logged_ID`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`Load_ID` AS `Load_ID`,`i`.`current_year_id` AS `current_year_id`,`i`.`date_time` AS `date_time`,`i`.`Invoice_Description` AS `Invoice_Description`,`i`.`Invoice_Note` AS `Invoice_Note`,`i`.`Bon_Number` AS `Bon_Number`,`i`.`Archive_Status` AS `Archive_Status`,`i`.`Inv_Type` AS `Inv_Type`,`i`.`Delivery_Time` AS `Delivery_Time`,`i`.`reason_id` AS `reason_id`,`i`.`invoice_prefix` AS `invoice_prefix`,`i`.`date_created` AS `date_created`,`i`.`void_time` AS `void_time`,`c`.`Customer_Name` AS `Customer_Name`,`c`.`Customer_Address` AS `customer_address`,`c`.`Customer_Phone` AS `customer_phone`,((`i`.`Invoice_Sub_Total` * `i`.`Invoice_Discount`) / 100) AS `Discount_Value`,`cc`.`Currency_Symbol` AS `Currency_Symbol`,`cc`.`Currency_Code` AS `Currency_Code`,`cc`.`currency_round` AS `currency_round`,`cc`.`Currency_Name` AS `Currency_Name`,`i`.`is_printed` AS `is_printed`,`i`.`order_note` AS `order_note`,`i`.`is_delivery_notified` AS `is_delivery_notified`,`i`.`is_committed` AS `is_committed`,`i`.`invoice_type` AS `invoice_type`,`i`.`is_actual` AS `is_actual`,`tabl`.`status_id` AS `table_status_id` from (((`tbl_invoices` `i` left join `tbl_customers` `c` on((`i`.`Customer_ID` = `c`.`Customer_ID`))) left join `tbl_table` `tabl` on((`i`.`table_id` = `tabl`.`table_id`))) join `tbl_common_currency` `cc` on((`cc`.`Currency_ID` = `i`.`Invoice_Currency`))) order by `i`.`Invoice_Status` ;

-- --------------------------------------------------------

--
-- Structure for view `prepaid_expense_income`
--
DROP TABLE IF EXISTS `prepaid_expense_income`;

CREATE  VIEW `prepaid_expense_income`  AS  select `p`.`Prepaid_ID` AS `Prepaid_ID`,`a`.`Account_Code` AS `Account_Code`,`pa`.`Account_Code` AS `Prepaid_Code`,`a`.`Account_Name` AS `Main_Account`,`pa`.`Account_Name` AS `Prepaid_Account`,`s`.`Supplier_Name` AS `Supplier_Name`,concat(`p`.`Total_Amount`,'',`c`.`Currency_Symbol`) AS `Total_Amount`,concat(`p`.`Amount_PerMonth`,' ',`c`.`Currency_Symbol`) AS `Amount_PerMonth`,`p`.`Description` AS `Description`,`p`.`Start_Date` AS `Start_Date`,`p`.`End_Date` AS `End_Date`,`p`.`Is_Actual` AS `Is_Actual`,`p`.`current_year_id` AS `current_year_id`,`p`.`is_expense` AS `is_expense` from ((((`tbl_accounting_prepaid_expense_income` `p` left join `tbl_chart_of_accounts` `a` on((`a`.`Account_ID` = `p`.`Account_ID`))) left join `tbl_chart_of_accounts` `pa` on((`pa`.`Account_ID` = `p`.`Prepaid_Account_ID`))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `p`.`Supplier_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `p`.`Currency_ID`))) where (`p`.`Status_ID` = 1) group by `p`.`Prepaid_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `pricing_class_list`
--
DROP TABLE IF EXISTS `pricing_class_list`;

CREATE  VIEW `pricing_class_list`  AS  select `tbl_pricing_class`.`Class_ID` AS `class_id`,concat(`tbl_pricing_class`.`Class_Name`,' - ',`tbl_common_currency`.`Currency_Symbol`) AS `class_name` from (`tbl_pricing_class` join `tbl_common_currency` on((`tbl_pricing_class`.`Currency_ID` = `tbl_common_currency`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `printer_list`
--
DROP TABLE IF EXISTS `printer_list`;

CREATE  VIEW `printer_list`  AS  select `printer`.`printer_id` AS `printer_id`,`printer`.`printer_name` AS `printer_name`,`printer`.`printer_title` AS `printer_title`,`printer`.`printer_key` AS `printer_key`,`printer`.`is_default` AS `is_default`,`printer`.`branch_id` AS `branch_id`,`branch`.`branch_name` AS `branch_name` from (`tbl_printers` `printer` left join `tbl_organization_branches` `branch` on((`printer`.`branch_id` = `branch`.`branch_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `process_employee`
--
DROP TABLE IF EXISTS `process_employee`;

CREATE  VIEW `process_employee`  AS  select `pt`.`template_name` AS `template_name`,`pp`.`barcode_nb` AS `barcode_nb`,`pp`.`date` AS `date`,`ppet`.`employee_id` AS `Employee_ID`,`pt`.`template_id` AS `template_id`,concat(`he`.`Employee_FirstName`,' ',`he`.`Employee_LastName`) AS `full_name`,`pet`.`type_name` AS `type_name`,`ppet`.`cost` AS `cost`,`ppet`.`process_id` AS `process_id` from ((((`tbl_production_process_employee_type` `ppet` join `tbl_hrm_employee` `he`) join `tbl_production_process` `pp`) join `tbl_production_emp_types` `pet`) join `tbl_production_template` `pt`) where ((`ppet`.`employee_id` = `he`.`Employee_ID`) and (`ppet`.`type_id` = `pet`.`type_id`) and (`ppet`.`process_id` = `pp`.`process_id`) and (`pt`.`template_id` = `pp`.`template_id`)) ;

-- --------------------------------------------------------

--
-- Structure for view `production_process_details`
--
DROP TABLE IF EXISTS `production_process_details`;

CREATE  VIEW `production_process_details`  AS  select `d`.`process_id` AS `process_id`,`d`.`process_detail_id` AS `process_detail_id`,`d`.`current_quantity` AS `current_quantity`,`d`.`default_quantity` AS `default_quantity`,`d`.`operation` AS `operation`,`d`.`cost` AS `cost`,`pr`.`Product_Code` AS `Product_Code`,`pr`.`Product_Name` AS `Product_Name`,`p`.`template_id` AS `template_id`,`pr`.`Category_ID` AS `Category_ID`,`p`.`date` AS `date`,`d`.`Product_ID` AS `Product_ID`,`u`.`UOM_Name` AS `UOM_Name`,`u`.`UOM_ID` AS `UOM_ID`,`t`.`template_name` AS `template_name`,`p`.`process_quantity` AS `process_quantity`,`p`.`date_time` AS `date_time` from ((((`tbl_production_process_details` `d` join `tbl_production_process` `p` on((`p`.`process_id` = `d`.`process_id`))) join `tbl_stock_products` `pr` on((`pr`.`Product_ID` = `d`.`Product_ID`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`UOM_ID`))) join `tbl_production_template` `t` on((`t`.`template_id` = `p`.`template_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `products_uom`
--
DROP TABLE IF EXISTS `products_uom`;

CREATE  VIEW `products_uom`  AS  select concat_ws('-',`p`.`Product_ID`,`uc`.`uom_from`) AS `current_key`,`uc`.`Bar_Code` AS `Bar_Code`,`p`.`Product_ID` AS `Product_ID`,`p`.`Product_Code` AS `Product_Code`,`p`.`product_second_code` AS `product_second_code`,`p`.`Product_Name` AS `Product_Name`,`p`.`Category_ID` AS `Category_ID`,`u`.`UOM_Name` AS `UOM_Name`,`uc`.`uom_from` AS `UOM_ID`,`p`.`is_expiry` AS `is_expiry`,`p`.`is_lot` AS `is_lot`,`p`.`is_serial` AS `is_serial`,`p`.`Status_ID` AS `Status_ID`,`p`.`is_service` AS `is_service` from ((`tbl_stock_products` `p` join `tbl_uom_conversions` `uc` on((`p`.`Product_ID` = `uc`.`Product_ID`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `uc`.`uom_from`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_add_ons`
--
DROP TABLE IF EXISTS `product_add_ons`;

CREATE  VIEW `product_add_ons`  AS  select `product`.`product_add_ons_id` AS `product_add_ons_id`,`product`.`product_add_ons_quantity` AS `product_add_ons_quantity`,`product`.`add_ons_id` AS `add_ons_id`,`product`.`product_id` AS `product_id`,`add_ons`.`add_ons_title` AS `add_ons_title` from (`tbl_product_add_ons` `product` join `tbl_add_ons` `add_ons` on((`product`.`add_ons_id` = `add_ons`.`add_ons_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_criteria`
--
DROP TABLE IF EXISTS `product_criteria`;

CREATE  VIEW `product_criteria`  AS  select `criteria`.`criteria_id` AS `criteria_id`,`criteria`.`criteria_name` AS `criteria_name`,`criteria`.`criteria_type` AS `criteria_type`,`criteria`.`criteria_max_count` AS `criteria_max_count`,`criteria`.`is_required` AS `is_required`,`criteria`.`Product_ID` AS `Product_ID`,group_concat(`detail`.`criteria_detail_name` separator '<br>') AS `criteria_details` from (`tbl_product_criteria` `criteria` join `tbl_product_criteria_detail` `detail` on((`criteria`.`criteria_id` = `detail`.`criteria_id`))) group by `criteria`.`criteria_id` ;

-- --------------------------------------------------------

--
-- Structure for view `product_criteria_detail`
--
DROP TABLE IF EXISTS `product_criteria_detail`;

CREATE  VIEW `product_criteria_detail`  AS  select `criteria`.`criteria_id` AS `criteria_id`,`criteria`.`criteria_name` AS `criteria_name`,`criteria`.`criteria_type` AS `criteria_type`,`criteria`.`criteria_max_count` AS `criteria_max_count`,`criteria`.`is_required` AS `is_required`,`criteria`.`Product_ID` AS `Product_ID`,`detail`.`criteria_detail_id` AS `criteria_detail_id`,`detail`.`criteria_detail_name` AS `criteria_detail_name`,`detail`.`criteria_detail_price` AS `criteria_detail_price`,`inv_details`.`invoice_criteria_id` AS `invoice_criteria_id`,`inv_details`.`criteria_detail_id` AS `details_id`,`criteria`.`category_id` AS `category_id`,`category`.`Cat_Name` AS `category_name` from (((`tbl_product_criteria` `criteria` join `tbl_product_criteria_detail` `detail` on((`criteria`.`criteria_id` = `detail`.`criteria_id`))) left join `tbl_invoice_product_criteria` `inv_details` on((`inv_details`.`criteria_detail_id` = `detail`.`criteria_detail_id`))) left join `tbl_product_cat` `category` on((`category`.`Cat_ID` = `criteria`.`category_id`))) group by `detail`.`criteria_detail_id` ;

-- --------------------------------------------------------

--
-- Structure for view `product_expenses`
--
DROP TABLE IF EXISTS `product_expenses`;

CREATE  VIEW `product_expenses`  AS  select `e`.`expense_id` AS `expense_id`,concat(`e`.`prefix`,`e`.`expense_nb`) AS `ex_nb`,`e`.`expense_nb` AS `expense_nb`,`e`.`Product_ID` AS `Product_ID`,`e`.`expense_date_time` AS `expense_date_time`,`e`.`created_logged_id` AS `created_logged_id`,`e`.`Logged_ID` AS `Logged_ID`,`e`.`date_created` AS `date_created`,`e`.`date_time` AS `date_time`,`e`.`note` AS `note`,`e`.`prefix` AS `prefix`,`e`.`Depot_ID` AS `Depot_ID`,`e`.`branch_id` AS `branch_id`,`e`.`current_year_id` AS `current_year_id`,`e`.`is_actual` AS `is_actual`,`p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,concat(`d`.`Depot_Code`,' - ',`d`.`Depot_Name`) AS `Depot_Name`,`e`.`line_id` AS `line_id`,`line`.`line_name` AS `line_name`,concat_ws(' - ',`p`.`Product_Name`,`machines_products`.`part_note`) AS `product_full_name` from ((((`tbl_product_expenses` `e` join `tbl_line` `line` on((`line`.`line_id` = `e`.`line_id`))) join `tbl_stock_products_parts` `machines_products` on((`e`.`Product_ID` = `machines_products`.`part_id`))) join `tbl_stock_products` `p` on((`machines_products`.`part_product_id` = `p`.`Product_ID`))) join `tbl_stock_depot_warehouse` `d` on((`d`.`Depot_ID` = `e`.`Depot_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_link`
--
DROP TABLE IF EXISTS `product_link`;

CREATE  VIEW `product_link`  AS  select `link`.`link_id` AS `link_id`,`link`.`main_product_id` AS `main_product_id`,`link`.`sub_product_id` AS `sub_product_id`,`link`.`quantity` AS `quantity`,`link`.`UOM_ID` AS `UOM_ID`,`link`.`current_quantity` AS `current_quantity`,`link`.`operation` AS `operation`,`products`.`Product_Name` AS `Product_Name`,`uom`.`UOM_Name` AS `UOM_Name`,`products`.`UOM_ID` AS `defualt_product_uom`,`mp`.`Product_Name` AS `main_product_name`,`mp`.`UOM_ID` AS `main_uom_id`,0 AS `price`,0 AS `profit`,`mp`.`recipe_qty` AS `recipe_qty`,`muom`.`UOM_Name` AS `main_uom` from ((((`tbl_products_link` `link` join `tbl_stock_products` `products` on((`link`.`sub_product_id` = `products`.`Product_ID`))) join `tbl_stock_uom` `uom` on((`link`.`UOM_ID` = `uom`.`UOM_ID`))) join `tbl_stock_products` `mp` on((`mp`.`Product_ID` = `link`.`main_product_id`))) join `tbl_stock_uom` `muom` on((`muom`.`UOM_ID` = `mp`.`UOM_ID`))) order by `link`.`main_product_id` ;

-- --------------------------------------------------------

--
-- Structure for view `product_list`
--
DROP TABLE IF EXISTS `product_list`;

CREATE  VIEW `product_list`  AS  select `products`.`Product_ID` AS `Product_ID`,`products`.`Product_Code` AS `Product_Code`,`products`.`Product_Name` AS `Product_Name`,`products`.`Category_ID` AS `Category_ID`,`products`.`Currency_ID` AS `Currency_ID`,`products`.`Product_Quantity` AS `Product_Quantity`,`products`.`Product_Cost` AS `Product_Cost`,`products`.`Product_Price` AS `Product_Price`,`products`.`Product_Reorder_Point` AS `Product_Reorder_Point`,`products`.`UOM_ID` AS `UOM_ID`,`products`.`Product_VAT` AS `Product_VAT`,`products`.`vat_percent` AS `vat_percent`,`products`.`vat2_percent` AS `vat2_percent`,`products`.`Status_ID` AS `Status_ID`,`products`.`Parent_ID` AS `Parent_ID`,`products`.`date_created` AS `date_created`,`products`.`created_logged_id` AS `created_logged_id`,`products`.`date_time` AS `date_time`,`products`.`Logged_ID` AS `Logged_ID`,`products`.`Product_Note` AS `Product_Note`,`products`.`product_description` AS `product_description`,`products`.`printer_id` AS `printer_id`,`products`.`Product_PLU` AS `Product_PLU`,`products`.`PLU_Type` AS `PLU_Type`,`products`.`Product_Arabic_Name` AS `Product_Arabic_Name`,`products`.`on_scale` AS `on_scale`,`products`.`product_type` AS `product_type`,`products`.`group_account_id` AS `group_account_id`,`products`.`Product_Limit_Discount` AS `Product_Limit_Discount`,`products`.`is_tax` AS `is_tax`,`products`.`product_color` AS `product_color`,`products`.`product_order` AS `product_order`,`products`.`row_number` AS `row_number`,`products`.`column_number` AS `column_number`,`products`.`page_number` AS `page_number`,`products`.`brand_id` AS `brand_id`,`products`.`section_id` AS `section_id`,`products`.`family_id` AS `family_id`,`products`.`machine_type_id` AS `machine_type_id`,`products`.`is_expiry` AS `is_expiry`,`products`.`link_note` AS `link_note`,`products`.`force_change_price` AS `force_change_price`,`products`.`duration_reservation` AS `duration_reservation`,`products`.`default_view_uom_id` AS `default_view_uom_id`,`products`.`default_view_rate` AS `default_view_rate`,`products`.`branch_id` AS `branch_id`,`products`.`is_lot` AS `is_lot`,`products`.`is_serial` AS `is_serial`,`products`.`main_supplier_id` AS `main_supplier_id`,`products`.`default_sales_uom` AS `default_sales_uom`,`products`.`default_purchase_uom` AS `default_purchase_uom`,`products`.`is_ticket` AS `is_ticket`,`products`.`is_service` AS `is_service`,`brands`.`brand_name` AS `brand_name`,`family`.`family_name` AS `family_name`,`cat`.`Cat_Name` AS `Cat_Name` from (((`tbl_stock_products` `products` left join `tbl_brand_products` `brands` on((`products`.`brand_id` = `brands`.`brand_id`))) left join `tbl_inventory_family` `family` on((`products`.`family_id` = `family`.`family_id`))) left join `tbl_product_cat` `cat` on((`products`.`Category_ID` = `cat`.`Cat_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_location`
--
DROP TABLE IF EXISTS `product_location`;

CREATE  VIEW `product_location`  AS  select `p`.`Product_ID` AS `Product_ID`,`p`.`product_second_code` AS `product_second_code`,`p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,`p`.`Product_Quantity` AS `total_quantity`,`l`.`Product_Depot_Quantity` AS `Product_Quantity`,`p`.`Category_ID` AS `Category_ID`,`d`.`Depot_Name` AS `Depot_Name`,`l`.`Product_Depot_ID` AS `Depot_ID` from ((`tbl_stock_product_location` `l` join `tbl_stock_products` `p` on((`l`.`Location_Product_ID` = `p`.`Product_ID`))) join `tbl_stock_depot_warehouse` `d` on((`l`.`Product_Depot_ID` = `d`.`Depot_ID`))) where ((`d`.`Status_ID` = 1) and (`l`.`Status_ID` = 1)) ;

-- --------------------------------------------------------

--
-- Structure for view `product_movement_invoice`
--
DROP TABLE IF EXISTS `product_movement_invoice`;

CREATE  VIEW `product_movement_invoice`  AS  select `d`.`Product_Net_Price` AS `Product_Net_Price`,`d`.`vat_amount` AS `vat_amount`,`p`.`brand_id` AS `brand_id`,`i`.`is_actual` AS `is_actual`,`d`.`unit_cost` AS `Product_Cost`,`i`.`current_year_id` AS `current_year_id`,`d`.`Entery_ID` AS `Entery_ID`,concat(`i`.`Customer_ID`,`i`.`Invoice_Currency`) AS `Person_ID`,`i`.`Customer_ID` AS `Customer_ID`,`d`.`Product_ID` AS `Product_ID`,`d`.`Product_Discount` AS `Discount`,`d`.`Product_Quantity` AS `Quantity`,`d`.`Product_Total_Price` AS `Product_Total_Price`,`i`.`Invoice_Date` AS `Date`,`i`.`Invoice_Currency` AS `Currency_ID`,`cr`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Product_Name` AS `Item_Name`,`p`.`Product_PLU` AS `Product_PLU`,`p`.`Product_Code` AS `Code`,`i`.`date_time` AS `date_time`,`i`.`Logged_ID` AS `Logged_ID`,`p`.`Category_ID` AS `Category_ID`,`u`.`UOM_Name` AS `UOM_Name`,`i`.`current_rate` AS `current_rate`,concat(`i`.`invoice_prefix`,`i`.`Invoice_ID`) AS `invoice_nb`,(`d`.`Product_Total_Price` - (`d`.`Product_Quantity` * `d`.`unit_cost`)) AS `profit`,(((`d`.`Product_Total_Price` - (`d`.`Product_Quantity` * `d`.`unit_cost`)) / `d`.`Product_Total_Price`) * 100) AS `profit_percent`,`i`.`date_created` AS `date_created`,`i`.`created_logged_id` AS `created_logged_id`,`i`.`is_committed` AS `is_committed`,`i`.`invoice_type` AS `invoice_type`,`d`.`total_tax` AS `total_tax`,`i`.`branch_id` AS `branch_id`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`i`.`customer_branch_id` AS `customer_branch_id`,`d`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`uc`.`UOM_Name` AS `current_uom_name`,`d`.`vat2_amount` AS `vat2_amount`,(`d`.`Product_Quantity` / if((`p`.`default_view_uom_id` = 0),1,`p`.`default_view_rate`)) AS `def_view_qty`,0 AS `is_return` from (((((`tbl_invoice_products_details` `d` join `tbl_invoices` `i` on((`i`.`Invoice_ID_Auto` = `d`.`Invoice_ID_Auto`))) join `tbl_common_currency` `cr` on((`i`.`Invoice_Currency` = `cr`.`Currency_ID`))) join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Product_ID`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = if((`p`.`default_view_uom_id` = 0),`p`.`UOM_ID`,`p`.`default_view_uom_id`)))) join `tbl_stock_uom` `uc` on((`uc`.`UOM_ID` = `d`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_mov_invoice`
--
DROP TABLE IF EXISTS `product_mov_invoice`;

CREATE  VIEW `product_mov_invoice`  AS  select `d`.`Product_Net_Price` AS `Product_Net_Price`,`d`.`vat_amount` AS `vat_amount`,`b`.`brand_name` AS `brand_name`,`p`.`brand_id` AS `brand_id`,`i`.`is_actual` AS `is_actual`,`d`.`unit_cost` AS `Product_Cost`,`i`.`current_year_id` AS `current_year_id`,`d`.`Entery_ID` AS `Entery_ID`,concat(`i`.`Customer_ID`,`i`.`Invoice_Currency`) AS `Person_ID`,`i`.`Customer_ID` AS `Customer_ID`,`d`.`Product_ID` AS `Product_ID`,`d`.`Product_Discount` AS `Discount`,`d`.`Product_Quantity` AS `Quantity`,`d`.`Product_Total_Price` AS `Product_Total_Price`,`i`.`Invoice_Date` AS `Date`,`i`.`Invoice_Currency` AS `Currency_ID`,`c`.`Customer_Name` AS `Name`,`cr`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Product_Name` AS `Item_Name`,`p`.`Product_Code` AS `Code`,`u`.`UOM_Name` AS `UOM_Name`,`i`.`date_time` AS `date_time`,`i`.`Logged_ID` AS `Logged_ID`,`p`.`Category_ID` AS `Category_ID`,`i`.`current_rate` AS `current_rate`,concat(`i`.`invoice_prefix`,`i`.`Invoice_ID`) AS `invoice_nb`,(`d`.`Product_Total_Price` - (`d`.`Product_Quantity` * `d`.`unit_cost`)) AS `profit`,(((`d`.`Product_Total_Price` - (`d`.`Product_Quantity` * `d`.`unit_cost`)) / `d`.`Product_Total_Price`) * 100) AS `profit_percent`,`i`.`date_created` AS `date_created`,`i`.`created_logged_id` AS `created_logged_id`,`category`.`Cat_Name` AS `Cat_Name`,concat_ws('',`p`.`brand_id`,`i`.`Invoice_Currency`) AS `table_key1`,concat_ws('',`p`.`Category_ID`,`i`.`Invoice_Currency`) AS `table_key2`,`i`.`is_committed` AS `is_committed`,`i`.`invoice_type` AS `invoice_type`,`i`.`second_currency_rate` AS `second_currency_rate`,`d`.`product_description` AS `product_description`,`d`.`commission` AS `commission`,`d`.`employee_id` AS `employee_id`,`d`.`vehicle_id` AS `vehicle_id`,concat_ws(' ',`vehicle`.`Vehicle_Name`,`vehicle`.`Vehicle_Registration_Number`) AS `vehicle_name`,concat_ws(' ',`emp`.`Employee_FirstName`,`emp`.`Employee_MiddleName`,`emp`.`Employee_LastName`) AS `employee_name`,`i`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`d`.`Discount_Amount` AS `Discount_Amount`,`i`.`branch_id` AS `branch_id`,`i`.`Sales_ID` AS `Sales_ID`,`d`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`details_uom`.`UOM_Name` AS `details_prod_uom`,`i`.`customer_branch_id` AS `customer_branch_id`,`dep`.`Depot_Name` AS `Depot_Name`,`d`.`depot_id` AS `depot_id`,`d`.`vat2_amount` AS `vat2_amount` from (((((((((((`tbl_invoice_products_details` `d` join `tbl_invoices` `i` on((`i`.`Invoice_ID_Auto` = `d`.`Invoice_ID_Auto`))) left join `tbl_customers` `c` on((`c`.`Customer_ID` = `i`.`Customer_ID`))) join `tbl_common_currency` `cr` on((`i`.`Invoice_Currency` = `cr`.`Currency_ID`))) join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Product_ID`))) join `tbl_product_cat` `category` on((`category`.`Cat_ID` = `p`.`Category_ID`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `p`.`UOM_ID`))) left join `tbl_brand_products` `b` on((`b`.`brand_id` = `p`.`brand_id`))) left join `tbl_garage_vehicle` `vehicle` on((`vehicle`.`Vehicle_ID` = `d`.`vehicle_id`))) left join `tbl_hrm_employee` `emp` on((`emp`.`Employee_ID` = `d`.`employee_id`))) join `tbl_stock_uom` `details_uom` on((`details_uom`.`UOM_ID` = `d`.`UOM_ID`))) join `tbl_stock_depot_warehouse` `dep` on((`dep`.`Depot_ID` = `d`.`depot_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_mov_purchase`
--
DROP TABLE IF EXISTS `product_mov_purchase`;

CREATE  VIEW `product_mov_purchase`  AS  select `i`.`is_actual` AS `is_actual`,`i`.`current_year_id` AS `current_year_id`,concat(`i`.`Supplier_ID`,`i`.`Currency_ID`) AS `Person_ID`,`d`.`Product_ID` AS `Product_ID`,`d`.`Item_Discount` AS `Discount`,`i`.`branch_id` AS `branch_id`,`d`.`Item_Quantity` AS `Quantity`,`d`.`Item_ID` AS `Entery_ID`,`d`.`Product_Total_Price` AS `Product_Total_Price`,`i`.`Purchase_Date` AS `Date`,`i`.`Currency_ID` AS `Currency_ID`,`c`.`Supplier_Name` AS `Name`,`cr`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Product_Name` AS `Item_Name`,`p`.`Product_Code` AS `Code`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`product_description` AS `product_description` from (((((`tbl_inventory_purchase_items` `d` join `tbl_inventory_purchases` `i` on((`i`.`Purchase_ID_Auto` = `d`.`Purchase_ID_Auto`))) left join `tbl_stock_suppliers` `c` on((`c`.`Supplier_ID` = `i`.`Supplier_ID`))) left join `tbl_common_currency` `cr` on((`i`.`Currency_ID` = `cr`.`Currency_ID`))) left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`p`.`UOM_ID` = `u`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_mov_return`
--
DROP TABLE IF EXISTS `product_mov_return`;

CREATE  VIEW `product_mov_return`  AS  select `i`.`Is_Actual` AS `is_actual`,`d`.`unit_cost` AS `Product_Cost`,`i`.`current_year_id` AS `current_year_id`,`d`.`Return_Item_ID` AS `Return_Item_ID`,concat(`i`.`Person_ID`,`i`.`Currency_ID`) AS `Person_ID`,`d`.`Product_ID` AS `Product_ID`,`d`.`Product_Discount` AS `Discount`,`d`.`Return_Product_Quantity` AS `Quantity`,`d`.`Return_Product_Total` AS `Product_Total_Price`,`i`.`Return_Invoice_Date` AS `Date`,`i`.`Currency_ID` AS `Currency_ID`,if((`i`.`Is_Customer_Invoice` = 1),`c`.`Customer_Name`,`s`.`Supplier_Name`) AS `Name`,`cr`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Product_Name` AS `Item_Name`,`p`.`Product_Code` AS `Code`,`u`.`UOM_Name` AS `UOM_Name`,`i`.`Logged_ID` AS `Logged_ID`,`i`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,`p`.`Category_ID` AS `Category_ID`,`i`.`date_created` AS `date_created`,`p`.`brand_id` AS `brand_id` from ((((((`tbl_accounting_return_items` `d` join `tbl_accounting_return_invoices` `i` on((`i`.`Return_Invoice_ID` = `d`.`Return_Invoice_ID`))) left join `tbl_customers` `c` on(((`c`.`Customer_ID` = `i`.`Person_ID`) and (`i`.`Is_Customer_Invoice` = 1)))) left join `tbl_stock_suppliers` `s` on(((`s`.`Supplier_ID` = `i`.`Person_ID`) and (`i`.`Is_Customer_Invoice` = 0)))) left join `tbl_common_currency` `cr` on((`i`.`Currency_ID` = `cr`.`Currency_ID`))) left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `p`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_property_values`
--
DROP TABLE IF EXISTS `product_property_values`;

CREATE  VIEW `product_property_values`  AS  select `v`.`value_id` AS `value_id`,`v`.`Product_ID` AS `Product_ID`,`v`.`value_date_time` AS `value_date_time`,`v`.`note` AS `note`,`v`.`Logged_ID` AS `Logged_ID`,`v`.`created_logged_id` AS `created_logged_id`,`v`.`date_created` AS `date_created`,`v`.`date_time` AS `date_time`,`p`.`Product_Name` AS `Product_Name`,`p`.`Product_Code` AS `Product_Code`,concat_ws(' - ',`p`.`Product_Name`,`machines_products`.`part_note`) AS `product_full_name` from ((`tbl_product_property_values` `v` join `tbl_stock_products_parts` `machines_products` on((`v`.`Product_ID` = `machines_products`.`part_id`))) join `tbl_stock_products` `p` on((`machines_products`.`part_product_id` = `p`.`Product_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `product_specification_options`
--
DROP TABLE IF EXISTS `product_specification_options`;

CREATE  VIEW `product_specification_options`  AS  select `speci`.`product_specification_id` AS `product_specification_id`,`speci`.`product_specification_name` AS `product_specification_name`,group_concat(concat_ws(' - ',`options`.`option_name`,`options`.`option_code`) separator '<br>') AS `all_options` from (`tbl_product_specification` `speci` join `tbl_product_specification_option` `options` on((`speci`.`product_specification_id` = `options`.`product_specification_id`))) group by `speci`.`product_specification_id` ;

-- --------------------------------------------------------

--
-- Structure for view `project_expense_list`
--
DROP TABLE IF EXISTS `project_expense_list`;

CREATE  VIEW `project_expense_list`  AS  select `expense`.`project_expense_id` AS `project_expense_id`,`expense`.`project_expense_nb` AS `project_expense_nb`,`expense`.`period_id` AS `period_id`,`expense`.`project_expense_total` AS `project_expense_total`,`expense`.`current_rate` AS `current_rate`,`expense`.`second_rate` AS `second_rate`,`expense`.`currency_id` AS `currency_id`,`expense`.`date_created` AS `date_created`,`expense`.`created_by` AS `created_by`,`expense`.`date_modified` AS `date_modified`,`expense`.`modified_by` AS `modified_by`,`period`.`period_title` AS `period_title`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,`projects`.`project_name` AS `project_name`,`expense`.`project_expense_date` AS `project_expense_date`,`jobs`.`job_name` AS `job_name`,`branches`.`branch_name` AS `branch_name`,`expense`.`job_id` AS `job_id`,`expense`.`branch_id` AS `branch_id`,`period`.`start_date` AS `start_date`,`period`.`end_date` AS `end_date`,`expense`.`supplier_id` AS `supplier_id`,`expense`.`paid_amount` AS `paid_amount`,`expense`.`payment_acc_id` AS `payment_acc_id`,`expense`.`check_nb` AS `check_nb`,`su`.`Supplier_Name` AS `Supplier_Name`,concat_ws(' - ',`chart`.`Account_Name`,`chart`.`Account_Code`) AS `payment_acc_name` from (((((((`tbl_project_expense` `expense` join `tbl_project_period` `period` on((`period`.`period_id` = `expense`.`period_id`))) join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `expense`.`currency_id`))) join `tbl_projects` `projects` on((`projects`.`project_id` = `period`.`project_id`))) left join `tbl_accounting_jobs` `jobs` on((`jobs`.`job_id` = `expense`.`job_id`))) left join `tbl_organization_branches` `branches` on((`branches`.`branch_id` = `expense`.`branch_id`))) join `tbl_stock_suppliers` `su` on((`su`.`Supplier_ID` = `expense`.`supplier_id`))) left join `tbl_chart_of_accounts` `chart` on((`chart`.`Account_ID` = `expense`.`payment_acc_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `project_funding_list`
--
DROP TABLE IF EXISTS `project_funding_list`;

CREATE  VIEW `project_funding_list`  AS  select `funding`.`project_funding_id` AS `project_funding_id`,`funding`.`project_funding_nb` AS `project_funding_nb`,`funding`.`detail_id` AS `detail_id`,`funding`.`date_created` AS `date_created`,`funding`.`created_by` AS `created_by`,`funding`.`date_modified` AS `date_modified`,`funding`.`modified_by` AS `modified_by`,`projects`.`project_name` AS `project_name`,`period`.`period_title` AS `period_title`,`period`.`start_date` AS `start_date`,`period`.`end_date` AS `end_date`,`details`.`detail_period_title` AS `detail_period_title` from (((`tbl_project_funding` `funding` join `tbl_project_period_details` `details` on((`details`.`detail_id` = `funding`.`detail_id`))) join `tbl_project_period` `period` on((`period`.`period_id` = `details`.`period_id`))) join `tbl_projects` `projects` on((`projects`.`project_id` = `period`.`project_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `project_period_list`
--
DROP TABLE IF EXISTS `project_period_list`;

CREATE  VIEW `project_period_list`  AS  select `project_period`.`period_id` AS `period_id`,`project_period`.`period_title` AS `period_title`,`project_period`.`activity_ids` AS `activity_ids`,`project_period`.`period_nb` AS `period_nb`,`project_period`.`project_id` AS `project_id`,`project_period`.`start_date` AS `start_date`,`project_period`.`end_date` AS `end_date`,`project_period`.`nb_period` AS `nb_period`,`project_period`.`period_unit` AS `period_unit`,`project_period`.`currency_id` AS `currency_id`,`project_period`.`date_created` AS `date_created`,`project_period`.`created_logged_id` AS `created_logged_id`,`project_period`.`date_modified` AS `date_modified`,`project_period`.`modified_by` AS `modified_by`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,`projects`.`project_name` AS `project_name`,`project_period`.`account_id` AS `account_id`,`accounts`.`Account_Name` AS `Account_Name` from (((`tbl_project_period` `project_period` join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `project_period`.`currency_id`))) join `tbl_projects` `projects` on((`projects`.`project_id` = `project_period`.`project_id`))) join `tbl_chart_of_accounts` `accounts` on((`accounts`.`Account_ID` = `project_period`.`account_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `pump_list`
--
DROP TABLE IF EXISTS `pump_list`;

CREATE  VIEW `pump_list`  AS  select `pump`.`pump_id` AS `pump_id`,`pump`.`pump_name` AS `pump_name`,`pump`.`Product_ID` AS `Product_ID`,`pump`.`Status_ID` AS `Status_ID`,`products`.`Product_Name` AS `Product_Name` from (`tbl_pump` `pump` join `tbl_stock_products` `products` on((`pump`.`Product_ID` = `products`.`Product_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_delivery_note_list`
--
DROP TABLE IF EXISTS `purchase_delivery_note_list`;

CREATE  VIEW `purchase_delivery_note_list`  AS  select distinct `r`.`Delivery_Report_ID` AS `ID`,`r`.`Delivery_Report_Date` AS `Date`,`s`.`Supplier_ID` AS `Customer_Supplier_ID`,`c`.`Supplier_Name` AS `Name`,`r`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Product_Delivery_Quantity`,`p`.`Product_Code` AS `Code`,`p`.`Product_Name` AS `Product_Name` from (((((`tbl_inventory_delivery_report` `r` left join `tbl_inventory_delivery_report_items` `d` on((`d`.`Delivery_Report_ID` = `r`.`Delivery_Report_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`UOM_ID`))) left join `tbl_stock_products` `p` on((`d`.`Product_ID` = `p`.`Product_ID`))) left join `tbl_purchase_order` `s` on((`s`.`Order_ID` = `r`.`Order_ID`))) left join `tbl_stock_suppliers` `c` on((`c`.`Supplier_ID` = `s`.`Supplier_ID`))) where (`r`.`Is_Customer_Invoice` = 0) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_details`
--
DROP TABLE IF EXISTS `purchase_details`;

CREATE  VIEW `purchase_details`  AS  select `i`.`product_description` AS `product_description`,`i`.`vat_percent` AS `vat_percent`,`i`.`vat_amount` AS `vat_amount`,`p`.`Purchase_ID_Auto` AS `Purchase_ID_Auto`,`i`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`u`.`UOM_Name` AS `UOM_Name`,`i`.`Item_ID` AS `Item_ID`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`i`.`UOM_ID` AS `UOM_ID`,`ps`.`Product_VAT` AS `Product_VAT`,`i`.`vat_amount` AS `Item_VAT`,`p`.`Purchase_ID` AS `Purchase_ID`,`p`.`current_year_id` AS `current_year_id`,`i`.`Product_ID` AS `Product_ID`,`i`.`Item_Discount` AS `Item_Discount`,`i`.`Item_Price` AS `Item_Price`,`i`.`Item_Quantity` AS `Default_Quantity`,concat(`i`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Item_Quantity`,`i`.`Product_Total_Price` AS `Product_Total_Price`,`c`.`Currency_ID` AS `Currency_ID`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Depot_ID` AS `Depot_ID`,`p`.`Supplier_Invoice_ID` AS `Supplier_Invoice_ID`,`p`.`Purchase_Discount` AS `Purchase_Discount` from ((((`tbl_inventory_purchase_items` `i` left join `tbl_inventory_purchases` `p` on((`p`.`Purchase_ID_Auto` = `i`.`Purchase_ID_Auto`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `p`.`Currency_ID`))) left join `tbl_stock_products` `ps` on((`ps`.`Product_ID` = `i`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`i`.`UOM_ID` = `u`.`UOM_ID`))) order by `p`.`Purchase_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_invoice_coupon_details`
--
DROP TABLE IF EXISTS `purchase_invoice_coupon_details`;

CREATE  VIEW `purchase_invoice_coupon_details`  AS  select concat(`pr`.`Product_Code`,' ',`pr`.`Product_Name`) AS `product_name`,`i`.`Item_Quantity` AS `product_quantity`,`p`.`bone_type_id` AS `bone_type_id`,`p`.`Purchase_Date` AS `date`,`i`.`Product_ID` AS `product_id` from ((`tbl_inventory_purchase_items` `i` join `tbl_inventory_purchases` `p` on((`p`.`Purchase_ID_Auto` = `i`.`Purchase_ID_Auto`))) join `tbl_stock_products` `pr` on((`pr`.`Product_ID` = `i`.`Product_ID`))) where (`p`.`bone_type_id` <> 0) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_invoice_list`
--
DROP TABLE IF EXISTS `purchase_invoice_list`;

CREATE  VIEW `purchase_invoice_list`  AS  select `e`.`is_actual` AS `is_actual`,`e`.`sales_purchase_id` AS `sales_purchase_id`,`e`.`Purchase_ID_Auto` AS `ID_Auto`,`e`.`Purchase_ID` AS `ID`,`s`.`Supplier_Name` AS `Name`,`e`.`Purchase_Date` AS `Date`,`e`.`Purchase_Due_Date` AS `Due_Date`,concat(round(`e`.`Purchase_VAT`,2),' ',`cu`.`Currency_Symbol`) AS `VAT`,concat(round(`e`.`Purchase_Sub_Total`,2),' ',`cu`.`Currency_Symbol`) AS `SubTotal`,concat(round(`e`.`Purchase_Net_Total`,2),' ',`cu`.`Currency_Symbol`) AS `NetTotal`,`s`.`Supplier_ID` AS `Person_ID`,`e`.`date_time` AS `date_time`,`e`.`current_year_id` AS `current_year_id`,`s`.`Supplier_Country` AS `Country_ID`,`e`.`branch_id` AS `branch_id`,0 AS `table_id`,`e`.`purchase_type_id` AS `purchase_type_id`,0 AS `is_branch_transfer`,0 AS `invoice_app_id`,0 AS `exchange_id`,(`e`.`Purchase_Net_Total` * `e`.`current_rate`) AS `local_net_total`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`e`.`Purchase_VAT` AS `current_vat`,`e`.`Purchase_Sub_Total` AS `current_sub_total`,(`e`.`Purchase_Net_Total` + `e`.`Purchase_Shipping`) AS `current_net_total`,0 AS `is_main_transfer`,NULL AS `subscription_fees_id`,`e`.`Purchase_Shipping` AS `shipping_fees`,`s`.`supplier_group_id` AS `current_group_id`,`s`.`supplier_class_id` AS `current_class_id`,`e`.`Depot_ID` AS `Depot_ID`,`e`.`disable_qty` AS `disable_qty`,0 AS `shipping_status_id`,NULL AS `reason_id`,`e`.`Supplier_Invoice_ID` AS `user_ref`,`e`.`Return_Purchase_Total` AS `return_total`,`e`.`return_paid_amount` AS `return_paid_amount`,`e`.`return_ids` AS `return_ids`,NULL AS `ticketing_id`,`e`.`Invoice_Description` AS `inv_desc` from ((`tbl_inventory_purchases` `e` join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `e`.`Supplier_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`Currency_ID`))) order by `e`.`Purchase_ID_Auto` desc ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_list`
--
DROP TABLE IF EXISTS `purchase_list`;

CREATE  VIEW `purchase_list`  AS  select `e`.`is_actual` AS `is_actual`,`e`.`sales_purchase_id` AS `sales_purchase_id`,if(isnull(`r`.`Return_Invoice_ID`),0,`r`.`Return_Invoice_ID`) AS `Return_ID`,`e`.`Purchase_ID_Auto` AS `ID_Auto`,`e`.`Purchase_ID` AS `ID`,`s`.`Supplier_Name` AS `Name`,`e`.`Purchase_Date` AS `Date`,`e`.`Purchase_Due_Date` AS `Due_Date`,concat(round(`e`.`Purchase_VAT`,2),' ',`cu`.`Currency_Symbol`) AS `VAT`,concat(round(`e`.`Purchase_Sub_Total`,2),' ',`cu`.`Currency_Symbol`) AS `SubTotal`,concat(round(`e`.`Purchase_Net_Total`,2),' ',`cu`.`Currency_Symbol`) AS `NetTotal`,`s`.`Supplier_ID` AS `Person_ID`,`e`.`date_time` AS `date_time`,`e`.`current_year_id` AS `current_year_id`,`s`.`Supplier_Country` AS `Country_ID`,`e`.`branch_id` AS `branch_id`,0 AS `table_id` from (((`tbl_inventory_purchases` `e` left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `e`.`Supplier_ID`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`Currency_ID`))) left join `tbl_accounting_return_invoices` `r` on(((`r`.`Invoice_Purchase_ID` = `e`.`Purchase_ID_Auto`) and (`r`.`Is_Customer_Invoice` = 0)))) order by `e`.`Purchase_ID_Auto` desc ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_main_detailed`
--
DROP TABLE IF EXISTS `purchase_main_detailed`;

CREATE  VIEW `purchase_main_detailed`  AS  select `o`.`current_year_id` AS `current_year_id`,`o`.`Purchase_ID_Auto` AS `Auto_ID`,`d`.`UOM_ID` AS `UOM_ID`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`Product_ID` AS `Product_ID`,`o`.`Purchase_ID` AS `Inv_Pur_ID`,(`o`.`Purchase_Net_Total` - `o`.`Return_Purchase_Total`) AS `Net_Total`,`o`.`Purchase_Discount` AS `Main_Discount`,`s`.`Supplier_Name` AS `Person_Name`,`s`.`Supplier_ID` AS `Person_ID`,`o`.`Purchase_Date` AS `Inv_Pur_Date`,`o`.`Currency_ID` AS `Currency_ID`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`ps`.`Product_VAT` AS `Item_VAT`,`d`.`Item_Discount` AS `Item_Discount`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,((`d`.`Item_Price` * `d`.`Item_Quantity`) / `d`.`Item_Quantity_Current`) AS `Item_Price`,`d`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`d`.`Item_Quantity` AS `Item_Quantity`,concat(`d`.`UOM_ID`,`d`.`Product_ID`,`d`.`Purchase_ID_Auto`) AS `unq` from (((((`tbl_inventory_purchase_items` `d` left join `tbl_stock_uom` `u` on((`d`.`UOM_ID` = `u`.`UOM_ID`))) left join `tbl_inventory_purchases` `o` on((`o`.`Purchase_ID_Auto` = `d`.`Purchase_ID_Auto`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `o`.`Currency_ID`))) left join `tbl_stock_products` `ps` on((`d`.`Product_ID` = `ps`.`Product_ID`))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `o`.`Supplier_ID`))) where (`o`.`current_year_id` = (select `tbl_common_current_year_actual`.`current_year_id` from `tbl_common_current_year_actual` where (`tbl_common_current_year_actual`.`is_current` = 1))) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_main_list`
--
DROP TABLE IF EXISTS `purchase_main_list`;

CREATE  VIEW `purchase_main_list`  AS  select `i`.`sales_purchase_id` AS `sales_purchase_id`,`i`.`Return_Purchase_Total` AS `Return_Purchase_Total`,`i`.`date_time` AS `date_time`,`i`.`driver_id` AS `driver_id`,`i`.`from_place` AS `from_place`,`i`.`to_place` AS `to_place`,`i`.`current_year_id` AS `current_year_id`,`i`.`Purchase_ID` AS `Purchase_ID`,`i`.`Purchase_ID_Auto` AS `Purchase_ID_Auto`,`c`.`Supplier_Name` AS `Supplier_Name`,`i`.`Purchase_Date` AS `Purchase_Date`,`i`.`Purchase_Due_Date` AS `Purchase_Due_Date`,`i`.`Purchase_Discount` AS `Purchase_Discount`,`i`.`Purchase_VAT` AS `Purchase_VAT`,`i`.`Purchase_Sub_Total` AS `Purchase_Sub_Total`,`i`.`Purchase_Net_Total` AS `Purchase_Net_Total`,`i`.`Purchase_Paid_Amount` AS `Purchase_Paid_Amount`,`i`.`Currency_ID` AS `Currency_ID`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`cu`.`Currency_Name` AS `Currency_Name`,`i`.`Depot_ID` AS `Depot_ID`,`i`.`Supplier_ID` AS `Supplier_ID`,`d`.`Depot_Name` AS `Depot_Name`,`i`.`Supplier_Invoice_ID` AS `Supplier_Invoice_ID`,`i`.`Purchase_Shipping` AS `Purchase_Shipping`,`i`.`discount_amount` AS `discount_amount`,`cu`.`currency_round` AS `currency_round`,`i`.`Account_ID` AS `Account_ID`,`coa`.`Account_Code` AS `Account_Code`,`coa`.`Account_Name` AS `Account_Name`,`i`.`current_rate` AS `current_rate`,`i`.`Invoice_Description` AS `Invoice_Description`,`i`.`extra_cost` AS `extra_cost`,`i`.`cost_dist_method` AS `cost_dist_method`,`i`.`job_id` AS `job_id`,`j`.`job_name` AS `job_name`,`i`.`is_actual` AS `is_actual`,`c`.`supplier_due_date_period` AS `due_date_period`,`i`.`truck` AS `truck`,`i`.`loading_number` AS `loading_number`,`i`.`purchase_type_id` AS `purchase_type_id`,`i`.`service_amount` AS `service_amount`,`i`.`service_vat` AS `service_vat`,`b`.`bone_type_name` AS `bone_type_name`,`i`.`bone_type_id` AS `bone_type_id`,`pr`.`project_name` AS `project_name`,`i`.`project_id` AS `project_id`,`i`.`Class_ID` AS `Class_ID`,ifnull(`pc`.`Class_Name`,'') AS `Class_Name`,`i`.`currency_round` AS `pur_currency_round`,`i`.`second_currency_rate` AS `second_currency_rate`,`i`.`ship_date` AS `ship_date`,`i`.`ship_bill_nb` AS `ship_bill_nb`,`i`.`invoice_type_id` AS `invoice_type_id`,`i`.`container_nb` AS `container_nb`,`i`.`container_size` AS `container_size`,`i`.`ctn_nb` AS `ctn_nb`,`i`.`ctn_date` AS `ctn_date` from ((((((((`tbl_inventory_purchases` `i` left join `tbl_stock_suppliers` `c` on((`i`.`Supplier_ID` = `c`.`Supplier_ID`))) join `tbl_chart_of_accounts` `coa` on((`coa`.`Account_ID` = `i`.`Account_ID`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `i`.`Currency_ID`))) left join `tbl_stock_depot_warehouse` `d` on((`d`.`Depot_ID` = `i`.`Depot_ID`))) left join `tbl_accounting_jobs` `j` on((`j`.`job_id` = `i`.`job_id`))) left join `tbl_bone_type` `b` on((`b`.`bone_type_id` = `i`.`bone_type_id`))) left join `tbl_projects` `pr` on((`pr`.`project_id` = `i`.`project_id`))) left join `tbl_pricing_class` `pc` on((`pc`.`Class_ID` = `i`.`Class_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_order_details`
--
DROP TABLE IF EXISTS `purchase_order_details`;

CREATE  VIEW `purchase_order_details`  AS  select `d`.`Order_ID` AS `Order_ID`,`p`.`Product_ID` AS `Product_ID`,`p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,`d`.`Unit_Price` AS `Unit_Price`,`u`.`UOM_Name` AS `UOM_Name`,`u`.`UOM_ID` AS `UOM_ID` from ((`tbl_purchase_order_details` `d` left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Item_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_order_list`
--
DROP TABLE IF EXISTS `purchase_order_list`;

CREATE  VIEW `purchase_order_list`  AS  select `p`.`Order_ID` AS `Order_ID`,`p`.`po` AS `po`,`p`.`project_name_inv` AS `project_name_inv`,`p`.`project_code` AS `project_code`,`p`.`job_inv` AS `job_inv`,`p`.`our_ref` AS `our_ref`,`p`.`driver_id` AS `driver_id`,`p`.`from_place` AS `from_place`,`p`.`to_place` AS `to_place`,`p`.`supply_date` AS `supply_date`,concat(`p`.`sale_prefix`,`p`.`Order_ID_Auto`) AS `sale_nb`,`p`.`Order_ID_Auto` AS `Order_ID_Auto`,`p`.`Supplier_ID` AS `Supplier_ID`,`p`.`Order_Date` AS `Order_Date`,`p`.`Status_ID` AS `Status_ID`,`p`.`Logged_ID` AS `Logged_ID`,`p`.`Currency_ID` AS `Currency_ID`,`p`.`current_rate` AS `current_rate`,`p`.`Depot_ID` AS `Depot_ID`,`p`.`branch_id` AS `branch_id`,`p`.`is_sales` AS `is_sales`,if((`p`.`is_sales` = 0),`s`.`Supplier_Name`,`c`.`Customer_Name`) AS `Person_Name`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`cu`.`Currency_Name` AS `Currency_Name`,`cu`.`currency_round` AS `currency_round`,`w`.`Depot_Code` AS `Depot_Code`,`w`.`Depot_Name` AS `Depot_Name`,`p`.`is_quotation` AS `is_quotation`,`p`.`sale_app_id` AS `sale_app_id`,`p`.`app_user_id` AS `app_user_id`,`p`.`sale_due_date` AS `sale_due_date`,`p`.`created_logged_id` AS `created_logged_id`,`p`.`date_time` AS `date_time`,`p`.`date_created` AS `date_created`,`p`.`sale_prefix` AS `sale_prefix`,`pc`.`Class_ID` AS `Class_ID`,`pc`.`Class_Name` AS `Class_Name`,`pc`.`is_ttc` AS `is_ttc`,`p`.`current_year_id` AS `current_year_id`,`p`.`discount_percent` AS `discount_percent`,`p`.`discount_amount` AS `discount_amount`,`p`.`total_vat` AS `total_vat`,`p`.`sub_total` AS `sub_total`,`p`.`net_total` AS `net_total`,`p`.`order_description` AS `order_description`,if((`p`.`is_sales` = 0),`s`.`supplier_due_date_period`,`c`.`customer_due_date_period`) AS `due_date_period`,`p`.`is_actual` AS `is_actual`,`p`.`is_converted` AS `is_converted`,`p`.`job_id` AS `job_id`,`j`.`job_name` AS `job_name`,`p`.`project_id` AS `project_id`,`pr`.`project_name` AS `project_name`,`p`.`supp_class_id` AS `supp_class_id`,`spc`.`Class_Name` AS `supp_class_name`,`p`.`version_nb` AS `version_nb`,`p`.`delivery_date` AS `delivery_date`,`p`.`extra_cost` AS `extra_cost`,`p`.`postponed_status_id` AS `postponed_status_id`,`p`.`postponed_date_time` AS `postponed_date_time`,`p`.`postponed_note` AS `postponed_note`,`p`.`customer_address_alias` AS `customer_address_alias`,`p`.`customer_name_alias` AS `customer_name_alias`,`p`.`shipping` AS `shipping` from (((((((((`tbl_purchase_order` `p` left join `tbl_stock_suppliers` `s` on(((`s`.`Supplier_ID` = `p`.`Supplier_ID`) and (`p`.`is_sales` = 0)))) left join `tbl_customers` `c` on(((`c`.`Customer_ID` = `p`.`Supplier_ID`) and (`p`.`is_sales` = 1)))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `p`.`Currency_ID`))) join `tbl_stock_depot_warehouse` `w` on((`w`.`Depot_ID` = `p`.`Depot_ID`))) join `tbl_organization_branches` `b` on((`b`.`branch_id` = `p`.`branch_id`))) left join `tbl_pricing_class` `pc` on(((`pc`.`Class_ID` = `p`.`Class_ID`) and (`p`.`is_sales` = 1)))) left join `tbl_accounting_jobs` `j` on((`j`.`job_id` = `p`.`job_id`))) left join `tbl_projects` `pr` on((`pr`.`project_id` = `p`.`project_id`))) left join `tbl_pricing_class` `spc` on((`spc`.`Class_ID` = `p`.`supp_class_id`))) order by `p`.`Order_Date` desc,`p`.`Order_ID_Auto` desc ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_returned_list`
--
DROP TABLE IF EXISTS `purchase_returned_list`;

CREATE  VIEW `purchase_returned_list`  AS  select `p`.`current_year_id` AS `current_year_id`,`p`.`Auto_ID` AS `Auto_ID`,`r`.`Total_Returned_Price` AS `Total`,`r`.`Return_Date` AS `Return_Date`,`p`.`UOM_ID` AS `UOM_ID`,`p`.`UOM_Name` AS `UOM_Name`,`p`.`Product_ID` AS `Product_ID`,`p`.`Inv_Pur_ID` AS `Inv_Pur_ID`,`p`.`Net_Total` AS `Net_Total`,`p`.`Main_Discount` AS `Main_Discount`,`p`.`Person_Name` AS `Person_Name`,`p`.`Person_ID` AS `Person_ID`,`p`.`Inv_Pur_Date` AS `Inv_Pur_Date`,`p`.`Currency_ID` AS `Currency_ID`,`p`.`Quantity` AS `Quantity`,`p`.`Code` AS `Code`,`p`.`Name` AS `Name`,`p`.`Item_VAT` AS `Item_VAT`,`p`.`Item_Discount` AS `Item_Discount`,`p`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Item_Price` AS `Item_Price`,`p`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`p`.`Item_Quantity` AS `Item_Quantity`,if(isnull((`p`.`Item_Quantity_Current` - `r`.`Item_Quantity_Current`)),`p`.`Item_Quantity_Current`,(`p`.`Item_Quantity_Current` - `r`.`Item_Quantity_Current`)) AS `Remain_Main`,concat(if(isnull((`p`.`Item_Quantity_Current` - `r`.`Item_Quantity_Current`)),`p`.`Item_Quantity_Current`,(`p`.`Item_Quantity_Current` - `r`.`Item_Quantity_Current`)),' ',`p`.`UOM_Name`) AS `Remaining_Quantity`,((`p`.`Item_Price` * if(isnull((`p`.`Item_Quantity` - `r`.`Return_Product_Quantity`)),`p`.`Item_Quantity`,(`p`.`Item_Quantity` - `r`.`Return_Product_Quantity`))) - ((`p`.`Item_Price` * if(isnull((`p`.`Item_Quantity` - `r`.`Return_Product_Quantity`)),`p`.`Item_Quantity`,(`p`.`Item_Quantity` - `r`.`Return_Product_Quantity`))) * (`p`.`Item_Discount` / 100))) AS `Total_Item_Price`,if(isnull(concat(`r`.`Item_Quantity_Current`,' ',`r`.`UOM_Name`)),concat(0,' ',`p`.`UOM_Name`),convert(concat(`r`.`Item_Quantity_Current`,' ',`r`.`UOM_Name`) using utf8)) AS `Product_Return_Quantity`,if(isnull((`r`.`Return_Product_Quantity` * `p`.`Item_Price`)),0,(`r`.`Return_Product_Quantity` * `p`.`Item_Price`)) AS `Total_Item_Returned_Price` from (`purchase_main_detailed` `p` left join `returned_main_detailed` `r` on(((convert(`p`.`unq` using utf8) = convert(`r`.`unq` using utf8)) and (`r`.`Is_Customer_Invoice` = 0)))) ;

-- --------------------------------------------------------

--
-- Structure for view `purchase_returned_products`
--
DROP TABLE IF EXISTS `purchase_returned_products`;

CREATE  VIEW `purchase_returned_products`  AS  select `d`.`UOM_ID` AS `UOM_ID`,`u`.`UOM_Name` AS `UOM_Name`,`d`.`Product_ID` AS `Product_ID`,`o`.`Purchase_ID` AS `Inv_Pur_ID`,(`o`.`Purchase_Net_Total` - `o`.`Return_Purchase_Total`) AS `Net_Total`,`o`.`Purchase_Discount` AS `Main_Discount`,`s`.`Supplier_Name` AS `Person_Name`,`s`.`Supplier_ID` AS `Person_ID`,`o`.`Purchase_Date` AS `Inv_Pur_Date`,`o`.`Currency_ID` AS `Currency_ID`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,if(isnull(concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)),concat(0,' ',`u`.`UOM_Name`),concat(`rd`.`Item_Quantity_Current`,' ',`ur`.`UOM_Name`)) AS `Product_Return_Quantity`,if(isnull((`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),`d`.`Item_Quantity_Current`,(`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)) AS `Remain_Main`,concat(if(isnull((`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),`d`.`Item_Quantity_Current`,(`d`.`Item_Quantity_Current` - `rd`.`Item_Quantity_Current`)),' ',`u`.`UOM_Name`) AS `Remaining_Quantity`,`ps`.`Product_Code` AS `Code`,`ps`.`Product_Name` AS `Name`,`ps`.`Product_VAT` AS `Item_VAT`,`d`.`Item_Discount` AS `Item_Discount`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,(`d`.`Item_Price` * (`d`.`Item_Quantity` / `d`.`Item_Quantity_Current`)) AS `Item_Price`,((`d`.`Item_Price` * if(isnull((`d`.`Item_Quantity` - `rd`.`Return_Product_Quantity`)),`d`.`Item_Quantity`,(`d`.`Item_Quantity` - `rd`.`Return_Product_Quantity`))) - ((`d`.`Item_Price` * if(isnull((`d`.`Item_Quantity` - `rd`.`Return_Product_Quantity`)),`d`.`Item_Quantity`,(`d`.`Item_Quantity` - `rd`.`Return_Product_Quantity`))) * (`d`.`Item_Discount` / 100))) AS `Total_Item_Price` from ((((((((`tbl_inventory_purchase_items` `d` left join `tbl_stock_uom` `u` on((`d`.`UOM_ID` = `u`.`UOM_ID`))) left join `tbl_inventory_purchases` `o` on((`o`.`Purchase_ID_Auto` = `d`.`Purchase_ID_Auto`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `o`.`Currency_ID`))) left join `tbl_stock_products` `ps` on((`d`.`Product_ID` = `ps`.`Product_ID`))) left join `tbl_accounting_return_invoices` `r` on(((`r`.`Invoice_Purchase_ID` = `o`.`Purchase_ID`) and (`r`.`Is_Customer_Invoice` = 0)))) left join `tbl_accounting_return_items` `rd` on(((`d`.`Product_ID` = `rd`.`Product_ID`) and (`rd`.`Return_Invoice_ID` = `r`.`Return_Invoice_ID`)))) left join `tbl_stock_uom` `ur` on((`rd`.`UOM_ID` = `ur`.`UOM_ID`))) left join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `o`.`Supplier_ID`))) where (`o`.`current_year_id` = (select `tbl_common_current_year_actual`.`current_year_id` from `tbl_common_current_year_actual` where (`tbl_common_current_year_actual`.`is_current` = 1))) ;

-- --------------------------------------------------------

--
-- Structure for view `rent_type_list`
--
DROP TABLE IF EXISTS `rent_type_list`;

CREATE  VIEW `rent_type_list`  AS  select `rent`.`rent_type_id` AS `rent_type_id`,`rent`.`rent_type_name` AS `rent_type_name`,`rent`.`rent_type_price` AS `rent_type_price`,`rent`.`currency_id` AS `currency_id`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol` from (`tbl_garage_rent_type` `rent` join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `rent`.`currency_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `reorder_product_stock`
--
DROP TABLE IF EXISTS `reorder_product_stock`;

CREATE  VIEW `reorder_product_stock`  AS  select `p`.`Product_ID` AS `Product_ID`,`p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,`p`.`Product_Quantity` AS `Product_Quantity`,concat(`pc`.`Product_Price`,' ',`c`.`Currency_Symbol`) AS `Product_Price`,`p`.`Product_Reorder_Point` AS `Product_Reorder_Point` from ((`tbl_stock_products` `p` left join `tbl_item_price_by_classes` `pc` on(((`p`.`Product_ID` = `pc`.`Product_ID`) and (`pc`.`Class_ID` = 1)))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `pc`.`Currency_ID`))) where ((`p`.`Status_ID` = 1) and (`p`.`Product_Reorder_Point` >= `p`.`Product_Quantity`)) ;

-- --------------------------------------------------------

--
-- Structure for view `report_user_invoices`
--
DROP TABLE IF EXISTS `report_user_invoices`;

CREATE  VIEW `report_user_invoices`  AS  select `invoices`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`invoices`.`Invoice_Net_Total` AS `total_amount`,`invoices`.`Invoice_Paid_Amount` AS `total_paid`,`users`.`User_Name` AS `User_Name`,`invoices`.`Close_ID` AS `Close_ID`,`invoices`.`date_time` AS `date_time`,`invoices`.`date_created` AS `date_created`,`invoices`.`is_committed` AS `is_committed`,`invoices`.`invoice_type` AS `invoice_type` from (`tbl_invoices` `invoices` left join `tbl_common_users` `users` on((`users`.`User_ID` = `invoices`.`Close_ID`))) where (`invoices`.`Is_Closed` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `request_list`
--
DROP TABLE IF EXISTS `request_list`;

CREATE  VIEW `request_list`  AS  select `r`.`Request_ID` AS `Request_ID`,concat(`r`.`serial_prefix`,`r`.`Request_Number`) AS `req_nb`,`r`.`Request_Number` AS `Request_Number`,`r`.`serial_prefix` AS `serial_prefix`,`r`.`Request_Date` AS `Request_Date`,`r`.`Request_From` AS `Request_From`,`r`.`Request_To` AS `Request_To`,`r`.`Logged_ID` AS `Logged_ID`,`r`.`Status_ID` AS `Status_ID`,`r`.`Rejection_Comment` AS `Rejection_Comment`,`r`.`Delivery_Date` AS `Delivery_Date`,concat(`f`.`Depot_Code`,' - ',`f`.`Depot_Name`) AS `Req_From`,concat(`t`.`Depot_Code`,' - ',`t`.`Depot_Name`) AS `Req_To`,`r`.`app_request_id` AS `app_request_id`,`r`.`is_main_transfer` AS `is_main_transfer`,`r`.`ticketing_id` AS `ticketing_id` from (((`tbl_stock_request` `r` join `tbl_stock_depot_warehouse` `f` on((`f`.`Depot_ID` = `r`.`Request_From`))) join `tbl_stock_depot_warehouse` `t` on((`t`.`Depot_ID` = `r`.`Request_To`))) left join `tbl_stock_transfer` `st` on((`st`.`Request_ID` = `r`.`Request_ID`))) where (`f`.`Status_ID` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `returned_main_detailed`
--
DROP TABLE IF EXISTS `returned_main_detailed`;

CREATE  VIEW `returned_main_detailed`  AS  select `r`.`Return_Invoice_ID` AS `Return_Invoice_ID`,`r`.`current_year_id` AS `current_year_id`,`r`.`Return_Invoice_Note` AS `Note`,`r`.`Return_Invoice_Total` AS `Total_Returned_Price`,`r`.`Return_Invoice_Date` AS `Return_Date`,concat(`rd`.`UOM_ID`,`rd`.`Product_ID`,`r`.`Invoice_Purchase_ID`) AS `unq`,`rd`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`rd`.`Return_Product_Quantity` AS `Return_Product_Quantity`,`ur`.`UOM_Name` AS `UOM_Name`,`r`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,`rd`.`unit_price` AS `unit_price`,`rd`.`Return_Product_Total` AS `Return_Product_Total`,`uc`.`Bar_Code` AS `Bar_Code`,`p`.`is_service` AS `is_service` from (((((`tbl_accounting_return_items` `rd` left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `rd`.`Product_ID`))) left join `tbl_accounting_return_invoices` `r` on((`rd`.`Return_Invoice_ID` = `r`.`Return_Invoice_ID`))) left join `tbl_uom_conversions` `uc` on(((`rd`.`Product_ID` = `uc`.`Product_ID`) and (`rd`.`UOM_ID` = `uc`.`uom_from`)))) left join `tbl_stock_uom` `ur` on((`rd`.`UOM_ID` = `ur`.`UOM_ID`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `r`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `return_report`
--
DROP TABLE IF EXISTS `return_report`;

CREATE  VIEW `return_report`  AS  select `i`.`Is_Actual` AS `is_actual`,`d`.`unit_cost` AS `Product_Cost`,`i`.`current_year_id` AS `current_year_id`,`d`.`Return_Item_ID` AS `Entery_ID`,`d`.`Product_ID` AS `Product_ID`,`d`.`Product_Discount` AS `Discount`,`d`.`Return_Product_Quantity` AS `Quantity`,`d`.`Return_Product_Total` AS `Product_Total_Price`,`i`.`Return_Invoice_Date` AS `Date`,`i`.`Currency_ID` AS `Currency_ID`,if((`i`.`Is_Customer_Invoice` = 1),`c`.`Customer_Name`,`s`.`Supplier_Name`) AS `Name`,`cr`.`Currency_Symbol` AS `Currency_Symbol`,`p`.`Product_Name` AS `Item_Name`,`p`.`Product_Code` AS `Code`,`u`.`UOM_Name` AS `UOM_Name`,`i`.`date_time` AS `date_time`,`i`.`Logged_ID` AS `Logged_ID`,`i`.`Is_Customer_Invoice` AS `Is_Customer_Invoice` from ((((((`tbl_accounting_return_items` `d` join `tbl_accounting_return_invoices` `i` on((`i`.`Return_Invoice_ID` = `d`.`Return_Invoice_ID`))) left join `tbl_customers` `c` on(((`c`.`Customer_ID` = `i`.`Person_ID`) and (`i`.`Is_Customer_Invoice` = 1)))) left join `tbl_stock_suppliers` `s` on(((`s`.`Supplier_ID` = `i`.`Person_ID`) and (`i`.`Is_Customer_Invoice` = 0)))) left join `tbl_common_currency` `cr` on((`i`.`Currency_ID` = `cr`.`Currency_ID`))) left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `p`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `route_schedule`
--
DROP TABLE IF EXISTS `route_schedule`;

CREATE  VIEW `route_schedule`  AS  select `schedule`.`schedule_id` AS `schedule_id`,`schedule`.`employee_id` AS `employee_id`,`schedule`.`route_ids` AS `route_ids`,`schedule`.`schedule_date` AS `schedule_date`,`schedule`.`is_one_time` AS `is_one_time`,concat_ws(' ',`employee`.`Employee_FirstName`,`employee`.`Employee_MiddleName`,`employee`.`Employee_LastName`) AS `employee`,`schedule`.`user_id` AS `user_id`,`users`.`User_Name` AS `User_Name` from ((`tbl_route_schedule` `schedule` left join `tbl_hrm_employee` `employee` on((`employee`.`Employee_ID` = `schedule`.`employee_id`))) left join `tbl_common_users` `users` on((`users`.`User_ID` = `schedule`.`user_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `salary_periods`
--
DROP TABLE IF EXISTS `salary_periods`;

CREATE  VIEW `salary_periods`  AS  select `p`.`period_id` AS `period_id`,`p`.`period_name` AS `period_name`,`p`.`basic_salary` AS `basic_salary`,`p`.`Currency_ID` AS `Currency_ID`,`p`.`pay_period` AS `pay_period`,`p`.`unit_time` AS `unit_time`,`p`.`formula_id` AS `formula_id`,`f`.`formula_name` AS `formula_name`,`c`.`Currency_Name` AS `Currency_Name`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`c`.`Currency_Code` AS `Currency_Code` from ((`tbl_hrm_basic_salary_periods` `p` join `tbl_hrm_salary_unit_formulas` `f` on((`p`.`formula_id` = `f`.`formula_id`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `p`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `salesman_route_schedule`
--
DROP TABLE IF EXISTS `salesman_route_schedule`;

CREATE  VIEW `salesman_route_schedule`  AS  select `schedule`.`schedule_id` AS `schedule_id`,`schedule`.`employee_id` AS `employee_id`,`schedule`.`route_ids` AS `route_ids`,`schedule`.`schedule_date` AS `schedule_date`,`schedule`.`is_one_time` AS `is_one_time`,concat_ws(' ',`employee`.`Employee_FirstName`,`employee`.`Employee_MiddleName`,`employee`.`Employee_LastName`) AS `employee`,`schedule`.`user_id` AS `user_id`,`users`.`User_Name` AS `User_Name` from ((`tbl_route_schedule` `schedule` left join `tbl_hrm_employee` `employee` on((`employee`.`Employee_ID` = `schedule`.`employee_id`))) left join `tbl_common_users` `users` on((`users`.`User_ID` = `schedule`.`user_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `sales_invoice_list`
--
DROP TABLE IF EXISTS `sales_invoice_list`;

CREATE  VIEW `sales_invoice_list`  AS  select `e`.`is_actual` AS `is_actual`,`e`.`sales_purchase_id` AS `sales_purchase_id`,`e`.`Invoice_Status` AS `Invoice_Status`,`e`.`Is_Delivery` AS `is_delivery`,`e`.`Delivery_Time` AS `Delivery_Time`,`e`.`date_time` AS `date_time`,`e`.`Invoice_ID_Auto` AS `ID_Auto`,concat(`e`.`invoice_prefix`,`e`.`Invoice_ID`) AS `ID`,`s`.`Customer_Name` AS `Name`,`s`.`Customer_Mobile` AS `customer_mobile`,`e`.`Invoice_Date` AS `Date`,`e`.`Invoice_Due_Date` AS `Due_Date`,`e`.`Is_Closed` AS `Is_Closed`,concat(round(`e`.`Invoice_VAT`,2),' ',`cu`.`Currency_Symbol`) AS `VAT`,concat(round(`e`.`Invoice_Sub_Total`,2),' ',`cu`.`Currency_Symbol`) AS `SubTotal`,concat(round(`e`.`Invoice_Net_Total`,2),' ',`cu`.`Currency_Symbol`) AS `NetTotal`,`s`.`Customer_ID` AS `Person_ID`,`e`.`current_year_id` AS `current_year_id`,`e`.`Logged_ID` AS `Logged_ID`,`e`.`is_app` AS `is_app`,`s`.`Customer_Country_ID` AS `Country_ID`,`e`.`date_created` AS `date_created`,`e`.`branch_id` AS `branch_id`,`e`.`pos_customer_id` AS `pos_customer_id`,`e`.`table_id` AS `table_id`,`e`.`invoice_prefix` AS `invoice_prefix`,0 AS `purchase_type_id`,`e`.`is_committed` AS `is_committed`,`e`.`invoice_type` AS `invoice_type`,`e`.`is_branch_transfer` AS `is_branch_transfer`,`e`.`invoice_app_id` AS `invoice_app_id`,`e`.`exchange_id` AS `exchange_id`,`e`.`is_printed_invoice` AS `is_printed_invoice`,(`e`.`Invoice_Net_Total` * `e`.`current_rate`) AS `local_net_total`,`e`.`shipping_company_id` AS `shipping_company_id`,`ship_comp`.`shipping_company_name` AS `shipping_company_name`,`e`.`Invoice_Sub_Total` AS `current_sub_total`,(`e`.`Invoice_Net_Total` + `e`.`Invoice_Shipping`) AS `current_net_total`,`e`.`Invoice_VAT` AS `current_vat`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`e`.`is_main_transfer` AS `is_main_transfer`,`e`.`subscription_fees_id` AS `subscription_fees_id`,`e`.`Invoice_Shipping` AS `shipping_fees`,`s`.`customer_group_id` AS `current_group_id`,`s`.`customer_class_id` AS `current_class_id`,`e`.`customer_branch_id` AS `customer_branch_id`,`e`.`Sales_ID` AS `Sales_ID`,`e`.`Depot_ID` AS `Depot_ID`,`e`.`shipping_status_id` AS `shipping_status_id`,`e`.`invoice_type_id` AS `invoice_type_id`,`e`.`reason_id` AS `reason_id`,`e`.`invoice_user_reference` AS `user_ref`,`e`.`Return_Invoice_Total` AS `return_total`,`e`.`return_paid_amount` AS `return_paid_amount`,`e`.`return_ids` AS `return_ids`,`e`.`ticketing_id` AS `ticketing_id`,`e`.`Invoice_Description` AS `inv_desc` from (((`tbl_invoices` `e` join `tbl_customers` `s` on((`s`.`Customer_ID` = `e`.`Customer_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`Invoice_Currency`))) left join `tbl_shipping_company` `ship_comp` on((`ship_comp`.`shipping_company_id` = `e`.`shipping_company_id`))) order by `e`.`Invoice_ID_Auto` desc ;

-- --------------------------------------------------------

--
-- Structure for view `sales_order_detailes`
--
DROP TABLE IF EXISTS `sales_order_detailes`;

CREATE  VIEW `sales_order_detailes`  AS  select `d`.`Sales_Order_ID` AS `Order_ID`,`p`.`Product_ID` AS `Product_ID`,`p`.`Product_Code` AS `Product_Code`,`p`.`Product_Name` AS `Product_Name`,concat(`d`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Quantity`,`d`.`Unit_Price` AS `Unit_Price`,`c`.`Currency_ID` AS `Currency_ID`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`c`.`Currency_Name` AS `Currency_Name` from (((`tbl_garage_sales_order_details` `d` left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `d`.`Product_ID`))) left join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `d`.`UOM_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `d`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `sales_order_list`
--
DROP TABLE IF EXISTS `sales_order_list`;

CREATE  VIEW `sales_order_list`  AS  select `o`.`Customer_ID` AS `Customer_ID`,`o`.`Sales_Order_ID` AS `Sales_Order_ID`,`o`.`Sales_Status` AS `Sales_Status`,`c`.`Customer_Name` AS `Customer_Name`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`o`.`Sales_Order_Date` AS `Sales_Order_Date` from (((`tbl_garage_sales_order` `o` left join `tbl_customers` `c` on((`c`.`Customer_ID` = `o`.`Customer_ID`))) left join `tbl_common_users` `u` on((`u`.`User_ID` = `o`.`Logged_ID`))) left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `u`.`Employee_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `sales_purchase_list`
--
DROP TABLE IF EXISTS `sales_purchase_list`;

CREATE  VIEW `sales_purchase_list`  AS  select `p`.`sales_purchase_id_auto` AS `sales_purchase_id_auto`,`p`.`sales_purchase_number` AS `sales_purchase_number`,`p`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`p`.`Purchase_IDs_Auto` AS `Purchase_IDs_Auto`,`e`.`Invoice_Status` AS `Invoice_Status`,`e`.`Is_Delivery` AS `is_delivery`,`e`.`Delivery_Time` AS `Delivery_Time`,`e`.`date_time` AS `date_time`,`e`.`Invoice_ID_Auto` AS `ID_Auto`,concat(`e`.`invoice_prefix`,`e`.`Invoice_ID`) AS `ID`,`s`.`Customer_Name` AS `Name`,`e`.`Invoice_Date` AS `Date`,`e`.`Invoice_Due_Date` AS `Due_Date`,concat(`e`.`Invoice_VAT`,' ',`cu`.`Currency_Symbol`) AS `VAT`,concat(`e`.`Invoice_Sub_Total`,' ',`cu`.`Currency_Symbol`) AS `SubTotal`,concat(`e`.`Invoice_Net_Total`,' ',`cu`.`Currency_Symbol`) AS `NetTotal`,`s`.`Customer_ID` AS `Person_ID`,`e`.`current_year_id` AS `current_year_id`,`e`.`is_committed` AS `is_committed`,`cu`.`Currency_Symbol` AS `Currency_Symbol` from (((`tbl_sales_purchase` `p` join `tbl_invoices` `e` on((`e`.`sales_purchase_id` = `p`.`sales_purchase_id_auto`))) join `tbl_customers` `s` on((`s`.`Customer_ID` = `e`.`Customer_ID`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`Invoice_Currency`))) where (`p`.`is_return` = 0) order by `e`.`Invoice_ID_Auto` desc ;

-- --------------------------------------------------------

--
-- Structure for view `sales_purchase_return_list`
--
DROP TABLE IF EXISTS `sales_purchase_return_list`;

CREATE  VIEW `sales_purchase_return_list`  AS  select `p`.`sales_purchase_id_auto` AS `sales_purchase_id_auto`,`p`.`sales_purchase_number` AS `sales_purchase_number`,`p`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`p`.`Purchase_IDs_Auto` AS `Purchase_IDs_Auto`,`e`.`date_time` AS `date_time`,`e`.`Return_Invoice_ID` AS `ID_Auto`,concat(`e`.`invoice_prefix`,`e`.`Return_ID`) AS `ID`,`s`.`Customer_Name` AS `Name`,`e`.`Return_Invoice_Date` AS `Date`,`e`.`Return_Invoice_Date` AS `Due_Date`,concat(`e`.`Invoice_VAT`,' ',`cu`.`Currency_Symbol`) AS `VAT`,concat(`e`.`Return_Invoice_Total`,' ',`cu`.`Currency_Symbol`) AS `SubTotal`,concat(`e`.`Return_Net_Total`,' ',`cu`.`Currency_Symbol`) AS `NetTotal`,`s`.`Customer_ID` AS `Person_ID`,`e`.`current_year_id` AS `current_year_id` from (((`tbl_sales_purchase` `p` join `tbl_accounting_return_invoices` `e` on(((`e`.`sales_purchase_id` = `p`.`sales_purchase_id_auto`) and (`e`.`Is_Customer_Invoice` = 1)))) join `tbl_customers` `s` on((`s`.`Customer_ID` = `e`.`Person_ID`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`Currency_ID`))) where (`p`.`is_return` = 1) order by `e`.`Return_Invoice_ID` desc ;

-- --------------------------------------------------------

--
-- Structure for view `scale_view`
--
DROP TABLE IF EXISTS `scale_view`;

CREATE  VIEW `scale_view`  AS  select `s`.`scale_id` AS `scale_id`,`s`.`scale_name` AS `scale_name`,`s`.`scale_ip` AS `scale_ip`,`s`.`class_id` AS `class_id`,`c`.`Class_Name` AS `Class_Name`,`s`.`scale_type` AS `scale_type`,`s`.`scale_properties` AS `scale_properties` from (`tbl_scale` `s` join `tbl_pricing_class` `c` on((`c`.`Class_ID` = `s`.`class_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `schedule_bills_list`
--
DROP TABLE IF EXISTS `schedule_bills_list`;

CREATE  VIEW `schedule_bills_list`  AS  select `bills`.`bill_id` AS `bill_id`,`bills`.`bill_nb` AS `bill_nb`,`bills`.`customer_id` AS `customer_id`,`bills`.`account_id` AS `account_id`,`bills`.`pay_for` AS `pay_for`,`bills`.`main_total` AS `main_total`,`bills`.`nb_of_bills` AS `nb_of_bills`,`bills`.`first_bill` AS `first_bill`,`bills`.`bill_amount` AS `bill_amount`,`bills`.`last_bill` AS `last_bill`,`bills`.`currency_id` AS `currency_id`,`bills`.`payment_period` AS `payment_period`,`bills`.`bill_date` AS `bill_date`,`bills`.`start_date` AS `start_date`,`bills`.`bill_description` AS `bill_description`,`bills`.`date_created` AS `date_created`,`bills`.`date_time` AS `date_time`,`bills`.`created_logged_id` AS `created_logged_id`,`bills`.`logged_id` AS `logged_id`,`bills`.`current_year_id` AS `current_year_id`,`bills`.`is_actual` AS `is_actual`,`customers`.`Customer_Name` AS `Customer_Name`,`currency`.`Currency_Code` AS `Currency_Code`,`currency`.`Currency_Symbol` AS `Currency_Symbol` from ((`tbl_accounting_schedule_bills` `bills` join `tbl_customers` `customers` on((`customers`.`Customer_ID` = `bills`.`customer_id`))) join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `bills`.`currency_id`))) order by `bills`.`bill_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `schedule_bills_payment_list`
--
DROP TABLE IF EXISTS `schedule_bills_payment_list`;

CREATE  VIEW `schedule_bills_payment_list`  AS  select `bills_details`.`bill_detail_id` AS `bill_detail_id`,`bills_details`.`bill_detail_nb` AS `bill_detail_nb`,`bills_details`.`bill_detail_due_date` AS `bill_detail_due_date`,`bills_details`.`bill_detail_amount` AS `bill_detail_amount`,`bills_details`.`is_paid` AS `is_paid`,`bills_details`.`bill_id` AS `bill_id`,`bills`.`bill_nb` AS `bill_nb`,`bills`.`currency_id` AS `currency_id`,`bills`.`customer_id` AS `customer_id`,`bills`.`is_actual` AS `is_actual`,`customers`.`Customer_Name` AS `Customer_Name`,`bills`.`main_total` AS `main_total`,`currency`.`Currency_Code` AS `Currency_Code`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,`trans`.`Transaction_ID` AS `Transaction_ID`,`trans`.`JV_ID` AS `JV_ID`,`trans`.`Transaction_Amount` AS `Transaction_Amount`,`trans`.`Transaction_Date` AS `Transaction_Date`,`trans`.`user_ref` AS `user_ref`,`bills_details`.`bill_detail_paid_amount` AS `bill_detail_paid_amount`,`tc`.`Currency_Symbol` AS `trans_currency_symbol` from (((((`tbl_accounting_schedule_bills_details` `bills_details` join `tbl_accounting_schedule_bills` `bills` on((`bills_details`.`bill_id` = `bills`.`bill_id`))) join `tbl_customers` `customers` on((`bills`.`customer_id` = `customers`.`Customer_ID`))) join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `bills`.`currency_id`))) left join `tbl_accounting_transactions` `trans` on(((`trans`.`main_id` = `bills`.`bill_id`) and (`trans`.`sub_id` = `bills_details`.`bill_detail_id`) and (`trans`.`subtype` = 'cash')))) left join `tbl_common_currency` `tc` on((`tc`.`Currency_ID` = `trans`.`Currency_ID`))) order by `bills`.`bill_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `service_invoice_list`
--
DROP TABLE IF EXISTS `service_invoice_list`;

CREATE  VIEW `service_invoice_list`  AS  select `s`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`s`.`Invoice_ID` AS `Invoice_ID`,`s`.`Invoice_Date` AS `Invoice_Date`,`s`.`Invoice_Due_Date` AS `Invoice_Due_Date`,concat(`s`.`Invoice_Net_Total`,' ',`cy`.`Currency_Symbol`) AS `Total`,`c`.`Customer_Name` AS `Customer_Name`,`s`.`current_year_id` AS `current_year_id`,`s`.`Is_Actual` AS `Is_Actual` from ((`tbl_inventory_services_invoices` `s` left join `tbl_customers` `c` on((`s`.`Customer_ID` = `c`.`Customer_ID`))) left join `tbl_common_currency` `cy` on((`s`.`Currency_ID` = `cy`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `shipping_company_list`
--
DROP TABLE IF EXISTS `shipping_company_list`;

CREATE  VIEW `shipping_company_list`  AS  select `ship_company`.`shipping_company_id` AS `shipping_company_id`,`ship_company`.`shipping_company_name` AS `shipping_company_name`,`ship_company`.`shipping_company_fees` AS `shipping_company_fees`,`ship_company`.`shipping_account_id` AS `shipping_account_id`,`ship_company`.`sales_account_id` AS `sales_account_id`,`ship_company`.`api_folder` AS `api_folder`,`ship_account`.`Account_Name` AS `shipping_account_name`,`sales_account`.`Account_Name` AS `sales_account_name`,`ship_company`.`user_name` AS `user_name`,`ship_company`.`password` AS `password`,`ship_company`.`token` AS `token`,`ship_company`.`api_version` AS `api_version`,`ship_company`.`note` AS `note`,`ship_company`.`main_account_id` AS `main_account_id`,`main_account`.`Account_Name` AS `main_account_name`,`ship_company`.`is_invoice_total_on_shipping` AS `is_invoice_total_on_shipping`,`ship_company`.`trans_on_change_status` AS `trans_on_change_status` from (((`tbl_shipping_company` `ship_company` left join `tbl_chart_of_accounts` `ship_account` on((`ship_account`.`Account_ID` = `ship_company`.`shipping_account_id`))) left join `tbl_chart_of_accounts` `sales_account` on((`sales_account`.`Account_ID` = `ship_company`.`sales_account_id`))) left join `tbl_chart_of_accounts` `main_account` on((`main_account`.`Account_ID` = `ship_company`.`main_account_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `shipping_list`
--
DROP TABLE IF EXISTS `shipping_list`;

CREATE  VIEW `shipping_list`  AS  select `inv`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,concat_ws('',`inv`.`invoice_prefix`,`inv`.`Invoice_ID`) AS `invoice_nb`,`inv`.`Invoice_Description` AS `Reference`,(`inv`.`Invoice_Shipping` + `inv`.`Invoice_Net_Total`) AS `Collection`,`inv`.`Invoice_Currency` AS `Invoice_Currency`,`inv`.`shipping_company_id` AS `shipping_company_id`,`inv`.`current_year_id` AS `current_year_id`,`inv`.`Invoice_Date` AS `Invoice_Date`,`inv`.`address_id` AS `address_id`,`address`.`shipping_title` AS `shipping_title`,`cust`.`Customer_ID` AS `Customer_ID`,`cust`.`Customer_Name` AS `Customer_Name`,`shipping`.`pick_up_date` AS `pick_up_date`,`shipping`.`drop_off_date` AS `drop_off_date`,if(isnull(`shipping`.`shipping_status_id`),1,`shipping`.`shipping_status_id`) AS `shipping_status_id`,`shipping`.`api_shipping_id` AS `DBNumber`,`shipping`.`api_other_response` AS `api_other_response`,if(isnull(`shipping`.`shipping_status_id`),'Pending',`ship_status`.`shipping_status_name`) AS `shipping_status`,`inv`.`Invoice_Description` AS `Invoice_Description`,`inv`.`shipping_note` AS `shipping_note`,`inv`.`current_rate` AS `current_rate`,`inv`.`second_currency_rate` AS `second_currency_rate`,`inv`.`Payment_Paid_Amount` AS `Payment_Paid_Amount`,`inv`.`Invoice_Net_Total` AS `Invoice_Net_Total`,`inv`.`is_invoice_total_on_shipping` AS `is_invoice_total_on_shipping` from ((((`tbl_invoices` `inv` join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `inv`.`Customer_ID`))) left join `tbl_invoice_shipping` `shipping` on((`shipping`.`Invoice_ID_Auto` = `inv`.`Invoice_ID_Auto`))) left join `tbl_shipping_status` `ship_status` on((`shipping`.`shipping_status_id` = `ship_status`.`shipping_status_id`))) left join `tbl_customer_shipping_address` `address` on((`inv`.`address_id` = `address`.`shipping_address_id`))) where (`inv`.`shipping_company_id` is not null) ;

-- --------------------------------------------------------

--
-- Structure for view `station_invoice_list`
--
DROP TABLE IF EXISTS `station_invoice_list`;

CREATE  VIEW `station_invoice_list`  AS  select `station_invoice`.`invoice_id` AS `invoice_id`,`station_invoice`.`invoice_nb` AS `invoice_nb`,`station_invoice`.`invoice_prefix` AS `invoice_prefix`,`station_invoice`.`customer_id` AS `customer_id`,`station_invoice`.`invoice_date` AS `invoice_date`,`station_invoice`.`subtotal` AS `subtotal`,`station_invoice`.`invoice_vat` AS `invoice_vat`,`station_invoice`.`net_total` AS `net_total`,`station_invoice`.`currency_id` AS `currency_id`,`station_invoice`.`depot_id` AS `depot_id`,`station_invoice`.`branch_id` AS `branch_id`,`station_invoice`.`current_rate` AS `current_rate`,`station_invoice`.`job_id` AS `job_id`,`station_invoice`.`description` AS `description`,`station_invoice`.`logged_id` AS `logged_id`,`station_invoice`.`created_logged_id` AS `created_logged_id`,`station_invoice`.`date_time` AS `date_time`,`station_invoice`.`date_created` AS `date_created`,`station_invoice`.`is_actual` AS `is_actual`,`station_invoice`.`current_year_id` AS `current_year_id`,`station_invoice`.`class_id` AS `class_id`,`station_invoice`.`employee_id` AS `employee_id`,`station_invoice`.`Account_ID` AS `Account_ID`,`customers`.`Customer_Name` AS `Customer_Name`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,concat_ws(' ',`station_invoice`.`invoice_vat`,`currency`.`Currency_Symbol`) AS `InvoiceVat`,concat_ws(' ',`station_invoice`.`net_total`,`currency`.`Currency_Symbol`) AS `NetTotal`,concat_ws(' ',(`station_invoice`.`net_total` - `station_invoice`.`invoice_vat`),`currency`.`Currency_Symbol`) AS `sub_total`,concat_ws('',`station_invoice`.`invoice_prefix`,`station_invoice`.`invoice_nb`) AS `inv_num` from ((`tbl_station_invoice` `station_invoice` join `tbl_customers` `customers` on((`station_invoice`.`customer_id` = `customers`.`Customer_ID`))) join `tbl_common_currency` `currency` on((`station_invoice`.`currency_id` = `currency`.`Currency_ID`))) order by `station_invoice`.`invoice_date` desc,`station_invoice`.`invoice_id` desc ;

-- --------------------------------------------------------

--
-- Structure for view `stock_transactions`
--
DROP TABLE IF EXISTS `stock_transactions`;

CREATE  VIEW `stock_transactions`  AS  select `t`.`Transaction_ID` AS `Transaction_ID`,`t`.`Product_ID` AS `Product_ID`,`t`.`Depot_ID` AS `Depot_ID`,`t`.`Product_Quantity` AS `Product_Quantity`,`t`.`Transaction_Type_ID` AS `Transaction_Type_ID`,`t`.`Transaction_Date` AS `Transaction_Date`,`t`.`Logged_ID` AS `Logged_ID`,`t`.`Operation_Type` AS `Operation_Type`,`t`.`Unit_Cost` AS `Unit_Cost`,`t`.`unit_price` AS `unit_price`,`t`.`Currency_ID` AS `Currency_ID`,`t`.`Exchange_Rate_ID` AS `Exchange_Rate_ID`,`t`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`t`.`UOM_ID` AS `UOM_ID`,`t`.`date_time` AS `date_time`,`t`.`is_actual` AS `is_actual`,`t`.`main_id` AS `main_id`,`t`.`expiry_date` AS `expiry_date`,`t`.`lot_nb` AS `lot_nb`,`t`.`serial_nb` AS `serial_nb`,`p`.`Product_Code` AS `CODE`,`p`.`Product_Name` AS `NAME`,`p`.`Category_ID` AS `Category_ID`,`d`.`Depot_Name` AS `Depot_Name`,`d`.`Depot_Code` AS `Depot_Code`,`ty`.`Transaction_Type` AS `Transaction_Type`,`u`.`UOM_Name` AS `UOM_Name`,`p`.`Product_Quantity` AS `Total_Quantity`,`ty`.`main_type` AS `main_type`,concat(`t`.`Item_Quantity_Current`,' ',`u`.`UOM_Name`) AS `Cur_Quantity`,`e`.`User_Name` AS `Employee_Name`,if((`p`.`default_view_uom_id` = 0),1,`p`.`default_view_rate`) AS `uom_rate`,`du`.`UOM_Name` AS `default_view_uom`,(`p`.`Product_Quantity` / if((`p`.`default_view_uom_id` = 0),1,`p`.`default_view_rate`)) AS `total_qty_def_view`,`t`.`is_current` AS `is_current`,`t`.`main_nb` AS `main_nb`,ifnull(`cust`.`Customer_Name`,'') AS `Customer_Name`,ifnull(`sup`.`Supplier_Name`,'') AS `Supplier_Name`,`t`.`trans_note` AS `trans_note`,`t`.`current_cost` AS `current_cost`,`t`.`current_rate` AS `current_rate`,`t`.`second_currency_rate` AS `second_currency_rate`,(`t`.`current_cost` * `t`.`second_currency_rate`) AS `second_currency_cost` from ((((((((`tbl_stock_product_transactions` `t` join `tbl_stock_products` `p` on((`p`.`Product_ID` = `t`.`Product_ID`))) join `tbl_stock_depot_warehouse` `d` on((`d`.`Depot_ID` = `t`.`Depot_ID`))) join `tbl_stock_transactions_types` `ty` on((`ty`.`Transaction_Type_ID` = `t`.`Transaction_Type_ID`))) join `tbl_stock_uom` `u` on((`u`.`UOM_ID` = `t`.`UOM_ID`))) left join `tbl_common_users` `e` on((`e`.`User_ID` = `t`.`Logged_ID`))) join `tbl_stock_uom` `du` on((if((`p`.`default_view_uom_id` = 0),`p`.`UOM_ID`,`p`.`default_view_uom_id`) = `du`.`UOM_ID`))) left join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `t`.`customer_id`))) left join `tbl_stock_suppliers` `sup` on((`sup`.`Supplier_ID` = `t`.`supplier_id`))) order by `t`.`date_time`,`t`.`Transaction_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `subscription_details_list`
--
DROP TABLE IF EXISTS `subscription_details_list`;

CREATE  VIEW `subscription_details_list`  AS  select `details_fees`.`detail_fees_id` AS `detail_fees_id`,`details_fees`.`detail_id` AS `detail_id`,`details_fees`.`start` AS `start`,`details_fees`.`end` AS `end`,`details_fees`.`price` AS `price`,`details_fees`.`fees_type_id` AS `fees_type_id`,`details`.`product_id` AS `product_id`,`details`.`type_id` AS `type_id`,`main`.`subscription_id` AS `subscription_id`,`main`.`subscription_name` AS `subscription_name`,`products`.`Product_Name` AS `Product_Name`,`uom`.`UOM_Name` AS `UOM_Name`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol` from (((((`tbl_subscription_details_fees` `details_fees` join `tbl_subscription_details` `details` on((`details`.`detail_id` = `details_fees`.`detail_id`))) join `tbl_subscription` `main` on((`main`.`subscription_id` = `details`.`subscription_id`))) join `tbl_stock_products` `products` on((`products`.`Product_ID` = `details`.`product_id`))) join `tbl_stock_uom` `uom` on((`uom`.`UOM_ID` = `details`.`uom_id`))) join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `main`.`currency_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `subscription_fees_list`
--
DROP TABLE IF EXISTS `subscription_fees_list`;

CREATE  VIEW `subscription_fees_list`  AS  select `fees_sub_main`.`main_id` AS `main_id`,`fees_sub_main`.`customer_subscription_id` AS `customer_subscription_id`,`fees_sub_main`.`main_date` AS `main_date`,`fees_sub_main`.`next_date` AS `next_date`,`salesman`.`employee_id` AS `sales_emp_id`,`fees_sub_main`.`paid_status` AS `paid_status`,`fees_sub_main`.`paid_amount` AS `paid_amount`,`fees_sub_main`.`subscription_id` AS `subscription_id`,`fees_sub_main`.`date_created` AS `date_created`,`fees_sub_main`.`created_logged_id` AS `created_logged_id`,`fees_sub_main`.`date_time` AS `date_time`,`fees_sub_main`.`logged_id` AS `logged_id`,`customers`.`Customer_Name` AS `Customer_Name`,`subs`.`subscription_name` AS `subscription_name`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,`inv`.`Invoice_Date` AS `Invoice_Date`,`inv`.`Invoice_ID_Auto` AS `ID_Auto`,concat(`inv`.`invoice_prefix`,`inv`.`Invoice_ID`) AS `ID`,`inv`.`Invoice_Net_Total` AS `Invoice_Net_Total`,`inv`.`Invoice_Currency` AS `Invoice_Currency`,`inv`.`current_year_id` AS `current_year_id`,`customers`.`Customer_ID` AS `Customer_ID`,`fees_sub_main`.`discount_amount` AS `discount_amount`,`inv`.`job_id` AS `job_id`,`inv`.`project_id` AS `project_id`,`fees_sub_main`.`is_open_balance` AS `is_open_balance`,`customers`.`Customer_Address` AS `Customer_Address`,`inv`.`currency_round` AS `inv_currency_round`,`inv`.`current_rate` AS `current_rate`,`inv`.`second_currency_rate` AS `second_currency_rate`,`subs`.`paid_type` AS `paid_type`,`subs`.`category_id` AS `category_id`,`cust_sub`.`block_id` AS `block_id`,`cat`.`category_name` AS `category_name`,`blocks`.`block_name` AS `block_name`,`fees_sub_main`.`total_amount` AS `total_amount` from ((((((((`tbl_fees_subscription_main` `fees_sub_main` join `tbl_invoices` `inv` on((`inv`.`subscription_fees_id` = `fees_sub_main`.`main_id`))) join `tbl_customers` `customers` on((`customers`.`Customer_ID` = `inv`.`Customer_ID`))) join `tbl_subscription` `subs` on((`subs`.`subscription_id` = `fees_sub_main`.`subscription_id`))) join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `inv`.`Invoice_Currency`))) join `tbl_customer_subscription` `cust_sub` on((`cust_sub`.`customer_subscription_id` = `fees_sub_main`.`customer_subscription_id`))) left join `tbl_subscription_category` `cat` on((`cat`.`category_id` = `subs`.`category_id`))) left join `tbl_subscription_block` `blocks` on((`blocks`.`block_id` = `cust_sub`.`block_id`))) left join `tbl_salesman_customers` `salesman` on((`salesman`.`customer_id` = `customers`.`Customer_ID`))) where ((`inv`.`subscription_fees_id` <> 0) and (`inv`.`subscription_fees_id` is not null)) ;

-- --------------------------------------------------------

--
-- Structure for view `subscription_list`
--
DROP TABLE IF EXISTS `subscription_list`;

CREATE  VIEW `subscription_list`  AS  select `subscription`.`subscription_id` AS `subscription_id`,`subscription`.`subscription_name` AS `subscription_name`,`subscription`.`currency_id` AS `currency_id`,`subscription`.`is_ttc` AS `is_ttc`,`subscription`.`is_active` AS `is_active`,`subscription`.`period` AS `period`,`subscription`.`period_unit` AS `period_unit`,`subscription`.`bill_start` AS `bill_start`,`currency`.`Currency_Name` AS `Currency_Name`,`currency`.`Currency_Code` AS `Currency_Code`,`currency`.`Currency_Symbol` AS `Currency_Symbol`,`subscription`.`paid_type` AS `paid_type`,`subscription`.`currency_round` AS `currency_round`,`subscription`.`round_type` AS `round_type`,`subscription`.`category_id` AS `category_id`,`cat`.`category_name` AS `category_name` from ((`tbl_subscription` `subscription` join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `subscription`.`currency_id`))) left join `tbl_subscription_category` `cat` on((`cat`.`category_id` = `subscription`.`category_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `supplier_list`
--
DROP TABLE IF EXISTS `supplier_list`;

CREATE  VIEW `supplier_list`  AS  select `s`.`Supplier_ID` AS `ID`,`s`.`Supplier_Name` AS `Name`,`s`.`branch_id` AS `branch_id`,`s`.`Supplier_Company` AS `Company`,`s`.`Supplier_Work_Phone` AS `Work_Phone`,`s`.`Supplier_Address` AS `Address`,`ca`.`Account_Code` AS `Account_Code`,`s`.`Supplier_Mobile` AS `Customer_Mobile`,`s`.`Status_ID` AS `Status_ID`,0 AS `balance` from (`tbl_stock_suppliers` `s` join `tbl_chart_of_accounts` `ca` on(((`ca`.`main_id` = `s`.`Supplier_ID`) and (`ca`.`main_type` = 'supp') and (`ca`.`sub_type` = 'main')))) ;

-- --------------------------------------------------------

--
-- Structure for view `tags_view`
--
DROP TABLE IF EXISTS `tags_view`;

CREATE  VIEW `tags_view`  AS  select `a`.`Entry_ID` AS `Entry_ID`,`a`.`Tag_ID` AS `Tag_ID`,`a`.`Type_ID` AS `Type_ID`,`a`.`Tag_Price` AS `Tag_Price`,`n`.`Tag_Name` AS `Tag_Name`,`t`.`Type_Name` AS `Type_Name` from ((`all_tags` `a` left join `tag_names` `n` on((`n`.`Tag_ID` = `a`.`Tag_ID`))) left join `tag_types` `t` on((`t`.`Type_ID` = `a`.`Type_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `ticketing_list`
--
DROP TABLE IF EXISTS `ticketing_list`;

CREATE  VIEW `ticketing_list`  AS  select `ticketing`.`ticketing_id` AS `ticketing_id`,`ticketing`.`ticketing_nb` AS `ticketing_nb`,`ticketing`.`customer_id` AS `customer_id`,`ticketing`.`ticketing_type_id` AS `ticketing_type_id`,`ticketing`.`ticketing_station_id` AS `ticketing_station_id`,`ticketing`.`paid_amount` AS `paid_amount`,`ticketing`.`payment_account_id` AS `payment_account_id`,`ticketing`.`ticketing_date` AS `ticketing_date`,`ticketing`.`ticketing_status_id` AS `ticketing_status_id`,`ticketing`.`date_finished` AS `date_finished`,`ticketing`.`finished_by` AS `finished_by`,`ticketing`.`finished_solution` AS `finished_solution`,`ticketing`.`date_created` AS `date_created`,`ticketing`.`created_by` AS `created_by`,`ticketing`.`date_modified` AS `date_modified`,`ticketing`.`modified_by` AS `modified_by`,`ticketing`.`ticketing_reply_id` AS `ticketing_reply_id`,`cust`.`Customer_Name` AS `Customer_Name`,`ticketing_type`.`ticketing_type_name` AS `ticketing_type_name`,`stat`.`ticketing_status_name` AS `ticketing_status_name`,`ticketing`.`assigned_user_id` AS `assigned_user_id`,`ticketing`.`ticketing_schedule_date` AS `ticketing_schedule_date`,`users`.`User_Name` AS `User_Name` from ((((`tbl_ticketing` `ticketing` join `tbl_customers` `cust` on((`cust`.`Customer_ID` = `ticketing`.`customer_id`))) join `tbl_ticketing_type` `ticketing_type` on((`ticketing_type`.`ticketing_type_id` = `ticketing`.`ticketing_type_id`))) join `tbl_ticketing_status` `stat` on((`stat`.`ticketing_status_id` = `ticketing`.`ticketing_status_id`))) left join `tbl_common_users` `users` on((`users`.`User_ID` = `ticketing`.`assigned_user_id`))) order by `ticketing`.`ticketing_nb` desc ;

-- --------------------------------------------------------

--
-- Structure for view `ticketing_station_list`
--
DROP TABLE IF EXISTS `ticketing_station_list`;

CREATE  VIEW `ticketing_station_list`  AS  select `ticketing_station`.`ticketing_station_id` AS `ticketing_station_id`,`ticketing_station`.`ticketing_station_name` AS `ticketing_station_name`,`ticketing_station`.`ticketing_station_location` AS `ticketing_station_location`,`ticketing_station`.`depot_id` AS `depot_id`,`depot`.`Depot_Name` AS `Depot_Name` from (`tbl_ticketing_station` `ticketing_station` join `tbl_stock_depot_warehouse` `depot` on((`depot`.`Depot_ID` = `ticketing_station`.`depot_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `transactions_info`
--
DROP TABLE IF EXISTS `transactions_info`;

CREATE  VIEW `transactions_info`  AS  select `a`.`is_actual` AS `is_actual`,`a`.`main_id` AS `main_id`,`a`.`main_type` AS `main_type`,`u`.`User_Name` AS `User_Name`,`a`.`Transaction_ID` AS `Transaction_ID`,`a`.`Account_ID` AS `Account_ID`,`ca`.`Account_Name` AS `Account_Name`,`a`.`JV_ID` AS `JV_ID`,if((`a`.`is_actual` = 1),concat('Act. ',`a`.`JV_ID`),`a`.`JV_ID`) AS `jv_nb`,`a`.`Transaction_Reference` AS `Transaction_Reference`,`a`.`user_ref` AS `user_ref`,`ca`.`Account_Code` AS `Transaction_Account`,`a`.`Transaction_Type` AS `Transaction_Type`,`a`.`Transaction_Amount` AS `Transaction_Amount`,`a`.`Currency_ID` AS `Currency_ID`,`a`.`Transaction_Date` AS `Transaction_Date`,`a`.`Transaction_Description` AS `Transaction_Description`,`a`.`Logged_ID` AS `Logged_ID`,`a`.`Exchange_Rate_ID` AS `Exchange_Rate_ID`,`a`.`Current_Ex_Rate` AS `Current_Ex_Rate`,`a`.`current_year_id` AS `current_year_id`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`a`.`branch_id` AS `branch_id`,`b`.`branch_name` AS `branch_name`,`a`.`job_id` AS `job_id`,`aj`.`job_name` AS `job_name`,`a`.`subtype` AS `subtype`,`a`.`due_date` AS `due_date`,`ca`.`job_ids` AS `job_ids`,`ca`.`job_required` AS `job_required`,`a`.`second_currency_rate` AS `second_currency_rate`,(`a`.`Transaction_Amount` * `a`.`Current_Ex_Rate`) AS `local_amount`,(`a`.`Transaction_Amount` * `a`.`second_currency_rate`) AS `second_amount`,`a`.`check_nb` AS `check_nb`,concat(`a`.`prefix`,`a`.`main_nb`) AS `trans_nb`,`a`.`value_date` AS `value_date`,`pr`.`project_name` AS `project_name`,`a`.`project_id` AS `project_id`,`a`.`prefix` AS `prefix`,`a`.`salesman_id` AS `salesman_id`,`a`.`activity_id` AS `activity_id`,`activity_tree`.`activity_code` AS `activity_code`,`activity_tree`.`activity_title` AS `activity_title`,`ca`.`main_type` AS `acc_main_type`,`ca`.`sub_type` AS `acc_sub_type` from (((((((`tbl_accounting_transactions` `a` left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `a`.`Currency_ID`))) left join `tbl_chart_of_accounts` `ca` on((`ca`.`Account_ID` = `a`.`Account_ID`))) left join `tbl_common_users` `u` on((`u`.`User_ID` = `a`.`Logged_ID`))) left join `tbl_organization_branches` `b` on((`b`.`branch_id` = `a`.`branch_id`))) left join `tbl_accounting_jobs` `aj` on((`aj`.`job_id` = `a`.`job_id`))) left join `tbl_projects` `pr` on((`pr`.`project_id` = `a`.`project_id`))) left join `tbl_activity_tree` `activity_tree` on((`activity_tree`.`activity_id` = `a`.`activity_id`))) order by `a`.`JV_ID` desc ;

-- --------------------------------------------------------

--
-- Structure for view `transfered_items`
--
DROP TABLE IF EXISTS `transfered_items`;

CREATE  VIEW `transfered_items`  AS  select `d`.`Product_ID` AS `Product_ID`,`d`.`Request_Qty` AS `Quantity`,`r`.`Delivery_Date` AS `Date`,concat(`r`.`Request_From`,`r`.`Request_To`) AS `From_To`,`f`.`Depot_Name` AS `DepotFrom`,`t`.`Depot_Name` AS `DepotTo` from (((`tbl_stock_request_details` `d` left join `tbl_stock_request` `r` on((`d`.`Request_ID` = `r`.`Request_ID`))) left join `tbl_stock_depot_warehouse` `f` on((`f`.`Depot_ID` = `r`.`Request_From`))) left join `tbl_stock_depot_warehouse` `t` on((`t`.`Depot_ID` = `r`.`Request_To`))) where (`r`.`Status_ID` = 3) ;

-- --------------------------------------------------------

--
-- Structure for view `transfer_details_list`
--
DROP TABLE IF EXISTS `transfer_details_list`;

CREATE  VIEW `transfer_details_list`  AS  select `details`.`Entry_ID` AS `Entry_ID`,`details`.`Request_ID` AS `Request_ID`,`details`.`Product_ID` AS `Product_ID`,`details`.`Request_Qty` AS `Request_Qty`,`details`.`Request_UOM` AS `Request_UOM`,`details`.`Current_Quantity` AS `Current_Quantity`,`details`.`expiry_date` AS `expiry_date`,`details`.`lot_nb` AS `lot_nb`,`details`.`serial_nb` AS `serial_nb`,`products`.`Product_Name` AS `Product_Name`,`uom`.`UOM_Name` AS `UOM_Name`,`main`.`Request_Date` AS `Request_Date`,concat_ws('',`main`.`serial_prefix`,`main`.`Request_Number`) AS `req_nb`,`main`.`Request_From` AS `Request_From`,`main`.`Request_To` AS `Request_To`,`main`.`ticketing_id` AS `ticketing_id`,`main`.`customer_id` AS `customer_id`,`main`.`Status_ID` AS `Status_ID`,`from_depot`.`Depot_Name` AS `depot_from`,`to_depot`.`Depot_Name` AS `depot_to`,`customers`.`Customer_Name` AS `Customer_Name` from ((((((`tbl_stock_request_details` `details` join `tbl_stock_request` `main` on((`main`.`Request_ID` = `details`.`Request_ID`))) join `tbl_stock_products` `products` on((`products`.`Product_ID` = `details`.`Product_ID`))) join `tbl_stock_uom` `uom` on((`uom`.`UOM_ID` = `details`.`Request_UOM`))) join `tbl_stock_depot_warehouse` `from_depot` on((`from_depot`.`Depot_ID` = `main`.`Request_From`))) join `tbl_stock_depot_warehouse` `to_depot` on((`to_depot`.`Depot_ID` = `main`.`Request_To`))) left join `tbl_customers` `customers` on((`customers`.`Customer_ID` = `main`.`customer_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `transfer_jvs_list`
--
DROP TABLE IF EXISTS `transfer_jvs_list`;

CREATE  VIEW `transfer_jvs_list`  AS  select `e`.`Transfer_ID` AS `Transfer_ID`,`e`.`Old_JV_ID` AS `Old_JV_ID`,`e`.`New_JV_ID` AS `New_JV_ID`,`e`.`Transfer_Date` AS `Transfer_Date`,`e`.`Transfer_Description` AS `Transfer_Description`,`e`.`Logged_ID` AS `Logged_ID`,concat(`ep`.`Employee_FirstName`,' ',`ep`.`Employee_MiddleName`,' ',`ep`.`Employee_LastName`) AS `Employee_Name` from (`tbl_accounting_transfer_jv` `e` left join `tbl_hrm_employee` `ep` on((`e`.`Logged_ID` = `ep`.`Employee_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `uom_conversions`
--
DROP TABLE IF EXISTS `uom_conversions`;

CREATE  VIEW `uom_conversions`  AS  select `p`.`Product_Name` AS `Product_Name`,`c`.`Bar_Code` AS `Bar_Code`,`c`.`additional_barcodes` AS `additional_barcodes`,`c`.`uom_conversion_id` AS `uom_conversion_id`,`c`.`uom_from` AS `uom_from`,`c`.`conversion_amount` AS `conversion_amount`,`c`.`uom_to` AS `uom_to`,`c`.`Product_ID` AS `Product_ID`,`c`.`is_default` AS `is_default`,`f`.`UOM_Name` AS `from_name`,`t`.`UOM_Name` AS `to_name`,`p`.`is_expiry` AS `is_expiry`,`p`.`is_lot` AS `is_lot`,`p`.`is_serial` AS `is_serial`,`p`.`is_service` AS `is_service` from (((`tbl_uom_conversions` `c` left join `tbl_stock_uom` `f` on((`c`.`uom_from` = `f`.`UOM_ID`))) left join `tbl_stock_uom` `t` on((`c`.`uom_to` = `t`.`UOM_ID`))) left join `tbl_stock_products` `p` on((`p`.`Product_ID` = `c`.`Product_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `user_accounting_accounts_name`
--
DROP TABLE IF EXISTS `user_accounting_accounts_name`;

CREATE  VIEW `user_accounting_accounts_name`  AS  select `uc`.`User_Account_ID` AS `User_Account_ID`,`uc`.`User_ID` AS `User_ID`,`uc`.`Cash_Account` AS `Cash_Account`,`c`.`Account_Name` AS `Cash_Name`,`c`.`Account_Arabic_Name` AS `Cash_Arabic_Name`,`u`.`User_Name` AS `User_Name`,`u`.`Status_ID` AS `Status_ID` from ((`tbl_users_accounting_accounts` `uc` left join `tbl_chart_of_accounts` `c` on((`uc`.`cash_account_id` = `c`.`Account_ID`))) left join `tbl_common_users` `u` on((`uc`.`User_ID` = `u`.`User_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `user_activities`
--
DROP TABLE IF EXISTS `user_activities`;

CREATE  VIEW `user_activities`  AS  select concat(`i`.`invoice_prefix`,`i`.`Invoice_ID`) AS `number`,(`i`.`Invoice_Net_Total` * `i`.`current_rate`) AS `invoice_total`,(`i`.`Invoice_Paid_Amount` * `i`.`current_rate`) AS `paid_amount`,`c`.`Customer_Name` AS `Name`,'Invoice' AS `type`,`i`.`Invoice_Date` AS `Date`,`i`.`Logged_ID` AS `Logged_ID`,`u`.`User_Name` AS `User_Name`,`i`.`is_actual` AS `is_actual`,`i`.`Sales_ID` AS `Sales_ID`,`i`.`branch_id` AS `branch_id` from ((`tbl_invoices` `i` join `tbl_customers` `c` on((`i`.`Customer_ID` = `c`.`Customer_ID`))) join `tbl_common_users` `u` on((`u`.`User_ID` = `i`.`Logged_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `user_customers`
--
DROP TABLE IF EXISTS `user_customers`;

CREATE  VIEW `user_customers`  AS  select `c`.`Customer_ID` AS `Customer_ID`,`c`.`Customer_Name` AS `Customer_Name`,`c`.`Customer_Email` AS `Customer_Email`,`c`.`Customer_Phone` AS `Customer_Phone`,`c`.`Customer_Work_Phone` AS `Customer_Work_Phone`,`c`.`Customer_Mobile` AS `Customer_Mobile`,`c`.`Customer_Company` AS `Customer_Company`,`c`.`Customer_Country_ID` AS `Customer_Country_ID`,`c`.`Customer_City_ID` AS `Customer_City_ID`,`c`.`Customer_Address` AS `Customer_Address`,`c`.`Customer_Discount` AS `Customer_Discount`,`c`.`Customer_Limit_Balance` AS `Customer_Limit_Balance`,`c`.`Currency_ID` AS `Currency_ID`,`c`.`Customer_CR` AS `Customer_CR`,`c`.`Class_ID` AS `Class_ID`,`c`.`Logged_ID` AS `Logged_ID`,`c`.`Parent_ID` AS `Parent_ID`,`c`.`Status_ID` AS `Status_ID`,`c`.`stop_invoice` AS `stop_invoice`,`c`.`account_id_online` AS `account_id_online`,`c`.`customer_app_id` AS `customer_app_id`,`c`.`app_user_id` AS `app_user_id`,`c`.`Customer_Lat` AS `Customer_Lat`,`c`.`Customer_Lng` AS `Customer_Lng`,`c`.`customer_due_date_period` AS `customer_due_date_period`,`uc`.`user_customer_id` AS `user_customer_id`,`uc`.`user_id` AS `user_id`,`a`.`Account_Code` AS `Account_Code` from ((`tbl_customers` `c` left join `tbl_user_customers` `uc` on((`uc`.`customer_id` = `c`.`Customer_ID`))) join `tbl_chart_of_accounts` `a` on(((`a`.`main_id` = `c`.`Customer_ID`) and (`a`.`main_type` = 'cust') and (`a`.`sub_type` = 'main')))) ;

-- --------------------------------------------------------

--
-- Structure for view `user_invoices`
--
DROP TABLE IF EXISTS `user_invoices`;

CREATE  VIEW `user_invoices`  AS  select concat(`inv`.`invoice_prefix`,`inv`.`Invoice_ID`) AS `id`,`inv`.`date_time` AS `date_time`,if((`inv`.`pos_customer_id` = 0),`cust`.`Customer_Name`,`pc`.`customer_name`) AS `customer_name`,(`inv`.`Invoice_Net_Total` + `inv`.`Invoice_Shipping`) AS `total`,`inv`.`Invoice_Net_Total` AS `total_no_shipping`,`inv`.`Invoice_Shipping` AS `shipping`,((`inv`.`Invoice_Sub_Total` * `inv`.`Invoice_Discount`) / 100) AS `discount`,'Invoice' AS `type`,`inv`.`Logged_ID` AS `user`,`inv`.`Invoice_Currency` AS `currency`,`inv`.`Sales_ID` AS `Sales_ID`,`inv`.`is_actual` AS `is_actual`,`inv`.`Invoice_Paid_Amount` AS `total_cash`,`inv`.`Payment_Paid_Amount` AS `total_cash_receipt`,`inv`.`date_created` AS `date_created`,`inv`.`current_rate` AS `current_rate`,`inv`.`Class_ID` AS `class_id`,`inv`.`is_committed` AS `is_committed`,`inv`.`branch_id` AS `branch_id`,`inv`.`Invoice_Status` AS `Invoice_Status`,`inv`.`Invoice_Date` AS `inv_date`,`inv`.`Invoice_ID_Auto` AS `current_id`,`inv_users`.`User_Name` AS `User_Name`,`inv`.`pick_up_date` AS `pick_up_date`,`inv`.`drop_off_date` AS `drop_off_date`,`inv`.`shipping_status_id` AS `shipping_status_id`,`inv`.`created_logged_id` AS `created_logged_id`,`inv`.`shipping_company_id` AS `shipping_company_id`,`inv`.`Customer_ID` AS `current_customer_id`,`inv`.`customer_branch_id` AS `customer_branch_id` from (((`tbl_invoices` `inv` left join `tbl_customers` `cust` on((`inv`.`Customer_ID` = `cust`.`Customer_ID`))) left join `tbl_pos_customers` `pc` on((`pc`.`customer_id` = `inv`.`pos_customer_id`))) join `tbl_common_users` `inv_users` on((`inv_users`.`User_ID` = `inv`.`Logged_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vehicle_driver_list`
--
DROP TABLE IF EXISTS `vehicle_driver_list`;

CREATE  VIEW `vehicle_driver_list`  AS  select `v`.`Vehicle_ID` AS `Vehicle_ID`,`d`.`Vehicle_Driver_ID` AS `ID`,`v`.`Vehicle_Registration_Number` AS `Vehicle_Registration_Number`,concat(`v`.`Vehicle_Oil_Change`,' ','KM') AS `Vehicle_Oil_Change`,`t`.`Vehicle_Type_Name` AS `Vehicle_Type_Name`,concat(`dr`.`Employee_FirstName`,' ',`dr`.`Employee_MiddleName`,' ',`dr`.`Employee_LastName`) AS `Driver_Name`,concat(`s`.`Employee_FirstName`,' ',`s`.`Employee_MiddleName`,' ',`s`.`Employee_LastName`) AS `Sales_Man_Name`,`z`.`Zone_Name` AS `Zone_Name` from ((((((`tbl_garage_vehicle_driver` `d` left join `tbl_garage_vehicle` `v` on((`d`.`Vehicle_ID` = `v`.`Vehicle_ID`))) left join `tbl_vehicle_model` `m` on((`m`.`Model_ID` = `v`.`Vehicle_Model_ID`))) left join `tbl_vehicle_type` `t` on((`t`.`Vehicle_Type_ID` = `v`.`Vehicle_Make_Name_ID`))) left join `tbl_hrm_employee` `dr` on((`dr`.`Employee_ID` = `d`.`Driver_ID`))) left join `tbl_hrm_employee` `s` on((`s`.`Employee_ID` = `d`.`Sales_Man_ID`))) left join `tbl_garage_vehicle_zone` `z` on((`z`.`Zone_ID` = `d`.`Vehicle_Zone_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vehicle_expense_list`
--
DROP TABLE IF EXISTS `vehicle_expense_list`;

CREATE  VIEW `vehicle_expense_list`  AS  select `t`.`Truck_Expense_ID` AS `Truck_Expense_ID`,`t`.`Truck_ID` AS `Truck_ID`,`t`.`Truck_Expense_Description` AS `Truck_Expense_Description`,concat(`t`.`Truck_Expense_Amount`,' ',`c`.`Currency_Symbol`) AS `Truck_Expense_Amount`,`t`.`Truck_Expense_Amount` AS `Expense_Amount`,`t`.`Currency_ID` AS `Currency_ID`,`t`.`Truck_Expense_Date` AS `Truck_Expense_Date`,`t`.`Truck_Expense_Account` AS `Truck_Expense_Account`,`t`.`Logged_ID` AS `Logged_ID`,`t`.`Is_Hidden` AS `Is_Hidden`,group_concat(`vehicle`.`Vehicle_Name` separator ',') AS `vehicle_data` from (((`tbl_garage_truck_expenses` `t` left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `t`.`Currency_ID`))) join `tbl_garage_truck_expenses_details` `details` on((`details`.`Expense_ID` = `t`.`Truck_Expense_ID`))) join `tbl_garage_vehicle` `vehicle` on((`vehicle`.`Vehicle_ID` = `details`.`truck_id`))) group by `t`.`Truck_Expense_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `vehicle_list`
--
DROP TABLE IF EXISTS `vehicle_list`;

CREATE  VIEW `vehicle_list`  AS  select `v`.`Vehicle_ID` AS `Vehicle_ID`,`t`.`Vehicle_Type_Name` AS `Vehicle_Type_Name`,`v`.`Vehicle_Name` AS `Vehicle_Name`,`v`.`Vehicle_Registration_Number` AS `Vehicle_Registration_Number`,`m`.`Model_Name` AS `Model_Name`,concat(`v`.`Vehicle_Oil_Change`,' ','KM') AS `Vehicle_Oil_Change`,concat(`v`.`Vehicle_Milage`,' ','KM') AS `Vehicle_Milage`,concat(`v`.`Vehicle_Maintenance_Counter`,' ','KM') AS `Vehicle_Maintenance_Counter`,concat(`v`.`Vehicle_Maintenance_Period`,' ','KM') AS `Vehicle_Maintenance_Period`,`v`.`Vehicle_Maintenance_Status` AS `Vehicle_Maintenance_Status`,concat_ws(' - ',`e`.`Employee_FirstName`,`e`.`Employee_MiddleName`,`e`.`Employee_LastName`) AS `employee`,`v`.`driver_name` AS `driver_name`,`v`.`driver_phone` AS `driver_phone`,`v`.`owner_name` AS `owner_name`,`v`.`last_syndicate_date` AS `last_syndicate_date`,`v`.`last_mecanique_year` AS `last_mecanique_year`,`v`.`is_disabled` AS `is_disabled` from (((`tbl_garage_vehicle` `v` left join `tbl_vehicle_type` `t` on((`t`.`Vehicle_Type_ID` = `v`.`Vehicle_Make_Name_ID`))) left join `tbl_vehicle_model` `m` on((`m`.`Model_ID` = `v`.`Vehicle_Model_ID`))) left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `v`.`driver_emp_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vehicle_rents`
--
DROP TABLE IF EXISTS `vehicle_rents`;

CREATE  VIEW `vehicle_rents`  AS  select `r`.`rent_id` AS `rent_id`,`r`.`vehicle_id` AS `vehicle_id`,`r`.`employee_id` AS `employee_id`,`r`.`rent_date` AS `rent_date`,`r`.`rent_amount` AS `rent_amount`,`r`.`currency_id` AS `currency_id`,`r`.`current_rate` AS `current_rate`,`r`.`account_id` AS `account_id`,`r`.`created_logged_id` AS `created_logged_id`,`r`.`Logged_ID` AS `Logged_ID`,`r`.`date_created` AS `date_created`,`r`.`date_time` AS `date_time`,`v`.`Vehicle_Code` AS `Vehicle_Code`,`v`.`Vehicle_Name` AS `Vehicle_Name`,`v`.`rent_type_id` AS `rent_type_id`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`c`.`Account_Name` AS `Account_Name`,`c`.`Account_Code` AS `Account_Code`,`cu`.`Currency_Name` AS `Currency_Name`,`cu`.`Currency_Code` AS `Currency_Code`,`cu`.`Currency_Symbol` AS `Currency_Symbol`,`rt`.`rent_type_name` AS `rent_type_name` from (((((`tbl_garage_vehicle_rents` `r` join `tbl_garage_vehicle` `v` on((`v`.`Vehicle_ID` = `r`.`vehicle_id`))) join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `r`.`employee_id`))) join `tbl_chart_of_accounts` `c` on((`c`.`Account_ID` = `r`.`account_id`))) join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `r`.`currency_id`))) join `tbl_garage_rent_type` `rt` on((`rt`.`rent_type_id` = `r`.`rent_type_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vehicle_weighbridge_list`
--
DROP TABLE IF EXISTS `vehicle_weighbridge_list`;

CREATE  VIEW `vehicle_weighbridge_list`  AS  select concat(`w`.`Weighbridge_Amount`,' ',`c`.`Currency_Symbol`) AS `Amount`,`v`.`Vehicle_Code` AS `Vehicle_Code`,`v`.`Vehicle_Registration_Number` AS `Vehicle_Registration_Number`,`w`.`Weighbridge_Amount` AS `Weighbridge_Amount`,`w`.`WeighBridge_Date` AS `WeighBridge_Date`,`w`.`Is_Paid` AS `Is_Paid`,`w`.`Weighbridge_ID` AS `Weighbridge_ID`,`w`.`Currency_ID` AS `Currency_ID`,`w`.`Weighbridge_Vehicle_ID` AS `Weighbridge_Vehicle_ID`,`c`.`Currency_Symbol` AS `Currency_Symbol` from ((`tbl_garage_vehicle_weighbridge` `w` left join `tbl_garage_vehicle` `v` on((`v`.`Vehicle_ID` = `w`.`Weighbridge_Vehicle_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `w`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vendor_return_list`
--
DROP TABLE IF EXISTS `vendor_return_list`;

CREATE  VIEW `vendor_return_list`  AS  select `r`.`Return_Invoice_ID` AS `Return_Invoice_ID`,`r`.`Return_ID` AS `return_nb`,`r`.`Is_Actual` AS `Is_Actual`,`r`.`Invoice_Purchase_ID` AS `Invoice_Purchase_ID`,`r`.`Return_Invoice_Date` AS `Date`,concat(`r`.`Return_Net_Total`,' ',`c`.`Currency_Symbol`) AS `Total`,`r`.`Return_Invoice_Note` AS `Note`,`p`.`Purchase_ID` AS `ID`,`s`.`Supplier_ID` AS `Person_ID`,`s`.`Supplier_Name` AS `Name`,`r`.`Is_Customer_Invoice` AS `Is_Customer_Invoice`,`r`.`current_year_id` AS `current_year_id`,concat(round(`r`.`Return_Net_Total`,2),' ',`c`.`Currency_Symbol`) AS `NetTotal`,concat(round(`r`.`Return_Invoice_Total`,2),' ',`c`.`Currency_Symbol`) AS `SubTotal`,concat(round(`r`.`Invoice_VAT`,2),' ',`c`.`Currency_Symbol`) AS `VAT`,`r`.`Return_Invoice_Date` AS `Due_Date`,`s`.`Supplier_Country` AS `Country_ID`,`r`.`exchange_id` AS `exchange_id`,`r`.`sales_purchase_id` AS `sales_purchase_id`,`r`.`Sales_ID` AS `Sales_ID`,`r`.`branch_id` AS `branch_id`,0 AS `invoice_app_id`,`r`.`is_main_transfer` AS `is_main_transfer`,`r`.`disable_qty` AS `disable_qty` from (((`tbl_accounting_return_invoices` `r` left join `tbl_inventory_purchases` `p` on(((`r`.`Invoice_Purchase_ID` = `p`.`Purchase_ID_Auto`) and (`r`.`Is_Actual` = 0)))) join `tbl_common_currency` `c` on((`r`.`Currency_ID` = `c`.`Currency_ID`))) join `tbl_stock_suppliers` `s` on((`s`.`Supplier_ID` = `r`.`Person_ID`))) where (`r`.`Is_Customer_Invoice` = 0) order by `r`.`Return_Invoice_ID` desc ;

-- --------------------------------------------------------

--
-- Structure for view `viewemployeechild`
--
DROP TABLE IF EXISTS `viewemployeechild`;

CREATE  VIEW `viewemployeechild`  AS  select `d`.`Entry_id` AS `Entry_id`,`d`.`Employee_ID` AS `Employee_ID`,`d`.`Employee_Amount` AS `Employee_Amount`,`d`.`currency_id` AS `currency_id`,`d`.`note` AS `note`,`d`.`Logged_ID` AS `Logged_ID`,`d`.`Amount_Date` AS `Amount_Date`,`c`.`Currency_Symbol` AS `Currency_Symbol`,`c`.`Currency_Name` AS `Currency_Name`,`dep`.`Number_Of_Children` AS `Number_Of_Children`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`e`.`Is_Hidden` AS `Is_Hidden` from (((`tbl_employee_child` `d` left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `d`.`Employee_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `d`.`currency_id`))) left join `tbl_hrm_dependants` `dep` on((`dep`.`Employee_ID` = `d`.`Employee_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_bonus`
--
DROP TABLE IF EXISTS `view_bonus`;

CREATE  VIEW `view_bonus`  AS  select `d`.`is_paid` AS `is_paid`,`d`.`Bonus_ID` AS `Deduction_ID`,`d`.`Bonus_Description` AS `Deduction_Description`,`d`.`Bonus_Amount` AS `Deduction_Amount`,`d`.`Bonus_Date` AS `Deduction_Date`,`d`.`Employee_ID` AS `Employee_ID`,`c`.`Currency_ID` AS `Currency_ID`,`c`.`Currency_Name` AS `Currency_Name`,`c`.`Currency_Code` AS `Currency_Code`,`c`.`Currency_Symbol` AS `Currency_Symbol`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`d`.`is_actual` AS `is_actual` from ((`tbl_hrm_bonuses` `d` left join `tbl_hrm_employee` `e` on((`d`.`Employee_ID` = `e`.`Employee_ID`))) left join `tbl_common_currency` `c` on((`d`.`Currency_ID` = `c`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_cash_drawer_accounts`
--
DROP TABLE IF EXISTS `view_cash_drawer_accounts`;

CREATE  VIEW `view_cash_drawer_accounts`  AS  select `drawer`.`cash_drawer_id` AS `cash_drawer_id`,`drawer`.`cash_drawer_title` AS `cash_drawer_title`,`drawer`.`cash_account_id` AS `cash_account_id`,`drawer`.`branch_id` AS `branch_id`,concat_ws(' - ',`accounts`.`Account_Name`,`accounts`.`Account_Code`) AS `account_name`,`branch`.`branch_name` AS `branch_name` from ((`tbl_cash_drawer_accounts` `drawer` join `tbl_chart_of_accounts` `accounts` on((`drawer`.`cash_account_id` = `accounts`.`Account_ID`))) join `tbl_organization_branches` `branch` on((`drawer`.`branch_id` = `branch`.`branch_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_daily_overtime`
--
DROP TABLE IF EXISTS `view_daily_overtime`;

CREATE  VIEW `view_daily_overtime`  AS  select `o`.`Overtime_ID` AS `Overtime_ID`,`o`.`Overtime_Start_Time` AS `Overtime_Start_Time`,`o`.`Overtime_End_Time` AS `Overtime_End_Time`,`o`.`Overtime_Duration` AS `Overtime_Duration`,`o`.`Employee_ID` AS `Employee_ID`,`o`.`Overtime_Amount` AS `Overtime_Amount`,`o`.`OverTime_Date` AS `OverTime_Date`,`o`.`Is_Holiday` AS `Is_Holiday`,`o`.`Is_Paid` AS `Is_Paid`,`o`.`Logged_ID` AS `Logged_ID`,`c`.`Currency_ID` AS `Currency_ID`,`c`.`Currency_Symbol` AS `Currency_Symbol`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`e`.`Is_Hidden` AS `Is_Hidden`,`o`.`is_actual` AS `is_actual`,`o`.`is_deduction` AS `is_deduction`,`o`.`note` AS `note`,`o`.`is_approved` AS `is_approved` from ((`tbl_hrm_employee_overtime_hours` `o` left join `tbl_hrm_employee` `e` on((`e`.`Employee_ID` = `o`.`Employee_ID`))) left join `tbl_common_currency` `c` on((`c`.`Currency_ID` = `o`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_dedcutions`
--
DROP TABLE IF EXISTS `view_dedcutions`;

CREATE  VIEW `view_dedcutions`  AS  select `d`.`is_paid` AS `is_paid`,`d`.`Deduction_ID` AS `Deduction_ID`,`d`.`Deduction_Date` AS `Deduction_Date`,`d`.`Deduction_Description` AS `Deduction_Description`,`d`.`Deduction_Amount` AS `Deduction_Amount`,`d`.`Currency_ID` AS `Currency_ID`,`d`.`Employee_ID` AS `Employee_ID`,`c`.`Currency_Symbol` AS `Currency_Symbol`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`d`.`is_actual` AS `is_actual` from ((`tbl_hrm_deductions` `d` left join `tbl_hrm_employee` `e` on((`d`.`Employee_ID` = `e`.`Employee_ID`))) left join `tbl_common_currency` `c` on((`d`.`Currency_ID` = `c`.`Currency_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_employees`
--
DROP TABLE IF EXISTS `view_employees`;

CREATE  VIEW `view_employees`  AS  select `na`.`Nationality_Name` AS `Wife_Nationality`,`e`.`Employee_Wife_Nationality` AS `Employee_Wife_Nationality`,`e`.`Employee_Wife_SSNF` AS `Employee_Wife_SSNF`,`e`.`Wife_Works` AS `Wife_Works`,`e`.`Employee_Education` AS `Employee_Education`,`e`.`Employee_Major` AS `Employee_Major`,`e`.`Employee_Problem` AS `Employee_Problem`,`e`.`Employee_Wife_Name` AS `Employee_Wife_Name`,`e`.`Employee_Wife_DOB` AS `Employee_Wife_DOB`,`e`.`Employee_Wife_Address` AS `Employee_Wife_Address`,`e`.`Employee_Wife_Phone` AS `Employee_Wife_Phone`,`e`.`Employee_Wife_Problem` AS `Employee_Wife_Problem`,`e`.`Employee_Wife_Work` AS `Employee_Wife_Work`,`p`.`Paygrade_Name` AS `Paygrade_Name`,`e`.`Employee_Location` AS `Employee_Location`,`l`.`Location_Name` AS `Location_Name`,`e`.`Employee_Nationality` AS `Employee_Nationality`,`n`.`Nationality_Name` AS `Nationality_Name`,`e`.`Employee_SocialSecurity_Date` AS `Employee_SocialSecurity_Date`,`e`.`Employee_RecordNumber` AS `Employee_RecordNumber`,`e`.`Employee_ID` AS `Employee_ID`,`e`.`Employee_FirstName` AS `Employee_FirstName`,`e`.`Employee_MiddleName` AS `Employee_MiddleName`,`e`.`Employee_LastName` AS `Employee_LastName`,`e`.`Employee_SocialSecurity` AS `Employee_SocialSecurity`,`e`.`Employee_Lunch` AS `Employee_Lunch`,`e`.`Employee_IsSmoker` AS `Employee_IsSmoker`,`e`.`Employee_Gender` AS `Employee_Gender`,`e`.`Employee_DOB` AS `Employee_DOB`,`e`.`IS_Employee` AS `IS_Employee`,`e`.`Employee_BloodGroup` AS `Employee_BloodGroup`,`e`.`Employee_HomePhone` AS `Employee_HomePhone`,`e`.`Employee_MobilePhone` AS `Employee_MobilePhone`,`e`.`Employee_Work_ID` AS `Employee_Work_ID`,`e`.`Employee_Email` AS `Employee_Email`,`e`.`Employee_OtherEmail` AS `Employee_OtherEmail`,`e`.`Merital_Status_ID` AS `Merital_Status_ID`,`e`.`Employee_StartDate` AS `Employee_StartDate`,`e`.`Employee_StreetAddress1` AS `Employee_StreetAddress1`,`e`.`Employee_StreetAddress2` AS `Employee_StreetAddress2`,`e`.`Employee_City` AS `Employee_City`,`e`.`Employee_State` AS `Employee_State`,`e`.`Employee_Zip` AS `Employee_Zip`,`e`.`Employee_Country` AS `Employee_Country`,`e`.`Branch_ID` AS `Branch_ID`,`e`.`Paygrade_ID` AS `Paygrade_ID`,`e`.`Employee_Transportation` AS `Employee_Transportation`,`e`.`Employee_Allownace` AS `Employee_Allownace`,`e`.`Employee_Phone_Recharge` AS `Employee_Phone_Recharge`,`e`.`Shift_ID` AS `Shift_ID`,`e`.`Logged_ID` AS `Logged_ID`,`e`.`Status_ID` AS `Status_ID`,`e`.`Parent_ID` AS `Parent_ID`,`e`.`Is_Hidden` AS `Is_Hidden`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`s`.`Shift_Name` AS `Shift_Name`,`g`.`Gender_Name` AS `Gender_Name`,`b`.`BloodType_Name` AS `BloodType_Name`,`m`.`Merital_Status_Name` AS `Merital_Status_Name`,`c`.`Name` AS `Name`,`cs`.`Country_Name` AS `Country_Name`,`br`.`department_name` AS `Branch_Name`,`cr`.`Currency_ID` AS `Currency_ID`,`cr`.`Currency_Name` AS `Currency_Name`,`cr`.`Currency_Code` AS `Currency_Code`,`cr`.`Currency_Symbol` AS `Currency_Symbol`,concat(`p`.`Paygrade_Name`,' ',`p`.`Paygrade_Value`,' ',`cr`.`Currency_Symbol`) AS `Pay_Grade`,`p`.`Paygrade_Value` AS `Paygrade_Value`,`j`.`Job_ID` AS `Job_ID`,`j`.`Job_Name` AS `Job_Name`,`e`.`is_nssf` AS `is_nssf`,`e`.`nssf_salary` AS `nssf_salary`,`e`.`other_charges` AS `other_charges`,`e`.`basic_salary` AS `basic_salary`,`e`.`basic_salary_currency` AS `basic_salary_currency`,`cu`.`Currency_Name` AS `basic_currency_name`,`cu`.`Currency_Symbol` AS `basic_currency_symbol`,`po`.`period_name` AS `period_name`,`e`.`period_id` AS `period_id`,`po`.`unit_time` AS `unit_time`,`po`.`pay_period` AS `pay_period`,`s`.`shift_type` AS `shift_type`,`s`.`unit_time` AS `shift_unit_time`,`eb`.`bank_name` AS `bank_name`,`e`.`bank_id` AS `bank_id`,`e`.`bank_account` AS `bank_account`,`e`.`trans_unit_time` AS `trans_unit_time`,`e`.`second_lang_name` AS `second_lang_name`,`e`.`leave_date` AS `leave_date`,concat_ws(' - ',`eb`.`bank_name`,`eb`.`bank_code`) AS `bank_name_code`,`e`.`leave_days_nb` AS `leave_days_nb`,`e`.`holiday_nb` AS `holiday_nb`,`e`.`previous_days_nb` AS `previous_days_nb`,`e`.`remaining_days` AS `remaining_days`,`e`.`holiday_is_fixed` AS `holiday_is_fixed`,`e`.`fingerprint_code` AS `fingerprint_code`,`e`.`shift_note` AS `shift_note`,`e`.`location_address` AS `location_address`,`e`.`employee_level` AS `employee_level`,`e`.`absence_type` AS `absence_type`,`e`.`emp_charge1` AS `emp_charge1`,`e`.`emp_charge2` AS `emp_charge2`,`e`.`emp_charge3` AS `emp_charge3`,`e`.`emp_charge4` AS `emp_charge4`,`e`.`stop_housing_payroll` AS `stop_housing_payroll`,`e`.`early_payroll` AS `early_payroll` from ((((((((((((((((`tbl_hrm_employee` `e` left join `tbl_hrm_shifts` `s` on((`s`.`Shift_ID` = `e`.`Shift_ID`))) left join `tbl_common_gender` `g` on((`g`.`Gender_ID` = `e`.`Employee_Gender`))) left join `tbl_common_bloodtypes` `b` on((`b`.`BloodType_ID` = `e`.`Employee_BloodGroup`))) left join `tbl_hrm_merital_status` `m` on((`m`.`Merital_Status_ID` = `e`.`Merital_Status_ID`))) left join `tbl_all_cities` `c` on((`c`.`ID` = `e`.`Employee_City`))) left join `tbl_all_countries` `cs` on((`cs`.`Country_ID` = `e`.`Employee_Country`))) left join `tbl_department` `br` on((`br`.`department_id` = `e`.`Branch_ID`))) left join `tbl_hrm_paygrade` `p` on((`p`.`Paygrade_ID` = `e`.`Paygrade_ID`))) left join `tbl_common_currency` `cr` on((`cr`.`Currency_ID` = `p`.`Paygrade_Currency`))) join `tbl_hrm_jobs` `j` on((`j`.`Job_ID` = `e`.`job_id`))) left join `tbl_hrm_nationalities` `n` on((`n`.`Nationality_ID` = `e`.`Employee_Nationality`))) left join `tbl_hrm_nationalities` `na` on((`na`.`Nationality_ID` = `e`.`Employee_Wife_Nationality`))) left join `tbl_employee_location` `l` on((`l`.`Location_ID` = `e`.`Employee_Location`))) left join `tbl_common_currency` `cu` on((`cu`.`Currency_ID` = `e`.`basic_salary_currency`))) left join `tbl_hrm_basic_salary_periods` `po` on((`po`.`period_id` = `e`.`period_id`))) left join `tbl_employee_banks` `eb` on((`eb`.`bank_id` = `e`.`bank_id`))) where (`e`.`Status_ID` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `view_loans`
--
DROP TABLE IF EXISTS `view_loans`;

CREATE  VIEW `view_loans`  AS  select `d`.`Loan_ID` AS `Loan_ID`,`d`.`Loan_Description` AS `Loan_Description`,`d`.`Loan_Amount` AS `Loan_Amount`,`d`.`Loan_Repayment_Start` AS `Loan_Repayment_Start`,`d`.`Loan_Repayment_End` AS `Loan_Repayment_End`,`d`.`Loan_Repayment_Amount` AS `Loan_Repayment_Amount`,`d`.`Loan_Date` AS `Loan_Date`,`d`.`Employee_ID` AS `Employee_ID`,`d`.`Currency_ID` AS `Currency_ID`,`d`.`Logged_ID` AS `Logged_ID`,`d`.`Payment_ID` AS `Payment_ID`,`d`.`Payment_Amount` AS `Payment_Amount`,`p`.`Account_Code` AS `Account_Code`,`c`.`Currency_Code` AS `Currency_Code`,`c`.`Currency_Name` AS `Currency_Name`,`c`.`Currency_Symbol` AS `Currency_Symbol`,concat(`e`.`Employee_FirstName`,' ',`e`.`Employee_MiddleName`,' ',`e`.`Employee_LastName`) AS `Employee_Name`,`d`.`is_actual` AS `is_actual`,`d`.`is_approved` AS `is_approved`,`d`.`current_rate` AS `current_rate`,`d`.`second_currency_rate` AS `second_currency_rate` from (((`tbl_hrm_loans` `d` left join `tbl_hrm_employee` `e` on((`d`.`Employee_ID` = `e`.`Employee_ID`))) left join `tbl_common_currency` `c` on((`d`.`Currency_ID` = `c`.`Currency_ID`))) left join `tbl_chart_of_accounts` `p` on((`p`.`Account_ID` = `d`.`Payment_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_piece_payment`
--
DROP TABLE IF EXISTS `view_piece_payment`;

CREATE  VIEW `view_piece_payment`  AS  select concat_ws(' ',`main`.`from_date`,`main`.`to_date`) AS `from_to_date`,`main`.`from_date` AS `from_date`,`main`.`to_date` AS `to_date`,`main`.`branch_id` AS `branch_id`,`main`.`current_year_id` AS `current_year_id`,`main`.`is_actual` AS `is_actual`,`details`.`entery_id` AS `entery_id`,`details`.`employee_id` AS `employee_id`,concat_ws(' ',`emp`.`Employee_FirstName`,`emp`.`Employee_LastName`) AS `employee_full_name`,`details`.`amount` AS `amount`,`details`.`paid_amount` AS `paid_amount` from ((`tbl_piece_payment_details` `details` join `tbl_piece_payment` `main` on((`details`.`piece_payment_auto_id` = `main`.`piece_payment_auto_id`))) join `tbl_hrm_employee` `emp` on((`emp`.`Employee_ID` = `details`.`employee_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_piece_service`
--
DROP TABLE IF EXISTS `view_piece_service`;

CREATE  VIEW `view_piece_service`  AS  select `service`.`piece_service_id` AS `piece_service_id`,`service`.`piece_service_name` AS `piece_service_name`,`service`.`piece_service_price` AS `piece_service_price`,`service`.`currency_id` AS `currency_id`,concat_ws(' - ',`currency`.`Currency_Name`,`currency`.`Currency_Symbol`) AS `currency` from (`tbl_piece_service` `service` join `tbl_common_currency` `currency` on((`currency`.`Currency_ID` = `service`.`currency_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_roles`
--
DROP TABLE IF EXISTS `view_roles`;

CREATE  VIEW `view_roles`  AS  select `roles`.`Role_ID` AS `Role_ID`,`roles`.`Role_Name` AS `Role_Name`,`roles`.`Status_ID` AS `Status_ID`,`roles`.`Logged_ID` AS `Logged_ID`,`roles`.`Parent_ID` AS `Parent_ID`,`parent`.`Role_Name` AS `parent_role_name` from (`tbl_common_roles` `roles` left join `tbl_common_roles` `parent` on((`roles`.`Parent_ID` = `parent`.`Role_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_roles_permissions`
--
DROP TABLE IF EXISTS `view_roles_permissions`;

CREATE  VIEW `view_roles_permissions`  AS  select `tbl_common_roles`.`Role_ID` AS `Role_ID`,`tbl_common_roles`.`Role_Name` AS `Role_Name`,`tbl_common_roles`.`Status_ID` AS `Status_ID`,`tbl_common_permission`.`Permission_ID` AS `Permission_ID`,`tbl_common_permission`.`Permission_Name` AS `Permission_Name` from ((`tbl_common_role_permission` join `tbl_common_roles` on((`tbl_common_role_permission`.`Role_ID` = `tbl_common_roles`.`Role_ID`))) join `tbl_common_permission` on((`tbl_common_role_permission`.`Permission_ID` = `tbl_common_permission`.`Permission_ID`))) where (`tbl_common_roles`.`Status_ID` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `view_shifts`
--
DROP TABLE IF EXISTS `view_shifts`;

CREATE  VIEW `view_shifts`  AS  select `s`.`Shift_ID` AS `Shift_ID`,`s`.`Shift_Name` AS `Shift_Name`,`s`.`Shift_From` AS `Shift_From`,`s`.`Shift_To` AS `Shift_To`,`s`.`Working_Day_ID` AS `Working_Day_ID`,`s`.`Shift_Duration` AS `Shift_Duration`,`s`.`Status_ID` AS `Status_ID`,`s`.`Parent_ID` AS `Parent_ID`,`s`.`Logged_ID` AS `Logged_ID`,`d`.`Working_Day_Name` AS `Working_Day_Name`,`s`.`shift_type` AS `shift_type` from (`tbl_hrm_shifts` `s` left join `tbl_hrm_working_days` `d` on((`d`.`Working_Day_ID` = `s`.`Working_Day_ID`))) where (`s`.`Status_ID` = 1) ;

-- --------------------------------------------------------

--
-- Structure for view `view_users`
--
DROP TABLE IF EXISTS `view_users`;

CREATE  VIEW `view_users`  AS  select `u`.`is_admin` AS `is_admin`,`u`.`is_actual` AS `is_actual_user`,`u`.`control_role_id` AS `control_role_id`,`u`.`Is_Logged` AS `Is_Logged`,`u`.`limit_customer_invoice` AS `limit_customer_invoice`,`u`.`User_ID` AS `User_ID`,`u`.`Role_ID` AS `Role_ID`,`u`.`User_Name` AS `User_Name`,`u`.`User_Password` AS `User_Password`,`u`.`Status_ID` AS `Status_ID`,`u`.`user_email` AS `user_email`,`u`.`user_mobile_phone` AS `user_mobile_phone`,group_concat(`r`.`Role_Name` separator ', ') AS `Role_Name`,`p`.`Employee_ID` AS `Employee_ID`,`p`.`Is_Hidden` AS `Is_Hidden`,concat(`p`.`Employee_FirstName`,' ',`p`.`Employee_MiddleName`,' ',`p`.`Employee_LastName`) AS `Employee_Name`,`p`.`Branch_ID` AS `Branch_ID`,`p`.`Employee_Email` AS `Employee_Email`,`u`.`User_Full_Name` AS `User_Full_Name`,`u`.`landing_id` AS `landing_id`,`land`.`landing_name` AS `landing_name`,`land`.`landing_url` AS `landing_url`,`u`.`limited_access` AS `limited_access`,`u`.`login_at` AS `login_at`,`u`.`login_device` AS `login_device`,`u`.`is_app` AS `is_app`,`u`.`json_data` AS `json_data`,`u`.`stop_multi_login` AS `stop_multi_login`,`u`.`u_user_shifts_id` AS `u_user_shifts_id`,`s`.`Shift_Name` AS `Shift_Name`,`s`.`Working_Day_ID` AS `Working_Day_ID`,`s`.`shift_type` AS `shift_type` from ((((`tbl_common_users` `u` left join `tbl_hrm_employee` `p` on((`u`.`Employee_ID` = `p`.`Employee_ID`))) left join `tbl_user_shifts` `s` on((`u`.`u_user_shifts_id` = `s`.`user_shifts_id`))) left join `tbl_common_roles` `r` on(find_in_set(`r`.`Role_ID`,`u`.`Role_ID`))) left join `tbl_landings` `land` on((`u`.`landing_id` = `land`.`landing_id`))) where (`u`.`User_Name` <> 'admin') group by `u`.`User_ID` ;

-- --------------------------------------------------------

--
-- Structure for view `view_user_shifts`
--
DROP TABLE IF EXISTS `view_user_shifts`;

CREATE  VIEW `view_user_shifts`  AS  select `s`.`user_shifts_id` AS `Shift_ID`,`s`.`Shift_Name` AS `Shift_Name`,`s`.`Working_Day_ID` AS `Working_Day_ID`,`s`.`Logged_ID` AS `Logged_ID`,`s`.`shift_type` AS `shift_type`,`d`.`Working_Day_Name` AS `Working_Day_Name` from (`tbl_user_shifts` `s` left join `tbl_hrm_working_days` `d` on((`d`.`Working_Day_ID` = `s`.`Working_Day_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `view_volunteers`
--
DROP TABLE IF EXISTS `view_volunteers`;

CREATE  VIEW `view_volunteers`  AS  select `tbl_hrm_volunteer`.`vlounteer_day_left` AS `vlounteer_day_left`,concat(`tbl_hrm_volunteer`.`Volunteer_FirstName`,' ',`tbl_hrm_volunteer`.`Volunteer_MiddleName`,' ',`tbl_hrm_volunteer`.`Volunteer_LastName`) AS `Volunteer_Name`,`tbl_hrm_volunteer`.`volunteer_id` AS `volunteer_id`,`tbl_hrm_volunteer`.`Volunteer_FirstName` AS `Volunteer_FirstName`,`tbl_hrm_volunteer`.`Volunteer_MiddleName` AS `Volunteer_MiddleName`,`tbl_hrm_volunteer`.`Volunteer_LastName` AS `Volunteer_LastName`,`tbl_hrm_volunteer`.`Volunteer_Gender` AS `Volunteer_Gender`,`tbl_hrm_volunteer`.`Volunteer_DOB` AS `Volunteer_DOB`,`tbl_hrm_volunteer`.`Volunteer_RecordNumber` AS `Volunteer_RecordNumber`,`tbl_hrm_volunteer`.`Volunteer_BloodGroup` AS `Volunteer_BloodGroup`,`tbl_hrm_volunteer`.`Volunteer_HomePhone` AS `Volunteer_HomePhone`,`tbl_hrm_volunteer`.`Volunteer_MobilePhone` AS `Volunteer_MobilePhone`,`tbl_hrm_volunteer`.`Volunteer_Work_ID` AS `Volunteer_Work_ID`,`tbl_hrm_volunteer`.`Volunteer_Email` AS `Volunteer_Email`,`tbl_hrm_volunteer`.`Merital_Status_ID` AS `Merital_Status_ID`,`tbl_hrm_volunteer`.`Volunteer_StartDate` AS `Volunteer_StartDate`,`tbl_hrm_volunteer`.`Volunteer_StreetAddress1` AS `Volunteer_StreetAddress1`,`tbl_hrm_volunteer`.`Volunteer_City` AS `Volunteer_City`,`tbl_hrm_volunteer`.`Volunteer_Country` AS `Volunteer_Country`,`tbl_hrm_volunteer`.`Volunteer_Nationality` AS `Volunteer_Nationality`,`tbl_hrm_volunteer`.`Volunteer_Major` AS `Volunteer_Major`,`tbl_hrm_volunteer`.`Volunteer_Education` AS `Volunteer_Education`,`tbl_hrm_volunteer`.`Volunteer_Problem` AS `Volunteer_Problem`,`tbl_hrm_volunteer`.`skills_id` AS `skills_id`,`tbl_hrm_volunteer`.`volunteer_notice_id` AS `volunteer_notice_id`,`tbl_hrm_volunteer`.`volunteer_team_id` AS `volunteer_team_id`,`tbl_hrm_volunteer`.`working_hours` AS `working_hours`,`tbl_hrm_volunteer`.`logged_id` AS `logged_id`,`tbl_hrm_nationalities`.`Nationality_Name` AS `Nationality_Name`,`tbl_all_countries`.`Country_Name` AS `Country_Name`,`tbl_all_cities`.`Name` AS `Name`,`tbl_hrm_merital_status`.`Merital_Status_Name` AS `Merital_Status_Name`,`tbl_common_blood_group`.`Blood_Group_Name` AS `Blood_Group_Name`,`tbl_common_gender`.`Gender_Name` AS `Gender_Name` from ((((((`tbl_hrm_volunteer` left join `tbl_hrm_nationalities` on((`tbl_hrm_nationalities`.`Nationality_ID` = `tbl_hrm_volunteer`.`Volunteer_Nationality`))) left join `tbl_all_countries` on((`tbl_all_countries`.`Country_ID` = `tbl_hrm_volunteer`.`Volunteer_Country`))) left join `tbl_all_cities` on((`tbl_all_cities`.`ID` = `tbl_hrm_volunteer`.`Volunteer_City`))) left join `tbl_hrm_merital_status` on((`tbl_hrm_merital_status`.`Merital_Status_ID` = `tbl_hrm_volunteer`.`Merital_Status_ID`))) left join `tbl_common_blood_group` on((`tbl_common_blood_group`.`Blood_Group_ID` = `tbl_hrm_volunteer`.`Volunteer_BloodGroup`))) left join `tbl_common_gender` on((`tbl_common_gender`.`Gender_ID` = `tbl_hrm_volunteer`.`Volunteer_Gender`))) group by `tbl_hrm_volunteer`.`volunteer_id` ;

-- --------------------------------------------------------

--
-- Structure for view `void_invoices`
--
DROP TABLE IF EXISTS `void_invoices`;

CREATE  VIEW `void_invoices`  AS  select `invoices`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,concat_ws(' - ',`invoices`.`invoice_prefix`,`invoices`.`Invoice_ID`) AS `invoice_prefix_nb`,`invoices`.`Customer_Name` AS `Customer_Name`,`invoices`.`void_time` AS `void_time`,`invoices`.`date_created` AS `date_created`,`reason`.`reason_title` AS `reason_title`,`users`.`User_Name` AS `User_Name`,`invoices`.`date_time` AS `date_time`,`invoices`.`is_committed` AS `is_committed`,`invoices`.`invoice_type` AS `invoice_type` from ((`pos_invoices` `invoices` join `tbl_void_reason` `reason` on((`invoices`.`reason_id` = `reason`.`reason_id`))) join `tbl_common_users` `users` on((`users`.`User_ID` = `invoices`.`Close_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `void_items`
--
DROP TABLE IF EXISTS `void_items`;

CREATE  VIEW `void_items`  AS  select `product_void`.`Entery_ID` AS `Entery_ID`,`product_void`.`Invoice_ID_Auto` AS `Invoice_ID_Auto`,`product_void`.`Product_ID` AS `Product_ID`,`product_void`.`Product_Total_Price` AS `Product_Total_Price`,`product_void`.`Item_Quantity_Current` AS `Item_Quantity_Current`,`product_void`.`UOM_ID` AS `UOM_ID`,`product_void`.`product_description` AS `product_description`,`product_void`.`date_time` AS `date_time`,`product_void`.`user_id` AS `user_id`,concat_ws(' - ',`invoices`.`invoice_prefix`,`invoices`.`Invoice_ID`) AS `invoice_prefix_nb`,`uom`.`UOM_Name` AS `UOM_Name`,`products`.`Product_Name` AS `Product_Name`,`users`.`User_Name` AS `User_Name` from ((((`tbl_invoice_products_void` `product_void` join `tbl_invoices` `invoices` on((`product_void`.`Invoice_ID_Auto` = `invoices`.`Invoice_ID_Auto`))) join `tbl_stock_products` `products` on((`product_void`.`Product_ID` = `products`.`Product_ID`))) join `tbl_common_users` `users` on((`users`.`User_ID` = `product_void`.`user_id`))) join `tbl_stock_uom` `uom` on((`product_void`.`UOM_ID` = `uom`.`UOM_ID`))) ;

-- --------------------------------------------------------

--
-- Structure for view `web_api_users`
--
DROP TABLE IF EXISTS `web_api_users`;

CREATE  VIEW `web_api_users`  AS  select `u`.`user_id` AS `user_id`,`u`.`title` AS `title`,`u`.`app_user_id` AS `app_user_id`,`u`.`class_id` AS `class_id`,`u`.`depot_id` AS `depot_id`,`u`.`other_data` AS `other_data`,`d`.`Depot_Name` AS `Depot_Name`,`d`.`Depot_Code` AS `Depot_Code`,`c`.`Class_Name` AS `Class_Name`,`su`.`User_Name` AS `username` from (((`tbl_web_api_users` `u` join `tbl_pricing_class` `c` on((`c`.`Class_ID` = `u`.`class_id`))) join `tbl_stock_depot_warehouse` `d` on((`d`.`Depot_ID` = `u`.`depot_id`))) join `tbl_common_users` `su` on((`su`.`User_ID` = `u`.`app_user_id`))) ;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `all_tags`
--
ALTER TABLE `all_tags`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD UNIQUE KEY `Tag_ID` (`Tag_ID`,`Type_ID`);

--
-- Indexes for table `companies`
--
ALTER TABLE `companies`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `inventory_-_basic_control`
--
ALTER TABLE `inventory_-_basic_control`
  ADD PRIMARY KEY (`idid`);

--
-- Indexes for table `items`
--
ALTER TABLE `items`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `messages`
--
ALTER TABLE `messages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `paper_size`
--
ALTER TABLE `paper_size`
  ADD PRIMARY KEY (`paper_size_id`);

--
-- Indexes for table `sales_tracker`
--
ALTER TABLE `sales_tracker`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `sales_tracker_check`
--
ALTER TABLE `sales_tracker_check`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `sales_tracker_group`
--
ALTER TABLE `sales_tracker_group`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tag_names`
--
ALTER TABLE `tag_names`
  ADD PRIMARY KEY (`Tag_ID`),
  ADD UNIQUE KEY `Tag_Name` (`Tag_Name`);

--
-- Indexes for table `tag_types`
--
ALTER TABLE `tag_types`
  ADD PRIMARY KEY (`Type_ID`);

--
-- Indexes for table `tbl_accounting_accrued_expenses`
--
ALTER TABLE `tbl_accounting_accrued_expenses`
  ADD PRIMARY KEY (`Accrued_Expense_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `Accrued_Account_ID` (`Accrued_Account_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Payment_ID` (`Payment_ID`),
  ADD KEY `Supplier_ID` (`Supplier_ID`),
  ADD KEY `Parent_ID` (`Parent_ID`),
  ADD KEY `Logged_ID_2` (`Logged_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`);

--
-- Indexes for table `tbl_accounting_bank_accounts`
--
ALTER TABLE `tbl_accounting_bank_accounts`
  ADD PRIMARY KEY (`Bank_Account_ID`);

--
-- Indexes for table `tbl_accounting_bank_deposit_withdrawal`
--
ALTER TABLE `tbl_accounting_bank_deposit_withdrawal`
  ADD PRIMARY KEY (`Deposit_WithDrawal_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `From_Account_ID` (`From_Account_ID`),
  ADD KEY `To_Account_ID` (`To_Account_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `app_dep_id` (`app_dep_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`);

--
-- Indexes for table `tbl_accounting_closing_vat`
--
ALTER TABLE `tbl_accounting_closing_vat`
  ADD PRIMARY KEY (`Closing_VAT_ID`);

--
-- Indexes for table `tbl_accounting_contra`
--
ALTER TABLE `tbl_accounting_contra`
  ADD PRIMARY KEY (`Contra_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `From_Account_ID` (`From_Account_ID`),
  ADD KEY `To_Account_ID` (`To_Account_ID`);

--
-- Indexes for table `tbl_accounting_customer_supplier_accounts`
--
ALTER TABLE `tbl_accounting_customer_supplier_accounts`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `Customer_Supplier_ID` (`Customer_Supplier_ID`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_accounting_debit_credit_note`
--
ALTER TABLE `tbl_accounting_debit_credit_note`
  ADD PRIMARY KEY (`Note_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `is_actual` (`is_actual`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `created_logged_id` (`created_logged_id`);

--
-- Indexes for table `tbl_accounting_depreciation_dates`
--
ALTER TABLE `tbl_accounting_depreciation_dates`
  ADD PRIMARY KEY (`Depreciation_Date_ID`);

--
-- Indexes for table `tbl_accounting_depreciation_rate_data`
--
ALTER TABLE `tbl_accounting_depreciation_rate_data`
  ADD PRIMARY KEY (`Depreciation_Rate_ID`),
  ADD KEY `Expense_ID` (`Expense_ID`),
  ADD KEY `exp_detail_id` (`exp_detail_id`);

--
-- Indexes for table `tbl_accounting_expenses`
--
ALTER TABLE `tbl_accounting_expenses`
  ADD PRIMARY KEY (`Expense_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `pay_method_acc_id` (`pay_method_acc_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `main_acc_id` (`main_acc_id`),
  ADD KEY `vat_acc_id` (`vat_acc_id`);

--
-- Indexes for table `tbl_accounting_expenses_details`
--
ALTER TABLE `tbl_accounting_expenses_details`
  ADD PRIMARY KEY (`exp_detail_id`),
  ADD KEY `Expense_ID` (`Expense_ID`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_accounting_jobs`
--
ALTER TABLE `tbl_accounting_jobs`
  ADD PRIMARY KEY (`job_id`);

--
-- Indexes for table `tbl_accounting_period_types`
--
ALTER TABLE `tbl_accounting_period_types`
  ADD PRIMARY KEY (`Period_ID`);

--
-- Indexes for table `tbl_accounting_prepaid_data`
--
ALTER TABLE `tbl_accounting_prepaid_data`
  ADD PRIMARY KEY (`Prepaid_Data_ID`);

--
-- Indexes for table `tbl_accounting_prepaid_expense_income`
--
ALTER TABLE `tbl_accounting_prepaid_expense_income`
  ADD PRIMARY KEY (`Prepaid_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `Prepaid_Account_ID` (`Prepaid_Account_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`);

--
-- Indexes for table `tbl_accounting_return_invoices`
--
ALTER TABLE `tbl_accounting_return_invoices`
  ADD PRIMARY KEY (`Return_Invoice_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Person_ID` (`Person_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `Invoice_Purchase_ID_2` (`Invoice_Purchase_ID`),
  ADD KEY `Return_ID` (`Return_ID`),
  ADD KEY `invoice_app_id` (`invoice_app_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `Class_ID` (`Class_ID`),
  ADD KEY `Sales_ID` (`Sales_ID`),
  ADD KEY `sales_purchase_id` (`sales_purchase_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Is_Customer_Invoice` (`Is_Customer_Invoice`),
  ADD KEY `Is_Actual` (`Is_Actual`),
  ADD KEY `project_id` (`project_id`);

--
-- Indexes for table `tbl_accounting_return_items`
--
ALTER TABLE `tbl_accounting_return_items`
  ADD PRIMARY KEY (`Return_Item_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Return_Invoice_ID` (`Return_Invoice_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `return_detail_id` (`return_detail_id`);

--
-- Indexes for table `tbl_accounting_schedule_bills`
--
ALTER TABLE `tbl_accounting_schedule_bills`
  ADD PRIMARY KEY (`bill_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `logged_id` (`logged_id`);

--
-- Indexes for table `tbl_accounting_schedule_bills_details`
--
ALTER TABLE `tbl_accounting_schedule_bills_details`
  ADD PRIMARY KEY (`bill_detail_id`),
  ADD KEY `bill_id` (`bill_id`);

--
-- Indexes for table `tbl_accounting_transactions`
--
ALTER TABLE `tbl_accounting_transactions`
  ADD PRIMARY KEY (`Transaction_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `sub_id` (`sub_id`),
  ADD KEY `pos_customer_id` (`pos_customer_id`),
  ADD KEY `JV_ID` (`JV_ID`),
  ADD KEY `salesman_id` (`salesman_id`);

--
-- Indexes for table `tbl_accounting_transaction_subtype`
--
ALTER TABLE `tbl_accounting_transaction_subtype`
  ADD PRIMARY KEY (`subtype_id`),
  ADD UNIQUE KEY `subtype_name` (`subtype_name`),
  ADD UNIQUE KEY `subtype_abbrv` (`subtype_abbrv`);

--
-- Indexes for table `tbl_accounting_transfer_jv`
--
ALTER TABLE `tbl_accounting_transfer_jv`
  ADD PRIMARY KEY (`Transfer_ID`),
  ADD KEY `current_year_id` (`current_year_id`);

--
-- Indexes for table `tbl_accounting_vat_type_names`
--
ALTER TABLE `tbl_accounting_vat_type_names`
  ADD PRIMARY KEY (`VAT_Type_ID`);

--
-- Indexes for table `tbl_account_setting`
--
ALTER TABLE `tbl_account_setting`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `acc_setting_name` (`acc_setting_name`);

--
-- Indexes for table `tbl_activity_budget`
--
ALTER TABLE `tbl_activity_budget`
  ADD PRIMARY KEY (`activity_budget_id`),
  ADD UNIQUE KEY `unique_record` (`detail_id`,`activity_id`),
  ADD KEY `period_id` (`detail_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `activity_id` (`activity_id`),
  ADD KEY `period_id_2` (`period_id`),
  ADD KEY `budget_id` (`budget_id`);

--
-- Indexes for table `tbl_activity_tree`
--
ALTER TABLE `tbl_activity_tree`
  ADD PRIMARY KEY (`activity_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `parent_id` (`parent_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `modified_by` (`modified_by`);

--
-- Indexes for table `tbl_activity_type`
--
ALTER TABLE `tbl_activity_type`
  ADD PRIMARY KEY (`activity_type_id`);

--
-- Indexes for table `tbl_add_discount_report_setting`
--
ALTER TABLE `tbl_add_discount_report_setting`
  ADD PRIMARY KEY (`report_setting_id`),
  ADD KEY `category_id` (`category_id`);

--
-- Indexes for table `tbl_add_ons`
--
ALTER TABLE `tbl_add_ons`
  ADD PRIMARY KEY (`add_ons_id`),
  ADD UNIQUE KEY `add_ons_title_unique` (`add_ons_title`) USING BTREE;

--
-- Indexes for table `tbl_add_ons_details`
--
ALTER TABLE `tbl_add_ons_details`
  ADD PRIMARY KEY (`add_ons_details_id`),
  ADD UNIQUE KEY `unique_add_ons_details` (`add_ons_details_title`,`add_ons_id`),
  ADD KEY `add_ons_id` (`add_ons_id`);

--
-- Indexes for table `tbl_allergy`
--
ALTER TABLE `tbl_allergy`
  ADD PRIMARY KEY (`allergy_id`),
  ADD UNIQUE KEY `unique_allergy` (`allergy_name`);

--
-- Indexes for table `tbl_all_cities`
--
ALTER TABLE `tbl_all_cities`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `CountryCode` (`CountryCode`);

--
-- Indexes for table `tbl_all_countries`
--
ALTER TABLE `tbl_all_countries`
  ADD PRIMARY KEY (`Country_ID`),
  ADD KEY `Code` (`Code`);

--
-- Indexes for table `tbl_appointment`
--
ALTER TABLE `tbl_appointment`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tbl_app_file_main_data`
--
ALTER TABLE `tbl_app_file_main_data`
  ADD PRIMARY KEY (`file_id`),
  ADD UNIQUE KEY `file_name` (`file_name`),
  ADD KEY `type_id` (`type_id`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_app_file_types`
--
ALTER TABLE `tbl_app_file_types`
  ADD PRIMARY KEY (`type_id`);

--
-- Indexes for table `tbl_app_temp_adjustments`
--
ALTER TABLE `tbl_app_temp_adjustments`
  ADD PRIMARY KEY (`temp_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `temp_main_id` (`temp_main_id`);

--
-- Indexes for table `tbl_app_temp_main_adj`
--
ALTER TABLE `tbl_app_temp_main_adj`
  ADD PRIMARY KEY (`temp_main_id`),
  ADD UNIQUE KEY `file_id_2` (`file_id`),
  ADD KEY `file_id` (`file_id`);

--
-- Indexes for table `tbl_archive`
--
ALTER TABLE `tbl_archive`
  ADD PRIMARY KEY (`archive_id`),
  ADD KEY `main_id` (`main_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_assign_product`
--
ALTER TABLE `tbl_assign_product`
  ADD PRIMARY KEY (`assign_id`),
  ADD KEY `assign_nb` (`assign_nb`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `assign_type` (`assign_type`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `is_actual` (`is_actual`);

--
-- Indexes for table `tbl_assign_product_details`
--
ALTER TABLE `tbl_assign_product_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `assign_id` (`assign_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`);

--
-- Indexes for table `tbl_attendance_setting`
--
ALTER TABLE `tbl_attendance_setting`
  ADD PRIMARY KEY (`att_setting_id`),
  ADD UNIQUE KEY `setting_name` (`setting_name`);

--
-- Indexes for table `tbl_bone_type`
--
ALTER TABLE `tbl_bone_type`
  ADD PRIMARY KEY (`bone_type_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `service_account_id` (`service_account_id`),
  ADD KEY `vat_account_id` (`vat_account_id`);

--
-- Indexes for table `tbl_bone_type_services`
--
ALTER TABLE `tbl_bone_type_services`
  ADD PRIMARY KEY (`service_id`),
  ADD KEY `bone_type_id` (`bone_type_id`),
  ADD KEY `uom_id` (`uom_id`),
  ADD KEY `product_id` (`product_id`);

--
-- Indexes for table `tbl_brand_products`
--
ALTER TABLE `tbl_brand_products`
  ADD PRIMARY KEY (`brand_id`),
  ADD UNIQUE KEY `brand_name` (`brand_name`);

--
-- Indexes for table `tbl_budget`
--
ALTER TABLE `tbl_budget`
  ADD PRIMARY KEY (`budget_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `period_id` (`period_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `logged_id` (`logged_id`);

--
-- Indexes for table `tbl_cash_categories`
--
ALTER TABLE `tbl_cash_categories`
  ADD PRIMARY KEY (`Cash_Category_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_cash_drawer_accounts`
--
ALTER TABLE `tbl_cash_drawer_accounts`
  ADD PRIMARY KEY (`cash_drawer_id`),
  ADD KEY `cash_account_id` (`cash_account_id`),
  ADD KEY `branch_id` (`branch_id`);

--
-- Indexes for table `tbl_cash_drawer_amount`
--
ALTER TABLE `tbl_cash_drawer_amount`
  ADD PRIMARY KEY (`cash_drawer_amount_id`),
  ADD KEY `cash_drawer_id` (`cash_drawer_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `drawer_app_id` (`drawer_app_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `app_branch_id` (`app_branch_id`);

--
-- Indexes for table `tbl_chart_of_accounts`
--
ALTER TABLE `tbl_chart_of_accounts`
  ADD PRIMARY KEY (`Account_ID`),
  ADD UNIQUE KEY `Account_Code` (`Account_Code`),
  ADD KEY `main_id` (`main_id`);

--
-- Indexes for table `tbl_checkinout`
--
ALTER TABLE `tbl_checkinout`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `employee_id` (`employee_id`);

--
-- Indexes for table `tbl_checklist`
--
ALTER TABLE `tbl_checklist`
  ADD PRIMARY KEY (`checklist_id`);

--
-- Indexes for table `tbl_checklist_questions`
--
ALTER TABLE `tbl_checklist_questions`
  ADD PRIMARY KEY (`checklist_question_id`),
  ADD KEY `checklist_id` (`checklist_id`),
  ADD KEY `answer_type_id` (`answer_type_id`);

--
-- Indexes for table `tbl_checklist_schedule`
--
ALTER TABLE `tbl_checklist_schedule`
  ADD PRIMARY KEY (`schedule_id`),
  ADD KEY `checklist_id` (`checklist_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `line_id` (`line_id`);

--
-- Indexes for table `tbl_checklist_schedule_answer_details`
--
ALTER TABLE `tbl_checklist_schedule_answer_details`
  ADD PRIMARY KEY (`answer_detail_id`),
  ADD KEY `answer_main_id` (`answer_main_id`),
  ADD KEY `checklist_question_id` (`checklist_question_id`);

--
-- Indexes for table `tbl_checklist_schedule_answer_main`
--
ALTER TABLE `tbl_checklist_schedule_answer_main`
  ADD PRIMARY KEY (`answer_main_id`),
  ADD KEY `schedule_id` (`schedule_id`);

--
-- Indexes for table `tbl_child_employee`
--
ALTER TABLE `tbl_child_employee`
  ADD PRIMARY KEY (`Entry_id`),
  ADD KEY `gender_id` (`gender_id`),
  ADD KEY `marital_status_id` (`marital_status_id`),
  ADD KEY `is_study` (`is_study`),
  ADD KEY `has_special_problem` (`has_special_problem`);

--
-- Indexes for table `tbl_color`
--
ALTER TABLE `tbl_color`
  ADD PRIMARY KEY (`Color_ID`);

--
-- Indexes for table `tbl_commission_type`
--
ALTER TABLE `tbl_commission_type`
  ADD PRIMARY KEY (`commission_id`);

--
-- Indexes for table `tbl_commission_type_details`
--
ALTER TABLE `tbl_commission_type_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `commission_id` (`commission_id`);

--
-- Indexes for table `tbl_common_bloodtypes`
--
ALTER TABLE `tbl_common_bloodtypes`
  ADD PRIMARY KEY (`BloodType_ID`);

--
-- Indexes for table `tbl_common_blood_group`
--
ALTER TABLE `tbl_common_blood_group`
  ADD PRIMARY KEY (`Blood_Group_ID`);

--
-- Indexes for table `tbl_common_currency`
--
ALTER TABLE `tbl_common_currency`
  ADD PRIMARY KEY (`Currency_ID`),
  ADD KEY `idx_currency_name` (`Currency_Name`);

--
-- Indexes for table `tbl_common_current_year`
--
ALTER TABLE `tbl_common_current_year`
  ADD PRIMARY KEY (`current_year_id`),
  ADD KEY `closed_by` (`closed_by`);

--
-- Indexes for table `tbl_common_current_year_actual`
--
ALTER TABLE `tbl_common_current_year_actual`
  ADD PRIMARY KEY (`current_year_id`),
  ADD KEY `closed_by` (`closed_by`);

--
-- Indexes for table `tbl_common_expiry_date`
--
ALTER TABLE `tbl_common_expiry_date`
  ADD PRIMARY KEY (`Expiry_ID`);

--
-- Indexes for table `tbl_common_gender`
--
ALTER TABLE `tbl_common_gender`
  ADD PRIMARY KEY (`Gender_ID`);

--
-- Indexes for table `tbl_common_language`
--
ALTER TABLE `tbl_common_language`
  ADD PRIMARY KEY (`common_language_id`),
  ADD UNIQUE KEY `common_language_key` (`common_language_key`,`common_language_lang`);

--
-- Indexes for table `tbl_common_medical_coverage`
--
ALTER TABLE `tbl_common_medical_coverage`
  ADD PRIMARY KEY (`Medical_Coverage_ID`);

--
-- Indexes for table `tbl_common_permission`
--
ALTER TABLE `tbl_common_permission`
  ADD PRIMARY KEY (`Permission_ID`),
  ADD UNIQUE KEY `Permission_Name` (`Permission_Name`);

--
-- Indexes for table `tbl_common_roles`
--
ALTER TABLE `tbl_common_roles`
  ADD PRIMARY KEY (`Role_ID`);

--
-- Indexes for table `tbl_common_role_permission`
--
ALTER TABLE `tbl_common_role_permission`
  ADD KEY `Role_ID_idx` (`Role_ID`),
  ADD KEY `Permission_ID_idx` (`Permission_ID`);

--
-- Indexes for table `tbl_common_status_code`
--
ALTER TABLE `tbl_common_status_code`
  ADD PRIMARY KEY (`Status_Code_ID`);

--
-- Indexes for table `tbl_common_users`
--
ALTER TABLE `tbl_common_users`
  ADD PRIMARY KEY (`User_ID`),
  ADD UNIQUE KEY `User_Name` (`User_Name`),
  ADD UNIQUE KEY `unique_secret_code` (`secret_code`),
  ADD KEY `Employee_ID_idx` (`Employee_ID`);

--
-- Indexes for table `tbl_common_user_preferences`
--
ALTER TABLE `tbl_common_user_preferences`
  ADD PRIMARY KEY (`Preference_ID`),
  ADD UNIQUE KEY `User_ID` (`User_ID`,`Language_Code`);

--
-- Indexes for table `tbl_common_week_days`
--
ALTER TABLE `tbl_common_week_days`
  ADD PRIMARY KEY (`Week_Days_ID`);

--
-- Indexes for table `tbl_compts`
--
ALTER TABLE `tbl_compts`
  ADD PRIMARY KEY (`compts_id`);

--
-- Indexes for table `tbl_computer_trusted`
--
ALTER TABLE `tbl_computer_trusted`
  ADD PRIMARY KEY (`entry_id`);

--
-- Indexes for table `tbl_consumption`
--
ALTER TABLE `tbl_consumption`
  ADD PRIMARY KEY (`consumption_auto_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `Sales_ID` (`Sales_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Customer_ID` (`Customer_ID`),
  ADD KEY `Depot_ID` (`depot_id`),
  ADD KEY `Invoice_Date` (`consumption_date`),
  ADD KEY `is_actual` (`is_actual`),
  ADD KEY `Invoice_ID` (`consumption_id`),
  ADD KEY `invoice_prefix` (`consumption_prefix`);

--
-- Indexes for table `tbl_consumption_details`
--
ALTER TABLE `tbl_consumption_details`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `Invoice_ID_Auto` (`consumption_auto_id`),
  ADD KEY `UOM_ID` (`uom_id`),
  ADD KEY `Product_ID` (`product_id`),
  ADD KEY `depot_id` (`depot_id`);

--
-- Indexes for table `tbl_consumption_product_criteria`
--
ALTER TABLE `tbl_consumption_product_criteria`
  ADD PRIMARY KEY (`consumption_criteria_id`),
  ADD KEY `entry_id` (`entry_id`);

--
-- Indexes for table `tbl_contacts`
--
ALTER TABLE `tbl_contacts`
  ADD PRIMARY KEY (`contact_id`),
  ADD KEY `organization_id` (`organization_id`);

--
-- Indexes for table `tbl_contra`
--
ALTER TABLE `tbl_contra`
  ADD PRIMARY KEY (`contra_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_country_language`
--
ALTER TABLE `tbl_country_language`
  ADD PRIMARY KEY (`CountryCode`,`Language`),
  ADD KEY `CountryCode` (`CountryCode`);

--
-- Indexes for table `tbl_currencies_rate`
--
ALTER TABLE `tbl_currencies_rate`
  ADD PRIMARY KEY (`Exchange_Rate_ID`),
  ADD KEY `from_currency` (`from_currency`),
  ADD KEY `to_currency` (`to_currency`);

--
-- Indexes for table `tbl_customers`
--
ALTER TABLE `tbl_customers`
  ADD PRIMARY KEY (`Customer_ID`),
  ADD UNIQUE KEY `Customer_Name` (`Customer_Name`,`Customer_Email`,`Customer_Company`),
  ADD KEY `customer_app_id` (`customer_app_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `account_parent_id` (`account_parent_id`),
  ADD KEY `customer_class_id` (`customer_class_id`),
  ADD KEY `customer_group_id` (`customer_group_id`),
  ADD KEY `region_id` (`region_id`),
  ADD KEY `route_id` (`route_id`),
  ADD KEY `other_pay_acc_id` (`other_pay_acc_id`);

--
-- Indexes for table `tbl_customer_address`
--
ALTER TABLE `tbl_customer_address`
  ADD PRIMARY KEY (`address_id`),
  ADD KEY `account_id` (`customer_id`);

--
-- Indexes for table `tbl_customer_branches`
--
ALTER TABLE `tbl_customer_branches`
  ADD PRIMARY KEY (`customer_branch_id`),
  ADD KEY `customer_id` (`customer_id`);

--
-- Indexes for table `tbl_customer_coupon`
--
ALTER TABLE `tbl_customer_coupon`
  ADD PRIMARY KEY (`auto_id`),
  ADD KEY `Customer_ID` (`Customer_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `logged_id` (`logged_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `class_id` (`class_id`),
  ADD KEY `bone_type_id` (`bone_type_id`),
  ADD KEY `job_id` (`job_id`);

--
-- Indexes for table `tbl_customer_coupon_details`
--
ALTER TABLE `tbl_customer_coupon_details`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `auto_id` (`auto_id`),
  ADD KEY `product_id` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`);

--
-- Indexes for table `tbl_customer_organization`
--
ALTER TABLE `tbl_customer_organization`
  ADD PRIMARY KEY (`organization_id`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `region_id` (`region_id`),
  ADD KEY `organization_group_id` (`organization_group_id`),
  ADD KEY `route_id` (`route_id`);

--
-- Indexes for table `tbl_customer_shipping_address`
--
ALTER TABLE `tbl_customer_shipping_address`
  ADD PRIMARY KEY (`shipping_address_id`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `Customer_ID` (`Customer_ID`),
  ADD KEY `fastpax_city_id` (`fastpax_city_id`);

--
-- Indexes for table `tbl_customer_subscription`
--
ALTER TABLE `tbl_customer_subscription`
  ADD PRIMARY KEY (`customer_subscription_id`),
  ADD KEY `subscription_id` (`subscription_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `block_id` (`block_id`);

--
-- Indexes for table `tbl_customer_supplier_contacts`
--
ALTER TABLE `tbl_customer_supplier_contacts`
  ADD PRIMARY KEY (`contact_id`),
  ADD KEY `main_id` (`main_id`);

--
-- Indexes for table `tbl_customer_visit`
--
ALTER TABLE `tbl_customer_visit`
  ADD PRIMARY KEY (`visit_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `app_visit_id` (`app_visit_id`);

--
-- Indexes for table `tbl_cust_supp_prod_codes`
--
ALTER TABLE `tbl_cust_supp_prod_codes`
  ADD PRIMARY KEY (`entry_id`),
  ADD UNIQUE KEY `customer_id` (`customer_id`,`supplier_id`,`product_id`),
  ADD KEY `cust_supp_id` (`customer_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `supplier_id` (`supplier_id`);

--
-- Indexes for table `tbl_daily_deposits`
--
ALTER TABLE `tbl_daily_deposits`
  ADD PRIMARY KEY (`Daily_Deposit_ID`),
  ADD UNIQUE KEY `Cash_Category_ID_2` (`Cash_Category_ID`,`Deposit_Date`,`Logged_ID`),
  ADD KEY `Cash_Category_ID` (`Cash_Category_ID`),
  ADD KEY `Deposit_Cash_Code` (`Deposit_Cash_Code`),
  ADD KEY `Deposit_From_Code` (`Deposit_From_Code`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Cash_Account_ID` (`Cash_Account_ID`),
  ADD KEY `From_Account_ID` (`From_Account_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_daily_withdrawal`
--
ALTER TABLE `tbl_daily_withdrawal`
  ADD PRIMARY KEY (`Daily_WithDrawal_ID`),
  ADD UNIQUE KEY `Cash_Category_ID_2` (`Cash_Category_ID`,`WD_Date`,`Logged_ID`),
  ADD KEY `Cash_Category_ID` (`Cash_Category_ID`),
  ADD KEY `WD_Cash_Code` (`WD_Cash_Code`),
  ADD KEY `WD_From_Code` (`WD_From_Code`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Cash_Account_ID` (`Cash_Account_ID`),
  ADD KEY `From_Account_ID` (`From_Account_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_damage`
--
ALTER TABLE `tbl_damage`
  ADD PRIMARY KEY (`damage_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `app_branch_id` (`app_branch_id`);

--
-- Indexes for table `tbl_damage_details`
--
ALTER TABLE `tbl_damage_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `damage_id` (`damage_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `uom_id` (`uom_id`);

--
-- Indexes for table `tbl_dashboard_boxes`
--
ALTER TABLE `tbl_dashboard_boxes`
  ADD PRIMARY KEY (`box_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_dashboard_box_blocks`
--
ALTER TABLE `tbl_dashboard_box_blocks`
  ADD PRIMARY KEY (`block_id`),
  ADD KEY `box_id` (`box_id`);

--
-- Indexes for table `tbl_deals`
--
ALTER TABLE `tbl_deals`
  ADD PRIMARY KEY (`deal_id`),
  ADD KEY `contact_id` (`contact_id`),
  ADD KEY `stage_id` (`stage_id`);

--
-- Indexes for table `tbl_deals_activity`
--
ALTER TABLE `tbl_deals_activity`
  ADD PRIMARY KEY (`activity_id`),
  ADD KEY `parent_id` (`parent_id`);

--
-- Indexes for table `tbl_deals_log`
--
ALTER TABLE `tbl_deals_log`
  ADD PRIMARY KEY (`log_id`),
  ADD KEY `deal_id` (`deal_id`);

--
-- Indexes for table `tbl_deals_notes`
--
ALTER TABLE `tbl_deals_notes`
  ADD PRIMARY KEY (`note_id`);

--
-- Indexes for table `tbl_deals_progress`
--
ALTER TABLE `tbl_deals_progress`
  ADD PRIMARY KEY (`progress_id`),
  ADD KEY `stage_id` (`stage_id`),
  ADD KEY `deal_id` (`deal_id`);

--
-- Indexes for table `tbl_deals_stage`
--
ALTER TABLE `tbl_deals_stage`
  ADD PRIMARY KEY (`stage_id`);

--
-- Indexes for table `tbl_deals_state_log`
--
ALTER TABLE `tbl_deals_state_log`
  ADD PRIMARY KEY (`state_log_id`),
  ADD KEY `deal_id` (`deal_id`);

--
-- Indexes for table `tbl_default_currency`
--
ALTER TABLE `tbl_default_currency`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tbl_default_settings`
--
ALTER TABLE `tbl_default_settings`
  ADD PRIMARY KEY (`setting_id`);

--
-- Indexes for table `tbl_delivery_fees`
--
ALTER TABLE `tbl_delivery_fees`
  ADD PRIMARY KEY (`delivery_fees_id`),
  ADD UNIQUE KEY `delivery_fees_amount` (`delivery_fees_amount`);

--
-- Indexes for table `tbl_department`
--
ALTER TABLE `tbl_department`
  ADD PRIMARY KEY (`department_id`),
  ADD UNIQUE KEY `department_name` (`department_name`,`parent_id`);

--
-- Indexes for table `tbl_department_accounts`
--
ALTER TABLE `tbl_department_accounts`
  ADD PRIMARY KEY (`Department_Account_ID`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `Department_ID` (`Department_ID`);

--
-- Indexes for table `tbl_devices`
--
ALTER TABLE `tbl_devices`
  ADD PRIMARY KEY (`device_id`),
  ADD KEY `type_id` (`type_id`),
  ADD KEY `is_active` (`is_active`);

--
-- Indexes for table `tbl_devices_type`
--
ALTER TABLE `tbl_devices_type`
  ADD PRIMARY KEY (`type_id`);

--
-- Indexes for table `tbl_display`
--
ALTER TABLE `tbl_display`
  ADD PRIMARY KEY (`display_id`);

--
-- Indexes for table `tbl_drivers`
--
ALTER TABLE `tbl_drivers`
  ADD PRIMARY KEY (`driver_id`);

--
-- Indexes for table `tbl_dynamic_report_template`
--
ALTER TABLE `tbl_dynamic_report_template`
  ADD PRIMARY KEY (`report_id`),
  ADD KEY `currency_id` (`currency_id`);

--
-- Indexes for table `tbl_dynamic_report_template_details`
--
ALTER TABLE `tbl_dynamic_report_template_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `report_id` (`sub_id`),
  ADD KEY `detail_sub_id` (`detail_sub_id`);

--
-- Indexes for table `tbl_dynamic_report_template_sub`
--
ALTER TABLE `tbl_dynamic_report_template_sub`
  ADD PRIMARY KEY (`sub_id`),
  ADD KEY `report_id` (`report_id`);

--
-- Indexes for table `tbl_employee_alert`
--
ALTER TABLE `tbl_employee_alert`
  ADD PRIMARY KEY (`entry_id`);

--
-- Indexes for table `tbl_employee_attendance_sheet`
--
ALTER TABLE `tbl_employee_attendance_sheet`
  ADD PRIMARY KEY (`attendance_id`);

--
-- Indexes for table `tbl_employee_attendance_template`
--
ALTER TABLE `tbl_employee_attendance_template`
  ADD PRIMARY KEY (`template_id`);

--
-- Indexes for table `tbl_employee_banks`
--
ALTER TABLE `tbl_employee_banks`
  ADD PRIMARY KEY (`bank_id`),
  ADD UNIQUE KEY `bank_name` (`bank_name`,`bank_branch`),
  ADD UNIQUE KEY `unique_branch_code` (`bank_name`,`bank_branch`,`bank_code`);

--
-- Indexes for table `tbl_employee_child`
--
ALTER TABLE `tbl_employee_child`
  ADD PRIMARY KEY (`Entry_id`),
  ADD KEY `Employee_ID` (`Employee_ID`),
  ADD KEY `Employee_ID_2` (`Employee_ID`);

--
-- Indexes for table `tbl_employee_dedcution_note`
--
ALTER TABLE `tbl_employee_dedcution_note`
  ADD PRIMARY KEY (`Entry_id`);

--
-- Indexes for table `tbl_employee_location`
--
ALTER TABLE `tbl_employee_location`
  ADD PRIMARY KEY (`Location_ID`),
  ADD UNIQUE KEY `location_code` (`location_code`,`Location_Name`);

--
-- Indexes for table `tbl_employee_performance`
--
ALTER TABLE `tbl_employee_performance`
  ADD PRIMARY KEY (`Evaluation_ID`);

--
-- Indexes for table `tbl_employee_transfer_day`
--
ALTER TABLE `tbl_employee_transfer_day`
  ADD PRIMARY KEY (`entry_id`);

--
-- Indexes for table `tbl_emp_tasks`
--
ALTER TABLE `tbl_emp_tasks`
  ADD PRIMARY KEY (`task_id`),
  ADD KEY `main_id` (`main_id`);

--
-- Indexes for table `tbl_end_of_shift`
--
ALTER TABLE `tbl_end_of_shift`
  ADD PRIMARY KEY (`shift_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_event`
--
ALTER TABLE `tbl_event`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tbl_event_book_type`
--
ALTER TABLE `tbl_event_book_type`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tbl_event_break_type`
--
ALTER TABLE `tbl_event_break_type`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tbl_exchange`
--
ALTER TABLE `tbl_exchange`
  ADD PRIMARY KEY (`exchange_id`),
  ADD KEY `invoice_auto_id` (`invoice_auto_id`),
  ADD KEY `return_auto_id` (`return_auto_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`);

--
-- Indexes for table `tbl_family_accounts`
--
ALTER TABLE `tbl_family_accounts`
  ADD PRIMARY KEY (`family_id`);

--
-- Indexes for table `tbl_fastpax_cities`
--
ALTER TABLE `tbl_fastpax_cities`
  ADD PRIMARY KEY (`city_id`),
  ADD UNIQUE KEY `unique_city_name_district` (`city_name`,`district_id`);

--
-- Indexes for table `tbl_fees_subscription_details`
--
ALTER TABLE `tbl_fees_subscription_details`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `subscription_detail_id` (`subscription_detail_id`),
  ADD KEY `main_id` (`main_id`);

--
-- Indexes for table `tbl_fees_subscription_main`
--
ALTER TABLE `tbl_fees_subscription_main`
  ADD PRIMARY KEY (`main_id`),
  ADD UNIQUE KEY `unique_fees` (`customer_subscription_id`,`next_date`,`is_open_balance`),
  ADD KEY `customer_subscription_id` (`customer_subscription_id`),
  ADD KEY `subscription_id` (`subscription_id`);

--
-- Indexes for table `tbl_floor`
--
ALTER TABLE `tbl_floor`
  ADD PRIMARY KEY (`floor_id`),
  ADD UNIQUE KEY `unique_floor` (`floor_name`);

--
-- Indexes for table `tbl_fuel_type`
--
ALTER TABLE `tbl_fuel_type`
  ADD PRIMARY KEY (`Fuel_Type_ID`);

--
-- Indexes for table `tbl_garage_loading_order`
--
ALTER TABLE `tbl_garage_loading_order`
  ADD PRIMARY KEY (`Loading_Order_ID`),
  ADD KEY `Vehicle_ID` (`Vehicle_ID`),
  ADD KEY `Shift_ID` (`Shift_ID`),
  ADD KEY `Driver_ID` (`Driver_ID`),
  ADD KEY `Sales_Man_ID` (`Sales_Man_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Class_ID` (`Class_ID`);

--
-- Indexes for table `tbl_garage_loading_order_details`
--
ALTER TABLE `tbl_garage_loading_order_details`
  ADD PRIMARY KEY (`Loading_Details_ID`),
  ADD KEY `Loading_ID` (`Loading_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_garage_load_added_quantity`
--
ALTER TABLE `tbl_garage_load_added_quantity`
  ADD PRIMARY KEY (`Load_Added_ID`);

--
-- Indexes for table `tbl_garage_load_returns`
--
ALTER TABLE `tbl_garage_load_returns`
  ADD PRIMARY KEY (`Load_Return_ID`);

--
-- Indexes for table `tbl_garage_rent_type`
--
ALTER TABLE `tbl_garage_rent_type`
  ADD PRIMARY KEY (`rent_type_id`);

--
-- Indexes for table `tbl_garage_sales_order`
--
ALTER TABLE `tbl_garage_sales_order`
  ADD PRIMARY KEY (`Sales_Order_ID`);

--
-- Indexes for table `tbl_garage_sales_order_details`
--
ALTER TABLE `tbl_garage_sales_order_details`
  ADD PRIMARY KEY (`Item_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`);

--
-- Indexes for table `tbl_garage_truck_expenses`
--
ALTER TABLE `tbl_garage_truck_expenses`
  ADD PRIMARY KEY (`Truck_Expense_ID`),
  ADD KEY `current_year_id` (`current_year_id`);

--
-- Indexes for table `tbl_garage_truck_expenses_details`
--
ALTER TABLE `tbl_garage_truck_expenses_details`
  ADD PRIMARY KEY (`exp_detail_id`);

--
-- Indexes for table `tbl_garage_vehicle`
--
ALTER TABLE `tbl_garage_vehicle`
  ADD PRIMARY KEY (`Vehicle_ID`),
  ADD UNIQUE KEY `Vehicle_Code` (`Vehicle_Code`) USING BTREE,
  ADD KEY `rent_type_id` (`rent_type_id`),
  ADD KEY `is_disabled` (`is_disabled`);

--
-- Indexes for table `tbl_garage_vehicle_checkup`
--
ALTER TABLE `tbl_garage_vehicle_checkup`
  ADD PRIMARY KEY (`Entry_ID`);

--
-- Indexes for table `tbl_garage_vehicle_checkup_details`
--
ALTER TABLE `tbl_garage_vehicle_checkup_details`
  ADD PRIMARY KEY (`checkup_details_id`);

--
-- Indexes for table `tbl_garage_vehicle_checkup_setting`
--
ALTER TABLE `tbl_garage_vehicle_checkup_setting`
  ADD PRIMARY KEY (`checkup_setting_id`);

--
-- Indexes for table `tbl_garage_vehicle_driver`
--
ALTER TABLE `tbl_garage_vehicle_driver`
  ADD PRIMARY KEY (`Vehicle_Driver_ID`),
  ADD UNIQUE KEY `Vehicle_ID` (`Vehicle_ID`,`Sales_Man_ID`,`Driver_ID`);

--
-- Indexes for table `tbl_garage_vehicle_rents`
--
ALTER TABLE `tbl_garage_vehicle_rents`
  ADD PRIMARY KEY (`rent_id`),
  ADD KEY `vehicle_id` (`vehicle_id`),
  ADD KEY `employee_id` (`employee_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `rent_type_id` (`rent_type_id`);

--
-- Indexes for table `tbl_garage_vehicle_weighbridge`
--
ALTER TABLE `tbl_garage_vehicle_weighbridge`
  ADD PRIMARY KEY (`Weighbridge_ID`),
  ADD KEY `current_year_id` (`current_year_id`);

--
-- Indexes for table `tbl_garage_vehicle_zone`
--
ALTER TABLE `tbl_garage_vehicle_zone`
  ADD PRIMARY KEY (`Zone_ID`);

--
-- Indexes for table `tbl_general_classes`
--
ALTER TABLE `tbl_general_classes`
  ADD PRIMARY KEY (`class_id`);

--
-- Indexes for table `tbl_general_contact`
--
ALTER TABLE `tbl_general_contact`
  ADD PRIMARY KEY (`contact_id`);

--
-- Indexes for table `tbl_general_groups`
--
ALTER TABLE `tbl_general_groups`
  ADD PRIMARY KEY (`group_id`);

--
-- Indexes for table `tbl_general_settings`
--
ALTER TABLE `tbl_general_settings`
  ADD PRIMARY KEY (`setting_id`);

--
-- Indexes for table `tbl_group_accounts`
--
ALTER TABLE `tbl_group_accounts`
  ADD PRIMARY KEY (`group_account_id`),
  ADD UNIQUE KEY `group_name` (`group_name`),
  ADD KEY `pur_acc_id` (`pur_acc_id`),
  ADD KEY `pur_tax_acc_id` (`pur_tax_acc_id`),
  ADD KEY `pur_return_acc_id` (`pur_return_acc_id`),
  ADD KEY `pur_return_tax_acc_id` (`pur_return_tax_acc_id`),
  ADD KEY `sales_acc_id` (`sales_acc_id`),
  ADD KEY `sales_tax_acc_id` (`sales_tax_acc_id`),
  ADD KEY `sales_return_acc_id` (`sales_return_acc_id`),
  ADD KEY `sales_return_tax_id` (`sales_return_tax_id`);

--
-- Indexes for table `tbl_group_user`
--
ALTER TABLE `tbl_group_user`
  ADD PRIMARY KEY (`group_id`),
  ADD UNIQUE KEY `group_name` (`group_name`);

--
-- Indexes for table `tbl_hrm_absence`
--
ALTER TABLE `tbl_hrm_absence`
  ADD PRIMARY KEY (`Absence_ID`),
  ADD KEY `Employee_ID13_idx` (`Employee_ID`);

--
-- Indexes for table `tbl_hrm_absence_reasons`
--
ALTER TABLE `tbl_hrm_absence_reasons`
  ADD PRIMARY KEY (`Absence_Reason_ID`);

--
-- Indexes for table `tbl_hrm_accrued_days`
--
ALTER TABLE `tbl_hrm_accrued_days`
  ADD PRIMARY KEY (`Entry_ID`);

--
-- Indexes for table `tbl_hrm_advance_payments`
--
ALTER TABLE `tbl_hrm_advance_payments`
  ADD PRIMARY KEY (`Advance_Payment_ID`),
  ADD KEY `Employee_ID` (`Employee_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_hrm_announcements`
--
ALTER TABLE `tbl_hrm_announcements`
  ADD PRIMARY KEY (`Announcement_ID`),
  ADD UNIQUE KEY `Announcement_Title` (`Announcement_Title`);

--
-- Indexes for table `tbl_hrm_basic_salary_periods`
--
ALTER TABLE `tbl_hrm_basic_salary_periods`
  ADD PRIMARY KEY (`period_id`);

--
-- Indexes for table `tbl_hrm_bonuses`
--
ALTER TABLE `tbl_hrm_bonuses`
  ADD PRIMARY KEY (`Bonus_ID`);

--
-- Indexes for table `tbl_hrm_bonus_description`
--
ALTER TABLE `tbl_hrm_bonus_description`
  ADD PRIMARY KEY (`Reason_ID`);

--
-- Indexes for table `tbl_hrm_boundaries_amount_taxable`
--
ALTER TABLE `tbl_hrm_boundaries_amount_taxable`
  ADD PRIMARY KEY (`Boundary_ID`);

--
-- Indexes for table `tbl_hrm_branch`
--
ALTER TABLE `tbl_hrm_branch`
  ADD PRIMARY KEY (`Branch_ID`),
  ADD UNIQUE KEY `Branch_Name` (`Branch_Name`),
  ADD KEY `cat_type_id` (`cat_type_id`);

--
-- Indexes for table `tbl_hrm_deductions`
--
ALTER TABLE `tbl_hrm_deductions`
  ADD PRIMARY KEY (`Deduction_ID`);

--
-- Indexes for table `tbl_hrm_dependants`
--
ALTER TABLE `tbl_hrm_dependants`
  ADD PRIMARY KEY (`Dependant_ID`),
  ADD UNIQUE KEY `Employee_ID` (`Employee_ID`),
  ADD KEY `Employee_ID10_idx` (`Employee_ID`);

--
-- Indexes for table `tbl_hrm_document_questions`
--
ALTER TABLE `tbl_hrm_document_questions`
  ADD PRIMARY KEY (`Question_ID`);

--
-- Indexes for table `tbl_hrm_document_types`
--
ALTER TABLE `tbl_hrm_document_types`
  ADD PRIMARY KEY (`Document_ID`);

--
-- Indexes for table `tbl_hrm_emergency_contact`
--
ALTER TABLE `tbl_hrm_emergency_contact`
  ADD PRIMARY KEY (`EmergencyContact_ID`),
  ADD KEY `Employee_ID9_idx` (`Employee_ID`);

--
-- Indexes for table `tbl_hrm_employee`
--
ALTER TABLE `tbl_hrm_employee`
  ADD PRIMARY KEY (`Employee_ID`),
  ADD UNIQUE KEY `Employee_Email` (`Employee_Email`),
  ADD UNIQUE KEY `Employee_FirstName` (`Employee_FirstName`,`Employee_LastName`,`Employee_Email`),
  ADD KEY `Paygrade-Job_idx` (`Paygrade_ID`),
  ADD KEY `Shift_ID` (`Shift_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `period_id` (`period_id`),
  ADD KEY `bank_id` (`bank_id`),
  ADD KEY `Employee_Country` (`Employee_Country`),
  ADD KEY `Branch_ID` (`Branch_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Department_ID` (`Department_ID`),
  ADD KEY `Employee_Nationality` (`Employee_Nationality`),
  ADD KEY `Employee_Wife_Nationality` (`Employee_Wife_Nationality`),
  ADD KEY `Employee_BloodGroup` (`Employee_BloodGroup`),
  ADD KEY `Employee_Location` (`Employee_Location`),
  ADD KEY `employee_level` (`employee_level`);

--
-- Indexes for table `tbl_hrm_employees_accounts`
--
ALTER TABLE `tbl_hrm_employees_accounts`
  ADD PRIMARY KEY (`Entry_ID`);

--
-- Indexes for table `tbl_hrm_employees_expenses`
--
ALTER TABLE `tbl_hrm_employees_expenses`
  ADD PRIMARY KEY (`Expense_ID`);

--
-- Indexes for table `tbl_hrm_employee_document`
--
ALTER TABLE `tbl_hrm_employee_document`
  ADD PRIMARY KEY (`Entry_ID`);

--
-- Indexes for table `tbl_hrm_employee_evaluation_degree`
--
ALTER TABLE `tbl_hrm_employee_evaluation_degree`
  ADD PRIMARY KEY (`EvaluationDegree_ID`);

--
-- Indexes for table `tbl_hrm_employee_opening`
--
ALTER TABLE `tbl_hrm_employee_opening`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_hrm_employee_overtime_hours`
--
ALTER TABLE `tbl_hrm_employee_overtime_hours`
  ADD PRIMARY KEY (`Overtime_ID`),
  ADD KEY `Curreny_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_hrm_employee_relationship`
--
ALTER TABLE `tbl_hrm_employee_relationship`
  ADD PRIMARY KEY (`Employee_Relationship_ID`);

--
-- Indexes for table `tbl_hrm_emp_absence_setting`
--
ALTER TABLE `tbl_hrm_emp_absence_setting`
  ADD PRIMARY KEY (`entry_id`),
  ADD UNIQUE KEY `employee_id_2` (`employee_id`,`absence_reason_id`),
  ADD KEY `employee_id` (`employee_id`),
  ADD KEY `absence_reason_id` (`absence_reason_id`);

--
-- Indexes for table `tbl_hrm_fingerprint`
--
ALTER TABLE `tbl_hrm_fingerprint`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `employee_id` (`employee_id`),
  ADD KEY `app_id` (`app_id`),
  ADD KEY `app_user_id` (`app_user_id`);

--
-- Indexes for table `tbl_hrm_holidays`
--
ALTER TABLE `tbl_hrm_holidays`
  ADD PRIMARY KEY (`Holiday_ID`),
  ADD UNIQUE KEY `Holiday_Name` (`Holiday_Name`);

--
-- Indexes for table `tbl_hrm_jobs`
--
ALTER TABLE `tbl_hrm_jobs`
  ADD PRIMARY KEY (`Job_ID`);

--
-- Indexes for table `tbl_hrm_job_absence_setting`
--
ALTER TABLE `tbl_hrm_job_absence_setting`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `absence_reason_id` (`absence_reason_id`);

--
-- Indexes for table `tbl_hrm_languages`
--
ALTER TABLE `tbl_hrm_languages`
  ADD PRIMARY KEY (`Language_ID`),
  ADD UNIQUE KEY `Language_Name_UNIQUE` (`Language_Name`);

--
-- Indexes for table `tbl_hrm_leave`
--
ALTER TABLE `tbl_hrm_leave`
  ADD PRIMARY KEY (`Leave_ID`);

--
-- Indexes for table `tbl_hrm_loans`
--
ALTER TABLE `tbl_hrm_loans`
  ADD PRIMARY KEY (`Loan_ID`);

--
-- Indexes for table `tbl_hrm_merital_status`
--
ALTER TABLE `tbl_hrm_merital_status`
  ADD PRIMARY KEY (`Merital_Status_ID`);

--
-- Indexes for table `tbl_hrm_nationalities`
--
ALTER TABLE `tbl_hrm_nationalities`
  ADD PRIMARY KEY (`Nationality_ID`),
  ADD UNIQUE KEY `Nationality_Name_UNIQUE` (`Nationality_Name`);

--
-- Indexes for table `tbl_hrm_paid_accrued`
--
ALTER TABLE `tbl_hrm_paid_accrued`
  ADD PRIMARY KEY (`Paid_Accrued_ID`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_hrm_paygrade`
--
ALTER TABLE `tbl_hrm_paygrade`
  ADD PRIMARY KEY (`Paygrade_ID`),
  ADD KEY `Job_ID_idx` (`Job_ID`);

--
-- Indexes for table `tbl_hrm_payroll`
--
ALTER TABLE `tbl_hrm_payroll`
  ADD PRIMARY KEY (`Payroll_ID`),
  ADD KEY `payment_account_id` (`payment_account_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_hrm_reasons`
--
ALTER TABLE `tbl_hrm_reasons`
  ADD PRIMARY KEY (`Description_ID`);

--
-- Indexes for table `tbl_hrm_reasons_types`
--
ALTER TABLE `tbl_hrm_reasons_types`
  ADD PRIMARY KEY (`Reason_Type_ID`);

--
-- Indexes for table `tbl_hrm_salary_components`
--
ALTER TABLE `tbl_hrm_salary_components`
  ADD PRIMARY KEY (`Salary_Component_ID`),
  ADD KEY `Paygrade_ID_idx` (`Paygrade_ID`);

--
-- Indexes for table `tbl_hrm_salary_unit_formulas`
--
ALTER TABLE `tbl_hrm_salary_unit_formulas`
  ADD PRIMARY KEY (`formula_id`),
  ADD UNIQUE KEY `formula_name` (`formula_name`);

--
-- Indexes for table `tbl_hrm_shifts`
--
ALTER TABLE `tbl_hrm_shifts`
  ADD PRIMARY KEY (`Shift_ID`),
  ADD UNIQUE KEY `Shift_From` (`Shift_From`,`Shift_To`,`Working_Day_ID`(255));

--
-- Indexes for table `tbl_hrm_shift_hours`
--
ALTER TABLE `tbl_hrm_shift_hours`
  ADD PRIMARY KEY (`entry_id`),
  ADD UNIQUE KEY `shift_id_2` (`shift_id`,`month`),
  ADD KEY `shift_id` (`shift_id`);

--
-- Indexes for table `tbl_hrm_shift_rounds`
--
ALTER TABLE `tbl_hrm_shift_rounds`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `shift_id` (`shift_id`);

--
-- Indexes for table `tbl_hrm_skills`
--
ALTER TABLE `tbl_hrm_skills`
  ADD PRIMARY KEY (`skills_id`),
  ADD UNIQUE KEY `Skill_Name_UNIQUE` (`skills_name`);

--
-- Indexes for table `tbl_hrm_taken_accrued`
--
ALTER TABLE `tbl_hrm_taken_accrued`
  ADD PRIMARY KEY (`Entry_ID`);

--
-- Indexes for table `tbl_hrm_tasks`
--
ALTER TABLE `tbl_hrm_tasks`
  ADD PRIMARY KEY (`Task_ID`),
  ADD KEY `Timesheet_ID_idx` (`Timesheet_ID`);

--
-- Indexes for table `tbl_hrm_temp_attendance`
--
ALTER TABLE `tbl_hrm_temp_attendance`
  ADD PRIMARY KEY (`temp_id`);

--
-- Indexes for table `tbl_hrm_timesheets`
--
ALTER TABLE `tbl_hrm_timesheets`
  ADD PRIMARY KEY (`Timesheet_ID`),
  ADD KEY `Employee_ID13_idx` (`Employee_ID`);

--
-- Indexes for table `tbl_hrm_todolist`
--
ALTER TABLE `tbl_hrm_todolist`
  ADD PRIMARY KEY (`List_ID`);

--
-- Indexes for table `tbl_hrm_volunteer`
--
ALTER TABLE `tbl_hrm_volunteer`
  ADD PRIMARY KEY (`volunteer_id`),
  ADD UNIQUE KEY `Volunteer_Work_ID` (`Volunteer_Work_ID`);

--
-- Indexes for table `tbl_hrm_working_days`
--
ALTER TABLE `tbl_hrm_working_days`
  ADD PRIMARY KEY (`Working_Day_ID`);

--
-- Indexes for table `tbl_interior_ministry_log`
--
ALTER TABLE `tbl_interior_ministry_log`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `tbl_interior_ministry_log_details`
--
ALTER TABLE `tbl_interior_ministry_log_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `entry_id` (`entry_id`);

--
-- Indexes for table `tbl_intolerance`
--
ALTER TABLE `tbl_intolerance`
  ADD PRIMARY KEY (`intolerance_id`),
  ADD UNIQUE KEY `unique_tolerance` (`intolerance_name`);

--
-- Indexes for table `tbl_inventory_default_pricing_method`
--
ALTER TABLE `tbl_inventory_default_pricing_method`
  ADD PRIMARY KEY (`Default_Method_ID`);

--
-- Indexes for table `tbl_inventory_delivery_report`
--
ALTER TABLE `tbl_inventory_delivery_report`
  ADD PRIMARY KEY (`Delivery_Report_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `Person_ID` (`Person_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `purchase_id` (`purchase_id`),
  ADD KEY `invoice_type_id` (`invoice_type_id`),
  ADD KEY `debit_acc_id` (`debit_acc_id`),
  ADD KEY `credit_acc_id` (`credit_acc_id`);

--
-- Indexes for table `tbl_inventory_delivery_report_items`
--
ALTER TABLE `tbl_inventory_delivery_report_items`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `order_detail_id` (`order_detail_id`);

--
-- Indexes for table `tbl_inventory_family`
--
ALTER TABLE `tbl_inventory_family`
  ADD PRIMARY KEY (`family_id`);

--
-- Indexes for table `tbl_inventory_loading_order_payments`
--
ALTER TABLE `tbl_inventory_loading_order_payments`
  ADD PRIMARY KEY (`Load_Payment_ID`);

--
-- Indexes for table `tbl_inventory_loading_order_payment_type`
--
ALTER TABLE `tbl_inventory_loading_order_payment_type`
  ADD PRIMARY KEY (`Type_ID`);

--
-- Indexes for table `tbl_inventory_purchases`
--
ALTER TABLE `tbl_inventory_purchases`
  ADD PRIMARY KEY (`Purchase_ID_Auto`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Supplier_ID` (`Supplier_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Purchase_Date` (`Purchase_Date`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `is_actual` (`is_actual`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `Class_ID` (`Class_ID`),
  ADD KEY `disable_qty` (`disable_qty`),
  ADD KEY `invoice_type_id` (`invoice_type_id`);

--
-- Indexes for table `tbl_inventory_purchase_items`
--
ALTER TABLE `tbl_inventory_purchase_items`
  ADD PRIMARY KEY (`Item_ID`),
  ADD KEY `Purchase_ID_Auto` (`Purchase_ID_Auto`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `supp_class_id` (`supp_class_id`),
  ADD KEY `Delivery_Report_ID` (`Delivery_Report_ID`),
  ADD KEY `depot_id` (`depot_id`);

--
-- Indexes for table `tbl_inventory_servecies_invoice_details`
--
ALTER TABLE `tbl_inventory_servecies_invoice_details`
  ADD PRIMARY KEY (`Service_ID`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_inventory_services_invoices`
--
ALTER TABLE `tbl_inventory_services_invoices`
  ADD PRIMARY KEY (`Invoice_ID_Auto`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Customer_ID` (`Customer_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_invoices`
--
ALTER TABLE `tbl_invoices`
  ADD PRIMARY KEY (`Invoice_ID_Auto`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `Class_ID` (`Class_ID`),
  ADD KEY `pos_customer_id` (`pos_customer_id`),
  ADD KEY `Sales_ID` (`Sales_ID`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `tbl_invoices_ibfk_2` (`reason_id`),
  ADD KEY `reason_id` (`reason_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Invoice_Currency` (`Invoice_Currency`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Customer_ID` (`Customer_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `Inv_Type` (`Inv_Type`),
  ADD KEY `Close_ID` (`Close_ID`),
  ADD KEY `table_id` (`table_id`),
  ADD KEY `address_id` (`address_id`),
  ADD KEY `order_id` (`order_id`),
  ADD KEY `exchange_id` (`exchange_id`),
  ADD KEY `Load_ID` (`Load_ID`),
  ADD KEY `sales_purchase_id` (`sales_purchase_id`),
  ADD KEY `Invoice_Date` (`Invoice_Date`),
  ADD KEY `is_actual` (`is_actual`),
  ADD KEY `online_invoice_id` (`online_invoice_id`),
  ADD KEY `is_branch_transfer` (`is_branch_transfer`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `shipping_company_id` (`shipping_company_id`),
  ADD KEY `ship_comp_acc_id` (`ship_comp_acc_id`),
  ADD KEY `Invoice_ID` (`Invoice_ID`),
  ADD KEY `invoice_prefix` (`invoice_prefix`),
  ADD KEY `Bon_Number` (`Bon_Number`),
  ADD KEY `web_api_inv_id` (`web_api_inv_id`),
  ADD KEY `web_api_user_id` (`web_api_user_id`),
  ADD KEY `contra_id` (`contra_id`),
  ADD KEY `customer_branch_id` (`customer_branch_id`),
  ADD KEY `reservation_id` (`reservation_id`),
  ADD KEY `driver_id` (`driver_id`),
  ADD KEY `ticketing_id` (`ticketing_id`);

--
-- Indexes for table `tbl_invoice_details_tags`
--
ALTER TABLE `tbl_invoice_details_tags`
  ADD PRIMARY KEY (`Invoice_Tag_ID`),
  ADD KEY `Entery_ID` (`Entery_ID`);

--
-- Indexes for table `tbl_invoice_payments`
--
ALTER TABLE `tbl_invoice_payments`
  ADD PRIMARY KEY (`Payment_Invoice_ID`),
  ADD KEY `Payment_Auto_ID` (`record_id`),
  ADD KEY `Invoice_ID_Auto` (`inv_pur_id`);

--
-- Indexes for table `tbl_invoice_products_details`
--
ALTER TABLE `tbl_invoice_products_details`
  ADD PRIMARY KEY (`Entery_ID`),
  ADD KEY `Invoice_ID_Auto` (`Invoice_ID_Auto`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `vehicle_id` (`vehicle_id`),
  ADD KEY `employee_id` (`employee_id`),
  ADD KEY `Delivery_Report_ID` (`Delivery_Report_ID`);

--
-- Indexes for table `tbl_invoice_products_void`
--
ALTER TABLE `tbl_invoice_products_void`
  ADD PRIMARY KEY (`Entery_ID`),
  ADD KEY `Invoice_ID_Auto` (`Invoice_ID_Auto`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `tbl_invoice_product_add_ons`
--
ALTER TABLE `tbl_invoice_product_add_ons`
  ADD PRIMARY KEY (`invoice_add_ons_id`),
  ADD KEY `Entery_ID` (`Entery_ID`),
  ADD KEY `add_ons_details_id` (`add_ons_details_id`);

--
-- Indexes for table `tbl_invoice_product_criteria`
--
ALTER TABLE `tbl_invoice_product_criteria`
  ADD PRIMARY KEY (`invoice_criteria_id`),
  ADD KEY `order_detail_id` (`Entery_ID`),
  ADD KEY `criteria_detail_id` (`criteria_detail_id`);

--
-- Indexes for table `tbl_invoice_product_options`
--
ALTER TABLE `tbl_invoice_product_options`
  ADD PRIMARY KEY (`op_detail_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `invoice_detail_id` (`invoice_detail_id`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `option_id` (`option_id`);

--
-- Indexes for table `tbl_invoice_shipping`
--
ALTER TABLE `tbl_invoice_shipping`
  ADD PRIMARY KEY (`invoice_shipping_id`),
  ADD KEY `Invoice_ID_Auto` (`Invoice_ID_Auto`);

--
-- Indexes for table `tbl_invoice_types`
--
ALTER TABLE `tbl_invoice_types`
  ADD PRIMARY KEY (`invoice_type_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `cash_account_id` (`cash_account_id`),
  ADD KEY `group_id` (`customer_group_id`),
  ADD KEY `supplier_group_id` (`supplier_group_id`),
  ADD KEY `prevent_change_cash` (`prevent_change_cash`),
  ADD KEY `prevent_change_sales` (`prevent_change_sales`),
  ADD KEY `prevent_change_class` (`prevent_change_class`),
  ADD KEY `hide_payment` (`hide_payment`);

--
-- Indexes for table `tbl_item_price_by_classes`
--
ALTER TABLE `tbl_item_price_by_classes`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD UNIQUE KEY `Class_ID` (`Class_ID`,`Product_ID`,`UOM_ID`) USING BTREE,
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Class_ID_2` (`Class_ID`);

--
-- Indexes for table `tbl_item_price_by_classes_log`
--
ALTER TABLE `tbl_item_price_by_classes_log`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `Class_ID` (`Class_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_job_order`
--
ALTER TABLE `tbl_job_order`
  ADD PRIMARY KEY (`job_order_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `logged_id` (`logged_id`);

--
-- Indexes for table `tbl_job_order_block`
--
ALTER TABLE `tbl_job_order_block`
  ADD PRIMARY KEY (`block_id`);

--
-- Indexes for table `tbl_job_order_details`
--
ALTER TABLE `tbl_job_order_details`
  ADD PRIMARY KEY (`order_detail_id`),
  ADD KEY `job_order_id` (`job_order_id`),
  ADD KEY `block_id` (`block_id`);

--
-- Indexes for table `tbl_job_order_details_options`
--
ALTER TABLE `tbl_job_order_details_options`
  ADD PRIMARY KEY (`detail_option_id`),
  ADD KEY `order_detail_id` (`order_detail_id`),
  ADD KEY `option_detail_id` (`option_detail_id`);

--
-- Indexes for table `tbl_job_order_option`
--
ALTER TABLE `tbl_job_order_option`
  ADD PRIMARY KEY (`option_id`),
  ADD KEY `stage_id` (`is_published`);

--
-- Indexes for table `tbl_job_order_option_details`
--
ALTER TABLE `tbl_job_order_option_details`
  ADD PRIMARY KEY (`option_detail_id`),
  ADD KEY `option_id` (`option_id`),
  ADD KEY `option_detail_type` (`type_id`);

--
-- Indexes for table `tbl_job_order_option_details_value`
--
ALTER TABLE `tbl_job_order_option_details_value`
  ADD PRIMARY KEY (`detail_value_id`),
  ADD KEY `option_detail_id` (`option_detail_id`);

--
-- Indexes for table `tbl_job_order_option_type`
--
ALTER TABLE `tbl_job_order_option_type`
  ADD PRIMARY KEY (`type_id`);

--
-- Indexes for table `tbl_job_order_stage`
--
ALTER TABLE `tbl_job_order_stage`
  ADD PRIMARY KEY (`stage_id`);

--
-- Indexes for table `tbl_kitchen_note`
--
ALTER TABLE `tbl_kitchen_note`
  ADD PRIMARY KEY (`note_id`),
  ADD KEY `type` (`type`);

--
-- Indexes for table `tbl_landings`
--
ALTER TABLE `tbl_landings`
  ADD PRIMARY KEY (`landing_id`);

--
-- Indexes for table `tbl_line`
--
ALTER TABLE `tbl_line`
  ADD PRIMARY KEY (`line_id`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`);

--
-- Indexes for table `tbl_line_machine`
--
ALTER TABLE `tbl_line_machine`
  ADD PRIMARY KEY (`line_machine_id`),
  ADD KEY `line_id` (`line_id`),
  ADD KEY `Product_ID` (`Product_ID`);

--
-- Indexes for table `tbl_lock_data`
--
ALTER TABLE `tbl_lock_data`
  ADD PRIMARY KEY (`lock_id`),
  ADD KEY `created_logged_id` (`created_logged_id`);

--
-- Indexes for table `tbl_maintenance`
--
ALTER TABLE `tbl_maintenance`
  ADD PRIMARY KEY (`maintenance_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `category_id` (`maintenance_type_id`),
  ADD KEY `station_id` (`maintenance_supporter_id`),
  ADD KEY `finished_by` (`finished_by`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `maintenance_reply_id` (`maintenance_reply_id`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `assigned_user_id` (`assigned_user_id`);

--
-- Indexes for table `tbl_maintenance_replies`
--
ALTER TABLE `tbl_maintenance_replies`
  ADD PRIMARY KEY (`maintenance_reply_id`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `maintenance_id` (`maintenance_id`);

--
-- Indexes for table `tbl_maintenance_supporter`
--
ALTER TABLE `tbl_maintenance_supporter`
  ADD PRIMARY KEY (`maintenance_supporter_id`),
  ADD UNIQUE KEY `Ticketing Station Already exist.` (`maintenance_supporter_name`);

--
-- Indexes for table `tbl_maintenance_type`
--
ALTER TABLE `tbl_maintenance_type`
  ADD PRIMARY KEY (`maintenance_type_id`),
  ADD UNIQUE KEY `Mintenance type name already exists.` (`maintenance_type_name`);

--
-- Indexes for table `tbl_main_log`
--
ALTER TABLE `tbl_main_log`
  ADD PRIMARY KEY (`log_id`),
  ADD KEY `main_id` (`main_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `type` (`type`),
  ADD KEY `date_time` (`date_time`),
  ADD KEY `ip` (`ip`);

--
-- Indexes for table `tbl_mdcl_employee`
--
ALTER TABLE `tbl_mdcl_employee`
  ADD PRIMARY KEY (`mdcl_employee_id`),
  ADD KEY `Employee_ID` (`Employee_ID`);

--
-- Indexes for table `tbl_mdcl_employee_details`
--
ALTER TABLE `tbl_mdcl_employee_details`
  ADD PRIMARY KEY (`mdcl_emp_dtl_id`),
  ADD KEY `mdcl_place_id` (`mdcl_place_id`),
  ADD KEY `mdcl_type_id` (`mdcl_type_id`),
  ADD KEY `tbl_mdcl_employee_details_ibfk_1` (`mdcl_employee_id`);

--
-- Indexes for table `tbl_mdcl_place`
--
ALTER TABLE `tbl_mdcl_place`
  ADD PRIMARY KEY (`mdcl_place_id`),
  ADD UNIQUE KEY `mdcl_place_name` (`mdcl_place_name`);

--
-- Indexes for table `tbl_mdcl_place_details`
--
ALTER TABLE `tbl_mdcl_place_details`
  ADD PRIMARY KEY (`mdcl_place_details_id`),
  ADD KEY `mdcl_place_id` (`mdcl_place_id`),
  ADD KEY `mdcl_type_id` (`mdcl_type_id`);

--
-- Indexes for table `tbl_mdcl_type`
--
ALTER TABLE `tbl_mdcl_type`
  ADD PRIMARY KEY (`mdcl_type_id`),
  ADD UNIQUE KEY `mdcl_type_name` (`mdcl_type_name`);

--
-- Indexes for table `tbl_meal_criteria_detail`
--
ALTER TABLE `tbl_meal_criteria_detail`
  ADD PRIMARY KEY (`criteria_detail_id`),
  ADD KEY `criteria_id` (`criteria_id`);

--
-- Indexes for table `tbl_mgt_logs`
--
ALTER TABLE `tbl_mgt_logs`
  ADD PRIMARY KEY (`Transaction_ID`),
  ADD KEY `current_year_id` (`current_year_id`);

--
-- Indexes for table `tbl_mgt_logs_backups`
--
ALTER TABLE `tbl_mgt_logs_backups`
  ADD PRIMARY KEY (`ID_Auto`),
  ADD KEY `current_year_id` (`current_year_id`);

--
-- Indexes for table `tbl_mgt_logs_backups_details`
--
ALTER TABLE `tbl_mgt_logs_backups_details`
  ADD PRIMARY KEY (`Detail_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`);

--
-- Indexes for table `tbl_notification_type`
--
ALTER TABLE `tbl_notification_type`
  ADD PRIMARY KEY (`notification_type_id`);

--
-- Indexes for table `tbl_open_drawer`
--
ALTER TABLE `tbl_open_drawer`
  ADD PRIMARY KEY (`open_drawer_id`);

--
-- Indexes for table `tbl_order_product_criteria`
--
ALTER TABLE `tbl_order_product_criteria`
  ADD PRIMARY KEY (`order_criteria_id`),
  ADD KEY `Entry_ID` (`Entry_ID`),
  ADD KEY `criteria_detail_id` (`criteria_detail_id`);

--
-- Indexes for table `tbl_organization`
--
ALTER TABLE `tbl_organization`
  ADD PRIMARY KEY (`Organization_ID`);

--
-- Indexes for table `tbl_organization_branches`
--
ALTER TABLE `tbl_organization_branches`
  ADD PRIMARY KEY (`branch_id`);

--
-- Indexes for table `tbl_organization_financial_settings`
--
ALTER TABLE `tbl_organization_financial_settings`
  ADD PRIMARY KEY (`Financial_ID`);

--
-- Indexes for table `tbl_organization_hierarchy`
--
ALTER TABLE `tbl_organization_hierarchy`
  ADD PRIMARY KEY (`Position_ID`);

--
-- Indexes for table `tbl_organization_legal_entity`
--
ALTER TABLE `tbl_organization_legal_entity`
  ADD PRIMARY KEY (`Organization_Legal_Entity_ID`);

--
-- Indexes for table `tbl_organization_postal_address`
--
ALTER TABLE `tbl_organization_postal_address`
  ADD PRIMARY KEY (`Postal_ID`);

--
-- Indexes for table `tbl_organization_shareholders`
--
ALTER TABLE `tbl_organization_shareholders`
  ADD PRIMARY KEY (`Shareholder_ID`);

--
-- Indexes for table `tbl_organization_social_links`
--
ALTER TABLE `tbl_organization_social_links`
  ADD PRIMARY KEY (`Link_ID`);

--
-- Indexes for table `tbl_organization_type`
--
ALTER TABLE `tbl_organization_type`
  ADD PRIMARY KEY (`Organization_Type_ID`);

--
-- Indexes for table `tbl_payments_on_accounts`
--
ALTER TABLE `tbl_payments_on_accounts`
  ADD PRIMARY KEY (`Payment_Auto_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `payment_app_id` (`payment_app_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `commession_acc_id` (`commession_acc_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `IsReceipt` (`IsReceipt`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `pos_customer_id` (`pos_customer_id`),
  ADD KEY `subscription_fees_id` (`subscription_fees_id`),
  ADD KEY `unq_id` (`unq_id`),
  ADD KEY `new_pay_id` (`new_pay_id`);

--
-- Indexes for table `tbl_payment_receipt`
--
ALTER TABLE `tbl_payment_receipt`
  ADD PRIMARY KEY (`pay_rec_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `payment_app_id` (`payment_app_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `is_receipt` (`is_receipt`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `pos_customer_id` (`pos_customer_id`),
  ADD KEY `subscription_fees_id` (`subscription_fees_id`),
  ADD KEY `old_id` (`old_id`),
  ADD KEY `salesman_id` (`salesman_id`);

--
-- Indexes for table `tbl_payment_receipt_details`
--
ALTER TABLE `tbl_payment_receipt_details`
  ADD PRIMARY KEY (`payment_detail_id`),
  ADD KEY `pay_rec_id` (`pay_rec_id`),
  ADD KEY `is_collected` (`is_collected`);

--
-- Indexes for table `tbl_payment_types`
--
ALTER TABLE `tbl_payment_types`
  ADD PRIMARY KEY (`Payment_Type_ID`),
  ADD UNIQUE KEY `Account_Code` (`Account_Code`),
  ADD KEY `Account_Code_2` (`Account_Code`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_pay_rec_collection`
--
ALTER TABLE `tbl_pay_rec_collection`
  ADD PRIMARY KEY (`collection_id`),
  ADD KEY `pay_detail_id` (`pay_detail_id`),
  ADD KEY `commission_acc_id` (`commission_acc_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `is_actual` (`is_actual`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `current_year_id` (`current_year_id`);

--
-- Indexes for table `tbl_performance_action`
--
ALTER TABLE `tbl_performance_action`
  ADD PRIMARY KEY (`Action_ID`);

--
-- Indexes for table `tbl_piece_payment`
--
ALTER TABLE `tbl_piece_payment`
  ADD PRIMARY KEY (`piece_payment_auto_id`);

--
-- Indexes for table `tbl_piece_payment_details`
--
ALTER TABLE `tbl_piece_payment_details`
  ADD PRIMARY KEY (`entery_id`);

--
-- Indexes for table `tbl_piece_price`
--
ALTER TABLE `tbl_piece_price`
  ADD PRIMARY KEY (`auto_id`),
  ADD KEY `branch_id` (`branch_id`);

--
-- Indexes for table `tbl_piece_price_details`
--
ALTER TABLE `tbl_piece_price_details`
  ADD PRIMARY KEY (`entery_id`),
  ADD KEY `employee_id` (`employee_id`),
  ADD KEY `piece_service_id` (`piece_service_id`),
  ADD KEY `currency_id` (`currency_id`);

--
-- Indexes for table `tbl_piece_service`
--
ALTER TABLE `tbl_piece_service`
  ADD PRIMARY KEY (`piece_service_id`),
  ADD KEY `currency_id` (`currency_id`);

--
-- Indexes for table `tbl_pos_caller_id`
--
ALTER TABLE `tbl_pos_caller_id`
  ADD PRIMARY KEY (`caller_id`);

--
-- Indexes for table `tbl_pos_customers`
--
ALTER TABLE `tbl_pos_customers`
  ADD PRIMARY KEY (`customer_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `region_id` (`region_id`);

--
-- Indexes for table `tbl_pos_customers_sync`
--
ALTER TABLE `tbl_pos_customers_sync`
  ADD PRIMARY KEY (`sync_id`),
  ADD UNIQUE KEY `branch_id_2` (`branch_id`,`offline_customer_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `online_customer_id` (`online_customer_id`),
  ADD KEY `offline_customer_id` (`offline_customer_id`);

--
-- Indexes for table `tbl_pricing_class`
--
ALTER TABLE `tbl_pricing_class`
  ADD PRIMARY KEY (`Class_ID`),
  ADD KEY `type` (`type`),
  ADD KEY `supplier_id` (`supplier_id`);

--
-- Indexes for table `tbl_pricing_class_alternatives`
--
ALTER TABLE `tbl_pricing_class_alternatives`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `main_class_id` (`main_class_id`),
  ADD KEY `sub_class_id` (`sub_class_id`);

--
-- Indexes for table `tbl_printers`
--
ALTER TABLE `tbl_printers`
  ADD PRIMARY KEY (`printer_id`),
  ADD UNIQUE KEY `unique_printer_title` (`printer_title`);

--
-- Indexes for table `tbl_print_template`
--
ALTER TABLE `tbl_print_template`
  ADD PRIMARY KEY (`template_id`);

--
-- Indexes for table `tbl_production_barcode`
--
ALTER TABLE `tbl_production_barcode`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tbl_production_category`
--
ALTER TABLE `tbl_production_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Indexes for table `tbl_production_color`
--
ALTER TABLE `tbl_production_color`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tbl_production_emp_types`
--
ALTER TABLE `tbl_production_emp_types`
  ADD PRIMARY KEY (`type_id`);

--
-- Indexes for table `tbl_production_process`
--
ALTER TABLE `tbl_production_process`
  ADD PRIMARY KEY (`process_id`),
  ADD KEY `template_id` (`template_id`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `line_id` (`line_id`);

--
-- Indexes for table `tbl_production_process_details`
--
ALTER TABLE `tbl_production_process_details`
  ADD PRIMARY KEY (`process_detail_id`),
  ADD KEY `process_id` (`process_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`);

--
-- Indexes for table `tbl_production_process_employee_type`
--
ALTER TABLE `tbl_production_process_employee_type`
  ADD PRIMARY KEY (`process_employee_type_id`),
  ADD KEY `process_id` (`process_id`),
  ADD KEY `type_id` (`type_id`),
  ADD KEY `employee_id` (`employee_id`);

--
-- Indexes for table `tbl_production_process_expenses`
--
ALTER TABLE `tbl_production_process_expenses`
  ADD PRIMARY KEY (`process_expense_id`),
  ADD KEY `process_id` (`process_id`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_production_process_states`
--
ALTER TABLE `tbl_production_process_states`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tbl_production_template`
--
ALTER TABLE `tbl_production_template`
  ADD PRIMARY KEY (`template_id`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `category_id` (`category_id`),
  ADD KEY `template_type` (`template_type`);

--
-- Indexes for table `tbl_production_template_details`
--
ALTER TABLE `tbl_production_template_details`
  ADD PRIMARY KEY (`template_detail_id`),
  ADD KEY `template_id` (`template_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`);

--
-- Indexes for table `tbl_production_template_expenses`
--
ALTER TABLE `tbl_production_template_expenses`
  ADD PRIMARY KEY (`template_expense_id`),
  ADD KEY `template_id` (`template_id`),
  ADD KEY `Account_ID` (`Account_ID`);

--
-- Indexes for table `tbl_products_link`
--
ALTER TABLE `tbl_products_link`
  ADD PRIMARY KEY (`link_id`),
  ADD KEY `main_product_id` (`main_product_id`),
  ADD KEY `sub_product_id` (`sub_product_id`),
  ADD KEY `UOM_ID` (`UOM_ID`);

--
-- Indexes for table `tbl_product_add_ons`
--
ALTER TABLE `tbl_product_add_ons`
  ADD PRIMARY KEY (`product_add_ons_id`),
  ADD UNIQUE KEY `unique_product_add_ons_details` (`add_ons_id`,`product_id`);

--
-- Indexes for table `tbl_product_cat`
--
ALTER TABLE `tbl_product_cat`
  ADD PRIMARY KEY (`Cat_ID`),
  ADD UNIQUE KEY `Cat_Name` (`Cat_Name`,`Parent_ID`);

--
-- Indexes for table `tbl_product_criteria`
--
ALTER TABLE `tbl_product_criteria`
  ADD PRIMARY KEY (`criteria_id`),
  ADD KEY `meal_id` (`Product_ID`);

--
-- Indexes for table `tbl_product_criteria_detail`
--
ALTER TABLE `tbl_product_criteria_detail`
  ADD PRIMARY KEY (`criteria_detail_id`),
  ADD KEY `criteria_id` (`criteria_id`);

--
-- Indexes for table `tbl_product_expenses`
--
ALTER TABLE `tbl_product_expenses`
  ADD PRIMARY KEY (`expense_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `line_id` (`line_id`);

--
-- Indexes for table `tbl_product_expense_accounts`
--
ALTER TABLE `tbl_product_expense_accounts`
  ADD PRIMARY KEY (`detail_account_id`),
  ADD KEY `expense_id` (`expense_id`),
  ADD KEY `job_id` (`job_id`);

--
-- Indexes for table `tbl_product_expense_details`
--
ALTER TABLE `tbl_product_expense_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `part_product_id` (`part_product_id`),
  ADD KEY `expense_id` (`expense_id`);

--
-- Indexes for table `tbl_product_keys`
--
ALTER TABLE `tbl_product_keys`
  ADD PRIMARY KEY (`product_key_id`),
  ADD UNIQUE KEY `key_id` (`key_id`,`scale_id`),
  ADD UNIQUE KEY `product_id` (`product_id`,`scale_id`);

--
-- Indexes for table `tbl_product_note`
--
ALTER TABLE `tbl_product_note`
  ADD PRIMARY KEY (`note_id`);

--
-- Indexes for table `tbl_product_options`
--
ALTER TABLE `tbl_product_options`
  ADD PRIMARY KEY (`option_id`),
  ADD KEY `product_id` (`product_id`);

--
-- Indexes for table `tbl_product_option_details`
--
ALTER TABLE `tbl_product_option_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `option_id` (`option_id`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `sub_product_id` (`sub_product_id`);

--
-- Indexes for table `tbl_product_property_values`
--
ALTER TABLE `tbl_product_property_values`
  ADD PRIMARY KEY (`value_id`),
  ADD KEY `line_id` (`line_id`),
  ADD KEY `Product_ID` (`Product_ID`);

--
-- Indexes for table `tbl_product_property_values_details`
--
ALTER TABLE `tbl_product_property_values_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `value_id` (`value_id`);

--
-- Indexes for table `tbl_product_sections`
--
ALTER TABLE `tbl_product_sections`
  ADD PRIMARY KEY (`section_id`);

--
-- Indexes for table `tbl_product_shelf`
--
ALTER TABLE `tbl_product_shelf`
  ADD PRIMARY KEY (`product_shelf_id`);

--
-- Indexes for table `tbl_product_specification`
--
ALTER TABLE `tbl_product_specification`
  ADD PRIMARY KEY (`product_specification_id`);

--
-- Indexes for table `tbl_product_specification_option`
--
ALTER TABLE `tbl_product_specification_option`
  ADD PRIMARY KEY (`option_id`),
  ADD KEY `product_specification_id` (`product_specification_id`);

--
-- Indexes for table `tbl_projects`
--
ALTER TABLE `tbl_projects`
  ADD PRIMARY KEY (`project_id`),
  ADD KEY `parent_id` (`parent_id`);

--
-- Indexes for table `tbl_project_expense`
--
ALTER TABLE `tbl_project_expense`
  ADD PRIMARY KEY (`project_expense_id`),
  ADD KEY `project_period_id` (`period_id`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `supplier_id` (`supplier_id`),
  ADD KEY `payment_acc_id` (`payment_acc_id`);

--
-- Indexes for table `tbl_project_expense_detail`
--
ALTER TABLE `tbl_project_expense_detail`
  ADD PRIMARY KEY (`project_expense_detail_id`),
  ADD KEY `project_expense_id` (`project_expense_id`),
  ADD KEY `activity_id` (`activity_id`),
  ADD KEY `currency_id` (`currency_id`);

--
-- Indexes for table `tbl_project_funding`
--
ALTER TABLE `tbl_project_funding`
  ADD PRIMARY KEY (`project_funding_id`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `detail_id` (`detail_id`),
  ADD KEY `payment_acc_id` (`payment_acc_id`);

--
-- Indexes for table `tbl_project_period`
--
ALTER TABLE `tbl_project_period`
  ADD PRIMARY KEY (`period_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `account_id` (`account_id`);

--
-- Indexes for table `tbl_project_period_details`
--
ALTER TABLE `tbl_project_period_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `period_id` (`period_id`);

--
-- Indexes for table `tbl_pro_vlnt`
--
ALTER TABLE `tbl_pro_vlnt`
  ADD PRIMARY KEY (`pro_id`);

--
-- Indexes for table `tbl_pro_vlnt_dtls`
--
ALTER TABLE `tbl_pro_vlnt_dtls`
  ADD PRIMARY KEY (`dtls_id`),
  ADD KEY `pro_id` (`pro_id`),
  ADD KEY `vlnt_id` (`vlnt_id`);

--
-- Indexes for table `tbl_pump`
--
ALTER TABLE `tbl_pump`
  ADD PRIMARY KEY (`pump_id`),
  ADD KEY `Product_ID` (`Product_ID`);

--
-- Indexes for table `tbl_purchase_cat`
--
ALTER TABLE `tbl_purchase_cat`
  ADD PRIMARY KEY (`pur_cat_id`);

--
-- Indexes for table `tbl_purchase_delivery_extra_cost`
--
ALTER TABLE `tbl_purchase_delivery_extra_cost`
  ADD PRIMARY KEY (`extra_cost_id`),
  ADD KEY `delivery_id` (`delivery_id`),
  ADD KEY `delivery_detail_id` (`delivery_detail_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `debit_acc_id` (`debit_acc_id`),
  ADD KEY `credit_acc_id` (`credit_acc_id`),
  ADD KEY `type` (`type`);

--
-- Indexes for table `tbl_purchase_extra_cost`
--
ALTER TABLE `tbl_purchase_extra_cost`
  ADD PRIMARY KEY (`extra_cost_id`),
  ADD KEY `purchase_id` (`purchase_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `type` (`type`),
  ADD KEY `debit_acc_id` (`debit_acc_id`),
  ADD KEY `credit_acc_id` (`credit_acc_id`),
  ADD KEY `purchase_detail_id` (`purchase_detail_id`);

--
-- Indexes for table `tbl_purchase_order`
--
ALTER TABLE `tbl_purchase_order`
  ADD PRIMARY KEY (`Order_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `is_sales` (`is_sales`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `sale_app_id` (`sale_app_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Class_ID` (`Class_ID`),
  ADD KEY `Supplier_ID` (`Supplier_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `project_id` (`project_id`),
  ADD KEY `supp_class_id` (`supp_class_id`),
  ADD KEY `quotation_id` (`quotation_id`),
  ADD KEY `sales_pur_order_id` (`sales_pur_order_id`),
  ADD KEY `web_api_ord_id` (`web_api_ord_id`),
  ADD KEY `web_api_user_id` (`web_api_user_id`),
  ADD KEY `invoice_type_id` (`invoice_type_id`);

--
-- Indexes for table `tbl_purchase_order_details`
--
ALTER TABLE `tbl_purchase_order_details`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `Order_ID` (`Order_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Item_ID` (`Item_ID`),
  ADD KEY `supp_class_id` (`supp_class_id`);

--
-- Indexes for table `tbl_purchase_order_terms`
--
ALTER TABLE `tbl_purchase_order_terms`
  ADD PRIMARY KEY (`Term_ID`);

--
-- Indexes for table `tbl_question_types`
--
ALTER TABLE `tbl_question_types`
  ADD PRIMARY KEY (`type_id`);

--
-- Indexes for table `tbl_record_unique`
--
ALTER TABLE `tbl_record_unique`
  ADD PRIMARY KEY (`record_unique_id`),
  ADD UNIQUE KEY `user_id` (`user_id`,`record_type`,`record_action`);

--
-- Indexes for table `tbl_regions`
--
ALTER TABLE `tbl_regions`
  ADD PRIMARY KEY (`region_id`);

--
-- Indexes for table `tbl_request_product_criteria`
--
ALTER TABLE `tbl_request_product_criteria`
  ADD PRIMARY KEY (`request_criteria_id`),
  ADD KEY `Entry_ID` (`Entry_ID`),
  ADD KEY `criteria_detail_id` (`criteria_detail_id`);

--
-- Indexes for table `tbl_route`
--
ALTER TABLE `tbl_route`
  ADD PRIMARY KEY (`route_id`);

--
-- Indexes for table `tbl_route_schedule`
--
ALTER TABLE `tbl_route_schedule`
  ADD PRIMARY KEY (`schedule_id`),
  ADD KEY `employee_id` (`employee_id`);

--
-- Indexes for table `tbl_salesman`
--
ALTER TABLE `tbl_salesman`
  ADD PRIMARY KEY (`entry_id`),
  ADD UNIQUE KEY `salesman_id_2` (`salesman_id`),
  ADD KEY `salesman_id` (`salesman_id`),
  ADD KEY `depot_id` (`depot_id`);

--
-- Indexes for table `tbl_salesman_customers`
--
ALTER TABLE `tbl_salesman_customers`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `employee_id` (`employee_id`),
  ADD KEY `customer_id` (`customer_id`);

--
-- Indexes for table `tbl_salesman_route_schedule`
--
ALTER TABLE `tbl_salesman_route_schedule`
  ADD PRIMARY KEY (`schedule_id`),
  ADD KEY `employee_id` (`employee_id`);

--
-- Indexes for table `tbl_sales_purchase`
--
ALTER TABLE `tbl_sales_purchase`
  ADD PRIMARY KEY (`sales_purchase_id_auto`),
  ADD KEY `is_return` (`is_return`);

--
-- Indexes for table `tbl_scale`
--
ALTER TABLE `tbl_scale`
  ADD PRIMARY KEY (`scale_id`),
  ADD KEY `class_id` (`class_id`);

--
-- Indexes for table `tbl_school_child`
--
ALTER TABLE `tbl_school_child`
  ADD PRIMARY KEY (`school_id`);

--
-- Indexes for table `tbl_settings`
--
ALTER TABLE `tbl_settings`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tbl_shelfs_depot`
--
ALTER TABLE `tbl_shelfs_depot`
  ADD PRIMARY KEY (`shelf_depot_id`),
  ADD UNIQUE KEY `depot_id` (`depot_id`,`shelf_name`);

--
-- Indexes for table `tbl_shipping_company`
--
ALTER TABLE `tbl_shipping_company`
  ADD PRIMARY KEY (`shipping_company_id`),
  ADD KEY `account_id` (`shipping_account_id`),
  ADD KEY `sales_account_id` (`sales_account_id`),
  ADD KEY `main_account_id` (`main_account_id`);

--
-- Indexes for table `tbl_shipping_district`
--
ALTER TABLE `tbl_shipping_district`
  ADD PRIMARY KEY (`district_id`);

--
-- Indexes for table `tbl_shipping_status`
--
ALTER TABLE `tbl_shipping_status`
  ADD PRIMARY KEY (`shipping_status_id`);

--
-- Indexes for table `tbl_station_invoice`
--
ALTER TABLE `tbl_station_invoice`
  ADD PRIMARY KEY (`invoice_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `logged_id` (`logged_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `class_id` (`class_id`),
  ADD KEY `Account_ID` (`Account_ID`),
  ADD KEY `job_id` (`job_id`),
  ADD KEY `employee_id` (`employee_id`);

--
-- Indexes for table `tbl_station_invoice_bone`
--
ALTER TABLE `tbl_station_invoice_bone`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `bon_type_id` (`bon_type_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `uom_id` (`uom_id`),
  ADD KEY `account_id` (`account_id`),
  ADD KEY `vat_account_id` (`vat_account_id`);

--
-- Indexes for table `tbl_station_invoice_products`
--
ALTER TABLE `tbl_station_invoice_products`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `uom_id` (`uom_id`);

--
-- Indexes for table `tbl_station_invoice_pump`
--
ALTER TABLE `tbl_station_invoice_pump`
  ADD PRIMARY KEY (`entry_id`),
  ADD KEY `invoice_id` (`invoice_id`),
  ADD KEY `pump_id` (`pump_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `uom_id` (`uom_id`);

--
-- Indexes for table `tbl_stock_acc_adjustment`
--
ALTER TABLE `tbl_stock_acc_adjustment`
  ADD PRIMARY KEY (`adjust_id`),
  ADD KEY `credit_acc_id` (`credit_acc_id`),
  ADD KEY `debit_acc_id` (`debit_acc_id`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `current_year_id` (`current_year_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `is_actual` (`is_actual`),
  ADD KEY `Currency_ID` (`Currency_ID`);

--
-- Indexes for table `tbl_stock_acc_adjust_details`
--
ALTER TABLE `tbl_stock_acc_adjust_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `adjust_id` (`adjust_id`),
  ADD KEY `UOM_ID` (`UOM_ID`);

--
-- Indexes for table `tbl_stock_categories`
--
ALTER TABLE `tbl_stock_categories`
  ADD PRIMARY KEY (`Category_ID`),
  ADD UNIQUE KEY `Category_Name` (`Category_Name`);

--
-- Indexes for table `tbl_stock_closing`
--
ALTER TABLE `tbl_stock_closing`
  ADD PRIMARY KEY (`Closing_Stock_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_stock_cost_average`
--
ALTER TABLE `tbl_stock_cost_average`
  ADD PRIMARY KEY (`Product_Cost_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Exchange_Rate_ID` (`Exchange_Rate_ID`);

--
-- Indexes for table `tbl_stock_damaged_reasons`
--
ALTER TABLE `tbl_stock_damaged_reasons`
  ADD PRIMARY KEY (`Damaged_ID`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `app_damage_id` (`app_damage_id`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Adjust_Date` (`Adjust_Date`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `return_detail_id` (`return_detail_id`);

--
-- Indexes for table `tbl_stock_default_pricing_method`
--
ALTER TABLE `tbl_stock_default_pricing_method`
  ADD PRIMARY KEY (`Default_Method_ID`);

--
-- Indexes for table `tbl_stock_depot_warehouse`
--
ALTER TABLE `tbl_stock_depot_warehouse`
  ADD PRIMARY KEY (`Depot_ID`),
  ADD UNIQUE KEY `Depot_Code` (`Depot_Code`,`Depot_Name`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `Depot_PIC_ID` (`Depot_PIC_ID`),
  ADD KEY `Depot_Category_ID` (`Depot_Category_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_stock_pricing_methods`
--
ALTER TABLE `tbl_stock_pricing_methods`
  ADD PRIMARY KEY (`Pricing_Method_ID`);

--
-- Indexes for table `tbl_stock_products`
--
ALTER TABLE `tbl_stock_products`
  ADD PRIMARY KEY (`Product_ID`),
  ADD UNIQUE KEY `Product_Code` (`Product_Code`,`Product_Name`),
  ADD KEY `Category_ID` (`Category_ID`),
  ADD KEY `Product_PLU` (`Product_PLU`),
  ADD KEY `group_account_id` (`group_account_id`),
  ADD KEY `brand_id` (`brand_id`),
  ADD KEY `section_id` (`section_id`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `machine_type_id` (`machine_type_id`),
  ADD KEY `default_view_uom_id` (`default_view_uom_id`),
  ADD KEY `default_sales_uom` (`default_sales_uom`),
  ADD KEY `default_purchase_uom` (`default_purchase_uom`);

--
-- Indexes for table `tbl_stock_products_costs`
--
ALTER TABLE `tbl_stock_products_costs`
  ADD PRIMARY KEY (`Product_Cost_ID`),
  ADD UNIQUE KEY `Product_ID` (`Product_ID`,`Unit_Cost`,`date_time`),
  ADD KEY `Product_ID_2` (`Product_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Exchange_Rate_ID` (`Exchange_Rate_ID`);

--
-- Indexes for table `tbl_stock_products_parts`
--
ALTER TABLE `tbl_stock_products_parts`
  ADD PRIMARY KEY (`part_id`),
  ADD KEY `part_product_id` (`part_product_id`),
  ADD KEY `Product_ID` (`Product_ID`);

--
-- Indexes for table `tbl_stock_product_cost_price`
--
ALTER TABLE `tbl_stock_product_cost_price`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Material_Category_ID` (`Material_Category_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_stock_product_location`
--
ALTER TABLE `tbl_stock_product_location`
  ADD PRIMARY KEY (`Product_Location_ID`),
  ADD UNIQUE KEY `Location_Product_ID` (`Location_Product_ID`,`Product_Depot_ID`),
  ADD KEY `Product_Stand_ID` (`Product_Stand_ID`),
  ADD KEY `Product_Shelf_ID` (`Product_Shelf_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_stock_product_properties`
--
ALTER TABLE `tbl_stock_product_properties`
  ADD PRIMARY KEY (`property_id`),
  ADD KEY `Product_ID` (`Product_ID`);

--
-- Indexes for table `tbl_stock_product_transactions`
--
ALTER TABLE `tbl_stock_product_transactions`
  ADD PRIMARY KEY (`Transaction_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Depot_ID` (`Depot_ID`),
  ADD KEY `Transaction_Type_ID` (`Transaction_Type_ID`),
  ADD KEY `Transaction_Date` (`Transaction_Date`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Operation_Type` (`Operation_Type`),
  ADD KEY `UOM_ID` (`UOM_ID`),
  ADD KEY `main_id` (`main_id`),
  ADD KEY `expiry_date` (`expiry_date`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Exchange_Rate_ID` (`Exchange_Rate_ID`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `supplier_id` (`supplier_id`);

--
-- Indexes for table `tbl_stock_request`
--
ALTER TABLE `tbl_stock_request`
  ADD PRIMARY KEY (`Request_ID`),
  ADD KEY `app_request_id` (`app_request_id`),
  ADD KEY `app_user_id` (`app_user_id`),
  ADD KEY `Request_Number` (`Request_Number`),
  ADD KEY `to_branch_id` (`to_branch_id`),
  ADD KEY `created_logged_id` (`created_logged_id`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `Request_From` (`Request_From`),
  ADD KEY `Request_To` (`Request_To`),
  ADD KEY `Status_ID` (`Status_ID`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `ticketing_id` (`ticketing_id`),
  ADD KEY `invoice_auto_id` (`invoice_auto_id`),
  ADD KEY `online_request_id` (`online_request_id`);

--
-- Indexes for table `tbl_stock_request_details`
--
ALTER TABLE `tbl_stock_request_details`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `Request_ID` (`Request_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `Request_UOM` (`Request_UOM`);

--
-- Indexes for table `tbl_stock_suppliers`
--
ALTER TABLE `tbl_stock_suppliers`
  ADD PRIMARY KEY (`Supplier_ID`),
  ADD UNIQUE KEY `Supplier_Name` (`Supplier_Name`,`Supplier_Email`,`Supplier_Company`),
  ADD KEY `account_parent_id` (`account_parent_id`),
  ADD KEY `City_ID` (`City_ID`),
  ADD KEY `Currency_ID` (`Currency_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`),
  ADD KEY `supplier_class_id` (`supplier_class_id`),
  ADD KEY `supplier_group_id` (`supplier_group_id`),
  ADD KEY `other_pay_acc_id` (`other_pay_acc_id`);

--
-- Indexes for table `tbl_stock_supplier_products`
--
ALTER TABLE `tbl_stock_supplier_products`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `Supplier_ID` (`Supplier_ID`),
  ADD KEY `Product_ID` (`Product_ID`);

--
-- Indexes for table `tbl_stock_transactions_types`
--
ALTER TABLE `tbl_stock_transactions_types`
  ADD PRIMARY KEY (`Transaction_Type_ID`);

--
-- Indexes for table `tbl_stock_transfer`
--
ALTER TABLE `tbl_stock_transfer`
  ADD PRIMARY KEY (`Transfer_ID`),
  ADD KEY `Logged_ID` (`Logged_ID`);

--
-- Indexes for table `tbl_stock_transfer_details`
--
ALTER TABLE `tbl_stock_transfer_details`
  ADD PRIMARY KEY (`Entry_ID`),
  ADD KEY `Transfer_ID` (`Transfer_ID`),
  ADD KEY `Type_ID` (`Type_ID`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `UoM_ID` (`UoM_ID`);

--
-- Indexes for table `tbl_stock_uom`
--
ALTER TABLE `tbl_stock_uom`
  ADD PRIMARY KEY (`UOM_ID`),
  ADD UNIQUE KEY `UOM_Name` (`UOM_Name`);

--
-- Indexes for table `tbl_subscription`
--
ALTER TABLE `tbl_subscription`
  ADD PRIMARY KEY (`subscription_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `category_id` (`category_id`);

--
-- Indexes for table `tbl_subscription_block`
--
ALTER TABLE `tbl_subscription_block`
  ADD PRIMARY KEY (`block_id`);

--
-- Indexes for table `tbl_subscription_category`
--
ALTER TABLE `tbl_subscription_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Indexes for table `tbl_subscription_details`
--
ALTER TABLE `tbl_subscription_details`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `subscription_id` (`subscription_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `uom_id` (`uom_id`);

--
-- Indexes for table `tbl_subscription_details_fees`
--
ALTER TABLE `tbl_subscription_details_fees`
  ADD PRIMARY KEY (`detail_fees_id`),
  ADD KEY `detail_id` (`detail_id`);

--
-- Indexes for table `tbl_system_note`
--
ALTER TABLE `tbl_system_note`
  ADD PRIMARY KEY (`note_id`);

--
-- Indexes for table `tbl_table`
--
ALTER TABLE `tbl_table`
  ADD PRIMARY KEY (`table_id`),
  ADD UNIQUE KEY `unique_table` (`table_name`,`floor_id`),
  ADD KEY `floor_id` (`floor_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `tbl_template_attribute`
--
ALTER TABLE `tbl_template_attribute`
  ADD PRIMARY KEY (`attribute_id`);

--
-- Indexes for table `tbl_template_prodcuts`
--
ALTER TABLE `tbl_template_prodcuts`
  ADD PRIMARY KEY (`temp_id`);

--
-- Indexes for table `tbl_ticketing`
--
ALTER TABLE `tbl_ticketing`
  ADD PRIMARY KEY (`ticketing_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `category_id` (`ticketing_type_id`),
  ADD KEY `station_id` (`ticketing_station_id`),
  ADD KEY `finished_by` (`finished_by`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `ticketing_reply_id` (`ticketing_reply_id`),
  ADD KEY `depot_id` (`depot_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `assigned_user_id` (`assigned_user_id`);

--
-- Indexes for table `tbl_ticketing_details`
--
ALTER TABLE `tbl_ticketing_details`
  ADD PRIMARY KEY (`ticketing_detail_id`),
  ADD KEY `ticketing_id` (`ticketing_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `uom_id` (`uom_id`);

--
-- Indexes for table `tbl_ticketing_replies`
--
ALTER TABLE `tbl_ticketing_replies`
  ADD PRIMARY KEY (`ticketing_reply_id`),
  ADD KEY `created_by` (`created_by`),
  ADD KEY `modified_by` (`modified_by`),
  ADD KEY `ticketing_id` (`ticketing_id`);

--
-- Indexes for table `tbl_ticketing_station`
--
ALTER TABLE `tbl_ticketing_station`
  ADD PRIMARY KEY (`ticketing_station_id`),
  ADD UNIQUE KEY `Ticketing Station Already exist.` (`ticketing_station_name`,`ticketing_station_location`);

--
-- Indexes for table `tbl_ticketing_status`
--
ALTER TABLE `tbl_ticketing_status`
  ADD PRIMARY KEY (`ticketing_status_id`);

--
-- Indexes for table `tbl_ticketing_type`
--
ALTER TABLE `tbl_ticketing_type`
  ADD PRIMARY KEY (`ticketing_type_id`),
  ADD UNIQUE KEY `Ticketing type name already exists.` (`ticketing_type_name`);

--
-- Indexes for table `tbl_uom_conversions`
--
ALTER TABLE `tbl_uom_conversions`
  ADD PRIMARY KEY (`uom_conversion_id`),
  ADD UNIQUE KEY `uom_from_2` (`uom_from`,`uom_to`,`Product_ID`),
  ADD UNIQUE KEY `Bar_Code` (`Bar_Code`),
  ADD KEY `uom_to` (`uom_to`),
  ADD KEY `Product_ID` (`Product_ID`),
  ADD KEY `uom_from` (`uom_from`);

--
-- Indexes for table `tbl_users_accounting_accounts`
--
ALTER TABLE `tbl_users_accounting_accounts`
  ADD PRIMARY KEY (`User_Account_ID`),
  ADD UNIQUE KEY `User_Account_ID` (`User_Account_ID`,`Cash_Account`),
  ADD UNIQUE KEY `User_ID_2` (`User_ID`),
  ADD KEY `Cash_Account` (`Cash_Account`),
  ADD KEY `cash_account_id` (`cash_account_id`),
  ADD KEY `cheque_account_id` (`cheque_account_id`),
  ADD KEY `purchase_account_id` (`purchase_account_id`),
  ADD KEY `sales_account_id` (`sales_account_id`),
  ADD KEY `deposit_account_id` (`deposit_account_id`),
  ADD KEY `withdrawal_account_id` (`withdrawal_account_id`),
  ADD KEY `other_account_id` (`other_account_id`),
  ADD KEY `pur_ship_account_id` (`pur_ship_account_id`),
  ADD KEY `sales_ship_account_id` (`sales_ship_account_id`),
  ADD KEY `branch_id` (`branch_id`),
  ADD KEY `discount_account` (`discount_account`),
  ADD KEY `job_id` (`job_id`);

--
-- Indexes for table `tbl_user_customers`
--
ALTER TABLE `tbl_user_customers`
  ADD PRIMARY KEY (`user_customer_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `customer_id` (`customer_id`);

--
-- Indexes for table `tbl_user_shifts`
--
ALTER TABLE `tbl_user_shifts`
  ADD PRIMARY KEY (`user_shifts_id`);

--
-- Indexes for table `tbl_vehicle_checkup`
--
ALTER TABLE `tbl_vehicle_checkup`
  ADD PRIMARY KEY (`vehicle_checkup_id`);

--
-- Indexes for table `tbl_vehicle_mecanique`
--
ALTER TABLE `tbl_vehicle_mecanique`
  ADD PRIMARY KEY (`vehicle_mecanique_id`),
  ADD UNIQUE KEY `unique_veh_insur_mecq` (`vehicle_id`,`mecanique_year`,`is_syndicate`);

--
-- Indexes for table `tbl_vehicle_model`
--
ALTER TABLE `tbl_vehicle_model`
  ADD PRIMARY KEY (`Model_ID`);

--
-- Indexes for table `tbl_vehicle_type`
--
ALTER TABLE `tbl_vehicle_type`
  ADD PRIMARY KEY (`Vehicle_Type_ID`);

--
-- Indexes for table `tbl_vehicle_usage_type`
--
ALTER TABLE `tbl_vehicle_usage_type`
  ADD PRIMARY KEY (`Usage_Type_ID`);

--
-- Indexes for table `tbl_versions`
--
ALTER TABLE `tbl_versions`
  ADD PRIMARY KEY (`version_id`),
  ADD KEY `main_id` (`main_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `tbl_void_reason`
--
ALTER TABLE `tbl_void_reason`
  ADD PRIMARY KEY (`reason_id`);

--
-- Indexes for table `tbl_volunteer`
--
ALTER TABLE `tbl_volunteer`
  ADD PRIMARY KEY (`volunteer_team_id`),
  ADD UNIQUE KEY `volunteer_team_name` (`volunteer_team_name`);

--
-- Indexes for table `tbl_volunteer_notice`
--
ALTER TABLE `tbl_volunteer_notice`
  ADD PRIMARY KEY (`notice_id`),
  ADD UNIQUE KEY `notice_name` (`notice_name`);

--
-- Indexes for table `tbl_web_acoount`
--
ALTER TABLE `tbl_web_acoount`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tbl_web_api_users`
--
ALTER TABLE `tbl_web_api_users`
  ADD PRIMARY KEY (`user_id`),
  ADD UNIQUE KEY `app_user_id` (`app_user_id`);

--
-- Indexes for table `tbl_web_products`
--
ALTER TABLE `tbl_web_products`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tmp_product_import_1534504596.87153150495571.6485`
--
ALTER TABLE `tmp_product_import_1534504596.87153150495571.6485`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1534504630.350403453510530.546`
--
ALTER TABLE `tmp_product_import_1534504630.350403453510530.546`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1534504685.2668.4355260154`
--
ALTER TABLE `tmp_product_import_1534504685.2668.4355260154`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1534504692.4352903.25526434154`
--
ALTER TABLE `tmp_product_import_1534504692.4352903.25526434154`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1534504828.150705.802487551143`
--
ALTER TABLE `tmp_product_import_1534504828.150705.802487551143`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617020181.7169071.70691111826`
--
ALTER TABLE `tmp_product_import_1617020181.7169071.70691111826`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617020588.045101421107588.065`
--
ALTER TABLE `tmp_product_import_1617020588.045101421107588.065`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617020597.254701167272574.950`
--
ALTER TABLE `tmp_product_import_1617020597.254701167272574.950`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617024579.05032070340651.9715`
--
ALTER TABLE `tmp_product_import_1617024579.05032070340651.9715`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617184217.5232125.81273241176`
--
ALTER TABLE `tmp_product_import_1617184217.5232125.81273241176`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617184482.36331743338164.6281`
--
ALTER TABLE `tmp_product_import_1617184482.36331743338164.6281`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1617185563.88929871526318158.6`
--
ALTER TABLE `tmp_product_import_1617185563.88929871526318158.6`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1620026242.1607.12062602472610`
--
ALTER TABLE `tmp_product_import_1620026242.1607.12062602472610`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1620026536.03452502360.6653401`
--
ALTER TABLE `tmp_product_import_1620026536.03452502360.6653401`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `tmp_product_import_1620026541.53884.0180225536861`
--
ALTER TABLE `tmp_product_import_1620026541.53884.0180225536861`
  ADD UNIQUE KEY `tmp_excel_row_no` (`tmp_excel_row_no`);

--
-- Indexes for table `users_items`
--
ALTER TABLE `users_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`,`item_id`),
  ADD KEY `item_id` (`item_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `all_tags`
--
ALTER TABLE `all_tags`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `companies`
--
ALTER TABLE `companies`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `inventory_-_basic_control`
--
ALTER TABLE `inventory_-_basic_control`
  MODIFY `idid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=43;

--
-- AUTO_INCREMENT for table `items`
--
ALTER TABLE `items`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `messages`
--
ALTER TABLE `messages`
  MODIFY `id` int(30) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `paper_size`
--
ALTER TABLE `paper_size`
  MODIFY `paper_size_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `sales_tracker`
--
ALTER TABLE `sales_tracker`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;

--
-- AUTO_INCREMENT for table `sales_tracker_check`
--
ALTER TABLE `sales_tracker_check`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sales_tracker_group`
--
ALTER TABLE `sales_tracker_group`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tag_names`
--
ALTER TABLE `tag_names`
  MODIFY `Tag_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tag_types`
--
ALTER TABLE `tag_types`
  MODIFY `Type_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_accrued_expenses`
--
ALTER TABLE `tbl_accounting_accrued_expenses`
  MODIFY `Accrued_Expense_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_bank_accounts`
--
ALTER TABLE `tbl_accounting_bank_accounts`
  MODIFY `Bank_Account_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_accounting_bank_deposit_withdrawal`
--
ALTER TABLE `tbl_accounting_bank_deposit_withdrawal`
  MODIFY `Deposit_WithDrawal_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_closing_vat`
--
ALTER TABLE `tbl_accounting_closing_vat`
  MODIFY `Closing_VAT_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_accounting_contra`
--
ALTER TABLE `tbl_accounting_contra`
  MODIFY `Contra_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_customer_supplier_accounts`
--
ALTER TABLE `tbl_accounting_customer_supplier_accounts`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_debit_credit_note`
--
ALTER TABLE `tbl_accounting_debit_credit_note`
  MODIFY `Note_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_depreciation_dates`
--
ALTER TABLE `tbl_accounting_depreciation_dates`
  MODIFY `Depreciation_Date_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_depreciation_rate_data`
--
ALTER TABLE `tbl_accounting_depreciation_rate_data`
  MODIFY `Depreciation_Rate_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_expenses`
--
ALTER TABLE `tbl_accounting_expenses`
  MODIFY `Expense_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_expenses_details`
--
ALTER TABLE `tbl_accounting_expenses_details`
  MODIFY `exp_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_jobs`
--
ALTER TABLE `tbl_accounting_jobs`
  MODIFY `job_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_period_types`
--
ALTER TABLE `tbl_accounting_period_types`
  MODIFY `Period_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_accounting_prepaid_data`
--
ALTER TABLE `tbl_accounting_prepaid_data`
  MODIFY `Prepaid_Data_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_prepaid_expense_income`
--
ALTER TABLE `tbl_accounting_prepaid_expense_income`
  MODIFY `Prepaid_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_return_invoices`
--
ALTER TABLE `tbl_accounting_return_invoices`
  MODIFY `Return_Invoice_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_return_items`
--
ALTER TABLE `tbl_accounting_return_items`
  MODIFY `Return_Item_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_schedule_bills`
--
ALTER TABLE `tbl_accounting_schedule_bills`
  MODIFY `bill_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_accounting_schedule_bills_details`
--
ALTER TABLE `tbl_accounting_schedule_bills_details`
  MODIFY `bill_detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_accounting_transactions`
--
ALTER TABLE `tbl_accounting_transactions`
  MODIFY `Transaction_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_transaction_subtype`
--
ALTER TABLE `tbl_accounting_transaction_subtype`
  MODIFY `subtype_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_accounting_transfer_jv`
--
ALTER TABLE `tbl_accounting_transfer_jv`
  MODIFY `Transfer_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_accounting_vat_type_names`
--
ALTER TABLE `tbl_accounting_vat_type_names`
  MODIFY `VAT_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_account_setting`
--
ALTER TABLE `tbl_account_setting`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=58;

--
-- AUTO_INCREMENT for table `tbl_activity_budget`
--
ALTER TABLE `tbl_activity_budget`
  MODIFY `activity_budget_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_activity_tree`
--
ALTER TABLE `tbl_activity_tree`
  MODIFY `activity_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_activity_type`
--
ALTER TABLE `tbl_activity_type`
  MODIFY `activity_type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_add_discount_report_setting`
--
ALTER TABLE `tbl_add_discount_report_setting`
  MODIFY `report_setting_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_add_ons`
--
ALTER TABLE `tbl_add_ons`
  MODIFY `add_ons_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_add_ons_details`
--
ALTER TABLE `tbl_add_ons_details`
  MODIFY `add_ons_details_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_allergy`
--
ALTER TABLE `tbl_allergy`
  MODIFY `allergy_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_all_cities`
--
ALTER TABLE `tbl_all_cities`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4509;

--
-- AUTO_INCREMENT for table `tbl_all_countries`
--
ALTER TABLE `tbl_all_countries`
  MODIFY `Country_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=240;

--
-- AUTO_INCREMENT for table `tbl_appointment`
--
ALTER TABLE `tbl_appointment`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_app_file_main_data`
--
ALTER TABLE `tbl_app_file_main_data`
  MODIFY `file_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_app_file_types`
--
ALTER TABLE `tbl_app_file_types`
  MODIFY `type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_app_temp_adjustments`
--
ALTER TABLE `tbl_app_temp_adjustments`
  MODIFY `temp_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_app_temp_main_adj`
--
ALTER TABLE `tbl_app_temp_main_adj`
  MODIFY `temp_main_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_archive`
--
ALTER TABLE `tbl_archive`
  MODIFY `archive_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_assign_product`
--
ALTER TABLE `tbl_assign_product`
  MODIFY `assign_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `tbl_assign_product_details`
--
ALTER TABLE `tbl_assign_product_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=62;

--
-- AUTO_INCREMENT for table `tbl_attendance_setting`
--
ALTER TABLE `tbl_attendance_setting`
  MODIFY `att_setting_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_bone_type`
--
ALTER TABLE `tbl_bone_type`
  MODIFY `bone_type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_bone_type_services`
--
ALTER TABLE `tbl_bone_type_services`
  MODIFY `service_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_brand_products`
--
ALTER TABLE `tbl_brand_products`
  MODIFY `brand_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;

--
-- AUTO_INCREMENT for table `tbl_budget`
--
ALTER TABLE `tbl_budget`
  MODIFY `budget_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_cash_categories`
--
ALTER TABLE `tbl_cash_categories`
  MODIFY `Cash_Category_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `tbl_cash_drawer_accounts`
--
ALTER TABLE `tbl_cash_drawer_accounts`
  MODIFY `cash_drawer_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_cash_drawer_amount`
--
ALTER TABLE `tbl_cash_drawer_amount`
  MODIFY `cash_drawer_amount_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_chart_of_accounts`
--
ALTER TABLE `tbl_chart_of_accounts`
  MODIFY `Account_ID` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4234;

--
-- AUTO_INCREMENT for table `tbl_checkinout`
--
ALTER TABLE `tbl_checkinout`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_checklist`
--
ALTER TABLE `tbl_checklist`
  MODIFY `checklist_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_checklist_questions`
--
ALTER TABLE `tbl_checklist_questions`
  MODIFY `checklist_question_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_checklist_schedule`
--
ALTER TABLE `tbl_checklist_schedule`
  MODIFY `schedule_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_checklist_schedule_answer_details`
--
ALTER TABLE `tbl_checklist_schedule_answer_details`
  MODIFY `answer_detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_checklist_schedule_answer_main`
--
ALTER TABLE `tbl_checklist_schedule_answer_main`
  MODIFY `answer_main_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_child_employee`
--
ALTER TABLE `tbl_child_employee`
  MODIFY `Entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_color`
--
ALTER TABLE `tbl_color`
  MODIFY `Color_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `tbl_commission_type`
--
ALTER TABLE `tbl_commission_type`
  MODIFY `commission_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_commission_type_details`
--
ALTER TABLE `tbl_commission_type_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=47;

--
-- AUTO_INCREMENT for table `tbl_common_bloodtypes`
--
ALTER TABLE `tbl_common_bloodtypes`
  MODIFY `BloodType_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_common_blood_group`
--
ALTER TABLE `tbl_common_blood_group`
  MODIFY `Blood_Group_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `tbl_common_currency`
--
ALTER TABLE `tbl_common_currency`
  MODIFY `Currency_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=168;

--
-- AUTO_INCREMENT for table `tbl_common_current_year`
--
ALTER TABLE `tbl_common_current_year`
  MODIFY `current_year_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_common_current_year_actual`
--
ALTER TABLE `tbl_common_current_year_actual`
  MODIFY `current_year_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_common_gender`
--
ALTER TABLE `tbl_common_gender`
  MODIFY `Gender_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_common_language`
--
ALTER TABLE `tbl_common_language`
  MODIFY `common_language_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_common_medical_coverage`
--
ALTER TABLE `tbl_common_medical_coverage`
  MODIFY `Medical_Coverage_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_common_permission`
--
ALTER TABLE `tbl_common_permission`
  MODIFY `Permission_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2081;

--
-- AUTO_INCREMENT for table `tbl_common_roles`
--
ALTER TABLE `tbl_common_roles`
  MODIFY `Role_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_common_status_code`
--
ALTER TABLE `tbl_common_status_code`
  MODIFY `Status_Code_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `tbl_common_users`
--
ALTER TABLE `tbl_common_users`
  MODIFY `User_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tbl_common_user_preferences`
--
ALTER TABLE `tbl_common_user_preferences`
  MODIFY `Preference_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `tbl_common_week_days`
--
ALTER TABLE `tbl_common_week_days`
  MODIFY `Week_Days_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_compts`
--
ALTER TABLE `tbl_compts`
  MODIFY `compts_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_computer_trusted`
--
ALTER TABLE `tbl_computer_trusted`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_consumption`
--
ALTER TABLE `tbl_consumption`
  MODIFY `consumption_auto_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_consumption_details`
--
ALTER TABLE `tbl_consumption_details`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_consumption_product_criteria`
--
ALTER TABLE `tbl_consumption_product_criteria`
  MODIFY `consumption_criteria_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_contacts`
--
ALTER TABLE `tbl_contacts`
  MODIFY `contact_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_contra`
--
ALTER TABLE `tbl_contra`
  MODIFY `contra_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_currencies_rate`
--
ALTER TABLE `tbl_currencies_rate`
  MODIFY `Exchange_Rate_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=239;

--
-- AUTO_INCREMENT for table `tbl_customers`
--
ALTER TABLE `tbl_customers`
  MODIFY `Customer_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_address`
--
ALTER TABLE `tbl_customer_address`
  MODIFY `address_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_branches`
--
ALTER TABLE `tbl_customer_branches`
  MODIFY `customer_branch_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_coupon`
--
ALTER TABLE `tbl_customer_coupon`
  MODIFY `auto_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_coupon_details`
--
ALTER TABLE `tbl_customer_coupon_details`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_organization`
--
ALTER TABLE `tbl_customer_organization`
  MODIFY `organization_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_customer_shipping_address`
--
ALTER TABLE `tbl_customer_shipping_address`
  MODIFY `shipping_address_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_subscription`
--
ALTER TABLE `tbl_customer_subscription`
  MODIFY `customer_subscription_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_supplier_contacts`
--
ALTER TABLE `tbl_customer_supplier_contacts`
  MODIFY `contact_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_customer_visit`
--
ALTER TABLE `tbl_customer_visit`
  MODIFY `visit_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_cust_supp_prod_codes`
--
ALTER TABLE `tbl_cust_supp_prod_codes`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_daily_deposits`
--
ALTER TABLE `tbl_daily_deposits`
  MODIFY `Daily_Deposit_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_daily_withdrawal`
--
ALTER TABLE `tbl_daily_withdrawal`
  MODIFY `Daily_WithDrawal_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_damage`
--
ALTER TABLE `tbl_damage`
  MODIFY `damage_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_damage_details`
--
ALTER TABLE `tbl_damage_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_dashboard_boxes`
--
ALTER TABLE `tbl_dashboard_boxes`
  MODIFY `box_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_dashboard_box_blocks`
--
ALTER TABLE `tbl_dashboard_box_blocks`
  MODIFY `block_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_deals`
--
ALTER TABLE `tbl_deals`
  MODIFY `deal_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_deals_activity`
--
ALTER TABLE `tbl_deals_activity`
  MODIFY `activity_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_deals_log`
--
ALTER TABLE `tbl_deals_log`
  MODIFY `log_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_deals_notes`
--
ALTER TABLE `tbl_deals_notes`
  MODIFY `note_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_deals_progress`
--
ALTER TABLE `tbl_deals_progress`
  MODIFY `progress_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_deals_stage`
--
ALTER TABLE `tbl_deals_stage`
  MODIFY `stage_id` tinyint(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_deals_state_log`
--
ALTER TABLE `tbl_deals_state_log`
  MODIFY `state_log_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_default_currency`
--
ALTER TABLE `tbl_default_currency`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tbl_default_settings`
--
ALTER TABLE `tbl_default_settings`
  MODIFY `setting_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=299;

--
-- AUTO_INCREMENT for table `tbl_delivery_fees`
--
ALTER TABLE `tbl_delivery_fees`
  MODIFY `delivery_fees_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_department`
--
ALTER TABLE `tbl_department`
  MODIFY `department_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_department_accounts`
--
ALTER TABLE `tbl_department_accounts`
  MODIFY `Department_Account_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_devices`
--
ALTER TABLE `tbl_devices`
  MODIFY `device_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_devices_type`
--
ALTER TABLE `tbl_devices_type`
  MODIFY `type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_display`
--
ALTER TABLE `tbl_display`
  MODIFY `display_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_drivers`
--
ALTER TABLE `tbl_drivers`
  MODIFY `driver_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_dynamic_report_template`
--
ALTER TABLE `tbl_dynamic_report_template`
  MODIFY `report_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_dynamic_report_template_details`
--
ALTER TABLE `tbl_dynamic_report_template_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_dynamic_report_template_sub`
--
ALTER TABLE `tbl_dynamic_report_template_sub`
  MODIFY `sub_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_alert`
--
ALTER TABLE `tbl_employee_alert`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_attendance_sheet`
--
ALTER TABLE `tbl_employee_attendance_sheet`
  MODIFY `attendance_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_attendance_template`
--
ALTER TABLE `tbl_employee_attendance_template`
  MODIFY `template_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_employee_banks`
--
ALTER TABLE `tbl_employee_banks`
  MODIFY `bank_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_child`
--
ALTER TABLE `tbl_employee_child`
  MODIFY `Entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_dedcution_note`
--
ALTER TABLE `tbl_employee_dedcution_note`
  MODIFY `Entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_location`
--
ALTER TABLE `tbl_employee_location`
  MODIFY `Location_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_performance`
--
ALTER TABLE `tbl_employee_performance`
  MODIFY `Evaluation_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee_transfer_day`
--
ALTER TABLE `tbl_employee_transfer_day`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_emp_tasks`
--
ALTER TABLE `tbl_emp_tasks`
  MODIFY `task_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

--
-- AUTO_INCREMENT for table `tbl_end_of_shift`
--
ALTER TABLE `tbl_end_of_shift`
  MODIFY `shift_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_event`
--
ALTER TABLE `tbl_event`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_event_book_type`
--
ALTER TABLE `tbl_event_book_type`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_event_break_type`
--
ALTER TABLE `tbl_event_break_type`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_exchange`
--
ALTER TABLE `tbl_exchange`
  MODIFY `exchange_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_family_accounts`
--
ALTER TABLE `tbl_family_accounts`
  MODIFY `family_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_fastpax_cities`
--
ALTER TABLE `tbl_fastpax_cities`
  MODIFY `city_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1356;

--
-- AUTO_INCREMENT for table `tbl_fees_subscription_details`
--
ALTER TABLE `tbl_fees_subscription_details`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_fees_subscription_main`
--
ALTER TABLE `tbl_fees_subscription_main`
  MODIFY `main_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_floor`
--
ALTER TABLE `tbl_floor`
  MODIFY `floor_id` tinyint(4) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_fuel_type`
--
ALTER TABLE `tbl_fuel_type`
  MODIFY `Fuel_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_garage_loading_order`
--
ALTER TABLE `tbl_garage_loading_order`
  MODIFY `Loading_Order_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_loading_order_details`
--
ALTER TABLE `tbl_garage_loading_order_details`
  MODIFY `Loading_Details_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_load_added_quantity`
--
ALTER TABLE `tbl_garage_load_added_quantity`
  MODIFY `Load_Added_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_load_returns`
--
ALTER TABLE `tbl_garage_load_returns`
  MODIFY `Load_Return_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_rent_type`
--
ALTER TABLE `tbl_garage_rent_type`
  MODIFY `rent_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_sales_order`
--
ALTER TABLE `tbl_garage_sales_order`
  MODIFY `Sales_Order_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_sales_order_details`
--
ALTER TABLE `tbl_garage_sales_order_details`
  MODIFY `Item_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_truck_expenses`
--
ALTER TABLE `tbl_garage_truck_expenses`
  MODIFY `Truck_Expense_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_truck_expenses_details`
--
ALTER TABLE `tbl_garage_truck_expenses_details`
  MODIFY `exp_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle`
--
ALTER TABLE `tbl_garage_vehicle`
  MODIFY `Vehicle_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_checkup`
--
ALTER TABLE `tbl_garage_vehicle_checkup`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_checkup_details`
--
ALTER TABLE `tbl_garage_vehicle_checkup_details`
  MODIFY `checkup_details_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_checkup_setting`
--
ALTER TABLE `tbl_garage_vehicle_checkup_setting`
  MODIFY `checkup_setting_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_driver`
--
ALTER TABLE `tbl_garage_vehicle_driver`
  MODIFY `Vehicle_Driver_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_rents`
--
ALTER TABLE `tbl_garage_vehicle_rents`
  MODIFY `rent_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_weighbridge`
--
ALTER TABLE `tbl_garage_vehicle_weighbridge`
  MODIFY `Weighbridge_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_garage_vehicle_zone`
--
ALTER TABLE `tbl_garage_vehicle_zone`
  MODIFY `Zone_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_general_classes`
--
ALTER TABLE `tbl_general_classes`
  MODIFY `class_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_general_contact`
--
ALTER TABLE `tbl_general_contact`
  MODIFY `contact_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_general_groups`
--
ALTER TABLE `tbl_general_groups`
  MODIFY `group_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_general_settings`
--
ALTER TABLE `tbl_general_settings`
  MODIFY `setting_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_group_accounts`
--
ALTER TABLE `tbl_group_accounts`
  MODIFY `group_account_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_group_user`
--
ALTER TABLE `tbl_group_user`
  MODIFY `group_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_absence`
--
ALTER TABLE `tbl_hrm_absence`
  MODIFY `Absence_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_absence_reasons`
--
ALTER TABLE `tbl_hrm_absence_reasons`
  MODIFY `Absence_Reason_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_accrued_days`
--
ALTER TABLE `tbl_hrm_accrued_days`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_advance_payments`
--
ALTER TABLE `tbl_hrm_advance_payments`
  MODIFY `Advance_Payment_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_hrm_announcements`
--
ALTER TABLE `tbl_hrm_announcements`
  MODIFY `Announcement_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_basic_salary_periods`
--
ALTER TABLE `tbl_hrm_basic_salary_periods`
  MODIFY `period_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_bonuses`
--
ALTER TABLE `tbl_hrm_bonuses`
  MODIFY `Bonus_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_bonus_description`
--
ALTER TABLE `tbl_hrm_bonus_description`
  MODIFY `Reason_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_boundaries_amount_taxable`
--
ALTER TABLE `tbl_hrm_boundaries_amount_taxable`
  MODIFY `Boundary_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_branch`
--
ALTER TABLE `tbl_hrm_branch`
  MODIFY `Branch_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_hrm_deductions`
--
ALTER TABLE `tbl_hrm_deductions`
  MODIFY `Deduction_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_dependants`
--
ALTER TABLE `tbl_hrm_dependants`
  MODIFY `Dependant_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_document_questions`
--
ALTER TABLE `tbl_hrm_document_questions`
  MODIFY `Question_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_document_types`
--
ALTER TABLE `tbl_hrm_document_types`
  MODIFY `Document_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_emergency_contact`
--
ALTER TABLE `tbl_hrm_emergency_contact`
  MODIFY `EmergencyContact_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_employee`
--
ALTER TABLE `tbl_hrm_employee`
  MODIFY `Employee_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_employees_accounts`
--
ALTER TABLE `tbl_hrm_employees_accounts`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_employees_expenses`
--
ALTER TABLE `tbl_hrm_employees_expenses`
  MODIFY `Expense_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_employee_document`
--
ALTER TABLE `tbl_hrm_employee_document`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_employee_evaluation_degree`
--
ALTER TABLE `tbl_hrm_employee_evaluation_degree`
  MODIFY `EvaluationDegree_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_hrm_employee_opening`
--
ALTER TABLE `tbl_hrm_employee_opening`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_hrm_employee_overtime_hours`
--
ALTER TABLE `tbl_hrm_employee_overtime_hours`
  MODIFY `Overtime_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_employee_relationship`
--
ALTER TABLE `tbl_hrm_employee_relationship`
  MODIFY `Employee_Relationship_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_hrm_emp_absence_setting`
--
ALTER TABLE `tbl_hrm_emp_absence_setting`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_fingerprint`
--
ALTER TABLE `tbl_hrm_fingerprint`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_holidays`
--
ALTER TABLE `tbl_hrm_holidays`
  MODIFY `Holiday_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_jobs`
--
ALTER TABLE `tbl_hrm_jobs`
  MODIFY `Job_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_job_absence_setting`
--
ALTER TABLE `tbl_hrm_job_absence_setting`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_hrm_languages`
--
ALTER TABLE `tbl_hrm_languages`
  MODIFY `Language_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_leave`
--
ALTER TABLE `tbl_hrm_leave`
  MODIFY `Leave_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_loans`
--
ALTER TABLE `tbl_hrm_loans`
  MODIFY `Loan_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_merital_status`
--
ALTER TABLE `tbl_hrm_merital_status`
  MODIFY `Merital_Status_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_hrm_nationalities`
--
ALTER TABLE `tbl_hrm_nationalities`
  MODIFY `Nationality_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

--
-- AUTO_INCREMENT for table `tbl_hrm_paid_accrued`
--
ALTER TABLE `tbl_hrm_paid_accrued`
  MODIFY `Paid_Accrued_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_paygrade`
--
ALTER TABLE `tbl_hrm_paygrade`
  MODIFY `Paygrade_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_payroll`
--
ALTER TABLE `tbl_hrm_payroll`
  MODIFY `Payroll_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_reasons`
--
ALTER TABLE `tbl_hrm_reasons`
  MODIFY `Description_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_reasons_types`
--
ALTER TABLE `tbl_hrm_reasons_types`
  MODIFY `Reason_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_hrm_salary_unit_formulas`
--
ALTER TABLE `tbl_hrm_salary_unit_formulas`
  MODIFY `formula_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_hrm_shifts`
--
ALTER TABLE `tbl_hrm_shifts`
  MODIFY `Shift_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_hrm_shift_hours`
--
ALTER TABLE `tbl_hrm_shift_hours`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_shift_rounds`
--
ALTER TABLE `tbl_hrm_shift_rounds`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_hrm_skills`
--
ALTER TABLE `tbl_hrm_skills`
  MODIFY `skills_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_taken_accrued`
--
ALTER TABLE `tbl_hrm_taken_accrued`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_tasks`
--
ALTER TABLE `tbl_hrm_tasks`
  MODIFY `Task_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_temp_attendance`
--
ALTER TABLE `tbl_hrm_temp_attendance`
  MODIFY `temp_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_timesheets`
--
ALTER TABLE `tbl_hrm_timesheets`
  MODIFY `Timesheet_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_todolist`
--
ALTER TABLE `tbl_hrm_todolist`
  MODIFY `List_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_volunteer`
--
ALTER TABLE `tbl_hrm_volunteer`
  MODIFY `volunteer_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_hrm_working_days`
--
ALTER TABLE `tbl_hrm_working_days`
  MODIFY `Working_Day_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_interior_ministry_log`
--
ALTER TABLE `tbl_interior_ministry_log`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_interior_ministry_log_details`
--
ALTER TABLE `tbl_interior_ministry_log_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_intolerance`
--
ALTER TABLE `tbl_intolerance`
  MODIFY `intolerance_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_inventory_default_pricing_method`
--
ALTER TABLE `tbl_inventory_default_pricing_method`
  MODIFY `Default_Method_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_inventory_delivery_report`
--
ALTER TABLE `tbl_inventory_delivery_report`
  MODIFY `Delivery_Report_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_inventory_delivery_report_items`
--
ALTER TABLE `tbl_inventory_delivery_report_items`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `tbl_inventory_family`
--
ALTER TABLE `tbl_inventory_family`
  MODIFY `family_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `tbl_inventory_loading_order_payments`
--
ALTER TABLE `tbl_inventory_loading_order_payments`
  MODIFY `Load_Payment_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_inventory_loading_order_payment_type`
--
ALTER TABLE `tbl_inventory_loading_order_payment_type`
  MODIFY `Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_inventory_purchases`
--
ALTER TABLE `tbl_inventory_purchases`
  MODIFY `Purchase_ID_Auto` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_inventory_purchase_items`
--
ALTER TABLE `tbl_inventory_purchase_items`
  MODIFY `Item_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_inventory_servecies_invoice_details`
--
ALTER TABLE `tbl_inventory_servecies_invoice_details`
  MODIFY `Service_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_inventory_services_invoices`
--
ALTER TABLE `tbl_inventory_services_invoices`
  MODIFY `Invoice_ID_Auto` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoices`
--
ALTER TABLE `tbl_invoices`
  MODIFY `Invoice_ID_Auto` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_details_tags`
--
ALTER TABLE `tbl_invoice_details_tags`
  MODIFY `Invoice_Tag_ID` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_payments`
--
ALTER TABLE `tbl_invoice_payments`
  MODIFY `Payment_Invoice_ID` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `tbl_invoice_products_details`
--
ALTER TABLE `tbl_invoice_products_details`
  MODIFY `Entery_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_products_void`
--
ALTER TABLE `tbl_invoice_products_void`
  MODIFY `Entery_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_product_add_ons`
--
ALTER TABLE `tbl_invoice_product_add_ons`
  MODIFY `invoice_add_ons_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_product_criteria`
--
ALTER TABLE `tbl_invoice_product_criteria`
  MODIFY `invoice_criteria_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_product_options`
--
ALTER TABLE `tbl_invoice_product_options`
  MODIFY `op_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_shipping`
--
ALTER TABLE `tbl_invoice_shipping`
  MODIFY `invoice_shipping_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_invoice_types`
--
ALTER TABLE `tbl_invoice_types`
  MODIFY `invoice_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_item_price_by_classes`
--
ALTER TABLE `tbl_item_price_by_classes`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `tbl_item_price_by_classes_log`
--
ALTER TABLE `tbl_item_price_by_classes_log`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order`
--
ALTER TABLE `tbl_job_order`
  MODIFY `job_order_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_block`
--
ALTER TABLE `tbl_job_order_block`
  MODIFY `block_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_details`
--
ALTER TABLE `tbl_job_order_details`
  MODIFY `order_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_details_options`
--
ALTER TABLE `tbl_job_order_details_options`
  MODIFY `detail_option_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_option`
--
ALTER TABLE `tbl_job_order_option`
  MODIFY `option_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_option_details`
--
ALTER TABLE `tbl_job_order_option_details`
  MODIFY `option_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_option_details_value`
--
ALTER TABLE `tbl_job_order_option_details_value`
  MODIFY `detail_value_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_job_order_option_type`
--
ALTER TABLE `tbl_job_order_option_type`
  MODIFY `type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_job_order_stage`
--
ALTER TABLE `tbl_job_order_stage`
  MODIFY `stage_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_kitchen_note`
--
ALTER TABLE `tbl_kitchen_note`
  MODIFY `note_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_landings`
--
ALTER TABLE `tbl_landings`
  MODIFY `landing_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `tbl_line`
--
ALTER TABLE `tbl_line`
  MODIFY `line_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_line_machine`
--
ALTER TABLE `tbl_line_machine`
  MODIFY `line_machine_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_lock_data`
--
ALTER TABLE `tbl_lock_data`
  MODIFY `lock_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_maintenance`
--
ALTER TABLE `tbl_maintenance`
  MODIFY `maintenance_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_maintenance_replies`
--
ALTER TABLE `tbl_maintenance_replies`
  MODIFY `maintenance_reply_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT for table `tbl_maintenance_supporter`
--
ALTER TABLE `tbl_maintenance_supporter`
  MODIFY `maintenance_supporter_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_maintenance_type`
--
ALTER TABLE `tbl_maintenance_type`
  MODIFY `maintenance_type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_main_log`
--
ALTER TABLE `tbl_main_log`
  MODIFY `log_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mdcl_employee`
--
ALTER TABLE `tbl_mdcl_employee`
  MODIFY `mdcl_employee_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mdcl_employee_details`
--
ALTER TABLE `tbl_mdcl_employee_details`
  MODIFY `mdcl_emp_dtl_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mdcl_place`
--
ALTER TABLE `tbl_mdcl_place`
  MODIFY `mdcl_place_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_mdcl_place_details`
--
ALTER TABLE `tbl_mdcl_place_details`
  MODIFY `mdcl_place_details_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mdcl_type`
--
ALTER TABLE `tbl_mdcl_type`
  MODIFY `mdcl_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_meal_criteria_detail`
--
ALTER TABLE `tbl_meal_criteria_detail`
  MODIFY `criteria_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mgt_logs`
--
ALTER TABLE `tbl_mgt_logs`
  MODIFY `Transaction_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mgt_logs_backups`
--
ALTER TABLE `tbl_mgt_logs_backups`
  MODIFY `ID_Auto` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_mgt_logs_backups_details`
--
ALTER TABLE `tbl_mgt_logs_backups_details`
  MODIFY `Detail_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_notification_type`
--
ALTER TABLE `tbl_notification_type`
  MODIFY `notification_type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_open_drawer`
--
ALTER TABLE `tbl_open_drawer`
  MODIFY `open_drawer_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_order_product_criteria`
--
ALTER TABLE `tbl_order_product_criteria`
  MODIFY `order_criteria_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_organization`
--
ALTER TABLE `tbl_organization`
  MODIFY `Organization_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_organization_branches`
--
ALTER TABLE `tbl_organization_branches`
  MODIFY `branch_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_organization_financial_settings`
--
ALTER TABLE `tbl_organization_financial_settings`
  MODIFY `Financial_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_organization_hierarchy`
--
ALTER TABLE `tbl_organization_hierarchy`
  MODIFY `Position_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_organization_legal_entity`
--
ALTER TABLE `tbl_organization_legal_entity`
  MODIFY `Organization_Legal_Entity_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_organization_postal_address`
--
ALTER TABLE `tbl_organization_postal_address`
  MODIFY `Postal_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_organization_shareholders`
--
ALTER TABLE `tbl_organization_shareholders`
  MODIFY `Shareholder_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_organization_social_links`
--
ALTER TABLE `tbl_organization_social_links`
  MODIFY `Link_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_organization_type`
--
ALTER TABLE `tbl_organization_type`
  MODIFY `Organization_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_payments_on_accounts`
--
ALTER TABLE `tbl_payments_on_accounts`
  MODIFY `Payment_Auto_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_payment_receipt`
--
ALTER TABLE `tbl_payment_receipt`
  MODIFY `pay_rec_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_payment_receipt_details`
--
ALTER TABLE `tbl_payment_receipt_details`
  MODIFY `payment_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_payment_types`
--
ALTER TABLE `tbl_payment_types`
  MODIFY `Payment_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=117;

--
-- AUTO_INCREMENT for table `tbl_pay_rec_collection`
--
ALTER TABLE `tbl_pay_rec_collection`
  MODIFY `collection_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_performance_action`
--
ALTER TABLE `tbl_performance_action`
  MODIFY `Action_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_piece_payment`
--
ALTER TABLE `tbl_piece_payment`
  MODIFY `piece_payment_auto_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_piece_payment_details`
--
ALTER TABLE `tbl_piece_payment_details`
  MODIFY `entery_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_piece_price`
--
ALTER TABLE `tbl_piece_price`
  MODIFY `auto_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_piece_price_details`
--
ALTER TABLE `tbl_piece_price_details`
  MODIFY `entery_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_piece_service`
--
ALTER TABLE `tbl_piece_service`
  MODIFY `piece_service_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_pos_caller_id`
--
ALTER TABLE `tbl_pos_caller_id`
  MODIFY `caller_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pos_customers`
--
ALTER TABLE `tbl_pos_customers`
  MODIFY `customer_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1218;

--
-- AUTO_INCREMENT for table `tbl_pos_customers_sync`
--
ALTER TABLE `tbl_pos_customers_sync`
  MODIFY `sync_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pricing_class`
--
ALTER TABLE `tbl_pricing_class`
  MODIFY `Class_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_pricing_class_alternatives`
--
ALTER TABLE `tbl_pricing_class_alternatives`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_printers`
--
ALTER TABLE `tbl_printers`
  MODIFY `printer_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_print_template`
--
ALTER TABLE `tbl_print_template`
  MODIFY `template_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=69;

--
-- AUTO_INCREMENT for table `tbl_production_barcode`
--
ALTER TABLE `tbl_production_barcode`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_category`
--
ALTER TABLE `tbl_production_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_color`
--
ALTER TABLE `tbl_production_color`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_emp_types`
--
ALTER TABLE `tbl_production_emp_types`
  MODIFY `type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_process`
--
ALTER TABLE `tbl_production_process`
  MODIFY `process_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_process_details`
--
ALTER TABLE `tbl_production_process_details`
  MODIFY `process_detail_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_process_employee_type`
--
ALTER TABLE `tbl_production_process_employee_type`
  MODIFY `process_employee_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_process_expenses`
--
ALTER TABLE `tbl_production_process_expenses`
  MODIFY `process_expense_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_process_states`
--
ALTER TABLE `tbl_production_process_states`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_production_template`
--
ALTER TABLE `tbl_production_template`
  MODIFY `template_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_template_details`
--
ALTER TABLE `tbl_production_template_details`
  MODIFY `template_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_production_template_expenses`
--
ALTER TABLE `tbl_production_template_expenses`
  MODIFY `template_expense_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_products_link`
--
ALTER TABLE `tbl_products_link`
  MODIFY `link_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_add_ons`
--
ALTER TABLE `tbl_product_add_ons`
  MODIFY `product_add_ons_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_cat`
--
ALTER TABLE `tbl_product_cat`
  MODIFY `Cat_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_product_criteria`
--
ALTER TABLE `tbl_product_criteria`
  MODIFY `criteria_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_criteria_detail`
--
ALTER TABLE `tbl_product_criteria_detail`
  MODIFY `criteria_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_expenses`
--
ALTER TABLE `tbl_product_expenses`
  MODIFY `expense_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_expense_accounts`
--
ALTER TABLE `tbl_product_expense_accounts`
  MODIFY `detail_account_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_expense_details`
--
ALTER TABLE `tbl_product_expense_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_keys`
--
ALTER TABLE `tbl_product_keys`
  MODIFY `product_key_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_note`
--
ALTER TABLE `tbl_product_note`
  MODIFY `note_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_options`
--
ALTER TABLE `tbl_product_options`
  MODIFY `option_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_product_option_details`
--
ALTER TABLE `tbl_product_option_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `tbl_product_property_values`
--
ALTER TABLE `tbl_product_property_values`
  MODIFY `value_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_property_values_details`
--
ALTER TABLE `tbl_product_property_values_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_sections`
--
ALTER TABLE `tbl_product_sections`
  MODIFY `section_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_shelf`
--
ALTER TABLE `tbl_product_shelf`
  MODIFY `product_shelf_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_product_specification`
--
ALTER TABLE `tbl_product_specification`
  MODIFY `product_specification_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=41;

--
-- AUTO_INCREMENT for table `tbl_product_specification_option`
--
ALTER TABLE `tbl_product_specification_option`
  MODIFY `option_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=97;

--
-- AUTO_INCREMENT for table `tbl_projects`
--
ALTER TABLE `tbl_projects`
  MODIFY `project_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_project_expense`
--
ALTER TABLE `tbl_project_expense`
  MODIFY `project_expense_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_project_expense_detail`
--
ALTER TABLE `tbl_project_expense_detail`
  MODIFY `project_expense_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_project_funding`
--
ALTER TABLE `tbl_project_funding`
  MODIFY `project_funding_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_project_period`
--
ALTER TABLE `tbl_project_period`
  MODIFY `period_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_project_period_details`
--
ALTER TABLE `tbl_project_period_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_pro_vlnt`
--
ALTER TABLE `tbl_pro_vlnt`
  MODIFY `pro_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pro_vlnt_dtls`
--
ALTER TABLE `tbl_pro_vlnt_dtls`
  MODIFY `dtls_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pump`
--
ALTER TABLE `tbl_pump`
  MODIFY `pump_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_purchase_cat`
--
ALTER TABLE `tbl_purchase_cat`
  MODIFY `pur_cat_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_purchase_delivery_extra_cost`
--
ALTER TABLE `tbl_purchase_delivery_extra_cost`
  MODIFY `extra_cost_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_purchase_extra_cost`
--
ALTER TABLE `tbl_purchase_extra_cost`
  MODIFY `extra_cost_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_purchase_order`
--
ALTER TABLE `tbl_purchase_order`
  MODIFY `Order_ID` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_purchase_order_details`
--
ALTER TABLE `tbl_purchase_order_details`
  MODIFY `Entry_ID` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_purchase_order_terms`
--
ALTER TABLE `tbl_purchase_order_terms`
  MODIFY `Term_ID` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_question_types`
--
ALTER TABLE `tbl_question_types`
  MODIFY `type_id` tinyint(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_record_unique`
--
ALTER TABLE `tbl_record_unique`
  MODIFY `record_unique_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_regions`
--
ALTER TABLE `tbl_regions`
  MODIFY `region_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_request_product_criteria`
--
ALTER TABLE `tbl_request_product_criteria`
  MODIFY `request_criteria_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_route`
--
ALTER TABLE `tbl_route`
  MODIFY `route_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_route_schedule`
--
ALTER TABLE `tbl_route_schedule`
  MODIFY `schedule_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_salesman`
--
ALTER TABLE `tbl_salesman`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_salesman_customers`
--
ALTER TABLE `tbl_salesman_customers`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_salesman_route_schedule`
--
ALTER TABLE `tbl_salesman_route_schedule`
  MODIFY `schedule_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_sales_purchase`
--
ALTER TABLE `tbl_sales_purchase`
  MODIFY `sales_purchase_id_auto` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_scale`
--
ALTER TABLE `tbl_scale`
  MODIFY `scale_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_school_child`
--
ALTER TABLE `tbl_school_child`
  MODIFY `school_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_settings`
--
ALTER TABLE `tbl_settings`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `tbl_shelfs_depot`
--
ALTER TABLE `tbl_shelfs_depot`
  MODIFY `shelf_depot_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_shipping_company`
--
ALTER TABLE `tbl_shipping_company`
  MODIFY `shipping_company_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_shipping_district`
--
ALTER TABLE `tbl_shipping_district`
  MODIFY `district_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=40;

--
-- AUTO_INCREMENT for table `tbl_shipping_status`
--
ALTER TABLE `tbl_shipping_status`
  MODIFY `shipping_status_id` tinyint(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_station_invoice`
--
ALTER TABLE `tbl_station_invoice`
  MODIFY `invoice_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_station_invoice_bone`
--
ALTER TABLE `tbl_station_invoice_bone`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_station_invoice_products`
--
ALTER TABLE `tbl_station_invoice_products`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_station_invoice_pump`
--
ALTER TABLE `tbl_station_invoice_pump`
  MODIFY `entry_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_acc_adjustment`
--
ALTER TABLE `tbl_stock_acc_adjustment`
  MODIFY `adjust_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_acc_adjust_details`
--
ALTER TABLE `tbl_stock_acc_adjust_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_categories`
--
ALTER TABLE `tbl_stock_categories`
  MODIFY `Category_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_closing`
--
ALTER TABLE `tbl_stock_closing`
  MODIFY `Closing_Stock_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_stock_cost_average`
--
ALTER TABLE `tbl_stock_cost_average`
  MODIFY `Product_Cost_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_damaged_reasons`
--
ALTER TABLE `tbl_stock_damaged_reasons`
  MODIFY `Damaged_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_default_pricing_method`
--
ALTER TABLE `tbl_stock_default_pricing_method`
  MODIFY `Default_Method_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_stock_depot_warehouse`
--
ALTER TABLE `tbl_stock_depot_warehouse`
  MODIFY `Depot_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_stock_pricing_methods`
--
ALTER TABLE `tbl_stock_pricing_methods`
  MODIFY `Pricing_Method_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_stock_products`
--
ALTER TABLE `tbl_stock_products`
  MODIFY `Product_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_stock_products_costs`
--
ALTER TABLE `tbl_stock_products_costs`
  MODIFY `Product_Cost_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_products_parts`
--
ALTER TABLE `tbl_stock_products_parts`
  MODIFY `part_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_product_cost_price`
--
ALTER TABLE `tbl_stock_product_cost_price`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_product_location`
--
ALTER TABLE `tbl_stock_product_location`
  MODIFY `Product_Location_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_product_properties`
--
ALTER TABLE `tbl_stock_product_properties`
  MODIFY `property_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_product_transactions`
--
ALTER TABLE `tbl_stock_product_transactions`
  MODIFY `Transaction_ID` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_request`
--
ALTER TABLE `tbl_stock_request`
  MODIFY `Request_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_request_details`
--
ALTER TABLE `tbl_stock_request_details`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_suppliers`
--
ALTER TABLE `tbl_stock_suppliers`
  MODIFY `Supplier_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_supplier_products`
--
ALTER TABLE `tbl_stock_supplier_products`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_transactions_types`
--
ALTER TABLE `tbl_stock_transactions_types`
  MODIFY `Transaction_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=67;

--
-- AUTO_INCREMENT for table `tbl_stock_transfer`
--
ALTER TABLE `tbl_stock_transfer`
  MODIFY `Transfer_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_transfer_details`
--
ALTER TABLE `tbl_stock_transfer_details`
  MODIFY `Entry_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_stock_uom`
--
ALTER TABLE `tbl_stock_uom`
  MODIFY `UOM_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tbl_subscription`
--
ALTER TABLE `tbl_subscription`
  MODIFY `subscription_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_subscription_block`
--
ALTER TABLE `tbl_subscription_block`
  MODIFY `block_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_subscription_category`
--
ALTER TABLE `tbl_subscription_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_subscription_details`
--
ALTER TABLE `tbl_subscription_details`
  MODIFY `detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_subscription_details_fees`
--
ALTER TABLE `tbl_subscription_details_fees`
  MODIFY `detail_fees_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_system_note`
--
ALTER TABLE `tbl_system_note`
  MODIFY `note_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_table`
--
ALTER TABLE `tbl_table`
  MODIFY `table_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_template_attribute`
--
ALTER TABLE `tbl_template_attribute`
  MODIFY `attribute_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_template_prodcuts`
--
ALTER TABLE `tbl_template_prodcuts`
  MODIFY `temp_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_ticketing`
--
ALTER TABLE `tbl_ticketing`
  MODIFY `ticketing_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_ticketing_details`
--
ALTER TABLE `tbl_ticketing_details`
  MODIFY `ticketing_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_ticketing_replies`
--
ALTER TABLE `tbl_ticketing_replies`
  MODIFY `ticketing_reply_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tbl_ticketing_station`
--
ALTER TABLE `tbl_ticketing_station`
  MODIFY `ticketing_station_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_ticketing_status`
--
ALTER TABLE `tbl_ticketing_status`
  MODIFY `ticketing_status_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_ticketing_type`
--
ALTER TABLE `tbl_ticketing_type`
  MODIFY `ticketing_type_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_uom_conversions`
--
ALTER TABLE `tbl_uom_conversions`
  MODIFY `uom_conversion_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_users_accounting_accounts`
--
ALTER TABLE `tbl_users_accounting_accounts`
  MODIFY `User_Account_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `tbl_user_customers`
--
ALTER TABLE `tbl_user_customers`
  MODIFY `user_customer_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_user_shifts`
--
ALTER TABLE `tbl_user_shifts`
  MODIFY `user_shifts_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_vehicle_checkup`
--
ALTER TABLE `tbl_vehicle_checkup`
  MODIFY `vehicle_checkup_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_vehicle_mecanique`
--
ALTER TABLE `tbl_vehicle_mecanique`
  MODIFY `vehicle_mecanique_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `tbl_vehicle_model`
--
ALTER TABLE `tbl_vehicle_model`
  MODIFY `Model_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_vehicle_type`
--
ALTER TABLE `tbl_vehicle_type`
  MODIFY `Vehicle_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `tbl_vehicle_usage_type`
--
ALTER TABLE `tbl_vehicle_usage_type`
  MODIFY `Usage_Type_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_versions`
--
ALTER TABLE `tbl_versions`
  MODIFY `version_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_void_reason`
--
ALTER TABLE `tbl_void_reason`
  MODIFY `reason_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_volunteer`
--
ALTER TABLE `tbl_volunteer`
  MODIFY `volunteer_team_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_volunteer_notice`
--
ALTER TABLE `tbl_volunteer_notice`
  MODIFY `notice_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_web_acoount`
--
ALTER TABLE `tbl_web_acoount`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tbl_web_api_users`
--
ALTER TABLE `tbl_web_api_users`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_web_products`
--
ALTER TABLE `tbl_web_products`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `users_items`
--
ALTER TABLE `users_items`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=45;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_accounting_accrued_expenses`
--
ALTER TABLE `tbl_accounting_accrued_expenses`
  ADD CONSTRAINT `fk_LoggedID_for_tblAccountingAccruedExpenses` FOREIGN KEY (`Logged_ID`) REFERENCES `tbl_common_users` (`User_ID`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_accounting_bank_deposit_withdrawal`
--
ALTER TABLE `tbl_accounting_bank_deposit_withdrawal`
  ADD CONSTRAINT `fk_loggedID_for_tblAccountingBankDepositWithdrawal` FOREIGN KEY (`Logged_ID`) REFERENCES `tbl_common_users` (`User_ID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_accounting_return_items`
--
ALTER TABLE `tbl_accounting_return_items`
  ADD CONSTRAINT `tbl_accounting_return_items_ibfk_1` FOREIGN KEY (`UOM_ID`) REFERENCES `tbl_stock_uom` (`UOM_ID`);

--
-- Constraints for table `tbl_accounting_schedule_bills_details`
--
ALTER TABLE `tbl_accounting_schedule_bills_details`
  ADD CONSTRAINT `fk_bill_id_tblAccountingScheduleBillsDetails` FOREIGN KEY (`bill_id`) REFERENCES `tbl_accounting_schedule_bills` (`bill_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_accounting_transactions`
--
ALTER TABLE `tbl_accounting_transactions`
  ADD CONSTRAINT `fk_tblAccountingTransac_createdLoggedID_to_tblCommonUsers_UserID` FOREIGN KEY (`created_logged_id`) REFERENCES `tbl_common_users` (`User_ID`) ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_tblAccountingTransactions_loggedID_to_tblCommonUsers_UserID` FOREIGN KEY (`Logged_ID`) REFERENCES `tbl_common_users` (`User_ID`) ON UPDATE CASCADE,
  ADD CONSTRAINT `tbl_accounting_transactions_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year` (`current_year_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_add_ons_details`
--
ALTER TABLE `tbl_add_ons_details`
  ADD CONSTRAINT `fk_addOnsId_to_tblAddOnsDetails` FOREIGN KEY (`add_ons_id`) REFERENCES `tbl_add_ons` (`add_ons_id`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_checklist_questions`
--
ALTER TABLE `tbl_checklist_questions`
  ADD CONSTRAINT `fk_answer_type_id` FOREIGN KEY (`answer_type_id`) REFERENCES `tbl_question_types` (`type_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_checklist_id_tbl_checklist_questions` FOREIGN KEY (`checklist_id`) REFERENCES `tbl_checklist` (`checklist_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_checklist_schedule_answer_details`
--
ALTER TABLE `tbl_checklist_schedule_answer_details`
  ADD CONSTRAINT `fk_answer_main_id_tbl_checklist_schedule_answer_details` FOREIGN KEY (`answer_main_id`) REFERENCES `tbl_checklist_schedule_answer_main` (`answer_main_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_checklist_question_id_tbl_checklist_schedule_answer_details` FOREIGN KEY (`checklist_question_id`) REFERENCES `tbl_checklist_questions` (`checklist_question_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_checklist_schedule_answer_main`
--
ALTER TABLE `tbl_checklist_schedule_answer_main`
  ADD CONSTRAINT `fk_schedule_id_tbl_checklist_schedule_answer_main` FOREIGN KEY (`schedule_id`) REFERENCES `tbl_checklist_schedule` (`schedule_id`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_commission_type_details`
--
ALTER TABLE `tbl_commission_type_details`
  ADD CONSTRAINT `fk_commissionId_to_tbl_commission_type` FOREIGN KEY (`commission_id`) REFERENCES `tbl_commission_type` (`commission_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_common_current_year_actual`
--
ALTER TABLE `tbl_common_current_year_actual`
  ADD CONSTRAINT `tbl_common_current_year_actual_ibfk_1` FOREIGN KEY (`closed_by`) REFERENCES `tbl_common_users` (`User_ID`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_common_role_permission`
--
ALTER TABLE `tbl_common_role_permission`
  ADD CONSTRAINT `Permission_ID` FOREIGN KEY (`Permission_ID`) REFERENCES `tbl_common_permission` (`Permission_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Role_ID2` FOREIGN KEY (`Role_ID`) REFERENCES `tbl_common_roles` (`Role_ID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_common_users`
--
ALTER TABLE `tbl_common_users`
  ADD CONSTRAINT `Employee_ID` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_consumption`
--
ALTER TABLE `tbl_consumption`
  ADD CONSTRAINT `tbl_consumption_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year` (`current_year_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_contacts`
--
ALTER TABLE `tbl_contacts`
  ADD CONSTRAINT `fk_contact_orgId_to_organization_orgId` FOREIGN KEY (`organization_id`) REFERENCES `tbl_customer_organization` (`organization_id`);

--
-- Constraints for table `tbl_customer_organization`
--
ALTER TABLE `tbl_customer_organization`
  ADD CONSTRAINT `fk_city_cityId_to_customerOrganization_cityId` FOREIGN KEY (`city_id`) REFERENCES `tbl_all_cities` (`ID`);

--
-- Constraints for table `tbl_deals`
--
ALTER TABLE `tbl_deals`
  ADD CONSTRAINT `fk_contactId_deals_to_contact_contactId` FOREIGN KEY (`contact_id`) REFERENCES `tbl_contacts` (`contact_id`),
  ADD CONSTRAINT `fk_stageId_deals_to_stage_stageId` FOREIGN KEY (`stage_id`) REFERENCES `tbl_deals_stage` (`stage_id`);

--
-- Constraints for table `tbl_deals_log`
--
ALTER TABLE `tbl_deals_log`
  ADD CONSTRAINT `fk_deals_log_dealId_to_deals_dealId` FOREIGN KEY (`deal_id`) REFERENCES `tbl_deals` (`deal_id`);

--
-- Constraints for table `tbl_deals_progress`
--
ALTER TABLE `tbl_deals_progress`
  ADD CONSTRAINT `fk_deals_progress_dealId_to_deals_dealId` FOREIGN KEY (`deal_id`) REFERENCES `tbl_deals` (`deal_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_deals_progress_stageId_to_stage_stageId` FOREIGN KEY (`stage_id`) REFERENCES `tbl_deals_stage` (`stage_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_deals_state_log`
--
ALTER TABLE `tbl_deals_state_log`
  ADD CONSTRAINT `fk_deals_state_log_dealId_to_deals_dealId` FOREIGN KEY (`deal_id`) REFERENCES `tbl_deals` (`deal_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_department_accounts`
--
ALTER TABLE `tbl_department_accounts`
  ADD CONSTRAINT `tbl_department_accounts_ibfk_1` FOREIGN KEY (`Department_ID`) REFERENCES `tbl_hrm_branch` (`Branch_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `tbl_department_accounts_ibfk_2` FOREIGN KEY (`Account_ID`) REFERENCES `tbl_chart_of_accounts` (`Account_ID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_employee_child`
--
ALTER TABLE `tbl_employee_child`
  ADD CONSTRAINT `tbl_employee_child_ibfk_1` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`);

--
-- Constraints for table `tbl_garage_sales_order_details`
--
ALTER TABLE `tbl_garage_sales_order_details`
  ADD CONSTRAINT `tbl_garage_sales_order_details_ibfk_1` FOREIGN KEY (`UOM_ID`) REFERENCES `tbl_stock_uom` (`UOM_ID`);

--
-- Constraints for table `tbl_hrm_absence`
--
ALTER TABLE `tbl_hrm_absence`
  ADD CONSTRAINT `Employee_ID14` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_hrm_dependants`
--
ALTER TABLE `tbl_hrm_dependants`
  ADD CONSTRAINT `Employee_ID10` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_hrm_emergency_contact`
--
ALTER TABLE `tbl_hrm_emergency_contact`
  ADD CONSTRAINT `Employee_ID9` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_hrm_paygrade`
--
ALTER TABLE `tbl_hrm_paygrade`
  ADD CONSTRAINT `FK_paygrade_to_job` FOREIGN KEY (`Job_ID`) REFERENCES `tbl_hrm_jobs` (`Job_ID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_hrm_salary_components`
--
ALTER TABLE `tbl_hrm_salary_components`
  ADD CONSTRAINT `Paygrade_ID` FOREIGN KEY (`Paygrade_ID`) REFERENCES `tbl_hrm_paygrade` (`Paygrade_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_hrm_tasks`
--
ALTER TABLE `tbl_hrm_tasks`
  ADD CONSTRAINT `Timesheet_ID` FOREIGN KEY (`Timesheet_ID`) REFERENCES `tbl_hrm_timesheets` (`Timesheet_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_hrm_timesheets`
--
ALTER TABLE `tbl_hrm_timesheets`
  ADD CONSTRAINT `Employee_ID13` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_inventory_delivery_report_items`
--
ALTER TABLE `tbl_inventory_delivery_report_items`
  ADD CONSTRAINT `tbl_inventory_delivery_report_items_ibfk_1` FOREIGN KEY (`UOM_ID`) REFERENCES `tbl_stock_uom` (`UOM_ID`);

--
-- Constraints for table `tbl_inventory_purchases`
--
ALTER TABLE `tbl_inventory_purchases`
  ADD CONSTRAINT `tbl_inventory_purchases_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year` (`current_year_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_inventory_purchase_items`
--
ALTER TABLE `tbl_inventory_purchase_items`
  ADD CONSTRAINT `FK_purchase_toDet` FOREIGN KEY (`Purchase_ID_Auto`) REFERENCES `tbl_inventory_purchases` (`Purchase_ID_Auto`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_inventory_services_invoices`
--
ALTER TABLE `tbl_inventory_services_invoices`
  ADD CONSTRAINT `tbl_inventory_services_invoices_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year` (`current_year_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_invoices`
--
ALTER TABLE `tbl_invoices`
  ADD CONSTRAINT `tbl_invoices_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year` (`current_year_id`) ON UPDATE NO ACTION,
  ADD CONSTRAINT `tbl_invoices_ibfk_2` FOREIGN KEY (`reason_id`) REFERENCES `tbl_void_reason` (`reason_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_invoice_details_tags`
--
ALTER TABLE `tbl_invoice_details_tags`
  ADD CONSTRAINT `tbl_invoice_details_tags_ibfk_1` FOREIGN KEY (`Entery_ID`) REFERENCES `tbl_invoice_products_details` (`Entery_ID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_invoice_products_details`
--
ALTER TABLE `tbl_invoice_products_details`
  ADD CONSTRAINT `FK_inv_to_det` FOREIGN KEY (`Invoice_ID_Auto`) REFERENCES `tbl_invoices` (`Invoice_ID_Auto`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_job_order_details`
--
ALTER TABLE `tbl_job_order_details`
  ADD CONSTRAINT `fk_job_order_id_tblJobOrderDetails` FOREIGN KEY (`job_order_id`) REFERENCES `tbl_job_order` (`job_order_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_job_order_details_options`
--
ALTER TABLE `tbl_job_order_details_options`
  ADD CONSTRAINT `fk_order_detail_id_tblJobOrderDetailsOptions` FOREIGN KEY (`order_detail_id`) REFERENCES `tbl_job_order_details` (`order_detail_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_job_order_option_details`
--
ALTER TABLE `tbl_job_order_option_details`
  ADD CONSTRAINT `fk_option_id__tblJobOrderOptionDetails` FOREIGN KEY (`option_id`) REFERENCES `tbl_job_order_option` (`option_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_job_order_option_details_value`
--
ALTER TABLE `tbl_job_order_option_details_value`
  ADD CONSTRAINT `fk_order_detail_id_tblJobOrderOptionDetailsValue` FOREIGN KEY (`option_detail_id`) REFERENCES `tbl_job_order_option_details` (`option_detail_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_mdcl_employee`
--
ALTER TABLE `tbl_mdcl_employee`
  ADD CONSTRAINT `tbl_mdcl_employee_ibfk_1` FOREIGN KEY (`Employee_ID`) REFERENCES `tbl_hrm_employee` (`Employee_ID`);

--
-- Constraints for table `tbl_mdcl_employee_details`
--
ALTER TABLE `tbl_mdcl_employee_details`
  ADD CONSTRAINT `tbl_mdcl_employee_details_ibfk_1` FOREIGN KEY (`mdcl_employee_id`) REFERENCES `tbl_mdcl_employee` (`mdcl_employee_id`),
  ADD CONSTRAINT `tbl_mdcl_employee_details_ibfk_2` FOREIGN KEY (`mdcl_place_id`) REFERENCES `tbl_mdcl_place` (`mdcl_place_id`),
  ADD CONSTRAINT `tbl_mdcl_employee_details_ibfk_3` FOREIGN KEY (`mdcl_type_id`) REFERENCES `tbl_mdcl_type` (`mdcl_type_id`);

--
-- Constraints for table `tbl_mdcl_place_details`
--
ALTER TABLE `tbl_mdcl_place_details`
  ADD CONSTRAINT `tbl_mdcl_place_details_ibfk_1` FOREIGN KEY (`mdcl_type_id`) REFERENCES `tbl_mdcl_type` (`mdcl_type_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `tbl_mdcl_place_details_ibfk_2` FOREIGN KEY (`mdcl_place_id`) REFERENCES `tbl_mdcl_place` (`mdcl_place_id`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_mgt_logs`
--
ALTER TABLE `tbl_mgt_logs`
  ADD CONSTRAINT `tbl_mgt_logs_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year_actual` (`current_year_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_mgt_logs_backups`
--
ALTER TABLE `tbl_mgt_logs_backups`
  ADD CONSTRAINT `tbl_mgt_logs_backups_ibfk_1` FOREIGN KEY (`current_year_id`) REFERENCES `tbl_common_current_year_actual` (`current_year_id`) ON UPDATE NO ACTION;

--
-- Constraints for table `tbl_mgt_logs_backups_details`
--
ALTER TABLE `tbl_mgt_logs_backups_details`
  ADD CONSTRAINT `tbl_mgt_logs_backups_details_ibfk_1` FOREIGN KEY (`UOM_ID`) REFERENCES `tbl_stock_uom` (`UOM_ID`);

--
-- Constraints for table `tbl_piece_price`
--
ALTER TABLE `tbl_piece_price`
  ADD CONSTRAINT `fk_branch_id_tbl_piece_price_to_tblOrganizationBranche` FOREIGN KEY (`branch_id`) REFERENCES `tbl_organization_branches` (`branch_id`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_piece_price_details`
--
ALTER TABLE `tbl_piece_price_details`
  ADD CONSTRAINT `fk_currency_id_tbl_piece_price_details_to_tblCommonCurrency` FOREIGN KEY (`currency_id`) REFERENCES `tbl_common_currency` (`Currency_ID`) ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_employee_id_tbl_piece_price_details_to_tblHrmEmployee` FOREIGN KEY (`employee_id`) REFERENCES `tbl_hrm_employee` (`Employee_ID`) ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_piece_service_id_tbl_piece_price_details_to_tblPieceService` FOREIGN KEY (`piece_service_id`) REFERENCES `tbl_piece_service` (`piece_service_id`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_piece_service`
--
ALTER TABLE `tbl_piece_service`
  ADD CONSTRAINT `fk_currency_id_tbl_piece_service_to_tbl_common_currency` FOREIGN KEY (`currency_id`) REFERENCES `tbl_common_currency` (`Currency_ID`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_production_process_details`
--
ALTER TABLE `tbl_production_process_details`
  ADD CONSTRAINT `fk_process_id_tblProductionProcessDetails` FOREIGN KEY (`process_id`) REFERENCES `tbl_production_process` (`process_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_production_process_expenses`
--
ALTER TABLE `tbl_production_process_expenses`
  ADD CONSTRAINT `fk_process_id_tblProductionProcessExpense` FOREIGN KEY (`process_id`) REFERENCES `tbl_production_process` (`process_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_product_criteria_detail`
--
ALTER TABLE `tbl_product_criteria_detail`
  ADD CONSTRAINT `fk_criteria_id_to_tbl_criteria_detail` FOREIGN KEY (`criteria_id`) REFERENCES `tbl_product_criteria` (`criteria_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_product_specification_option`
--
ALTER TABLE `tbl_product_specification_option`
  ADD CONSTRAINT `fk_specification_option` FOREIGN KEY (`product_specification_id`) REFERENCES `tbl_product_specification` (`product_specification_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_pro_vlnt_dtls`
--
ALTER TABLE `tbl_pro_vlnt_dtls`
  ADD CONSTRAINT `pro_id` FOREIGN KEY (`pro_id`) REFERENCES `tbl_pro_vlnt` (`pro_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `vlnt_id` FOREIGN KEY (`vlnt_id`) REFERENCES `tbl_hrm_volunteer` (`volunteer_id`);

--
-- Constraints for table `tbl_purchase_order_details`
--
ALTER TABLE `tbl_purchase_order_details`
  ADD CONSTRAINT `tbl_purchase_order_details_ibfk_2` FOREIGN KEY (`UOM_ID`) REFERENCES `tbl_stock_uom` (`UOM_ID`);

--
-- Constraints for table `tbl_shelfs_depot`
--
ALTER TABLE `tbl_shelfs_depot`
  ADD CONSTRAINT `tbl_shelfs_depot_ibfk_1` FOREIGN KEY (`depot_id`) REFERENCES `tbl_stock_depot_warehouse` (`Depot_ID`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_stock_products`
--
ALTER TABLE `tbl_stock_products`
  ADD CONSTRAINT `FK_productCat_to_Cat` FOREIGN KEY (`Category_ID`) REFERENCES `tbl_product_cat` (`Cat_ID`);

--
-- Constraints for table `tbl_subscription_details`
--
ALTER TABLE `tbl_subscription_details`
  ADD CONSTRAINT `fk_subscriptionId_tblSubscriptionDetails` FOREIGN KEY (`subscription_id`) REFERENCES `tbl_subscription` (`subscription_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_subscription_details_fees`
--
ALTER TABLE `tbl_subscription_details_fees`
  ADD CONSTRAINT `fk_detailId_tblSubscriptionDetailsFees` FOREIGN KEY (`detail_id`) REFERENCES `tbl_subscription_details` (`detail_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `tbl_table`
--
ALTER TABLE `tbl_table`
  ADD CONSTRAINT `fk_floorId_to_tbl_floor_floorId` FOREIGN KEY (`floor_id`) REFERENCES `tbl_floor` (`floor_id`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_uom_conversions`
--
ALTER TABLE `tbl_uom_conversions`
  ADD CONSTRAINT `tbl_uom_conversions_ibfk_1` FOREIGN KEY (`uom_from`) REFERENCES `tbl_stock_uom` (`UOM_ID`),
  ADD CONSTRAINT `tbl_uom_conversions_ibfk_2` FOREIGN KEY (`uom_to`) REFERENCES `tbl_stock_uom` (`UOM_ID`),
  ADD CONSTRAINT `tbl_uom_conversions_ibfk_3` FOREIGN KEY (`Product_ID`) REFERENCES `tbl_stock_products` (`Product_ID`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
